/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/lvtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2app1759z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2funcall1763z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2conditi1771z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2cast1767z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2setq1769z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2select1775z70zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1761za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1794za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2extern1765z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1789za2zzast_lvtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2atom1749z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2var1753z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2kwote1751z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1778za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21783z70zzast_lvtypez00(obj_t, obj_t);
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1780za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2closure1755z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1791za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2fail1773z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2sequenc1757z70zzast_lvtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez121746za2zzast_lvtypez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1786za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2nodezd2envz00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1989z00, BGl_z62lvtypezd2nodezb0zzast_lvtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1990z00,
		BGl_z62lvtypezd2nodez121746za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1991z00,
		BGl_z62lvtypezd2nodez12zd2atom1749z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1992z00,
		BGl_z62lvtypezd2nodez12zd2kwote1751z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1993z00,
		BGl_z62lvtypezd2nodez12zd2var1753z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1994z00,
		BGl_z62lvtypezd2nodez12zd2closure1755z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1995z00,
		BGl_z62lvtypezd2nodez12zd2sequenc1757z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1996z00,
		BGl_z62lvtypezd2nodez12zd2app1759z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1997z00,
		BGl_z62lvtypezd2nodez12zd2appzd2ly1761za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1998z00,
		BGl_z62lvtypezd2nodez12zd2funcall1763z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1999z00,
		BGl_z62lvtypezd2nodez12zd2extern1765z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2000z00,
		BGl_z62lvtypezd2nodez12zd2cast1767z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2001z00,
		BGl_z62lvtypezd2nodez12zd2setq1769z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2002z00,
		BGl_z62lvtypezd2nodez12zd2conditi1771z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2003z00,
		BGl_z62lvtypezd2nodez12zd2fail1773z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2004z00,
		BGl_z62lvtypezd2nodez12zd2select1775z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2005z00,
		BGl_z62lvtypezd2nodez12zd2letzd2fun1778za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2006z00,
		BGl_z62lvtypezd2nodez12zd2letzd2var1780za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2007z00,
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21783z70zzast_lvtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2008z00,
		BGl_z62lvtypezd2nodez12zd2jumpzd2ex1786za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2009z00,
		BGl_z62lvtypezd2nodez12zd2makezd2bo1789za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2010z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2set1791za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2011z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2ref1794za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2astz12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2astza72012za7,
		BGl_z62lvtypezd2astz12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2013z00,
		BGl_z62lvtypezd2nodez12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1960z00zzast_lvtypez00,
		BgL_bgl_string1960za700za7za7a2014za7, "lvtype-node!1746", 16);
	      DEFINE_STRING(BGl_string1961z00zzast_lvtypez00,
		BgL_bgl_string1961za700za7za7a2015za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1963z00zzast_lvtypez00,
		BgL_bgl_string1963za700za7za7a2016za7, "lvtype-node!", 12);
	      DEFINE_STRING(BGl_string1984z00zzast_lvtypez00,
		BgL_bgl_string1984za700za7za7a2017za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1985z00zzast_lvtypez00,
		BgL_bgl_string1985za700za7za7a2018za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string1986z00zzast_lvtypez00,
		BgL_bgl_string1986za700za7za7a2019za7, "lvtype-node!1746 ", 17);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_2171, char *BgL_fromz00_2172)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_genericzd2initzd2zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_lvtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_2161;

				BgL_cportz00_2161 =
					bgl_open_input_string(BGl_string1986z00zzast_lvtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2162;

					BgL_iz00_2162 = ((long) 0);
				BgL_loopz00_2163:
					if ((BgL_iz00_2162 == ((long) -1)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg1988z00_2165;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_2167;

										BgL_locationz00_2167 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg1988z00_2165 =
												BGl_readz00zz__readerz00(BgL_cportz00_2161,
												BgL_locationz00_2167);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_auxz00_2193;

									BgL_auxz00_2193 = (int) (BgL_iz00_2162);
									CNST_TABLE_SET(BgL_auxz00_2193, BgL_arg1988z00_2165);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_2168;

								BgL_auxz00_2168 = (int) ((BgL_iz00_2162 - ((long) 1)));
								{
									long BgL_iz00_2198;

									BgL_iz00_2198 = (long) (BgL_auxz00_2168);
									BgL_iz00_2162 = BgL_iz00_2198;
									goto BgL_loopz00_2163;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* lvtype-ast! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t
		BgL_astz00_3)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			{
				obj_t BgL_l1733z00_1138;

				BgL_l1733z00_1138 = BgL_astz00_3;
			BgL_zc3anonymousza31804ze3z83_1139:
				if (PAIRP(BgL_l1733z00_1138))
					{	/* Ast/lvtype.scm 32 */
						{	/* Ast/lvtype.scm 33 */
							obj_t BgL_gz00_1141;

							BgL_gz00_1141 = CAR(BgL_l1733z00_1138);
							{	/* Ast/lvtype.scm 33 */
								obj_t BgL_arg1806z00_1142;

								BgL_arg1806z00_1142 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_1141))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
										BgL_arg1806z00_1142));
							}
						}
						{
							obj_t BgL_l1733z00_2210;

							BgL_l1733z00_2210 = CDR(BgL_l1733z00_1138);
							BgL_l1733z00_1138 = BgL_l1733z00_2210;
							goto BgL_zc3anonymousza31804ze3z83_1139;
						}
					}
				else
					{	/* Ast/lvtype.scm 32 */
						((bool_t) 1);
					}
			}
			return BgL_astz00_3;
		}
	}



/* &lvtype-ast! */
	obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t BgL_envz00_2089,
		obj_t BgL_astz00_2090)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			return BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_astz00_2090);
		}
	}



/* lvtype-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_4);
			return BgL_nodez00_4;
		}
	}



/* &lvtype-node */
	BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t BgL_envz00_2091,
		obj_t BgL_nodez00_2092)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			return
				BGl_lvtypezd2nodezd2zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2092));
		}
	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 230 */
			{
				obj_t BgL_l1744z00_1147;

				BgL_l1744z00_1147 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31816ze3z83_1148:
				if (PAIRP(BgL_l1744z00_1147))
					{	/* Ast/lvtype.scm 231 */
						{	/* Ast/lvtype.scm 231 */
							obj_t BgL_arg1821z00_1150;

							BgL_arg1821z00_1150 = CAR(BgL_l1744z00_1147);
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
								((BgL_nodez00_bglt) BgL_arg1821z00_1150));
						}
						{
							obj_t BgL_l1744z00_2221;

							BgL_l1744z00_2221 = CDR(BgL_l1744z00_1147);
							BgL_l1744z00_1147 = BgL_l1744z00_2221;
							goto BgL_zc3anonymousza31816ze3z83_1148;
						}
					}
				else
					{	/* Ast/lvtype.scm 231 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_28, BgL_typez00_bglt BgL_typez00_29)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 236 */
			{	/* Ast/lvtype.scm 237 */
				obj_t BgL_ntypez00_1153;
				BgL_typez00_bglt BgL_otypez00_1154;

				if ((((obj_t) BgL_typez00_29) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 237 */
						BgL_ntypez00_1153 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 237 */
						BgL_ntypez00_1153 = ((obj_t) BgL_typez00_29);
					}
				BgL_otypez00_1154 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_28))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_1154) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 240 */
						BgL_typez00_bglt BgL_vz00_2021;

						BgL_vz00_2021 = ((BgL_typez00_bglt) BgL_ntypez00_1153);
						return
							((((BgL_variablez00_bglt) CREF(BgL_variablez00_28))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_2021), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 239 */
						return BFALSE;
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_proc1959z00zzast_lvtypez00, BGl_nodez00zzast_nodez00,
				BGl_string1960z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!1746 */
	obj_t BGl_z62lvtypezd2nodez121746za2zzast_lvtypez00(obj_t BgL_envz00_2094,
		obj_t BgL_nodez00_2095)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			{
				BgL_nodez00_bglt BgL_nodez00_1158;

				BgL_nodez00_1158 = ((BgL_nodez00_bglt) BgL_nodez00_2095);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string1961z00zzast_lvtypez00, ((obj_t) BgL_nodez00_1158));
		}}
	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			{	/* Ast/lvtype.scm 47 */
				obj_t BgL_method1747z00_1161;

				{	/* Ast/lvtype.scm 47 */
					obj_t BgL_res1953z00_2051;

					{	/* Ast/lvtype.scm 47 */
						BgL_objectz00_bglt BgL_objz00_2023;

						BgL_objz00_2023 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Ast/lvtype.scm 47 */
							long BgL_objzd2classzd2numz00_2024;

							{	/* Ast/lvtype.scm 47 */
								long BgL_res1947z00_2027;

								BgL_res1947z00_2027 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2023);
								BgL_objzd2classzd2numz00_2024 = BgL_res1947z00_2027;
							}
							{	/* Ast/lvtype.scm 47 */
								obj_t BgL_arg1822z00_2025;

								BgL_arg1822z00_2025 =
									PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
									(int) (((long) 1)));
								{	/* Ast/lvtype.scm 47 */
									obj_t BgL_arrayz00_2028;
									int BgL_offsetz00_2029;

									BgL_arrayz00_2028 = BgL_arg1822z00_2025;
									BgL_offsetz00_2029 = (int) (BgL_objzd2classzd2numz00_2024);
									{	/* Ast/lvtype.scm 47 */
										long BgL_offsetz00_2030;

										BgL_offsetz00_2030 =
											((long) (BgL_offsetz00_2029) - OBJECT_TYPE);
										{	/* Ast/lvtype.scm 47 */
											long BgL_modz00_2031;

											{	/* Ast/lvtype.scm 47 */
												int BgL_arg1824z00_2032;

												BgL_arg1824z00_2032 = (int) (((long) 16));
												{	/* Ast/lvtype.scm 47 */
													long BgL_res1950z00_2042;

													{	/* Ast/lvtype.scm 47 */
														long BgL_auxz00_2246;

														BgL_auxz00_2246 = (long) (BgL_arg1824z00_2032);
														BgL_res1950z00_2042 =
															(BgL_offsetz00_2030 / BgL_auxz00_2246);
													}
													BgL_modz00_2031 = BgL_res1950z00_2042;
											}}
											{	/* Ast/lvtype.scm 47 */
												long BgL_restz00_2033;

												{	/* Ast/lvtype.scm 47 */
													int BgL_arg1823z00_2034;

													BgL_arg1823z00_2034 = (int) (((long) 16));
													{	/* Ast/lvtype.scm 47 */
														long BgL_res1952z00_2046;

														{	/* Ast/lvtype.scm 47 */
															long BgL_auxz00_2250;

															BgL_auxz00_2250 = (long) (BgL_arg1823z00_2034);
															BgL_res1952z00_2046 =
																(BgL_offsetz00_2030 % BgL_auxz00_2250);
														}
														BgL_restz00_2033 = BgL_res1952z00_2046;
												}}
												{	/* Ast/lvtype.scm 47 */

													BgL_res1953z00_2051 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2028,
															(int) (BgL_modz00_2031)),
														(int) (BgL_restz00_2033));
					}}}}}}}}
					BgL_method1747z00_1161 = BgL_res1953z00_2051;
				}
				return
					PROCEDURE_ENTRY(BgL_method1747z00_1161) (BgL_method1747z00_1161,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &lvtype-node! */
	obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t BgL_envz00_2096,
		obj_t BgL_nodez00_2097)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2097));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc1962z00zzast_lvtypez00, BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1964z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00,
				BGl_proc1965z00zzast_lvtypez00, BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc1966z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1967z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00,
				BGl_proc1968z00zzast_lvtypez00, BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1969z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1970z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_externz00zzast_nodez00, BGl_proc1971z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00,
				BGl_proc1972z00zzast_lvtypez00, BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc1973z00zzast_lvtypez00, BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1974z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00,
				BGl_proc1975z00zzast_lvtypez00, BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc1976z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1977z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1978z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1979z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1980z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1981z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1982z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1983z00zzast_lvtypez00,
				BGl_string1963z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!-box-ref1794 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1794za2zzast_lvtypez00(obj_t
		BgL_envz00_2119, obj_t BgL_nodez00_2120)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 223 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1331;

				BgL_nodez00_1331 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2120);
				{	/* Ast/lvtype.scm 224 */
					BgL_varz00_bglt BgL_arg1892z00_2083;

					BgL_arg1892z00_2083 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1331))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1892z00_2083));
				}
			}
		}
	}



/* &lvtype-node!-box-set1791 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1791za2zzast_lvtypez00(obj_t
		BgL_envz00_2121, obj_t BgL_nodez00_2122)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 215 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1324;

				BgL_nodez00_1324 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2122);
				{	/* Ast/lvtype.scm 217 */
					BgL_varz00_bglt BgL_arg1890z00_1328;

					BgL_arg1890z00_1328 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1324))->BgL_varz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1890z00_1328));
				}
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1324))->BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-make-bo1789 */
	obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1789za2zzast_lvtypez00(obj_t
		BgL_envz00_2123, obj_t BgL_nodez00_2124)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 208 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1318;

				BgL_nodez00_1318 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2124);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1318))->BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-jump-ex1786 */
	obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1786za2zzast_lvtypez00(obj_t
		BgL_envz00_2125, obj_t BgL_nodez00_2126)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 200 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1311;

				BgL_nodez00_1311 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2126);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1311))->BgL_exitz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1311))->
						BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-set-ex-1783 */
	obj_t BGl_z62lvtypezd2nodez12zd2setzd2exzd21783z70zzast_lvtypez00(obj_t
		BgL_envz00_2127, obj_t BgL_nodez00_2128)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 192 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1304;

				BgL_nodez00_1304 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2128);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1304))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 195 */
					BgL_varz00_bglt BgL_arg1885z00_1309;

					BgL_arg1885z00_1309 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1304))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1885z00_1309));
				}
			}
		}
	}



/* &lvtype-node!-let-var1780 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1780za2zzast_lvtypez00(obj_t
		BgL_envz00_2129, obj_t BgL_nodez00_2130)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 177 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1284;

				BgL_nodez00_1284 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2130);
				{	/* Ast/lvtype.scm 179 */
					obj_t BgL_g1743z00_1288;

					BgL_g1743z00_1288 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1284))->BgL_bindingsz00);
					{
						obj_t BgL_l1741z00_1290;

						BgL_l1741z00_1290 = BgL_g1743z00_1288;
					BgL_zc3anonymousza31875ze3z83_1291:
						if (PAIRP(BgL_l1741z00_1290))
							{	/* Ast/lvtype.scm 179 */
								{	/* Ast/lvtype.scm 180 */
									obj_t BgL_bindingz00_1293;

									BgL_bindingz00_1293 = CAR(BgL_l1741z00_1290);
									{	/* Ast/lvtype.scm 180 */
										obj_t BgL_varz00_1294;
										obj_t BgL_valz00_1295;

										BgL_varz00_1294 = CAR(BgL_bindingz00_1293);
										BgL_valz00_1295 = CDR(BgL_bindingz00_1293);
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
											((BgL_nodez00_bglt) BgL_valz00_1295));
										{	/* Ast/lvtype.scm 183 */
											BgL_typez00_bglt BgL_arg1877z00_1296;

											BgL_arg1877z00_1296 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_valz00_1295));
											BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
												((BgL_variablez00_bglt) BgL_varz00_1294),
												BgL_arg1877z00_1296);
										}
									}
								}
								{
									obj_t BgL_l1741z00_2321;

									BgL_l1741z00_2321 = CDR(BgL_l1741z00_1290);
									BgL_l1741z00_1290 = BgL_l1741z00_2321;
									goto BgL_zc3anonymousza31875ze3z83_1291;
								}
							}
						else
							{	/* Ast/lvtype.scm 179 */
								((bool_t) 1);
							}
					}
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1284))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 186 */
					bool_t BgL_testz00_2325;

					{	/* Ast/lvtype.scm 186 */
						BgL_typez00_bglt BgL_arg1882z00_1302;

						BgL_arg1882z00_1302 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1284)))->BgL_typez00);
						BgL_testz00_2325 =
							(((obj_t) BgL_arg1882z00_1302) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2325)
						{
							BgL_typez00_bglt BgL_auxz00_2330;

							{	/* Ast/lvtype.scm 187 */
								BgL_nodez00_bglt BgL_arg1881z00_1301;

								BgL_arg1881z00_1301 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1284))->
									BgL_bodyz00);
								BgL_auxz00_2330 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg1881z00_1301);
							}
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1284)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2330), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 186 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-let-fun1778 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1778za2zzast_lvtypez00(obj_t
		BgL_envz00_2131, obj_t BgL_nodez00_2132)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 165 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1265;

				BgL_nodez00_1265 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2132);
				{	/* Ast/lvtype.scm 167 */
					obj_t BgL_g1740z00_1269;

					BgL_g1740z00_1269 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1265))->BgL_localsz00);
					{
						obj_t BgL_l1738z00_1271;

						BgL_l1738z00_1271 = BgL_g1740z00_1269;
					BgL_zc3anonymousza31865ze3z83_1272:
						if (PAIRP(BgL_l1738z00_1271))
							{	/* Ast/lvtype.scm 167 */
								{	/* Ast/lvtype.scm 168 */
									obj_t BgL_localz00_1274;

									BgL_localz00_1274 = CAR(BgL_l1738z00_1271);
									{	/* Ast/lvtype.scm 168 */
										obj_t BgL_arg1867z00_1275;

										BgL_arg1867z00_1275 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1274))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
												BgL_arg1867z00_1275));
									}
								}
								{
									obj_t BgL_l1738z00_2347;

									BgL_l1738z00_2347 = CDR(BgL_l1738z00_1271);
									BgL_l1738z00_1271 = BgL_l1738z00_2347;
									goto BgL_zc3anonymousza31865ze3z83_1272;
								}
							}
						else
							{	/* Ast/lvtype.scm 167 */
								((bool_t) 1);
							}
					}
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1265))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 171 */
					bool_t BgL_testz00_2351;

					{	/* Ast/lvtype.scm 171 */
						BgL_typez00_bglt BgL_arg1874z00_1282;

						BgL_arg1874z00_1282 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1265)))->BgL_typez00);
						BgL_testz00_2351 =
							(((obj_t) BgL_arg1874z00_1282) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2351)
						{
							BgL_typez00_bglt BgL_auxz00_2356;

							{	/* Ast/lvtype.scm 172 */
								BgL_nodez00_bglt BgL_arg1873z00_1281;

								BgL_arg1873z00_1281 =
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1265))->
									BgL_bodyz00);
								BgL_auxz00_2356 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg1873z00_1281);
							}
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1265)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2356), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 171 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-select1775 */
	obj_t BGl_z62lvtypezd2nodez12zd2select1775z70zzast_lvtypez00(obj_t
		BgL_envz00_2133, obj_t BgL_nodez00_2134)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 155 */
			{
				BgL_selectz00_bglt BgL_nodez00_1250;

				BgL_nodez00_1250 = ((BgL_selectz00_bglt) BgL_nodez00_2134);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1250))->BgL_testz00));
				{	/* Ast/lvtype.scm 158 */
					obj_t BgL_g1737z00_1255;

					BgL_g1737z00_1255 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1250))->BgL_clausesz00);
					{
						obj_t BgL_l1735z00_1257;

						{	/* Ast/lvtype.scm 158 */
							bool_t BgL_auxz00_2365;

							BgL_l1735z00_1257 = BgL_g1737z00_1255;
						BgL_zc3anonymousza31861ze3z83_1258:
							if (PAIRP(BgL_l1735z00_1257))
								{	/* Ast/lvtype.scm 158 */
									{	/* Ast/lvtype.scm 159 */
										obj_t BgL_clausez00_1260;

										BgL_clausez00_1260 = CAR(BgL_l1735z00_1257);
										{	/* Ast/lvtype.scm 159 */
											obj_t BgL_arg1863z00_1261;

											BgL_arg1863z00_1261 = CDR(BgL_clausez00_1260);
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
												((BgL_nodez00_bglt) BgL_arg1863z00_1261));
										}
									}
									{
										obj_t BgL_l1735z00_2372;

										BgL_l1735z00_2372 = CDR(BgL_l1735z00_1257);
										BgL_l1735z00_1257 = BgL_l1735z00_2372;
										goto BgL_zc3anonymousza31861ze3z83_1258;
									}
								}
							else
								{	/* Ast/lvtype.scm 158 */
									BgL_auxz00_2365 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_2365);
						}
					}
				}
			}
		}
	}



/* &lvtype-node!-fail1773 */
	obj_t BGl_z62lvtypezd2nodez12zd2fail1773z70zzast_lvtypez00(obj_t
		BgL_envz00_2135, obj_t BgL_nodez00_2136)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 146 */
			{
				BgL_failz00_bglt BgL_nodez00_1242;

				BgL_nodez00_1242 = ((BgL_failz00_bglt) BgL_nodez00_2136);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1242))->BgL_procz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1242))->BgL_msgz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1242))->BgL_objz00));
			}
		}
	}



/* &lvtype-node!-conditi1771 */
	obj_t BGl_z62lvtypezd2nodez12zd2conditi1771z70zzast_lvtypez00(obj_t
		BgL_envz00_2137, obj_t BgL_nodez00_2138)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 135 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1232;

				BgL_nodez00_1232 = ((BgL_conditionalz00_bglt) BgL_nodez00_2138);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1232))->BgL_testz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1232))->BgL_truez00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1232))->BgL_falsez00));
				{	/* Ast/lvtype.scm 140 */
					bool_t BgL_testz00_2389;

					{	/* Ast/lvtype.scm 140 */
						BgL_typez00_bglt BgL_arg1856z00_1240;

						BgL_arg1856z00_1240 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1232)))->BgL_typez00);
						BgL_testz00_2389 =
							(((obj_t) BgL_arg1856z00_1240) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2389)
						{	/* Ast/lvtype.scm 140 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1232)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1232))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 140 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-setq1769 */
	obj_t BGl_z62lvtypezd2nodez12zd2setq1769z70zzast_lvtypez00(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 127 */
			{
				BgL_setqz00_bglt BgL_nodez00_1225;

				BgL_nodez00_1225 = ((BgL_setqz00_bglt) BgL_nodez00_2140);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1225))->BgL_valuez00));
				{	/* Ast/lvtype.scm 130 */
					BgL_varz00_bglt BgL_arg1851z00_1230;

					BgL_arg1851z00_1230 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1225))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1851z00_1230));
				}
			}
		}
	}



/* &lvtype-node!-cast1767 */
	obj_t BGl_z62lvtypezd2nodez12zd2cast1767z70zzast_lvtypez00(obj_t
		BgL_envz00_2141, obj_t BgL_nodez00_2142)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 120 */
			{
				BgL_castz00_bglt BgL_nodez00_1219;

				BgL_nodez00_1219 = ((BgL_castz00_bglt) BgL_nodez00_2142);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1219))->BgL_argz00));
			}
		}
	}



/* &lvtype-node!-extern1765 */
	obj_t BGl_z62lvtypezd2nodez12zd2extern1765z70zzast_lvtypez00(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 113 */
			{
				BgL_externz00_bglt BgL_nodez00_1213;

				BgL_nodez00_1213 = ((BgL_externz00_bglt) BgL_nodez00_2144);
				{	/* Ast/lvtype.scm 114 */
					obj_t BgL_arg1848z00_2057;

					BgL_arg1848z00_2057 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1213))->BgL_exprza2za2);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg1848z00_2057));
				}
			}
		}
	}



/* &lvtype-node!-funcall1763 */
	obj_t BGl_z62lvtypezd2nodez12zd2funcall1763z70zzast_lvtypez00(obj_t
		BgL_envz00_2145, obj_t BgL_nodez00_2146)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 105 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1206;

				BgL_nodez00_1206 = ((BgL_funcallz00_bglt) BgL_nodez00_2146);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1206))->BgL_funz00));
				{	/* Ast/lvtype.scm 108 */
					obj_t BgL_arg1847z00_1211;

					BgL_arg1847z00_1211 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1206))->BgL_argsz00);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg1847z00_1211));
				}
			}
		}
	}



/* &lvtype-node!-app-ly1761 */
	obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1761za2zzast_lvtypez00(obj_t
		BgL_envz00_2147, obj_t BgL_nodez00_2148)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 97 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1199;

				BgL_nodez00_1199 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2148);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1199))->BgL_funz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1199))->BgL_argz00));
			}
		}
	}



/* &lvtype-node!-app1759 */
	obj_t BGl_z62lvtypezd2nodez12zd2app1759z70zzast_lvtypez00(obj_t
		BgL_envz00_2149, obj_t BgL_nodez00_2150)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 88 */
			{
				BgL_appz00_bglt BgL_nodez00_1191;

				BgL_nodez00_1191 = ((BgL_appz00_bglt) BgL_nodez00_2150);
				BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1191))->BgL_argsz00));
				{	/* Ast/lvtype.scm 91 */
					bool_t BgL_testz00_2425;

					{	/* Ast/lvtype.scm 91 */
						BgL_typez00_bglt BgL_arg1842z00_1197;

						BgL_arg1842z00_1197 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1191)))->BgL_typez00);
						BgL_testz00_2425 =
							(((obj_t) BgL_arg1842z00_1197) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2425)
						{	/* Ast/lvtype.scm 91 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1191)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1191))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 91 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-sequenc1757 */
	obj_t BGl_z62lvtypezd2nodez12zd2sequenc1757z70zzast_lvtypez00(obj_t
		BgL_envz00_2151, obj_t BgL_nodez00_2152)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 79 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1183;

				BgL_nodez00_1183 = ((BgL_sequencez00_bglt) BgL_nodez00_2152);
				BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1183))->BgL_nodesz00));
				{	/* Ast/lvtype.scm 82 */
					bool_t BgL_testz00_2437;

					{	/* Ast/lvtype.scm 82 */
						BgL_typez00_bglt BgL_arg1839z00_1189;

						BgL_arg1839z00_1189 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1183)))->BgL_typez00);
						BgL_testz00_2437 =
							(((obj_t) BgL_arg1839z00_1189) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2437)
						{	/* Ast/lvtype.scm 82 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1183)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1183))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 82 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-closure1755 */
	obj_t BGl_z62lvtypezd2nodez12zd2closure1755z70zzast_lvtypez00(obj_t
		BgL_envz00_2153, obj_t BgL_nodez00_2154)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 73 */
			{
				BgL_closurez00_bglt BgL_nodez00_1178;

				BgL_nodez00_1178 = ((BgL_closurez00_bglt) BgL_nodez00_2154);
				{	/* Ast/lvtype.scm 74 */
					obj_t BgL_arg1836z00_2055;

					BgL_arg1836z00_2055 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1178));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1963z00zzast_lvtypez00, BGl_string1984z00zzast_lvtypez00,
						BgL_arg1836z00_2055);
				}
			}
		}
	}



/* &lvtype-node!-var1753 */
	obj_t BGl_z62lvtypezd2nodez12zd2var1753z70zzast_lvtypez00(obj_t
		BgL_envz00_2155, obj_t BgL_nodez00_2156)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 64 */
			{
				BgL_varz00_bglt BgL_nodez00_1170;

				BgL_nodez00_1170 = ((BgL_varz00_bglt) BgL_nodez00_2156);
				{	/* Ast/lvtype.scm 66 */
					bool_t BgL_testz00_2451;

					{	/* Ast/lvtype.scm 66 */
						BgL_typez00_bglt BgL_arg1835z00_1176;

						BgL_arg1835z00_1176 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1170)))->BgL_typez00);
						BgL_testz00_2451 =
							(((obj_t) BgL_arg1835z00_1176) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2451)
						{	/* Ast/lvtype.scm 66 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1170)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1170))->
													BgL_variablez00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 66 */
							BFALSE;
						}
				}
				return ((obj_t) BgL_nodez00_1170);
			}
		}
	}



/* &lvtype-node!-kwote1751 */
	obj_t BGl_z62lvtypezd2nodez12zd2kwote1751z70zzast_lvtypez00(obj_t
		BgL_envz00_2157, obj_t BgL_nodez00_2158)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 58 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2158));
		}
	}



/* &lvtype-node!-atom1749 */
	obj_t BGl_z62lvtypezd2nodez12zd2atom1749z70zzast_lvtypez00(obj_t
		BgL_envz00_2159, obj_t BgL_nodez00_2160)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 52 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2160));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1985z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string1985z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string1985z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1985z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1985z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1985z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string1985z00zzast_lvtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
