/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	static obj_t BGl_z62shrinkzd2nodez12zd2app1760z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1796za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1752z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1789za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez121749za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2select1778z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1762za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1766z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1756z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1768z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1764z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21794z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1773z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1771z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1786za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1791za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1775z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1783za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez121747za2zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1758z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2var1754z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1780za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2057z00zzast_shrinkifyz00,
		BgL_bgl_string2057za700za7za7a2086za7, "shrink-variable!1747", 20);
	      DEFINE_STRING(BGl_string2059z00zzast_shrinkifyz00,
		BgL_bgl_string2059za700za7za7a2087za7, "shrink-node!1749", 16);
	      DEFINE_STRING(BGl_string2060z00zzast_shrinkifyz00,
		BgL_bgl_string2060za700za7za7a2088za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2062z00zzast_shrinkifyz00,
		BgL_bgl_string2062za700za7za7a2089za7, "shrink-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2090z00,
		BGl_z62shrinkzd2variablez121747za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2091z00,
		BGl_z62shrinkzd2nodez121749za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2092z00,
		BGl_z62shrinkzd2nodez12zd2atom1752z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2093z00,
		BGl_z62shrinkzd2nodez12zd2var1754z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2094z00,
		BGl_z62shrinkzd2nodez12zd2kwote1756z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2095z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1758z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2096z00,
		BGl_z62shrinkzd2nodez12zd2app1760z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2097z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1762za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2098z00,
		BGl_z62shrinkzd2nodez12zd2funcall1764z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2099z00,
		BGl_z62shrinkzd2nodez12zd2extern1766z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2100z00,
		BGl_z62shrinkzd2nodez12zd2cast1768z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2101z00,
		BGl_z62shrinkzd2nodez12zd2setq1771z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2102z00,
		BGl_z62shrinkzd2nodez12zd2conditi1773z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2103z00,
		BGl_z62shrinkzd2nodez12zd2fail1775z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2104z00,
		BGl_z62shrinkzd2nodez12zd2select1778z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2105z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1780za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2082z00zzast_shrinkifyz00,
		BgL_bgl_string2082za700za7za7a2106za7, "ast_shrinkify", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2107z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1783za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2083z00zzast_shrinkifyz00,
		BgL_bgl_string2083za700za7za7a2108za7, "shrink-node!1749 ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2109z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1786za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2110z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1789za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2111z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1791za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2112z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21794z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2113z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1796za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za72114za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2115z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2116z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2497, char *BgL_fromz00_2498)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2486;

				BgL_cportz00_2486 =
					bgl_open_input_string(BGl_string2083z00zzast_shrinkifyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2487;

					BgL_iz00_2487 = ((long) 0);
				BgL_loopz00_2488:
					if ((BgL_iz00_2487 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg2085z00_2490;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2492;

										BgL_locationz00_2492 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg2085z00_2490 =
												BGl_readz00zz__readerz00(BgL_cportz00_2486,
												BgL_locationz00_2492);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_auxz00_2519;

									BgL_auxz00_2519 = (int) (BgL_iz00_2487);
									CNST_TABLE_SET(BgL_auxz00_2519, BgL_arg2085z00_2490);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2493;

								BgL_auxz00_2493 = (int) ((BgL_iz00_2487 - ((long) 1)));
								{
									long BgL_iz00_2524;

									BgL_iz00_2524 = (long) (BgL_auxz00_2493);
									BgL_iz00_2487 = BgL_iz00_2524;
									goto BgL_loopz00_2488;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1730z00_1136;

				BgL_l1730z00_1136 = BgL_globalsz00_3;
			BgL_zc3anonymousza31806ze3z83_1137:
				if (PAIRP(BgL_l1730z00_1136))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_1139;

							BgL_globalz00_1139 = CAR(BgL_l1730z00_1136);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_1140;

								BgL_sfunz00_1140 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1139))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g1729z00_1141;

									BgL_g1729z00_1141 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_sfunz00_1140)))->BgL_argsz00);
									{
										obj_t BgL_l1727z00_1143;

										BgL_l1727z00_1143 = BgL_g1729z00_1141;
									BgL_zc3anonymousza31808ze3z83_1144:
										if (PAIRP(BgL_l1727z00_1143))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg1812z00_1146;

													BgL_arg1812z00_1146 = CAR(BgL_l1727z00_1143);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1812z00_1146));
												}
												{
													obj_t BgL_l1727z00_2540;

													BgL_l1727z00_2540 = CDR(BgL_l1727z00_1143);
													BgL_l1727z00_1143 = BgL_l1727z00_2540;
													goto BgL_zc3anonymousza31808ze3z83_1144;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg1816z00_1149;

									BgL_arg1816z00_1149 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1139))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1816z00_1149));
								}
							}
						}
						{
							obj_t BgL_l1730z00_2549;

							BgL_l1730z00_2549 = CDR(BgL_l1730z00_1136);
							BgL_l1730z00_1136 = BgL_l1730z00_2549;
							goto BgL_zc3anonymousza31806ze3z83_1137;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_2413,
		obj_t BgL_globalsz00_2414)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_2414);
		}
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_26)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 221 */
			{
				obj_t BgL_l1744z00_1154;

				BgL_l1744z00_1154 = BgL_nodeza2za2_26;
			BgL_zc3anonymousza31828ze3z83_1155:
				if (PAIRP(BgL_l1744z00_1154))
					{	/* Ast/shrinkify.scm 222 */
						{	/* Ast/shrinkify.scm 222 */
							obj_t BgL_arg1831z00_1157;

							BgL_arg1831z00_1157 = CAR(BgL_l1744z00_1154);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1831z00_1157));
						}
						{
							obj_t BgL_l1744z00_2557;

							BgL_l1744z00_2557 = CDR(BgL_l1744z00_1154);
							BgL_l1744z00_1154 = BgL_l1744z00_2557;
							goto BgL_zc3anonymousza31828ze3z83_1155;
						}
					}
				else
					{	/* Ast/shrinkify.scm 222 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2056z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string2057z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2058z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string2059z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!1749 */
	obj_t BGl_z62shrinkzd2nodez121749za2zzast_shrinkifyz00(obj_t BgL_envz00_2419,
		obj_t BgL_nodez00_2420)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{
				BgL_nodez00_bglt BgL_nodez00_1176;

				BgL_nodez00_1176 = ((BgL_nodez00_bglt) BgL_nodez00_2420);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2060z00zzast_shrinkifyz00, ((obj_t) BgL_nodez00_1176));
		}}
	}



/* &shrink-variable!1747 */
	obj_t BGl_z62shrinkzd2variablez121747za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2421, obj_t BgL_variablez00_2422)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{
				BgL_variablez00_bglt BgL_variablez00_1161;

				BgL_variablez00_1161 = ((BgL_variablez00_bglt) BgL_variablez00_2422);
				{	/* Ast/shrinkify.scm 38 */
					bool_t BgL_testz00_2565;

					{	/* Ast/shrinkify.scm 38 */
						bool_t BgL_testz00_2566;

						{	/* Ast/shrinkify.scm 38 */
							obj_t BgL_auxz00_2567;

							{	/* Ast/shrinkify.scm 38 */
								BgL_objectz00_bglt BgL_auxz00_2568;

								BgL_auxz00_2568 = ((BgL_objectz00_bglt) BgL_variablez00_1161);
								BgL_auxz00_2567 = BGL_OBJECT_WIDENING(BgL_auxz00_2568);
							}
							BgL_testz00_2566 = CBOOL(BgL_auxz00_2567);
						}
						if (BgL_testz00_2566)
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2565 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2565 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2565)
						{	/* Ast/shrinkify.scm 38 */
							{	/* Ast/shrinkify.scm 39 */
								long BgL_arg1836z00_1165;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg1837z00_1166;

									{	/* Ast/shrinkify.scm 39 */
										obj_t BgL_arg1839z00_1167;

										{	/* Ast/shrinkify.scm 39 */
											BgL_objectz00_bglt BgL_objectz00_2055;

											BgL_objectz00_2055 =
												((BgL_objectz00_bglt) BgL_variablez00_1161);
											{	/* Ast/shrinkify.scm 39 */
												long BgL_arg1825z00_2056;

												{	/* Ast/shrinkify.scm 39 */
													long BgL_arg1826z00_2057;

													{	/* Ast/shrinkify.scm 39 */
														long BgL_res1980z00_2059;

														BgL_res1980z00_2059 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2055);
														BgL_arg1826z00_2057 = BgL_res1980z00_2059;
													}
													BgL_arg1825z00_2056 =
														(BgL_arg1826z00_2057 - OBJECT_TYPE);
												}
												BgL_arg1839z00_1167 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2056));
										}}
										BgL_arg1837z00_1166 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1839z00_1167);
									}
									{	/* Ast/shrinkify.scm 39 */
										long BgL_res1982z00_2068;

										{	/* Ast/shrinkify.scm 39 */
											obj_t BgL_classz00_2065;

											BgL_classz00_2065 = BgL_arg1837z00_1166;
											{	/* Ast/shrinkify.scm 39 */
												obj_t BgL_vectorz00_2066;
												int BgL_kz00_2067;

												BgL_vectorz00_2066 = BgL_classz00_2065;
												BgL_kz00_2067 = (int) (((long) 1));
												BgL_res1982z00_2068 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2066,
														BgL_kz00_2067));
										}}
										BgL_arg1836z00_1165 = BgL_res1982z00_2068;
								}}
								{	/* Ast/shrinkify.scm 39 */
									BgL_objectz00_bglt BgL_objz00_2069;

									BgL_objz00_2069 = ((BgL_objectz00_bglt) BgL_variablez00_1161);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2069,
										BgL_arg1836z00_1165);
							}}
							{	/* Ast/shrinkify.scm 39 */
								BgL_objectz00_bglt BgL_auxz00_2583;

								BgL_auxz00_2583 = ((BgL_objectz00_bglt) BgL_variablez00_1161);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2583, BFALSE);
							}
							((obj_t) BgL_variablez00_1161);
						}
					else
						{	/* Ast/shrinkify.scm 38 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 40 */
					bool_t BgL_testz00_2587;

					{	/* Ast/shrinkify.scm 40 */
						bool_t BgL_testz00_2588;

						{	/* Ast/shrinkify.scm 40 */
							obj_t BgL_auxz00_2589;

							{	/* Ast/shrinkify.scm 40 */
								BgL_objectz00_bglt BgL_auxz00_2590;

								BgL_auxz00_2590 =
									((BgL_objectz00_bglt)
									(((BgL_variablez00_bglt) CREF(BgL_variablez00_1161))->
										BgL_valuez00));
								BgL_auxz00_2589 = BGL_OBJECT_WIDENING(BgL_auxz00_2590);
							}
							BgL_testz00_2588 = CBOOL(BgL_auxz00_2589);
						}
						if (BgL_testz00_2588)
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2587 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2587 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2587)
						{	/* Ast/shrinkify.scm 41 */
							BgL_valuez00_bglt BgL_o1094z00_1169;

							BgL_o1094z00_1169 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_1161))->
								BgL_valuez00);
							{	/* Ast/shrinkify.scm 41 */
								long BgL_arg1841z00_1170;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg1842z00_1171;

									{	/* Ast/shrinkify.scm 41 */
										obj_t BgL_arg1844z00_1172;

										{	/* Ast/shrinkify.scm 41 */
											BgL_objectz00_bglt BgL_objectz00_2080;

											BgL_objectz00_2080 =
												((BgL_objectz00_bglt) BgL_o1094z00_1169);
											{	/* Ast/shrinkify.scm 41 */
												long BgL_arg1825z00_2081;

												{	/* Ast/shrinkify.scm 41 */
													long BgL_arg1826z00_2082;

													{	/* Ast/shrinkify.scm 41 */
														long BgL_res1986z00_2084;

														BgL_res1986z00_2084 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2080);
														BgL_arg1826z00_2082 = BgL_res1986z00_2084;
													}
													BgL_arg1825z00_2081 =
														(BgL_arg1826z00_2082 - OBJECT_TYPE);
												}
												BgL_arg1844z00_1172 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2081));
										}}
										BgL_arg1842z00_1171 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1844z00_1172);
									}
									{	/* Ast/shrinkify.scm 41 */
										long BgL_res1988z00_2093;

										{	/* Ast/shrinkify.scm 41 */
											obj_t BgL_classz00_2090;

											BgL_classz00_2090 = BgL_arg1842z00_1171;
											{	/* Ast/shrinkify.scm 41 */
												obj_t BgL_vectorz00_2091;
												int BgL_kz00_2092;

												BgL_vectorz00_2091 = BgL_classz00_2090;
												BgL_kz00_2092 = (int) (((long) 1));
												BgL_res1988z00_2093 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2091,
														BgL_kz00_2092));
										}}
										BgL_arg1841z00_1170 = BgL_res1988z00_2093;
								}}
								{	/* Ast/shrinkify.scm 41 */
									BgL_objectz00_bglt BgL_objz00_2094;

									BgL_objz00_2094 = ((BgL_objectz00_bglt) BgL_o1094z00_1169);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2094,
										BgL_arg1841z00_1170);
							}}
							{	/* Ast/shrinkify.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_2607;

								BgL_auxz00_2607 = ((BgL_objectz00_bglt) BgL_o1094z00_1169);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2607, BFALSE);
							}
							return ((obj_t) BgL_o1094z00_1169);
						}
					else
						{	/* Ast/shrinkify.scm 40 */
							return BFALSE;
						}
				}
			}
		}
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method1748z00_1179;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res1995z00_2124;

					{	/* Ast/shrinkify.scm 37 */
						BgL_objectz00_bglt BgL_objz00_2096;

						BgL_objz00_2096 = ((BgL_objectz00_bglt) BgL_variablez00_4);
						{	/* Ast/shrinkify.scm 37 */
							long BgL_objzd2classzd2numz00_2097;

							{	/* Ast/shrinkify.scm 37 */
								long BgL_res1989z00_2100;

								BgL_res1989z00_2100 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2096);
								BgL_objzd2classzd2numz00_2097 = BgL_res1989z00_2100;
							}
							{	/* Ast/shrinkify.scm 37 */
								obj_t BgL_arg1822z00_2098;

								BgL_arg1822z00_2098 =
									PROCEDURE_REF
									(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 37 */
									obj_t BgL_arrayz00_2101;
									int BgL_offsetz00_2102;

									BgL_arrayz00_2101 = BgL_arg1822z00_2098;
									BgL_offsetz00_2102 = (int) (BgL_objzd2classzd2numz00_2097);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_offsetz00_2103;

										BgL_offsetz00_2103 =
											((long) (BgL_offsetz00_2102) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 37 */
											long BgL_modz00_2104;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg1824z00_2105;

												BgL_arg1824z00_2105 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res1992z00_2115;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_auxz00_2620;

														BgL_auxz00_2620 = (long) (BgL_arg1824z00_2105);
														BgL_res1992z00_2115 =
															(BgL_offsetz00_2103 / BgL_auxz00_2620);
													}
													BgL_modz00_2104 = BgL_res1992z00_2115;
											}}
											{	/* Ast/shrinkify.scm 37 */
												long BgL_restz00_2106;

												{	/* Ast/shrinkify.scm 37 */
													int BgL_arg1823z00_2107;

													BgL_arg1823z00_2107 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 37 */
														long BgL_res1994z00_2119;

														{	/* Ast/shrinkify.scm 37 */
															long BgL_auxz00_2624;

															BgL_auxz00_2624 = (long) (BgL_arg1823z00_2107);
															BgL_res1994z00_2119 =
																(BgL_offsetz00_2103 % BgL_auxz00_2624);
														}
														BgL_restz00_2106 = BgL_res1994z00_2119;
												}}
												{	/* Ast/shrinkify.scm 37 */

													BgL_res1995z00_2124 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2101,
															(int) (BgL_modz00_2104)),
														(int) (BgL_restz00_2106));
					}}}}}}}}
					BgL_method1748z00_1179 = BgL_res1995z00_2124;
				}
				return
					PROCEDURE_ENTRY(BgL_method1748z00_1179) (BgL_method1748z00_1179,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2415,
		obj_t BgL_variablez00_2416)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_2416));
		}
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method1750z00_1180;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res2002z00_2153;

					{	/* Ast/shrinkify.scm 46 */
						BgL_objectz00_bglt BgL_objz00_2125;

						BgL_objz00_2125 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Ast/shrinkify.scm 46 */
							long BgL_objzd2classzd2numz00_2126;

							{	/* Ast/shrinkify.scm 46 */
								long BgL_res1996z00_2129;

								BgL_res1996z00_2129 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2125);
								BgL_objzd2classzd2numz00_2126 = BgL_res1996z00_2129;
							}
							{	/* Ast/shrinkify.scm 46 */
								obj_t BgL_arg1822z00_2127;

								BgL_arg1822z00_2127 =
									PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 46 */
									obj_t BgL_arrayz00_2130;
									int BgL_offsetz00_2131;

									BgL_arrayz00_2130 = BgL_arg1822z00_2127;
									BgL_offsetz00_2131 = (int) (BgL_objzd2classzd2numz00_2126);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_offsetz00_2132;

										BgL_offsetz00_2132 =
											((long) (BgL_offsetz00_2131) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 46 */
											long BgL_modz00_2133;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg1824z00_2134;

												BgL_arg1824z00_2134 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res1999z00_2144;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_auxz00_2646;

														BgL_auxz00_2646 = (long) (BgL_arg1824z00_2134);
														BgL_res1999z00_2144 =
															(BgL_offsetz00_2132 / BgL_auxz00_2646);
													}
													BgL_modz00_2133 = BgL_res1999z00_2144;
											}}
											{	/* Ast/shrinkify.scm 46 */
												long BgL_restz00_2135;

												{	/* Ast/shrinkify.scm 46 */
													int BgL_arg1823z00_2136;

													BgL_arg1823z00_2136 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 46 */
														long BgL_res2001z00_2148;

														{	/* Ast/shrinkify.scm 46 */
															long BgL_auxz00_2650;

															BgL_auxz00_2650 = (long) (BgL_arg1823z00_2136);
															BgL_res2001z00_2148 =
																(BgL_offsetz00_2132 % BgL_auxz00_2650);
														}
														BgL_restz00_2135 = BgL_res2001z00_2148;
												}}
												{	/* Ast/shrinkify.scm 46 */

													BgL_res2002z00_2153 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2130,
															(int) (BgL_modz00_2133)),
														(int) (BgL_restz00_2135));
					}}}}}}}}
					BgL_method1750z00_1180 = BgL_res2002z00_2153;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2485;

					BgL_xz00_2485 =
						PROCEDURE_ENTRY(BgL_method1750z00_1180) (BgL_method1750z00_1180,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2423,
		obj_t BgL_nodez00_2424)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2424));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc2061z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc2063z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2064z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2065z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc2066z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2067z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2068z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc2069z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc2070z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc2071z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2072z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc2073z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_selectz00zzast_nodez00, BGl_proc2074z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2075z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2076z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2077z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2078z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2079z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2080z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2081z00zzast_shrinkifyz00,
				BGl_string2062z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!-jump-ex1796 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1796za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2445, obj_t BgL_nodez00_2446)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 213 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1357;

				BgL_nodez00_1357 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2446);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1357))->BgL_exitz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1357))->
						BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-set-ex-1794 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21794z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2447, obj_t BgL_nodez00_2448)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 204 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1350;

				BgL_nodez00_1350 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2448);
				{	/* Ast/shrinkify.scm 206 */
					BgL_varz00_bglt BgL_arg1918z00_1354;

					BgL_arg1918z00_1354 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1350))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1918z00_1354));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1350))->BgL_bodyz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-var1791 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1791za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2449, obj_t BgL_nodez00_2450)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 192 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1334;

				BgL_nodez00_1334 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2450);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1334))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 195 */
					obj_t BgL_g1743z00_1339;

					BgL_g1743z00_1339 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1334))->BgL_bindingsz00);
					{
						obj_t BgL_l1741z00_1341;

						BgL_l1741z00_1341 = BgL_g1743z00_1339;
					BgL_zc3anonymousza31913ze3z83_1342:
						if (PAIRP(BgL_l1741z00_1341))
							{	/* Ast/shrinkify.scm 195 */
								{	/* Ast/shrinkify.scm 196 */
									obj_t BgL_bindingz00_1344;

									BgL_bindingz00_1344 = CAR(BgL_l1741z00_1341);
									{	/* Ast/shrinkify.scm 196 */
										obj_t BgL_arg1915z00_1345;

										BgL_arg1915z00_1345 = CAR(BgL_bindingz00_1344);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
											((BgL_variablez00_bglt) BgL_arg1915z00_1345));
									}
									{	/* Ast/shrinkify.scm 197 */
										obj_t BgL_arg1916z00_1346;

										BgL_arg1916z00_1346 = CDR(BgL_bindingz00_1344);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1916z00_1346));
									}
								}
								{
									obj_t BgL_l1741z00_2707;

									BgL_l1741z00_2707 = CDR(BgL_l1741z00_1341);
									BgL_l1741z00_1341 = BgL_l1741z00_2707;
									goto BgL_zc3anonymousza31913ze3z83_1342;
								}
							}
						else
							{	/* Ast/shrinkify.scm 195 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-fun1789 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1789za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2451, obj_t BgL_nodez00_2452)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 178 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1310;

				BgL_nodez00_1310 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2452);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1310))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 181 */
					obj_t BgL_g1740z00_1315;

					BgL_g1740z00_1315 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1310))->BgL_localsz00);
					{
						obj_t BgL_l1738z00_1317;

						BgL_l1738z00_1317 = BgL_g1740z00_1315;
					BgL_zc3anonymousza31904ze3z83_1318:
						if (PAIRP(BgL_l1738z00_1317))
							{	/* Ast/shrinkify.scm 181 */
								{	/* Ast/shrinkify.scm 182 */
									obj_t BgL_localz00_1320;

									BgL_localz00_1320 = CAR(BgL_l1738z00_1317);
									{	/* Ast/shrinkify.scm 182 */
										BgL_valuez00_bglt BgL_sfunz00_1321;

										BgL_sfunz00_1321 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1320))))->
											BgL_valuez00);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
												(BgL_variablez00_bglt) BgL_localz00_1320));
										{	/* Ast/shrinkify.scm 184 */
											obj_t BgL_g1737z00_1322;

											BgL_g1737z00_1322 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1321)))->
												BgL_argsz00);
											{
												obj_t BgL_l1735z00_1324;

												BgL_l1735z00_1324 = BgL_g1737z00_1322;
											BgL_zc3anonymousza31906ze3z83_1325:
												if (PAIRP(BgL_l1735z00_1324))
													{	/* Ast/shrinkify.scm 184 */
														{	/* Ast/shrinkify.scm 184 */
															obj_t BgL_arg1908z00_1327;

															BgL_arg1908z00_1327 = CAR(BgL_l1735z00_1324);
															BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
																((BgL_variablez00_bglt) BgL_arg1908z00_1327));
														}
														{
															obj_t BgL_l1735z00_2728;

															BgL_l1735z00_2728 = CDR(BgL_l1735z00_1324);
															BgL_l1735z00_1324 = BgL_l1735z00_2728;
															goto BgL_zc3anonymousza31906ze3z83_1325;
														}
													}
												else
													{	/* Ast/shrinkify.scm 184 */
														((bool_t) 1);
													}
											}
										}
										{	/* Ast/shrinkify.scm 185 */
											obj_t BgL_arg1910z00_1330;

											BgL_arg1910z00_1330 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1321)))->
												BgL_bodyz00);
											BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00((
													(BgL_nodez00_bglt) BgL_arg1910z00_1330));
										}
									}
								}
								{
									obj_t BgL_l1738z00_2734;

									BgL_l1738z00_2734 = CDR(BgL_l1738z00_1317);
									BgL_l1738z00_1317 = BgL_l1738z00_2734;
									goto BgL_zc3anonymousza31904ze3z83_1318;
								}
							}
						else
							{	/* Ast/shrinkify.scm 181 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-set1786 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1786za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2453, obj_t BgL_nodez00_2454)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 169 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1299;

				BgL_nodez00_1299 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2454);
				{	/* Ast/shrinkify.scm 170 */
					bool_t BgL_testz00_2737;

					{	/* Ast/shrinkify.scm 170 */
						bool_t BgL_testz00_2738;

						{	/* Ast/shrinkify.scm 170 */
							obj_t BgL_auxz00_2739;

							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_2740;

								BgL_auxz00_2740 = ((BgL_objectz00_bglt) BgL_nodez00_1299);
								BgL_auxz00_2739 = BGL_OBJECT_WIDENING(BgL_auxz00_2740);
							}
							BgL_testz00_2738 = CBOOL(BgL_auxz00_2739);
						}
						if (BgL_testz00_2738)
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_2737 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_2737 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2737)
						{	/* Ast/shrinkify.scm 170 */
							{	/* Ast/shrinkify.scm 170 */
								long BgL_arg1898z00_1304;

								{	/* Ast/shrinkify.scm 170 */
									obj_t BgL_arg1899z00_1305;

									{	/* Ast/shrinkify.scm 170 */
										obj_t BgL_arg1900z00_1306;

										{	/* Ast/shrinkify.scm 170 */
											BgL_objectz00_bglt BgL_objectz00_2335;

											BgL_objectz00_2335 =
												((BgL_objectz00_bglt) BgL_nodez00_1299);
											{	/* Ast/shrinkify.scm 170 */
												long BgL_arg1825z00_2336;

												{	/* Ast/shrinkify.scm 170 */
													long BgL_arg1826z00_2337;

													{	/* Ast/shrinkify.scm 170 */
														long BgL_res2045z00_2339;

														BgL_res2045z00_2339 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2335);
														BgL_arg1826z00_2337 = BgL_res2045z00_2339;
													}
													BgL_arg1825z00_2336 =
														(BgL_arg1826z00_2337 - OBJECT_TYPE);
												}
												BgL_arg1900z00_1306 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2336));
										}}
										BgL_arg1899z00_1305 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1900z00_1306);
									}
									{	/* Ast/shrinkify.scm 170 */
										long BgL_res2047z00_2348;

										{	/* Ast/shrinkify.scm 170 */
											obj_t BgL_classz00_2345;

											BgL_classz00_2345 = BgL_arg1899z00_1305;
											{	/* Ast/shrinkify.scm 170 */
												obj_t BgL_vectorz00_2346;
												int BgL_kz00_2347;

												BgL_vectorz00_2346 = BgL_classz00_2345;
												BgL_kz00_2347 = (int) (((long) 1));
												BgL_res2047z00_2348 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2346,
														BgL_kz00_2347));
										}}
										BgL_arg1898z00_1304 = BgL_res2047z00_2348;
								}}
								{	/* Ast/shrinkify.scm 170 */
									BgL_objectz00_bglt BgL_objz00_2349;

									BgL_objz00_2349 = ((BgL_objectz00_bglt) BgL_nodez00_1299);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2349,
										BgL_arg1898z00_1304);
							}}
							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_2755;

								BgL_auxz00_2755 = ((BgL_objectz00_bglt) BgL_nodez00_1299);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2755, BFALSE);
							}
							((obj_t) BgL_nodez00_1299);
						}
					else
						{	/* Ast/shrinkify.scm 170 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 171 */
					BgL_varz00_bglt BgL_arg1901z00_1307;

					BgL_arg1901z00_1307 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1299))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1901z00_1307));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1299))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-ref1783 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1783za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2455, obj_t BgL_nodez00_2456)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 161 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1289;

				BgL_nodez00_1289 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2456);
				{	/* Ast/shrinkify.scm 162 */
					bool_t BgL_testz00_2765;

					{	/* Ast/shrinkify.scm 162 */
						bool_t BgL_testz00_2766;

						{	/* Ast/shrinkify.scm 162 */
							obj_t BgL_auxz00_2767;

							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_2768;

								BgL_auxz00_2768 = ((BgL_objectz00_bglt) BgL_nodez00_1289);
								BgL_auxz00_2767 = BGL_OBJECT_WIDENING(BgL_auxz00_2768);
							}
							BgL_testz00_2766 = CBOOL(BgL_auxz00_2767);
						}
						if (BgL_testz00_2766)
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_2765 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_2765 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2765)
						{	/* Ast/shrinkify.scm 162 */
							{	/* Ast/shrinkify.scm 162 */
								long BgL_arg1893z00_1294;

								{	/* Ast/shrinkify.scm 162 */
									obj_t BgL_arg1894z00_1295;

									{	/* Ast/shrinkify.scm 162 */
										obj_t BgL_arg1895z00_1296;

										{	/* Ast/shrinkify.scm 162 */
											BgL_objectz00_bglt BgL_objectz00_2313;

											BgL_objectz00_2313 =
												((BgL_objectz00_bglt) BgL_nodez00_1289);
											{	/* Ast/shrinkify.scm 162 */
												long BgL_arg1825z00_2314;

												{	/* Ast/shrinkify.scm 162 */
													long BgL_arg1826z00_2315;

													{	/* Ast/shrinkify.scm 162 */
														long BgL_res2040z00_2317;

														BgL_res2040z00_2317 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2313);
														BgL_arg1826z00_2315 = BgL_res2040z00_2317;
													}
													BgL_arg1825z00_2314 =
														(BgL_arg1826z00_2315 - OBJECT_TYPE);
												}
												BgL_arg1895z00_1296 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2314));
										}}
										BgL_arg1894z00_1295 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1895z00_1296);
									}
									{	/* Ast/shrinkify.scm 162 */
										long BgL_res2042z00_2326;

										{	/* Ast/shrinkify.scm 162 */
											obj_t BgL_classz00_2323;

											BgL_classz00_2323 = BgL_arg1894z00_1295;
											{	/* Ast/shrinkify.scm 162 */
												obj_t BgL_vectorz00_2324;
												int BgL_kz00_2325;

												BgL_vectorz00_2324 = BgL_classz00_2323;
												BgL_kz00_2325 = (int) (((long) 1));
												BgL_res2042z00_2326 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2324,
														BgL_kz00_2325));
										}}
										BgL_arg1893z00_1294 = BgL_res2042z00_2326;
								}}
								{	/* Ast/shrinkify.scm 162 */
									BgL_objectz00_bglt BgL_objz00_2327;

									BgL_objz00_2327 = ((BgL_objectz00_bglt) BgL_nodez00_1289);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2327,
										BgL_arg1893z00_1294);
							}}
							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_2783;

								BgL_auxz00_2783 = ((BgL_objectz00_bglt) BgL_nodez00_1289);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2783, BFALSE);
							}
							((obj_t) BgL_nodez00_1289);
						}
					else
						{	/* Ast/shrinkify.scm 162 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 163 */
					BgL_varz00_bglt BgL_arg1896z00_1297;

					BgL_arg1896z00_1297 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1289))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1896z00_1297));
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-make-bo1780 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1780za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2457, obj_t BgL_nodez00_2458)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 153 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1279;

				BgL_nodez00_1279 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2458);
				{	/* Ast/shrinkify.scm 154 */
					bool_t BgL_testz00_2791;

					{	/* Ast/shrinkify.scm 154 */
						bool_t BgL_testz00_2792;

						{	/* Ast/shrinkify.scm 154 */
							obj_t BgL_auxz00_2793;

							{	/* Ast/shrinkify.scm 154 */
								BgL_objectz00_bglt BgL_auxz00_2794;

								BgL_auxz00_2794 = ((BgL_objectz00_bglt) BgL_nodez00_1279);
								BgL_auxz00_2793 = BGL_OBJECT_WIDENING(BgL_auxz00_2794);
							}
							BgL_testz00_2792 = CBOOL(BgL_auxz00_2793);
						}
						if (BgL_testz00_2792)
							{	/* Ast/shrinkify.scm 154 */
								BgL_testz00_2791 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 154 */
								BgL_testz00_2791 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2791)
						{	/* Ast/shrinkify.scm 154 */
							{	/* Ast/shrinkify.scm 154 */
								long BgL_arg1888z00_1284;

								{	/* Ast/shrinkify.scm 154 */
									obj_t BgL_arg1889z00_1285;

									{	/* Ast/shrinkify.scm 154 */
										obj_t BgL_arg1890z00_1286;

										{	/* Ast/shrinkify.scm 154 */
											BgL_objectz00_bglt BgL_objectz00_2291;

											BgL_objectz00_2291 =
												((BgL_objectz00_bglt) BgL_nodez00_1279);
											{	/* Ast/shrinkify.scm 154 */
												long BgL_arg1825z00_2292;

												{	/* Ast/shrinkify.scm 154 */
													long BgL_arg1826z00_2293;

													{	/* Ast/shrinkify.scm 154 */
														long BgL_res2035z00_2295;

														BgL_res2035z00_2295 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2291);
														BgL_arg1826z00_2293 = BgL_res2035z00_2295;
													}
													BgL_arg1825z00_2292 =
														(BgL_arg1826z00_2293 - OBJECT_TYPE);
												}
												BgL_arg1890z00_1286 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2292));
										}}
										BgL_arg1889z00_1285 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1890z00_1286);
									}
									{	/* Ast/shrinkify.scm 154 */
										long BgL_res2037z00_2304;

										{	/* Ast/shrinkify.scm 154 */
											obj_t BgL_classz00_2301;

											BgL_classz00_2301 = BgL_arg1889z00_1285;
											{	/* Ast/shrinkify.scm 154 */
												obj_t BgL_vectorz00_2302;
												int BgL_kz00_2303;

												BgL_vectorz00_2302 = BgL_classz00_2301;
												BgL_kz00_2303 = (int) (((long) 1));
												BgL_res2037z00_2304 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2302,
														BgL_kz00_2303));
										}}
										BgL_arg1888z00_1284 = BgL_res2037z00_2304;
								}}
								{	/* Ast/shrinkify.scm 154 */
									BgL_objectz00_bglt BgL_objz00_2305;

									BgL_objz00_2305 = ((BgL_objectz00_bglt) BgL_nodez00_1279);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2305,
										BgL_arg1888z00_1284);
							}}
							{	/* Ast/shrinkify.scm 154 */
								BgL_objectz00_bglt BgL_auxz00_2809;

								BgL_auxz00_2809 = ((BgL_objectz00_bglt) BgL_nodez00_1279);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2809, BFALSE);
							}
							((obj_t) BgL_nodez00_1279);
						}
					else
						{	/* Ast/shrinkify.scm 154 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1279))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-select1778 */
	obj_t BGl_z62shrinkzd2nodez12zd2select1778z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2459, obj_t BgL_nodez00_2460)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 143 */
			{
				BgL_selectz00_bglt BgL_nodez00_1265;

				BgL_nodez00_1265 = ((BgL_selectz00_bglt) BgL_nodez00_2460);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1265))->BgL_testz00));
				{	/* Ast/shrinkify.scm 145 */
					obj_t BgL_g1734z00_1269;

					BgL_g1734z00_1269 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1265))->BgL_clausesz00);
					{
						obj_t BgL_l1732z00_1271;

						BgL_l1732z00_1271 = BgL_g1734z00_1269;
					BgL_zc3anonymousza31882ze3z83_1272:
						if (PAIRP(BgL_l1732z00_1271))
							{	/* Ast/shrinkify.scm 147 */
								{	/* Ast/shrinkify.scm 146 */
									obj_t BgL_clausez00_1274;

									BgL_clausez00_1274 = CAR(BgL_l1732z00_1271);
									{	/* Ast/shrinkify.scm 146 */
										obj_t BgL_arg1885z00_1275;

										BgL_arg1885z00_1275 = CDR(BgL_clausez00_1274);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1885z00_1275));
									}
								}
								{
									obj_t BgL_l1732z00_2825;

									BgL_l1732z00_2825 = CDR(BgL_l1732z00_1271);
									BgL_l1732z00_1271 = BgL_l1732z00_2825;
									goto BgL_zc3anonymousza31882ze3z83_1272;
								}
							}
						else
							{	/* Ast/shrinkify.scm 147 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-fail1775 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1775z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2461, obj_t BgL_nodez00_2462)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 134 */
			{
				BgL_failz00_bglt BgL_nodez00_1258;

				BgL_nodez00_1258 = ((BgL_failz00_bglt) BgL_nodez00_2462);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1258))->BgL_procz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1258))->BgL_msgz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1258))->BgL_objz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-conditi1773 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1773z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2463, obj_t BgL_nodez00_2464)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 125 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1251;

				BgL_nodez00_1251 = ((BgL_conditionalz00_bglt) BgL_nodez00_2464);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1251))->BgL_testz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1251))->BgL_truez00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1251))->BgL_falsez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-setq1771 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1771z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2465, obj_t BgL_nodez00_2466)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 118 */
			{
				BgL_setqz00_bglt BgL_nodez00_1246;

				BgL_nodez00_1246 = ((BgL_setqz00_bglt) BgL_nodez00_2466);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1246))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-cast1768 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1768z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2467, obj_t BgL_nodez00_2468)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 111 */
			{
				BgL_castz00_bglt BgL_nodez00_1241;

				BgL_nodez00_1241 = ((BgL_castz00_bglt) BgL_nodez00_2468);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1241))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-extern1766 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1766z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2469, obj_t BgL_nodez00_2470)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 103 */
			{
				BgL_externz00_bglt BgL_nodez00_1231;

				BgL_nodez00_1231 = ((BgL_externz00_bglt) BgL_nodez00_2470);
				{	/* Ast/shrinkify.scm 104 */
					bool_t BgL_testz00_2848;

					{	/* Ast/shrinkify.scm 104 */
						bool_t BgL_testz00_2849;

						{	/* Ast/shrinkify.scm 104 */
							obj_t BgL_auxz00_2850;

							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_2851;

								BgL_auxz00_2851 = ((BgL_objectz00_bglt) BgL_nodez00_1231);
								BgL_auxz00_2850 = BGL_OBJECT_WIDENING(BgL_auxz00_2851);
							}
							BgL_testz00_2849 = CBOOL(BgL_auxz00_2850);
						}
						if (BgL_testz00_2849)
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_2848 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_2848 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2848)
						{	/* Ast/shrinkify.scm 104 */
							{	/* Ast/shrinkify.scm 104 */
								long BgL_arg1868z00_1236;

								{	/* Ast/shrinkify.scm 104 */
									obj_t BgL_arg1870z00_1237;

									{	/* Ast/shrinkify.scm 104 */
										obj_t BgL_arg1871z00_1238;

										{	/* Ast/shrinkify.scm 104 */
											BgL_objectz00_bglt BgL_objectz00_2233;

											BgL_objectz00_2233 =
												((BgL_objectz00_bglt) BgL_nodez00_1231);
											{	/* Ast/shrinkify.scm 104 */
												long BgL_arg1825z00_2234;

												{	/* Ast/shrinkify.scm 104 */
													long BgL_arg1826z00_2235;

													{	/* Ast/shrinkify.scm 104 */
														long BgL_res2020z00_2237;

														BgL_res2020z00_2237 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2233);
														BgL_arg1826z00_2235 = BgL_res2020z00_2237;
													}
													BgL_arg1825z00_2234 =
														(BgL_arg1826z00_2235 - OBJECT_TYPE);
												}
												BgL_arg1871z00_1238 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2234));
										}}
										BgL_arg1870z00_1237 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1871z00_1238);
									}
									{	/* Ast/shrinkify.scm 104 */
										long BgL_res2022z00_2246;

										{	/* Ast/shrinkify.scm 104 */
											obj_t BgL_classz00_2243;

											BgL_classz00_2243 = BgL_arg1870z00_1237;
											{	/* Ast/shrinkify.scm 104 */
												obj_t BgL_vectorz00_2244;
												int BgL_kz00_2245;

												BgL_vectorz00_2244 = BgL_classz00_2243;
												BgL_kz00_2245 = (int) (((long) 1));
												BgL_res2022z00_2246 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2244,
														BgL_kz00_2245));
										}}
										BgL_arg1868z00_1236 = BgL_res2022z00_2246;
								}}
								{	/* Ast/shrinkify.scm 104 */
									BgL_objectz00_bglt BgL_objz00_2247;

									BgL_objz00_2247 = ((BgL_objectz00_bglt) BgL_nodez00_1231);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2247,
										BgL_arg1868z00_1236);
							}}
							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_2866;

								BgL_auxz00_2866 = ((BgL_objectz00_bglt) BgL_nodez00_1231);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2866, BFALSE);
							}
							((obj_t) BgL_nodez00_1231);
						}
					else
						{	/* Ast/shrinkify.scm 104 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1231))->BgL_exprza2za2));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-funcall1764 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1764z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2471, obj_t BgL_nodez00_2472)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 94 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1220;

				BgL_nodez00_1220 = ((BgL_funcallz00_bglt) BgL_nodez00_2472);
				{	/* Ast/shrinkify.scm 95 */
					bool_t BgL_testz00_2873;

					{	/* Ast/shrinkify.scm 95 */
						bool_t BgL_testz00_2874;

						{	/* Ast/shrinkify.scm 95 */
							obj_t BgL_auxz00_2875;

							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_2876;

								BgL_auxz00_2876 = ((BgL_objectz00_bglt) BgL_nodez00_1220);
								BgL_auxz00_2875 = BGL_OBJECT_WIDENING(BgL_auxz00_2876);
							}
							BgL_testz00_2874 = CBOOL(BgL_auxz00_2875);
						}
						if (BgL_testz00_2874)
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_2873 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_2873 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2873)
						{	/* Ast/shrinkify.scm 95 */
							{	/* Ast/shrinkify.scm 95 */
								long BgL_arg1861z00_1225;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg1863z00_1226;

									{	/* Ast/shrinkify.scm 95 */
										obj_t BgL_arg1864z00_1227;

										{	/* Ast/shrinkify.scm 95 */
											BgL_objectz00_bglt BgL_objectz00_2209;

											BgL_objectz00_2209 =
												((BgL_objectz00_bglt) BgL_nodez00_1220);
											{	/* Ast/shrinkify.scm 95 */
												long BgL_arg1825z00_2210;

												{	/* Ast/shrinkify.scm 95 */
													long BgL_arg1826z00_2211;

													{	/* Ast/shrinkify.scm 95 */
														long BgL_res2015z00_2213;

														BgL_res2015z00_2213 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2209);
														BgL_arg1826z00_2211 = BgL_res2015z00_2213;
													}
													BgL_arg1825z00_2210 =
														(BgL_arg1826z00_2211 - OBJECT_TYPE);
												}
												BgL_arg1864z00_1227 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2210));
										}}
										BgL_arg1863z00_1226 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1864z00_1227);
									}
									{	/* Ast/shrinkify.scm 95 */
										long BgL_res2017z00_2222;

										{	/* Ast/shrinkify.scm 95 */
											obj_t BgL_classz00_2219;

											BgL_classz00_2219 = BgL_arg1863z00_1226;
											{	/* Ast/shrinkify.scm 95 */
												obj_t BgL_vectorz00_2220;
												int BgL_kz00_2221;

												BgL_vectorz00_2220 = BgL_classz00_2219;
												BgL_kz00_2221 = (int) (((long) 1));
												BgL_res2017z00_2222 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2220,
														BgL_kz00_2221));
										}}
										BgL_arg1861z00_1225 = BgL_res2017z00_2222;
								}}
								{	/* Ast/shrinkify.scm 95 */
									BgL_objectz00_bglt BgL_objz00_2223;

									BgL_objz00_2223 = ((BgL_objectz00_bglt) BgL_nodez00_1220);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2223,
										BgL_arg1861z00_1225);
							}}
							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_2891;

								BgL_auxz00_2891 = ((BgL_objectz00_bglt) BgL_nodez00_1220);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2891, BFALSE);
							}
							((obj_t) BgL_nodez00_1220);
						}
					else
						{	/* Ast/shrinkify.scm 95 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1220))->BgL_funz00));
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1220))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app-ly1762 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1762za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2473, obj_t BgL_nodez00_2474)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 85 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1209;

				BgL_nodez00_1209 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2474);
				{	/* Ast/shrinkify.scm 86 */
					bool_t BgL_testz00_2900;

					{	/* Ast/shrinkify.scm 86 */
						bool_t BgL_testz00_2901;

						{	/* Ast/shrinkify.scm 86 */
							obj_t BgL_auxz00_2902;

							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_2903;

								BgL_auxz00_2903 = ((BgL_objectz00_bglt) BgL_nodez00_1209);
								BgL_auxz00_2902 = BGL_OBJECT_WIDENING(BgL_auxz00_2903);
							}
							BgL_testz00_2901 = CBOOL(BgL_auxz00_2902);
						}
						if (BgL_testz00_2901)
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_2900 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_2900 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2900)
						{	/* Ast/shrinkify.scm 86 */
							{	/* Ast/shrinkify.scm 86 */
								long BgL_arg1855z00_1214;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg1856z00_1215;

									{	/* Ast/shrinkify.scm 86 */
										obj_t BgL_arg1857z00_1216;

										{	/* Ast/shrinkify.scm 86 */
											BgL_objectz00_bglt BgL_objectz00_2184;

											BgL_objectz00_2184 =
												((BgL_objectz00_bglt) BgL_nodez00_1209);
											{	/* Ast/shrinkify.scm 86 */
												long BgL_arg1825z00_2185;

												{	/* Ast/shrinkify.scm 86 */
													long BgL_arg1826z00_2186;

													{	/* Ast/shrinkify.scm 86 */
														long BgL_res2009z00_2188;

														BgL_res2009z00_2188 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2184);
														BgL_arg1826z00_2186 = BgL_res2009z00_2188;
													}
													BgL_arg1825z00_2185 =
														(BgL_arg1826z00_2186 - OBJECT_TYPE);
												}
												BgL_arg1857z00_1216 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2185));
										}}
										BgL_arg1856z00_1215 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1857z00_1216);
									}
									{	/* Ast/shrinkify.scm 86 */
										long BgL_res2011z00_2197;

										{	/* Ast/shrinkify.scm 86 */
											obj_t BgL_classz00_2194;

											BgL_classz00_2194 = BgL_arg1856z00_1215;
											{	/* Ast/shrinkify.scm 86 */
												obj_t BgL_vectorz00_2195;
												int BgL_kz00_2196;

												BgL_vectorz00_2195 = BgL_classz00_2194;
												BgL_kz00_2196 = (int) (((long) 1));
												BgL_res2011z00_2197 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2195,
														BgL_kz00_2196));
										}}
										BgL_arg1855z00_1214 = BgL_res2011z00_2197;
								}}
								{	/* Ast/shrinkify.scm 86 */
									BgL_objectz00_bglt BgL_objz00_2198;

									BgL_objz00_2198 = ((BgL_objectz00_bglt) BgL_nodez00_1209);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2198,
										BgL_arg1855z00_1214);
							}}
							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_2918;

								BgL_auxz00_2918 = ((BgL_objectz00_bglt) BgL_nodez00_1209);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2918, BFALSE);
							}
							((obj_t) BgL_nodez00_1209);
						}
					else
						{	/* Ast/shrinkify.scm 86 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1209))->BgL_funz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1209))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app1760 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1760z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2475, obj_t BgL_nodez00_2476)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 76 */
			{
				BgL_appz00_bglt BgL_nodez00_1198;

				BgL_nodez00_1198 = ((BgL_appz00_bglt) BgL_nodez00_2476);
				{	/* Ast/shrinkify.scm 77 */
					bool_t BgL_testz00_2927;

					{	/* Ast/shrinkify.scm 77 */
						bool_t BgL_testz00_2928;

						{	/* Ast/shrinkify.scm 77 */
							obj_t BgL_auxz00_2929;

							{	/* Ast/shrinkify.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_2930;

								BgL_auxz00_2930 = ((BgL_objectz00_bglt) BgL_nodez00_1198);
								BgL_auxz00_2929 = BGL_OBJECT_WIDENING(BgL_auxz00_2930);
							}
							BgL_testz00_2928 = CBOOL(BgL_auxz00_2929);
						}
						if (BgL_testz00_2928)
							{	/* Ast/shrinkify.scm 77 */
								BgL_testz00_2927 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 77 */
								BgL_testz00_2927 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2927)
						{	/* Ast/shrinkify.scm 77 */
							{	/* Ast/shrinkify.scm 77 */
								long BgL_arg1849z00_1203;

								{	/* Ast/shrinkify.scm 77 */
									obj_t BgL_arg1850z00_1204;

									{	/* Ast/shrinkify.scm 77 */
										obj_t BgL_arg1851z00_1205;

										{	/* Ast/shrinkify.scm 77 */
											BgL_objectz00_bglt BgL_objectz00_2160;

											BgL_objectz00_2160 =
												((BgL_objectz00_bglt) BgL_nodez00_1198);
											{	/* Ast/shrinkify.scm 77 */
												long BgL_arg1825z00_2161;

												{	/* Ast/shrinkify.scm 77 */
													long BgL_arg1826z00_2162;

													{	/* Ast/shrinkify.scm 77 */
														long BgL_res2004z00_2164;

														BgL_res2004z00_2164 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2160);
														BgL_arg1826z00_2162 = BgL_res2004z00_2164;
													}
													BgL_arg1825z00_2161 =
														(BgL_arg1826z00_2162 - OBJECT_TYPE);
												}
												BgL_arg1851z00_1205 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2161));
										}}
										BgL_arg1850z00_1204 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1851z00_1205);
									}
									{	/* Ast/shrinkify.scm 77 */
										long BgL_res2006z00_2173;

										{	/* Ast/shrinkify.scm 77 */
											obj_t BgL_classz00_2170;

											BgL_classz00_2170 = BgL_arg1850z00_1204;
											{	/* Ast/shrinkify.scm 77 */
												obj_t BgL_vectorz00_2171;
												int BgL_kz00_2172;

												BgL_vectorz00_2171 = BgL_classz00_2170;
												BgL_kz00_2172 = (int) (((long) 1));
												BgL_res2006z00_2173 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2171,
														BgL_kz00_2172));
										}}
										BgL_arg1849z00_1203 = BgL_res2006z00_2173;
								}}
								{	/* Ast/shrinkify.scm 77 */
									BgL_objectz00_bglt BgL_objz00_2174;

									BgL_objz00_2174 = ((BgL_objectz00_bglt) BgL_nodez00_1198);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2174,
										BgL_arg1849z00_1203);
							}}
							{	/* Ast/shrinkify.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_2945;

								BgL_auxz00_2945 = ((BgL_objectz00_bglt) BgL_nodez00_1198);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2945, BFALSE);
							}
							((obj_t) BgL_nodez00_1198);
						}
					else
						{	/* Ast/shrinkify.scm 77 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 78 */
					BgL_varz00_bglt BgL_arg1852z00_1206;

					BgL_arg1852z00_1206 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1198))->BgL_funz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1852z00_1206));
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1198))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sequenc1758 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1758z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2477, obj_t BgL_nodez00_2478)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 69 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1193;

				BgL_nodez00_1193 = ((BgL_sequencez00_bglt) BgL_nodez00_2478);
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1193))->BgL_nodesz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-kwote1756 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1756z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2479, obj_t BgL_nodez00_2480)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-var1754 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1754z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2481, obj_t BgL_nodez00_2482)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-atom1752 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1752z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2483, obj_t BgL_nodez00_2484)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2082z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2082z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2082z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2082z00zzast_shrinkifyz00));
		}
	}

#ifdef __cplusplus
}
#endif
