/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/substitute.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1798za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1786za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1789za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1780z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21794za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21796za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1764z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1766za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2selec1783z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1768z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1760z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1800za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1773z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1775z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_substitutez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1762z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1758z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1756z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_z62dozd2substitutez121753za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1791za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1771z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1778z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2070z00,
		BGl_z62dozd2substitutez121753za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2071z00,
		BGl_z62dozd2substitutez12zd2atom1756z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2072z00,
		BGl_z62dozd2substitutez12zd2var1758z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2073z00,
		BGl_z62dozd2substitutez12zd2kwote1760z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2074z00,
		BGl_z62dozd2substitutez12zd2seque1762z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2075z00,
		BGl_z62dozd2substitutez12zd2app1764z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2076z00,
		BGl_z62dozd2substitutez12zd2appzd2l1766za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2077z00,
		BGl_z62dozd2substitutez12zd2funca1768z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2078z00,
		BGl_z62dozd2substitutez12zd2exter1771z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2079z00,
		BGl_z62dozd2substitutez12zd2cast1773z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2080z00,
		BGl_z62dozd2substitutez12zd2setq1775z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2081z00,
		BGl_z62dozd2substitutez12zd2condi1778z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2082z00,
		BGl_z62dozd2substitutez12zd2fail1780z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2083z00,
		BGl_z62dozd2substitutez12zd2selec1783z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2084z00,
		BGl_z62dozd2substitutez12zd2letzd2f1786za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2085z00,
		BGl_z62dozd2substitutez12zd2letzd2v1789za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2086z00,
		BGl_z62dozd2substitutez12zd2setzd2e1791za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2087z00,
		BGl_z62dozd2substitutez12zd2jumpzd21794za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2088z00,
		BGl_z62dozd2substitutez12zd2makezd21796za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2089z00,
		BGl_z62dozd2substitutez12zd2boxzd2r1798za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2090z00,
		BGl_z62dozd2substitutez12zd2boxzd2s1800za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2091z00,
		BGl_z62dozd2substitutez12za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2039z00zzast_substitutez00,
		BgL_bgl_string2039za700za7za7a2092za7, "do-substitute!1753", 18);
	      DEFINE_STRING(BGl_string2040z00zzast_substitutez00,
		BgL_bgl_string2040za700za7za7a2093za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2042z00zzast_substitutez00,
		BgL_bgl_string2042za700za7za7a2094za7, "do-substitute!", 14);
	      DEFINE_STRING(BGl_string2062z00zzast_substitutez00,
		BgL_bgl_string2062za700za7za7a2095za7, "Illegal application", 19);
	      DEFINE_STRING(BGl_string2063z00zzast_substitutez00,
		BgL_bgl_string2063za700za7za7a2096za7, "wrong number of argument(s)", 27);
	      DEFINE_STRING(BGl_string2064z00zzast_substitutez00,
		BgL_bgl_string2064za700za7za7a2097za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string2065z00zzast_substitutez00,
		BgL_bgl_string2065za700za7za7a2098za7, "Illegal substitution", 20);
	      DEFINE_STRING(BGl_string2066z00zzast_substitutez00,
		BgL_bgl_string2066za700za7za7a2099za7, "ast_substitute", 14);
	      DEFINE_STRING(BGl_string2067z00zzast_substitutez00,
		BgL_bgl_string2067za700za7za7a2100za7,
		"apply funcall set! app do-substitute!1753 value done ", 53);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl_za762substituteza7122101z00,
		BGl_z62substitutez12z70zzast_substitutez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2501, char *BgL_fromz00_2502)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_substitute");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2489;

				BgL_cportz00_2489 =
					bgl_open_input_string(BGl_string2067z00zzast_substitutez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2490;

					BgL_iz00_2490 = ((long) 6);
				BgL_loopz00_2491:
					if ((BgL_iz00_2490 == ((long) -1)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg2069z00_2493;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2495;

										BgL_locationz00_2495 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg2069z00_2493 =
												BGl_readz00zz__readerz00(BgL_cportz00_2489,
												BgL_locationz00_2495);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_auxz00_2523;

									BgL_auxz00_2523 = (int) (BgL_iz00_2490);
									CNST_TABLE_SET(BgL_auxz00_2523, BgL_arg2069z00_2493);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2496;

								BgL_auxz00_2496 = (int) ((BgL_iz00_2490 - ((long) 1)));
								{
									long BgL_iz00_2528;

									BgL_iz00_2528 = (long) (BgL_auxz00_2496);
									BgL_iz00_2490 = BgL_iz00_2528;
									goto BgL_loopz00_2491;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_3,
		obj_t BgL_byza2za2_4, BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll1734z00_1159;
				obj_t BgL_ll1735z00_1160;

				BgL_ll1734z00_1159 = BgL_whatza2za2_3;
				BgL_ll1735z00_1160 = BgL_byza2za2_4;
			BgL_zc3anonymousza31805ze3z83_1161:
				if (NULLP(BgL_ll1734z00_1159))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_1163;
							obj_t BgL_byz00_1164;

							BgL_whatz00_1163 = CAR(BgL_ll1734z00_1159);
							BgL_byz00_1164 = CAR(BgL_ll1735z00_1160);
							{	/* Ast/substitute.scm 39 */
								BgL_variablez00_bglt BgL_oz00_2100;

								BgL_oz00_2100 = ((BgL_variablez00_bglt) BgL_whatz00_1163);
								((((BgL_variablez00_bglt) CREF(BgL_oz00_2100))->
										BgL_fastzd2alphazd2) = ((obj_t) BgL_byz00_1164), BUNSPEC);
							}
						}
						{
							obj_t BgL_ll1735z00_2538;
							obj_t BgL_ll1734z00_2536;

							BgL_ll1734z00_2536 = CDR(BgL_ll1734z00_1159);
							BgL_ll1735z00_2538 = CDR(BgL_ll1735z00_1160);
							BgL_ll1735z00_1160 = BgL_ll1735z00_2538;
							BgL_ll1734z00_1159 = BgL_ll1734z00_2536;
							goto BgL_zc3anonymousza31805ze3z83_1161;
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_1168;

				BgL_resz00_1168 =
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_5,
					BgL_sitez00_6);
				{
					obj_t BgL_l1737z00_1170;

					BgL_l1737z00_1170 = BgL_whatza2za2_3;
				BgL_zc3anonymousza31816ze3z83_1171:
					if (PAIRP(BgL_l1737z00_1170))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_1173;

								BgL_whatz00_1173 = CAR(BgL_l1737z00_1170);
								{	/* Ast/substitute.scm 45 */
									BgL_variablez00_bglt BgL_oz00_2108;

									BgL_oz00_2108 = ((BgL_variablez00_bglt) BgL_whatz00_1173);
									((((BgL_variablez00_bglt) CREF(BgL_oz00_2108))->
											BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
								}
							}
							{
								obj_t BgL_l1737z00_2546;

								BgL_l1737z00_2546 = CDR(BgL_l1737z00_1170);
								BgL_l1737z00_1170 = BgL_l1737z00_2546;
								goto BgL_zc3anonymousza31816ze3z83_1171;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_1168;
			}
		}
	}



/* &substitute! */
	BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t
		BgL_envz00_2397, obj_t BgL_whatza2za2_2398, obj_t BgL_byza2za2_2399,
		obj_t BgL_nodez00_2400, obj_t BgL_sitez00_2401)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			return
				BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_2398,
				BgL_byza2za2_2399, ((BgL_nodez00_bglt) BgL_nodez00_2400),
				BgL_sitez00_2401);
		}
	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_49,
		obj_t BgL_sitez00_50)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 271 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_49))
				{	/* Ast/substitute.scm 273 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Ast/substitute.scm 273 */
					if (NULLP(CDR(BgL_nodeza2za2_49)))
						{	/* Ast/substitute.scm 275 */
							{	/* Ast/substitute.scm 276 */
								BgL_nodez00_bglt BgL_arg1827z00_1178;

								{	/* Ast/substitute.scm 276 */
									obj_t BgL_arg1830z00_1179;

									BgL_arg1830z00_1179 = CAR(BgL_nodeza2za2_49);
									BgL_arg1827z00_1178 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1830z00_1179), BgL_sitez00_50);
								}
								{	/* Ast/substitute.scm 276 */
									obj_t BgL_pairz00_2118;
									obj_t BgL_objz00_2119;

									BgL_pairz00_2118 = BgL_nodeza2za2_49;
									BgL_objz00_2119 = ((obj_t) BgL_arg1827z00_1178);
									SET_CAR(BgL_pairz00_2118, BgL_objz00_2119);
								}
							}
							return CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Ast/substitute.scm 275 */
							{	/* Ast/substitute.scm 279 */
								BgL_nodez00_bglt BgL_arg1831z00_1180;

								{	/* Ast/substitute.scm 279 */
									obj_t BgL_arg1832z00_1181;

									BgL_arg1832z00_1181 = CAR(BgL_nodeza2za2_49);
									BgL_arg1831z00_1180 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1832z00_1181),
										CNST_TABLE_REF(((long) 1)));
								}
								{	/* Ast/substitute.scm 279 */
									obj_t BgL_pairz00_2121;
									obj_t BgL_objz00_2122;

									BgL_pairz00_2121 = BgL_nodeza2za2_49;
									BgL_objz00_2122 = ((obj_t) BgL_arg1831z00_1180);
									SET_CAR(BgL_pairz00_2121, BgL_objz00_2122);
							}}
							{
								obj_t BgL_nodeza2za2_2568;

								BgL_nodeza2za2_2568 = CDR(BgL_nodeza2za2_49);
								BgL_nodeza2za2_49 = BgL_nodeza2za2_2568;
								goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
							}
						}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_proc2038z00zzast_substitutez00, BGl_nodez00zzast_nodez00,
				BGl_string2039z00zzast_substitutez00);
		}
	}



/* &do-substitute!1753 */
	obj_t BGl_z62dozd2substitutez121753za2zzast_substitutez00(obj_t
		BgL_envz00_2403, obj_t BgL_nodez00_2404, obj_t BgL_sitez00_2405)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			{
				BgL_nodez00_bglt BgL_nodez00_1185;
				obj_t BgL_sitez00_1186;

				BgL_nodez00_1185 = ((BgL_nodez00_bglt) BgL_nodez00_2404);
				BgL_sitez00_1186 = BgL_sitez00_2405;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string2040z00zzast_substitutez00, ((obj_t) BgL_nodez00_1185));
		}}
	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method1754z00_1189;

				{	/* Ast/substitute.scm 52 */
					obj_t BgL_res1995z00_2152;

					{	/* Ast/substitute.scm 52 */
						BgL_objectz00_bglt BgL_objz00_2124;

						BgL_objz00_2124 = ((BgL_objectz00_bglt) BgL_nodez00_7);
						{	/* Ast/substitute.scm 52 */
							long BgL_objzd2classzd2numz00_2125;

							{	/* Ast/substitute.scm 52 */
								long BgL_res1989z00_2128;

								BgL_res1989z00_2128 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2124);
								BgL_objzd2classzd2numz00_2125 = BgL_res1989z00_2128;
							}
							{	/* Ast/substitute.scm 52 */
								obj_t BgL_arg1822z00_2126;

								BgL_arg1822z00_2126 =
									PROCEDURE_REF
									(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
									(int) (((long) 1)));
								{	/* Ast/substitute.scm 52 */
									obj_t BgL_arrayz00_2129;
									int BgL_offsetz00_2130;

									BgL_arrayz00_2129 = BgL_arg1822z00_2126;
									BgL_offsetz00_2130 = (int) (BgL_objzd2classzd2numz00_2125);
									{	/* Ast/substitute.scm 52 */
										long BgL_offsetz00_2131;

										BgL_offsetz00_2131 =
											((long) (BgL_offsetz00_2130) - OBJECT_TYPE);
										{	/* Ast/substitute.scm 52 */
											long BgL_modz00_2132;

											{	/* Ast/substitute.scm 52 */
												int BgL_arg1824z00_2133;

												BgL_arg1824z00_2133 = (int) (((long) 16));
												{	/* Ast/substitute.scm 52 */
													long BgL_res1992z00_2143;

													{	/* Ast/substitute.scm 52 */
														long BgL_auxz00_2583;

														BgL_auxz00_2583 = (long) (BgL_arg1824z00_2133);
														BgL_res1992z00_2143 =
															(BgL_offsetz00_2131 / BgL_auxz00_2583);
													}
													BgL_modz00_2132 = BgL_res1992z00_2143;
											}}
											{	/* Ast/substitute.scm 52 */
												long BgL_restz00_2134;

												{	/* Ast/substitute.scm 52 */
													int BgL_arg1823z00_2135;

													BgL_arg1823z00_2135 = (int) (((long) 16));
													{	/* Ast/substitute.scm 52 */
														long BgL_res1994z00_2147;

														{	/* Ast/substitute.scm 52 */
															long BgL_auxz00_2587;

															BgL_auxz00_2587 = (long) (BgL_arg1823z00_2135);
															BgL_res1994z00_2147 =
																(BgL_offsetz00_2131 % BgL_auxz00_2587);
														}
														BgL_restz00_2134 = BgL_res1994z00_2147;
												}}
												{	/* Ast/substitute.scm 52 */

													BgL_res1995z00_2152 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2129,
															(int) (BgL_modz00_2132)),
														(int) (BgL_restz00_2134));
					}}}}}}}}
					BgL_method1754z00_1189 = BgL_res1995z00_2152;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1754z00_1189) (BgL_method1754z00_1189,
						((obj_t) BgL_nodez00_7), BgL_sitez00_8, BEOA));
			}
		}
	}



/* &do-substitute! */
	BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t
		BgL_envz00_2406, obj_t BgL_nodez00_2407, obj_t BgL_sitez00_2408)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			return
				BGl_dozd2substitutez12zc0zzast_substitutez00(
				((BgL_nodez00_bglt) BgL_nodez00_2407), BgL_sitez00_2408);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc2041z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc2043z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2044z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2045z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc2046z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2047z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2048z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc2049z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc2050z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc2051z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2052z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc2053z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_selectz00zzast_nodez00, BGl_proc2054z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2055z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2056z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2057z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2058z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2059z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2060z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2061z00zzast_substitutez00,
				BGl_string2042z00zzast_substitutez00);
		}
	}



/* &do-substitute!-box-s1800 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1800za2zzast_substitutez00(obj_t
		BgL_envz00_2429, obj_t BgL_nodez00_2430, obj_t BgL_sitez00_2431)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 263 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1420;
				obj_t BgL_sitez00_1421;

				BgL_nodez00_1420 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2430);
				BgL_sitez00_1421 = BgL_sitez00_2431;
				{	/* Ast/substitute.scm 264 */
					BgL_nodez00_bglt BgL_arg1929z00_1424;

					{	/* Ast/substitute.scm 264 */
						BgL_varz00_bglt BgL_arg1931z00_1425;

						BgL_arg1931z00_1425 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1420))->BgL_varz00);
						BgL_arg1929z00_1424 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1931z00_1425),
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 264 */
						BgL_varz00_bglt BgL_vz00_2351;

						BgL_vz00_2351 = ((BgL_varz00_bglt) BgL_arg1929z00_1424);
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1420))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_2351), BUNSPEC);
				}}
				{	/* Ast/substitute.scm 265 */
					BgL_nodez00_bglt BgL_arg1932z00_1426;

					{	/* Ast/substitute.scm 265 */
						BgL_nodez00_bglt BgL_arg1933z00_1427;

						BgL_arg1933z00_1427 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1420))->
							BgL_valuez00);
						BgL_arg1932z00_1426 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1933z00_1427,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1420))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg1932z00_1426), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1420);
			}
		}
	}



/* &do-substitute!-box-r1798 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1798za2zzast_substitutez00(obj_t
		BgL_envz00_2432, obj_t BgL_nodez00_2433, obj_t BgL_sitez00_2434)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 256 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1413;
				obj_t BgL_sitez00_1414;

				BgL_nodez00_1413 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2433);
				BgL_sitez00_1414 = BgL_sitez00_2434;
				{	/* Ast/substitute.scm 257 */
					BgL_nodez00_bglt BgL_arg1927z00_2339;

					{	/* Ast/substitute.scm 257 */
						BgL_varz00_bglt BgL_arg1928z00_2340;

						BgL_arg1928z00_2340 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1413))->BgL_varz00);
						BgL_arg1927z00_2339 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1928z00_2340),
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 257 */
						BgL_varz00_bglt BgL_vz00_2345;

						BgL_vz00_2345 = ((BgL_varz00_bglt) BgL_arg1927z00_2339);
						((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1413))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_2345), BUNSPEC);
				}}
				return ((BgL_nodez00_bglt) BgL_nodez00_1413);
			}
		}
	}



/* &do-substitute!-make-1796 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21796za2zzast_substitutez00(obj_t
		BgL_envz00_2435, obj_t BgL_nodez00_2436, obj_t BgL_sitez00_2437)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 249 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1406;
				obj_t BgL_sitez00_1407;

				BgL_nodez00_1406 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2436);
				BgL_sitez00_1407 = BgL_sitez00_2437;
				{	/* Ast/substitute.scm 250 */
					BgL_nodez00_bglt BgL_arg1925z00_2331;

					{	/* Ast/substitute.scm 250 */
						BgL_nodez00_bglt BgL_arg1926z00_2332;

						BgL_arg1926z00_2332 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1406))->BgL_valuez00);
						BgL_arg1925z00_2331 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1926z00_2332,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1406))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg1925z00_2331), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1406);
			}
		}
	}



/* &do-substitute!-jump-1794 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21794za2zzast_substitutez00(obj_t
		BgL_envz00_2438, obj_t BgL_nodez00_2439, obj_t BgL_sitez00_2440)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 241 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1397;
				obj_t BgL_sitez00_1398;

				BgL_nodez00_1397 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2439);
				BgL_sitez00_1398 = BgL_sitez00_2440;
				{	/* Ast/substitute.scm 242 */
					BgL_nodez00_bglt BgL_arg1921z00_1401;

					{	/* Ast/substitute.scm 242 */
						BgL_nodez00_bglt BgL_arg1922z00_1402;

						BgL_arg1922z00_1402 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_exitz00);
						BgL_arg1921z00_1401 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1922z00_1402,
							CNST_TABLE_REF(((long) 3)));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_arg1921z00_1401), BUNSPEC);
				}
				{	/* Ast/substitute.scm 243 */
					BgL_nodez00_bglt BgL_arg1923z00_1403;

					{	/* Ast/substitute.scm 243 */
						BgL_nodez00_bglt BgL_arg1924z00_1404;

						BgL_arg1924z00_1404 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_valuez00);
						BgL_arg1923z00_1403 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1924z00_1404,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1397))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg1923z00_1403), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1397);
			}
		}
	}



/* &do-substitute!-set-e1791 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1791za2zzast_substitutez00(obj_t
		BgL_envz00_2441, obj_t BgL_nodez00_2442, obj_t BgL_sitez00_2443)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 234 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1390;
				obj_t BgL_sitez00_1391;

				BgL_nodez00_1390 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2442);
				BgL_sitez00_1391 = BgL_sitez00_2443;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1390))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(((
									(BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1390))->
								BgL_bodyz00), BgL_sitez00_1391)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1390);
			}
		}
	}



/* &do-substitute!-let-v1789 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1789za2zzast_substitutez00(obj_t
		BgL_envz00_2444, obj_t BgL_nodez00_2445, obj_t BgL_sitez00_2446)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 224 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1373;
				obj_t BgL_sitez00_1374;

				BgL_nodez00_1373 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2445);
				BgL_sitez00_1374 = BgL_sitez00_2446;
				{	/* Ast/substitute.scm 225 */
					obj_t BgL_g1752z00_1377;

					BgL_g1752z00_1377 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1373))->BgL_bindingsz00);
					{
						obj_t BgL_l1750z00_1379;

						BgL_l1750z00_1379 = BgL_g1752z00_1377;
					BgL_zc3anonymousza31912ze3z83_1380:
						if (PAIRP(BgL_l1750z00_1379))
							{	/* Ast/substitute.scm 227 */
								{	/* Ast/substitute.scm 226 */
									obj_t BgL_bindingz00_1382;

									BgL_bindingz00_1382 = CAR(BgL_l1750z00_1379);
									{	/* Ast/substitute.scm 226 */
										BgL_nodez00_bglt BgL_arg1914z00_1383;

										{	/* Ast/substitute.scm 226 */
											obj_t BgL_arg1915z00_1384;

											BgL_arg1915z00_1384 = CDR(BgL_bindingz00_1382);
											BgL_arg1914z00_1383 =
												BGl_dozd2substitutez12zc0zzast_substitutez00(
												((BgL_nodez00_bglt) BgL_arg1915z00_1384),
												CNST_TABLE_REF(((long) 1)));
										}
										{	/* Ast/substitute.scm 226 */
											obj_t BgL_pairz00_2302;
											obj_t BgL_objz00_2303;

											BgL_pairz00_2302 = BgL_bindingz00_1382;
											BgL_objz00_2303 = ((obj_t) BgL_arg1914z00_1383);
											SET_CDR(BgL_pairz00_2302, BgL_objz00_2303);
								}}}
								{
									obj_t BgL_l1750z00_2674;

									BgL_l1750z00_2674 = CDR(BgL_l1750z00_1379);
									BgL_l1750z00_1379 = BgL_l1750z00_2674;
									goto BgL_zc3anonymousza31912ze3z83_1380;
								}
							}
						else
							{	/* Ast/substitute.scm 227 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1373))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(((
									(BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1373))->BgL_bodyz00),
							BgL_sitez00_1374)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1373);
			}
		}
	}



/* &do-substitute!-let-f1786 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1786za2zzast_substitutez00(obj_t
		BgL_envz00_2447, obj_t BgL_nodez00_2448, obj_t BgL_sitez00_2449)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 212 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1355;
				obj_t BgL_sitez00_1356;

				BgL_nodez00_1355 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2448);
				BgL_sitez00_1356 = BgL_sitez00_2449;
				{	/* Ast/substitute.scm 213 */
					obj_t BgL_g1749z00_1359;

					BgL_g1749z00_1359 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1355))->BgL_localsz00);
					{
						obj_t BgL_l1747z00_1361;

						BgL_l1747z00_1361 = BgL_g1749z00_1359;
					BgL_zc3anonymousza31905ze3z83_1362:
						if (PAIRP(BgL_l1747z00_1361))
							{	/* Ast/substitute.scm 217 */
								{	/* Ast/substitute.scm 214 */
									obj_t BgL_localz00_1364;

									BgL_localz00_1364 = CAR(BgL_l1747z00_1361);
									{	/* Ast/substitute.scm 214 */
										BgL_valuez00_bglt BgL_funz00_1365;

										BgL_funz00_1365 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1364))))->
											BgL_valuez00);
										{	/* Ast/substitute.scm 215 */
											BgL_nodez00_bglt BgL_arg1907z00_1366;

											{	/* Ast/substitute.scm 215 */
												obj_t BgL_arg1908z00_1367;

												BgL_arg1908z00_1367 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1365)))->
													BgL_bodyz00);
												BgL_arg1907z00_1366 =
													BGl_dozd2substitutez12zc0zzast_substitutez00((
														(BgL_nodez00_bglt) BgL_arg1908z00_1367),
													CNST_TABLE_REF(((long) 1)));
											}
											{	/* Ast/substitute.scm 215 */
												BgL_sfunz00_bglt BgL_oz00_2286;
												obj_t BgL_vz00_2287;

												BgL_oz00_2286 = ((BgL_sfunz00_bglt) BgL_funz00_1365);
												BgL_vz00_2287 = ((obj_t) BgL_arg1907z00_1366);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2286))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2287), BUNSPEC);
								}}}}
								{
									obj_t BgL_l1747z00_2696;

									BgL_l1747z00_2696 = CDR(BgL_l1747z00_1361);
									BgL_l1747z00_1361 = BgL_l1747z00_2696;
									goto BgL_zc3anonymousza31905ze3z83_1362;
								}
							}
						else
							{	/* Ast/substitute.scm 217 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1355))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(((
									(BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1355))->BgL_bodyz00),
							BgL_sitez00_1356)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1355);
			}
		}
	}



/* &do-substitute!-selec1783 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2selec1783z70zzast_substitutez00(obj_t
		BgL_envz00_2450, obj_t BgL_nodez00_2451, obj_t BgL_sitez00_2452)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 202 */
			{
				BgL_selectz00_bglt BgL_nodez00_1338;
				obj_t BgL_sitez00_1339;

				BgL_nodez00_1338 = ((BgL_selectz00_bglt) BgL_nodez00_2451);
				BgL_sitez00_1339 = BgL_sitez00_2452;
				{	/* Ast/substitute.scm 203 */
					BgL_nodez00_bglt BgL_arg1898z00_1342;

					{	/* Ast/substitute.scm 203 */
						BgL_nodez00_bglt BgL_arg1899z00_1343;

						BgL_arg1899z00_1343 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1338))->BgL_testz00);
						BgL_arg1898z00_1342 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1899z00_1343,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1338))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg1898z00_1342), BUNSPEC);
				}
				{	/* Ast/substitute.scm 204 */
					obj_t BgL_g1746z00_1344;

					BgL_g1746z00_1344 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1338))->BgL_clausesz00);
					{
						obj_t BgL_l1744z00_1346;

						BgL_l1744z00_1346 = BgL_g1746z00_1344;
					BgL_zc3anonymousza31900ze3z83_1347:
						if (PAIRP(BgL_l1744z00_1346))
							{	/* Ast/substitute.scm 206 */
								{	/* Ast/substitute.scm 205 */
									obj_t BgL_clausez00_1349;

									BgL_clausez00_1349 = CAR(BgL_l1744z00_1346);
									{	/* Ast/substitute.scm 205 */
										BgL_nodez00_bglt BgL_arg1902z00_1350;

										{	/* Ast/substitute.scm 205 */
											obj_t BgL_arg1903z00_1351;

											BgL_arg1903z00_1351 = CDR(BgL_clausez00_1349);
											BgL_arg1902z00_1350 =
												BGl_dozd2substitutez12zc0zzast_substitutez00(
												((BgL_nodez00_bglt) BgL_arg1903z00_1351),
												BgL_sitez00_1339);
										}
										{	/* Ast/substitute.scm 205 */
											obj_t BgL_pairz00_2273;
											obj_t BgL_objz00_2274;

											BgL_pairz00_2273 = BgL_clausez00_1349;
											BgL_objz00_2274 = ((obj_t) BgL_arg1902z00_1350);
											SET_CDR(BgL_pairz00_2273, BgL_objz00_2274);
										}
									}
								}
								{
									obj_t BgL_l1744z00_2716;

									BgL_l1744z00_2716 = CDR(BgL_l1744z00_1346);
									BgL_l1744z00_1346 = BgL_l1744z00_2716;
									goto BgL_zc3anonymousza31900ze3z83_1347;
								}
							}
						else
							{	/* Ast/substitute.scm 206 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1338);
			}
		}
	}



/* &do-substitute!-fail1780 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1780z70zzast_substitutez00(obj_t
		BgL_envz00_2453, obj_t BgL_nodez00_2454, obj_t BgL_sitez00_2455)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 192 */
			{
				BgL_failz00_bglt BgL_nodez00_1329;
				obj_t BgL_sitez00_1330;

				BgL_nodez00_1329 = ((BgL_failz00_bglt) BgL_nodez00_2454);
				BgL_sitez00_1330 = BgL_sitez00_2455;
				{
					BgL_nodez00_bglt BgL_auxz00_2720;

					{	/* Ast/substitute.scm 194 */
						BgL_nodez00_bglt BgL_arg1895z00_1334;

						BgL_arg1895z00_1334 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1329))->BgL_procz00);
						BgL_auxz00_2720 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1895z00_1334,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1329))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2720), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2725;

					{	/* Ast/substitute.scm 195 */
						BgL_nodez00_bglt BgL_arg1896z00_1335;

						BgL_arg1896z00_1335 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1329))->BgL_msgz00);
						BgL_auxz00_2725 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1896z00_1335,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1329))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2725), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2730;

					{	/* Ast/substitute.scm 196 */
						BgL_nodez00_bglt BgL_arg1897z00_1336;

						BgL_arg1897z00_1336 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1329))->BgL_objz00);
						BgL_auxz00_2730 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1897z00_1336,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1329))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2730), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1329);
			}
		}
	}



/* &do-substitute!-condi1778 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1778z70zzast_substitutez00(obj_t
		BgL_envz00_2456, obj_t BgL_nodez00_2457, obj_t BgL_sitez00_2458)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 182 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1320;
				obj_t BgL_sitez00_1321;

				BgL_nodez00_1320 = ((BgL_conditionalz00_bglt) BgL_nodez00_2457);
				BgL_sitez00_1321 = BgL_sitez00_2458;
				{
					BgL_nodez00_bglt BgL_auxz00_2737;

					{	/* Ast/substitute.scm 184 */
						BgL_nodez00_bglt BgL_arg1892z00_1325;

						BgL_arg1892z00_1325 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1320))->BgL_testz00);
						BgL_auxz00_2737 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1892z00_1325,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1320))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2737), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2742;

					{	/* Ast/substitute.scm 185 */
						BgL_nodez00_bglt BgL_arg1893z00_1326;

						BgL_arg1893z00_1326 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1320))->BgL_truez00);
						BgL_auxz00_2742 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1893z00_1326,
							BgL_sitez00_1321);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1320))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2742), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2746;

					{	/* Ast/substitute.scm 186 */
						BgL_nodez00_bglt BgL_arg1894z00_1327;

						BgL_arg1894z00_1327 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1320))->
							BgL_falsez00);
						BgL_auxz00_2746 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1894z00_1327,
							BgL_sitez00_1321);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1320))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2746), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1320);
			}
		}
	}



/* &do-substitute!-setq1775 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1775z70zzast_substitutez00(obj_t
		BgL_envz00_2459, obj_t BgL_nodez00_2460, obj_t BgL_sitez00_2461)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 173 */
			{
				BgL_setqz00_bglt BgL_nodez00_1312;
				obj_t BgL_sitez00_1313;

				BgL_nodez00_1312 = ((BgL_setqz00_bglt) BgL_nodez00_2460);
				BgL_sitez00_1313 = BgL_sitez00_2461;
				{
					BgL_varz00_bglt BgL_auxz00_2752;

					{	/* Ast/substitute.scm 175 */
						BgL_varz00_bglt BgL_arg1890z00_1317;

						BgL_arg1890z00_1317 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1312))->BgL_varz00);
						BgL_auxz00_2752 =
							((BgL_varz00_bglt)
							BGl_dozd2substitutez12zc0zzast_substitutez00(
								((BgL_nodez00_bglt) BgL_arg1890z00_1317),
								CNST_TABLE_REF(((long) 4))));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1312))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2752), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2759;

					{	/* Ast/substitute.scm 176 */
						BgL_nodez00_bglt BgL_arg1891z00_1318;

						BgL_arg1891z00_1318 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1312))->BgL_valuez00);
						BgL_auxz00_2759 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1891z00_1318,
							BgL_sitez00_1313);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1312))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2759), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1312);
			}
		}
	}



/* &do-substitute!-cast1773 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1773z70zzast_substitutez00(obj_t
		BgL_envz00_2462, obj_t BgL_nodez00_2463, obj_t BgL_sitez00_2464)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 166 */
			{
				BgL_castz00_bglt BgL_nodez00_1306;
				obj_t BgL_sitez00_1307;

				BgL_nodez00_1306 = ((BgL_castz00_bglt) BgL_nodez00_2463);
				BgL_sitez00_1307 = BgL_sitez00_2464;
				BGl_dozd2substitutez12zc0zzast_substitutez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1306))->BgL_argz00),
					BgL_sitez00_1307);
				return ((BgL_nodez00_bglt) BgL_nodez00_1306);
			}
		}
	}



/* &do-substitute!-exter1771 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1771z70zzast_substitutez00(obj_t
		BgL_envz00_2465, obj_t BgL_nodez00_2466, obj_t BgL_sitez00_2467)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 159 */
			{
				BgL_externz00_bglt BgL_nodez00_1300;
				obj_t BgL_sitez00_1301;

				BgL_nodez00_1300 = ((BgL_externz00_bglt) BgL_nodez00_2466);
				BgL_sitez00_1301 = BgL_sitez00_2467;
				BGl_dozd2substituteza2z12z62zzast_substitutez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1300))->BgL_exprza2za2),
					BgL_sitez00_1301);
				return ((BgL_nodez00_bglt) BgL_nodez00_1300);
			}
		}
	}



/* &do-substitute!-funca1768 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1768z70zzast_substitutez00(obj_t
		BgL_envz00_2468, obj_t BgL_nodez00_2469, obj_t BgL_sitez00_2470)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 133 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1265;
				obj_t BgL_sitez00_1266;

				BgL_nodez00_1265 = ((BgL_funcallz00_bglt) BgL_nodez00_2469);
				BgL_sitez00_1266 = BgL_sitez00_2470;
				{	/* Ast/substitute.scm 135 */
					BgL_nodez00_bglt BgL_nfunz00_1270;
					obj_t BgL_nargsz00_1271;

					{	/* Ast/substitute.scm 135 */
						BgL_nodez00_bglt BgL_arg1880z00_1285;

						BgL_arg1880z00_1285 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1265))->BgL_funz00);
						BgL_nfunz00_1270 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1880z00_1285,
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 136 */
						obj_t BgL_l1739z00_1286;

						BgL_l1739z00_1286 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1265))->BgL_argsz00);
						if (NULLP(BgL_l1739z00_1286))
							{	/* Ast/substitute.scm 136 */
								BgL_nargsz00_1271 = BNIL;
							}
						else
							{	/* Ast/substitute.scm 136 */
								obj_t BgL_head1741z00_1288;

								{	/* Ast/substitute.scm 136 */
									obj_t BgL_res2013z00_2225;

									BgL_res2013z00_2225 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1741z00_1288 = BgL_res2013z00_2225;
								}
								{
									obj_t BgL_l1739z00_1290;
									obj_t BgL_tail1742z00_1291;

									BgL_l1739z00_1290 = BgL_l1739z00_1286;
									BgL_tail1742z00_1291 = BgL_head1741z00_1288;
								BgL_zc3anonymousza31882ze3z83_1292:
									if (NULLP(BgL_l1739z00_1290))
										{	/* Ast/substitute.scm 136 */
											BgL_nargsz00_1271 = CDR(BgL_head1741z00_1288);
										}
									else
										{	/* Ast/substitute.scm 136 */
											obj_t BgL_newtail1743z00_1294;

											{	/* Ast/substitute.scm 136 */
												BgL_nodez00_bglt BgL_arg1886z00_1296;

												{	/* Ast/substitute.scm 136 */
													obj_t BgL_az00_1297;

													BgL_az00_1297 = CAR(BgL_l1739z00_1290);
													BgL_arg1886z00_1296 =
														BGl_dozd2substitutez12zc0zzast_substitutez00(
														((BgL_nodez00_bglt) BgL_az00_1297),
														CNST_TABLE_REF(((long) 1)));
												}
												{	/* Ast/substitute.scm 136 */
													obj_t BgL_res2015z00_2232;

													{	/* Ast/substitute.scm 136 */
														obj_t BgL_obj1z00_2230;

														BgL_obj1z00_2230 = ((obj_t) BgL_arg1886z00_1296);
														BgL_res2015z00_2232 =
															MAKE_PAIR(BgL_obj1z00_2230, BNIL);
													}
													BgL_newtail1743z00_1294 = BgL_res2015z00_2232;
											}}
											SET_CDR(BgL_tail1742z00_1291, BgL_newtail1743z00_1294);
											{
												obj_t BgL_tail1742z00_2792;
												obj_t BgL_l1739z00_2790;

												BgL_l1739z00_2790 = CDR(BgL_l1739z00_1290);
												BgL_tail1742z00_2792 = BgL_newtail1743z00_1294;
												BgL_tail1742z00_1291 = BgL_tail1742z00_2792;
												BgL_l1739z00_1290 = BgL_l1739z00_2790;
												goto BgL_zc3anonymousza31882ze3z83_1292;
											}
										}
								}
							}
					}
					{	/* Ast/substitute.scm 137 */
						bool_t BgL_testz00_2793;

						{	/* Ast/substitute.scm 137 */
							bool_t BgL_testz00_2794;

							{	/* Ast/substitute.scm 137 */
								bool_t BgL_res2016z00_2237;

								{	/* Ast/substitute.scm 137 */
									obj_t BgL_objz00_2236;

									BgL_objz00_2236 = ((obj_t) BgL_nfunz00_1270);
									BgL_res2016z00_2237 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2236,
										BGl_closurez00zzast_nodez00);
								}
								BgL_testz00_2794 = BgL_res2016z00_2237;
							}
							if (BgL_testz00_2794)
								{	/* Ast/substitute.scm 137 */
									BgL_testz00_2793 = ((bool_t) 1);
								}
							else
								{	/* Ast/substitute.scm 138 */
									bool_t BgL_testz00_2797;

									{	/* Ast/substitute.scm 138 */
										bool_t BgL_res2017z00_2239;

										{	/* Ast/substitute.scm 138 */
											obj_t BgL_objz00_2238;

											BgL_objz00_2238 = ((obj_t) BgL_nfunz00_1270);
											BgL_res2017z00_2239 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2238,
												BGl_varz00zzast_nodez00);
										}
										BgL_testz00_2797 = BgL_res2017z00_2239;
									}
									if (BgL_testz00_2797)
										{	/* Ast/substitute.scm 139 */
											BgL_valuez00_bglt BgL_arg1878z00_1283;

											BgL_arg1878z00_1283 =
												(((BgL_variablez00_bglt) CREF(
														(((BgL_varz00_bglt) CREF(
																	((BgL_varz00_bglt) BgL_nfunz00_1270)))->
															BgL_variablez00)))->BgL_valuez00);
											{	/* Ast/substitute.scm 139 */
												bool_t BgL_res2020z00_2247;

												{	/* Ast/substitute.scm 139 */
													obj_t BgL_objz00_2246;

													BgL_objz00_2246 = ((obj_t) BgL_arg1878z00_1283);
													BgL_res2020z00_2247 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2246,
														BGl_funz00zzast_varz00);
												}
												BgL_testz00_2793 = BgL_res2020z00_2247;
											}
										}
									else
										{	/* Ast/substitute.scm 138 */
											BgL_testz00_2793 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_2793)
							{	/* Ast/substitute.scm 140 */
								bool_t BgL_testz00_2805;

								{	/* Ast/substitute.scm 140 */
									BgL_variablez00_bglt BgL_arg1875z00_1279;
									obj_t BgL_arg1876z00_1280;

									BgL_arg1875z00_1279 =
										(((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_nfunz00_1270)))->
										BgL_variablez00);
									BgL_arg1876z00_1280 = CDR(BgL_nargsz00_1271);
									BgL_testz00_2805 =
										BGl_correctzd2arityzd2appzf3zf3zzast_appz00
										(BgL_arg1875z00_1279, BgL_arg1876z00_1280);
								}
								if (BgL_testz00_2805)
									{	/* Ast/substitute.scm 142 */
										obj_t BgL_arg1870z00_1274;
										obj_t BgL_arg1871z00_1275;

										BgL_arg1870z00_1274 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1265)))->BgL_locz00);
										BgL_arg1871z00_1275 = CDR(BgL_nargsz00_1271);
										return
											BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
											BgL_arg1870z00_1274, CNST_TABLE_REF(((long) 5)),
											((BgL_varz00_bglt) BgL_nfunz00_1270),
											BgL_arg1871z00_1275);
									}
								else
									{	/* Ast/substitute.scm 147 */
										obj_t BgL_arg1872z00_1276;
										obj_t BgL_arg1873z00_1277;

										BgL_arg1872z00_1276 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1265)))->BgL_locz00);
										BgL_arg1873z00_1277 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1265));
										return
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_arg1872z00_1276,
												BGl_string2062z00zzast_substitutez00,
												BGl_string2063z00zzast_substitutez00,
												BgL_arg1873z00_1277, BNIL));
									}
							}
						else
							{	/* Ast/substitute.scm 137 */
								((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1265))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1270), BUNSPEC);
								((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1265))->BgL_argsz00) =
									((obj_t) BgL_nargsz00_1271), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_1265);
							}
					}
				}
			}
		}
	}



/* &do-substitute!-app-l1766 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1766za2zzast_substitutez00(obj_t
		BgL_envz00_2471, obj_t BgL_nodez00_2472, obj_t BgL_sitez00_2473)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 114 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1243;
				obj_t BgL_sitez00_1244;

				BgL_nodez00_1243 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2472);
				BgL_sitez00_1244 = BgL_sitez00_2473;
				{	/* Ast/substitute.scm 116 */
					BgL_nodez00_bglt BgL_nfunz00_1248;
					BgL_nodez00_bglt BgL_nargz00_1249;

					{	/* Ast/substitute.scm 116 */
						BgL_nodez00_bglt BgL_arg1865z00_1262;

						BgL_arg1865z00_1262 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1243))->BgL_funz00);
						BgL_nfunz00_1248 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1865z00_1262,
							CNST_TABLE_REF(((long) 6)));
					}
					{	/* Ast/substitute.scm 117 */
						BgL_nodez00_bglt BgL_arg1866z00_1263;

						BgL_arg1866z00_1263 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1243))->BgL_argz00);
						BgL_nargz00_1249 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1866z00_1263,
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 118 */
						bool_t BgL_testz00_2832;

						{	/* Ast/substitute.scm 118 */
							bool_t BgL_testz00_2833;

							{	/* Ast/substitute.scm 118 */
								bool_t BgL_res2008z00_2208;

								{	/* Ast/substitute.scm 118 */
									obj_t BgL_objz00_2207;

									BgL_objz00_2207 = ((obj_t) BgL_nfunz00_1248);
									BgL_res2008z00_2208 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2207,
										BGl_closurez00zzast_nodez00);
								}
								BgL_testz00_2833 = BgL_res2008z00_2208;
							}
							if (BgL_testz00_2833)
								{	/* Ast/substitute.scm 119 */
									bool_t BgL_testz00_2836;

									{	/* Ast/substitute.scm 119 */
										BgL_variablez00_bglt BgL_arg1864z00_1261;

										BgL_arg1864z00_1261 =
											(((BgL_varz00_bglt) CREF(
													((BgL_varz00_bglt) BgL_nfunz00_1248)))->
											BgL_variablez00);
										BgL_testz00_2836 =
											BGl_globalzd2optionalzf3z21zzast_varz00(((obj_t)
												BgL_arg1864z00_1261));
									}
									if (BgL_testz00_2836)
										{	/* Ast/substitute.scm 119 */
											BgL_testz00_2832 = ((bool_t) 0);
										}
									else
										{	/* Ast/substitute.scm 120 */
											bool_t BgL_testz00_2841;

											{	/* Ast/substitute.scm 120 */
												BgL_variablez00_bglt BgL_arg1863z00_1260;

												BgL_arg1863z00_1260 =
													(((BgL_varz00_bglt) CREF(
															((BgL_varz00_bglt) BgL_nfunz00_1248)))->
													BgL_variablez00);
												BgL_testz00_2841 =
													BGl_globalzd2keyzf3z21zzast_varz00(((obj_t)
														BgL_arg1863z00_1260));
											}
											if (BgL_testz00_2841)
												{	/* Ast/substitute.scm 120 */
													BgL_testz00_2832 = ((bool_t) 0);
												}
											else
												{	/* Ast/substitute.scm 120 */
													BgL_testz00_2832 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Ast/substitute.scm 118 */
									BgL_testz00_2832 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2832)
							{	/* Ast/substitute.scm 121 */
								obj_t BgL_arg1857z00_1251;
								BgL_varz00_bglt BgL_arg1858z00_1252;

								BgL_arg1857z00_1251 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1243)))->BgL_locz00);
								{	/* Ast/substitute.scm 121 */
									BgL_varz00_bglt BgL_duplicated1106z00_1253;
									BgL_varz00_bglt BgL_new1105z00_1254;

									BgL_duplicated1106z00_1253 =
										((BgL_varz00_bglt) BgL_nfunz00_1248);
									{	/* Ast/substitute.scm 121 */
										BgL_varz00_bglt BgL_new1107z00_1255;

										BgL_new1107z00_1255 =
											((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_varz00_bgl))));
										{	/* Ast/substitute.scm 121 */
											long BgL_arg1859z00_1256;

											{	/* Ast/substitute.scm 121 */
												long BgL_res2011z00_2218;

												{	/* Ast/substitute.scm 121 */
													obj_t BgL_classz00_2215;

													BgL_classz00_2215 = BGl_varz00zzast_nodez00;
													{	/* Ast/substitute.scm 121 */
														obj_t BgL_vectorz00_2216;
														int BgL_kz00_2217;

														BgL_vectorz00_2216 = BgL_classz00_2215;
														BgL_kz00_2217 = (int) (((long) 1));
														BgL_res2011z00_2218 =
															(long) CINT(VECTOR_REF(BgL_vectorz00_2216,
																BgL_kz00_2217));
												}}
												BgL_arg1859z00_1256 = BgL_res2011z00_2218;
											}
											{	/* Ast/substitute.scm 121 */
												BgL_objectz00_bglt BgL_objz00_2219;

												BgL_objz00_2219 =
													((BgL_objectz00_bglt) BgL_new1107z00_1255);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2219,
													BgL_arg1859z00_1256);
										}}
										{	/* Ast/substitute.scm 121 */
											BgL_objectz00_bglt BgL_auxz00_2855;

											BgL_auxz00_2855 =
												((BgL_objectz00_bglt) BgL_new1107z00_1255);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_2855, BFALSE);
										}
										BgL_new1105z00_1254 = BgL_new1107z00_1255;
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1105z00_1254)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_duplicated1106z00_1253)))->BgL_locz00)),
										BUNSPEC);
									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_new1105z00_1254)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													CREF(((BgL_nodez00_bglt)
															BgL_duplicated1106z00_1253)))->BgL_typez00)),
										BUNSPEC);
									((((BgL_varz00_bglt) CREF(BgL_new1105z00_1254))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) (((BgL_varz00_bglt)
													CREF(BgL_duplicated1106z00_1253))->BgL_variablez00)),
										BUNSPEC);
									BgL_arg1858z00_1252 = BgL_new1105z00_1254;
								}
								return
									BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
									BgL_arg1857z00_1251, ((BgL_nodez00_bglt) BgL_arg1858z00_1252),
									BgL_nargz00_1249, BgL_sitez00_1244);
							}
						else
							{	/* Ast/substitute.scm 118 */
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1243))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1248), BUNSPEC);
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1243))->BgL_argz00) =
									((BgL_nodez00_bglt) BgL_nargz00_1249), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_1243);
							}
					}
				}
			}
		}
	}



/* &do-substitute!-app1764 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1764z70zzast_substitutez00(obj_t
		BgL_envz00_2474, obj_t BgL_nodez00_2475, obj_t BgL_sitez00_2476)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 106 */
			{
				BgL_appz00_bglt BgL_nodez00_1235;
				obj_t BgL_sitez00_1236;

				BgL_nodez00_1235 = ((BgL_appz00_bglt) BgL_nodez00_2475);
				BgL_sitez00_1236 = BgL_sitez00_2476;
				{	/* Ast/substitute.scm 107 */
					BgL_nodez00_bglt BgL_arg1853z00_1239;

					{	/* Ast/substitute.scm 107 */
						BgL_varz00_bglt BgL_arg1854z00_1240;

						BgL_arg1854z00_1240 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1235))->BgL_funz00);
						BgL_arg1853z00_1239 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1854z00_1240),
							CNST_TABLE_REF(((long) 3)));
					}
					{	/* Ast/substitute.scm 107 */
						BgL_varz00_bglt BgL_vz00_2203;

						BgL_vz00_2203 = ((BgL_varz00_bglt) BgL_arg1853z00_1239);
						((((BgL_appz00_bglt) CREF(BgL_nodez00_1235))->BgL_funz00) =
							((BgL_varz00_bglt) BgL_vz00_2203), BUNSPEC);
				}}
				{	/* Ast/substitute.scm 108 */
					obj_t BgL_arg1855z00_1241;

					BgL_arg1855z00_1241 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1235))->BgL_argsz00);
					BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg1855z00_1241,
						CNST_TABLE_REF(((long) 1)));
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1235);
			}
		}
	}



/* &do-substitute!-seque1762 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1762z70zzast_substitutez00(obj_t
		BgL_envz00_2477, obj_t BgL_nodez00_2478, obj_t BgL_sitez00_2479)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 99 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1229;
				obj_t BgL_sitez00_1230;

				BgL_nodez00_1229 = ((BgL_sequencez00_bglt) BgL_nodez00_2478);
				BgL_sitez00_1230 = BgL_sitez00_2479;
				BGl_dozd2substituteza2z12z62zzast_substitutez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1229))->BgL_nodesz00),
					BgL_sitez00_1230);
				return ((BgL_nodez00_bglt) BgL_nodez00_1229);
			}
		}
	}



/* &do-substitute!-kwote1760 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1760z70zzast_substitutez00(obj_t
		BgL_envz00_2480, obj_t BgL_nodez00_2481, obj_t BgL_sitez00_2482)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 93 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2481));
		}
	}



/* &do-substitute!-var1758 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1758z70zzast_substitutez00(obj_t
		BgL_envz00_2483, obj_t BgL_nodez00_2484, obj_t BgL_sitez00_2485)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 63 */
			{
				BgL_varz00_bglt BgL_nodez00_1195;
				obj_t BgL_sitez00_1196;

				BgL_nodez00_1195 = ((BgL_varz00_bglt) BgL_nodez00_2484);
				BgL_sitez00_1196 = BgL_sitez00_2485;
				{	/* Ast/substitute.scm 64 */
					BgL_variablez00_bglt BgL_varz00_1199;

					BgL_varz00_1199 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1195))->BgL_variablez00);
					{	/* Ast/substitute.scm 64 */
						obj_t BgL_alphaz00_1200;

						BgL_alphaz00_1200 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1199))->
							BgL_fastzd2alphazd2);
						{	/* Ast/substitute.scm 65 */

							{
								obj_t BgL_alphaz00_1202;

								{
									obj_t BgL_auxz00_2893;

									BgL_alphaz00_1202 = BgL_alphaz00_1200;
								BgL_zc3anonymousza31837ze3z83_1203:
									if ((BgL_alphaz00_1202 == BUNSPEC))
										{	/* Ast/substitute.scm 68 */
											BgL_auxz00_2893 = ((obj_t) BgL_nodez00_1195);
										}
									else
										{	/* Ast/substitute.scm 68 */
											if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1202,
													BGl_varz00zzast_nodez00))
												{	/* Ast/substitute.scm 71 */
													BgL_variablez00_bglt BgL_arg1840z00_1206;

													BgL_arg1840z00_1206 =
														(((BgL_varz00_bglt) CREF(
																((BgL_varz00_bglt) BgL_alphaz00_1202)))->
														BgL_variablez00);
													{
														obj_t BgL_alphaz00_2901;

														BgL_alphaz00_2901 = ((obj_t) BgL_arg1840z00_1206);
														BgL_alphaz00_1202 = BgL_alphaz00_2901;
														goto BgL_zc3anonymousza31837ze3z83_1203;
													}
												}
											else
												{	/* Ast/substitute.scm 70 */
													if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1202,
															BGl_variablez00zzast_varz00))
														{	/* Ast/substitute.scm 72 */
															{	/* Ast/substitute.scm 73 */
																obj_t BgL_arg1842z00_1208;

																BgL_arg1842z00_1208 =
																	(((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt) BgL_nodez00_1195)))->
																	BgL_locz00);
																BGl_usezd2variablez12zc0zzast_sexpz00((
																		(BgL_variablez00_bglt) BgL_alphaz00_1202),
																	BgL_arg1842z00_1208, BgL_sitez00_1196);
															}
															{	/* Ast/substitute.scm 74 */
																bool_t BgL_testz00_2909;

																{	/* Ast/substitute.scm 74 */
																	bool_t BgL_testz00_2910;

																	{	/* Ast/substitute.scm 74 */
																		BgL_valuez00_bglt BgL_arg1849z00_1219;

																		BgL_arg1849z00_1219 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						BgL_alphaz00_1202)))->BgL_valuez00);
																		{	/* Ast/substitute.scm 74 */
																			bool_t BgL_res2001z00_2171;

																			{	/* Ast/substitute.scm 74 */
																				obj_t BgL_objz00_2170;

																				BgL_objz00_2170 =
																					((obj_t) BgL_arg1849z00_1219);
																				BgL_res2001z00_2171 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_2170,
																					BGl_funz00zzast_varz00);
																			}
																			BgL_testz00_2910 = BgL_res2001z00_2171;
																		}
																	}
																	if (BgL_testz00_2910)
																		{	/* Ast/substitute.scm 74 */
																			if (
																				(BgL_sitez00_1196 ==
																					CNST_TABLE_REF(((long) 3))))
																				{	/* Ast/substitute.scm 74 */
																					BgL_testz00_2909 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/substitute.scm 74 */
																					BgL_testz00_2909 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Ast/substitute.scm 74 */
																			BgL_testz00_2909 = ((bool_t) 0);
																		}
																}
																if (BgL_testz00_2909)
																	{	/* Ast/substitute.scm 75 */
																		BgL_closurez00_bglt BgL_new1100z00_1210;

																		{	/* Ast/substitute.scm 75 */
																			BgL_closurez00_bglt BgL_new1099z00_1212;

																			BgL_new1099z00_1212 =
																				((BgL_closurez00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_closurez00_bgl))));
																			{	/* Ast/substitute.scm 75 */
																				long BgL_arg1845z00_1213;

																				{	/* Ast/substitute.scm 75 */
																					long BgL_res2002z00_2175;

																					{	/* Ast/substitute.scm 75 */
																						obj_t BgL_classz00_2172;

																						BgL_classz00_2172 =
																							BGl_closurez00zzast_nodez00;
																						{	/* Ast/substitute.scm 75 */
																							obj_t BgL_vectorz00_2173;
																							int BgL_kz00_2174;

																							BgL_vectorz00_2173 =
																								BgL_classz00_2172;
																							BgL_kz00_2174 =
																								(int) (((long) 1));
																							BgL_res2002z00_2175 =
																								(long)
																								CINT(VECTOR_REF
																								(BgL_vectorz00_2173,
																									BgL_kz00_2174));
																					}}
																					BgL_arg1845z00_1213 =
																						BgL_res2002z00_2175;
																				}
																				{	/* Ast/substitute.scm 75 */
																					BgL_objectz00_bglt BgL_objz00_2176;

																					BgL_objz00_2176 =
																						((BgL_objectz00_bglt)
																						BgL_new1099z00_1212);
																					BGL_OBJECT_CLASS_NUM_SET
																						(BgL_objz00_2176,
																						BgL_arg1845z00_1213);
																			}}
																			{	/* Ast/substitute.scm 75 */
																				BgL_objectz00_bglt BgL_auxz00_2924;

																				BgL_auxz00_2924 =
																					((BgL_objectz00_bglt)
																					BgL_new1099z00_1212);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_2924,
																					BFALSE);
																			}
																			BgL_new1100z00_1210 = BgL_new1099z00_1212;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1100z00_1210)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1195)))->
																					BgL_locz00)), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_2931;

																			{	/* Ast/substitute.scm 77 */
																				BgL_typez00_bglt BgL_arg1844z00_1211;

																				BgL_arg1844z00_1211 =
																					(((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_nodez00_1195)))->
																					BgL_typez00);
																				BgL_auxz00_2931 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00),
																					BgL_arg1844z00_1211);
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1100z00_1210)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_2931),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt) CREF(
																						((BgL_varz00_bglt)
																							BgL_new1100z00_1210)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_alphaz00_1202)), BUNSPEC);
																		BgL_auxz00_2893 =
																			((obj_t) BgL_new1100z00_1210);
																	}
																else
																	{	/* Ast/substitute.scm 79 */
																		BgL_varz00_bglt BgL_new1103z00_1214;

																		{	/* Ast/substitute.scm 79 */
																			BgL_varz00_bglt BgL_new1101z00_1215;

																			BgL_new1101z00_1215 =
																				((BgL_varz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_varz00_bgl))));
																			{	/* Ast/substitute.scm 79 */
																				long BgL_arg1846z00_1216;

																				{	/* Ast/substitute.scm 79 */
																					long BgL_res2004z00_2186;

																					{	/* Ast/substitute.scm 79 */
																						obj_t BgL_classz00_2183;

																						BgL_classz00_2183 =
																							BGl_varz00zzast_nodez00;
																						{	/* Ast/substitute.scm 79 */
																							obj_t BgL_vectorz00_2184;
																							int BgL_kz00_2185;

																							BgL_vectorz00_2184 =
																								BgL_classz00_2183;
																							BgL_kz00_2185 =
																								(int) (((long) 1));
																							BgL_res2004z00_2186 =
																								(long)
																								CINT(VECTOR_REF
																								(BgL_vectorz00_2184,
																									BgL_kz00_2185));
																					}}
																					BgL_arg1846z00_1216 =
																						BgL_res2004z00_2186;
																				}
																				{	/* Ast/substitute.scm 79 */
																					BgL_objectz00_bglt BgL_objz00_2187;

																					BgL_objz00_2187 =
																						((BgL_objectz00_bglt)
																						BgL_new1101z00_1215);
																					BGL_OBJECT_CLASS_NUM_SET
																						(BgL_objz00_2187,
																						BgL_arg1846z00_1216);
																			}}
																			{	/* Ast/substitute.scm 79 */
																				BgL_objectz00_bglt BgL_auxz00_2948;

																				BgL_auxz00_2948 =
																					((BgL_objectz00_bglt)
																					BgL_new1101z00_1215);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_2948,
																					BFALSE);
																			}
																			BgL_new1103z00_1214 = BgL_new1101z00_1215;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1103z00_1214)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1195)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1103z00_1214)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1195)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					CREF(BgL_new1103z00_1214))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_alphaz00_1202)), BUNSPEC);
																		BgL_auxz00_2893 =
																			((obj_t) BgL_new1103z00_1214);
														}}}
													else
														{	/* Ast/substitute.scm 72 */
															if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1202,
																	BGl_atomz00zzast_nodez00))
																{	/* Ast/substitute.scm 83 */
																	BgL_auxz00_2893 = BgL_alphaz00_1202;
																}
															else
																{	/* Ast/substitute.scm 88 */
																	obj_t BgL_arg1851z00_1221;

																	BgL_arg1851z00_1221 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_nodez00_1195));
																	BgL_auxz00_2893 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2064z00zzast_substitutez00,
																		BGl_string2065z00zzast_substitutez00,
																		BgL_arg1851z00_1221);
																}
														}
												}
										}
									return ((BgL_nodez00_bglt) BgL_auxz00_2893);
								}
							}
						}
					}
				}
			}
		}
	}



/* &do-substitute!-atom1756 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1756z70zzast_substitutez00(obj_t
		BgL_envz00_2486, obj_t BgL_nodez00_2487, obj_t BgL_sitez00_2488)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 57 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2487));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2066z00zzast_substitutez00));
		}
	}

#ifdef __cplusplus
}
#endif
