/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32091ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31952ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62restorezd2valuezd2typesz121938z70zzast_envz00(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62restorezd2valuezd2typesz121941z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121943z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121945z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121947z70zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7122293za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global2294z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzast_envz00,
		BgL_bgl_za762za7c3anonymousza72295za7,
		BGl_z62zc3anonymousza31952ze3ze1zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2296z00,
		BGl_z62restorezd2valuezd2typesz121938z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2297z00,
		BGl_z62restorezd2valuezd2typesz121941z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2298z00,
		BGl_z62restorezd2valuezd2typesz121943z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2299z00,
		BGl_z62restorezd2valuezd2typesz121945z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2300z00,
		BGl_z62restorezd2valuezd2typesz121947z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob2301z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck2302z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza72303za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b02304za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res2305z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d22306z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7122307za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global2308z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2271z00zzast_envz00,
		BgL_bgl_string2271za700za7za7a2309za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string2272z00zzast_envz00,
		BgL_bgl_string2272za700za7za7a2310za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string2273z00zzast_envz00,
		BgL_bgl_string2273za700za7za7a2311za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string2274z00zzast_envz00,
		BgL_bgl_string2274za700za7za7a2312za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string2275z00zzast_envz00,
		BgL_bgl_string2275za700za7za7a2313za7, "eval", 4);
	      DEFINE_STRING(BGl_string2276z00zzast_envz00,
		BgL_bgl_string2276za700za7za7a2314za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string2277z00zzast_envz00,
		BgL_bgl_string2277za700za7za7a2315za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2279z00zzast_envz00,
		BgL_bgl_string2279za700za7za7a2316za7, "restore-value-types!1938", 24);
	      DEFINE_STRING(BGl_string2281z00zzast_envz00,
		BgL_bgl_string2281za700za7za7a2317za7, "restore-value-types!", 20);
	      DEFINE_STRING(BGl_string2285z00zzast_envz00,
		BgL_bgl_string2285za700za7za7a2318za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string2286z00zzast_envz00,
		BgL_bgl_string2286za700za7za7a2319za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2287z00zzast_envz00,
		BgL_bgl_string2287za700za7za7a2320za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string2288z00zzast_envz00,
		BgL_bgl_string2288za700za7za7a2321za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string2289z00zzast_envz00,
		BgL_bgl_string2289za700za7za7a2322za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string2290z00zzast_envz00,
		BgL_bgl_string2290za700za7za7a2323za7,
		"eval now read @ get-global/module foreign the-global-environment ", 65);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza72324za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val2325z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d22326za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global2327z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo2328z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2716, char *BgL_fromz00_2717)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2707;

				BgL_cportz00_2707 =
					bgl_open_input_string(BGl_string2290z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2708;

					BgL_iz00_2708 = ((long) 6);
				BgL_loopz00_2709:
					if ((BgL_iz00_2708 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg2292z00_2711;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2713;

										BgL_locationz00_2713 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg2292z00_2711 =
												BGl_readz00zz__readerz00(BgL_cportz00_2707,
												BgL_locationz00_2713);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_2742;

									BgL_auxz00_2742 = (int) (BgL_iz00_2708);
									CNST_TABLE_SET(BgL_auxz00_2742, BgL_arg2292z00_2711);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2714;

								BgL_auxz00_2714 = (int) ((BgL_iz00_2708 - ((long) 1)));
								{
									long BgL_iz00_2747;

									BgL_iz00_2747 = (long) (BgL_auxz00_2714);
									BgL_iz00_2708 = BgL_iz00_2747;
									goto BgL_loopz00_2709;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}
	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2646,
		obj_t BgL_genvz00_2647)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2647);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc2270z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2649,
		obj_t BgL_genvz00_2650)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2650);
		}
	}



/* &<anonymous:1952> */
	obj_t BGl_z62zc3anonymousza31952ze3ze1zzast_envz00(obj_t BgL_envz00_2651,
		obj_t BgL_kz00_2652, obj_t BgL_bucketz00_2653)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 66 */
			{
				obj_t BgL_kz00_1314;
				obj_t BgL_bucketz00_1315;

				{	/* Ast/venv.scm 67 */
					bool_t BgL_auxz00_2753;

					BgL_kz00_1314 = BgL_kz00_2652;
					BgL_bucketz00_1315 = BgL_bucketz00_2653;
					{	/* Ast/venv.scm 67 */
						obj_t BgL_g1932z00_1317;

						BgL_g1932z00_1317 = CDR(BgL_bucketz00_1315);
						{
							obj_t BgL_l1837z00_1319;

							BgL_l1837z00_1319 = BgL_g1932z00_1317;
						BgL_zc3anonymousza31953ze3z83_1320:
							if (PAIRP(BgL_l1837z00_1319))
								{	/* Ast/venv.scm 87 */
									{	/* Ast/venv.scm 68 */
										obj_t BgL_newz00_1322;

										BgL_newz00_1322 = CAR(BgL_l1837z00_1319);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_1322,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 69 */
											obj_t BgL_modulez00_1323;

											BgL_modulez00_1323 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_1322)))->
												BgL_modulez00);
											{	/* Ast/venv.scm 69 */
												obj_t BgL_idz00_1324;

												BgL_idz00_1324 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_1322))))->
													BgL_idz00);
												{	/* Ast/venv.scm 70 */
													obj_t BgL_bucketz00_1325;

													BgL_bucketz00_1325 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1324);
													{	/* Ast/venv.scm 71 */

														if (PAIRP(BgL_bucketz00_1325))
															{	/* Ast/venv.scm 75 */
																bool_t BgL_testz00_2767;

																if (
																	(BgL_modulez00_1323 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 75 */
																		BgL_testz00_2767 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 76 */
																		bool_t BgL_testz00_2770;

																		{	/* Ast/venv.scm 77 */
																			obj_t BgL_arg1964z00_1335;

																			{
																				BgL_globalz00_bglt BgL_auxz00_2771;

																				{	/* Ast/venv.scm 77 */
																					obj_t BgL_pairz00_2373;

																					BgL_pairz00_2373 =
																						CDR(BgL_bucketz00_1325);
																					BgL_auxz00_2771 =
																						((BgL_globalz00_bglt)
																						CAR(BgL_pairz00_2373));
																				}
																				BgL_arg1964z00_1335 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_auxz00_2771))->
																					BgL_modulez00);
																			}
																			BgL_testz00_2770 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg1964z00_1335);
																		}
																		if (BgL_testz00_2770)
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2767 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2767 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_2767)
																	{	/* Ast/venv.scm 83 */
																		obj_t BgL_newzd2bucketzd2_1328;

																		BgL_newzd2bucketzd2_1328 =
																			MAKE_PAIR(BgL_newz00_1322,
																			CDR(BgL_bucketz00_1325));
																		SET_CDR(BgL_bucketz00_1325,
																			BgL_newzd2bucketzd2_1328);
																	}
																else
																	{	/* Ast/venv.scm 86 */
																		obj_t BgL_arg1959z00_1330;
																		obj_t BgL_arg1960z00_1331;

																		BgL_arg1959z00_1330 =
																			CDR(BgL_bucketz00_1325);
																		BgL_arg1960z00_1331 =
																			MAKE_PAIR(BgL_newz00_1322,
																			CDR(CDR(BgL_bucketz00_1325)));
																		SET_CDR(BgL_arg1959z00_1330,
																			BgL_arg1960z00_1331);
																	}
															}
														else
															{	/* Ast/venv.scm 74 */
																obj_t BgL_arg1966z00_1337;

																{	/* Ast/venv.scm 74 */
																	obj_t BgL_list1967z00_1338;

																	{	/* Ast/venv.scm 74 */
																		obj_t BgL_arg1968z00_1339;

																		BgL_arg1968z00_1339 =
																			MAKE_PAIR(BgL_newz00_1322, BNIL);
																		BgL_list1967z00_1338 =
																			MAKE_PAIR(BgL_idz00_1324,
																			BgL_arg1968z00_1339);
																	}
																	BgL_arg1966z00_1337 = BgL_list1967z00_1338;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00,
																	BgL_idz00_1324, BgL_arg1966z00_1337);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1837z00_2788;

										BgL_l1837z00_2788 = CDR(BgL_l1837z00_1319);
										BgL_l1837z00_1319 = BgL_l1837z00_2788;
										goto BgL_zc3anonymousza31953ze3z83_1320;
									}
								}
							else
								{	/* Ast/venv.scm 87 */
									BgL_auxz00_2753 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2753);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			{
				obj_t BgL_l1933z00_1344;

				BgL_l1933z00_1344 =
					BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3anonymousza31970ze3z83_1345:
				if (PAIRP(BgL_l1933z00_1344))
					{	/* Ast/venv.scm 105 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l1933z00_1344));
						{
							obj_t BgL_l1933z00_2795;

							BgL_l1933z00_2795 = CDR(BgL_l1933z00_1344);
							BgL_l1933z00_1344 = BgL_l1933z00_2795;
							goto BgL_zc3anonymousza31970ze3z83_1345;
						}
					}
				else
					{	/* Ast/venv.scm 105 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_2654)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 114 */
				BgL_typez00_bglt BgL_typez00_1351;

				BgL_typez00_1351 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00);
				{	/* Ast/venv.scm 115 */
					BgL_valuez00_bglt BgL_valuez00_1352;

					BgL_valuez00_1352 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_valuez00);
					{	/* Ast/venv.scm 116 */
						obj_t BgL_typeidz00_1353;

						BgL_typeidz00_1353 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1351))->BgL_idz00);
						{	/* Ast/venv.scm 117 */

							{	/* Ast/venv.scm 119 */
								BgL_typez00_bglt BgL_arg1974z00_1354;

								BgL_arg1974z00_1354 =
									BGl_findzd2typezd2zztype_envz00(BgL_typeidz00_1353);
								{	/* Ast/venv.scm 119 */
									BgL_globalz00_bglt BgL_oz00_2407;

									BgL_oz00_2407 = ((BgL_globalz00_bglt) BgL_newz00_6);
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_oz00_2407)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg1974z00_1354), BUNSPEC);
								}
							}
							BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_1352);
							{	/* Ast/venv.scm 123 */
								bool_t BgL_testz00_2811;

								{	/* Ast/venv.scm 123 */
									bool_t BgL_testz00_2812;

									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg1983z00_1363;

										BgL_arg1983z00_1363 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_testz00_2812 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg1983z00_1363)))->
											BgL_qualifiedzd2typeszd2);
									}
									if (BgL_testz00_2812)
										{	/* Ast/venv.scm 123 */
											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_newz00_6)))->
														BgL_modulez00) == CNST_TABLE_REF(((long) 1))))
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2811 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2811 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 123 */
											BgL_testz00_2811 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2811)
									{	/* Ast/venv.scm 125 */
										obj_t BgL_arg1976z00_1356;
										obj_t BgL_arg1977z00_1357;
										obj_t BgL_arg1978z00_1358;

										BgL_arg1976z00_1356 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->BgL_modulez00);
										BgL_arg1977z00_1357 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->
											BgL_jvmzd2typezd2namez00);
										BgL_arg1978z00_1358 =
											BGl_shapez00zztools_shapez00(BgL_newz00_6);
										{	/* Ast/venv.scm 125 */
											obj_t BgL_list1979z00_1359;

											BgL_list1979z00_1359 =
												MAKE_PAIR(BgL_arg1978z00_1358, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg1976z00_1356, BgL_arg1977z00_1357,
												BgL_list1979z00_1359);
										}
									}
								else
									{	/* Ast/venv.scm 123 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_2655,
		obj_t BgL_newz00_2656)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2656);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_2657,
		obj_t BgL_funz00_2658)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2658);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_2659)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_2660)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_14,
		obj_t BgL_modulez00_15)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			{	/* Ast/venv.scm 233 */
				obj_t BgL_bucketz00_1365;
				obj_t BgL_modulez00_1366;

				BgL_bucketz00_1365 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_14);
				if (NULLP(BgL_modulez00_15))
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1366 = BNIL;
					}
				else
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1366 = CAR(BgL_modulez00_15);
					}
				if (PAIRP(BgL_bucketz00_1365))
					{	/* Ast/venv.scm 236 */
						if (NULLP(CDR(BgL_bucketz00_1365)))
							{	/* Ast/venv.scm 238 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 238 */
								if (NULLP(BgL_modulez00_1366))
									{	/* Ast/venv.scm 240 */
										return CAR(CDR(BgL_bucketz00_1365));
									}
								else
									{
										obj_t BgL_globalsz00_1372;

										BgL_globalsz00_1372 = CDR(BgL_bucketz00_1365);
									BgL_zc3anonymousza31988ze3z83_1373:
										if (NULLP(BgL_globalsz00_1372))
											{	/* Ast/venv.scm 245 */
												return BFALSE;
											}
										else
											{	/* Ast/venv.scm 247 */
												bool_t BgL_testz00_2848;

												{	/* Ast/venv.scm 247 */
													obj_t BgL_auxz00_2849;

													{
														BgL_globalz00_bglt BgL_auxz00_2850;

														{	/* Ast/venv.scm 247 */
															obj_t BgL_pairz00_2439;

															BgL_pairz00_2439 = BgL_globalsz00_1372;
															BgL_auxz00_2850 =
																((BgL_globalz00_bglt) CAR(BgL_pairz00_2439));
														}
														BgL_auxz00_2849 =
															(((BgL_globalz00_bglt) CREF(BgL_auxz00_2850))->
															BgL_modulez00);
													}
													BgL_testz00_2848 =
														(BgL_auxz00_2849 == BgL_modulez00_1366);
												}
												if (BgL_testz00_2848)
													{	/* Ast/venv.scm 247 */
														return CAR(BgL_globalsz00_1372);
													}
												else
													{
														obj_t BgL_globalsz00_2856;

														BgL_globalsz00_2856 = CDR(BgL_globalsz00_1372);
														BgL_globalsz00_1372 = BgL_globalsz00_2856;
														goto BgL_zc3anonymousza31988ze3z83_1373;
													}
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 236 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_2661,
		obj_t BgL_idz00_2662, obj_t BgL_modulez00_2663)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2662, BgL_modulez00_2663);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_16, obj_t BgL_modulez00_17)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			{	/* Ast/venv.scm 256 */
				obj_t BgL_bucketz00_1382;

				BgL_bucketz00_1382 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_16);
				if (PAIRP(BgL_bucketz00_1382))
					{	/* Ast/venv.scm 258 */
						if (NULLP(CDR(BgL_bucketz00_1382)))
							{	/* Ast/venv.scm 260 */
								return BFALSE;
							}
						else
							{
								obj_t BgL_globalsz00_1388;

								BgL_globalsz00_1388 = CDR(BgL_bucketz00_1382);
							BgL_zc3anonymousza32000ze3z83_1389:
								if (NULLP(BgL_globalsz00_1388))
									{	/* Ast/venv.scm 267 */
										return BFALSE;
									}
								else
									{	/* Ast/venv.scm 269 */
										bool_t BgL_testz00_2868;

										{	/* Ast/venv.scm 269 */
											obj_t BgL_auxz00_2869;

											{
												BgL_globalz00_bglt BgL_auxz00_2870;

												{	/* Ast/venv.scm 269 */
													obj_t BgL_pairz00_2459;

													BgL_pairz00_2459 = BgL_globalsz00_1388;
													BgL_auxz00_2870 =
														((BgL_globalz00_bglt) CAR(BgL_pairz00_2459));
												}
												BgL_auxz00_2869 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_2870))->
													BgL_modulez00);
											}
											BgL_testz00_2868 = (BgL_auxz00_2869 == BgL_modulez00_17);
										}
										if (BgL_testz00_2868)
											{	/* Ast/venv.scm 269 */
												return CAR(BgL_globalsz00_1388);
											}
										else
											{
												obj_t BgL_globalsz00_2876;

												BgL_globalsz00_2876 = CDR(BgL_globalsz00_1388);
												BgL_globalsz00_1388 = BgL_globalsz00_2876;
												goto BgL_zc3anonymousza32000ze3z83_1389;
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 258 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2664,
		obj_t BgL_idz00_2665, obj_t BgL_modulez00_2666)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2665,
				BgL_modulez00_2666);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_18, obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			{	/* Ast/venv.scm 278 */
				obj_t BgL_globalz00_1397;

				BgL_globalz00_1397 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_18,
					BgL_modulez00_19);
				{	/* Ast/venv.scm 279 */
					bool_t BgL_testz00_2881;

					if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1397,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 279 */
							BgL_testz00_2881 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 279 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 279 */
									BgL_testz00_2881 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 279 */
									BgL_testz00_2881 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_2881)
						{	/* Ast/venv.scm 282 */
							obj_t BgL_arg2009z00_1399;

							{	/* Ast/venv.scm 282 */
								obj_t BgL_list2010z00_1400;

								{	/* Ast/venv.scm 282 */
									obj_t BgL_arg2011z00_1401;

									BgL_arg2011z00_1401 = MAKE_PAIR(BgL_modulez00_19, BNIL);
									BgL_list2010z00_1400 =
										MAKE_PAIR(BgL_idz00_18, BgL_arg2011z00_1401);
								}
								BgL_arg2009z00_1399 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2271z00zzast_envz00, BgL_list2010z00_1400);
							}
							BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
										2)), BGl_string2272z00zzast_envz00, BgL_arg2009z00_1399);
						}
					else
						{	/* Ast/venv.scm 279 */
							BFALSE;
						}
				}
				return BgL_globalz00_1397;
			}
		}
	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2667,
		obj_t BgL_idz00_2668, obj_t BgL_modulez00_2669)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_2668,
				BgL_modulez00_2669);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_20,
		obj_t BgL_oz00_21, obj_t BgL_msgz00_22)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 288 */
			{	/* Ast/venv.scm 289 */
				bool_t BgL_testz00_2892;

				{	/* Ast/venv.scm 289 */
					bool_t BgL_testz00_2893;

					{	/* Ast/venv.scm 289 */
						int BgL_arg2026z00_1420;

						BgL_arg2026z00_1420 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_2893 = ((long) (BgL_arg2026z00_1420) > ((long) 0));
					}
					if (BgL_testz00_2893)
						{	/* Ast/venv.scm 289 */
							BgL_testz00_2892 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 289 */
							BgL_testz00_2892 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2892)
					{	/* Ast/venv.scm 290 */
						BgL_globalz00_bglt BgL_i1102z00_1404;

						BgL_i1102z00_1404 = ((BgL_globalz00_bglt) BgL_oz00_21);
						{	/* Ast/venv.scm 291 */
							obj_t BgL_locz00_1405;
							obj_t BgL_oldz00_1406;
							obj_t BgL_newz00_1407;
							obj_t BgL_msgz00_1408;

							BgL_locz00_1405 =
								BGl_findzd2locationzd2zztools_locationz00(
								(((BgL_globalz00_bglt) CREF(BgL_i1102z00_1404))->BgL_srcz00));
							{	/* Ast/venv.scm 292 */
								obj_t BgL_arg2016z00_1410;

								{	/* Ast/venv.scm 292 */
									obj_t BgL_arg2017z00_1411;
									obj_t BgL_arg2018z00_1412;

									BgL_arg2017z00_1411 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_i1102z00_1404)))->
										BgL_idz00);
									BgL_arg2018z00_1412 =
										MAKE_PAIR((((BgL_globalz00_bglt) CREF(BgL_i1102z00_1404))->
											BgL_modulez00), BNIL);
									BgL_arg2016z00_1410 =
										MAKE_PAIR(BgL_arg2017z00_1411, BgL_arg2018z00_1412);
								}
								BgL_oldz00_1406 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2016z00_1410);
							}
							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg2020z00_1414;

								{	/* Ast/venv.scm 293 */
									obj_t BgL_arg2021z00_1415;
									obj_t BgL_arg2022z00_1416;

									BgL_arg2021z00_1415 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_nz00_20))))->BgL_idz00);
									{	/* Ast/venv.scm 293 */
										obj_t BgL_arg2023z00_1417;

										BgL_arg2023z00_1417 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_nz00_20)))->BgL_modulez00);
										BgL_arg2022z00_1416 = MAKE_PAIR(BgL_arg2023z00_1417, BNIL);
									}
									BgL_arg2020z00_1414 =
										MAKE_PAIR(BgL_arg2021z00_1415, BgL_arg2022z00_1416);
								}
								BgL_newz00_1407 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2020z00_1414);
							}
							if (PAIRP(BgL_msgz00_22))
								{	/* Ast/venv.scm 294 */
									BgL_msgz00_1408 = CAR(BgL_msgz00_22);
								}
							else
								{	/* Ast/venv.scm 294 */
									BgL_msgz00_1408 = BGl_string2273z00zzast_envz00;
								}
							if (CBOOL(BgL_locz00_1405))
								{	/* Ast/venv.scm 295 */
									return
										BGl_userzd2warningzf2locationz20zztools_errorz00
										(BgL_locz00_1405, BgL_oldz00_1406, BgL_msgz00_1408,
										BgL_newz00_1407);
								}
							else
								{	/* Ast/venv.scm 295 */
									return
										BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1406,
										BgL_msgz00_1408, BgL_newz00_1407);
								}
						}
					}
				else
					{	/* Ast/venv.scm 289 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_23, obj_t BgL_srcz00_24)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 302 */
			{	/* Ast/venv.scm 304 */
				obj_t BgL_locz00_1422;

				BgL_locz00_1422 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_24);
				if (CBOOL(BgL_locz00_1422))
					{	/* Ast/venv.scm 307 */
						obj_t BgL_arg2027z00_1424;
						obj_t BgL_arg2028z00_1425;

						BgL_arg2027z00_1424 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg2028z00_1425 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1422,
							BgL_arg2027z00_1424, BGl_string2274z00zzast_envz00,
							BgL_arg2028z00_1425, BNIL);
					}
				else
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg2033z00_1427;
						obj_t BgL_arg2035z00_1428;

						BgL_arg2033z00_1427 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg2035z00_1428 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg2033z00_1427,
							BGl_string2274z00zzast_envz00, BgL_arg2035z00_1428, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_25, obj_t BgL_srcz00_26)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 313 */
			{	/* Ast/venv.scm 315 */
				obj_t BgL_locz00_1431;

				BgL_locz00_1431 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_26);
				if (CBOOL(BgL_locz00_1431))
					{	/* Ast/venv.scm 318 */
						obj_t BgL_arg2037z00_1433;
						obj_t BgL_arg2038z00_1434;

						BgL_arg2037z00_1433 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg2038z00_1434 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1431,
							BgL_arg2037z00_1433, BGl_string2274z00zzast_envz00,
							BgL_arg2038z00_1434);
					}
				else
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg2041z00_1435;
						obj_t BgL_arg2042z00_1436;

						BgL_arg2041z00_1435 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg2042z00_1436 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg2041z00_1435,
							BGl_string2274z00zzast_envz00, BgL_arg2042z00_1436);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_27, obj_t BgL_modulez00_28, BgL_valuez00_bglt BgL_valuez00_29,
		obj_t BgL_importz00_30, obj_t BgL_srcz00_31)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			{	/* Ast/venv.scm 339 */
				obj_t BgL_oldz00_1437;

				{	/* Ast/venv.scm 339 */
					obj_t BgL_list2074z00_1472;

					BgL_list2074z00_1472 = MAKE_PAIR(BgL_modulez00_28, BNIL);
					BgL_oldz00_1437 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_27,
						BgL_list2074z00_1472);
				}
				if (BGl_isazf3zf3zz__objectz00(BgL_oldz00_1437,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 340 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Ast/venv.scm 342 */
								return ((BgL_globalz00_bglt) BgL_oldz00_1437);
							}
						else
							{	/* Ast/venv.scm 342 */
								if (
									(BgL_modulez00_28 ==
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_oldz00_1437)))->
											BgL_modulez00)))
									{	/* Ast/venv.scm 344 */
										BGl_warningzd2rebindzd2globalz12z12zzast_envz00(
											((BgL_globalz00_bglt) BgL_oldz00_1437), BgL_srcz00_31);
										return ((BgL_globalz00_bglt) BgL_oldz00_1437);
									}
								else
									{	/* Ast/venv.scm 344 */
										return
											((BgL_globalz00_bglt)
											BGl_errorzd2rebindzd2globalz12z12zzast_envz00(
												((BgL_globalz00_bglt) BgL_oldz00_1437), BgL_srcz00_31));
									}
							}
					}
				else
					{	/* Ast/venv.scm 349 */
						obj_t BgL_bucketz00_1441;
						BgL_globalz00_bglt BgL_newz00_1442;

						BgL_bucketz00_1441 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_27);
						{	/* Ast/venv.scm 350 */
							BgL_globalz00_bglt BgL_new1106z00_1468;

							{	/* Ast/venv.scm 350 */
								BgL_globalz00_bglt BgL_new1105z00_1470;

								BgL_new1105z00_1470 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Ast/venv.scm 350 */
									long BgL_arg2073z00_1471;

									{	/* Ast/venv.scm 350 */
										long BgL_res2234z00_2487;

										{	/* Ast/venv.scm 350 */
											obj_t BgL_classz00_2484;

											BgL_classz00_2484 = BGl_globalz00zzast_varz00;
											{	/* Ast/venv.scm 350 */
												obj_t BgL_vectorz00_2485;
												int BgL_kz00_2486;

												BgL_vectorz00_2485 = BgL_classz00_2484;
												BgL_kz00_2486 = (int) (((long) 1));
												BgL_res2234z00_2487 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2485,
														BgL_kz00_2486));
										}}
										BgL_arg2073z00_1471 = BgL_res2234z00_2487;
									}
									{	/* Ast/venv.scm 350 */
										BgL_objectz00_bglt BgL_objz00_2488;

										BgL_objz00_2488 =
											((BgL_objectz00_bglt) BgL_new1105z00_1470);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2488,
											BgL_arg2073z00_1471);
								}}
								{	/* Ast/venv.scm 350 */
									BgL_objectz00_bglt BgL_auxz00_2970;

									BgL_auxz00_2970 = ((BgL_objectz00_bglt) BgL_new1105z00_1470);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2970, BFALSE);
								}
								BgL_new1106z00_1468 = BgL_new1105z00_1470;
							}
							((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_new1106z00_1468)))->
									BgL_idz00) = ((obj_t) BgL_idz00_27), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_namez00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_valuez00) =
								((BgL_valuez00_bglt) BgL_valuez00_29), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_accessz00) =
								((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_fastzd2alphazd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_removablez00) =
								((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_occurrencez00) =
								((long) ((long) 0)), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_occurrencewz00) =
								((long) ((long) 0)), BUNSPEC);
							((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
												BgL_new1106z00_1468)))->BgL_userzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->
									BgL_modulez00) = ((obj_t) BgL_modulez00_28), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->
									BgL_importz00) = ((obj_t) BgL_importz00_30), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->
									BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->
									BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->
									BgL_libraryz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->
									BgL_pragmaz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->BgL_srcz00) =
								((obj_t) BgL_srcz00_31), BUNSPEC);
							{
								obj_t BgL_auxz00_3003;

								if ((BgL_importz00_30 == CNST_TABLE_REF(((long) 6))))
									{	/* Ast/venv.scm 353 */
										BgL_auxz00_3003 = BGl_string2275z00zzast_envz00;
									}
								else
									{	/* Ast/venv.scm 353 */
										BgL_auxz00_3003 =
											BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
											(BgL_modulez00_28);
									}
								((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->
										BgL_jvmzd2typezd2namez00) =
									((obj_t) BgL_auxz00_3003), BUNSPEC);
							}
							((((BgL_globalz00_bglt) CREF(BgL_new1106z00_1468))->BgL_initz00) =
								((obj_t) BUNSPEC), BUNSPEC);
							BgL_newz00_1442 = BgL_new1106z00_1468;
						}
						{	/* Ast/venv.scm 362 */
							bool_t BgL_testz00_3010;

							if (PAIRP(BgL_bucketz00_1441))
								{	/* Ast/venv.scm 362 */
									BgL_testz00_3010 = NULLP(CDR(BgL_bucketz00_1441));
								}
							else
								{	/* Ast/venv.scm 362 */
									BgL_testz00_3010 = ((bool_t) 1);
								}
							if (BgL_testz00_3010)
								{	/* Ast/venv.scm 362 */
									{	/* Ast/venv.scm 364 */
										obj_t BgL_arg2047z00_1444;

										{	/* Ast/venv.scm 364 */
											obj_t BgL_list2048z00_1445;

											{	/* Ast/venv.scm 364 */
												obj_t BgL_arg2050z00_1446;

												BgL_arg2050z00_1446 =
													MAKE_PAIR(((obj_t) BgL_newz00_1442), BNIL);
												BgL_list2048z00_1445 =
													MAKE_PAIR(BgL_idz00_27, BgL_arg2050z00_1446);
											}
											BgL_arg2047z00_1444 = BgL_list2048z00_1445;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_27,
											BgL_arg2047z00_1444);
									}
									return BgL_newz00_1442;
								}
							else
								{	/* Ast/venv.scm 367 */
									obj_t BgL_oldza2za2_1447;

									BgL_oldza2za2_1447 = CDR(BgL_bucketz00_1441);
									{	/* Ast/venv.scm 367 */
										obj_t BgL_midz00_1448;

										{	/* Ast/venv.scm 369 */
											obj_t BgL_arg2068z00_1464;

											{
												BgL_globalz00_bglt BgL_auxz00_3020;

												{	/* Ast/venv.scm 369 */
													obj_t BgL_pairz00_2498;

													BgL_pairz00_2498 = BgL_oldza2za2_1447;
													BgL_auxz00_3020 =
														((BgL_globalz00_bglt) CAR(BgL_pairz00_2498));
												}
												BgL_arg2068z00_1464 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_3020))->
													BgL_modulez00);
											}
											BgL_midz00_1448 =
												BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
												(BgL_arg2068z00_1464);
										}
										{	/* Ast/venv.scm 368 */

											{	/* Ast/venv.scm 371 */
												bool_t BgL_testz00_3025;

												{	/* Ast/venv.scm 371 */
													obj_t BgL_arg2065z00_1462;

													{
														BgL_globalz00_bglt BgL_auxz00_3026;

														{	/* Ast/venv.scm 371 */
															obj_t BgL_pairz00_2502;

															BgL_pairz00_2502 = BgL_oldza2za2_1447;
															BgL_auxz00_3026 =
																((BgL_globalz00_bglt) CAR(BgL_pairz00_2502));
														}
														BgL_arg2065z00_1462 =
															(((BgL_globalz00_bglt) CREF(BgL_auxz00_3026))->
															BgL_modulez00);
													}
													BgL_testz00_3025 =
														(BgL_arg2065z00_1462 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
												if (BgL_testz00_3025)
													{	/* Ast/venv.scm 371 */
														{	/* Ast/venv.scm 373 */
															bool_t BgL_testz00_3031;

															if ((BgL_idz00_27 == BgL_midz00_1448))
																{	/* Ast/venv.scm 373 */
																	BgL_testz00_3031 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 373 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 373 */
																			BgL_testz00_3031 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 373 */
																			BgL_testz00_3031 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_3031)
																{	/* Ast/venv.scm 374 */
																	obj_t BgL_arg2054z00_1451;

																	BgL_arg2054z00_1451 = CAR(BgL_oldza2za2_1447);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(BgL_arg2054z00_1451,
																		((obj_t) BgL_newz00_1442), BNIL);
																}
															else
																{	/* Ast/venv.scm 373 */
																	BFALSE;
																}
														}
														{	/* Ast/venv.scm 375 */
															obj_t BgL_arg2057z00_1454;
															obj_t BgL_arg2058z00_1455;

															BgL_arg2057z00_1454 = CDR(BgL_bucketz00_1441);
															{	/* Ast/venv.scm 375 */
																obj_t BgL_arg2060z00_1456;

																{	/* Ast/venv.scm 375 */
																	obj_t BgL_pairz00_2508;

																	BgL_pairz00_2508 = BgL_bucketz00_1441;
																	BgL_arg2060z00_1456 =
																		CDR(CDR(BgL_pairz00_2508));
																}
																BgL_arg2058z00_1455 =
																	MAKE_PAIR(
																	((obj_t) BgL_newz00_1442),
																	BgL_arg2060z00_1456);
															}
															SET_CDR(BgL_arg2057z00_1454, BgL_arg2058z00_1455);
														}
														return BgL_newz00_1442;
													}
												else
													{	/* Ast/venv.scm 378 */
														obj_t BgL_newza2za2_1457;

														BgL_newza2za2_1457 =
															MAKE_PAIR(
															((obj_t) BgL_newz00_1442), BgL_oldza2za2_1447);
														{	/* Ast/venv.scm 379 */
															bool_t BgL_testz00_3047;

															if ((BgL_idz00_27 == BgL_midz00_1448))
																{	/* Ast/venv.scm 379 */
																	BgL_testz00_3047 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 379 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 379 */
																			BgL_testz00_3047 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 379 */
																			BgL_testz00_3047 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_3047)
																{	/* Ast/venv.scm 380 */
																	obj_t BgL_arg2062z00_1459;

																	BgL_arg2062z00_1459 = CAR(BgL_oldza2za2_1447);
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(((obj_t) BgL_newz00_1442),
																		BgL_arg2062z00_1459, BNIL);
																}
															else
																{	/* Ast/venv.scm 379 */
																	BFALSE;
																}
														}
														SET_CDR(BgL_bucketz00_1441, BgL_newza2za2_1457);
														return BgL_newz00_1442;
													}
											}
										}
									}
								}
						}
					}
			}
		}
	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_2670, obj_t BgL_idz00_2671, obj_t BgL_modulez00_2672,
		obj_t BgL_valuez00_2673, obj_t BgL_importz00_2674, obj_t BgL_srcz00_2675)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2671, BgL_modulez00_2672,
				((BgL_valuez00_bglt) BgL_valuez00_2673), BgL_importz00_2674,
				BgL_srcz00_2675);
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_32, obj_t BgL_modulez00_33)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 387 */
			{	/* Ast/venv.scm 388 */
				obj_t BgL_globalz00_1473;

				{	/* Ast/venv.scm 388 */
					obj_t BgL_list2087z00_1491;

					BgL_list2087z00_1491 = MAKE_PAIR(BgL_modulez00_33, BNIL);
					BgL_globalz00_1473 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_32,
						BgL_list2087z00_1491);
				}
				if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1473,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 391 */
						obj_t BgL_bucketz00_1475;

						BgL_bucketz00_1475 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_32);
						{	/* Ast/venv.scm 392 */
							obj_t BgL_g1110z00_1476;

							BgL_g1110z00_1476 = CDR(BgL_bucketz00_1475);
							{
								obj_t BgL_curz00_1478;
								obj_t BgL_prevz00_1479;

								BgL_curz00_1478 = BgL_g1110z00_1476;
								BgL_prevz00_1479 = BgL_bucketz00_1475;
							BgL_zc3anonymousza32076ze3z83_1480:
								if ((CAR(BgL_curz00_1478) == BgL_globalz00_1473))
									{	/* Ast/venv.scm 395 */
										obj_t BgL_auxz00_3067;

										BgL_auxz00_3067 = CDR(BgL_curz00_1478);
										return SET_CDR(BgL_prevz00_1479, BgL_auxz00_3067);
									}
								else
									{
										obj_t BgL_prevz00_3072;
										obj_t BgL_curz00_3070;

										BgL_curz00_3070 = CDR(BgL_curz00_1478);
										BgL_prevz00_3072 = CDR(BgL_prevz00_1479);
										BgL_prevz00_1479 = BgL_prevz00_3072;
										BgL_curz00_1478 = BgL_curz00_3070;
										goto BgL_zc3anonymousza32076ze3z83_1480;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 390 */
						obj_t BgL_arg2082z00_1487;

						{	/* Ast/venv.scm 390 */
							obj_t BgL_arg2085z00_1489;

							{	/* Ast/venv.scm 390 */
								obj_t BgL_arg2086z00_1490;

								BgL_arg2086z00_1490 = MAKE_PAIR(BgL_modulez00_33, BNIL);
								BgL_arg2085z00_1489 =
									MAKE_PAIR(BgL_idz00_32, BgL_arg2086z00_1490);
							}
							BgL_arg2082z00_1487 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2085z00_1489);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string2276z00zzast_envz00,
							BGl_string2277z00zzast_envz00, BgL_arg2082z00_1487, BNIL);
					}
			}
		}
	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_2676,
		obj_t BgL_idz00_2677, obj_t BgL_modulez00_2678)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 387 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2677,
				BgL_modulez00_2678);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_34, obj_t BgL_envz00_35)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 401 */
			{	/* Ast/venv.scm 402 */
				obj_t BgL_arg2088z00_1492;

				if (NULLP(BgL_envz00_35))
					{	/* Ast/venv.scm 402 */
						BgL_arg2088z00_1492 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 402 */
						BgL_arg2088z00_1492 = CAR(BgL_envz00_35);
					}
				{	/* Ast/venv.scm 403 */
					obj_t BgL_zc3anonymousza32091ze3z83_2679;

					BgL_zc3anonymousza32091ze3z83_2679 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32091ze3ze1zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32091ze3z83_2679,
						(int) (((long) 0)), BgL_procz00_34);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg2088z00_1492,
						BgL_zc3anonymousza32091ze3z83_2679);
				}
			}
		}
	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_2680,
		obj_t BgL_procz00_2681, obj_t BgL_envz00_2682)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 401 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2681,
				BgL_envz00_2682);
		}
	}



/* &<anonymous:2091> */
	obj_t BGl_z62zc3anonymousza32091ze3ze1zzast_envz00(obj_t BgL_envz00_2683,
		obj_t BgL_kz00_2685, obj_t BgL_bucketz00_2686)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 403 */
			{	/* Ast/venv.scm 403 */
				obj_t BgL_procz00_2684;

				BgL_procz00_2684 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2683, (int) (((long) 0))));
				{
					obj_t BgL_kz00_1495;
					obj_t BgL_bucketz00_1496;

					{	/* Ast/venv.scm 403 */
						bool_t BgL_auxz00_3093;

						BgL_kz00_1495 = BgL_kz00_2685;
						BgL_bucketz00_1496 = BgL_bucketz00_2686;
						{	/* Ast/venv.scm 403 */
							obj_t BgL_g1937z00_1498;

							BgL_g1937z00_1498 = CDR(BgL_bucketz00_1496);
							{
								obj_t BgL_l1935z00_1500;

								BgL_l1935z00_1500 = BgL_g1937z00_1498;
							BgL_zc3anonymousza32092ze3z83_1501:
								if (PAIRP(BgL_l1935z00_1500))
									{	/* Ast/venv.scm 403 */
										{	/* Ast/venv.scm 403 */
											obj_t BgL_arg2094z00_1503;

											BgL_arg2094z00_1503 = CAR(BgL_l1935z00_1500);
											PROCEDURE_ENTRY(BgL_procz00_2684) (BgL_procz00_2684,
												BgL_arg2094z00_1503, BEOA);
										}
										{
											obj_t BgL_l1935z00_3102;

											BgL_l1935z00_3102 = CDR(BgL_l1935z00_1500);
											BgL_l1935z00_1500 = BgL_l1935z00_3102;
											goto BgL_zc3anonymousza32092ze3z83_1501;
										}
									}
								else
									{	/* Ast/venv.scm 403 */
										BgL_auxz00_3093 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_3093);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_36, obj_t BgL_modulez00_37)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 408 */
			{	/* Ast/venv.scm 409 */
				obj_t BgL_bucketz00_1507;

				BgL_bucketz00_1507 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_36);
				if (PAIRP(BgL_bucketz00_1507))
					{
						obj_t BgL_globalsz00_1511;
						long BgL_posz00_1512;

						{	/* Ast/venv.scm 412 */
							long BgL_auxz00_3108;

							BgL_globalsz00_1511 = CDR(BgL_bucketz00_1507);
							BgL_posz00_1512 = ((long) 0);
						BgL_zc3anonymousza32097ze3z83_1513:
							if (NULLP(BgL_globalsz00_1511))
								{	/* Ast/venv.scm 415 */
									BgL_auxz00_3108 = ((long) -1);
								}
							else
								{	/* Ast/venv.scm 417 */
									bool_t BgL_testz00_3111;

									{	/* Ast/venv.scm 417 */
										obj_t BgL_auxz00_3112;

										{
											BgL_globalz00_bglt BgL_auxz00_3113;

											{	/* Ast/venv.scm 417 */
												obj_t BgL_pairz00_2539;

												BgL_pairz00_2539 = BgL_globalsz00_1511;
												BgL_auxz00_3113 =
													((BgL_globalz00_bglt) CAR(BgL_pairz00_2539));
											}
											BgL_auxz00_3112 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_3113))->
												BgL_modulez00);
										}
										BgL_testz00_3111 = (BgL_auxz00_3112 == BgL_modulez00_37);
									}
									if (BgL_testz00_3111)
										{	/* Ast/venv.scm 417 */
											BgL_auxz00_3108 = BgL_posz00_1512;
										}
									else
										{
											long BgL_posz00_3120;
											obj_t BgL_globalsz00_3118;

											BgL_globalsz00_3118 = CDR(BgL_globalsz00_1511);
											BgL_posz00_3120 = (BgL_posz00_1512 + ((long) 1));
											BgL_posz00_1512 = BgL_posz00_3120;
											BgL_globalsz00_1511 = BgL_globalsz00_3118;
											goto BgL_zc3anonymousza32097ze3z83_1513;
										}
								}
							return BINT(BgL_auxz00_3108);
						}
					}
				else
					{	/* Ast/venv.scm 410 */
						return BINT(((long) -1));
		}}}
	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_2687,
		obj_t BgL_idz00_2688, obj_t BgL_modulez00_2689)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 408 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2688,
				BgL_modulez00_2689);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc2278z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string2279z00zzast_envz00);
		}
	}



/* &restore-value-types!1938 */
	obj_t BGl_z62restorezd2valuezd2typesz121938z70zzast_envz00(obj_t
		BgL_envz00_2691, obj_t BgL_valuez00_2692)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return BUNSPEC;
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			{	/* Ast/venv.scm 152 */
				obj_t BgL_method1939z00_1525;

				{	/* Ast/venv.scm 152 */
					obj_t BgL_res2253z00_2575;

					{	/* Ast/venv.scm 152 */
						BgL_objectz00_bglt BgL_objz00_2547;

						BgL_objz00_2547 = ((BgL_objectz00_bglt) BgL_valuez00_9);
						{	/* Ast/venv.scm 152 */
							long BgL_objzd2classzd2numz00_2548;

							{	/* Ast/venv.scm 152 */
								long BgL_res2247z00_2551;

								BgL_res2247z00_2551 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2547);
								BgL_objzd2classzd2numz00_2548 = BgL_res2247z00_2551;
							}
							{	/* Ast/venv.scm 152 */
								obj_t BgL_arg1822z00_2549;

								BgL_arg1822z00_2549 =
									PROCEDURE_REF
									(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
									(int) (((long) 1)));
								{	/* Ast/venv.scm 152 */
									obj_t BgL_arrayz00_2552;
									int BgL_offsetz00_2553;

									BgL_arrayz00_2552 = BgL_arg1822z00_2549;
									BgL_offsetz00_2553 = (int) (BgL_objzd2classzd2numz00_2548);
									{	/* Ast/venv.scm 152 */
										long BgL_offsetz00_2554;

										BgL_offsetz00_2554 =
											((long) (BgL_offsetz00_2553) - OBJECT_TYPE);
										{	/* Ast/venv.scm 152 */
											long BgL_modz00_2555;

											{	/* Ast/venv.scm 152 */
												int BgL_arg1824z00_2556;

												BgL_arg1824z00_2556 = (int) (((long) 16));
												{	/* Ast/venv.scm 152 */
													long BgL_res2250z00_2566;

													{	/* Ast/venv.scm 152 */
														long BgL_auxz00_3135;

														BgL_auxz00_3135 = (long) (BgL_arg1824z00_2556);
														BgL_res2250z00_2566 =
															(BgL_offsetz00_2554 / BgL_auxz00_3135);
													}
													BgL_modz00_2555 = BgL_res2250z00_2566;
											}}
											{	/* Ast/venv.scm 152 */
												long BgL_restz00_2557;

												{	/* Ast/venv.scm 152 */
													int BgL_arg1823z00_2558;

													BgL_arg1823z00_2558 = (int) (((long) 16));
													{	/* Ast/venv.scm 152 */
														long BgL_res2252z00_2570;

														{	/* Ast/venv.scm 152 */
															long BgL_auxz00_3139;

															BgL_auxz00_3139 = (long) (BgL_arg1823z00_2558);
															BgL_res2252z00_2570 =
																(BgL_offsetz00_2554 % BgL_auxz00_3139);
														}
														BgL_restz00_2557 = BgL_res2252z00_2570;
												}}
												{	/* Ast/venv.scm 152 */

													BgL_res2253z00_2575 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2552,
															(int) (BgL_modz00_2555)),
														(int) (BgL_restz00_2557));
					}}}}}}}}
					BgL_method1939z00_1525 = BgL_res2253z00_2575;
				}
				return
					PROCEDURE_ENTRY(BgL_method1939z00_1525) (BgL_method1939z00_1525,
					((obj_t) BgL_valuez00_9), BEOA);
			}
		}
	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_2693,
		obj_t BgL_valuez00_2694)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_2694));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc2280z00zzast_envz00,
				BGl_string2281z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc2282z00zzast_envz00,
				BGl_string2281z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc2283z00zzast_envz00,
				BGl_string2281z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc2284z00zzast_envz00,
				BGl_string2281z00zzast_envz00);
		}
	}



/* &restore-value-types!1947 */
	obj_t BGl_z62restorezd2valuezd2typesz121947z70zzast_envz00(obj_t
		BgL_envz00_2699, obj_t BgL_valuez00_2700)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 207 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1569;

				{	/* Ast/venv.scm 207 */
					bool_t BgL_auxz00_3157;

					BgL_valuez00_1569 = ((BgL_cfunz00_bglt) BgL_valuez00_2700);
					{

						{	/* Ast/venv.scm 207 */
							obj_t BgL_nextzd2method1946zd2_1583;

							BgL_nextzd2method1946zd2_1583 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_valuez00_1569),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							PROCEDURE_ENTRY(BgL_nextzd2method1946zd2_1583)
								(BgL_nextzd2method1946zd2_1583, ((obj_t) BgL_valuez00_1569),
								BEOA);
						}
						{
							obj_t BgL_argsz00_1575;

							BgL_argsz00_1575 =
								(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1569))->
								BgL_argszd2typezd2);
						BgL_zc3anonymousza32133ze3z83_1576:
							if (PAIRP(BgL_argsz00_1575))
								{	/* Ast/venv.scm 211 */
									{	/* Ast/venv.scm 213 */
										BgL_typez00_bglt BgL_arg2135z00_1578;

										{	/* Ast/venv.scm 213 */
											obj_t BgL_arg2137z00_1579;

											BgL_arg2137z00_1579 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															CAR(BgL_argsz00_1575))))->BgL_idz00);
											BgL_arg2135z00_1578 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2137z00_1579);
										}
										{	/* Ast/venv.scm 213 */
											obj_t BgL_pairz00_2629;
											obj_t BgL_objz00_2630;

											BgL_pairz00_2629 = BgL_argsz00_1575;
											BgL_objz00_2630 = ((obj_t) BgL_arg2135z00_1578);
											SET_CAR(BgL_pairz00_2629, BgL_objz00_2630);
										}
									}
									{
										obj_t BgL_argsz00_3173;

										BgL_argsz00_3173 = CDR(BgL_argsz00_1575);
										BgL_argsz00_1575 = BgL_argsz00_3173;
										goto BgL_zc3anonymousza32133ze3z83_1576;
									}
								}
							else
								{	/* Ast/venv.scm 211 */
									BgL_auxz00_3157 = ((bool_t) 0);
								}
						}
					}
					return BBOOL(BgL_auxz00_3157);
				}
			}
		}
	}



/* &restore-value-types!1945 */
	obj_t BGl_z62restorezd2valuezd2typesz121945z70zzast_envz00(obj_t
		BgL_envz00_2701, obj_t BgL_valuez00_2702)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 200 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1564;

				BgL_valuez00_1564 = ((BgL_sfunz00_bglt) BgL_valuez00_2702);
				{

					{	/* Ast/venv.scm 200 */
						obj_t BgL_nextzd2method1944zd2_1568;

						BgL_nextzd2method1944zd2_1568 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1564),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1944zd2_1568)
							(BgL_nextzd2method1944zd2_1568, ((obj_t) BgL_valuez00_1564),
							BEOA);
					}
					{	/* Ast/venv.scm 202 */
						BgL_nodez00_bglt BgL_arg2131z00_1567;

						{
							BgL_isfunz00_bglt BgL_auxz00_3185;

							{
								obj_t BgL_auxz00_3186;

								{	/* Ast/venv.scm 202 */
									BgL_objectz00_bglt BgL_auxz00_3187;

									BgL_auxz00_3187 = ((BgL_objectz00_bglt) BgL_valuez00_1564);
									BgL_auxz00_3186 = BGL_OBJECT_WIDENING(BgL_auxz00_3187);
								}
								BgL_auxz00_3185 = ((BgL_isfunz00_bglt) BgL_auxz00_3186);
							}
							BgL_arg2131z00_1567 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3185))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg2131z00_1567);
					}
				}
			}
		}
	}



/* &restore-value-types!1943 */
	obj_t BGl_z62restorezd2valuezd2typesz121943z70zzast_envz00(obj_t
		BgL_envz00_2703, obj_t BgL_valuez00_2704)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 166 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1535;

				BgL_valuez00_1535 = ((BgL_sfunz00_bglt) BgL_valuez00_2704);
				{

					{	/* Ast/venv.scm 166 */
						obj_t BgL_nextzd2method1942zd2_1563;

						BgL_nextzd2method1942zd2_1563 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1535),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						PROCEDURE_ENTRY(BgL_nextzd2method1942zd2_1563)
							(BgL_nextzd2method1942zd2_1563, ((obj_t) BgL_valuez00_1535),
							BEOA);
					}
					{
						obj_t BgL_argsz00_1541;

						BgL_argsz00_1541 =
							(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1535))->BgL_argsz00);
					BgL_zc3anonymousza32112ze3z83_1542:
						if (PAIRP(BgL_argsz00_1541))
							{	/* Ast/venv.scm 172 */
								obj_t BgL_argz00_1544;

								BgL_argz00_1544 = CAR(BgL_argsz00_1541);
								if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1544,
										BGl_typez00zztype_typez00))
									{	/* Ast/venv.scm 175 */
										BgL_typez00_bglt BgL_arg2115z00_1546;

										{	/* Ast/venv.scm 175 */
											obj_t BgL_arg2117z00_1547;

											BgL_arg2117z00_1547 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt) BgL_argz00_1544)))->BgL_idz00);
											BgL_arg2115z00_1546 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2117z00_1547);
										}
										{	/* Ast/venv.scm 175 */
											obj_t BgL_pairz00_2589;
											obj_t BgL_objz00_2590;

											BgL_pairz00_2589 = BgL_argsz00_1541;
											BgL_objz00_2590 = ((obj_t) BgL_arg2115z00_1546);
											SET_CAR(BgL_pairz00_2589, BgL_objz00_2590);
										}
									}
								else
									{	/* Ast/venv.scm 174 */
										if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1544,
												BGl_localz00zzast_varz00))
											{	/* Ast/venv.scm 177 */
												BgL_typez00_bglt BgL_newzd2typezd2_1549;

												{	/* Ast/venv.scm 177 */
													obj_t BgL_arg2119z00_1550;

													BgL_arg2119z00_1550 =
														(((BgL_typez00_bglt) CREF(
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_argz00_1544))))->BgL_typez00)))->
														BgL_idz00);
													BgL_newzd2typezd2_1549 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg2119z00_1550);
												}
												{	/* Ast/venv.scm 178 */
													BgL_localz00_bglt BgL_oz00_2599;

													BgL_oz00_2599 = ((BgL_localz00_bglt) BgL_argz00_1544);
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_oz00_2599)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_newzd2typezd2_1549),
														BUNSPEC);
												}
											}
										else
											{	/* Ast/venv.scm 176 */
												BGl_errorz00zz__errorz00(BGl_string2285z00zzast_envz00,
													BGl_string2286z00zzast_envz00,
													BGl_shapez00zztools_shapez00(BgL_argz00_1544));
											}
									}
								{
									obj_t BgL_argsz00_3223;

									BgL_argsz00_3223 = CDR(BgL_argsz00_1541);
									BgL_argsz00_1541 = BgL_argsz00_3223;
									goto BgL_zc3anonymousza32112ze3z83_1542;
								}
							}
						else
							{	/* Ast/venv.scm 171 */
								if (NULLP(BgL_argsz00_1541))
									{	/* Ast/venv.scm 185 */
										obj_t BgL_bodyz00_1555;

										BgL_bodyz00_1555 =
											(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1535))->
											BgL_bodyz00);
										if (BGl_isazf3zf3zz__objectz00(BgL_bodyz00_1555,
												BGl_nodez00zzast_nodez00))
											{	/* Ast/venv.scm 188 */
												BgL_typez00_bglt BgL_tresz00_1557;

												BgL_tresz00_1557 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_bodyz00_1555)))->
													BgL_typez00);
												BGl_hrtypezd2nodez12zc0zzast_hrtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_1555));
												{	/* Ast/venv.scm 190 */
													bool_t BgL_testz00_3234;

													{	/* Ast/venv.scm 190 */
														bool_t BgL_res2265z00_2613;

														{	/* Ast/venv.scm 190 */
															obj_t BgL_objz00_2612;

															BgL_objz00_2612 = ((obj_t) BgL_tresz00_1557);
															BgL_res2265z00_2613 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_2612,
																BGl_typez00zztype_typez00);
														}
														BgL_testz00_3234 = BgL_res2265z00_2613;
													}
													if (BgL_testz00_3234)
														{	/* Ast/venv.scm 191 */
															BgL_typez00_bglt BgL_arg2126z00_1559;

															BgL_arg2126z00_1559 =
																BGl_findzd2typezd2zztype_envz00(
																(((BgL_typez00_bglt) CREF(BgL_tresz00_1557))->
																	BgL_idz00));
															{	/* Ast/venv.scm 191 */
																BgL_nodez00_bglt BgL_oz00_2617;

																BgL_oz00_2617 =
																	((BgL_nodez00_bglt) BgL_bodyz00_1555);
																return
																	((((BgL_nodez00_bglt) CREF(BgL_oz00_2617))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2126z00_1559),
																	BUNSPEC);
															}
														}
													else
														{	/* Ast/venv.scm 190 */
															return BFALSE;
														}
												}
											}
										else
											{	/* Ast/venv.scm 187 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/venv.scm 184 */
										return
											BGl_errorz00zz__errorz00(BGl_string2287z00zzast_envz00,
											BGl_string2288z00zzast_envz00,
											BGl_shapez00zztools_shapez00(BgL_argsz00_1541));
									}
							}
					}
				}
			}
		}
	}



/* &restore-value-types!1941 */
	obj_t BGl_z62restorezd2valuezd2typesz121941z70zzast_envz00(obj_t
		BgL_envz00_2705, obj_t BgL_valuez00_2706)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 158 */
			{
				BgL_funz00_bglt BgL_valuez00_1526;

				BgL_valuez00_1526 = ((BgL_funz00_bglt) BgL_valuez00_2706);
				{	/* Ast/venv.scm 160 */
					bool_t BgL_testz00_3245;

					{	/* Ast/venv.scm 160 */
						obj_t BgL_arg2110z00_1533;

						BgL_arg2110z00_1533 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1526))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_3245 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2110z00_1533,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_3245)
						{
							obj_t BgL_auxz00_3248;

							{	/* Ast/venv.scm 161 */
								obj_t BgL_arg2107z00_1531;

								BgL_arg2107z00_1531 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt)
												(((BgL_funz00_bglt) CREF(BgL_valuez00_1526))->
													BgL_predicatezd2ofzd2))))->BgL_idz00);
								BgL_auxz00_3248 =
									((obj_t)
									BGl_findzd2typezd2zztype_envz00(BgL_arg2107z00_1531));
							}
							return
								((((BgL_funz00_bglt) CREF(BgL_valuez00_1526))->
									BgL_predicatezd2ofzd2) = ((obj_t) BgL_auxz00_3248), BUNSPEC);
						}
					else
						{	/* Ast/venv.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 156957722),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2289z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
