/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt,
		obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7702244za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2245za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2246z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2235z00zzcoerce_convertz00,
		BgL_bgl_string2235za700za7za7c2247za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string2236z00zzcoerce_convertz00,
		BgL_bgl_string2236za700za7za7c2248za7, "", 0);
	      DEFINE_STRING(BGl_string2237z00zzcoerce_convertz00,
		BgL_bgl_string2237za700za7za7c2249za7, "Type error", 10);
	      DEFINE_STRING(BGl_string2238z00zzcoerce_convertz00,
		BgL_bgl_string2238za700za7za7c2250za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string2239z00zzcoerce_convertz00,
		BgL_bgl_string2239za700za7za7c2251za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string2240z00zzcoerce_convertz00,
		BgL_bgl_string2240za700za7za7c2252za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2872, char *BgL_fromz00_2873)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_toplevelzd2initzd2zzcoerce_convertz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2864;

				BgL_cportz00_2864 =
					bgl_open_input_string(BGl_string2240z00zzcoerce_convertz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2865;

					BgL_iz00_2865 = ((long) 10);
				BgL_loopz00_2866:
					if ((BgL_iz00_2865 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg2243z00_2868;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2870;

										BgL_locationz00_2870 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg2243z00_2868 =
												BGl_readz00zz__readerz00(BgL_cportz00_2864,
												BgL_locationz00_2870);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_auxz00_2899;

									BgL_auxz00_2899 = (int) (BgL_iz00_2865);
									CNST_TABLE_SET(BgL_auxz00_2899, BgL_arg2243z00_2868);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2871;

								BgL_auxz00_2871 = (int) ((BgL_iz00_2865 - ((long) 1)));
								{
									long BgL_iz00_2904;

									BgL_iz00_2904 = (long) (BgL_auxz00_2871);
									BgL_iz00_2865 = BgL_iz00_2904;
									goto BgL_loopz00_2866;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}
	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 58 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 60 */
					int BgL_stz00_1513;

					BgL_stz00_1513 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 63 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 68 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 68 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 71 */
										obj_t BgL_arg1937z00_1515;
										obj_t BgL_arg1938z00_1516;
										obj_t BgL_arg1939z00_1517;

										BgL_arg1937z00_1515 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1938z00_1516 =
											STRUCT_REF(BgL_locz00_37, (int) (((long) 1)));
										{	/* Coerce/convert.scm 74 */
											obj_t BgL_arg1941z00_1519;
											obj_t BgL_arg1942z00_1520;

											BgL_arg1941z00_1519 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1942z00_1520 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 73 */
												obj_t BgL_list1943z00_1521;

												{	/* Coerce/convert.scm 73 */
													obj_t BgL_arg1944z00_1522;

													{	/* Coerce/convert.scm 73 */
														obj_t BgL_arg1945z00_1523;

														BgL_arg1945z00_1523 =
															MAKE_PAIR(BgL_arg1942z00_1520, BNIL);
														BgL_arg1944z00_1522 =
															MAKE_PAIR(BgL_arg1941z00_1519,
															BgL_arg1945z00_1523);
													}
													BgL_list1943z00_1521 =
														MAKE_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1944z00_1522);
												}
												BgL_arg1939z00_1517 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2235z00zzcoerce_convertz00,
													BgL_list1943z00_1521);
										}}
										{	/* Coerce/convert.scm 71 */
											obj_t BgL_list1940z00_1518;

											BgL_list1940z00_1518 =
												MAKE_PAIR(BgL_arg1939z00_1517, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1937z00_1515,
												BgL_arg1938z00_1516, BgL_list1940z00_1518);
						}}}}
					else
						{	/* Coerce/convert.scm 63 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 67 */
								obj_t BgL_arg1946z00_1524;

								{	/* Coerce/convert.scm 67 */
									obj_t BgL_arg1948z00_1526;
									obj_t BgL_arg1949z00_1527;

									BgL_arg1948z00_1526 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg1949z00_1527 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 66 */
										obj_t BgL_list1950z00_1528;

										{	/* Coerce/convert.scm 66 */
											obj_t BgL_arg1951z00_1529;

											{	/* Coerce/convert.scm 66 */
												obj_t BgL_arg1952z00_1530;

												BgL_arg1952z00_1530 =
													MAKE_PAIR(BgL_arg1949z00_1527, BNIL);
												BgL_arg1951z00_1529 =
													MAKE_PAIR(BgL_arg1948z00_1526, BgL_arg1952z00_1530);
											}
											BgL_list1950z00_1528 =
												MAKE_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg1951z00_1529);
										}
										BgL_arg1946z00_1524 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2235z00zzcoerce_convertz00,
											BgL_list1950z00_1528);
								}}
								{	/* Coerce/convert.scm 65 */
									obj_t BgL_list1947z00_1525;

									BgL_list1947z00_1525 = MAKE_PAIR(BgL_arg1946z00_1524, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1947z00_1525);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1513);
				}
			else
				{	/* Coerce/convert.scm 59 */
					return BFALSE;
				}
		}
	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}
	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2852)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 117 */
			{	/* Coerce/convert.scm 119 */
				obj_t BgL_fnamez00_1538;
				obj_t BgL_posz00_1539;

				{	/* Coerce/convert.scm 119 */
					bool_t BgL_testz00_2943;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 119 */
							BgL_testz00_2943 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_testz00_2943 = ((bool_t) 0);
						}
					if (BgL_testz00_2943)
						{	/* Coerce/convert.scm 119 */
							BgL_fnamez00_1538 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 119 */
							BgL_fnamez00_1538 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 120 */
					bool_t BgL_testz00_2950;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 120 */
							BgL_testz00_2950 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 120 */
							BgL_testz00_2950 = ((bool_t) 0);
						}
					if (BgL_testz00_2950)
						{	/* Coerce/convert.scm 120 */
							BgL_posz00_1539 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 120 */
							BgL_posz00_1539 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 122 */
					obj_t BgL_arg1962z00_1540;

					{	/* Coerce/convert.scm 122 */
						obj_t BgL_arg1963z00_1541;
						obj_t BgL_arg1964z00_1542;

						{	/* Coerce/convert.scm 122 */
							obj_t BgL_arg1965z00_1543;
							obj_t BgL_arg1966z00_1544;

							{	/* Coerce/convert.scm 122 */
								obj_t BgL_arg1967z00_1545;

								{	/* Coerce/convert.scm 122 */
									obj_t BgL_arg1968z00_1546;

									BgL_arg1968z00_1546 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg1967z00_1545 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg1968z00_1546);
								}
								BgL_arg1965z00_1543 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1967z00_1545);
							}
							{	/* Coerce/convert.scm 123 */
								obj_t BgL_arg1969z00_1547;

								{	/* Coerce/convert.scm 123 */
									obj_t BgL_arg1970z00_1548;

									{	/* Coerce/convert.scm 123 */
										obj_t BgL_arg1971z00_1549;
										obj_t BgL_arg1972z00_1550;

										{	/* Coerce/convert.scm 123 */
											obj_t BgL_arg1973z00_1551;

											BgL_arg1973z00_1551 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 123 */
												obj_t BgL_res2199z00_2628;

												{	/* Coerce/convert.scm 123 */
													obj_t BgL_symbolz00_2626;

													BgL_symbolz00_2626 = BgL_arg1973z00_1551;
													{	/* Coerce/convert.scm 123 */
														obj_t BgL_arg1334z00_2627;

														BgL_arg1334z00_2627 =
															SYMBOL_TO_STRING(BgL_symbolz00_2626);
														BgL_res2199z00_2628 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1334z00_2627);
												}}
												BgL_arg1971z00_1549 = BgL_res2199z00_2628;
										}}
										{	/* Coerce/convert.scm 124 */
											obj_t BgL_arg1974z00_1552;
											obj_t BgL_arg1975z00_1553;

											{	/* Coerce/convert.scm 124 */
												obj_t BgL_res2200z00_2631;

												{	/* Coerce/convert.scm 124 */
													obj_t BgL_symbolz00_2629;

													BgL_symbolz00_2629 = BgL_tiz00_50;
													{	/* Coerce/convert.scm 124 */
														obj_t BgL_arg1334z00_2630;

														BgL_arg1334z00_2630 =
															SYMBOL_TO_STRING(BgL_symbolz00_2629);
														BgL_res2200z00_2631 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1334z00_2630);
												}}
												BgL_arg1974z00_1552 = BgL_res2200z00_2631;
											}
											BgL_arg1975z00_1553 = MAKE_PAIR(BgL_idz00_51, BNIL);
											BgL_arg1972z00_1550 =
												MAKE_PAIR(BgL_arg1974z00_1552, BgL_arg1975z00_1553);
										}
										BgL_arg1970z00_1548 =
											MAKE_PAIR(BgL_arg1971z00_1549, BgL_arg1972z00_1550);
									}
									BgL_arg1969z00_1547 =
										MAKE_PAIR(BgL_posz00_1539, BgL_arg1970z00_1548);
								}
								BgL_arg1966z00_1544 =
									MAKE_PAIR(BgL_fnamez00_1538, BgL_arg1969z00_1547);
							}
							BgL_arg1963z00_1541 =
								MAKE_PAIR(BgL_arg1965z00_1543, BgL_arg1966z00_1544);
						}
						{	/* Coerce/convert.scm 121 */
							obj_t BgL_arg1976z00_1554;

							BgL_arg1976z00_1554 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1964z00_1542 = MAKE_PAIR(BFALSE, BgL_arg1976z00_1554);
						}
						BgL_arg1962z00_1540 =
							MAKE_PAIR(BgL_arg1963z00_1541, BgL_arg1964z00_1542);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg1962z00_1540);
		}}}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 131 */
			{	/* Coerce/convert.scm 133 */
				obj_t BgL_auxz00_1557;

				BgL_auxz00_1557 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 133 */
					BgL_nodez00_bglt BgL_uvaluez00_1558;

					{	/* Coerce/convert.scm 134 */
						bool_t BgL_testz00_2982;

						{	/* Coerce/convert.scm 134 */
							bool_t BgL_res2201z00_2633;

							{	/* Coerce/convert.scm 134 */
								obj_t BgL_objz00_2632;

								BgL_objz00_2632 = ((obj_t) BgL_valuez00_54);
								BgL_res2201z00_2633 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2632,
									BGl_varz00zzast_nodez00);
							}
							BgL_testz00_2982 = BgL_res2201z00_2633;
						}
						if (BgL_testz00_2982)
							{	/* Coerce/convert.scm 135 */
								BgL_varz00_bglt BgL_duplicated1104z00_1575;
								BgL_varz00_bglt BgL_new1103z00_1576;

								BgL_duplicated1104z00_1575 =
									((BgL_varz00_bglt) BgL_valuez00_54);
								{	/* Coerce/convert.scm 135 */
									BgL_varz00_bglt BgL_new1105z00_1577;

									BgL_new1105z00_1577 =
										((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Coerce/convert.scm 135 */
										long BgL_arg1995z00_1578;

										{	/* Coerce/convert.scm 135 */
											long BgL_res2202z00_2637;

											{	/* Coerce/convert.scm 135 */
												obj_t BgL_classz00_2634;

												BgL_classz00_2634 = BGl_varz00zzast_nodez00;
												{	/* Coerce/convert.scm 135 */
													obj_t BgL_vectorz00_2635;
													int BgL_kz00_2636;

													BgL_vectorz00_2635 = BgL_classz00_2634;
													BgL_kz00_2636 = (int) (((long) 1));
													BgL_res2202z00_2637 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2635,
															BgL_kz00_2636));
											}}
											BgL_arg1995z00_1578 = BgL_res2202z00_2637;
										}
										{	/* Coerce/convert.scm 135 */
											BgL_objectz00_bglt BgL_objz00_2638;

											BgL_objz00_2638 =
												((BgL_objectz00_bglt) BgL_new1105z00_1577);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2638,
												BgL_arg1995z00_1578);
									}}
									{	/* Coerce/convert.scm 135 */
										BgL_objectz00_bglt BgL_auxz00_2992;

										BgL_auxz00_2992 =
											((BgL_objectz00_bglt) BgL_new1105z00_1577);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2992, BFALSE);
									}
									BgL_new1103z00_1576 = BgL_new1105z00_1577;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1103z00_1576)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_duplicated1104z00_1575)))->BgL_locz00)),
									BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1103z00_1576)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) CREF(BgL_new1103z00_1576))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												CREF(BgL_duplicated1104z00_1575))->BgL_variablez00)),
									BUNSPEC);
								BgL_uvaluez00_1558 = ((BgL_nodez00_bglt) BgL_new1103z00_1576);
							}
						else
							{	/* Coerce/convert.scm 134 */
								BgL_uvaluez00_1558 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 134 */
						BgL_nodez00_bglt BgL_resz00_1559;

						{	/* Coerce/convert.scm 139 */
							obj_t BgL_arg1981z00_1562;

							{	/* Coerce/convert.scm 139 */
								obj_t BgL_arg1982z00_1563;

								{	/* Coerce/convert.scm 139 */
									obj_t BgL_arg1983z00_1564;
									obj_t BgL_arg1984z00_1565;

									{	/* Coerce/convert.scm 139 */
										obj_t BgL_arg1985z00_1566;

										{	/* Coerce/convert.scm 139 */
											obj_t BgL_arg1986z00_1567;
											obj_t BgL_arg1987z00_1568;

											{	/* Coerce/convert.scm 139 */
												obj_t BgL_arg1988z00_1569;

												{	/* Coerce/convert.scm 139 */
													obj_t BgL_arg1989z00_1570;

													{	/* Coerce/convert.scm 139 */
														obj_t BgL_arg1990z00_1571;
														obj_t BgL_arg1991z00_1572;

														{	/* Coerce/convert.scm 139 */
															obj_t BgL_res2203z00_2642;

															{	/* Coerce/convert.scm 139 */
																obj_t BgL_arg1334z00_2641;

																BgL_arg1334z00_2641 =
																	SYMBOL_TO_STRING(BgL_auxz00_1557);
																BgL_res2203z00_2642 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1334z00_2641);
															}
															BgL_arg1990z00_1571 = BgL_res2203z00_2642;
														}
														{	/* Coerce/convert.scm 139 */
															obj_t BgL_res2204z00_2645;

															{	/* Coerce/convert.scm 139 */
																obj_t BgL_symbolz00_2643;

																BgL_symbolz00_2643 = CNST_TABLE_REF(((long) 6));
																{	/* Coerce/convert.scm 139 */
																	obj_t BgL_arg1334z00_2644;

																	BgL_arg1334z00_2644 =
																		SYMBOL_TO_STRING(BgL_symbolz00_2643);
																	BgL_res2204z00_2645 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1334z00_2644);
															}}
															BgL_arg1991z00_1572 = BgL_res2204z00_2645;
														}
														BgL_arg1989z00_1570 =
															string_append(BgL_arg1990z00_1571,
															BgL_arg1991z00_1572);
													}
													BgL_arg1988z00_1569 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg1989z00_1570));
												}
												BgL_arg1986z00_1567 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg1988z00_1569);
											}
											BgL_arg1987z00_1568 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg1985z00_1566 =
												MAKE_PAIR(BgL_arg1986z00_1567, BgL_arg1987z00_1568);
										}
										BgL_arg1983z00_1564 = MAKE_PAIR(BgL_arg1985z00_1566, BNIL);
									}
									BgL_arg1984z00_1565 =
										MAKE_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1557), BNIL);
									BgL_arg1982z00_1563 =
										MAKE_PAIR(BgL_arg1983z00_1564, BgL_arg1984z00_1565);
								}
								BgL_arg1981z00_1562 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg1982z00_1563);
							}
							BgL_resz00_1559 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg1981z00_1562, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 138 */

							{	/* Coerce/convert.scm 143 */
								obj_t BgL_arg1979z00_1560;

								{	/* Coerce/convert.scm 143 */
									obj_t BgL_pairz00_2650;

									BgL_pairz00_2650 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1559)))->
										BgL_bindingsz00);
									BgL_arg1979z00_1560 = CAR(BgL_pairz00_2650);
								}
								{	/* Coerce/convert.scm 143 */
									obj_t BgL_pairz00_2651;
									obj_t BgL_objz00_2652;

									BgL_pairz00_2651 = BgL_arg1979z00_1560;
									BgL_objz00_2652 = ((obj_t) BgL_uvaluez00_1558);
									SET_CDR(BgL_pairz00_2651, BgL_objz00_2652);
							}}
							return ((obj_t) BgL_resz00_1559);
						}
					}
				}
			}
		}
	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2853, obj_t BgL_locz00_2854, obj_t BgL_tiz00_2855,
		obj_t BgL_valuez00_2856)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 131 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2854,
				BgL_tiz00_2855, ((BgL_nodez00_bglt) BgL_valuez00_2856));
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 153 */
			{	/* Coerce/convert.scm 156 */
				bool_t BgL_testz00_3031;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 156 */
						BgL_testz00_3031 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 156 */
						BgL_testz00_3031 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_testz00_3031)
					{	/* Coerce/convert.scm 157 */
						obj_t BgL_nodez00_1580;

						BgL_nodez00_1580 =
							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
							(((BgL_typez00_bglt) CREF(BgL_toz00_56))->BgL_idz00),
							BgL_nodez00_58);
						{	/* Coerce/convert.scm 158 */
							obj_t BgL_arg1997z00_1581;

							BgL_arg1997z00_1581 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 158 */
								obj_t BgL_arg1959z00_2660;

								{	/* Coerce/convert.scm 158 */
									obj_t BgL_arg1960z00_2661;
									obj_t BgL_arg1961z00_2662;

									BgL_arg1960z00_2661 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg1961z00_2662 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg1959z00_2660 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string2236z00zzcoerce_convertz00, BgL_arg1960z00_2661,
										BgL_arg1961z00_2662);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg1997z00_1581, BGl_string2237z00zzcoerce_convertz00,
									BgL_arg1959z00_2660);
							}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1580));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1580), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 161 */
						obj_t BgL_arg2000z00_1583;

						BgL_arg2000z00_1583 = BGl_currentzd2functionzd2zztools_errorz00();
						{	/* Coerce/convert.scm 161 */
							obj_t BgL_arg1954z00_2667;

							{	/* Coerce/convert.scm 161 */
								obj_t BgL_arg1956z00_2668;
								obj_t BgL_arg1958z00_2669;

								BgL_arg1956z00_2668 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
								BgL_arg1958z00_2669 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
								BgL_arg1954z00_2667 =
									BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
									(BGl_string2236z00zzcoerce_convertz00, BgL_arg1956z00_2668,
									BgL_arg1958z00_2669);
							}
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_57,
								BgL_arg2000z00_1583, BGl_string2237z00zzcoerce_convertz00,
								BgL_arg1954z00_2667, BNIL);
						}
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 169 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 173 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 175 */
					BgL_typez00_bglt BgL_toz00_1586;
					BgL_typez00_bglt BgL_fromz00_1587;

					BgL_toz00_1586 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_fromz00_1587 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 177 */
						bool_t BgL_testz00_3064;

						if ((((obj_t) BgL_fromz00_1587) == ((obj_t) BgL_toz00_1586)))
							{	/* Coerce/convert.scm 177 */
								BgL_testz00_3064 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 177 */
								BgL_testz00_3064 =
									(((BgL_typez00_bglt) CREF(BgL_fromz00_1587))->
									BgL_magiczf3zf3);
							}
						if (BgL_testz00_3064)
							{	/* Coerce/convert.scm 177 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 179 */
								obj_t BgL_coercerz00_1589;
								obj_t BgL_locz00_1590;

								BgL_coercerz00_1589 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1587,
									BgL_toz00_1586);
								BgL_locz00_1590 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 181 */
									bool_t BgL_testz00_3072;

									if (STRUCTP(BgL_coercerz00_1589))
										{	/* Coerce/convert.scm 181 */
											BgL_testz00_3072 =
												(STRUCT_KEY(BgL_coercerz00_1589) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 181 */
											BgL_testz00_3072 = ((bool_t) 0);
										}
									if (BgL_testz00_3072)
										{	/* Coerce/convert.scm 185 */
											obj_t BgL_g1106z00_1592;
											obj_t BgL_g1110z00_1593;

											BgL_g1106z00_1592 =
												STRUCT_REF(BgL_coercerz00_1589, (int) (((long) 2)));
											BgL_g1110z00_1593 =
												STRUCT_REF(BgL_coercerz00_1589, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1595;
												obj_t BgL_coercesz00_1596;
												BgL_nodez00_bglt BgL_nodez00_1597;

												{
													obj_t BgL_auxz00_3082;

													BgL_checksz00_1595 = BgL_g1106z00_1592;
													BgL_coercesz00_1596 = BgL_g1110z00_1593;
													BgL_nodez00_1597 = BgL_nodez00_59;
												BgL_zc3anonymousza32005ze3z83_1598:
													if (NULLP(BgL_checksz00_1595))
														{	/* Coerce/convert.scm 189 */
															if (NULLP(BgL_coercesz00_1596))
																{	/* Coerce/convert.scm 190 */
																	BgL_auxz00_3082 = ((obj_t) BgL_nodez00_1597);
																}
															else
																{	/* Coerce/convert.scm 193 */
																	obj_t BgL_arg2008z00_1601;
																	obj_t BgL_arg2009z00_1602;

																	BgL_arg2008z00_1601 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1587));
																	BgL_arg2009z00_1602 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1586));
																	BgL_auxz00_3082 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2238z00zzcoerce_convertz00,
																		BgL_arg2008z00_1601, BgL_arg2009z00_1602);
																}
														}
													else
														{	/* Coerce/convert.scm 189 */
															if (NULLP(BgL_coercesz00_1596))
																{	/* Coerce/convert.scm 197 */
																	obj_t BgL_arg2011z00_1604;
																	obj_t BgL_arg2012z00_1605;

																	BgL_arg2011z00_1604 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1587));
																	BgL_arg2012z00_1605 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1586));
																	BgL_auxz00_3082 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2238z00zzcoerce_convertz00,
																		BgL_arg2011z00_1604, BgL_arg2012z00_1605);
																}
															else
																{	/* Coerce/convert.scm 200 */
																	obj_t BgL_arg2013z00_1606;
																	obj_t BgL_arg2015z00_1607;
																	BgL_nodez00_bglt BgL_arg2016z00_1608;

																	BgL_arg2013z00_1606 = CDR(BgL_checksz00_1595);
																	BgL_arg2015z00_1607 =
																		CDR(BgL_coercesz00_1596);
																	{	/* Coerce/convert.scm 202 */
																		obj_t BgL_arg2017z00_1609;
																		obj_t BgL_arg2018z00_1610;
																		obj_t BgL_arg2019z00_1611;
																		obj_t BgL_arg2020z00_1612;

																		{	/* Coerce/convert.scm 202 */
																			obj_t BgL_pairz00_2697;

																			BgL_pairz00_2697 = BgL_checksz00_1595;
																			BgL_arg2017z00_1609 =
																				CDR(CAR(BgL_pairz00_2697));
																		}
																		{	/* Coerce/convert.scm 203 */
																			obj_t BgL_pairz00_2701;

																			BgL_pairz00_2701 = BgL_coercesz00_1596;
																			BgL_arg2018z00_1610 =
																				CDR(CAR(BgL_pairz00_2701));
																		}
																		{	/* Coerce/convert.scm 204 */
																			obj_t BgL_pairz00_2705;

																			BgL_pairz00_2705 = BgL_checksz00_1595;
																			BgL_arg2019z00_1611 =
																				CAR(CAR(BgL_pairz00_2705));
																		}
																		{	/* Coerce/convert.scm 205 */
																			obj_t BgL_pairz00_2709;

																			BgL_pairz00_2709 = BgL_coercesz00_1596;
																			BgL_arg2020z00_1612 =
																				CAR(CAR(BgL_pairz00_2709));
																		}
																		BgL_arg2016z00_1608 =
																			BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																			(BgL_arg2017z00_1609, BgL_arg2018z00_1610,
																			BgL_arg2019z00_1611, BgL_arg2020z00_1612,
																			BgL_nodez00_1597, BgL_safez00_62);
																	}
																	{
																		BgL_nodez00_bglt BgL_nodez00_3113;
																		obj_t BgL_coercesz00_3112;
																		obj_t BgL_checksz00_3111;

																		BgL_checksz00_3111 = BgL_arg2013z00_1606;
																		BgL_coercesz00_3112 = BgL_arg2015z00_1607;
																		BgL_nodez00_3113 = BgL_arg2016z00_1608;
																		BgL_nodez00_1597 = BgL_nodez00_3113;
																		BgL_coercesz00_1596 = BgL_coercesz00_3112;
																		BgL_checksz00_1595 = BgL_checksz00_3111;
																		goto BgL_zc3anonymousza32005ze3z83_1598;
																	}
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3082);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 181 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_fromz00_1587, BgL_toz00_1586, BgL_locz00_1590,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}
	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2857, obj_t BgL_nodez00_2858, obj_t BgL_fromz00_2859,
		obj_t BgL_toz00_2860, obj_t BgL_safez00_2861)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 169 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_2858),
				((BgL_typez00_bglt) BgL_fromz00_2859),
				((BgL_typez00_bglt) BgL_toz00_2860), CBOOL(BgL_safez00_2861));
		}
	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 218 */
			{	/* Coerce/convert.scm 219 */
				bool_t BgL_testz00_3122;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 219 */
						BgL_testz00_3122 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 219 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 219 */
								BgL_testz00_3122 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 219 */
								BgL_testz00_3122 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_3122)
					{	/* Coerce/convert.scm 219 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63));
					}
				else
					{	/* Coerce/convert.scm 219 */
						if (BGl_isazf3zf3zz__objectz00(BgL_fromz00_63,
								BGl_tclassz00zzobject_classz00))
							{	/* Coerce/convert.scm 221 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(
									((BgL_typez00_bglt) BgL_fromz00_63), BgL_toz00_64,
									BgL_checkopz00_65, BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 221 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 228 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 229 */
				bool_t BgL_testz00_3133;

				{	/* Coerce/convert.scm 229 */
					bool_t BgL_res2214z00_2716;

					{	/* Coerce/convert.scm 229 */
						obj_t BgL_objz00_2715;

						BgL_objz00_2715 = ((obj_t) BgL_nodez00_69);
						BgL_res2214z00_2716 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_2715,
							BGl_letzd2varzd2zzast_nodez00);
					}
					BgL_testz00_3133 = BgL_res2214z00_2716;
				}
				if (BgL_testz00_3133)
					{
						BgL_nodez00_bglt BgL_nodez00_3136;

						BgL_nodez00_3136 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						BgL_nodez00_69 = BgL_nodez00_3136;
						goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
					}
				else
					{	/* Coerce/convert.scm 229 */
						return BgL_nodez00_69;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 236 */
			{	/* Coerce/convert.scm 239 */
				obj_t BgL_auxz00_1620;

				BgL_auxz00_1620 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 239 */
					obj_t BgL_locz00_1621;

					BgL_locz00_1621 =
						(((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 240 */
						BgL_nodez00_bglt BgL_lnodez00_1622;

						{	/* Coerce/convert.scm 248 */
							obj_t BgL_arg2042z00_1636;

							{	/* Coerce/convert.scm 248 */
								obj_t BgL_arg2043z00_1637;

								{	/* Coerce/convert.scm 248 */
									obj_t BgL_arg2044z00_1638;
									obj_t BgL_arg2045z00_1639;

									{	/* Coerce/convert.scm 248 */
										obj_t BgL_arg2046z00_1640;

										{	/* Coerce/convert.scm 248 */
											obj_t BgL_arg2047z00_1641;
											obj_t BgL_arg2048z00_1642;

											{	/* Coerce/convert.scm 248 */
												obj_t BgL_arg2050z00_1643;

												{	/* Coerce/convert.scm 248 */
													obj_t BgL_arg2051z00_1644;

													BgL_arg2051z00_1644 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg2050z00_1643 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1620, BgL_arg2051z00_1644);
												}
												BgL_arg2047z00_1641 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg2050z00_1643);
											}
											BgL_arg2048z00_1642 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg2046z00_1640 =
												MAKE_PAIR(BgL_arg2047z00_1641, BgL_arg2048z00_1642);
										}
										BgL_arg2044z00_1638 = MAKE_PAIR(BgL_arg2046z00_1640, BNIL);
									}
									{	/* Coerce/convert.scm 250 */
										obj_t BgL_arg2052z00_1645;

										{	/* Coerce/convert.scm 250 */
											obj_t BgL_arg2054z00_1646;

											{	/* Coerce/convert.scm 250 */
												obj_t BgL_arg2055z00_1647;
												obj_t BgL_arg2056z00_1648;

												{	/* Coerce/convert.scm 250 */
													obj_t BgL_arg2057z00_1649;

													BgL_arg2057z00_1649 =
														MAKE_PAIR(BgL_auxz00_1620, BNIL);
													BgL_arg2055z00_1647 =
														MAKE_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg2057z00_1649);
												}
												{	/* Coerce/convert.scm 252 */
													obj_t BgL_arg2058z00_1650;

													{	/* Coerce/convert.scm 252 */
														obj_t BgL_arg2060z00_1651;

														{	/* Coerce/convert.scm 252 */
															obj_t BgL_arg2061z00_1652;

															BgL_arg2061z00_1652 =
																(((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg2060z00_1651 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1621, BgL_arg2061z00_1652,
																BgL_auxz00_1620);
														}
														BgL_arg2058z00_1650 =
															MAKE_PAIR(BgL_arg2060z00_1651, BNIL);
													}
													BgL_arg2056z00_1648 =
														MAKE_PAIR(BgL_auxz00_1620, BgL_arg2058z00_1650);
												}
												BgL_arg2054z00_1646 =
													MAKE_PAIR(BgL_arg2055z00_1647, BgL_arg2056z00_1648);
											}
											BgL_arg2052z00_1645 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg2054z00_1646);
										}
										BgL_arg2045z00_1639 = MAKE_PAIR(BgL_arg2052z00_1645, BNIL);
									}
									BgL_arg2043z00_1637 =
										MAKE_PAIR(BgL_arg2044z00_1638, BgL_arg2045z00_1639);
								}
								BgL_arg2042z00_1636 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2043z00_1637);
							}
							BgL_lnodez00_1622 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg2042z00_1636, BgL_locz00_1621);
						}
						{	/* Coerce/convert.scm 241 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 254 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_1621);
								}
							else
								{	/* Coerce/convert.scm 254 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1622);
							{	/* Coerce/convert.scm 256 */
								obj_t BgL_varz00_1623;

								{	/* Coerce/convert.scm 256 */
									obj_t BgL_pairz00_2737;

									{	/* Coerce/convert.scm 256 */
										obj_t BgL_pairz00_2736;

										BgL_pairz00_2736 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_1622)))->
											BgL_bindingsz00);
										BgL_pairz00_2737 = CAR(BgL_pairz00_2736);
									}
									BgL_varz00_1623 = CAR(BgL_pairz00_2737);
								}
								{	/* Coerce/convert.scm 256 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_1624;

									{	/* Coerce/convert.scm 258 */
										BgL_varz00_bglt BgL_arg2036z00_1630;

										{	/* Coerce/convert.scm 258 */
											BgL_varz00_bglt BgL_new1112z00_1631;

											{	/* Coerce/convert.scm 258 */
												BgL_varz00_bglt BgL_new1111z00_1632;

												BgL_new1111z00_1632 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Coerce/convert.scm 258 */
													long BgL_arg2037z00_1633;

													{	/* Coerce/convert.scm 258 */
														long BgL_res2219z00_2741;

														{	/* Coerce/convert.scm 258 */
															obj_t BgL_classz00_2738;

															BgL_classz00_2738 = BGl_varz00zzast_nodez00;
															{	/* Coerce/convert.scm 258 */
																obj_t BgL_vectorz00_2739;
																int BgL_kz00_2740;

																BgL_vectorz00_2739 = BgL_classz00_2738;
																BgL_kz00_2740 = (int) (((long) 1));
																BgL_res2219z00_2741 =
																	(long) CINT(VECTOR_REF(BgL_vectorz00_2739,
																		BgL_kz00_2740));
														}}
														BgL_arg2037z00_1633 = BgL_res2219z00_2741;
													}
													{	/* Coerce/convert.scm 258 */
														BgL_objectz00_bglt BgL_objz00_2742;

														BgL_objz00_2742 =
															((BgL_objectz00_bglt) BgL_new1111z00_1632);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2742,
															BgL_arg2037z00_1633);
												}}
												{	/* Coerce/convert.scm 258 */
													BgL_objectz00_bglt BgL_auxz00_3180;

													BgL_auxz00_3180 =
														((BgL_objectz00_bglt) BgL_new1111z00_1632);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3180, BFALSE);
												}
												BgL_new1112z00_1631 = BgL_new1111z00_1632;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1112z00_1631)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1621), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1112z00_1631)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) CREF(BgL_new1112z00_1631))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1623)), BUNSPEC);
											BgL_arg2036z00_1630 = BgL_new1112z00_1631;
										}
										BgL_coercezd2appzd2_1624 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg2036z00_1630),
											((BgL_typez00_bglt) BgL_fromz00_70));
									}
									{	/* Coerce/convert.scm 257 */
										BgL_nodez00_bglt BgL_condnz00_1625;

										BgL_condnz00_1625 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1622);
										{	/* Coerce/convert.scm 263 */

											{	/* Coerce/convert.scm 265 */
												BgL_localz00_bglt BgL_oz00_2744;
												BgL_typez00_bglt BgL_vz00_2745;

												BgL_oz00_2744 = ((BgL_localz00_bglt) BgL_varz00_1623);
												BgL_vz00_2745 = ((BgL_typez00_bglt) BgL_fromz00_70);
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_oz00_2744)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_2745), BUNSPEC);
											}
											{	/* Coerce/convert.scm 267 */
												obj_t BgL_arg2027z00_1626;

												{	/* Coerce/convert.scm 267 */
													obj_t BgL_pairz00_2749;

													BgL_pairz00_2749 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1622)))->
														BgL_bindingsz00);
													BgL_arg2027z00_1626 = CAR(BgL_pairz00_2749);
												}
												{	/* Coerce/convert.scm 267 */
													obj_t BgL_pairz00_2750;
													obj_t BgL_objz00_2751;

													BgL_pairz00_2750 = BgL_arg2027z00_1626;
													BgL_objz00_2751 = ((obj_t) BgL_nodez00_74);
													SET_CDR(BgL_pairz00_2750, BgL_objz00_2751);
											}}
											{	/* Coerce/convert.scm 268 */
												BgL_typez00_bglt BgL_vz00_2753;

												BgL_vz00_2753 = ((BgL_typez00_bglt) BgL_fromz00_70);
												((((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_2753), BUNSPEC);
											}
											{	/* Coerce/convert.scm 269 */
												BgL_conditionalz00_bglt BgL_oz00_2755;

												BgL_oz00_2755 =
													((BgL_conditionalz00_bglt) BgL_condnz00_1625);
												((((BgL_conditionalz00_bglt) CREF(BgL_oz00_2755))->
														BgL_truez00) =
													((BgL_nodez00_bglt) BgL_coercezd2appzd2_1624),
													BUNSPEC);
											}
											{	/* Coerce/convert.scm 271 */
												BgL_nodez00_bglt BgL_arg2033z00_1628;

												{	/* Coerce/convert.scm 271 */
													BgL_nodez00_bglt BgL_arg2035z00_1629;

													BgL_arg2035z00_1629 =
														(((BgL_conditionalz00_bglt) CREF(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1625)))->BgL_falsez00);
													BgL_arg2033z00_1628 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg2035z00_1629, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												{	/* Coerce/convert.scm 270 */
													BgL_conditionalz00_bglt BgL_oz00_2761;

													BgL_oz00_2761 =
														((BgL_conditionalz00_bglt) BgL_condnz00_1625);
													((((BgL_conditionalz00_bglt) CREF(BgL_oz00_2761))->
															BgL_falsez00) =
														((BgL_nodez00_bglt) BgL_arg2033z00_1628), BUNSPEC);
											}}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1622);
											return BgL_lnodez00_1622;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 281 */
			{	/* Coerce/convert.scm 282 */
				bool_t BgL_testz00_3216;

				if (BGl_isazf3zf3zz__objectz00(BgL_toz00_76,
						BGl_tclassz00zzobject_classz00))
					{	/* Coerce/convert.scm 282 */
						BgL_testz00_3216 =
							BGl_typezd2subclasszf3z21zzobject_classz00(
							((BgL_typez00_bglt) BgL_fromz00_75),
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_76)));
					}
				else
					{	/* Coerce/convert.scm 282 */
						BgL_testz00_3216 = ((bool_t) 0);
					}
				if (BgL_testz00_3216)
					{	/* Coerce/convert.scm 282 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75));
					}
				else
					{	/* Coerce/convert.scm 284 */
						obj_t BgL_auxz00_1655;

						BgL_auxz00_1655 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 284 */
							obj_t BgL_aux2z00_1656;

							BgL_aux2z00_1656 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 285 */
								obj_t BgL_locz00_1657;

								BgL_locz00_1657 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 286 */
									BgL_nodez00_bglt BgL_lnodez00_1658;

									{	/* Coerce/convert.scm 289 */
										obj_t BgL_arg2080z00_1682;

										{	/* Coerce/convert.scm 289 */
											obj_t BgL_arg2081z00_1683;

											{	/* Coerce/convert.scm 289 */
												obj_t BgL_arg2082z00_1684;
												obj_t BgL_arg2083z00_1685;

												{	/* Coerce/convert.scm 289 */
													obj_t BgL_arg2084z00_1686;

													{	/* Coerce/convert.scm 289 */
														obj_t BgL_arg2085z00_1687;
														obj_t BgL_arg2086z00_1688;

														{	/* Coerce/convert.scm 289 */
															obj_t BgL_arg2087z00_1689;

															{	/* Coerce/convert.scm 289 */
																obj_t BgL_arg2088z00_1690;

																{	/* Coerce/convert.scm 289 */
																	obj_t BgL_arg2089z00_1691;
																	obj_t BgL_arg2090z00_1692;

																	{	/* Coerce/convert.scm 289 */
																		obj_t BgL_res2222z00_2770;

																		{	/* Coerce/convert.scm 289 */
																			obj_t BgL_arg1334z00_2769;

																			BgL_arg1334z00_2769 =
																				SYMBOL_TO_STRING(BgL_auxz00_1655);
																			BgL_res2222z00_2770 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1334z00_2769);
																		}
																		BgL_arg2089z00_1691 = BgL_res2222z00_2770;
																	}
																	{	/* Coerce/convert.scm 289 */
																		obj_t BgL_res2223z00_2773;

																		{	/* Coerce/convert.scm 289 */
																			obj_t BgL_symbolz00_2771;

																			BgL_symbolz00_2771 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Coerce/convert.scm 289 */
																				obj_t BgL_arg1334z00_2772;

																				BgL_arg1334z00_2772 =
																					SYMBOL_TO_STRING(BgL_symbolz00_2771);
																				BgL_res2223z00_2773 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1334z00_2772);
																		}}
																		BgL_arg2090z00_1692 = BgL_res2223z00_2773;
																	}
																	BgL_arg2088z00_1690 =
																		string_append(BgL_arg2089z00_1691,
																		BgL_arg2090z00_1692);
																}
																BgL_arg2087z00_1689 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_arg2088z00_1690));
															}
															BgL_arg2085z00_1687 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg2087z00_1689);
														}
														BgL_arg2086z00_1688 = MAKE_PAIR(BUNSPEC, BNIL);
														BgL_arg2084z00_1686 =
															MAKE_PAIR(BgL_arg2085z00_1687,
															BgL_arg2086z00_1688);
													}
													BgL_arg2082z00_1684 =
														MAKE_PAIR(BgL_arg2084z00_1686, BNIL);
												}
												{	/* Coerce/convert.scm 291 */
													obj_t BgL_arg2091z00_1693;

													{	/* Coerce/convert.scm 291 */
														obj_t BgL_arg2092z00_1694;

														{	/* Coerce/convert.scm 291 */
															obj_t BgL_arg2093z00_1695;
															obj_t BgL_arg2094z00_1696;

															{	/* Coerce/convert.scm 291 */
																obj_t BgL_arg2095z00_1697;

																{	/* Coerce/convert.scm 291 */
																	obj_t BgL_arg2097z00_1698;
																	obj_t BgL_arg2099z00_1699;

																	{	/* Coerce/convert.scm 291 */
																		obj_t BgL_arg2100z00_1700;

																		{	/* Coerce/convert.scm 291 */
																			obj_t BgL_arg2101z00_1701;

																			{	/* Coerce/convert.scm 291 */
																				obj_t BgL_arg2103z00_1702;
																				obj_t BgL_arg2104z00_1703;

																				{	/* Coerce/convert.scm 291 */
																					obj_t BgL_res2225z00_2778;

																					{	/* Coerce/convert.scm 291 */
																						obj_t BgL_arg1334z00_2777;

																						BgL_arg1334z00_2777 =
																							SYMBOL_TO_STRING
																							(BgL_aux2z00_1656);
																						BgL_res2225z00_2778 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1334z00_2777);
																					}
																					BgL_arg2103z00_1702 =
																						BgL_res2225z00_2778;
																				}
																				{	/* Coerce/convert.scm 291 */
																					obj_t BgL_res2226z00_2781;

																					{	/* Coerce/convert.scm 291 */
																						obj_t BgL_symbolz00_2779;

																						BgL_symbolz00_2779 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Coerce/convert.scm 291 */
																							obj_t BgL_arg1334z00_2780;

																							BgL_arg1334z00_2780 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_2779);
																							BgL_res2226z00_2781 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1334z00_2780);
																					}}
																					BgL_arg2104z00_1703 =
																						BgL_res2226z00_2781;
																				}
																				BgL_arg2101z00_1701 =
																					string_append(BgL_arg2103z00_1702,
																					BgL_arg2104z00_1703);
																			}
																			BgL_arg2100z00_1700 =
																				string_to_symbol(BSTRING_TO_STRING
																				(BgL_arg2101z00_1701));
																		}
																		BgL_arg2097z00_1698 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg2100z00_1700);
																	}
																	BgL_arg2099z00_1699 =
																		MAKE_PAIR(BUNSPEC, BNIL);
																	BgL_arg2095z00_1697 =
																		MAKE_PAIR(BgL_arg2097z00_1698,
																		BgL_arg2099z00_1699);
																}
																BgL_arg2093z00_1695 =
																	MAKE_PAIR(BgL_arg2095z00_1697, BNIL);
															}
															{	/* Coerce/convert.scm 292 */
																obj_t BgL_arg2105z00_1704;

																{	/* Coerce/convert.scm 292 */
																	obj_t BgL_arg2106z00_1705;

																	{	/* Coerce/convert.scm 292 */
																		obj_t BgL_arg2107z00_1706;
																		obj_t BgL_arg2108z00_1707;

																		{	/* Coerce/convert.scm 292 */
																			obj_t BgL_arg2110z00_1708;

																			BgL_arg2110z00_1708 =
																				MAKE_PAIR(BgL_aux2z00_1656, BNIL);
																			BgL_arg2107z00_1706 =
																				MAKE_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg2110z00_1708);
																		}
																		{	/* Coerce/convert.scm 294 */
																			obj_t BgL_arg2111z00_1709;

																			{	/* Coerce/convert.scm 294 */
																				obj_t BgL_arg2112z00_1710;

																				{	/* Coerce/convert.scm 294 */
																					obj_t BgL_arg2113z00_1711;

																					BgL_arg2113z00_1711 =
																						(((BgL_typez00_bglt) CREF(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg2112z00_1710 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_1657,
																						BgL_arg2113z00_1711,
																						BgL_auxz00_1655);
																				}
																				BgL_arg2111z00_1709 =
																					MAKE_PAIR(BgL_arg2112z00_1710, BNIL);
																			}
																			BgL_arg2108z00_1707 =
																				MAKE_PAIR(BgL_auxz00_1655,
																				BgL_arg2111z00_1709);
																		}
																		BgL_arg2106z00_1705 =
																			MAKE_PAIR(BgL_arg2107z00_1706,
																			BgL_arg2108z00_1707);
																	}
																	BgL_arg2105z00_1704 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg2106z00_1705);
																}
																BgL_arg2094z00_1696 =
																	MAKE_PAIR(BgL_arg2105z00_1704, BNIL);
															}
															BgL_arg2092z00_1694 =
																MAKE_PAIR(BgL_arg2093z00_1695,
																BgL_arg2094z00_1696);
														}
														BgL_arg2091z00_1693 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg2092z00_1694);
													}
													BgL_arg2083z00_1685 =
														MAKE_PAIR(BgL_arg2091z00_1693, BNIL);
												}
												BgL_arg2081z00_1683 =
													MAKE_PAIR(BgL_arg2082z00_1684, BgL_arg2083z00_1685);
											}
											BgL_arg2080z00_1682 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg2081z00_1683);
										}
										BgL_lnodez00_1658 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg2080z00_1682, BgL_locz00_1657);
									}
									{	/* Coerce/convert.scm 287 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 296 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00(
													((obj_t) BgL_fromz00_75), BgL_toz00_76,
													BgL_locz00_1657);
											}
										else
											{	/* Coerce/convert.scm 296 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1658);
										{	/* Coerce/convert.scm 298 */
											obj_t BgL_varz00_1659;

											{	/* Coerce/convert.scm 298 */
												obj_t BgL_pairz00_2796;

												{	/* Coerce/convert.scm 298 */
													obj_t BgL_pairz00_2795;

													BgL_pairz00_2795 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1658)))->
														BgL_bindingsz00);
													BgL_pairz00_2796 = CAR(BgL_pairz00_2795);
												}
												BgL_varz00_1659 = CAR(BgL_pairz00_2796);
											}
											{	/* Coerce/convert.scm 298 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_1660;

												{	/* Coerce/convert.scm 300 */
													BgL_varz00_bglt BgL_arg2076z00_1676;

													{	/* Coerce/convert.scm 300 */
														BgL_varz00_bglt BgL_new1114z00_1677;

														{	/* Coerce/convert.scm 300 */
															BgL_varz00_bglt BgL_new1113z00_1678;

															BgL_new1113z00_1678 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Coerce/convert.scm 300 */
																long BgL_arg2077z00_1679;

																{	/* Coerce/convert.scm 300 */
																	long BgL_res2230z00_2800;

																	{	/* Coerce/convert.scm 300 */
																		obj_t BgL_classz00_2797;

																		BgL_classz00_2797 = BGl_varz00zzast_nodez00;
																		{	/* Coerce/convert.scm 300 */
																			obj_t BgL_vectorz00_2798;
																			int BgL_kz00_2799;

																			BgL_vectorz00_2798 = BgL_classz00_2797;
																			BgL_kz00_2799 = (int) (((long) 1));
																			BgL_res2230z00_2800 =
																				(long)
																				CINT(VECTOR_REF(BgL_vectorz00_2798,
																					BgL_kz00_2799));
																	}}
																	BgL_arg2077z00_1679 = BgL_res2230z00_2800;
																}
																{	/* Coerce/convert.scm 300 */
																	BgL_objectz00_bglt BgL_objz00_2801;

																	BgL_objz00_2801 =
																		((BgL_objectz00_bglt) BgL_new1113z00_1678);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2801,
																		BgL_arg2077z00_1679);
															}}
															{	/* Coerce/convert.scm 300 */
																BgL_objectz00_bglt BgL_auxz00_3289;

																BgL_auxz00_3289 =
																	((BgL_objectz00_bglt) BgL_new1113z00_1678);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_3289,
																	BFALSE);
															}
															BgL_new1114z00_1677 = BgL_new1113z00_1678;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1114z00_1677)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1657), BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1114z00_1677)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) CREF(BgL_new1114z00_1677))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_1659)), BUNSPEC);
														BgL_arg2076z00_1676 = BgL_new1114z00_1677;
													}
													BgL_coercezd2appzd2_1660 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg2076z00_1676),
														((BgL_typez00_bglt) BgL_fromz00_75));
												}
												{	/* Coerce/convert.scm 299 */
													BgL_nodez00_bglt BgL_condnz00_1661;

													BgL_condnz00_1661 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1658);
													{	/* Coerce/convert.scm 305 */

														{	/* Coerce/convert.scm 307 */
															BgL_localz00_bglt BgL_oz00_2803;
															BgL_typez00_bglt BgL_vz00_2804;

															BgL_oz00_2803 =
																((BgL_localz00_bglt) BgL_varz00_1659);
															BgL_vz00_2804 =
																((BgL_typez00_bglt) BgL_fromz00_75);
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt) BgL_oz00_2803)))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_2804), BUNSPEC);
														}
														{	/* Coerce/convert.scm 309 */
															obj_t BgL_arg2065z00_1662;

															{	/* Coerce/convert.scm 309 */
																obj_t BgL_pairz00_2808;

																BgL_pairz00_2808 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_1658)))->BgL_bindingsz00);
																BgL_arg2065z00_1662 = CAR(BgL_pairz00_2808);
															}
															{	/* Coerce/convert.scm 309 */
																obj_t BgL_pairz00_2809;
																obj_t BgL_objz00_2810;

																BgL_pairz00_2809 = BgL_arg2065z00_1662;
																BgL_objz00_2810 = ((obj_t) BgL_nodez00_79);
																SET_CDR(BgL_pairz00_2809, BgL_objz00_2810);
														}}
														{	/* Coerce/convert.scm 310 */
															obj_t BgL_binding2z00_1664;

															{	/* Coerce/convert.scm 310 */
																obj_t BgL_pairz00_2816;

																BgL_pairz00_2816 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) CREF(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_1658)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_1664 = CAR(BgL_pairz00_2816);
															}
															{	/* Coerce/convert.scm 311 */
																BgL_castz00_bglt BgL_arg2068z00_1665;

																{	/* Coerce/convert.scm 311 */
																	BgL_castz00_bglt BgL_new1116z00_1666;

																	{	/* Coerce/convert.scm 311 */
																		BgL_castz00_bglt BgL_new1115z00_1670;

																		BgL_new1115z00_1670 =
																			((BgL_castz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 311 */
																			long BgL_arg2070z00_1671;

																			{	/* Coerce/convert.scm 311 */
																				long BgL_res2232z00_2820;

																				{	/* Coerce/convert.scm 311 */
																					obj_t BgL_classz00_2817;

																					BgL_classz00_2817 =
																						BGl_castz00zzast_nodez00;
																					{	/* Coerce/convert.scm 311 */
																						obj_t BgL_vectorz00_2818;
																						int BgL_kz00_2819;

																						BgL_vectorz00_2818 =
																							BgL_classz00_2817;
																						BgL_kz00_2819 = (int) (((long) 1));
																						BgL_res2232z00_2820 =
																							(long)
																							CINT(VECTOR_REF
																							(BgL_vectorz00_2818,
																								BgL_kz00_2819));
																				}}
																				BgL_arg2070z00_1671 =
																					BgL_res2232z00_2820;
																			}
																			{	/* Coerce/convert.scm 311 */
																				BgL_objectz00_bglt BgL_objz00_2821;

																				BgL_objz00_2821 =
																					((BgL_objectz00_bglt)
																					BgL_new1115z00_1670);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_2821,
																					BgL_arg2070z00_1671);
																		}}
																		{	/* Coerce/convert.scm 311 */
																			BgL_objectz00_bglt BgL_auxz00_3323;

																			BgL_auxz00_3323 =
																				((BgL_objectz00_bglt)
																				BgL_new1115z00_1670);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3323,
																				BFALSE);
																		}
																		BgL_new1116z00_1666 = BgL_new1115z00_1670;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1116z00_1666)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1657), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1116z00_1666)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3331;

																		{	/* Coerce/convert.scm 314 */
																			BgL_varz00_bglt BgL_new1118z00_1667;

																			{	/* Coerce/convert.scm 314 */
																				BgL_varz00_bglt BgL_new1117z00_1668;

																				BgL_new1117z00_1668 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Coerce/convert.scm 314 */
																					long BgL_arg2069z00_1669;

																					{	/* Coerce/convert.scm 314 */
																						long BgL_res2233z00_2826;

																						{	/* Coerce/convert.scm 314 */
																							obj_t BgL_classz00_2823;

																							BgL_classz00_2823 =
																								BGl_varz00zzast_nodez00;
																							{	/* Coerce/convert.scm 314 */
																								obj_t BgL_vectorz00_2824;
																								int BgL_kz00_2825;

																								BgL_vectorz00_2824 =
																									BgL_classz00_2823;
																								BgL_kz00_2825 =
																									(int) (((long) 1));
																								BgL_res2233z00_2826 =
																									(long)
																									CINT(VECTOR_REF
																									(BgL_vectorz00_2824,
																										BgL_kz00_2825));
																						}}
																						BgL_arg2069z00_1669 =
																							BgL_res2233z00_2826;
																					}
																					{	/* Coerce/convert.scm 314 */
																						BgL_objectz00_bglt BgL_objz00_2827;

																						BgL_objz00_2827 =
																							((BgL_objectz00_bglt)
																							BgL_new1117z00_1668);
																						BGL_OBJECT_CLASS_NUM_SET
																							(BgL_objz00_2827,
																							BgL_arg2069z00_1669);
																				}}
																				{	/* Coerce/convert.scm 314 */
																					BgL_objectz00_bglt BgL_auxz00_3338;

																					BgL_auxz00_3338 =
																						((BgL_objectz00_bglt)
																						BgL_new1117z00_1668);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3338, BFALSE);
																				}
																				BgL_new1118z00_1667 =
																					BgL_new1117z00_1668;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1118z00_1667)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1657), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1118z00_1667)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1118z00_1667))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1659)), BUNSPEC);
																			BgL_auxz00_3331 =
																				((BgL_nodez00_bglt)
																				BgL_new1118z00_1667);
																		}
																		((((BgL_castz00_bglt)
																					CREF(BgL_new1116z00_1666))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3331),
																			BUNSPEC);
																	}
																	BgL_arg2068z00_1665 = BgL_new1116z00_1666;
																}
																{	/* Coerce/convert.scm 311 */
																	obj_t BgL_pairz00_2829;
																	obj_t BgL_objz00_2830;

																	BgL_pairz00_2829 = BgL_binding2z00_1664;
																	BgL_objz00_2830 =
																		((obj_t) BgL_arg2068z00_1665);
																	SET_CDR(BgL_pairz00_2829, BgL_objz00_2830);
														}}}
														{	/* Coerce/convert.scm 318 */
															BgL_conditionalz00_bglt BgL_oz00_2831;

															BgL_oz00_2831 =
																((BgL_conditionalz00_bglt) BgL_condnz00_1661);
															((((BgL_conditionalz00_bglt)
																		CREF(BgL_oz00_2831))->BgL_truez00) =
																((BgL_nodez00_bglt) BgL_coercezd2appzd2_1660),
																BUNSPEC);
														}
														{	/* Coerce/convert.scm 320 */
															BgL_nodez00_bglt BgL_arg2073z00_1674;

															{	/* Coerce/convert.scm 320 */
																BgL_nodez00_bglt BgL_arg2074z00_1675;

																BgL_arg2074z00_1675 =
																	(((BgL_conditionalz00_bglt) CREF(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_1661)))->BgL_falsez00);
																BgL_arg2073z00_1674 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg2074z00_1675, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															{	/* Coerce/convert.scm 319 */
																BgL_conditionalz00_bglt BgL_oz00_2837;

																BgL_oz00_2837 =
																	((BgL_conditionalz00_bglt) BgL_condnz00_1661);
																((((BgL_conditionalz00_bglt)
																			CREF(BgL_oz00_2837))->BgL_falsez00) =
																	((BgL_nodez00_bglt) BgL_arg2073z00_1674),
																	BUNSPEC);
														}}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_1658);
														return BgL_lnodez00_1658;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 330 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 333 */
					return BgL_nodez00_81;
				}
			else
				{	/* Coerce/convert.scm 335 */
					BgL_nodez00_bglt BgL_nnodez00_1714;

					{	/* Coerce/convert.scm 335 */
						obj_t BgL_arg2117z00_1715;
						obj_t BgL_arg2118z00_1716;

						{	/* Coerce/convert.scm 335 */
							obj_t BgL_arg2119z00_1717;

							BgL_arg2119z00_1717 = MAKE_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg2117z00_1715 =
								MAKE_PAIR(BgL_coercezd2opzd2_80, BgL_arg2119z00_1717);
						}
						BgL_arg2118z00_1716 =
							(((BgL_nodez00_bglt) CREF(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_1714 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg2117z00_1715, BgL_arg2118z00_1716);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_1714);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_1714);
					return BgL_nnodez00_1714;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2239z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
