/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Initflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
	}                      *BgL_sfunzf2iflowzf2_bglt;


	static obj_t BGl_z62initflowzd2nodezd2boxzd2re1992zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32084ze3z83zzinitflow_walkz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se1994zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezd2setq1982z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sequen1971z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e2002zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_sfunz00_bglt BGl_z62lambda2109z62zzinitflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2112z62zzinitflow_walkz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2115z62zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_getzd2classzd2typez00zztype_cachez00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2var1969z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2node1965zb0zzinitflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2funcal1978z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_sfunz00_bglt
		BGl_z62zc3anonymousza32114ze3ze1zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex2000zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_z62initflowzd2nodezd2makezd2b1990zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62initflowzd2nodezd2fail1986z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62initflowzd2nodezd2letzd2va1998zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu1996zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2select1988z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly1975zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2app1973z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_zc3anonymousza32046ze3z83zzinitflow_walkz00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62initflowzd2nodezd2extern1980z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2condit1984z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2359z00zzinitflow_walkz00,
		BgL_bgl_string2359za700za7za7i2397za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string2360z00zzinitflow_walkz00,
		BgL_bgl_string2360za700za7za7i2398za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2361z00zzinitflow_walkz00,
		BgL_bgl_string2361za700za7za7i2399za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2362z00zzinitflow_walkz00,
		BgL_bgl_string2362za700za7za7i2400za7, "      uninitialized globals : ",
		30);
	      DEFINE_STRING(BGl_string2363z00zzinitflow_walkz00,
		BgL_bgl_string2363za700za7za7i2401za7, " error", 6);
	      DEFINE_STRING(BGl_string2364z00zzinitflow_walkz00,
		BgL_bgl_string2364za700za7za7i2402za7, "s", 1);
	      DEFINE_STRING(BGl_string2365z00zzinitflow_walkz00,
		BgL_bgl_string2365za700za7za7i2403za7, "", 0);
	      DEFINE_STRING(BGl_string2366z00zzinitflow_walkz00,
		BgL_bgl_string2366za700za7za7i2404za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2367z00zzinitflow_walkz00,
		BgL_bgl_string2367za700za7za7i2405za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2373z00zzinitflow_walkz00,
		BgL_bgl_string2373za700za7za7i2406za7, "initflow-node1965", 17);
	      DEFINE_STRING(BGl_string2375z00zzinitflow_walkz00,
		BgL_bgl_string2375za700za7za7i2407za7, "initflow-node", 13);
	      DEFINE_STRING(BGl_string2392z00zzinitflow_walkz00,
		BgL_bgl_string2392za700za7za7i2408za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STRING(BGl_string2393z00zzinitflow_walkz00,
		BgL_bgl_string2393za700za7za7i2409za7, "initflow_walk", 13);
	      DEFINE_STRING(BGl_string2394z00zzinitflow_walkz00,
		BgL_bgl_string2394za700za7za7i2410za7,
		"no-init-flow _ initflow_walk sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		111);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2115za7622411z00, BGl_z62lambda2115z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72412za7,
		BGl_z62zc3anonymousza32114ze3ze1zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2112za7622413z00, BGl_z62lambda2112z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zzinitflow_walkz00,
		BgL_bgl_za762lambda2109za7622414z00, BGl_z62lambda2109z62zzinitflow_walkz00,
		0L, BUNSPEC, 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2415z00,
		BGl_z62initflowzd2node1965zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2416z00,
		BGl_z62initflowzd2nodezd2var1969z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2376z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2417z00,
		BGl_z62initflowzd2nodezd2sequen1971z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2418z00,
		BGl_z62initflowzd2nodezd2app1973z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2419z00,
		BGl_z62initflowzd2nodezd2appzd2ly1975zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2420z00,
		BGl_z62initflowzd2nodezd2funcal1978z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2421z00,
		BGl_z62initflowzd2nodezd2extern1980z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2422z00,
		BGl_z62initflowzd2nodezd2setq1982z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2423z00,
		BGl_z62initflowzd2nodezd2condit1984z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2424z00,
		BGl_z62initflowzd2nodezd2fail1986z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2425z00,
		BGl_z62initflowzd2nodezd2select1988z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2426z00,
		BGl_z62initflowzd2nodezd2makezd2b1990zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2427z00,
		BGl_z62initflowzd2nodezd2boxzd2re1992zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2428z00,
		BGl_z62initflowzd2nodezd2boxzd2se1994zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2429z00,
		BGl_z62initflowzd2nodezd2letzd2fu1996zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2389z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2430z00,
		BGl_z62initflowzd2nodezd2letzd2va1998zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2431z00,
		BGl_z62initflowzd2nodezd2setzd2ex2000zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2432z00,
		BGl_z62initflowzd2nodezd2jumpzd2e2002zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa2433z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2434z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_2862, char *BgL_fromz00_2863)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"initflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_2852;

				BgL_cportz00_2852 =
					bgl_open_input_string(BGl_string2394z00zzinitflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2853;

					BgL_iz00_2853 = ((long) 6);
				BgL_loopz00_2854:
					if ((BgL_iz00_2853 == ((long) -1)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg2396z00_2856;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_2858;

										BgL_locationz00_2858 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg2396z00_2856 =
												BGl_readz00zz__readerz00(BgL_cportz00_2852,
												BgL_locationz00_2858);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_auxz00_2889;

									BgL_auxz00_2889 = (int) (BgL_iz00_2853);
									CNST_TABLE_SET(BgL_auxz00_2889, BgL_arg2396z00_2856);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_2859;

								BgL_auxz00_2859 = (int) ((BgL_iz00_2853 - ((long) 1)));
								{
									long BgL_iz00_2894;

									BgL_iz00_2894 = (long) (BgL_auxz00_2859);
									BgL_iz00_2853 = BgL_iz00_2894;
									goto BgL_loopz00_2854;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1227;

				BgL_headz00_1227 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1228;
					obj_t BgL_tailz00_1229;

					BgL_prevz00_1228 = BgL_headz00_1227;
					BgL_tailz00_1229 = BgL_l1z00_1;
				BgL_loopz00_1230:
					if (PAIRP(BgL_tailz00_1229))
						{
							obj_t BgL_newzd2prevzd2_1232;

							BgL_newzd2prevzd2_1232 =
								MAKE_PAIR(CAR(BgL_tailz00_1229), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1228, BgL_newzd2prevzd2_1232);
							{
								obj_t BgL_tailz00_2903;
								obj_t BgL_prevz00_2902;

								BgL_prevz00_2902 = BgL_newzd2prevzd2_1232;
								BgL_tailz00_2903 = CDR(BgL_tailz00_1229);
								BgL_tailz00_1229 = BgL_tailz00_2903;
								BgL_prevz00_1228 = BgL_prevz00_2902;
								goto BgL_loopz00_1230;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1227);
				}
			}
		}
	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_76)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 48 */
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_list2008z00_1277;

				{	/* Initflow/walk.scm 49 */
					obj_t BgL_arg2009z00_1278;

					{	/* Initflow/walk.scm 49 */
						obj_t BgL_arg2010z00_1279;

						BgL_arg2010z00_1279 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2009z00_1278 =
							MAKE_PAIR(BGl_string2359z00zzinitflow_walkz00,
							BgL_arg2010z00_1279);
					}
					BgL_list2008z00_1277 =
						MAKE_PAIR(BGl_string2360z00zzinitflow_walkz00, BgL_arg2009z00_1278);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2008z00_1277);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2359z00zzinitflow_walkz00;
			{
				obj_t BgL_hooksz00_1283;
				obj_t BgL_hnamesz00_1284;

				BgL_hooksz00_1283 = BNIL;
				BgL_hnamesz00_1284 = BNIL;
			BgL_zc3anonymousza32011ze3z83_1285:
				if (NULLP(BgL_hooksz00_1283))
					{	/* Initflow/walk.scm 49 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Initflow/walk.scm 49 */
						bool_t BgL_testz00_2916;

						{	/* Initflow/walk.scm 49 */
							obj_t BgL_fun2018z00_1291;

							BgL_fun2018z00_1291 = CAR(BgL_hooksz00_1283);
							BgL_testz00_2916 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2018z00_1291) (BgL_fun2018z00_1291,
									BEOA));
						}
						if (BgL_testz00_2916)
							{
								obj_t BgL_hnamesz00_2924;
								obj_t BgL_hooksz00_2922;

								BgL_hooksz00_2922 = CDR(BgL_hooksz00_1283);
								BgL_hnamesz00_2924 = CDR(BgL_hnamesz00_1284);
								BgL_hnamesz00_1284 = BgL_hnamesz00_2924;
								BgL_hooksz00_1283 = BgL_hooksz00_2922;
								goto BgL_zc3anonymousza32011ze3z83_1285;
							}
						else
							{	/* Initflow/walk.scm 49 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2359z00zzinitflow_walkz00,
									BGl_string2361z00zzinitflow_walkz00, CAR(BgL_hnamesz00_1284));
							}
					}
			}
			{
				obj_t BgL_l1829z00_1295;

				BgL_l1829z00_1295 = BgL_globalsz00_76;
			BgL_zc3anonymousza32020ze3z83_1296:
				if (PAIRP(BgL_l1829z00_1295))
					{	/* Initflow/walk.scm 53 */
						{	/* Initflow/walk.scm 54 */
							obj_t BgL_gz00_1298;

							BgL_gz00_1298 = CAR(BgL_l1829z00_1295);
							if (
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1298))))->
										BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
								{	/* Initflow/walk.scm 55 */
									BgL_valuez00_bglt BgL_valuez00_1300;

									BgL_valuez00_1300 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1298))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 56 */
										bool_t BgL_testz00_2940;

										{	/* Initflow/walk.scm 56 */
											bool_t BgL_res2287z00_2428;

											{	/* Initflow/walk.scm 56 */
												obj_t BgL_objz00_2427;

												BgL_objz00_2427 = ((obj_t) BgL_valuez00_1300);
												BgL_res2287z00_2428 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_2427,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_2940 = BgL_res2287z00_2428;
										}
										if (BgL_testz00_2940)
											{	/* Initflow/walk.scm 57 */
												BgL_globalz00_bglt BgL_oz00_2429;

												BgL_oz00_2429 = ((BgL_globalz00_bglt) BgL_gz00_1298);
												((((BgL_globalz00_bglt) CREF(BgL_oz00_2429))->
														BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										else
											{	/* Initflow/walk.scm 56 */
												BFALSE;
											}
									}
								}
							else
								{	/* Initflow/walk.scm 54 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1829z00_2945;

							BgL_l1829z00_2945 = CDR(BgL_l1829z00_1295);
							BgL_l1829z00_1295 = BgL_l1829z00_2945;
							goto BgL_zc3anonymousza32020ze3z83_1296;
						}
					}
				else
					{	/* Initflow/walk.scm 53 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 60 */
				obj_t BgL_g1935z00_1305;

				BgL_g1935z00_1305 = CNST_TABLE_REF(((long) 2));
				{
					obj_t BgL_l1933z00_1307;

					BgL_l1933z00_1307 = BgL_g1935z00_1305;
				BgL_zc3anonymousza32026ze3z83_1308:
					if (PAIRP(BgL_l1933z00_1307))
						{	/* Initflow/walk.scm 72 */
							{	/* Initflow/walk.scm 61 */
								obj_t BgL_idz00_1310;

								BgL_idz00_1310 = CAR(BgL_l1933z00_1307);
								{	/* Initflow/walk.scm 61 */
									obj_t BgL_rootz00_1311;

									BgL_rootz00_1311 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1310,
										BGl_za2moduleza2z00zzmodule_modulez00);
									if (BGl_isazf3zf3zz__objectz00(BgL_rootz00_1311,
											BGl_globalz00zzast_varz00))
										{	/* Initflow/walk.scm 62 */
											BGl_initflowzd2funzd2zzinitflow_walkz00(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_rootz00_1311)),
												((bool_t) 1));
											{	/* Initflow/walk.scm 64 */
												obj_t BgL_lz00_1313;

												BgL_lz00_1313 =
													BGl_zc3anonymousza32046ze3z83zzinitflow_walkz00
													(BgL_globalsz00_76);
												if (PAIRP(BgL_lz00_1313))
													{	/* Initflow/walk.scm 70 */
														obj_t BgL_arg2033z00_1315;

														{	/* Initflow/walk.scm 70 */
															obj_t BgL_l1836z00_1319;

															BgL_l1836z00_1319 = BgL_lz00_1313;
															{	/* Initflow/walk.scm 70 */
																obj_t BgL_head1838z00_1321;

																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_arg2044z00_1333;

																	BgL_arg2044z00_1333 =
																		BGl_shapez00zztools_shapez00(CAR
																		(BgL_l1836z00_1319));
																	{	/* Initflow/walk.scm 70 */
																		obj_t BgL_res2297z00_2462;

																		BgL_res2297z00_2462 =
																			MAKE_PAIR(BgL_arg2044z00_1333, BNIL);
																		BgL_head1838z00_1321 = BgL_res2297z00_2462;
																	}
																}
																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_g1932z00_1322;

																	BgL_g1932z00_1322 = CDR(BgL_l1836z00_1319);
																	{
																		obj_t BgL_l1836z00_1324;
																		obj_t BgL_tail1839z00_1325;

																		BgL_l1836z00_1324 = BgL_g1932z00_1322;
																		BgL_tail1839z00_1325 = BgL_head1838z00_1321;
																	BgL_zc3anonymousza32038ze3z83_1326:
																		if (NULLP(BgL_l1836z00_1324))
																			{	/* Initflow/walk.scm 70 */
																				BgL_arg2033z00_1315 =
																					BgL_head1838z00_1321;
																			}
																		else
																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_newtail1840z00_1328;

																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg2042z00_1330;

																					BgL_arg2042z00_1330 =
																						BGl_shapez00zztools_shapez00(CAR
																						(BgL_l1836z00_1324));
																					{	/* Initflow/walk.scm 70 */
																						obj_t BgL_res2299z00_2469;

																						BgL_res2299z00_2469 =
																							MAKE_PAIR(BgL_arg2042z00_1330,
																							BNIL);
																						BgL_newtail1840z00_1328 =
																							BgL_res2299z00_2469;
																					}
																				}
																				SET_CDR(BgL_tail1839z00_1325,
																					BgL_newtail1840z00_1328);
																				{
																					obj_t BgL_tail1839z00_2972;
																					obj_t BgL_l1836z00_2970;

																					BgL_l1836z00_2970 =
																						CDR(BgL_l1836z00_1324);
																					BgL_tail1839z00_2972 =
																						BgL_newtail1840z00_1328;
																					BgL_tail1839z00_1325 =
																						BgL_tail1839z00_2972;
																					BgL_l1836z00_1324 = BgL_l1836z00_2970;
																					goto
																						BgL_zc3anonymousza32038ze3z83_1326;
																				}
																			}
																	}
																}
															}
														}
														{	/* Initflow/walk.scm 69 */
															obj_t BgL_list2034z00_1316;

															{	/* Initflow/walk.scm 69 */
																obj_t BgL_arg2035z00_1317;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg2036z00_1318;

																	BgL_arg2036z00_1318 =
																		MAKE_PAIR(BCHAR(((unsigned char) '\n')),
																		BNIL);
																	BgL_arg2035z00_1317 =
																		MAKE_PAIR(BgL_arg2033z00_1315,
																		BgL_arg2036z00_1318);
																}
																BgL_list2034z00_1316 =
																	MAKE_PAIR(BGl_string2362z00zzinitflow_walkz00,
																	BgL_arg2035z00_1317);
															}
															BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																BgL_list2034z00_1316);
													}}
												else
													{	/* Initflow/walk.scm 68 */
														BFALSE;
													}
											}
										}
									else
										{	/* Initflow/walk.scm 62 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1933z00_2979;

								BgL_l1933z00_2979 = CDR(BgL_l1933z00_1307);
								BgL_l1933z00_1307 = BgL_l1933z00_2979;
								goto BgL_zc3anonymousza32026ze3z83_1308;
							}
						}
					else
						{	/* Initflow/walk.scm 72 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Initflow/walk.scm 74 */
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_port1936z00_1355;

						{	/* Initflow/walk.scm 74 */
							obj_t BgL_res2301z00_2478;

							{	/* Initflow/walk.scm 74 */
								obj_t BgL_auxz00_2984;

								BgL_auxz00_2984 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2301z00_2478 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2984);
							}
							BgL_port1936z00_1355 = BgL_res2301z00_2478;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1936z00_1355);
						BGL_DISPLAY_STRING(BGl_string2363z00zzinitflow_walkz00,
							BgL_port1936z00_1355);
						{	/* Initflow/walk.scm 74 */
							obj_t BgL_arg2057z00_1356;

							{	/* Initflow/walk.scm 74 */
								bool_t BgL_testz00_2989;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 74 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 74 */
												BgL_testz00_2989 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Initflow/walk.scm 74 */
												BgL_testz00_2989 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_testz00_2989 = ((bool_t) 0);
									}
								if (BgL_testz00_2989)
									{	/* Initflow/walk.scm 74 */
										BgL_arg2057z00_1356 = BGl_string2364z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_arg2057z00_1356 = BGl_string2365z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2057z00_1356, BgL_port1936z00_1355);
						}
						BGL_DISPLAY_STRING(BGl_string2366z00zzinitflow_walkz00,
							BgL_port1936z00_1355);
						bgl_display_char(((unsigned char) '\n'), BgL_port1936z00_1355);
					}
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_list2061z00_1360;

						BgL_list2061z00_1360 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2061z00_1360);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1364;
					obj_t BgL_hnamesz00_1365;

					BgL_hooksz00_1364 = BNIL;
					BgL_hnamesz00_1365 = BNIL;
				BgL_zc3anonymousza32062ze3z83_1366:
					if (NULLP(BgL_hooksz00_1364))
						{	/* Initflow/walk.scm 74 */
							return BgL_globalsz00_76;
						}
					else
						{	/* Initflow/walk.scm 74 */
							bool_t BgL_testz00_3006;

							{	/* Initflow/walk.scm 74 */
								obj_t BgL_fun2069z00_1372;

								BgL_fun2069z00_1372 = CAR(BgL_hooksz00_1364);
								BgL_testz00_3006 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2069z00_1372)
									(BgL_fun2069z00_1372, BEOA));
							}
							if (BgL_testz00_3006)
								{
									obj_t BgL_hnamesz00_3014;
									obj_t BgL_hooksz00_3012;

									BgL_hooksz00_3012 = CDR(BgL_hooksz00_1364);
									BgL_hnamesz00_3014 = CDR(BgL_hnamesz00_1365);
									BgL_hnamesz00_1365 = BgL_hnamesz00_3014;
									BgL_hooksz00_1364 = BgL_hooksz00_3012;
									goto BgL_zc3anonymousza32062ze3z83_1366;
								}
							else
								{	/* Initflow/walk.scm 74 */
									obj_t BgL_arg2068z00_1371;

									BgL_arg2068z00_1371 = CAR(BgL_hnamesz00_1365);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2367z00zzinitflow_walkz00, BgL_arg2068z00_1371);
								}
						}
				}
		}
	}



/* <anonymous:2046> */
	obj_t BGl_zc3anonymousza32046ze3z83zzinitflow_walkz00(obj_t
		BgL_lis1832z00_1336)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 64 */
		BGl_zc3anonymousza32046ze3z83zzinitflow_walkz00:
			if (NULLP(BgL_lis1832z00_1336))
				{	/* Initflow/walk.scm 64 */
					return BgL_lis1832z00_1336;
				}
			else
				{	/* Initflow/walk.scm 64 */
					obj_t BgL_head1833z00_1339;
					obj_t BgL_tail1834z00_1340;

					BgL_head1833z00_1339 = CAR(BgL_lis1832z00_1336);
					BgL_tail1834z00_1340 = CDR(BgL_lis1832z00_1336);
					{	/* Initflow/walk.scm 64 */
						bool_t BgL_testz00_3022;

						{	/* Initflow/walk.scm 65 */
							bool_t BgL_testz00_3023;

							{	/* Initflow/walk.scm 65 */
								bool_t BgL_testz00_3024;

								{	/* Initflow/walk.scm 65 */
									BgL_valuez00_bglt BgL_arg2054z00_1349;

									BgL_arg2054z00_1349 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_head1833z00_1339))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 65 */
										bool_t BgL_res2292z00_2446;

										{	/* Initflow/walk.scm 65 */
											obj_t BgL_objz00_2445;

											BgL_objz00_2445 = ((obj_t) BgL_arg2054z00_1349);
											BgL_res2292z00_2446 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2445,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_3024 = BgL_res2292z00_2446;
									}
								}
								if (BgL_testz00_3024)
									{	/* Initflow/walk.scm 65 */
										BgL_testz00_3023 = ((bool_t) 0);
									}
								else
									{	/* Initflow/walk.scm 65 */
										BgL_testz00_3023 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_3023)
								{	/* Initflow/walk.scm 65 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_head1833z00_1339)))->
												BgL_initz00) == BTRUE))
										{	/* Initflow/walk.scm 66 */
											BgL_testz00_3022 = ((bool_t) 0);
										}
									else
										{	/* Initflow/walk.scm 66 */
											BgL_testz00_3022 = ((bool_t) 1);
										}
								}
							else
								{	/* Initflow/walk.scm 65 */
									BgL_testz00_3022 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3022)
							{	/* Initflow/walk.scm 64 */
								obj_t BgL_newzd2tail1835zd2_1342;

								BgL_newzd2tail1835zd2_1342 =
									BGl_zc3anonymousza32046ze3z83zzinitflow_walkz00
									(BgL_tail1834z00_1340);
								if ((BgL_tail1834z00_1340 == BgL_newzd2tail1835zd2_1342))
									{	/* Initflow/walk.scm 64 */
										return BgL_lis1832z00_1336;
									}
								else
									{	/* Initflow/walk.scm 64 */
										obj_t BgL_res2294z00_2454;

										BgL_res2294z00_2454 =
											MAKE_PAIR(BgL_head1833z00_1339,
											BgL_newzd2tail1835zd2_1342);
										return BgL_res2294z00_2454;
									}
							}
						else
							{
								obj_t BgL_lis1832z00_3038;

								BgL_lis1832z00_3038 = BgL_tail1834z00_1340;
								BgL_lis1832z00_1336 = BgL_lis1832z00_3038;
								goto BGl_zc3anonymousza32046ze3z83zzinitflow_walkz00;
							}
					}
				}
		}
	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2746,
		obj_t BgL_globalsz00_2747)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 48 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2747);
		}
	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_77, bool_t BgL_ez00_78)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 79 */
			{	/* Initflow/walk.scm 80 */
				BgL_valuez00_bglt BgL_fz00_1375;

				BgL_fz00_1375 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_77))->BgL_valuez00);
				{	/* Initflow/walk.scm 82 */
					bool_t BgL_testz00_3041;

					{	/* Initflow/walk.scm 82 */
						obj_t BgL_arg2076z00_1384;

						BgL_arg2076z00_1384 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_fz00_1375)))->BgL_bodyz00);
						BgL_testz00_3041 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2076z00_1384,
							BGl_nodez00zzast_nodez00);
					}
					if (BgL_testz00_3041)
						{	/* Initflow/walk.scm 84 */
							bool_t BgL_testz00_3045;

							{	/* Initflow/walk.scm 84 */
								bool_t BgL_res2308z00_2505;

								{	/* Initflow/walk.scm 84 */
									obj_t BgL_objz00_2504;

									BgL_objz00_2504 = ((obj_t) BgL_fz00_1375);
									BgL_res2308z00_2505 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2504,
										BGl_sfunzf2iflowzf2zzinitflow_walkz00);
								}
								BgL_testz00_3045 = BgL_res2308z00_2505;
							}
							if (BgL_testz00_3045)
								{	/* Initflow/walk.scm 84 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 84 */
									{	/* Initflow/walk.scm 87 */
										BgL_sfunz00_bglt BgL_tmp1173z00_1378;

										BgL_tmp1173z00_1378 = ((BgL_sfunz00_bglt) BgL_fz00_1375);
										{	/* Initflow/walk.scm 87 */
											BgL_sfunz00_bglt BgL_tmp1174z00_1379;
											BgL_sfunzf2iflowzf2_bglt BgL_wide1175z00_1380;

											BgL_tmp1174z00_1379 =
												((BgL_sfunz00_bglt) BgL_tmp1173z00_1378);
											BgL_wide1175z00_1380 =
												((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_sfunzf2iflowzf2_bgl))));
											{	/* Initflow/walk.scm 87 */
												obj_t BgL_auxz00_3053;
												BgL_objectz00_bglt BgL_auxz00_3051;

												BgL_auxz00_3053 = ((obj_t) BgL_wide1175z00_1380);
												BgL_auxz00_3051 =
													((BgL_objectz00_bglt) BgL_tmp1174z00_1379);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_3051,
													BgL_auxz00_3053);
											}
											{	/* Initflow/walk.scm 87 */
												long BgL_arg2073z00_1381;

												{	/* Initflow/walk.scm 87 */
													long BgL_res2309z00_2509;

													{	/* Initflow/walk.scm 87 */
														obj_t BgL_classz00_2506;

														BgL_classz00_2506 =
															BGl_sfunzf2iflowzf2zzinitflow_walkz00;
														{	/* Initflow/walk.scm 87 */
															obj_t BgL_vectorz00_2507;
															int BgL_kz00_2508;

															BgL_vectorz00_2507 = BgL_classz00_2506;
															BgL_kz00_2508 = (int) (((long) 1));
															BgL_res2309z00_2509 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_2507,
																	BgL_kz00_2508));
													}}
													BgL_arg2073z00_1381 = BgL_res2309z00_2509;
												}
												{	/* Initflow/walk.scm 87 */
													BgL_objectz00_bglt BgL_objz00_2510;

													BgL_objz00_2510 =
														((BgL_objectz00_bglt) BgL_tmp1174z00_1379);
													((BgL_sfunz00_bglt)
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2510,
															BgL_arg2073z00_1381));
											}} BgL_tmp1174z00_1379;
										}
										((BgL_sfunz00_bglt) BgL_tmp1173z00_1378);
									}
									{	/* Initflow/walk.scm 88 */
										obj_t BgL_arg2074z00_1383;

										BgL_arg2074z00_1383 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_fz00_1375)))->BgL_bodyz00);
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2074z00_1383), BgL_ez00_78);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 82 */
							return BNIL;
						}
				}
			}
		}
	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_83,
		obj_t BgL_ez00_84)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 124 */
			{
				obj_t BgL_nodesz00_1387;
				obj_t BgL_isz00_1388;

				BgL_nodesz00_1387 = BgL_nodesz00_83;
				BgL_isz00_1388 = BNIL;
			BgL_zc3anonymousza32077ze3z83_1389:
				if (NULLP(BgL_nodesz00_1387))
					{	/* Initflow/walk.scm 127 */
						if (CBOOL(BgL_ez00_84))
							{	/* Initflow/walk.scm 128 */
								{
									obj_t BgL_l1937z00_1392;

									BgL_l1937z00_1392 = BgL_isz00_1388;
								BgL_zc3anonymousza32079ze3z83_1393:
									if (PAIRP(BgL_l1937z00_1392))
										{	/* Initflow/walk.scm 130 */
											{	/* Initflow/walk.scm 131 */
												obj_t BgL_gz00_1395;

												BgL_gz00_1395 = CAR(BgL_l1937z00_1392);
												if (
													((((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_gz00_1395)))->
															BgL_initz00) == BUNSPEC))
													{	/* Initflow/walk.scm 132 */
														BgL_globalz00_bglt BgL_oz00_2521;

														BgL_oz00_2521 =
															((BgL_globalz00_bglt) BgL_gz00_1395);
														((((BgL_globalz00_bglt) CREF(BgL_oz00_2521))->
																BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
													}
												else
													{	/* Initflow/walk.scm 131 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1937z00_3080;

												BgL_l1937z00_3080 = CDR(BgL_l1937z00_1392);
												BgL_l1937z00_1392 = BgL_l1937z00_3080;
												goto BgL_zc3anonymousza32079ze3z83_1393;
											}
										}
									else
										{	/* Initflow/walk.scm 130 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 128 */
								return
									BGl_zc3anonymousza32084ze3z83zzinitflow_walkz00
									(BgL_isz00_1388);
							}
					}
				else
					{	/* Initflow/walk.scm 136 */
						obj_t BgL_iz00_1410;

						{	/* Initflow/walk.scm 136 */
							obj_t BgL_arg2090z00_1413;

							BgL_arg2090z00_1413 = CAR(BgL_nodesz00_1387);
							BgL_iz00_1410 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg2090z00_1413), ((bool_t) 0));
						}
						{
							obj_t BgL_isz00_3088;
							obj_t BgL_nodesz00_3086;

							BgL_nodesz00_3086 = CDR(BgL_nodesz00_1387);
							BgL_isz00_3088 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1410,
								BgL_isz00_1388);
							BgL_isz00_1388 = BgL_isz00_3088;
							BgL_nodesz00_1387 = BgL_nodesz00_3086;
							goto BgL_zc3anonymousza32077ze3z83_1389;
						}
					}
			}
		}
	}



/* <anonymous:2084> */
	obj_t BGl_zc3anonymousza32084ze3z83zzinitflow_walkz00(obj_t
		BgL_lis1940z00_1401)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 135 */
		BGl_zc3anonymousza32084ze3z83zzinitflow_walkz00:
			if (NULLP(BgL_lis1940z00_1401))
				{	/* Initflow/walk.scm 135 */
					return BgL_lis1940z00_1401;
				}
			else
				{	/* Initflow/walk.scm 135 */
					obj_t BgL_head1941z00_1404;
					obj_t BgL_tail1942z00_1405;

					BgL_head1941z00_1404 = CAR(BgL_lis1940z00_1401);
					BgL_tail1942z00_1405 = CDR(BgL_lis1940z00_1401);
					if (CBOOL(
							(((BgL_globalz00_bglt) CREF(
										((BgL_globalz00_bglt) BgL_head1941z00_1404)))->
								BgL_initz00)))
						{	/* Initflow/walk.scm 135 */
							obj_t BgL_newzd2tail1943zd2_1407;

							BgL_newzd2tail1943zd2_1407 =
								BGl_zc3anonymousza32084ze3z83zzinitflow_walkz00
								(BgL_tail1942z00_1405);
							if ((BgL_tail1942z00_1405 == BgL_newzd2tail1943zd2_1407))
								{	/* Initflow/walk.scm 135 */
									return BgL_lis1940z00_1401;
								}
							else
								{	/* Initflow/walk.scm 135 */
									obj_t BgL_res2314z00_2536;

									BgL_res2314z00_2536 =
										MAKE_PAIR(BgL_head1941z00_1404, BgL_newzd2tail1943zd2_1407);
									return BgL_res2314z00_2536;
								}
						}
					else
						{
							obj_t BgL_lis1940z00_3102;

							BgL_lis1940z00_3102 = BgL_tail1942z00_1405;
							BgL_lis1940z00_1401 = BgL_lis1940z00_3102;
							goto BGl_zc3anonymousza32084ze3z83zzinitflow_walkz00;
						}
				}
		}
	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_97, obj_t BgL_ez00_98)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 206 */
			if (NULLP(BgL_isz00_97))
				{	/* Initflow/walk.scm 207 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 209 */
					obj_t BgL_lubz00_1416;

					BgL_lubz00_1416 = BNIL;
					{	/* Initflow/walk.scm 210 */
						obj_t BgL_g1951z00_1417;

						BgL_g1951z00_1417 = CAR(BgL_isz00_97);
						{
							obj_t BgL_l1949z00_1419;

							BgL_l1949z00_1419 = BgL_g1951z00_1417;
						BgL_zc3anonymousza32092ze3z83_1420:
							if (PAIRP(BgL_l1949z00_1419))
								{	/* Initflow/walk.scm 216 */
									{	/* Initflow/walk.scm 211 */
										obj_t BgL_gz00_1422;

										BgL_gz00_1422 = CAR(BgL_l1949z00_1419);
										{	/* Initflow/walk.scm 211 */
											bool_t BgL_testz00_3109;

											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_gz00_1422)))->
														BgL_initz00) == BUNSPEC))
												{
													obj_t BgL_l1944z00_1427;
													obj_t BgL_lv1945z00_1428;

													{	/* Initflow/walk.scm 212 */
														obj_t BgL_auxz00_3114;

														BgL_l1944z00_1427 = CDR(BgL_isz00_97);
														BgL_lv1945z00_1428 = BTRUE;
													BgL_zc3anonymousza32096ze3z83_1429:
														if (NULLP(BgL_l1944z00_1427))
															{	/* Initflow/walk.scm 212 */
																BgL_auxz00_3114 = BgL_lv1945z00_1428;
															}
														else
															{	/* Initflow/walk.scm 212 */
																obj_t BgL_nvz00_1431;

																BgL_nvz00_1431 =
																	BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_gz00_1422, CAR(BgL_l1944z00_1427));
																if (CBOOL(BgL_nvz00_1431))
																	{
																		obj_t BgL_lv1945z00_3123;
																		obj_t BgL_l1944z00_3121;

																		BgL_l1944z00_3121 = CDR(BgL_l1944z00_1427);
																		BgL_lv1945z00_3123 = BgL_nvz00_1431;
																		BgL_lv1945z00_1428 = BgL_lv1945z00_3123;
																		BgL_l1944z00_1427 = BgL_l1944z00_3121;
																		goto BgL_zc3anonymousza32096ze3z83_1429;
																	}
																else
																	{	/* Initflow/walk.scm 212 */
																		BgL_auxz00_3114 = BFALSE;
																	}
															}
														BgL_testz00_3109 = CBOOL(BgL_auxz00_3114);
													}
												}
											else
												{	/* Initflow/walk.scm 211 */
													BgL_testz00_3109 = ((bool_t) 0);
												}
											if (BgL_testz00_3109)
												{	/* Initflow/walk.scm 211 */
													if (CBOOL(BgL_ez00_98))
														{	/* Initflow/walk.scm 214 */
															BgL_globalz00_bglt BgL_oz00_2552;

															BgL_oz00_2552 =
																((BgL_globalz00_bglt) BgL_gz00_1422);
															((((BgL_globalz00_bglt) CREF(BgL_oz00_2552))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 213 */
															BgL_lubz00_1416 =
																MAKE_PAIR(BgL_gz00_1422, BgL_lubz00_1416);
														}
												}
											else
												{	/* Initflow/walk.scm 211 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1949z00_3131;

										BgL_l1949z00_3131 = CDR(BgL_l1949z00_1419);
										BgL_l1949z00_1419 = BgL_l1949z00_3131;
										goto BgL_zc3anonymousza32092ze3z83_1420;
									}
								}
							else
								{	/* Initflow/walk.scm 216 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1416;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 42 */
				obj_t BgL_arg2107z00_1443;
				obj_t BgL_arg2108z00_1444;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1962z00_1483;

					BgL_v1962z00_1483 = create_vector((int) (((long) 0)));
					BgL_arg2107z00_1443 = BgL_v1962z00_1483;
				}
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1963z00_1484;

					BgL_v1963z00_1484 = create_vector((int) (((long) 0)));
					BgL_arg2108z00_1444 = BgL_v1963z00_1484;
				}
				return (BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)), BGl_sfunz00zzast_varz00, ((long) 37049),
						BGl_proc2371z00zzinitflow_walkz00,
						BGl_proc2370z00zzinitflow_walkz00, BFALSE,
						BGl_proc2369z00zzinitflow_walkz00,
						BGl_proc2368z00zzinitflow_walkz00, BgL_arg2107z00_1443,
						BgL_arg2108z00_1444), BUNSPEC);
		}}
	}



/* &lambda2115 */
	BgL_sfunz00_bglt BGl_z62lambda2115z62zzinitflow_walkz00(obj_t BgL_envz00_2752,
		obj_t BgL_o1117z00_2753)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_o1117z00_1477;

				BgL_o1117z00_1477 = ((BgL_sfunz00_bglt) BgL_o1117z00_2753);
				{	/* Initflow/walk.scm 42 */
					long BgL_arg2117z00_1480;

					{	/* Initflow/walk.scm 42 */
						obj_t BgL_arg2118z00_1481;

						{	/* Initflow/walk.scm 42 */
							obj_t BgL_arg2119z00_1482;

							{	/* Initflow/walk.scm 42 */
								BgL_objectz00_bglt BgL_objectz00_2574;

								BgL_objectz00_2574 = ((BgL_objectz00_bglt) BgL_o1117z00_1477);
								{	/* Initflow/walk.scm 42 */
									long BgL_arg1825z00_2575;

									{	/* Initflow/walk.scm 42 */
										long BgL_arg1826z00_2576;

										{	/* Initflow/walk.scm 42 */
											long BgL_res2321z00_2578;

											BgL_res2321z00_2578 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2574);
											BgL_arg1826z00_2576 = BgL_res2321z00_2578;
										}
										BgL_arg1825z00_2575 = (BgL_arg1826z00_2576 - OBJECT_TYPE);
									}
									BgL_arg2119z00_1482 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1825z00_2575));
							}}
							BgL_arg2118z00_1481 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2119z00_1482);
						}
						{	/* Initflow/walk.scm 42 */
							long BgL_res2323z00_2587;

							{	/* Initflow/walk.scm 42 */
								obj_t BgL_classz00_2584;

								BgL_classz00_2584 = BgL_arg2118z00_1481;
								{	/* Initflow/walk.scm 42 */
									obj_t BgL_vectorz00_2585;
									int BgL_kz00_2586;

									BgL_vectorz00_2585 = BgL_classz00_2584;
									BgL_kz00_2586 = (int) (((long) 1));
									BgL_res2323z00_2587 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2585, BgL_kz00_2586));
							}}
							BgL_arg2117z00_1480 = BgL_res2323z00_2587;
					}}
					{	/* Initflow/walk.scm 42 */
						BgL_objectz00_bglt BgL_objz00_2588;

						BgL_objz00_2588 = ((BgL_objectz00_bglt) BgL_o1117z00_1477);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2588, BgL_arg2117z00_1480);
				}}
				{	/* Initflow/walk.scm 42 */
					BgL_objectz00_bglt BgL_auxz00_3151;

					BgL_auxz00_3151 = ((BgL_objectz00_bglt) BgL_o1117z00_1477);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3151, BFALSE);
				}
				return ((BgL_sfunz00_bglt) BgL_o1117z00_1477);
			}
		}
	}



/* &<anonymous:2114> */
	BgL_sfunz00_bglt BGl_z62zc3anonymousza32114ze3ze1zzinitflow_walkz00(obj_t
		BgL_envz00_2754, obj_t BgL_new1116z00_2755)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_new1116z00_1475;

				BgL_new1116z00_1475 = ((BgL_sfunz00_bglt) BgL_new1116z00_2755);
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1116z00_1475)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1116z00_1475)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1116z00_1475)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1116z00_1475)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1116z00_1475)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1116z00_1475)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1116z00_1475)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1116z00_1475)))->
						BgL_strengthz00) = ((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				return BgL_new1116z00_1475;
			}
		}
	}



/* &lambda2112 */
	BgL_sfunz00_bglt BGl_z62lambda2112z62zzinitflow_walkz00(obj_t BgL_envz00_2756,
		obj_t BgL_o1113z00_2757)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_o1113z00_1470;

				BgL_o1113z00_1470 = ((BgL_sfunz00_bglt) BgL_o1113z00_2757);
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_tmp1114z00_1472;
					BgL_sfunzf2iflowzf2_bglt BgL_wide1115z00_1473;

					BgL_tmp1114z00_1472 = ((BgL_sfunz00_bglt) BgL_o1113z00_1470);
					BgL_wide1115z00_1473 =
						((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sfunzf2iflowzf2_bgl))));
					{	/* Initflow/walk.scm 42 */
						obj_t BgL_auxz00_3198;
						BgL_objectz00_bglt BgL_auxz00_3196;

						BgL_auxz00_3198 = ((obj_t) BgL_wide1115z00_1473);
						BgL_auxz00_3196 = ((BgL_objectz00_bglt) BgL_tmp1114z00_1472);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3196, BgL_auxz00_3198);
					}
					{	/* Initflow/walk.scm 42 */
						long BgL_arg2113z00_1474;

						{	/* Initflow/walk.scm 42 */
							long BgL_res2320z00_2571;

							{	/* Initflow/walk.scm 42 */
								obj_t BgL_classz00_2568;

								BgL_classz00_2568 = BGl_sfunzf2iflowzf2zzinitflow_walkz00;
								{	/* Initflow/walk.scm 42 */
									obj_t BgL_vectorz00_2569;
									int BgL_kz00_2570;

									BgL_vectorz00_2569 = BgL_classz00_2568;
									BgL_kz00_2570 = (int) (((long) 1));
									BgL_res2320z00_2571 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2569, BgL_kz00_2570));
							}}
							BgL_arg2113z00_1474 = BgL_res2320z00_2571;
						}
						{	/* Initflow/walk.scm 42 */
							BgL_objectz00_bglt BgL_objz00_2572;

							BgL_objz00_2572 = ((BgL_objectz00_bglt) BgL_tmp1114z00_1472);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2572, BgL_arg2113z00_1474));
					}}
					return ((BgL_sfunz00_bglt) BgL_tmp1114z00_1472);
				}
			}
		}
	}



/* &lambda2109 */
	BgL_sfunz00_bglt BGl_z62lambda2109z62zzinitflow_walkz00(obj_t BgL_envz00_2758,
		obj_t BgL_arity1095z00_2759, obj_t BgL_sidezd2effect1096zd2_2760,
		obj_t BgL_predicatezd2of1097zd2_2761,
		obj_t BgL_stackzd2allocator1098zd2_2762, obj_t BgL_topzf31099zf3_2763,
		obj_t BgL_thezd2closure1100zd2_2764, obj_t BgL_effect1101z00_2765,
		obj_t BgL_property1102z00_2766, obj_t BgL_args1103z00_2767,
		obj_t BgL_argszd2name1104zd2_2768, obj_t BgL_body1105z00_2769,
		obj_t BgL_class1106z00_2770, obj_t BgL_dssslzd2keywords1107zd2_2771,
		obj_t BgL_loc1108z00_2772, obj_t BgL_optionals1109z00_2773,
		obj_t BgL_keys1110z00_2774, obj_t BgL_thezd2closurezd2global1111z00_2775,
		obj_t BgL_strength1112z00_2776)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 42 */
			{
				long BgL_arity1095z00_1445;
				obj_t BgL_sidezd2effect1096zd2_1446;
				obj_t BgL_predicatezd2of1097zd2_1447;
				obj_t BgL_stackzd2allocator1098zd2_1448;
				bool_t BgL_topzf31099zf3_1449;
				obj_t BgL_thezd2closure1100zd2_1450;
				obj_t BgL_effect1101z00_1451;
				obj_t BgL_property1102z00_1452;
				obj_t BgL_args1103z00_1453;
				obj_t BgL_argszd2name1104zd2_1454;
				obj_t BgL_body1105z00_1455;
				obj_t BgL_class1106z00_1456;
				obj_t BgL_dssslzd2keywords1107zd2_1457;
				obj_t BgL_loc1108z00_1458;
				obj_t BgL_optionals1109z00_1459;
				obj_t BgL_keys1110z00_1460;
				obj_t BgL_thezd2closurezd2global1111z00_1461;
				obj_t BgL_strength1112z00_1462;

				BgL_arity1095z00_1445 = (long) CINT(BgL_arity1095z00_2759);
				BgL_sidezd2effect1096zd2_1446 = BgL_sidezd2effect1096zd2_2760;
				BgL_predicatezd2of1097zd2_1447 = BgL_predicatezd2of1097zd2_2761;
				BgL_stackzd2allocator1098zd2_1448 = BgL_stackzd2allocator1098zd2_2762;
				BgL_topzf31099zf3_1449 = CBOOL(BgL_topzf31099zf3_2763);
				BgL_thezd2closure1100zd2_1450 = BgL_thezd2closure1100zd2_2764;
				BgL_effect1101z00_1451 = BgL_effect1101z00_2765;
				BgL_property1102z00_1452 = BgL_property1102z00_2766;
				BgL_args1103z00_1453 = BgL_args1103z00_2767;
				BgL_argszd2name1104zd2_1454 = BgL_argszd2name1104zd2_2768;
				BgL_body1105z00_1455 = BgL_body1105z00_2769;
				BgL_class1106z00_1456 = BgL_class1106z00_2770;
				BgL_dssslzd2keywords1107zd2_1457 = BgL_dssslzd2keywords1107zd2_2771;
				BgL_loc1108z00_1458 = BgL_loc1108z00_2772;
				BgL_optionals1109z00_1459 = BgL_optionals1109z00_2773;
				BgL_keys1110z00_1460 = BgL_keys1110z00_2774;
				BgL_thezd2closurezd2global1111z00_1461 =
					BgL_thezd2closurezd2global1111z00_2775;
				BgL_strength1112z00_1462 = BgL_strength1112z00_2776;
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_new1199z00_1464;

					{	/* Initflow/walk.scm 42 */
						BgL_sfunz00_bglt BgL_tmp1197z00_1465;
						BgL_sfunzf2iflowzf2_bglt BgL_wide1198z00_1466;

						{
							BgL_sfunz00_bglt BgL_auxz00_3209;

							{	/* Initflow/walk.scm 42 */
								BgL_sfunz00_bglt BgL_new1196z00_1468;

								BgL_new1196z00_1468 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 42 */
									long BgL_arg2111z00_1469;

									{	/* Initflow/walk.scm 42 */
										long BgL_res2318z00_2559;

										{	/* Initflow/walk.scm 42 */
											obj_t BgL_classz00_2556;

											BgL_classz00_2556 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 42 */
												obj_t BgL_vectorz00_2557;
												int BgL_kz00_2558;

												BgL_vectorz00_2557 = BgL_classz00_2556;
												BgL_kz00_2558 = (int) (((long) 1));
												BgL_res2318z00_2559 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2557,
														BgL_kz00_2558));
										}}
										BgL_arg2111z00_1469 = BgL_res2318z00_2559;
									}
									{	/* Initflow/walk.scm 42 */
										BgL_objectz00_bglt BgL_objz00_2560;

										BgL_objz00_2560 =
											((BgL_objectz00_bglt) BgL_new1196z00_1468);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2560,
											BgL_arg2111z00_1469);
								}}
								{	/* Initflow/walk.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3216;

									BgL_auxz00_3216 = ((BgL_objectz00_bglt) BgL_new1196z00_1468);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3216, BFALSE);
								}
								BgL_auxz00_3209 = BgL_new1196z00_1468;
							}
							BgL_tmp1197z00_1465 = ((BgL_sfunz00_bglt) BgL_auxz00_3209);
						}
						BgL_wide1198z00_1466 =
							((BgL_sfunzf2iflowzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iflowzf2_bgl))));
						{	/* Initflow/walk.scm 42 */
							obj_t BgL_auxz00_3223;
							BgL_objectz00_bglt BgL_auxz00_3221;

							BgL_auxz00_3223 = ((obj_t) BgL_wide1198z00_1466);
							BgL_auxz00_3221 = ((BgL_objectz00_bglt) BgL_tmp1197z00_1465);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3221, BgL_auxz00_3223);
						}
						{	/* Initflow/walk.scm 42 */
							long BgL_arg2110z00_1467;

							{	/* Initflow/walk.scm 42 */
								long BgL_res2319z00_2565;

								{	/* Initflow/walk.scm 42 */
									obj_t BgL_classz00_2562;

									BgL_classz00_2562 = BGl_sfunzf2iflowzf2zzinitflow_walkz00;
									{	/* Initflow/walk.scm 42 */
										obj_t BgL_vectorz00_2563;
										int BgL_kz00_2564;

										BgL_vectorz00_2563 = BgL_classz00_2562;
										BgL_kz00_2564 = (int) (((long) 1));
										BgL_res2319z00_2565 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2563,
												BgL_kz00_2564));
								}}
								BgL_arg2110z00_1467 = BgL_res2319z00_2565;
							}
							{	/* Initflow/walk.scm 42 */
								BgL_objectz00_bglt BgL_objz00_2566;

								BgL_objz00_2566 = ((BgL_objectz00_bglt) BgL_tmp1197z00_1465);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2566,
										BgL_arg2110z00_1467));
						}}
						BgL_new1199z00_1464 = ((BgL_sfunz00_bglt) BgL_tmp1197z00_1465);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1199z00_1464)))->BgL_arityz00) =
						((long) BgL_arity1095z00_1445), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1199z00_1464)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1096zd2_1446), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1199z00_1464)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1097zd2_1447), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1199z00_1464)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1098zd2_1448), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1199z00_1464)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31099zf3_1449), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1199z00_1464)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1100zd2_1450), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1199z00_1464)))->
							BgL_effectz00) = ((obj_t) BgL_effect1101z00_1451), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_propertyz00) =
						((obj_t) BgL_property1102z00_1452), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_argsz00) =
						((obj_t) BgL_args1103z00_1453), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1104zd2_1454), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_bodyz00) =
						((obj_t) BgL_body1105z00_1455), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_classz00) =
						((obj_t) BgL_class1106z00_1456), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1107zd2_1457), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_locz00) =
						((obj_t) BgL_loc1108z00_1458), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1109z00_1459), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_keysz00) =
						((obj_t) BgL_keys1110z00_1460), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1111z00_1461), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1199z00_1464)))->BgL_strengthz00) =
						((obj_t) BgL_strength1112z00_1462), BUNSPEC);
					return BgL_new1199z00_1464;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc2372z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2373z00zzinitflow_walkz00);
		}
	}



/* &initflow-node1965 */
	obj_t BGl_z62initflowzd2node1965zb0zzinitflow_walkz00(obj_t BgL_envz00_2778,
		obj_t BgL_nodez00_2779, obj_t BgL_ez00_2780)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			return BNIL;
		}
	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_79, bool_t BgL_ez00_80)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			{	/* Initflow/walk.scm 93 */
				obj_t BgL_method1966z00_1494;

				{	/* Initflow/walk.scm 93 */
					obj_t BgL_res2330z00_2618;

					{	/* Initflow/walk.scm 93 */
						BgL_objectz00_bglt BgL_objz00_2590;

						BgL_objz00_2590 = ((BgL_objectz00_bglt) BgL_nodez00_79);
						{	/* Initflow/walk.scm 93 */
							long BgL_objzd2classzd2numz00_2591;

							{	/* Initflow/walk.scm 93 */
								long BgL_res2324z00_2594;

								BgL_res2324z00_2594 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2590);
								BgL_objzd2classzd2numz00_2591 = BgL_res2324z00_2594;
							}
							{	/* Initflow/walk.scm 93 */
								obj_t BgL_arg1822z00_2592;

								BgL_arg1822z00_2592 =
									PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
									(int) (((long) 1)));
								{	/* Initflow/walk.scm 93 */
									obj_t BgL_arrayz00_2595;
									int BgL_offsetz00_2596;

									BgL_arrayz00_2595 = BgL_arg1822z00_2592;
									BgL_offsetz00_2596 = (int) (BgL_objzd2classzd2numz00_2591);
									{	/* Initflow/walk.scm 93 */
										long BgL_offsetz00_2597;

										BgL_offsetz00_2597 =
											((long) (BgL_offsetz00_2596) - OBJECT_TYPE);
										{	/* Initflow/walk.scm 93 */
											long BgL_modz00_2598;

											{	/* Initflow/walk.scm 93 */
												int BgL_arg1824z00_2599;

												BgL_arg1824z00_2599 = (int) (((long) 16));
												{	/* Initflow/walk.scm 93 */
													long BgL_res2327z00_2609;

													{	/* Initflow/walk.scm 93 */
														long BgL_auxz00_3280;

														BgL_auxz00_3280 = (long) (BgL_arg1824z00_2599);
														BgL_res2327z00_2609 =
															(BgL_offsetz00_2597 / BgL_auxz00_3280);
													}
													BgL_modz00_2598 = BgL_res2327z00_2609;
											}}
											{	/* Initflow/walk.scm 93 */
												long BgL_restz00_2600;

												{	/* Initflow/walk.scm 93 */
													int BgL_arg1823z00_2601;

													BgL_arg1823z00_2601 = (int) (((long) 16));
													{	/* Initflow/walk.scm 93 */
														long BgL_res2329z00_2613;

														{	/* Initflow/walk.scm 93 */
															long BgL_auxz00_3284;

															BgL_auxz00_3284 = (long) (BgL_arg1823z00_2601);
															BgL_res2329z00_2613 =
																(BgL_offsetz00_2597 % BgL_auxz00_3284);
														}
														BgL_restz00_2600 = BgL_res2329z00_2613;
												}}
												{	/* Initflow/walk.scm 93 */

													BgL_res2330z00_2618 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2595,
															(int) (BgL_modz00_2598)),
														(int) (BgL_restz00_2600));
					}}}}}}}}
					BgL_method1966z00_1494 = BgL_res2330z00_2618;
				}
				return
					PROCEDURE_ENTRY(BgL_method1966z00_1494) (BgL_method1966z00_1494,
					((obj_t) BgL_nodez00_79), BBOOL(BgL_ez00_80), BEOA);
			}
		}
	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2781,
		obj_t BgL_nodez00_2782, obj_t BgL_ez00_2783)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 93 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2782), CBOOL(BgL_ez00_2783));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2374z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2376z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2377z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2378z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2379z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2380z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2381z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2382z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2383z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2384z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2385z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2386z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2387z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2388z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2389z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2390z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2391z00zzinitflow_walkz00,
				BGl_string2375z00zzinitflow_walkz00);
		}
	}



/* &initflow-node-jump-e2002 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e2002zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2801, obj_t BgL_nodez00_2802, obj_t BgL_ez00_2803)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 295 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1719;
				obj_t BgL_ez00_1720;

				BgL_nodez00_1719 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2802);
				BgL_ez00_1720 = BgL_ez00_2803;
				{	/* Initflow/walk.scm 297 */
					obj_t BgL_arg2226z00_1724;

					{	/* Initflow/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2227z00_1725;
						BgL_nodez00_bglt BgL_arg2228z00_1726;

						BgL_arg2227z00_1725 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1719))->
							BgL_exitz00);
						BgL_arg2228z00_1726 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1719))->
							BgL_valuez00);
						{	/* Initflow/walk.scm 297 */
							obj_t BgL_list2229z00_1727;

							{	/* Initflow/walk.scm 297 */
								obj_t BgL_arg2230z00_1728;

								BgL_arg2230z00_1728 =
									MAKE_PAIR(((obj_t) BgL_arg2228z00_1726), BNIL);
								BgL_list2229z00_1727 =
									MAKE_PAIR(((obj_t) BgL_arg2227z00_1725), BgL_arg2230z00_1728);
							}
							BgL_arg2226z00_1724 = BgL_list2229z00_1727;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2226z00_1724,
						BgL_ez00_1720);
				}
			}
		}
	}



/* &initflow-node-set-ex2000 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex2000zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2804, obj_t BgL_nodez00_2805, obj_t BgL_ez00_2806)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 288 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1712;
				obj_t BgL_ez00_1713;

				BgL_nodez00_1712 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2805);
				BgL_ez00_1713 = BgL_ez00_2806;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1712))->BgL_bodyz00),
					CBOOL(BgL_ez00_1713));
			}
		}
	}



/* &initflow-node-let-va1998 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va1998zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2807, obj_t BgL_nodez00_2808, obj_t BgL_ez00_2809)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 279 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1688;
				obj_t BgL_ez00_1689;

				BgL_nodez00_1688 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2808);
				BgL_ez00_1689 = BgL_ez00_2809;
				{	/* Initflow/walk.scm 281 */
					obj_t BgL_isz00_1693;

					{	/* Initflow/walk.scm 281 */
						obj_t BgL_l1957z00_1697;

						BgL_l1957z00_1697 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1688))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1957z00_1697))
							{	/* Initflow/walk.scm 281 */
								BgL_isz00_1693 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 281 */
								obj_t BgL_head1959z00_1699;

								{	/* Initflow/walk.scm 281 */
									obj_t BgL_res2355z00_2718;

									BgL_res2355z00_2718 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1959z00_1699 = BgL_res2355z00_2718;
								}
								{
									obj_t BgL_l1957z00_1701;
									obj_t BgL_tail1960z00_1702;

									BgL_l1957z00_1701 = BgL_l1957z00_1697;
									BgL_tail1960z00_1702 = BgL_head1959z00_1699;
								BgL_zc3anonymousza32220ze3z83_1703:
									if (NULLP(BgL_l1957z00_1701))
										{	/* Initflow/walk.scm 281 */
											BgL_isz00_1693 = CDR(BgL_head1959z00_1699);
										}
									else
										{	/* Initflow/walk.scm 281 */
											obj_t BgL_newtail1961z00_1705;

											{	/* Initflow/walk.scm 281 */
												obj_t BgL_arg2223z00_1707;

												{	/* Initflow/walk.scm 281 */
													obj_t BgL_bz00_1708;

													BgL_bz00_1708 = CAR(BgL_l1957z00_1701);
													{	/* Initflow/walk.scm 281 */
														obj_t BgL_arg2224z00_1709;

														BgL_arg2224z00_1709 = CDR(BgL_bz00_1708);
														BgL_arg2223z00_1707 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg2224z00_1709),
															CBOOL(BgL_ez00_1689));
													}
												}
												{	/* Initflow/walk.scm 281 */
													obj_t BgL_res2357z00_2726;

													BgL_res2357z00_2726 =
														MAKE_PAIR(BgL_arg2223z00_1707, BNIL);
													BgL_newtail1961z00_1705 = BgL_res2357z00_2726;
												}
											}
											SET_CDR(BgL_tail1960z00_1702, BgL_newtail1961z00_1705);
											{
												obj_t BgL_tail1960z00_3346;
												obj_t BgL_l1957z00_3344;

												BgL_l1957z00_3344 = CDR(BgL_l1957z00_1701);
												BgL_tail1960z00_3346 = BgL_newtail1961z00_1705;
												BgL_tail1960z00_1702 = BgL_tail1960z00_3346;
												BgL_l1957z00_1701 = BgL_l1957z00_3344;
												goto BgL_zc3anonymousza32220ze3z83_1703;
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 281 */
						obj_t BgL_lubz00_1694;

						BgL_lubz00_1694 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_1693, BgL_ez00_1689);
						{	/* Initflow/walk.scm 282 */

							return
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_lubz00_1694,
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1688))->
										BgL_bodyz00), CBOOL(BgL_ez00_1689)));
						}
					}
				}
			}
		}
	}



/* &initflow-node-let-fu1996 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu1996zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2810, obj_t BgL_nodez00_2811, obj_t BgL_ez00_2812)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 272 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1681;
				obj_t BgL_ez00_1682;

				BgL_nodez00_1681 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2811);
				BgL_ez00_1682 = BgL_ez00_2812;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1681))->BgL_bodyz00),
					CBOOL(BgL_ez00_1682));
			}
		}
	}



/* &initflow-node-box-se1994 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se1994zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2813, obj_t BgL_nodez00_2814, obj_t BgL_ez00_2815)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 265 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1674;
				obj_t BgL_ez00_1675;

				BgL_nodez00_1674 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2814);
				BgL_ez00_1675 = BgL_ez00_2815;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1674))->BgL_valuez00),
					CBOOL(BgL_ez00_1675));
			}
		}
	}



/* &initflow-node-box-re1992 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re1992zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2816, obj_t BgL_nodez00_2817, obj_t BgL_ez00_2818)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 258 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1667;
				obj_t BgL_ez00_1668;

				BgL_nodez00_1667 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2817);
				BgL_ez00_1668 = BgL_ez00_2818;
				{	/* Initflow/walk.scm 259 */
					BgL_varz00_bglt BgL_arg2213z00_2709;

					BgL_arg2213z00_2709 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1667))->BgL_varz00);
					return
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						((BgL_nodez00_bglt) BgL_arg2213z00_2709), CBOOL(BgL_ez00_1668));
				}
			}
		}
	}



/* &initflow-node-make-b1990 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b1990zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2819, obj_t BgL_nodez00_2820, obj_t BgL_ez00_2821)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 251 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1660;
				obj_t BgL_ez00_1661;

				BgL_nodez00_1660 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2820);
				BgL_ez00_1661 = BgL_ez00_2821;
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1660))->BgL_valuez00),
					CBOOL(BgL_ez00_1661));
			}
		}
	}



/* &initflow-node-select1988 */
	obj_t BGl_z62initflowzd2nodezd2select1988z62zzinitflow_walkz00(obj_t
		BgL_envz00_2822, obj_t BgL_nodez00_2823, obj_t BgL_ez00_2824)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 241 */
			{
				BgL_selectz00_bglt BgL_nodez00_1636;
				obj_t BgL_ez00_1637;

				BgL_nodez00_1636 = ((BgL_selectz00_bglt) BgL_nodez00_2823);
				BgL_ez00_1637 = BgL_ez00_2824;
				{	/* Initflow/walk.scm 243 */
					obj_t BgL_i0z00_1641;

					BgL_i0z00_1641 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1636))->BgL_testz00),
						CBOOL(BgL_ez00_1637));
					{	/* Initflow/walk.scm 244 */
						obj_t BgL_isz00_1642;

						{	/* Initflow/walk.scm 244 */
							obj_t BgL_l1952z00_1644;

							BgL_l1952z00_1644 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1636))->BgL_clausesz00);
							if (NULLP(BgL_l1952z00_1644))
								{	/* Initflow/walk.scm 244 */
									BgL_isz00_1642 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 244 */
									obj_t BgL_head1954z00_1646;

									{	/* Initflow/walk.scm 244 */
										obj_t BgL_res2351z00_2694;

										BgL_res2351z00_2694 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1954z00_1646 = BgL_res2351z00_2694;
									}
									{
										obj_t BgL_l1952z00_1648;
										obj_t BgL_tail1955z00_1649;

										BgL_l1952z00_1648 = BgL_l1952z00_1644;
										BgL_tail1955z00_1649 = BgL_head1954z00_1646;
									BgL_zc3anonymousza32206ze3z83_1650:
										if (NULLP(BgL_l1952z00_1648))
											{	/* Initflow/walk.scm 244 */
												BgL_isz00_1642 = CDR(BgL_head1954z00_1646);
											}
										else
											{	/* Initflow/walk.scm 244 */
												obj_t BgL_newtail1956z00_1652;

												{	/* Initflow/walk.scm 244 */
													obj_t BgL_arg2209z00_1654;

													{	/* Initflow/walk.scm 244 */
														obj_t BgL_cz00_1655;

														BgL_cz00_1655 = CAR(BgL_l1952z00_1648);
														{	/* Initflow/walk.scm 244 */
															obj_t BgL_arg2210z00_1656;

															BgL_arg2210z00_1656 = CDR(BgL_cz00_1655);
															BgL_arg2209z00_1654 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg2210z00_1656),
																((bool_t) 0));
														}
													}
													{	/* Initflow/walk.scm 244 */
														obj_t BgL_res2353z00_2702;

														BgL_res2353z00_2702 =
															MAKE_PAIR(BgL_arg2209z00_1654, BNIL);
														BgL_newtail1956z00_1652 = BgL_res2353z00_2702;
													}
												}
												SET_CDR(BgL_tail1955z00_1649, BgL_newtail1956z00_1652);
												{
													obj_t BgL_tail1955z00_3388;
													obj_t BgL_l1952z00_3386;

													BgL_l1952z00_3386 = CDR(BgL_l1952z00_1648);
													BgL_tail1955z00_3388 = BgL_newtail1956z00_1652;
													BgL_tail1955z00_1649 = BgL_tail1955z00_3388;
													BgL_l1952z00_1648 = BgL_l1952z00_3386;
													goto BgL_zc3anonymousza32206ze3z83_1650;
												}
											}
									}
								}
						}
						return
							BGl_appendzd221011zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_1642, BgL_ez00_1637),
							BgL_i0z00_1641);
					}
				}
			}
		}
	}



/* &initflow-node-fail1986 */
	obj_t BGl_z62initflowzd2nodezd2fail1986z62zzinitflow_walkz00(obj_t
		BgL_envz00_2825, obj_t BgL_nodez00_2826, obj_t BgL_ez00_2827)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 234 */
			{
				BgL_failz00_bglt BgL_nodez00_1623;
				obj_t BgL_ez00_1624;

				BgL_nodez00_1623 = ((BgL_failz00_bglt) BgL_nodez00_2826);
				BgL_ez00_1624 = BgL_ez00_2827;
				{	/* Initflow/walk.scm 236 */
					obj_t BgL_arg2197z00_1628;

					{	/* Initflow/walk.scm 236 */
						BgL_nodez00_bglt BgL_arg2198z00_1629;
						BgL_nodez00_bglt BgL_arg2199z00_1630;
						BgL_nodez00_bglt BgL_arg2200z00_1631;

						BgL_arg2198z00_1629 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1623))->BgL_procz00);
						BgL_arg2199z00_1630 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1623))->BgL_msgz00);
						BgL_arg2200z00_1631 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1623))->BgL_objz00);
						{	/* Initflow/walk.scm 236 */
							obj_t BgL_list2201z00_1632;

							{	/* Initflow/walk.scm 236 */
								obj_t BgL_arg2202z00_1633;

								{	/* Initflow/walk.scm 236 */
									obj_t BgL_arg2203z00_1634;

									BgL_arg2203z00_1634 =
										MAKE_PAIR(((obj_t) BgL_arg2200z00_1631), BNIL);
									BgL_arg2202z00_1633 =
										MAKE_PAIR(
										((obj_t) BgL_arg2199z00_1630), BgL_arg2203z00_1634);
								}
								BgL_list2201z00_1632 =
									MAKE_PAIR(((obj_t) BgL_arg2198z00_1629), BgL_arg2202z00_1633);
							}
							BgL_arg2197z00_1628 = BgL_list2201z00_1632;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2197z00_1628,
						BgL_ez00_1624);
				}
			}
		}
	}



/* &initflow-node-condit1984 */
	obj_t BGl_z62initflowzd2nodezd2condit1984z62zzinitflow_walkz00(obj_t
		BgL_envz00_2828, obj_t BgL_nodez00_2829, obj_t BgL_ez00_2830)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 222 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1607;
				obj_t BgL_ez00_1608;

				BgL_nodez00_1607 = ((BgL_conditionalz00_bglt) BgL_nodez00_2829);
				BgL_ez00_1608 = BgL_ez00_2830;
				{	/* Initflow/walk.scm 224 */
					obj_t BgL_i0z00_1612;

					BgL_i0z00_1612 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1607))->BgL_testz00),
						CBOOL(BgL_ez00_1608));
					{	/* Initflow/walk.scm 226 */
						obj_t BgL_i1z00_1613;
						obj_t BgL_i2z00_1614;

						BgL_i1z00_1613 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1607))->BgL_truez00),
							((bool_t) 0));
						BgL_i2z00_1614 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(((
									(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1607))->
								BgL_falsez00), ((bool_t) 0));
						{	/* Initflow/walk.scm 229 */
							obj_t BgL_arg2190z00_1615;

							{	/* Initflow/walk.scm 229 */
								obj_t BgL_arg2191z00_1616;

								{	/* Initflow/walk.scm 229 */
									obj_t BgL_list2192z00_1617;

									{	/* Initflow/walk.scm 229 */
										obj_t BgL_arg2193z00_1618;

										BgL_arg2193z00_1618 = MAKE_PAIR(BgL_i2z00_1614, BNIL);
										BgL_list2192z00_1617 =
											MAKE_PAIR(BgL_i1z00_1613, BgL_arg2193z00_1618);
									}
									BgL_arg2191z00_1616 = BgL_list2192z00_1617;
								}
								BgL_arg2190z00_1615 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg2191z00_1616,
									BgL_ez00_1608);
							}
							return
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_arg2190z00_1615,
								BgL_i0z00_1612);
						}
					}
				}
			}
		}
	}



/* &initflow-node-setq1982 */
	obj_t BGl_z62initflowzd2nodezd2setq1982z62zzinitflow_walkz00(obj_t
		BgL_envz00_2831, obj_t BgL_nodez00_2832, obj_t BgL_ez00_2833)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 189 */
			{
				BgL_setqz00_bglt BgL_nodez00_1592;
				obj_t BgL_ez00_1593;

				BgL_nodez00_1592 = ((BgL_setqz00_bglt) BgL_nodez00_2832);
				BgL_ez00_1593 = BgL_ez00_2833;
				{	/* Initflow/walk.scm 191 */
					obj_t BgL_isz00_1597;
					BgL_variablez00_bglt BgL_vz00_1598;

					BgL_isz00_1597 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1592))->BgL_valuez00),
						CBOOL(BgL_ez00_1593));
					BgL_vz00_1598 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1592))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Initflow/walk.scm 193 */
						bool_t BgL_testz00_3420;

						{	/* Initflow/walk.scm 193 */
							bool_t BgL_testz00_3421;

							{	/* Initflow/walk.scm 193 */
								bool_t BgL_res2346z00_2677;

								{	/* Initflow/walk.scm 193 */
									obj_t BgL_objz00_2676;

									BgL_objz00_2676 = ((obj_t) BgL_vz00_1598);
									BgL_res2346z00_2677 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2676,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3421 = BgL_res2346z00_2677;
							}
							if (BgL_testz00_3421)
								{	/* Initflow/walk.scm 193 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_vz00_1598)))->
												BgL_initz00) == BUNSPEC))
										{	/* Initflow/walk.scm 195 */
											obj_t BgL_arg2185z00_1602;

											BgL_arg2185z00_1602 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_vz00_1598)))->
												BgL_modulez00);
											BgL_testz00_3420 =
												(BgL_arg2185z00_1602 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
									else
										{	/* Initflow/walk.scm 194 */
											BgL_testz00_3420 = ((bool_t) 0);
										}
								}
							else
								{	/* Initflow/walk.scm 193 */
									BgL_testz00_3420 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3420)
							{	/* Initflow/walk.scm 193 */
								if (CBOOL(BgL_ez00_1593))
									{	/* Initflow/walk.scm 196 */
										{	/* Initflow/walk.scm 198 */
											BgL_globalz00_bglt BgL_oz00_2683;

											BgL_oz00_2683 = ((BgL_globalz00_bglt) BgL_vz00_1598);
											((((BgL_globalz00_bglt) CREF(BgL_oz00_2683))->
													BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
										}
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 196 */
										return MAKE_PAIR(((obj_t) BgL_vz00_1598), BgL_isz00_1597);
									}
							}
						else
							{	/* Initflow/walk.scm 193 */
								return BgL_isz00_1597;
							}
					}
				}
			}
		}
	}



/* &initflow-node-extern1980 */
	obj_t BGl_z62initflowzd2nodezd2extern1980z62zzinitflow_walkz00(obj_t
		BgL_envz00_2834, obj_t BgL_nodez00_2835, obj_t BgL_ez00_2836)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 182 */
			{
				BgL_externz00_bglt BgL_nodez00_1585;
				obj_t BgL_ez00_1586;

				BgL_nodez00_1585 = ((BgL_externz00_bglt) BgL_nodez00_2835);
				BgL_ez00_1586 = BgL_ez00_2836;
				return
					BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1585))->BgL_exprza2za2),
					BgL_ez00_1586);
			}
		}
	}



/* &initflow-node-funcal1978 */
	obj_t BGl_z62initflowzd2nodezd2funcal1978z62zzinitflow_walkz00(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838, obj_t BgL_ez00_2839)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 175 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1576;
				obj_t BgL_ez00_1577;

				BgL_nodez00_1576 = ((BgL_funcallz00_bglt) BgL_nodez00_2838);
				BgL_ez00_1577 = BgL_ez00_2839;
				{	/* Initflow/walk.scm 176 */
					obj_t BgL_arg2178z00_2668;

					{	/* Initflow/walk.scm 176 */
						BgL_nodez00_bglt BgL_arg2179z00_2669;
						obj_t BgL_arg2180z00_2670;

						BgL_arg2179z00_2669 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1576))->BgL_funz00);
						BgL_arg2180z00_2670 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1576))->BgL_argsz00);
						BgL_arg2178z00_2668 =
							MAKE_PAIR(((obj_t) BgL_arg2179z00_2669), BgL_arg2180z00_2670);
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2178z00_2668,
						BgL_ez00_1577);
				}
			}
		}
	}



/* &initflow-node-app-ly1975 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly1975zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2840, obj_t BgL_nodez00_2841, obj_t BgL_ez00_2842)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 168 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1565;
				obj_t BgL_ez00_1566;

				BgL_nodez00_1565 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2841);
				BgL_ez00_1566 = BgL_ez00_2842;
				{	/* Initflow/walk.scm 170 */
					obj_t BgL_arg2172z00_1570;

					{	/* Initflow/walk.scm 170 */
						BgL_nodez00_bglt BgL_arg2173z00_1571;
						BgL_nodez00_bglt BgL_arg2175z00_1572;

						BgL_arg2173z00_1571 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1565))->BgL_funz00);
						BgL_arg2175z00_1572 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1565))->BgL_argz00);
						{	/* Initflow/walk.scm 170 */
							obj_t BgL_list2176z00_1573;

							{	/* Initflow/walk.scm 170 */
								obj_t BgL_arg2177z00_1574;

								BgL_arg2177z00_1574 =
									MAKE_PAIR(((obj_t) BgL_arg2175z00_1572), BNIL);
								BgL_list2176z00_1573 =
									MAKE_PAIR(((obj_t) BgL_arg2173z00_1571), BgL_arg2177z00_1574);
							}
							BgL_arg2172z00_1570 = BgL_list2176z00_1573;
						}
					}
					return
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg2172z00_1570,
						BgL_ez00_1566);
				}
			}
		}
	}



/* &initflow-node-app1973 */
	obj_t BGl_z62initflowzd2nodezd2app1973z62zzinitflow_walkz00(obj_t
		BgL_envz00_2843, obj_t BgL_nodez00_2844, obj_t BgL_ez00_2845)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 154 */
			{
				BgL_appz00_bglt BgL_nodez00_1549;
				obj_t BgL_ez00_1550;

				BgL_nodez00_1549 = ((BgL_appz00_bglt) BgL_nodez00_2844);
				BgL_ez00_1550 = BgL_ez00_2845;
				{	/* Initflow/walk.scm 156 */
					BgL_variablez00_bglt BgL_vz00_1554;

					BgL_vz00_1554 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1549))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Initflow/walk.scm 156 */
						BgL_valuez00_bglt BgL_fz00_1555;

						BgL_fz00_1555 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1554))->BgL_valuez00);
						{	/* Initflow/walk.scm 157 */

							{	/* Initflow/walk.scm 158 */
								bool_t BgL_testz00_3458;

								{	/* Initflow/walk.scm 158 */
									bool_t BgL_testz00_3459;

									{	/* Initflow/walk.scm 158 */
										bool_t BgL_res2342z00_2660;

										{	/* Initflow/walk.scm 158 */
											obj_t BgL_objz00_2659;

											BgL_objz00_2659 = ((obj_t) BgL_fz00_1555);
											BgL_res2342z00_2660 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2659,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_3459 = BgL_res2342z00_2660;
									}
									if (BgL_testz00_3459)
										{	/* Initflow/walk.scm 158 */
											BgL_testz00_3458 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 6)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_fz00_1555)))->BgL_propertyz00)));
										}
									else
										{	/* Initflow/walk.scm 158 */
											BgL_testz00_3458 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3458)
									{	/* Initflow/walk.scm 158 */
										return BNIL;
									}
								else
									{	/* Initflow/walk.scm 160 */
										obj_t BgL_isz00_1557;

										BgL_isz00_1557 =
											BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_1549))->BgL_argsz00),
											BgL_ez00_1550);
										{	/* Initflow/walk.scm 161 */
											bool_t BgL_testz00_3469;

											{	/* Initflow/walk.scm 161 */
												bool_t BgL_res2343z00_2664;

												{	/* Initflow/walk.scm 161 */
													obj_t BgL_objz00_2663;

													BgL_objz00_2663 = ((obj_t) BgL_fz00_1555);
													BgL_res2343z00_2664 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2663,
														BGl_sfunz00zzast_varz00);
												}
												BgL_testz00_3469 = BgL_res2343z00_2664;
											}
											if (BgL_testz00_3469)
												{	/* Initflow/walk.scm 161 */
													return
														BGl_appendzd221011zd2zzinitflow_walkz00
														(BGl_initflowzd2funzd2zzinitflow_walkz00
														(BgL_vz00_1554, CBOOL(BgL_ez00_1550)),
														BgL_isz00_1557);
												}
											else
												{	/* Initflow/walk.scm 161 */
													return BgL_isz00_1557;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &initflow-node-sequen1971 */
	obj_t BGl_z62initflowzd2nodezd2sequen1971z62zzinitflow_walkz00(obj_t
		BgL_envz00_2846, obj_t BgL_nodez00_2847, obj_t BgL_ez00_2848)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 142 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1531;
				obj_t BgL_ez00_1532;

				BgL_nodez00_1531 = ((BgL_sequencez00_bglt) BgL_nodez00_2847);
				BgL_ez00_1532 = BgL_ez00_2848;
				{
					obj_t BgL_nodesz00_1539;
					obj_t BgL_isz00_1540;

					BgL_nodesz00_1539 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1531))->BgL_nodesz00);
					BgL_isz00_1540 = BNIL;
				BgL_zc3anonymousza32157ze3z83_1541:
					if (NULLP(BgL_nodesz00_1539))
						{	/* Initflow/walk.scm 146 */
							return BgL_isz00_1540;
						}
					else
						{	/* Initflow/walk.scm 148 */
							obj_t BgL_iz00_1543;

							{	/* Initflow/walk.scm 148 */
								obj_t BgL_arg2162z00_1546;

								BgL_arg2162z00_1546 = CAR(BgL_nodesz00_1539);
								BgL_iz00_1543 =
									BGl_initflowzd2nodezd2zzinitflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg2162z00_1546),
									CBOOL(BgL_ez00_1532));
							}
							{
								obj_t BgL_isz00_3484;
								obj_t BgL_nodesz00_3482;

								BgL_nodesz00_3482 = CDR(BgL_nodesz00_1539);
								BgL_isz00_3484 =
									BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1543,
									BgL_isz00_1540);
								BgL_isz00_1540 = BgL_isz00_3484;
								BgL_nodesz00_1539 = BgL_nodesz00_3482;
								goto BgL_zc3anonymousza32157ze3z83_1541;
							}
						}
				}
			}
		}
	}



/* &initflow-node-var1969 */
	obj_t BGl_z62initflowzd2nodezd2var1969z62zzinitflow_walkz00(obj_t
		BgL_envz00_2849, obj_t BgL_nodez00_2850, obj_t BgL_ez00_2851)
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 99 */
			{
				BgL_varz00_bglt BgL_nodez00_1495;
				obj_t BgL_ez00_1496;

				BgL_nodez00_1495 = ((BgL_varz00_bglt) BgL_nodez00_2850);
				BgL_ez00_1496 = BgL_ez00_2851;
				{	/* Initflow/walk.scm 101 */
					bool_t BgL_testz00_3488;

					{	/* Initflow/walk.scm 101 */
						bool_t BgL_testz00_3489;

						{	/* Initflow/walk.scm 101 */
							BgL_variablez00_bglt BgL_arg2151z00_1525;

							BgL_arg2151z00_1525 =
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->BgL_variablez00);
							{	/* Initflow/walk.scm 101 */
								bool_t BgL_res2331z00_2620;

								{	/* Initflow/walk.scm 101 */
									obj_t BgL_objz00_2619;

									BgL_objz00_2619 = ((obj_t) BgL_arg2151z00_1525);
									BgL_res2331z00_2620 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2619,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3489 = BgL_res2331z00_2620;
							}
						}
						if (BgL_testz00_3489)
							{	/* Initflow/walk.scm 101 */
								if (
									((((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->
															BgL_variablez00))))->BgL_initz00) == BUNSPEC))
									{	/* Initflow/walk.scm 103 */
										obj_t BgL_arg2147z00_1521;

										BgL_arg2147z00_1521 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->
															BgL_variablez00))))->BgL_modulez00);
										BgL_testz00_3488 =
											(BgL_arg2147z00_1521 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
								else
									{	/* Initflow/walk.scm 102 */
										BgL_testz00_3488 = ((bool_t) 0);
									}
							}
						else
							{	/* Initflow/walk.scm 101 */
								BgL_testz00_3488 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3488)
						{	/* Initflow/walk.scm 101 */
							{	/* Initflow/walk.scm 104 */
								BgL_variablez00_bglt BgL_arg2122z00_1501;

								BgL_arg2122z00_1501 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->BgL_variablez00);
								{	/* Initflow/walk.scm 104 */
									BgL_globalz00_bglt BgL_oz00_2626;

									BgL_oz00_2626 = ((BgL_globalz00_bglt) BgL_arg2122z00_1501);
									((((BgL_globalz00_bglt) CREF(BgL_oz00_2626))->BgL_initz00) =
										((obj_t) BFALSE), BUNSPEC);
								}
							}
							{	/* Initflow/walk.scm 106 */
								bool_t BgL_testz00_3505;

								{	/* Initflow/walk.scm 106 */
									BgL_typez00_bglt BgL_arg2143z00_1517;

									BgL_arg2143z00_1517 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->
															BgL_variablez00)))))->BgL_typez00);
									BgL_testz00_3505 =
										(((obj_t) BgL_arg2143z00_1517) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_3505)
									{	/* Initflow/walk.scm 107 */
										BgL_variablez00_bglt BgL_arg2124z00_1503;

										BgL_arg2124z00_1503 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->
											BgL_variablez00);
										{	/* Initflow/walk.scm 107 */
											BgL_globalz00_bglt BgL_oz00_2632;
											BgL_typez00_bglt BgL_vz00_2633;

											BgL_oz00_2632 =
												((BgL_globalz00_bglt) BgL_arg2124z00_1503);
											BgL_vz00_2633 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_oz00_2632)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_2633), BUNSPEC);
										}
									}
								else
									{	/* Initflow/walk.scm 108 */
										bool_t BgL_testz00_3517;

										{	/* Initflow/walk.scm 108 */
											BgL_typez00_bglt BgL_arg2139z00_1515;

											BgL_arg2139z00_1515 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->
																	BgL_variablez00)))))->BgL_typez00);
											BgL_testz00_3517 =
												(((obj_t) BgL_arg2139z00_1515) ==
												BGl_za2objza2z00zztype_cachez00);
										}
										if (BgL_testz00_3517)
											{	/* Initflow/walk.scm 108 */
												BUNSPEC;
											}
										else
											{	/* Initflow/walk.scm 110 */
												bool_t BgL_testz00_3524;

												{	/* Initflow/walk.scm 110 */
													bool_t BgL_testz00_3525;

													{	/* Initflow/walk.scm 110 */
														BgL_variablez00_bglt BgL_arg2138z00_1514;

														BgL_arg2138z00_1514 =
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->
															BgL_variablez00);
														BgL_testz00_3525 =
															BGl_globalzd2readzd2onlyzf3zf3zzast_varz00((
																(BgL_globalz00_bglt) BgL_arg2138z00_1514));
													}
													if (BgL_testz00_3525)
														{	/* Initflow/walk.scm 111 */
															BgL_typez00_bglt BgL_arg2134z00_1511;
															obj_t BgL_arg2135z00_1512;

															BgL_arg2134z00_1511 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1495))->
																					BgL_variablez00)))))->BgL_typez00);
															BgL_arg2135z00_1512 =
																BGl_getzd2classzd2typez00zztype_cachez00();
															BgL_testz00_3524 =
																(((obj_t) BgL_arg2134z00_1511) ==
																BgL_arg2135z00_1512);
														}
													else
														{	/* Initflow/walk.scm 110 */
															BgL_testz00_3524 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3524)
													{	/* Initflow/walk.scm 110 */
														BUNSPEC;
													}
												else
													{	/* Initflow/walk.scm 114 */
														obj_t BgL_arg2127z00_1506;
														obj_t BgL_arg2130z00_1507;

														BgL_arg2127z00_1506 =
															(((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_nodez00_1495)))->
															BgL_locz00);
														BgL_arg2130z00_1507 =
															(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																			CREF(BgL_nodez00_1495))->
																		BgL_variablez00)))->BgL_idz00);
														BGl_userzd2errorzf2locationz20zztools_errorz00
															(BgL_arg2127z00_1506,
															BGl_za2moduleza2z00zzmodule_modulez00,
															BGl_string2392z00zzinitflow_walkz00,
															BgL_arg2130z00_1507, BNIL);
													}
											}
									}
							}
						}
					else
						{	/* Initflow/walk.scm 101 */
							BFALSE;
						}
				}
				{	/* Initflow/walk.scm 117 */
					bool_t BgL_testz00_3541;

					{	/* Initflow/walk.scm 117 */
						BgL_valuez00_bglt BgL_arg2154z00_1528;

						BgL_arg2154z00_1528 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->
										BgL_variablez00)))->BgL_valuez00);
						{	/* Initflow/walk.scm 117 */
							bool_t BgL_res2338z00_2648;

							{	/* Initflow/walk.scm 117 */
								obj_t BgL_objz00_2647;

								BgL_objz00_2647 = ((obj_t) BgL_arg2154z00_1528);
								BgL_res2338z00_2648 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2647,
									BGl_sfunz00zzast_varz00);
							}
							BgL_testz00_3541 = BgL_res2338z00_2648;
						}
					}
					if (BgL_testz00_3541)
						{	/* Initflow/walk.scm 117 */
							return
								BGl_initflowzd2funzd2zzinitflow_walkz00(
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1495))->BgL_variablez00),
								CBOOL(BgL_ez00_1496));
						}
					else
						{	/* Initflow/walk.scm 117 */
							return BNIL;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00()
	{
		AN_OBJECT;
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2393z00zzinitflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
