/*===========================================================================*/
/*   (Module/eval.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/eval.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00();
	static obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
	static obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00
		= BUNSPEC;
	static obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static bool_t BGl_za2onezd2evalzf3za2z21zzmodule_evalz00;
	static obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t);
	static obj_t BGl_library_ez00zzmodule_evalz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_evalz00();
	static obj_t BGl_z62zc3anonymousza32047ze3ze1zzmodule_evalz00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
	static obj_t BGl_genericzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32139ze3ze1zzmodule_evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_libraryzd2initzd2filez00zz__libraryz00(obj_t);
	static obj_t BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt BGl_findzd2typezf2locationz20zztype_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00();
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzmodule_evalz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static obj_t BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	static obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t);
	static obj_t __cnst[27];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2producerzd2envz00zzmodule_evalz00,
		BgL_bgl_za762evalza7d2produc2374z00,
		BGl_z62evalzd2producerzb0zzmodule_evalz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2358z00zzmodule_evalz00,
		BgL_bgl_string2358za700za7za7m2375za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2359z00zzmodule_evalz00,
		BgL_bgl_string2359za700za7za7m2376za7, "Illegal `eval' clause", 21);
	      DEFINE_STRING(BGl_string2361z00zzmodule_evalz00,
		BgL_bgl_string2361za700za7za7m2377za7, "cannot find info \"~a\"", 21);
	      DEFINE_STRING(BGl_string2362z00zzmodule_evalz00,
		BgL_bgl_string2362za700za7za7m2378za7,
		"cannot find file \"~a\" in lib path", 33);
	      DEFINE_STRING(BGl_string2363z00zzmodule_evalz00,
		BgL_bgl_string2363za700za7za7m2379za7, "~a( 0, ~s )", 11);
	      DEFINE_STRING(BGl_string2364z00zzmodule_evalz00,
		BgL_bgl_string2364za700za7za7m2380za7, "cannot initialize library for eval",
		34);
	      DEFINE_STRING(BGl_string2365z00zzmodule_evalz00,
		BgL_bgl_string2365za700za7za7m2381za7, "eval", 4);
	      DEFINE_STRING(BGl_string2366z00zzmodule_evalz00,
		BgL_bgl_string2366za700za7za7m2382za7,
		"Non bigloo prototyped value can't be evaluated", 46);
	      DEFINE_STRING(BGl_string2367z00zzmodule_evalz00,
		BgL_bgl_string2367za700za7za7m2383za7, "eval-init", 9);
	      DEFINE_STRING(BGl_string2368z00zzmodule_evalz00,
		BgL_bgl_string2368za700za7za7m2384za7,
		"This variable cannot be known by eval", 37);
	      DEFINE_STRING(BGl_string2369z00zzmodule_evalz00,
		BgL_bgl_string2369za700za7za7m2385za7, "Unbound eval variable", 21);
	      DEFINE_STRING(BGl_string2370z00zzmodule_evalz00,
		BgL_bgl_string2370za700za7za7m2386za7, "module_eval", 11);
	      DEFINE_STRING(BGl_string2371z00zzmodule_evalz00,
		BgL_bgl_string2371za700za7za7m2387za7,
		"eval-expand-with-access eval-expand-duplicate eval-expand-instantiate register-eval-srfi! (export) (static export) (import static export) library-load quote library-mark-loaded! __library pragma libinfo begin (#unspecified) write void unit library import class @ export export-module export-exports export-all eval ",
		315);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00,
		BgL_bgl_za762evalza7d2finali2388z00,
		BGl_z62evalzd2finaliza7erz17zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evalzd2librarieszd2envzd2zzmodule_evalz00,
		BgL_bgl_za762getza7d2evalza7d22389za7,
		BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzmodule_evalz00,
		BgL_bgl_za762za7c3anonymousza72390za7,
		BGl_z62zc3anonymousza32047ze3ze1zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2evalzd2compilerzd2envzd2zzmodule_evalz00,
		BgL_bgl_za762makeza7d2evalza7d2391za7,
		BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long
		BgL_checksumz00_3216, char *BgL_fromz00_3217)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_evalz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_evalz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
					BGl_cnstzd2initzd2zzmodule_evalz00();
					BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
					BGl_toplevelzd2initzd2zzmodule_evalz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__libraryz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_eval");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			{	/* Module/eval.scm 15 */
				obj_t BgL_cportz00_3208;

				BgL_cportz00_3208 =
					bgl_open_input_string(BGl_string2371z00zzmodule_evalz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3209;

					BgL_iz00_3209 = ((long) 26);
				BgL_loopz00_3210:
					if ((BgL_iz00_3209 == ((long) -1)))
						{	/* Module/eval.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/eval.scm 15 */
							{	/* Module/eval.scm 15 */
								obj_t BgL_arg2373z00_3212;

								{	/* Module/eval.scm 15 */

									{	/* Module/eval.scm 15 */
										obj_t BgL_locationz00_3214;

										BgL_locationz00_3214 = BBOOL(((bool_t) 0));
										{	/* Module/eval.scm 15 */

											BgL_arg2373z00_3212 =
												BGl_readz00zz__readerz00(BgL_cportz00_3208,
												BgL_locationz00_3214);
										}
									}
								}
								{	/* Module/eval.scm 15 */
									int BgL_auxz00_3246;

									BgL_auxz00_3246 = (int) (BgL_iz00_3209);
									CNST_TABLE_SET(BgL_auxz00_3246, BgL_arg2373z00_3212);
							}}
							{	/* Module/eval.scm 15 */
								int BgL_auxz00_3215;

								BgL_auxz00_3215 = (int) ((BgL_iz00_3209 - ((long) 1)));
								{
									long BgL_iz00_3251;

									BgL_iz00_3251 = (long) (BgL_auxz00_3215);
									BgL_iz00_3209 = BgL_iz00_3251;
									goto BgL_loopz00_3210;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00 = BFALSE;
			return (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 =
				((bool_t) 0), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1535;

				BgL_headz00_1535 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1536;
					obj_t BgL_tailz00_1537;

					BgL_prevz00_1536 = BgL_headz00_1535;
					BgL_tailz00_1537 = BgL_l1z00_1;
				BgL_loopz00_1538:
					if (PAIRP(BgL_tailz00_1537))
						{
							obj_t BgL_newzd2prevzd2_1540;

							BgL_newzd2prevzd2_1540 =
								MAKE_PAIR(CAR(BgL_tailz00_1537), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1536, BgL_newzd2prevzd2_1540);
							{
								obj_t BgL_tailz00_3260;
								obj_t BgL_prevz00_3259;

								BgL_prevz00_3259 = BgL_newzd2prevzd2_1540;
								BgL_tailz00_3260 = CDR(BgL_tailz00_1537);
								BgL_tailz00_1537 = BgL_tailz00_3260;
								BgL_prevz00_1536 = BgL_prevz00_3259;
								goto BgL_loopz00_1538;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1535);
				}
			}
		}
	}



/* make-eval-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 44 */
			{	/* Module/eval.scm 45 */
				BgL_ccompz00_bglt BgL_new1100z00_1557;

				{	/* Module/eval.scm 45 */
					BgL_ccompz00_bglt BgL_new1099z00_1560;

					BgL_new1099z00_1560 =
						((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/eval.scm 45 */
						long BgL_arg1974z00_1561;

						{	/* Module/eval.scm 45 */
							long BgL_res2283z00_2831;

							{	/* Module/eval.scm 45 */
								obj_t BgL_classz00_2828;

								BgL_classz00_2828 = BGl_ccompz00zzmodule_modulez00;
								{	/* Module/eval.scm 45 */
									obj_t BgL_vectorz00_2829;
									int BgL_kz00_2830;

									BgL_vectorz00_2829 = BgL_classz00_2828;
									BgL_kz00_2830 = (int) (((long) 1));
									BgL_res2283z00_2831 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2829, BgL_kz00_2830));
							}}
							BgL_arg1974z00_1561 = BgL_res2283z00_2831;
						}
						{	/* Module/eval.scm 45 */
							BgL_objectz00_bglt BgL_objz00_2832;

							BgL_objz00_2832 = ((BgL_objectz00_bglt) BgL_new1099z00_1560);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2832, BgL_arg1974z00_1561);
					}}
					{	/* Module/eval.scm 45 */
						BgL_objectz00_bglt BgL_auxz00_3269;

						BgL_auxz00_3269 = ((BgL_objectz00_bglt) BgL_new1099z00_1560);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3269, BFALSE);
					}
					BgL_new1100z00_1557 = BgL_new1099z00_1560;
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1100z00_1557))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1100z00_1557))->BgL_producerz00) =
					((obj_t) BGl_evalzd2producerzd2envz00zzmodule_evalz00), BUNSPEC);
				{
					obj_t BgL_auxz00_3275;

					{	/* Module/eval.scm 45 */
						obj_t BgL_arg1972z00_1558;

						{	/* Module/eval.scm 45 */
							obj_t BgL_arg1973z00_1559;

							{	/* Module/eval.scm 45 */
								obj_t BgL_res2284z00_2837;

								{	/* Module/eval.scm 45 */
									obj_t BgL_classz00_2834;

									BgL_classz00_2834 = BGl_ccompz00zzmodule_modulez00;
									{	/* Module/eval.scm 45 */
										obj_t BgL_vectorz00_2835;
										int BgL_kz00_2836;

										BgL_vectorz00_2835 = BgL_classz00_2834;
										BgL_kz00_2836 = (int) (((long) 15));
										BgL_res2284z00_2837 =
											VECTOR_REF(BgL_vectorz00_2835, BgL_kz00_2836);
								}}
								BgL_arg1973z00_1559 = BgL_res2284z00_2837;
							}
							{	/* Module/eval.scm 45 */
								int BgL_kz00_2839;

								BgL_kz00_2839 = (int) (((long) 2));
								BgL_arg1972z00_1558 =
									VECTOR_REF(BgL_arg1973z00_1559, BgL_kz00_2839);
						}}
						BgL_auxz00_3275 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1972z00_1558);
					}
					((((BgL_ccompz00_bglt) CREF(BgL_new1100z00_1557))->BgL_consumerz00) =
						((obj_t) BgL_auxz00_3275), BUNSPEC);
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1100z00_1557))->BgL_finaliza7erza7) =
					((obj_t) BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00), BUNSPEC);
				return ((obj_t) BgL_new1100z00_1557);
			}
		}
	}



/* &make-eval-compiler */
	obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t BgL_envz00_3193)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 44 */
			return BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
		}
	}



/* eval-producer */
	obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t BgL_clausez00_75)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 53 */
			{
				obj_t BgL_protosz00_1562;

				if (PAIRP(BgL_clausez00_75))
					{	/* Module/eval.scm 54 */
						BgL_protosz00_1562 = CDR(BgL_clausez00_75);
						{
							obj_t BgL_l1932z00_1569;

							BgL_l1932z00_1569 = BgL_protosz00_1562;
						BgL_zc3anonymousza31977ze3z83_1570:
							if (PAIRP(BgL_l1932z00_1569))
								{	/* Module/eval.scm 56 */
									BGl_evalzd2parserzd2zzmodule_evalz00(CAR(BgL_l1932z00_1569),
										BgL_clausez00_75);
									{
										obj_t BgL_l1932z00_3291;

										BgL_l1932z00_3291 = CDR(BgL_l1932z00_1569);
										BgL_l1932z00_1569 = BgL_l1932z00_3291;
										goto BgL_zc3anonymousza31977ze3z83_1570;
									}
								}
							else
								{	/* Module/eval.scm 56 */
									((bool_t) 1);
								}
						}
						return BNIL;
					}
				else
					{	/* Module/eval.scm 54 */
						{	/* Module/eval.scm 59 */
							obj_t BgL_list1980z00_1575;

							BgL_list1980z00_1575 = MAKE_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string2358z00zzmodule_evalz00,
								BGl_string2359z00zzmodule_evalz00, BgL_clausez00_75,
								BgL_list1980z00_1575);
						}
					}
			}
		}
	}



/* &eval-producer */
	obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t BgL_envz00_3194,
		obj_t BgL_clausez00_3195)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 53 */
			return BGl_evalzd2producerzd2zzmodule_evalz00(BgL_clausez00_3195);
		}
	}



/* eval-parser */
	obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t BgL_protoz00_76,
		obj_t BgL_clausez00_77)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 67 */
			{
				obj_t BgL_libsz00_1588;

				if (PAIRP(BgL_protoz00_76))
					{	/* Module/eval.scm 68 */
						if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 1))))
							{	/* Module/eval.scm 68 */
								if (NULLP(CDR(BgL_protoz00_76)))
									{	/* Module/eval.scm 68 */
										return (BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 =
											BTRUE, BUNSPEC);
									}
								else
									{	/* Module/eval.scm 68 */
									BgL_tagzd2117zd2_1590:
										{	/* Module/eval.scm 94 */
											obj_t BgL_list2034z00_1658;

											BgL_list2034z00_1658 = MAKE_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzd2zztools_errorz00
												(BGl_string2358z00zzmodule_evalz00,
												BGl_string2359z00zzmodule_evalz00, BgL_clausez00_77,
												BgL_list2034z00_1658);
										}
									}
							}
						else
							{	/* Module/eval.scm 68 */
								if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 2))))
									{	/* Module/eval.scm 68 */
										if (NULLP(CDR(BgL_protoz00_76)))
											{	/* Module/eval.scm 68 */
												return
													(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
													BTRUE, BUNSPEC);
											}
										else
											{	/* Module/eval.scm 68 */
												goto BgL_tagzd2117zd2_1590;
											}
									}
								else
									{	/* Module/eval.scm 68 */
										if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 3))))
											{	/* Module/eval.scm 68 */
												if (NULLP(CDR(BgL_protoz00_76)))
													{	/* Module/eval.scm 68 */
														return
															(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00
															= BTRUE, BUNSPEC);
													}
												else
													{	/* Module/eval.scm 68 */
														goto BgL_tagzd2117zd2_1590;
													}
											}
										else
											{	/* Module/eval.scm 68 */
												obj_t BgL_cdrzd2215zd2_1602;

												BgL_cdrzd2215zd2_1602 = CDR(BgL_protoz00_76);
												if (
													(CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 4))))
													{	/* Module/eval.scm 68 */
														if (PAIRP(BgL_cdrzd2215zd2_1602))
															{	/* Module/eval.scm 68 */
																obj_t BgL_carzd2217zd2_1605;

																BgL_carzd2217zd2_1605 =
																	CAR(BgL_cdrzd2215zd2_1602);
																if (SYMBOLP(BgL_carzd2217zd2_1605))
																	{	/* Module/eval.scm 68 */
																		if (NULLP(CDR(BgL_cdrzd2215zd2_1602)))
																			{	/* Module/eval.scm 68 */
																				obj_t BgL_varz00_2886;

																				BgL_varz00_2886 = BgL_carzd2217zd2_1605;
																				BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																					= ((bool_t) 1);
																				return
																					BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																					(BgL_varz00_2886, BFALSE,
																					BgL_protoz00_76);
																			}
																		else
																			{	/* Module/eval.scm 68 */
																				goto BgL_tagzd2117zd2_1590;
																			}
																	}
																else
																	{	/* Module/eval.scm 68 */
																		obj_t BgL_carzd2247zd2_1610;

																		BgL_carzd2247zd2_1610 =
																			CAR(BgL_cdrzd2215zd2_1602);
																		if (PAIRP(BgL_carzd2247zd2_1610))
																			{	/* Module/eval.scm 68 */
																				obj_t BgL_cdrzd2252zd2_1612;

																				BgL_cdrzd2252zd2_1612 =
																					CDR(BgL_carzd2247zd2_1610);
																				if (
																					(CAR(BgL_carzd2247zd2_1610) ==
																						CNST_TABLE_REF(((long) 5))))
																					{	/* Module/eval.scm 68 */
																						if (PAIRP(BgL_cdrzd2252zd2_1612))
																							{	/* Module/eval.scm 68 */
																								obj_t BgL_carzd2255zd2_1615;
																								obj_t BgL_cdrzd2256zd2_1616;

																								BgL_carzd2255zd2_1615 =
																									CAR(BgL_cdrzd2252zd2_1612);
																								BgL_cdrzd2256zd2_1616 =
																									CDR(BgL_cdrzd2252zd2_1612);
																								if (SYMBOLP
																									(BgL_carzd2255zd2_1615))
																									{	/* Module/eval.scm 68 */
																										if (PAIRP
																											(BgL_cdrzd2256zd2_1616))
																											{	/* Module/eval.scm 68 */
																												obj_t
																													BgL_carzd2261zd2_1619;
																												BgL_carzd2261zd2_1619 =
																													CAR
																													(BgL_cdrzd2256zd2_1616);
																												if (SYMBOLP
																													(BgL_carzd2261zd2_1619))
																													{	/* Module/eval.scm 68 */
																														if (NULLP(CDR
																																(BgL_cdrzd2256zd2_1616)))
																															{	/* Module/eval.scm 68 */
																																if (NULLP(CDR
																																		(BgL_cdrzd2215zd2_1602)))
																																	{	/* Module/eval.scm 68 */
																																		obj_t
																																			BgL_varz00_2910;
																																		obj_t
																																			BgL_modulez00_2911;
																																		BgL_varz00_2910
																																			=
																																			BgL_carzd2255zd2_1615;
																																		BgL_modulez00_2911
																																			=
																																			BgL_carzd2261zd2_1619;
																																		BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																																			=
																																			((bool_t)
																																			1);
																																		return
																																			BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																																			(BgL_varz00_2910,
																																			BgL_modulez00_2911,
																																			BgL_protoz00_76);
																																	}
																																else
																																	{	/* Module/eval.scm 68 */
																																		goto
																																			BgL_tagzd2117zd2_1590;
																																	}
																															}
																														else
																															{	/* Module/eval.scm 68 */
																																goto
																																	BgL_tagzd2117zd2_1590;
																															}
																													}
																												else
																													{	/* Module/eval.scm 68 */
																														goto
																															BgL_tagzd2117zd2_1590;
																													}
																											}
																										else
																											{	/* Module/eval.scm 68 */
																												goto
																													BgL_tagzd2117zd2_1590;
																											}
																									}
																								else
																									{	/* Module/eval.scm 68 */
																										goto BgL_tagzd2117zd2_1590;
																									}
																							}
																						else
																							{	/* Module/eval.scm 68 */
																								goto BgL_tagzd2117zd2_1590;
																							}
																					}
																				else
																					{	/* Module/eval.scm 68 */
																						goto BgL_tagzd2117zd2_1590;
																					}
																			}
																		else
																			{	/* Module/eval.scm 68 */
																				goto BgL_tagzd2117zd2_1590;
																			}
																	}
															}
														else
															{	/* Module/eval.scm 68 */
																goto BgL_tagzd2117zd2_1590;
															}
													}
												else
													{	/* Module/eval.scm 68 */
														if (
															(CAR(BgL_protoz00_76) ==
																CNST_TABLE_REF(((long) 6))))
															{	/* Module/eval.scm 68 */
																if (PAIRP(BgL_cdrzd2215zd2_1602))
																	{	/* Module/eval.scm 68 */
																		obj_t BgL_carzd2366zd2_1629;

																		BgL_carzd2366zd2_1629 =
																			CAR(BgL_cdrzd2215zd2_1602);
																		if (SYMBOLP(BgL_carzd2366zd2_1629))
																			{	/* Module/eval.scm 68 */
																				if (NULLP(CDR(BgL_cdrzd2215zd2_1602)))
																					{	/* Module/eval.scm 68 */
																						return
																							(BGl_za2evalzd2classesza2zd2zzmodule_evalz00
																							=
																							MAKE_PAIR(BgL_protoz00_76,
																								BGl_za2evalzd2classesza2zd2zzmodule_evalz00),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/eval.scm 68 */
																						goto BgL_tagzd2117zd2_1590;
																					}
																			}
																		else
																			{	/* Module/eval.scm 68 */
																				goto BgL_tagzd2117zd2_1590;
																			}
																	}
																else
																	{	/* Module/eval.scm 68 */
																		goto BgL_tagzd2117zd2_1590;
																	}
															}
														else
															{	/* Module/eval.scm 68 */
																obj_t BgL_cdrzd2390zd2_1633;

																BgL_cdrzd2390zd2_1633 = CDR(BgL_protoz00_76);
																if (
																	(CAR(BgL_protoz00_76) ==
																		CNST_TABLE_REF(((long) 7))))
																	{	/* Module/eval.scm 68 */
																		if (PAIRP(BgL_cdrzd2390zd2_1633))
																			{	/* Module/eval.scm 68 */
																				obj_t BgL_carzd2392zd2_1636;

																				BgL_carzd2392zd2_1636 =
																					CAR(BgL_cdrzd2390zd2_1633);
																				if (SYMBOLP(BgL_carzd2392zd2_1636))
																					{	/* Module/eval.scm 68 */
																						if (NULLP(CDR
																								(BgL_cdrzd2390zd2_1633)))
																							{	/* Module/eval.scm 68 */
																								obj_t BgL_varz00_2933;

																								BgL_varz00_2933 =
																									BgL_carzd2392zd2_1636;
																								return ((obj_t)
																									BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
																									(BgL_varz00_2933,
																										CNST_TABLE_REF(((long) 0)),
																										CNST_TABLE_REF(((long) 0)),
																										BgL_clausez00_77, BFALSE));
																							}
																						else
																							{	/* Module/eval.scm 68 */
																								goto BgL_tagzd2117zd2_1590;
																							}
																					}
																				else
																					{	/* Module/eval.scm 68 */
																						goto BgL_tagzd2117zd2_1590;
																					}
																			}
																		else
																			{	/* Module/eval.scm 68 */
																				goto BgL_tagzd2117zd2_1590;
																			}
																	}
																else
																	{	/* Module/eval.scm 68 */
																		if (
																			(CAR(BgL_protoz00_76) ==
																				CNST_TABLE_REF(((long) 8))))
																			{	/* Module/eval.scm 68 */
																				bool_t BgL_auxz00_3396;

																				BgL_libsz00_1588 =
																					BgL_cdrzd2390zd2_1633;
																				{
																					obj_t BgL_l1934z00_1650;

																					BgL_l1934z00_1650 = BgL_libsz00_1588;
																				BgL_zc3anonymousza32026ze3z83_1651:
																					if (PAIRP(BgL_l1934z00_1650))
																						{	/* Module/eval.scm 86 */
																							{	/* Module/eval.scm 87 */
																								obj_t BgL_libz00_1653;

																								BgL_libz00_1653 =
																									CAR(BgL_l1934z00_1650);
																								if (SYMBOLP(BgL_libz00_1653))
																									{	/* Module/eval.scm 87 */
																										BGl_za2evalzd2librariesza2zd2zzmodule_evalz00
																											=
																											MAKE_PAIR(BgL_libz00_1653,
																											BGl_za2evalzd2librariesza2zd2zzmodule_evalz00);
																									}
																								else
																									{	/* Module/eval.scm 88 */
																										obj_t BgL_list2029z00_1655;

																										BgL_list2029z00_1655 =
																											MAKE_PAIR(BNIL, BNIL);
																										BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2358z00zzmodule_evalz00,
																											BGl_string2359z00zzmodule_evalz00,
																											BgL_clausez00_77,
																											BgL_list2029z00_1655);
																									}
																							}
																							{
																								obj_t BgL_l1934z00_3405;

																								BgL_l1934z00_3405 =
																									CDR(BgL_l1934z00_1650);
																								BgL_l1934z00_1650 =
																									BgL_l1934z00_3405;
																								goto
																									BgL_zc3anonymousza32026ze3z83_1651;
																							}
																						}
																					else
																						{	/* Module/eval.scm 86 */
																							BgL_auxz00_3396 = ((bool_t) 1);
																						}
																				}
																				return BBOOL(BgL_auxz00_3396);
																			}
																		else
																			{	/* Module/eval.scm 68 */
																				goto BgL_tagzd2117zd2_1590;
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/eval.scm 68 */
						goto BgL_tagzd2117zd2_1590;
					}
			}
		}
	}



/* get-eval-libraries */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 99 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}
	}



/* &get-eval-libraries */
	obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t BgL_envz00_3197)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 99 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}
	}



/* remember-eval-exported! */
	obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t
		BgL_varz00_78, obj_t BgL_modulez00_79, obj_t BgL_locz00_80)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 120 */
			{	/* Module/eval.scm 121 */
				obj_t BgL_arg2035z00_1659;

				{	/* Module/eval.scm 121 */
					obj_t BgL_list2036z00_1660;

					{	/* Module/eval.scm 121 */
						obj_t BgL_arg2037z00_1661;

						{	/* Module/eval.scm 121 */
							obj_t BgL_arg2038z00_1662;

							BgL_arg2038z00_1662 = MAKE_PAIR(BgL_locz00_80, BNIL);
							BgL_arg2037z00_1661 =
								MAKE_PAIR(BgL_modulez00_79, BgL_arg2038z00_1662);
						}
						BgL_list2036z00_1660 =
							MAKE_PAIR(BgL_varz00_78, BgL_arg2037z00_1661);
					}
					BgL_arg2035z00_1659 = BgL_list2036z00_1660;
				}
				return (BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 =
					MAKE_PAIR(BgL_arg2035z00_1659,
						BGl_za2evalzd2exportedza2zd2zzmodule_evalz00), BUNSPEC);
			}
		}
	}



/* eval-finalizer */
	obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 145 */
			{	/* Module/eval.scm 158 */
				bool_t BgL_testz00_3412;

				if (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00)
					{	/* Module/eval.scm 158 */
						BgL_testz00_3412 = ((bool_t) 1);
					}
				else
					{	/* Module/eval.scm 158 */
						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 158 */
								BgL_testz00_3412 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 158 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 158 */
										BgL_testz00_3412 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 158 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 158 */
												BgL_testz00_3412 = ((bool_t) 1);
											}
										else
											{	/* Module/eval.scm 158 */
												if (NULLP
													(BGl_za2evalzd2librariesza2zd2zzmodule_evalz00))
													{	/* Module/eval.scm 162 */
														BgL_testz00_3412 =
															PAIRP
															(BGl_za2evalzd2classesza2zd2zzmodule_evalz00);
													}
												else
													{	/* Module/eval.scm 162 */
														BgL_testz00_3412 = ((bool_t) 1);
													}
											}
									}
							}
					}
				if (BgL_testz00_3412)
					{	/* Module/eval.scm 167 */
						obj_t BgL_arg2041z00_1665;

						{	/* Module/eval.scm 167 */
							long BgL_arg2043z00_1667;
							obj_t BgL_arg2044z00_1668;

							{	/* Module/eval.scm 167 */
								obj_t BgL_arg2045z00_1669;

								BgL_arg2045z00_1669 =
									BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
								BgL_arg2043z00_1667 =
									((long) CINT(BgL_arg2045z00_1669) - ((long) 2));
							}
							BgL_arg2044z00_1668 =
								BGl_makezd2promisezd2zz__r4_control_features_6_9z00
								(BGl_proc2360z00zzmodule_evalz00);
							{	/* Module/eval.scm 165 */
								obj_t BgL_idz00_2984;

								BgL_idz00_2984 = CNST_TABLE_REF(((long) 0));
								{	/* Module/eval.scm 165 */
									obj_t BgL_newz00_2989;

									BgL_newz00_2989 =
										create_struct(CNST_TABLE_REF(((long) 9)),
										(int) (((long) 5)));
									{	/* Module/eval.scm 165 */
										int BgL_auxz00_3431;

										BgL_auxz00_3431 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_2989, BgL_auxz00_3431, BFALSE);
									}
									{	/* Module/eval.scm 165 */
										int BgL_auxz00_3434;

										BgL_auxz00_3434 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_2989, BgL_auxz00_3434, BFALSE);
									}
									{	/* Module/eval.scm 165 */
										int BgL_auxz00_3437;

										BgL_auxz00_3437 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_2989, BgL_auxz00_3437,
											BgL_arg2044z00_1668);
									}
									{	/* Module/eval.scm 165 */
										obj_t BgL_auxz00_3442;
										int BgL_auxz00_3440;

										BgL_auxz00_3442 = BINT(BgL_arg2043z00_1667);
										BgL_auxz00_3440 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_2989, BgL_auxz00_3440,
											BgL_auxz00_3442);
									}
									{	/* Module/eval.scm 165 */
										int BgL_auxz00_3445;

										BgL_auxz00_3445 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_2989, BgL_auxz00_3445,
											BgL_idz00_2984);
									}
									BgL_arg2041z00_1665 = BgL_newz00_2989;
						}}}
						{	/* Module/eval.scm 164 */
							obj_t BgL_list2042z00_1666;

							BgL_list2042z00_1666 = MAKE_PAIR(BgL_arg2041z00_1665, BNIL);
							return BgL_list2042z00_1666;
						}
					}
				else
					{	/* Module/eval.scm 158 */
						return CNST_TABLE_REF(((long) 10));
		}}}
	}



/* &eval-finalizer */
	obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t BgL_envz00_3196)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 145 */
			return BGl_evalzd2finaliza7erz75zzmodule_evalz00();
		}
	}



/* &<anonymous:2047> */
	obj_t BGl_z62zc3anonymousza32047ze3ze1zzmodule_evalz00(obj_t BgL_envz00_3199)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 168 */
			{

				{
					obj_t BgL_gz00_1714;

					{	/* Module/eval.scm 169 */
						obj_t BgL_g1101z00_1672;
						obj_t BgL_g1105z00_1673;

						BgL_g1101z00_1672 =
							BGl_appendzd221011zd2zzmodule_evalz00
							(BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(),
							BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00());
						BgL_g1105z00_1673 = CNST_TABLE_REF(((long) 12));
						{
							obj_t BgL_globalsz00_1675;
							obj_t BgL_initza2za2_1676;

							BgL_globalsz00_1675 = BgL_g1101z00_1672;
							BgL_initza2za2_1676 = BgL_g1105z00_1673;
						BgL_zc3anonymousza32048ze3z83_1677:
							if (NULLP(BgL_globalsz00_1675))
								{	/* Module/eval.scm 175 */
									obj_t BgL_arg2050z00_1679;

									{	/* Module/eval.scm 175 */
										obj_t BgL_arg2051z00_1680;
										obj_t BgL_arg2052z00_1681;

										BgL_arg2051z00_1680 =
											BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
										{	/* Module/eval.scm 177 */
											obj_t BgL_arg2054z00_1682;
											obj_t BgL_arg2055z00_1683;

											BgL_arg2054z00_1682 =
												BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00
												();
											{	/* Module/eval.scm 179 */
												obj_t BgL_arg2056z00_1684;
												obj_t BgL_arg2057z00_1685;

												BgL_arg2056z00_1684 =
													bgl_reverse_bang(BgL_initza2za2_1676);
												{	/* Module/eval.scm 181 */
													obj_t BgL_arg2058z00_1686;
													obj_t BgL_arg2060z00_1687;

													{	/* Module/eval.scm 181 */
														obj_t BgL_l1936z00_1688;

														BgL_l1936z00_1688 =
															BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
														if (NULLP(BgL_l1936z00_1688))
															{	/* Module/eval.scm 181 */
																BgL_arg2058z00_1686 = BNIL;
															}
														else
															{	/* Module/eval.scm 181 */
																obj_t BgL_head1938z00_1690;

																{	/* Module/eval.scm 181 */
																	obj_t BgL_arg2069z00_1702;

																	BgL_arg2069z00_1702 =
																		BGl_library_ez00zzmodule_evalz00(CAR
																		(BgL_l1936z00_1688));
																	{	/* Module/eval.scm 181 */
																		obj_t BgL_res2320z00_2968;

																		BgL_res2320z00_2968 =
																			MAKE_PAIR(BgL_arg2069z00_1702, BNIL);
																		BgL_head1938z00_1690 = BgL_res2320z00_2968;
																	}
																}
																{	/* Module/eval.scm 181 */
																	obj_t BgL_g1941z00_1691;

																	BgL_g1941z00_1691 = CDR(BgL_l1936z00_1688);
																	{
																		obj_t BgL_l1936z00_1693;
																		obj_t BgL_tail1939z00_1694;

																		BgL_l1936z00_1693 = BgL_g1941z00_1691;
																		BgL_tail1939z00_1694 = BgL_head1938z00_1690;
																	BgL_zc3anonymousza32062ze3z83_1695:
																		if (NULLP(BgL_l1936z00_1693))
																			{	/* Module/eval.scm 181 */
																				BgL_arg2058z00_1686 =
																					BgL_head1938z00_1690;
																			}
																		else
																			{	/* Module/eval.scm 181 */
																				obj_t BgL_newtail1940z00_1697;

																				{	/* Module/eval.scm 181 */
																					obj_t BgL_arg2067z00_1699;

																					BgL_arg2067z00_1699 =
																						BGl_library_ez00zzmodule_evalz00(CAR
																						(BgL_l1936z00_1693));
																					{	/* Module/eval.scm 181 */
																						obj_t BgL_res2322z00_2975;

																						BgL_res2322z00_2975 =
																							MAKE_PAIR(BgL_arg2067z00_1699,
																							BNIL);
																						BgL_newtail1940z00_1697 =
																							BgL_res2322z00_2975;
																					}
																				}
																				SET_CDR(BgL_tail1939z00_1694,
																					BgL_newtail1940z00_1697);
																				{
																					obj_t BgL_tail1939z00_3474;
																					obj_t BgL_l1936z00_3472;

																					BgL_l1936z00_3472 =
																						CDR(BgL_l1936z00_1693);
																					BgL_tail1939z00_3474 =
																						BgL_newtail1940z00_1697;
																					BgL_tail1939z00_1694 =
																						BgL_tail1939z00_3474;
																					BgL_l1936z00_1693 = BgL_l1936z00_3472;
																					goto
																						BgL_zc3anonymousza32062ze3z83_1695;
																				}
																			}
																	}
																}
															}
													}
													BgL_arg2060z00_1687 = MAKE_PAIR(BUNSPEC, BNIL);
													BgL_arg2057z00_1685 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2058z00_1686, BgL_arg2060z00_1687);
												}
												BgL_arg2055z00_1683 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2056z00_1684, BgL_arg2057z00_1685);
											}
											BgL_arg2052z00_1681 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2054z00_1682, BgL_arg2055z00_1683);
										}
										BgL_arg2050z00_1679 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2051z00_1680, BgL_arg2052z00_1681);
									}
									return
										MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BgL_arg2050z00_1679);
								}
							else
								{	/* Module/eval.scm 183 */
									obj_t BgL_gz00_1704;

									BgL_gz00_1704 = CAR(BgL_globalsz00_1675);
									BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(BgL_gz00_1704);
									{	/* Module/eval.scm 185 */
										obj_t BgL_arg2071z00_1705;
										obj_t BgL_arg2072z00_1706;

										BgL_arg2071z00_1705 = CDR(BgL_globalsz00_1675);
										if (
											(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_gz00_1704)))->
												BgL_evalzf3zf3))
											{	/* Module/eval.scm 186 */
												BgL_arg2072z00_1706 = BgL_initza2za2_1676;
											}
										else
											{	/* Module/eval.scm 188 */
												BgL_nodez00_bglt BgL_arg2074z00_1708;

												BgL_gz00_1714 = BgL_gz00_1704;
												{	/* Module/eval.scm 148 */
													BgL_globalz00_bglt BgL_oz00_2938;

													BgL_oz00_2938 = ((BgL_globalz00_bglt) BgL_gz00_1714);
													((((BgL_globalz00_bglt) CREF(BgL_oz00_2938))->
															BgL_evalzf3zf3) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
												}
												{	/* Module/eval.scm 150 */
													bool_t BgL_testz00_3490;

													{	/* Module/eval.scm 150 */
														BgL_valuez00_bglt BgL_arg2085z00_1721;

														BgL_arg2085z00_1721 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_1714))))->
															BgL_valuez00);
														{	/* Module/eval.scm 150 */
															bool_t BgL_res2312z00_2945;

															{	/* Module/eval.scm 150 */
																obj_t BgL_objz00_2944;

																BgL_objz00_2944 = ((obj_t) BgL_arg2085z00_1721);
																BgL_res2312z00_2945 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_2944,
																	BGl_svarz00zzast_varz00);
															}
															BgL_testz00_3490 = BgL_res2312z00_2945;
														}
													}
													if (BgL_testz00_3490)
														{	/* Module/eval.scm 150 */
															{	/* Module/eval.scm 151 */
																BgL_variablez00_bglt BgL_oz00_2946;
																obj_t BgL_vz00_2947;

																BgL_oz00_2946 =
																	((BgL_variablez00_bglt) BgL_gz00_1714);
																BgL_vz00_2947 = CNST_TABLE_REF(((long) 11));
																((((BgL_variablez00_bglt) CREF(BgL_oz00_2946))->
																		BgL_accessz00) =
																	((obj_t) BgL_vz00_2947), BUNSPEC);
															}
															{	/* Module/eval.scm 152 */
																BgL_nodez00_bglt BgL_arg2081z00_1717;

																BgL_arg2081z00_1717 =
																	BGl_locationzd2ze3nodez31zzast_sexpz00(
																	((BgL_globalz00_bglt) BgL_gz00_1714));
																BgL_arg2074z00_1708 =
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(((BgL_globalz00_bglt) BgL_gz00_1714),
																	BgL_arg2081z00_1717);
														}}
													else
														{	/* Module/eval.scm 153 */
															bool_t BgL_testz00_3503;

															{	/* Module/eval.scm 153 */
																BgL_valuez00_bglt BgL_arg2084z00_1720;

																BgL_arg2084z00_1720 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_gz00_1714))))->BgL_valuez00);
																{	/* Module/eval.scm 153 */
																	bool_t BgL_res2314z00_2953;

																	{	/* Module/eval.scm 153 */
																		obj_t BgL_objz00_2952;

																		BgL_objz00_2952 =
																			((obj_t) BgL_arg2084z00_1720);
																		BgL_res2314z00_2953 =
																			BGl_isazf3zf3zz__objectz00
																			(BgL_objz00_2952,
																			BGl_scnstz00zzast_varz00);
																	}
																	BgL_testz00_3503 = BgL_res2314z00_2953;
																}
															}
															if (BgL_testz00_3503)
																{	/* Module/eval.scm 154 */
																	BgL_nodez00_bglt BgL_arg2083z00_1719;

																	BgL_arg2083z00_1719 =
																		BGl_locationzd2ze3nodez31zzast_sexpz00(
																		((BgL_globalz00_bglt) BgL_gz00_1714));
																	BgL_arg2074z00_1708 =
																		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																		(((BgL_globalz00_bglt) BgL_gz00_1714),
																		BgL_arg2083z00_1719);
																}
															else
																{	/* Module/eval.scm 153 */
																	BgL_arg2074z00_1708 =
																		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00
																		(((BgL_globalz00_bglt) BgL_gz00_1714));
																}
														}
												}
												BgL_arg2072z00_1706 =
													MAKE_PAIR(
													((obj_t) BgL_arg2074z00_1708), BgL_initza2za2_1676);
											}
										{
											obj_t BgL_initza2za2_3518;
											obj_t BgL_globalsz00_3517;

											BgL_globalsz00_3517 = BgL_arg2071z00_1705;
											BgL_initza2za2_3518 = BgL_arg2072z00_1706;
											BgL_initza2za2_1676 = BgL_initza2za2_3518;
											BgL_globalsz00_1675 = BgL_globalsz00_3517;
											goto BgL_zc3anonymousza32048ze3z83_1677;
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* get-library-info */
	obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t BgL_libraryz00_82)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 196 */
			{	/* Module/eval.scm 197 */
				obj_t BgL__ortest_1106z00_1723;

				BgL__ortest_1106z00_1723 =
					BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
				if (CBOOL(BgL__ortest_1106z00_1723))
					{	/* Module/eval.scm 197 */
						return BgL__ortest_1106z00_1723;
					}
				else
					{	/* Module/eval.scm 198 */
						obj_t BgL_initz00_1724;

						BgL_initz00_1724 =
							BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_libraryz00_82);
						{	/* Module/eval.scm 198 */
							obj_t BgL_pathz00_1725;

							BgL_pathz00_1725 =
								BGl_findzd2filezf2pathz20zz__osz00(BgL_initz00_1724,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
							{	/* Module/eval.scm 199 */

								if (CBOOL(BgL_pathz00_1725))
									{	/* Module/eval.scm 200 */
										{	/* Module/eval.scm 202 */
											obj_t BgL_envz00_1727;

											BgL_envz00_1727 =
												BGl_defaultzd2environmentzd2zz__evalz00();
											{	/* Module/eval.scm 202 */

												BGl_loadqz00zz__evalz00(BgL_pathz00_1725,
													BgL_envz00_1727);
											}
										}
										{	/* Module/eval.scm 203 */
											obj_t BgL_iz00_1728;

											BgL_iz00_1728 =
												BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
											if (CBOOL(BgL_iz00_1728))
												{	/* Module/eval.scm 204 */
													return BgL_iz00_1728;
												}
											else
												{	/* Module/eval.scm 206 */
													obj_t BgL_arg2086z00_1729;

													{	/* Module/eval.scm 206 */
														obj_t BgL_list2089z00_1732;

														BgL_list2089z00_1732 =
															MAKE_PAIR(BgL_initz00_1724, BNIL);
														BgL_arg2086z00_1729 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2361z00zzmodule_evalz00,
															BgL_list2089z00_1732);
													}
													{	/* Module/eval.scm 206 */
														obj_t BgL_list2087z00_1730;

														{	/* Module/eval.scm 206 */
															obj_t BgL_arg2088z00_1731;

															BgL_arg2088z00_1731 =
																MAKE_PAIR(BgL_arg2086z00_1729, BNIL);
															BgL_list2087z00_1730 =
																MAKE_PAIR(BgL_libraryz00_82,
																BgL_arg2088z00_1731);
														}
														return
															BGl_warningz00zz__errorz00(BgL_list2087z00_1730);
													}
												}
										}
									}
								else
									{	/* Module/eval.scm 207 */
										obj_t BgL_arg2090z00_1733;

										{	/* Module/eval.scm 207 */
											obj_t BgL_list2093z00_1736;

											BgL_list2093z00_1736 = MAKE_PAIR(BgL_initz00_1724, BNIL);
											BgL_arg2090z00_1733 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2362z00zzmodule_evalz00,
												BgL_list2093z00_1736);
										}
										{	/* Module/eval.scm 207 */
											obj_t BgL_list2091z00_1734;

											{	/* Module/eval.scm 207 */
												obj_t BgL_arg2092z00_1735;

												BgL_arg2092z00_1735 =
													MAKE_PAIR(BgL_arg2090z00_1733, BNIL);
												BgL_list2091z00_1734 =
													MAKE_PAIR(BgL_libraryz00_82, BgL_arg2092z00_1735);
											}
											return BGl_warningz00zz__errorz00(BgL_list2091z00_1734);
										}
									}
							}
						}
					}
			}
		}
	}



/* library_e */
	obj_t BGl_library_ez00zzmodule_evalz00(obj_t BgL_libz00_83)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 214 */
			{	/* Module/eval.scm 215 */
				obj_t BgL_infoz00_1737;

				BgL_infoz00_1737 =
					BGl_getzd2libraryzd2infoz00zzmodule_evalz00(BgL_libz00_83);
				{	/* Module/eval.scm 216 */
					bool_t BgL_testz00_3542;

					{	/* Module/eval.scm 216 */
						bool_t BgL_testz00_3543;

						if (STRUCTP(BgL_infoz00_1737))
							{	/* Module/eval.scm 216 */
								BgL_testz00_3543 =
									(STRUCT_KEY(BgL_infoz00_1737) == CNST_TABLE_REF(((long) 14)));
							}
						else
							{	/* Module/eval.scm 216 */
								BgL_testz00_3543 = ((bool_t) 0);
							}
						if (BgL_testz00_3543)
							{	/* Module/eval.scm 216 */
								BgL_testz00_3542 =
									CBOOL(STRUCT_REF(BgL_infoz00_1737, (int) (((long) 6))));
							}
						else
							{	/* Module/eval.scm 216 */
								BgL_testz00_3542 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3542)
						{	/* Module/eval.scm 217 */
							obj_t BgL_initz00_1739;

							BgL_initz00_1739 =
								BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
								(STRUCT_REF(BgL_infoz00_1737, (int) (((long) 6))));
							{	/* Module/eval.scm 218 */
								bool_t BgL_testz00_3555;

								{	/* Module/eval.scm 218 */
									obj_t BgL_arg2126z00_1766;

									BgL_arg2126z00_1766 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_3555 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg2126z00_1766)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_3555)
									{	/* Module/eval.scm 222 */
										obj_t BgL_arg2097z00_1741;

										{	/* Module/eval.scm 222 */
											obj_t BgL_arg2099z00_1742;
											obj_t BgL_arg2100z00_1743;

											{	/* Module/eval.scm 222 */
												obj_t BgL_arg2101z00_1744;

												{	/* Module/eval.scm 222 */
													obj_t BgL_arg2103z00_1745;

													{	/* Module/eval.scm 222 */
														obj_t BgL_arg2104z00_1746;
														obj_t BgL_arg2105z00_1747;

														{	/* Module/eval.scm 222 */
															obj_t BgL_arg2108z00_1750;
															obj_t BgL_arg2110z00_1751;

															{	/* Module/eval.scm 222 */
																obj_t BgL_res2328z00_3035;

																{	/* Module/eval.scm 222 */
																	obj_t BgL_arg1334z00_3034;

																	BgL_arg1334z00_3034 =
																		SYMBOL_TO_STRING(BgL_initz00_1739);
																	BgL_res2328z00_3035 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1334z00_3034);
																}
																BgL_arg2108z00_1750 = BgL_res2328z00_3035;
															}
															{	/* Module/eval.scm 223 */
																obj_t BgL_arg2111z00_1752;

																BgL_arg2111z00_1752 =
																	STRUCT_REF(BgL_infoz00_1737,
																	(int) (((long) 6)));
																{	/* Module/eval.scm 223 */
																	obj_t BgL_res2329z00_3041;

																	{	/* Module/eval.scm 223 */
																		obj_t BgL_symbolz00_3039;

																		BgL_symbolz00_3039 = BgL_arg2111z00_1752;
																		{	/* Module/eval.scm 223 */
																			obj_t BgL_arg1334z00_3040;

																			BgL_arg1334z00_3040 =
																				SYMBOL_TO_STRING(BgL_symbolz00_3039);
																			BgL_res2329z00_3041 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1334z00_3040);
																	}}
																	BgL_arg2110z00_1751 = BgL_res2329z00_3041;
															}}
															BgL_arg2104z00_1746 =
																bigloo_module_mangle(BgL_arg2108z00_1750,
																BgL_arg2110z00_1751);
														}
														{	/* Module/eval.scm 224 */
															obj_t BgL_res2330z00_3044;

															{	/* Module/eval.scm 224 */
																obj_t BgL_symbolz00_3042;

																BgL_symbolz00_3042 =
																	BGl_za2moduleza2z00zzmodule_modulez00;
																{	/* Module/eval.scm 224 */
																	obj_t BgL_arg1334z00_3043;

																	BgL_arg1334z00_3043 =
																		SYMBOL_TO_STRING(BgL_symbolz00_3042);
																	BgL_res2330z00_3044 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1334z00_3043);
															}}
															BgL_arg2105z00_1747 = BgL_res2330z00_3044;
														}
														{	/* Module/eval.scm 220 */
															obj_t BgL_list2106z00_1748;

															{	/* Module/eval.scm 220 */
																obj_t BgL_arg2107z00_1749;

																BgL_arg2107z00_1749 =
																	MAKE_PAIR(BgL_arg2105z00_1747, BNIL);
																BgL_list2106z00_1748 =
																	MAKE_PAIR(BgL_arg2104z00_1746,
																	BgL_arg2107z00_1749);
															}
															BgL_arg2103z00_1745 =
																BGl_formatz00zz__r4_output_6_10_3z00
																(BGl_string2363z00zzmodule_evalz00,
																BgL_list2106z00_1748);
													}}
													BgL_arg2101z00_1744 =
														MAKE_PAIR(BgL_arg2103z00_1745, BNIL);
												}
												BgL_arg2099z00_1742 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
													BgL_arg2101z00_1744);
											}
											{	/* Module/eval.scm 225 */
												obj_t BgL_arg2112z00_1753;

												{	/* Module/eval.scm 225 */
													obj_t BgL_arg2113z00_1754;
													obj_t BgL_arg2114z00_1755;

													{	/* Module/eval.scm 225 */
														obj_t BgL_arg2115z00_1756;

														{	/* Module/eval.scm 225 */
															obj_t BgL_arg2117z00_1757;

															BgL_arg2117z00_1757 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 16)), BNIL);
															BgL_arg2115z00_1756 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																BgL_arg2117z00_1757);
														}
														BgL_arg2113z00_1754 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
															BgL_arg2115z00_1756);
													}
													{	/* Module/eval.scm 225 */
														obj_t BgL_arg2118z00_1758;

														{	/* Module/eval.scm 225 */
															obj_t BgL_arg2119z00_1759;

															BgL_arg2119z00_1759 =
																MAKE_PAIR(BgL_libz00_83, BNIL);
															BgL_arg2118z00_1758 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																BgL_arg2119z00_1759);
														}
														BgL_arg2114z00_1755 =
															MAKE_PAIR(BgL_arg2118z00_1758, BNIL);
													}
													BgL_arg2112z00_1753 =
														MAKE_PAIR(BgL_arg2113z00_1754, BgL_arg2114z00_1755);
												}
												BgL_arg2100z00_1743 =
													MAKE_PAIR(BgL_arg2112z00_1753, BNIL);
											}
											BgL_arg2097z00_1741 =
												MAKE_PAIR(BgL_arg2099z00_1742, BgL_arg2100z00_1743);
										}
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
											BgL_arg2097z00_1741);
									}
								else
									{	/* Module/eval.scm 226 */
										obj_t BgL_arg2120z00_1760;
										obj_t BgL_arg2121z00_1761;

										{	/* Module/eval.scm 226 */
											obj_t BgL_arg2122z00_1762;

											{	/* Module/eval.scm 226 */
												obj_t BgL_arg2123z00_1763;

												BgL_arg2123z00_1763 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 16)), BNIL);
												BgL_arg2122z00_1762 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
													BgL_arg2123z00_1763);
											}
											BgL_arg2120z00_1760 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
												BgL_arg2122z00_1762);
										}
										{	/* Module/eval.scm 226 */
											obj_t BgL_arg2124z00_1764;

											{	/* Module/eval.scm 226 */
												obj_t BgL_arg2125z00_1765;

												BgL_arg2125z00_1765 = MAKE_PAIR(BgL_libz00_83, BNIL);
												BgL_arg2124z00_1764 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
													BgL_arg2125z00_1765);
											}
											BgL_arg2121z00_1761 =
												MAKE_PAIR(BgL_arg2124z00_1764, BNIL);
										}
										return MAKE_PAIR(BgL_arg2120z00_1760, BgL_arg2121z00_1761);
									}
							}
						}
					else
						{	/* Module/eval.scm 227 */
							obj_t BgL_list2128z00_1768;

							{	/* Module/eval.scm 227 */
								obj_t BgL_arg2130z00_1769;

								BgL_arg2130z00_1769 =
									MAKE_PAIR(BGl_string2364z00zzmodule_evalz00, BNIL);
								BgL_list2128z00_1768 =
									MAKE_PAIR(BgL_libz00_83, BgL_arg2130z00_1769);
							}
							return BGl_warningz00zz__errorz00(BgL_list2128z00_1768);
						}
				}
			}
		}
	}



/* set-eval-types! */
	obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t BgL_globalz00_84)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 235 */
			{	/* Module/eval.scm 236 */
				BgL_valuez00_bglt BgL_valz00_1771;

				BgL_valz00_1771 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_valuez00);
				{	/* Module/eval.scm 237 */
					bool_t BgL_testz00_3606;

					{	/* Module/eval.scm 237 */
						bool_t BgL_res2332z00_3049;

						{	/* Module/eval.scm 237 */
							obj_t BgL_objz00_3048;

							BgL_objz00_3048 = ((obj_t) BgL_valz00_1771);
							BgL_res2332z00_3049 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_3048,
								BGl_sfunz00zzast_varz00);
						}
						BgL_testz00_3606 = BgL_res2332z00_3049;
					}
					if (BgL_testz00_3606)
						{	/* Module/eval.scm 237 */
							return BFALSE;
						}
					else
						{	/* Module/eval.scm 238 */
							BgL_typez00_bglt BgL_typez00_1773;

							BgL_typez00_1773 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_typez00);
							if ((((obj_t) BgL_typez00_1773) == BGl_za2_za2z00zztype_cachez00))
								{	/* Module/eval.scm 241 */
									BgL_globalz00_bglt BgL_oz00_3053;
									BgL_typez00_bglt BgL_vz00_3054;

									BgL_oz00_3053 = ((BgL_globalz00_bglt) BgL_globalz00_84);
									BgL_vz00_3054 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
									return
										((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_oz00_3053)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_vz00_3054), BUNSPEC);
								}
							else
								{	/* Module/eval.scm 240 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1773))
										{	/* Module/eval.scm 242 */
											return BFALSE;
										}
									else
										{	/* Module/eval.scm 245 */
											obj_t BgL_arg2135z00_1776;

											BgL_arg2135z00_1776 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_84))))->
												BgL_idz00);
											return
												BGl_errorz00zz__errorz00
												(BGl_string2365z00zzmodule_evalz00,
												BGl_string2366z00zzmodule_evalz00, BgL_arg2135z00_1776);
										}
								}
						}
				}
			}
		}
	}



/* get-evaluated-globals */
	obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 250 */
			{	/* Module/eval.scm 251 */
				obj_t BgL_globalsz00_1777;

				BgL_globalsz00_1777 = MAKE_CELL(BNIL);
				{	/* Module/eval.scm 251 */

					{	/* Module/eval.scm 252 */
						bool_t BgL_testz00_3625;

						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 252 */
								BgL_testz00_3625 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 252 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 252 */
										BgL_testz00_3625 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 252 */
										BgL_testz00_3625 =
											CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00);
									}
							}
						if (BgL_testz00_3625)
							{	/* Module/eval.scm 253 */
								obj_t BgL_scopezd2lstzd2_1779;

								if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
									{	/* Module/eval.scm 254 */
										BgL_scopezd2lstzd2_1779 = CNST_TABLE_REF(((long) 20));
									}
								else
									{	/* Module/eval.scm 254 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 255 */
												BgL_scopezd2lstzd2_1779 = CNST_TABLE_REF(((long) 21));
											}
										else
											{	/* Module/eval.scm 255 */
												BgL_scopezd2lstzd2_1779 = CNST_TABLE_REF(((long) 22));
									}}
								{	/* Module/eval.scm 259 */
									obj_t BgL_zc3anonymousza32139ze3z83_3200;

									BgL_zc3anonymousza32139ze3z83_3200 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32139ze3ze1zzmodule_evalz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32139ze3z83_3200,
										(int) (((long) 0)), BgL_globalsz00_1777);
									PROCEDURE_SET(BgL_zc3anonymousza32139ze3z83_3200,
										(int) (((long) 1)), BgL_scopezd2lstzd2_1779);
									BGl_forzd2eachzd2globalz12z12zzast_envz00
										(BgL_zc3anonymousza32139ze3z83_3200, BNIL);
							}}
						else
							{	/* Module/eval.scm 252 */
								BFALSE;
							}
					}
					{
						obj_t BgL_evalzd2exportedzd2_1792;
						obj_t BgL_resz00_1793;

						BgL_evalzd2exportedzd2_1792 =
							BGl_za2evalzd2exportedza2zd2zzmodule_evalz00;
						BgL_resz00_1793 = CELL_REF(BgL_globalsz00_1777);
					BgL_zc3anonymousza32145ze3z83_1794:
						if (NULLP(BgL_evalzd2exportedzd2_1792))
							{	/* Module/eval.scm 265 */
								return BgL_resz00_1793;
							}
						else
							{	/* Module/eval.scm 267 */
								obj_t BgL_varzd2modulezd2posz00_1796;

								BgL_varzd2modulezd2posz00_1796 =
									CAR(BgL_evalzd2exportedzd2_1792);
								{	/* Module/eval.scm 268 */
									obj_t BgL_gz00_1797;

									{	/* Module/eval.scm 268 */
										bool_t BgL_testz00_3649;

										{	/* Module/eval.scm 268 */
											obj_t BgL_pairz00_3069;

											BgL_pairz00_3069 = BgL_varzd2modulezd2posz00_1796;
											{	/* Module/eval.scm 268 */
												obj_t BgL_pairz00_3072;

												BgL_pairz00_3072 = CDR(BgL_pairz00_3069);
												BgL_testz00_3649 = CBOOL(CAR(BgL_pairz00_3072));
											}
										}
										if (BgL_testz00_3649)
											{	/* Module/eval.scm 269 */
												obj_t BgL_arg2165z00_1813;
												obj_t BgL_arg2167z00_1814;

												BgL_arg2165z00_1813 =
													CAR(BgL_varzd2modulezd2posz00_1796);
												{	/* Module/eval.scm 270 */
													obj_t BgL_pairz00_3074;

													BgL_pairz00_3074 = BgL_varzd2modulezd2posz00_1796;
													BgL_arg2167z00_1814 = CAR(CDR(BgL_pairz00_3074));
												}
												BgL_gz00_1797 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg2165z00_1813, BgL_arg2167z00_1814);
											}
										else
											{	/* Module/eval.scm 268 */
												BgL_gz00_1797 =
													BGl_findzd2globalzd2zzast_envz00(CAR
													(BgL_varzd2modulezd2posz00_1796), BNIL);
											}
									}
									if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1797,
											BGl_globalz00zzast_varz00))
										{	/* Module/eval.scm 273 */
											if (
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_gz00_1797)))->
													BgL_evaluablezf3zf3))
												{	/* Module/eval.scm 290 */
													obj_t BgL_arg2149z00_1800;
													obj_t BgL_arg2150z00_1801;

													BgL_arg2149z00_1800 =
														CDR(BgL_evalzd2exportedzd2_1792);
													BgL_arg2150z00_1801 =
														MAKE_PAIR(BgL_gz00_1797, BgL_resz00_1793);
													{
														obj_t BgL_resz00_3667;
														obj_t BgL_evalzd2exportedzd2_3666;

														BgL_evalzd2exportedzd2_3666 = BgL_arg2149z00_1800;
														BgL_resz00_3667 = BgL_arg2150z00_1801;
														BgL_resz00_1793 = BgL_resz00_3667;
														BgL_evalzd2exportedzd2_1792 =
															BgL_evalzd2exportedzd2_3666;
														goto BgL_zc3anonymousza32145ze3z83_1794;
													}
												}
											else
												{	/* Module/eval.scm 281 */
													{	/* Module/eval.scm 283 */
														obj_t BgL_arg2151z00_1802;
														obj_t BgL_arg2152z00_1803;

														{	/* Module/eval.scm 283 */
															obj_t BgL_arg2154z00_1805;

															{	/* Module/eval.scm 283 */
																obj_t BgL_pairz00_3085;

																BgL_pairz00_3085 =
																	BgL_varzd2modulezd2posz00_1796;
																BgL_arg2154z00_1805 =
																	CAR(CDR(CDR(BgL_pairz00_3085)));
															}
															BgL_arg2151z00_1802 =
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_arg2154z00_1805);
														}
														BgL_arg2152z00_1803 =
															CAR(BgL_varzd2modulezd2posz00_1796);
														{	/* Module/eval.scm 282 */
															obj_t BgL_list2153z00_1804;

															BgL_list2153z00_1804 = MAKE_PAIR(BNIL, BNIL);
															BGl_userzd2errorzf2locationz20zztools_errorz00
																(BgL_arg2151z00_1802,
																BGl_string2367z00zzmodule_evalz00,
																BGl_string2368z00zzmodule_evalz00,
																BgL_arg2152z00_1803, BgL_list2153z00_1804);
														}
													}
													{
														obj_t BgL_evalzd2exportedzd2_3675;

														BgL_evalzd2exportedzd2_3675 =
															CDR(BgL_evalzd2exportedzd2_1792);
														BgL_evalzd2exportedzd2_1792 =
															BgL_evalzd2exportedzd2_3675;
														goto BgL_zc3anonymousza32145ze3z83_1794;
													}
												}
										}
									else
										{	/* Module/eval.scm 273 */
											{	/* Module/eval.scm 275 */
												obj_t BgL_arg2156z00_1807;
												obj_t BgL_arg2158z00_1808;

												{	/* Module/eval.scm 275 */
													obj_t BgL_arg2160z00_1810;

													{	/* Module/eval.scm 275 */
														obj_t BgL_pairz00_3093;

														BgL_pairz00_3093 = BgL_varzd2modulezd2posz00_1796;
														BgL_arg2160z00_1810 =
															CAR(CDR(CDR(BgL_pairz00_3093)));
													}
													BgL_arg2156z00_1807 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_arg2160z00_1810);
												}
												BgL_arg2158z00_1808 =
													CAR(BgL_varzd2modulezd2posz00_1796);
												{	/* Module/eval.scm 274 */
													obj_t BgL_list2159z00_1809;

													BgL_list2159z00_1809 = MAKE_PAIR(BNIL, BNIL);
													BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg2156z00_1807,
														BGl_string2367z00zzmodule_evalz00,
														BGl_string2369z00zzmodule_evalz00,
														BgL_arg2158z00_1808, BgL_list2159z00_1809);
												}
											}
											{
												obj_t BgL_evalzd2exportedzd2_3684;

												BgL_evalzd2exportedzd2_3684 =
													CDR(BgL_evalzd2exportedzd2_1792);
												BgL_evalzd2exportedzd2_1792 =
													BgL_evalzd2exportedzd2_3684;
												goto BgL_zc3anonymousza32145ze3z83_1794;
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2139> */
	obj_t BGl_z62zc3anonymousza32139ze3ze1zzmodule_evalz00(obj_t BgL_envz00_3201,
		obj_t BgL_gz00_3204)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 258 */
			{	/* Module/eval.scm 259 */
				obj_t BgL_globalsz00_3202;
				obj_t BgL_scopezd2lstzd2_3203;

				BgL_globalsz00_3202 =
					PROCEDURE_REF(BgL_envz00_3201, (int) (((long) 0)));
				BgL_scopezd2lstzd2_3203 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3201, (int) (((long) 1))));
				{
					obj_t BgL_gz00_1782;

					BgL_gz00_1782 = BgL_gz00_3204;
					{	/* Module/eval.scm 259 */
						bool_t BgL_testz00_3691;

						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_gz00_1782)))->BgL_importz00),
									BgL_scopezd2lstzd2_3203)))
							{	/* Module/eval.scm 259 */
								if (
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_gz00_1782)))->
										BgL_evaluablezf3zf3))
									{	/* Module/eval.scm 261 */
										obj_t BgL__ortest_1107z00_1787;

										BgL__ortest_1107z00_1787 =
											BGl_za2libzd2modeza2zd2zzengine_paramz00;
										if (CBOOL(BgL__ortest_1107z00_1787))
											{	/* Module/eval.scm 261 */
												BgL_testz00_3691 = CBOOL(BgL__ortest_1107z00_1787);
											}
										else
											{	/* Module/eval.scm 261 */
												if (CBOOL(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_gz00_1782)))->
															BgL_libraryz00)))
													{	/* Module/eval.scm 261 */
														BgL_testz00_3691 = ((bool_t) 0);
													}
												else
													{	/* Module/eval.scm 261 */
														BgL_testz00_3691 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Module/eval.scm 260 */
										BgL_testz00_3691 = ((bool_t) 0);
									}
							}
						else
							{	/* Module/eval.scm 259 */
								BgL_testz00_3691 = ((bool_t) 0);
							}
						if (BgL_testz00_3691)
							{	/* Module/eval.scm 262 */
								obj_t BgL_auxz00_3205;

								BgL_auxz00_3205 =
									MAKE_PAIR(BgL_gz00_1782, CELL_REF(BgL_globalsz00_3202));
								return CELL_SET(BgL_globalsz00_3202, BgL_auxz00_3205);
							}
						else
							{	/* Module/eval.scm 259 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* get-eval-srfi-libraries */
	obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 301 */
			{	/* Module/eval.scm 302 */
				obj_t BgL_l1942z00_1818;

				BgL_l1942z00_1818 = BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1942z00_1818))
					{	/* Module/eval.scm 302 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 302 */
						obj_t BgL_head1944z00_1820;

						{	/* Module/eval.scm 302 */
							obj_t BgL_res2340z00_3105;

							BgL_res2340z00_3105 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1944z00_1820 = BgL_res2340z00_3105;
						}
						{
							obj_t BgL_l1942z00_1822;
							obj_t BgL_tail1945z00_1823;

							BgL_l1942z00_1822 = BgL_l1942z00_1818;
							BgL_tail1945z00_1823 = BgL_head1944z00_1820;
						BgL_zc3anonymousza32171ze3z83_1824:
							if (NULLP(BgL_l1942z00_1822))
								{	/* Module/eval.scm 302 */
									return CDR(BgL_head1944z00_1820);
								}
							else
								{	/* Module/eval.scm 302 */
									obj_t BgL_newtail1946z00_1826;

									{	/* Module/eval.scm 302 */
										obj_t BgL_arg2175z00_1828;

										{	/* Module/eval.scm 302 */
											obj_t BgL_lz00_1829;

											BgL_lz00_1829 = CAR(BgL_l1942z00_1822);
											{	/* Module/eval.scm 304 */
												obj_t BgL_arg2176z00_1830;

												{	/* Module/eval.scm 304 */
													obj_t BgL_arg2177z00_1831;

													{	/* Module/eval.scm 304 */
														obj_t BgL_arg2178z00_1832;

														{	/* Module/eval.scm 304 */
															obj_t BgL_arg2179z00_1833;

															{	/* Module/eval.scm 304 */
																obj_t BgL_arg2180z00_1834;

																BgL_arg2180z00_1834 =
																	MAKE_PAIR(BgL_lz00_1829, BNIL);
																BgL_arg2179z00_1833 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																	BgL_arg2180z00_1834);
															}
															BgL_arg2178z00_1832 =
																MAKE_PAIR(BgL_arg2179z00_1833, BNIL);
														}
														BgL_arg2177z00_1831 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 23)),
															BgL_arg2178z00_1832);
													}
													BgL_arg2176z00_1830 =
														MAKE_PAIR(BgL_arg2177z00_1831, BNIL);
												}
												BgL_arg2175z00_1828 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg2176z00_1830);
										}}
										{	/* Module/eval.scm 302 */
											obj_t BgL_res2342z00_3112;

											BgL_res2342z00_3112 =
												MAKE_PAIR(BgL_arg2175z00_1828, BNIL);
											BgL_newtail1946z00_1826 = BgL_res2342z00_3112;
									}}
									SET_CDR(BgL_tail1945z00_1823, BgL_newtail1946z00_1826);
									{
										obj_t BgL_tail1945z00_3728;
										obj_t BgL_l1942z00_3726;

										BgL_l1942z00_3726 = CDR(BgL_l1942z00_1822);
										BgL_tail1945z00_3728 = BgL_newtail1946z00_1826;
										BgL_tail1945z00_1823 = BgL_tail1945z00_3728;
										BgL_l1942z00_1822 = BgL_l1942z00_3726;
										goto BgL_zc3anonymousza32171ze3z83_1824;
									}
								}
						}
					}
			}
		}
	}



/* get-evaluated-class-macros */
	obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 310 */
			{	/* Module/eval.scm 311 */
				obj_t BgL_l1947z00_1836;

				BgL_l1947z00_1836 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1947z00_1836))
					{	/* Module/eval.scm 311 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 311 */
						obj_t BgL_head1949z00_1838;

						{	/* Module/eval.scm 311 */
							obj_t BgL_res2344z00_3120;

							BgL_res2344z00_3120 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1949z00_1838 = BgL_res2344z00_3120;
						}
						{
							obj_t BgL_l1947z00_1840;
							obj_t BgL_tail1950z00_1841;

							BgL_l1947z00_1840 = BgL_l1947z00_1836;
							BgL_tail1950z00_1841 = BgL_head1949z00_1838;
						BgL_zc3anonymousza32182ze3z83_1842:
							if (NULLP(BgL_l1947z00_1840))
								{	/* Module/eval.scm 311 */
									return CDR(BgL_head1949z00_1838);
								}
							else
								{	/* Module/eval.scm 311 */
									obj_t BgL_newtail1951z00_1844;

									{	/* Module/eval.scm 311 */
										obj_t BgL_arg2186z00_1846;

										{	/* Module/eval.scm 311 */
											obj_t BgL_sz00_1847;

											BgL_sz00_1847 = CAR(BgL_l1947z00_1840);
											{	/* Module/eval.scm 312 */
												BgL_typez00_bglt BgL_tz00_1848;

												{	/* Module/eval.scm 312 */
													obj_t BgL_arg2209z00_1873;
													obj_t BgL_arg2210z00_1874;

													{	/* Module/eval.scm 312 */
														obj_t BgL_pairz00_3125;

														BgL_pairz00_3125 = BgL_sz00_1847;
														BgL_arg2209z00_1873 = CAR(CDR(BgL_pairz00_3125));
													}
													BgL_arg2210z00_1874 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_1847);
													BgL_tz00_1848 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2209z00_1873, BgL_arg2210z00_1874);
												}
												{	/* Module/eval.scm 314 */
													BgL_globalz00_bglt BgL_holderz00_1851;

													{
														BgL_tclassz00_bglt BgL_auxz00_3740;

														{
															obj_t BgL_auxz00_3741;

															{	/* Module/eval.scm 315 */
																BgL_objectz00_bglt BgL_auxz00_3742;

																BgL_auxz00_3742 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_tz00_1848));
																BgL_auxz00_3741 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3742);
															}
															BgL_auxz00_3740 =
																((BgL_tclassz00_bglt) BgL_auxz00_3741);
														}
														BgL_holderz00_1851 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3740))->
															BgL_holderz00);
													}
													{	/* Module/eval.scm 315 */
														obj_t BgL_holderez00_1852;

														{	/* Module/eval.scm 316 */
															obj_t BgL_arg2204z00_1868;

															{	/* Module/eval.scm 316 */
																obj_t BgL_arg2205z00_1869;
																obj_t BgL_arg2206z00_1870;

																BgL_arg2205z00_1869 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_holderz00_1851)))->BgL_idz00);
																BgL_arg2206z00_1870 =
																	MAKE_PAIR((((BgL_globalz00_bglt)
																			CREF(BgL_holderz00_1851))->BgL_modulez00),
																	BNIL);
																BgL_arg2204z00_1868 =
																	MAKE_PAIR(BgL_arg2205z00_1869,
																	BgL_arg2206z00_1870);
															}
															BgL_holderez00_1852 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg2204z00_1868);
														}
														{	/* Module/eval.scm 316 */

															{	/* Module/eval.scm 318 */
																obj_t BgL_arg2188z00_1853;

																{	/* Module/eval.scm 318 */
																	obj_t BgL_arg2189z00_1854;
																	obj_t BgL_arg2190z00_1855;

																	{	/* Module/eval.scm 318 */
																		bool_t BgL_testz00_3755;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3756;

																			{
																				obj_t BgL_auxz00_3757;

																				{	/* Module/eval.scm 318 */
																					BgL_objectz00_bglt BgL_auxz00_3758;

																					BgL_auxz00_3758 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt) BgL_tz00_1848));
																					BgL_auxz00_3757 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_3758);
																				}
																				BgL_auxz00_3756 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3757);
																			}
																			BgL_testz00_3755 =
																				(((BgL_tclassz00_bglt)
																					CREF(BgL_auxz00_3756))->
																				BgL_abstractzf3zf3);
																		}
																		if (BgL_testz00_3755)
																			{	/* Module/eval.scm 318 */
																				BgL_arg2189z00_1854 = BUNSPEC;
																			}
																		else
																			{	/* Module/eval.scm 321 */
																				obj_t BgL_arg2193z00_1857;

																				{	/* Module/eval.scm 321 */
																					obj_t BgL_arg2194z00_1858;
																					obj_t BgL_arg2195z00_1859;

																					{	/* Module/eval.scm 321 */
																						obj_t BgL_arg2196z00_1860;

																						BgL_arg2196z00_1860 =
																							MAKE_PAIR(BgL_holderez00_1852,
																							BNIL);
																						BgL_arg2194z00_1858 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									24)), BgL_arg2196z00_1860);
																					}
																					{	/* Module/eval.scm 322 */
																						obj_t BgL_arg2197z00_1861;

																						{	/* Module/eval.scm 322 */
																							obj_t BgL_arg2198z00_1862;

																							BgL_arg2198z00_1862 =
																								MAKE_PAIR(BgL_holderez00_1852,
																								BNIL);
																							BgL_arg2197z00_1861 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										25)), BgL_arg2198z00_1862);
																						}
																						BgL_arg2195z00_1859 =
																							MAKE_PAIR(BgL_arg2197z00_1861,
																							BNIL);
																					}
																					BgL_arg2193z00_1857 =
																						MAKE_PAIR(BgL_arg2194z00_1858,
																						BgL_arg2195z00_1859);
																				}
																				BgL_arg2189z00_1854 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																					BgL_arg2193z00_1857);
																	}}
																	{	/* Module/eval.scm 323 */
																		obj_t BgL_arg2199z00_1863;
																		obj_t BgL_arg2200z00_1864;

																		{	/* Module/eval.scm 323 */
																			obj_t BgL_arg2201z00_1865;

																			BgL_arg2201z00_1865 =
																				MAKE_PAIR(BgL_holderez00_1852, BNIL);
																			BgL_arg2199z00_1863 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 26)),
																				BgL_arg2201z00_1865);
																		}
																		{	/* Module/eval.scm 324 */
																			obj_t BgL_arg2202z00_1866;

																			{	/* Module/eval.scm 324 */
																				obj_t BgL_arg2203z00_1867;

																				BgL_arg2203z00_1867 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2202z00_1866 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																					BgL_arg2203z00_1867);
																			}
																			BgL_arg2200z00_1864 =
																				MAKE_PAIR(BgL_arg2202z00_1866, BNIL);
																		}
																		BgL_arg2190z00_1855 =
																			MAKE_PAIR(BgL_arg2199z00_1863,
																			BgL_arg2200z00_1864);
																	}
																	BgL_arg2188z00_1853 =
																		MAKE_PAIR(BgL_arg2189z00_1854,
																		BgL_arg2190z00_1855);
																}
																BgL_arg2186z00_1846 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																	BgL_arg2188z00_1853);
										}}}}}}
										{	/* Module/eval.scm 311 */
											obj_t BgL_res2352z00_3152;

											BgL_res2352z00_3152 =
												MAKE_PAIR(BgL_arg2186z00_1846, BNIL);
											BgL_newtail1951z00_1844 = BgL_res2352z00_3152;
									}}
									SET_CDR(BgL_tail1950z00_1841, BgL_newtail1951z00_1844);
									{
										obj_t BgL_tail1950z00_3789;
										obj_t BgL_l1947z00_3787;

										BgL_l1947z00_3787 = CDR(BgL_l1947z00_1840);
										BgL_tail1950z00_3789 = BgL_newtail1951z00_1844;
										BgL_tail1950z00_1841 = BgL_tail1950z00_3789;
										BgL_l1947z00_1840 = BgL_l1947z00_3787;
										goto BgL_zc3anonymousza32182ze3z83_1842;
									}
								}
						}
					}
			}
		}
	}



/* get-evaluated-class-holders */
	obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 330 */
			{	/* Module/eval.scm 331 */
				obj_t BgL_l1952z00_1876;

				BgL_l1952z00_1876 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1952z00_1876))
					{	/* Module/eval.scm 331 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 331 */
						obj_t BgL_head1954z00_1878;

						{	/* Module/eval.scm 331 */
							obj_t BgL_res2354z00_3160;

							BgL_res2354z00_3160 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1954z00_1878 = BgL_res2354z00_3160;
						}
						{
							obj_t BgL_l1952z00_1880;
							obj_t BgL_tail1955z00_1881;

							BgL_l1952z00_1880 = BgL_l1952z00_1876;
							BgL_tail1955z00_1881 = BgL_head1954z00_1878;
						BgL_zc3anonymousza32212ze3z83_1882:
							if (NULLP(BgL_l1952z00_1880))
								{	/* Module/eval.scm 331 */
									return CDR(BgL_head1954z00_1878);
								}
							else
								{	/* Module/eval.scm 331 */
									obj_t BgL_newtail1956z00_1884;

									{	/* Module/eval.scm 331 */
										BgL_globalz00_bglt BgL_arg2216z00_1886;

										{	/* Module/eval.scm 331 */
											obj_t BgL_sz00_1887;

											BgL_sz00_1887 = CAR(BgL_l1952z00_1880);
											{	/* Module/eval.scm 332 */
												BgL_typez00_bglt BgL_tz00_1888;

												{	/* Module/eval.scm 332 */
													obj_t BgL_arg2217z00_1889;
													obj_t BgL_arg2218z00_1890;

													{	/* Module/eval.scm 332 */
														obj_t BgL_pairz00_3165;

														BgL_pairz00_3165 = BgL_sz00_1887;
														BgL_arg2217z00_1889 = CAR(CDR(BgL_pairz00_3165));
													}
													BgL_arg2218z00_1890 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_1887);
													BgL_tz00_1888 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2217z00_1889, BgL_arg2218z00_1890);
												}
												{
													BgL_tclassz00_bglt BgL_auxz00_3801;

													{
														obj_t BgL_auxz00_3802;

														{	/* Module/eval.scm 333 */
															BgL_objectz00_bglt BgL_auxz00_3803;

															BgL_auxz00_3803 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_tz00_1888));
															BgL_auxz00_3802 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3803);
														}
														BgL_auxz00_3801 =
															((BgL_tclassz00_bglt) BgL_auxz00_3802);
													}
													BgL_arg2216z00_1886 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3801))->
														BgL_holderz00);
												}
											}
										}
										{	/* Module/eval.scm 331 */
											obj_t BgL_res2357z00_3174;

											{	/* Module/eval.scm 331 */
												obj_t BgL_obj1z00_3172;

												BgL_obj1z00_3172 = ((obj_t) BgL_arg2216z00_1886);
												BgL_res2357z00_3174 = MAKE_PAIR(BgL_obj1z00_3172, BNIL);
											}
											BgL_newtail1956z00_1884 = BgL_res2357z00_3174;
										}
									}
									SET_CDR(BgL_tail1955z00_1881, BgL_newtail1956z00_1884);
									{
										obj_t BgL_tail1955z00_3814;
										obj_t BgL_l1952z00_3812;

										BgL_l1952z00_3812 = CDR(BgL_l1952z00_1880);
										BgL_tail1955z00_3814 = BgL_newtail1956z00_1884;
										BgL_tail1955z00_1881 = BgL_tail1955z00_3814;
										BgL_l1952z00_1880 = BgL_l1952z00_3812;
										goto BgL_zc3anonymousza32212ze3z83_1882;
									}
								}
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 501080190),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2370z00zzmodule_evalz00));
		}
	}

#ifdef __cplusplus
}
#endif
