/*===========================================================================*/
/*   (Module/main.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/main.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzmodule_mainz00 = BUNSPEC;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_genericzd2initzd2zzmodule_mainz00();
	static obj_t BGl_objectzd2initzd2zzmodule_mainz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_mainz00();
	static obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzmodule_mainz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
	static obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string1505z00zzmodule_mainz00,
		BgL_bgl_string1505za700za7za7m1517za7,
		"Illegal declaration of main function", 36);
	      DEFINE_STRING(BGl_string1506z00zzmodule_mainz00,
		BgL_bgl_string1506za700za7za7m1518za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1507z00zzmodule_mainz00,
		BgL_bgl_string1507za700za7za7m1519za7, "Illegal main clause", 19);
	      DEFINE_STRING(BGl_string1508z00zzmodule_mainz00,
		BgL_bgl_string1508za700za7za7m1520za7, "Duplicated main clause", 22);
	      DEFINE_STRING(BGl_string1509z00zzmodule_mainz00,
		BgL_bgl_string1509za700za7za7m1521za7, "module_main", 11);
	      DEFINE_STRING(BGl_string1510z00zzmodule_mainz00,
		BgL_bgl_string1510za700za7za7m1522za7,
		"argv::pair export argv::obj bdb imported main ", 46);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2mainzd2compilerzd2envzd2zzmodule_mainz00,
		BgL_bgl_za762makeza7d2mainza7d1523za7,
		BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2consumerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2consum1524z00,
		BGl_z62mainzd2consumerzb0zzmodule_mainz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2producerzd2envz00zzmodule_mainz00,
		BgL_bgl_za762mainza7d2produc1525z00,
		BGl_z62mainzd2producerzb0zzmodule_mainz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long
		BgL_checksumz00_902, char *BgL_fromz00_903)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_mainz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_mainz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
					BGl_cnstzd2initzd2zzmodule_mainz00();
					BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_main");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_main");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_main");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			{	/* Module/main.scm 15 */
				obj_t BgL_cportz00_894;

				BgL_cportz00_894 =
					bgl_open_input_string(BGl_string1510z00zzmodule_mainz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_895;

					BgL_iz00_895 = ((long) 5);
				BgL_loopz00_896:
					if ((BgL_iz00_895 == ((long) -1)))
						{	/* Module/main.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/main.scm 15 */
							{	/* Module/main.scm 15 */
								obj_t BgL_arg1516z00_898;

								{	/* Module/main.scm 15 */

									{	/* Module/main.scm 15 */
										obj_t BgL_locationz00_900;

										BgL_locationz00_900 = BBOOL(((bool_t) 0));
										{	/* Module/main.scm 15 */

											BgL_arg1516z00_898 =
												BGl_readz00zz__readerz00(BgL_cportz00_894,
												BgL_locationz00_900);
										}
									}
								}
								{	/* Module/main.scm 15 */
									int BgL_auxz00_922;

									BgL_auxz00_922 = (int) (BgL_iz00_895);
									CNST_TABLE_SET(BgL_auxz00_922, BgL_arg1516z00_898);
							}}
							{	/* Module/main.scm 15 */
								int BgL_auxz00_901;

								BgL_auxz00_901 = (int) ((BgL_iz00_895 - ((long) 1)));
								{
									long BgL_iz00_927;

									BgL_iz00_927 = (long) (BgL_auxz00_901);
									BgL_iz00_895 = BgL_iz00_927;
									goto BgL_loopz00_896;
								}
							}
						}
				}
			}
		}
	}



/* make-main-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 33 */
			{	/* Module/main.scm 34 */
				BgL_ccompz00_bglt BgL_new1061z00_496;

				{	/* Module/main.scm 34 */
					BgL_ccompz00_bglt BgL_new1060z00_499;

					BgL_new1060z00_499 =
						((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/main.scm 34 */
						long BgL_arg1365z00_500;

						{	/* Module/main.scm 34 */
							long BgL_res1489z00_833;

							{	/* Module/main.scm 34 */
								obj_t BgL_classz00_830;

								BgL_classz00_830 = BGl_ccompz00zzmodule_modulez00;
								{	/* Module/main.scm 34 */
									obj_t BgL_vectorz00_831;
									int BgL_kz00_832;

									BgL_vectorz00_831 = BgL_classz00_830;
									BgL_kz00_832 = (int) (((long) 1));
									BgL_res1489z00_833 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_831, BgL_kz00_832));
							}}
							BgL_arg1365z00_500 = BgL_res1489z00_833;
						}
						{	/* Module/main.scm 34 */
							BgL_objectz00_bglt BgL_objz00_834;

							BgL_objz00_834 = ((BgL_objectz00_bglt) BgL_new1060z00_499);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_834, BgL_arg1365z00_500);
					}}
					{	/* Module/main.scm 34 */
						BgL_objectz00_bglt BgL_auxz00_935;

						BgL_auxz00_935 = ((BgL_objectz00_bglt) BgL_new1060z00_499);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_935, BFALSE);
					}
					BgL_new1061z00_496 = BgL_new1060z00_499;
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1061z00_496))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1061z00_496))->BgL_producerz00) =
					((obj_t) BGl_mainzd2producerzd2envz00zzmodule_mainz00), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1061z00_496))->BgL_consumerz00) =
					((obj_t) BGl_mainzd2consumerzd2envz00zzmodule_mainz00), BUNSPEC);
				{
					obj_t BgL_auxz00_942;

					{	/* Module/main.scm 34 */
						obj_t BgL_arg1350z00_497;

						{	/* Module/main.scm 34 */
							obj_t BgL_arg1361z00_498;

							{	/* Module/main.scm 34 */
								obj_t BgL_res1490z00_839;

								{	/* Module/main.scm 34 */
									obj_t BgL_classz00_836;

									BgL_classz00_836 = BGl_ccompz00zzmodule_modulez00;
									{	/* Module/main.scm 34 */
										obj_t BgL_vectorz00_837;
										int BgL_kz00_838;

										BgL_vectorz00_837 = BgL_classz00_836;
										BgL_kz00_838 = (int) (((long) 15));
										BgL_res1490z00_839 =
											VECTOR_REF(BgL_vectorz00_837, BgL_kz00_838);
								}}
								BgL_arg1361z00_498 = BgL_res1490z00_839;
							}
							{	/* Module/main.scm 34 */
								int BgL_kz00_841;

								BgL_kz00_841 = (int) (((long) 3));
								BgL_arg1350z00_497 =
									VECTOR_REF(BgL_arg1361z00_498, BgL_kz00_841);
						}}
						BgL_auxz00_942 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1350z00_497);
					}
					((((BgL_ccompz00_bglt) CREF(BgL_new1061z00_496))->
							BgL_finaliza7erza7) = ((obj_t) BgL_auxz00_942), BUNSPEC);
				}
				return ((obj_t) BgL_new1061z00_496);
			}
		}
	}



/* &make-main-compiler */
	obj_t BGl_z62makezd2mainzd2compilerz62zzmodule_mainz00(obj_t BgL_envz00_888)
	{
		AN_OBJECT;
		{	/* Module/main.scm 33 */
			return BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
		}
	}



/* correct-main? */
	bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		AN_OBJECT;
		{	/* Module/main.scm 44 */
			{	/* Module/main.scm 45 */
				BgL_valuez00_bglt BgL_sfunz00_501;

				BgL_sfunz00_501 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
				{	/* Module/main.scm 46 */
					bool_t BgL_testz00_953;

					{	/* Module/main.scm 46 */
						bool_t BgL_res1492z00_846;

						{	/* Module/main.scm 46 */
							obj_t BgL_objz00_845;

							BgL_objz00_845 = ((obj_t) BgL_sfunz00_501);
							BgL_res1492z00_846 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_845,
								BGl_sfunz00zzast_varz00);
						}
						BgL_testz00_953 = BgL_res1492z00_846;
					}
					if (BgL_testz00_953)
						{	/* Module/main.scm 46 */
							if (
								((((BgL_funz00_bglt) CREF(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_501))))->
										BgL_arityz00) == ((long) 1)))
								{	/* Module/main.scm 48 */
									obj_t BgL_argsz00_504;

									{	/* Module/main.scm 48 */
										obj_t BgL_pairz00_855;

										BgL_pairz00_855 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_sfunz00_501)))->BgL_argsz00);
										BgL_argsz00_504 = CAR(BgL_pairz00_855);
									}
									{	/* Module/main.scm 48 */
										BgL_typez00_bglt BgL_typez00_505;

										BgL_typez00_505 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_argsz00_504))))->
											BgL_typez00);
										{	/* Module/main.scm 49 */

											{	/* Module/main.scm 50 */
												bool_t BgL__ortest_1065z00_506;

												BgL__ortest_1065z00_506 =
													(
													((obj_t) BgL_typez00_505) ==
													BGl_za2objza2z00zztype_cachez00);
												if (BgL__ortest_1065z00_506)
													{	/* Module/main.scm 50 */
														return BgL__ortest_1065z00_506;
													}
												else
													{	/* Module/main.scm 50 */
														return
															(
															((obj_t) BgL_typez00_505) ==
															BGl_za2pairza2z00zztype_cachez00);
													}
											}
										}
									}
								}
							else
								{	/* Module/main.scm 47 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Module/main.scm 46 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* main-producer */
	obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t BgL_clausez00_4)
	{
		AN_OBJECT;
		{	/* Module/main.scm 55 */
			{	/* Module/main.scm 56 */
				bool_t BgL_testz00_972;

				if ((BGl_za2mainza2z00zzmodule_modulez00 == CNST_TABLE_REF(((long) 1))))
					{	/* Module/main.scm 56 */
						BgL_testz00_972 = ((bool_t) 1);
					}
				else
					{	/* Module/main.scm 56 */
						bool_t BgL_res1496z00_860;

						{	/* Module/main.scm 56 */
							obj_t BgL_objz00_859;

							BgL_objz00_859 = BGl_za2mainza2z00zzmodule_modulez00;
							BgL_res1496z00_860 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_859,
								BGl_globalz00zzast_varz00);
						}
						BgL_testz00_972 = BgL_res1496z00_860;
					}
				if (BgL_testz00_972)
					{	/* Module/main.scm 56 */
						return
							BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_4);
					}
				else
					{
						obj_t BgL_mainz00_510;

						if (PAIRP(BgL_clausez00_4))
							{	/* Module/main.scm 58 */
								obj_t BgL_cdrzd2107zd2_515;

								BgL_cdrzd2107zd2_515 = CDR(BgL_clausez00_4);
								if (PAIRP(BgL_cdrzd2107zd2_515))
									{	/* Module/main.scm 58 */
										obj_t BgL_carzd2109zd2_517;

										BgL_carzd2109zd2_517 = CAR(BgL_cdrzd2107zd2_515);
										if (SYMBOLP(BgL_carzd2109zd2_517))
											{	/* Module/main.scm 58 */
												if (NULLP(CDR(BgL_cdrzd2107zd2_515)))
													{	/* Module/main.scm 58 */
														BgL_mainz00_510 = BgL_carzd2109zd2_517;
														{	/* Module/main.scm 60 */
															obj_t BgL_globalz00_521;

															BgL_globalz00_521 =
																BGl_findzd2globalzf2modulez20zzast_envz00
																(BgL_mainz00_510,
																BGl_za2moduleza2z00zzmodule_modulez00);
															if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_521,
																	BGl_globalz00zzast_varz00))
																{	/* Module/main.scm 61 */
																	if (BGl_correctzd2mainzf3z21zzmodule_mainz00(
																			((BgL_globalz00_bglt) BgL_globalz00_521)))
																		{	/* Module/main.scm 62 */
																			return BFALSE;
																		}
																	else
																		{	/* Module/main.scm 63 */
																			obj_t BgL_list1415z00_524;

																			BgL_list1415z00_524 =
																				MAKE_PAIR(BNIL, BNIL);
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BGl_za2moduleza2z00zzmodule_modulez00,
																				BGl_string1505z00zzmodule_mainz00,
																				BgL_mainz00_510, BgL_list1415z00_524);
																		}
																}
															else
																{	/* Module/main.scm 61 */
																	{	/* Module/main.scm 68 */
																		bool_t BgL_testz00_997;

																		if (
																			((long)
																				CINT
																				(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																				> ((long) 0)))
																			{	/* Module/main.scm 70 */
																				obj_t BgL_arg1435z00_535;

																				{	/* Module/main.scm 70 */
																					obj_t BgL_arg1436z00_536;

																					BgL_arg1436z00_536 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_arg1435z00_535 =
																						(((BgL_backendz00_bglt)
																							CREF(((BgL_backendz00_bglt)
																									BgL_arg1436z00_536)))->
																						BgL_debugzd2supportzd2);
																				}
																				BgL_testz00_997 =
																					CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(CNST_TABLE_REF(((long) 2)),
																						BgL_arg1435z00_535));
																			}
																		else
																			{	/* Module/main.scm 68 */
																				BgL_testz00_997 = ((bool_t) 0);
																			}
																		if (BgL_testz00_997)
																			{	/* Module/main.scm 71 */
																				obj_t BgL_arg1418z00_526;

																				{	/* Module/main.scm 71 */
																					obj_t BgL_arg1420z00_527;

																					{	/* Module/main.scm 71 */
																						obj_t BgL_arg1423z00_528;

																						{	/* Module/main.scm 71 */
																							obj_t BgL_arg1426z00_529;

																							BgL_arg1426z00_529 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										3)), BNIL);
																							BgL_arg1423z00_528 =
																								MAKE_PAIR(BgL_mainz00_510,
																								BgL_arg1426z00_529);
																						}
																						BgL_arg1420z00_527 =
																							MAKE_PAIR(BgL_arg1423z00_528,
																							BNIL);
																					}
																					BgL_arg1418z00_526 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								4)), BgL_arg1420z00_527);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg1418z00_526);
																			}
																		else
																			{	/* Module/main.scm 72 */
																				obj_t BgL_arg1427z00_530;

																				{	/* Module/main.scm 72 */
																					obj_t BgL_arg1428z00_531;

																					{	/* Module/main.scm 72 */
																						obj_t BgL_arg1429z00_532;

																						{	/* Module/main.scm 72 */
																							obj_t BgL_arg1433z00_533;

																							BgL_arg1433z00_533 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										5)), BNIL);
																							BgL_arg1429z00_532 =
																								MAKE_PAIR(BgL_mainz00_510,
																								BgL_arg1433z00_533);
																						}
																						BgL_arg1428z00_531 =
																							MAKE_PAIR(BgL_arg1429z00_532,
																							BNIL);
																					}
																					BgL_arg1427z00_530 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								4)), BgL_arg1428z00_531);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg1427z00_530);
																	}}
																	return (BGl_za2mainza2z00zzmodule_modulez00 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_mainz00_510,
																			BGl_za2moduleza2z00zzmodule_modulez00),
																		BUNSPEC);
																}
														}
													}
												else
													{	/* Module/main.scm 58 */
													BgL_tagzd2102zd2_512:
														{	/* Module/main.scm 75 */
															obj_t BgL_list1437z00_537;

															BgL_list1437z00_537 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1506z00zzmodule_mainz00,
																BGl_string1507z00zzmodule_mainz00,
																BgL_clausez00_4, BgL_list1437z00_537);
														}
													}
											}
										else
											{	/* Module/main.scm 58 */
												goto BgL_tagzd2102zd2_512;
											}
									}
								else
									{	/* Module/main.scm 58 */
										goto BgL_tagzd2102zd2_512;
									}
							}
						else
							{	/* Module/main.scm 58 */
								goto BgL_tagzd2102zd2_512;
							}
					}
			}
		}
	}



/* &main-producer */
	obj_t BGl_z62mainzd2producerzb0zzmodule_mainz00(obj_t BgL_envz00_889,
		obj_t BgL_clausez00_890)
	{
		AN_OBJECT;
		{	/* Module/main.scm 55 */
			return BGl_mainzd2producerzd2zzmodule_mainz00(BgL_clausez00_890);
		}
	}



/* main-consumer */
	obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_modulez00_5,
		obj_t BgL_clausez00_6)
	{
		AN_OBJECT;
		{	/* Module/main.scm 80 */
			{	/* Module/main.scm 81 */
				bool_t BgL_testz00_1025;

				{	/* Module/main.scm 81 */
					bool_t BgL_res1504z00_882;

					{	/* Module/main.scm 81 */
						obj_t BgL_objz00_881;

						BgL_objz00_881 = BGl_za2mainza2z00zzmodule_modulez00;
						BgL_res1504z00_882 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_881,
							BGl_globalz00zzast_varz00);
					}
					BgL_testz00_1025 = BgL_res1504z00_882;
				}
				if (BgL_testz00_1025)
					{	/* Module/main.scm 81 */
						BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_6);
					}
				else
					{	/* Module/main.scm 81 */
						BGl_za2mainza2z00zzmodule_modulez00 = CNST_TABLE_REF(((long) 1));
			}}
			return BNIL;
		}
	}



/* &main-consumer */
	obj_t BGl_z62mainzd2consumerzb0zzmodule_mainz00(obj_t BgL_envz00_891,
		obj_t BgL_modulez00_892, obj_t BgL_clausez00_893)
	{
		AN_OBJECT;
		{	/* Module/main.scm 80 */
			return
				BGl_mainzd2consumerzd2zzmodule_mainz00(BgL_modulez00_892,
				BgL_clausez00_893);
		}
	}



/* duplicate-main-error */
	obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t BgL_clausez00_7)
	{
		AN_OBJECT;
		{	/* Module/main.scm 89 */
			{	/* Module/main.scm 90 */
				obj_t BgL_list1440z00_540;

				BgL_list1440z00_540 = MAKE_PAIR(BNIL, BNIL);
				return
					BGl_userzd2errorzd2zztools_errorz00(BGl_string1506z00zzmodule_mainz00,
					BGl_string1508z00zzmodule_mainz00, BgL_clausez00_7,
					BgL_list1440z00_540);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string1509z00zzmodule_mainz00));
		}
	}

#ifdef __cplusplus
}
#endif
