/*===========================================================================*/
/*   (Reduce/cond.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/cond.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static BgL_nodez00_bglt
		BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2extern1768z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1791z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_condz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2condz121749za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_condz00();
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2atom1752z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2condzd2reducedza2zd2zzreduce_condz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2app1762z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121796zb0zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1794za2zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2funcall1766z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2fail1778z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1798za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_condz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_condz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1789z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_condz00();
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2var1756z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2kwote1754z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1783za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_condz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1775z70zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2cast1771z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sequence1760z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1786za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2appzd2ly1764za2zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setq1773z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2select1780z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2closure1758z70zzreduce_condz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2conditionalz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762reduceza7d2cond1986z00,
		BGl_z62reducezd2conditionalz12za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711987za7,
		BGl_z62nodezd2condz121749za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711988za7,
		BGl_z62nodezd2condz12zd2atom1752z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711989za7,
		BGl_z62nodezd2condz12zd2kwote1754z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711990za7,
		BGl_z62nodezd2condz12zd2var1756z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711991za7,
		BGl_z62nodezd2condz12zd2closure1758z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711992za7,
		BGl_z62nodezd2condz12zd2sequence1760z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711993za7,
		BGl_z62nodezd2condz12zd2app1762z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711994za7,
		BGl_z62nodezd2condz12zd2appzd2ly1764za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711995za7,
		BGl_z62nodezd2condz12zd2funcall1766z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711996za7,
		BGl_z62nodezd2condz12zd2extern1768z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711997za7,
		BGl_z62nodezd2condz12zd2cast1771z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711998za7,
		BGl_z62nodezd2condz12zd2setq1773z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza711999za7,
		BGl_z62nodezd2condz12zd2condition1775z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712000za7,
		BGl_z62nodezd2condz12zd2fail1778z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712001za7,
		BGl_z62nodezd2condz12zd2select1780z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712002za7,
		BGl_z62nodezd2condz12zd2letzd2fun1783za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712003za7,
		BGl_z62nodezd2condz12zd2letzd2var1786za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712004za7,
		BGl_z62nodezd2condz12zd2setzd2exzd2it1789z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712005za7,
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1791z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712006za7,
		BGl_z62nodezd2condz12zd2makezd2box1794za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712007za7,
		BGl_z62nodezd2condz12zd2boxzd2setz121796zb0zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712008za7,
		BGl_z62nodezd2condz12zd2boxzd2ref1798za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1955z00zzreduce_condz00,
		BgL_bgl_string1955za700za7za7r2009za7, "      conditional expression ", 29);
	      DEFINE_STRING(BGl_string1956z00zzreduce_condz00,
		BgL_bgl_string1956za700za7za7r2010za7, "(reduced: ", 10);
	      DEFINE_STRING(BGl_string1958z00zzreduce_condz00,
		BgL_bgl_string1958za700za7za7r2011za7, "node-cond!1749", 14);
	      DEFINE_STRING(BGl_string1959z00zzreduce_condz00,
		BgL_bgl_string1959za700za7za7r2012za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1961z00zzreduce_condz00,
		BgL_bgl_string1961za700za7za7r2013za7, "node-cond!", 10);
	      DEFINE_STRING(BGl_string1982z00zzreduce_condz00,
		BgL_bgl_string1982za700za7za7r2014za7, "reduce_cond", 11);
	      DEFINE_STRING(BGl_string1983z00zzreduce_condz00,
		BgL_bgl_string1983za700za7za7r2015za7, "node-cond!1749 done ", 20);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712016za7,
		BGl_z62nodezd2condz12za2zzreduce_condz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long
		BgL_checksumz00_2167, char *BgL_fromz00_2168)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_condz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_condz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
					BGl_cnstzd2initzd2zzreduce_condz00();
					BGl_importedzd2moduleszd2initz00zzreduce_condz00();
					BGl_genericzd2initzd2zzreduce_condz00();
					BGl_methodzd2initzd2zzreduce_condz00();
					BGl_toplevelzd2initzd2zzreduce_condz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_cond");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			{	/* Reduce/cond.scm 15 */
				obj_t BgL_cportz00_2155;

				BgL_cportz00_2155 =
					bgl_open_input_string(BGl_string1983z00zzreduce_condz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2156;

					BgL_iz00_2156 = ((long) 1);
				BgL_loopz00_2157:
					if ((BgL_iz00_2156 == ((long) -1)))
						{	/* Reduce/cond.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cond.scm 15 */
							{	/* Reduce/cond.scm 15 */
								obj_t BgL_arg1985z00_2159;

								{	/* Reduce/cond.scm 15 */

									{	/* Reduce/cond.scm 15 */
										obj_t BgL_locationz00_2161;

										BgL_locationz00_2161 = BBOOL(((bool_t) 0));
										{	/* Reduce/cond.scm 15 */

											BgL_arg1985z00_2159 =
												BGl_readz00zz__readerz00(BgL_cportz00_2155,
												BgL_locationz00_2161);
										}
									}
								}
								{	/* Reduce/cond.scm 15 */
									int BgL_auxz00_2190;

									BgL_auxz00_2190 = (int) (BgL_iz00_2156);
									CNST_TABLE_SET(BgL_auxz00_2190, BgL_arg1985z00_2159);
							}}
							{	/* Reduce/cond.scm 15 */
								int BgL_auxz00_2162;

								BgL_auxz00_2162 = (int) ((BgL_iz00_2156 - ((long) 1)));
								{
									long BgL_iz00_2195;

									BgL_iz00_2195 = (long) (BgL_auxz00_2162);
									BgL_iz00_2156 = BgL_iz00_2195;
									goto BgL_loopz00_2157;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_za2condzd2reducedza2zd2zzreduce_condz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-conditional! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 28 */
			{	/* Reduce/cond.scm 29 */
				obj_t BgL_list1805z00_1134;

				BgL_list1805z00_1134 =
					MAKE_PAIR(BGl_string1955z00zzreduce_condz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1805z00_1134);
			}
			{
				obj_t BgL_l1738z00_1136;

				BgL_l1738z00_1136 = BgL_globalsz00_3;
			BgL_zc3anonymousza31806ze3z83_1137:
				if (PAIRP(BgL_l1738z00_1136))
					{	/* Reduce/cond.scm 30 */
						{	/* Reduce/cond.scm 31 */
							obj_t BgL_globalz00_1139;

							BgL_globalz00_1139 = CAR(BgL_l1738z00_1136);
							{	/* Reduce/cond.scm 31 */
								BgL_valuez00_bglt BgL_funz00_1140;

								BgL_funz00_1140 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1139))))->
									BgL_valuez00);
								{	/* Reduce/cond.scm 31 */
									obj_t BgL_nodez00_1141;

									BgL_nodez00_1141 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1140)))->BgL_bodyz00);
									{	/* Reduce/cond.scm 32 */

										{	/* Reduce/cond.scm 33 */
											BgL_nodez00_bglt BgL_arg1812z00_1142;

											BgL_arg1812z00_1142 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_nodez00_1141));
											{	/* Reduce/cond.scm 33 */
												BgL_sfunz00_bglt BgL_oz00_2000;
												obj_t BgL_vz00_2001;

												BgL_oz00_2000 = ((BgL_sfunz00_bglt) BgL_funz00_1140);
												BgL_vz00_2001 = ((obj_t) BgL_arg1812z00_1142);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2000))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2001), BUNSPEC);
											}
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1738z00_2213;

							BgL_l1738z00_2213 = CDR(BgL_l1738z00_1136);
							BgL_l1738z00_1136 = BgL_l1738z00_2213;
							goto BgL_zc3anonymousza31806ze3z83_1137;
						}
					}
				else
					{	/* Reduce/cond.scm 30 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cond.scm 36 */
				obj_t BgL_list1816z00_1145;

				{	/* Reduce/cond.scm 36 */
					obj_t BgL_arg1821z00_1146;

					{	/* Reduce/cond.scm 36 */
						obj_t BgL_arg1827z00_1147;

						{	/* Reduce/cond.scm 36 */
							obj_t BgL_arg1830z00_1148;

							BgL_arg1830z00_1148 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1827z00_1147 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1830z00_1148);
						}
						BgL_arg1821z00_1146 =
							MAKE_PAIR(BINT(BGl_za2condzd2reducedza2zd2zzreduce_condz00),
							BgL_arg1827z00_1147);
					}
					BgL_list1816z00_1145 =
						MAKE_PAIR(BGl_string1956z00zzreduce_condz00, BgL_arg1821z00_1146);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1816z00_1145);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-conditional! */
	obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t BgL_envz00_2085,
		obj_t BgL_globalsz00_2086)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 28 */
			return
				BGl_reducezd2conditionalz12zc0zzreduce_condz00(BgL_globalsz00_2086);
		}
	}



/* node-cond*! */
	obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t BgL_nodeza2za2_26)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 239 */
			{
				obj_t BgL_nodeza2za2_1150;

				BgL_nodeza2za2_1150 = BgL_nodeza2za2_26;
			BgL_zc3anonymousza31831ze3z83_1151:
				if (NULLP(BgL_nodeza2za2_1150))
					{	/* Reduce/cond.scm 241 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/cond.scm 241 */
						{	/* Reduce/cond.scm 244 */
							BgL_nodez00_bglt BgL_arg1834z00_1153;

							{	/* Reduce/cond.scm 244 */
								obj_t BgL_arg1835z00_1154;

								BgL_arg1835z00_1154 = CAR(BgL_nodeza2za2_1150);
								BgL_arg1834z00_1153 =
									BGl_nodezd2condz12zc0zzreduce_condz00(
									((BgL_nodez00_bglt) BgL_arg1835z00_1154));
							}
							{	/* Reduce/cond.scm 244 */
								obj_t BgL_pairz00_2007;
								obj_t BgL_objz00_2008;

								BgL_pairz00_2007 = BgL_nodeza2za2_1150;
								BgL_objz00_2008 = ((obj_t) BgL_arg1834z00_1153);
								SET_CAR(BgL_pairz00_2007, BgL_objz00_2008);
							}
						}
						{
							obj_t BgL_nodeza2za2_2233;

							BgL_nodeza2za2_2233 = CDR(BgL_nodeza2za2_1150);
							BgL_nodeza2za2_1150 = BgL_nodeza2za2_2233;
							goto BgL_zc3anonymousza31831ze3z83_1151;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_proc1957z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string1958z00zzreduce_condz00);
		}
	}



/* &node-cond!1749 */
	obj_t BGl_z62nodezd2condz121749za2zzreduce_condz00(obj_t BgL_envz00_2088,
		obj_t BgL_nodez00_2089)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 47 */
			{
				BgL_nodez00_bglt BgL_nodez00_1158;

				BgL_nodez00_1158 = ((BgL_nodez00_bglt) BgL_nodez00_2089);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string1959z00zzreduce_condz00, ((obj_t) BgL_nodez00_1158));
		}}
	}



/* node-cond! */
	BgL_nodez00_bglt BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 47 */
			{	/* Reduce/cond.scm 47 */
				obj_t BgL_method1750z00_1161;

				{	/* Reduce/cond.scm 47 */
					obj_t BgL_res1948z00_2038;

					{	/* Reduce/cond.scm 47 */
						BgL_objectz00_bglt BgL_objz00_2010;

						BgL_objz00_2010 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/cond.scm 47 */
							long BgL_objzd2classzd2numz00_2011;

							{	/* Reduce/cond.scm 47 */
								long BgL_res1942z00_2014;

								BgL_res1942z00_2014 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2010);
								BgL_objzd2classzd2numz00_2011 = BgL_res1942z00_2014;
							}
							{	/* Reduce/cond.scm 47 */
								obj_t BgL_arg1822z00_2012;

								BgL_arg1822z00_2012 =
									PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
									(int) (((long) 1)));
								{	/* Reduce/cond.scm 47 */
									obj_t BgL_arrayz00_2015;
									int BgL_offsetz00_2016;

									BgL_arrayz00_2015 = BgL_arg1822z00_2012;
									BgL_offsetz00_2016 = (int) (BgL_objzd2classzd2numz00_2011);
									{	/* Reduce/cond.scm 47 */
										long BgL_offsetz00_2017;

										BgL_offsetz00_2017 =
											((long) (BgL_offsetz00_2016) - OBJECT_TYPE);
										{	/* Reduce/cond.scm 47 */
											long BgL_modz00_2018;

											{	/* Reduce/cond.scm 47 */
												int BgL_arg1824z00_2019;

												BgL_arg1824z00_2019 = (int) (((long) 16));
												{	/* Reduce/cond.scm 47 */
													long BgL_res1945z00_2029;

													{	/* Reduce/cond.scm 47 */
														long BgL_auxz00_2248;

														BgL_auxz00_2248 = (long) (BgL_arg1824z00_2019);
														BgL_res1945z00_2029 =
															(BgL_offsetz00_2017 / BgL_auxz00_2248);
													}
													BgL_modz00_2018 = BgL_res1945z00_2029;
											}}
											{	/* Reduce/cond.scm 47 */
												long BgL_restz00_2020;

												{	/* Reduce/cond.scm 47 */
													int BgL_arg1823z00_2021;

													BgL_arg1823z00_2021 = (int) (((long) 16));
													{	/* Reduce/cond.scm 47 */
														long BgL_res1947z00_2033;

														{	/* Reduce/cond.scm 47 */
															long BgL_auxz00_2252;

															BgL_auxz00_2252 = (long) (BgL_arg1823z00_2021);
															BgL_res1947z00_2033 =
																(BgL_offsetz00_2017 % BgL_auxz00_2252);
														}
														BgL_restz00_2020 = BgL_res1947z00_2033;
												}}
												{	/* Reduce/cond.scm 47 */

													BgL_res1948z00_2038 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2015,
															(int) (BgL_modz00_2018)),
														(int) (BgL_restz00_2020));
					}}}}}}}}
					BgL_method1750z00_1161 = BgL_res1948z00_2038;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1750z00_1161) (BgL_method1750z00_1161,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}
	}



/* &node-cond! */
	BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t
		BgL_envz00_2090, obj_t BgL_nodez00_2091)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 47 */
			return
				BGl_nodezd2condz12zc0zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_2091));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc1960z00zzreduce_condz00, BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1962z00zzreduce_condz00, BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_varz00zzast_nodez00,
				BGl_proc1963z00zzreduce_condz00, BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_closurez00zzast_nodez00, BGl_proc1964z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1965z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_appz00zzast_nodez00,
				BGl_proc1966z00zzreduce_condz00, BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1967z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1968z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_externz00zzast_nodez00, BGl_proc1969z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_castz00zzast_nodez00,
				BGl_proc1970z00zzreduce_condz00, BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_setqz00zzast_nodez00,
				BGl_proc1971z00zzreduce_condz00, BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1972z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_failz00zzast_nodez00,
				BGl_proc1973z00zzreduce_condz00, BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_selectz00zzast_nodez00, BGl_proc1974z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1975z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1976z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1977z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1978z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1979z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1980z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1981z00zzreduce_condz00,
				BGl_string1961z00zzreduce_condz00);
		}
	}



/* &node-cond!-box-ref1798 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1798za2zzreduce_condz00(obj_t
		BgL_envz00_2113, obj_t BgL_nodez00_2114)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 231 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1319;

				BgL_nodez00_1319 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2114);
				{
					BgL_varz00_bglt BgL_auxz00_2288;

					{	/* Reduce/cond.scm 233 */
						BgL_varz00_bglt BgL_arg1888z00_1323;

						BgL_arg1888z00_1323 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1319))->BgL_varz00);
						BgL_auxz00_2288 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(
								((BgL_nodez00_bglt) BgL_arg1888z00_1323)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1319))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2288), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1319);
			}
		}
	}



/* &node-cond!-box-set!1796 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121796zb0zzreduce_condz00(obj_t
		BgL_envz00_2115, obj_t BgL_nodez00_2116)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 222 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1312;

				BgL_nodez00_1312 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2116);
				{
					BgL_varz00_bglt BgL_auxz00_2296;

					{	/* Reduce/cond.scm 224 */
						BgL_varz00_bglt BgL_arg1885z00_1316;

						BgL_arg1885z00_1316 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1312))->BgL_varz00);
						BgL_auxz00_2296 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(
								((BgL_nodez00_bglt) BgL_arg1885z00_1316)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1312))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2296), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2302;

					{	/* Reduce/cond.scm 225 */
						BgL_nodez00_bglt BgL_arg1886z00_1317;

						BgL_arg1886z00_1317 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1312))->
							BgL_valuez00);
						BgL_auxz00_2302 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1886z00_1317);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1312))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2302), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1312);
			}
		}
	}



/* &node-cond!-make-box1794 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1794za2zzreduce_condz00(obj_t
		BgL_envz00_2117, obj_t BgL_nodez00_2118)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 214 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1306;

				BgL_nodez00_1306 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2118);
				{
					BgL_nodez00_bglt BgL_auxz00_2308;

					{	/* Reduce/cond.scm 216 */
						BgL_nodez00_bglt BgL_arg1883z00_1310;

						BgL_arg1883z00_1310 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1306))->BgL_valuez00);
						BgL_auxz00_2308 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1883z00_1310);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1306))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2308), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1306);
			}
		}
	}



/* &node-cond!-jump-ex-i1791 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1791z70zzreduce_condz00(obj_t
		BgL_envz00_2119, obj_t BgL_nodez00_2120)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 205 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1299;

				BgL_nodez00_1299 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2120);
				{
					BgL_nodez00_bglt BgL_auxz00_2314;

					{	/* Reduce/cond.scm 207 */
						BgL_nodez00_bglt BgL_arg1881z00_1303;

						BgL_arg1881z00_1303 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1299))->
							BgL_exitz00);
						BgL_auxz00_2314 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1881z00_1303);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1299))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2314), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2318;

					{	/* Reduce/cond.scm 208 */
						BgL_nodez00_bglt BgL_arg1882z00_1304;

						BgL_arg1882z00_1304 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1299))->
							BgL_valuez00);
						BgL_auxz00_2318 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1882z00_1304);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1299))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2318), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1299);
			}
		}
	}



/* &node-cond!-set-ex-it1789 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1789z70zzreduce_condz00(obj_t
		BgL_envz00_2121, obj_t BgL_nodez00_2122)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 196 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1292;

				BgL_nodez00_1292 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2122);
				{
					BgL_nodez00_bglt BgL_auxz00_2324;

					{	/* Reduce/cond.scm 198 */
						BgL_nodez00_bglt BgL_arg1879z00_1296;

						BgL_arg1879z00_1296 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1292))->
							BgL_bodyz00);
						BgL_auxz00_2324 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1879z00_1296);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1292))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2324), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2328;

					{	/* Reduce/cond.scm 199 */
						BgL_varz00_bglt BgL_arg1880z00_1297;

						BgL_arg1880z00_1297 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1292))->
							BgL_varz00);
						BgL_auxz00_2328 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(((BgL_nodez00_bglt)
									BgL_arg1880z00_1297)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1292))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2328), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1292);
			}
		}
	}



/* &node-cond!-let-var1786 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1786za2zzreduce_condz00(obj_t
		BgL_envz00_2123, obj_t BgL_nodez00_2124)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 185 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1276;

				BgL_nodez00_1276 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2124);
				{	/* Reduce/cond.scm 187 */
					obj_t BgL_g1748z00_1280;

					BgL_g1748z00_1280 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1276))->BgL_bindingsz00);
					{
						obj_t BgL_l1746z00_1282;

						BgL_l1746z00_1282 = BgL_g1748z00_1280;
					BgL_zc3anonymousza31873ze3z83_1283:
						if (PAIRP(BgL_l1746z00_1282))
							{	/* Reduce/cond.scm 187 */
								{	/* Reduce/cond.scm 188 */
									obj_t BgL_bindingz00_1285;

									BgL_bindingz00_1285 = CAR(BgL_l1746z00_1282);
									{	/* Reduce/cond.scm 188 */
										BgL_nodez00_bglt BgL_arg1875z00_1286;

										{	/* Reduce/cond.scm 188 */
											obj_t BgL_arg1876z00_1287;

											BgL_arg1876z00_1287 = CDR(BgL_bindingz00_1285);
											BgL_arg1875z00_1286 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_arg1876z00_1287));
										}
										{	/* Reduce/cond.scm 188 */
											obj_t BgL_pairz00_2077;
											obj_t BgL_objz00_2078;

											BgL_pairz00_2077 = BgL_bindingz00_1285;
											BgL_objz00_2078 = ((obj_t) BgL_arg1875z00_1286);
											SET_CDR(BgL_pairz00_2077, BgL_objz00_2078);
										}
									}
								}
								{
									obj_t BgL_l1746z00_2345;

									BgL_l1746z00_2345 = CDR(BgL_l1746z00_1282);
									BgL_l1746z00_1282 = BgL_l1746z00_2345;
									goto BgL_zc3anonymousza31873ze3z83_1283;
								}
							}
						else
							{	/* Reduce/cond.scm 187 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2347;

					{	/* Reduce/cond.scm 190 */
						BgL_nodez00_bglt BgL_arg1878z00_1290;

						BgL_arg1878z00_1290 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1276))->BgL_bodyz00);
						BgL_auxz00_2347 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1878z00_1290);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1276))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2347), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1276);
			}
		}
	}



/* &node-cond!-let-fun1783 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1783za2zzreduce_condz00(obj_t
		BgL_envz00_2125, obj_t BgL_nodez00_2126)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 173 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1259;

				BgL_nodez00_1259 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2126);
				{	/* Reduce/cond.scm 175 */
					obj_t BgL_g1745z00_1263;

					BgL_g1745z00_1263 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1259))->BgL_localsz00);
					{
						obj_t BgL_l1743z00_1265;

						BgL_l1743z00_1265 = BgL_g1745z00_1263;
					BgL_zc3anonymousza31866ze3z83_1266:
						if (PAIRP(BgL_l1743z00_1265))
							{	/* Reduce/cond.scm 175 */
								{	/* Reduce/cond.scm 176 */
									obj_t BgL_localz00_1268;

									BgL_localz00_1268 = CAR(BgL_l1743z00_1265);
									{	/* Reduce/cond.scm 176 */
										BgL_valuez00_bglt BgL_funz00_1269;

										BgL_funz00_1269 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1268))))->
											BgL_valuez00);
										{	/* Reduce/cond.scm 177 */
											BgL_nodez00_bglt BgL_arg1868z00_1270;

											{	/* Reduce/cond.scm 177 */
												obj_t BgL_arg1870z00_1271;

												BgL_arg1870z00_1271 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1269)))->
													BgL_bodyz00);
												BgL_arg1868z00_1270 =
													BGl_nodezd2condz12zc0zzreduce_condz00((
														(BgL_nodez00_bglt) BgL_arg1870z00_1271));
											}
											{	/* Reduce/cond.scm 177 */
												BgL_sfunz00_bglt BgL_oz00_2069;
												obj_t BgL_vz00_2070;

												BgL_oz00_2069 = ((BgL_sfunz00_bglt) BgL_funz00_1269);
												BgL_vz00_2070 = ((obj_t) BgL_arg1868z00_1270);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2069))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2070), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1743z00_2367;

									BgL_l1743z00_2367 = CDR(BgL_l1743z00_1265);
									BgL_l1743z00_1265 = BgL_l1743z00_2367;
									goto BgL_zc3anonymousza31866ze3z83_1266;
								}
							}
						else
							{	/* Reduce/cond.scm 175 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2369;

					{	/* Reduce/cond.scm 179 */
						BgL_nodez00_bglt BgL_arg1872z00_1274;

						BgL_arg1872z00_1274 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1259))->BgL_bodyz00);
						BgL_auxz00_2369 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1872z00_1274);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1259))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2369), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1259);
			}
		}
	}



/* &node-cond!-select1780 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2select1780z70zzreduce_condz00(obj_t
		BgL_envz00_2127, obj_t BgL_nodez00_2128)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 162 */
			{
				BgL_selectz00_bglt BgL_nodez00_1243;

				BgL_nodez00_1243 = ((BgL_selectz00_bglt) BgL_nodez00_2128);
				{
					BgL_nodez00_bglt BgL_auxz00_2375;

					{	/* Reduce/cond.scm 164 */
						BgL_nodez00_bglt BgL_arg1860z00_1247;

						BgL_arg1860z00_1247 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1243))->BgL_testz00);
						BgL_auxz00_2375 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1860z00_1247);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1243))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2375), BUNSPEC);
				}
				{	/* Reduce/cond.scm 165 */
					obj_t BgL_g1742z00_1248;

					BgL_g1742z00_1248 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1243))->BgL_clausesz00);
					{
						obj_t BgL_l1740z00_1250;

						BgL_l1740z00_1250 = BgL_g1742z00_1248;
					BgL_zc3anonymousza31861ze3z83_1251:
						if (PAIRP(BgL_l1740z00_1250))
							{	/* Reduce/cond.scm 165 */
								{	/* Reduce/cond.scm 166 */
									obj_t BgL_clausez00_1253;

									BgL_clausez00_1253 = CAR(BgL_l1740z00_1250);
									{	/* Reduce/cond.scm 166 */
										BgL_nodez00_bglt BgL_arg1863z00_1254;

										{	/* Reduce/cond.scm 166 */
											obj_t BgL_arg1864z00_1255;

											BgL_arg1864z00_1255 = CDR(BgL_clausez00_1253);
											BgL_arg1863z00_1254 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_arg1864z00_1255));
										}
										{	/* Reduce/cond.scm 166 */
											obj_t BgL_pairz00_2058;
											obj_t BgL_objz00_2059;

											BgL_pairz00_2058 = BgL_clausez00_1253;
											BgL_objz00_2059 = ((obj_t) BgL_arg1863z00_1254);
											SET_CDR(BgL_pairz00_2058, BgL_objz00_2059);
										}
									}
								}
								{
									obj_t BgL_l1740z00_2388;

									BgL_l1740z00_2388 = CDR(BgL_l1740z00_1250);
									BgL_l1740z00_1250 = BgL_l1740z00_2388;
									goto BgL_zc3anonymousza31861ze3z83_1251;
								}
							}
						else
							{	/* Reduce/cond.scm 165 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1243);
			}
		}
	}



/* &node-cond!-fail1778 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2fail1778z70zzreduce_condz00(obj_t
		BgL_envz00_2129, obj_t BgL_nodez00_2130)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 152 */
			{
				BgL_failz00_bglt BgL_nodez00_1235;

				BgL_nodez00_1235 = ((BgL_failz00_bglt) BgL_nodez00_2130);
				{
					BgL_nodez00_bglt BgL_auxz00_2392;

					{	/* Reduce/cond.scm 154 */
						BgL_nodez00_bglt BgL_arg1857z00_1239;

						BgL_arg1857z00_1239 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1235))->BgL_procz00);
						BgL_auxz00_2392 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1857z00_1239);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1235))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2392), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2396;

					{	/* Reduce/cond.scm 155 */
						BgL_nodez00_bglt BgL_arg1858z00_1240;

						BgL_arg1858z00_1240 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1235))->BgL_msgz00);
						BgL_auxz00_2396 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1858z00_1240);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1235))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2396), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2400;

					{	/* Reduce/cond.scm 156 */
						BgL_nodez00_bglt BgL_arg1859z00_1241;

						BgL_arg1859z00_1241 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1235))->BgL_objz00);
						BgL_auxz00_2400 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1859z00_1241);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1235))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2400), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1235);
			}
		}
	}



/* &node-cond!-condition1775 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1775z70zzreduce_condz00(obj_t
		BgL_envz00_2131, obj_t BgL_nodez00_2132)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 135 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1223;

				BgL_nodez00_1223 = ((BgL_conditionalz00_bglt) BgL_nodez00_2132);
				{
					BgL_nodez00_bglt BgL_auxz00_2406;

					{	/* Reduce/cond.scm 137 */
						BgL_nodez00_bglt BgL_arg1850z00_1227;

						BgL_arg1850z00_1227 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->BgL_testz00);
						BgL_auxz00_2406 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1850z00_1227);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2406), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2410;

					{	/* Reduce/cond.scm 138 */
						BgL_nodez00_bglt BgL_arg1851z00_1228;

						BgL_arg1851z00_1228 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->BgL_truez00);
						BgL_auxz00_2410 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1851z00_1228);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2410), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2414;

					{	/* Reduce/cond.scm 139 */
						BgL_nodez00_bglt BgL_arg1852z00_1229;

						BgL_arg1852z00_1229 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->
							BgL_falsez00);
						BgL_auxz00_2414 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1852z00_1229);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2414), BUNSPEC);
				}
				{	/* Reduce/cond.scm 140 */
					bool_t BgL_testz00_2418;

					{	/* Reduce/cond.scm 140 */
						BgL_nodez00_bglt BgL_arg1856z00_1233;

						BgL_arg1856z00_1233 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->BgL_testz00);
						{	/* Reduce/cond.scm 140 */
							bool_t BgL_res1949z00_2048;

							{	/* Reduce/cond.scm 140 */
								obj_t BgL_objz00_2047;

								BgL_objz00_2047 = ((obj_t) BgL_arg1856z00_1233);
								BgL_res1949z00_2048 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2047,
									BGl_atomz00zzast_nodez00);
							}
							BgL_testz00_2418 = BgL_res1949z00_2048;
						}
					}
					if (BgL_testz00_2418)
						{	/* Reduce/cond.scm 140 */
							BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
								(((long) 1) + BGl_za2condzd2reducedza2zd2zzreduce_condz00);
							if (CBOOL(
									(((BgL_atomz00_bglt) CREF(
												((BgL_atomz00_bglt)
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->
														BgL_testz00))))->BgL_valuez00)))
								{	/* Reduce/cond.scm 144 */
									return
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->
										BgL_truez00);
								}
							else
								{	/* Reduce/cond.scm 144 */
									return
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1223))->
										BgL_falsez00);
								}
						}
					else
						{	/* Reduce/cond.scm 140 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1223);
						}
				}
			}
		}
	}



/* &node-cond!-setq1773 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2setq1773z70zzreduce_condz00(obj_t
		BgL_envz00_2133, obj_t BgL_nodez00_2134)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 126 */
			{
				BgL_setqz00_bglt BgL_nodez00_1216;

				BgL_nodez00_1216 = ((BgL_setqz00_bglt) BgL_nodez00_2134);
				{
					BgL_nodez00_bglt BgL_auxz00_2432;

					{	/* Reduce/cond.scm 128 */
						BgL_nodez00_bglt BgL_arg1848z00_1220;

						BgL_arg1848z00_1220 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1216))->BgL_valuez00);
						BgL_auxz00_2432 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1848z00_1220);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1216))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2432), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2436;

					{	/* Reduce/cond.scm 129 */
						BgL_varz00_bglt BgL_arg1849z00_1221;

						BgL_arg1849z00_1221 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1216))->BgL_varz00);
						BgL_auxz00_2436 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(
								((BgL_nodez00_bglt) BgL_arg1849z00_1221)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1216))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2436), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1216);
			}
		}
	}



/* &node-cond!-cast1771 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2cast1771z70zzreduce_condz00(obj_t
		BgL_envz00_2135, obj_t BgL_nodez00_2136)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 118 */
			{
				BgL_castz00_bglt BgL_nodez00_1210;

				BgL_nodez00_1210 = ((BgL_castz00_bglt) BgL_nodez00_2136);
				BGl_nodezd2condz12zc0zzreduce_condz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1210))->BgL_argz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1210);
			}
		}
	}



/* &node-cond!-extern1768 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2extern1768z70zzreduce_condz00(obj_t
		BgL_envz00_2137, obj_t BgL_nodez00_2138)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 110 */
			{
				BgL_externz00_bglt BgL_nodez00_1204;

				BgL_nodez00_1204 = ((BgL_externz00_bglt) BgL_nodez00_2138);
				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1204))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_1204);
			}
		}
	}



/* &node-cond!-funcall1766 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2funcall1766z70zzreduce_condz00(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 101 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1197;

				BgL_nodez00_1197 = ((BgL_funcallz00_bglt) BgL_nodez00_2140);
				{
					BgL_nodez00_bglt BgL_auxz00_2452;

					{	/* Reduce/cond.scm 103 */
						BgL_nodez00_bglt BgL_arg1844z00_1201;

						BgL_arg1844z00_1201 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1197))->BgL_funz00);
						BgL_auxz00_2452 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1844z00_1201);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1197))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2452), BUNSPEC);
				}
				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1197))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1197);
			}
		}
	}



/* &node-cond!-app-ly1764 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2appzd2ly1764za2zzreduce_condz00(obj_t
		BgL_envz00_2141, obj_t BgL_nodez00_2142)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 92 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1190;

				BgL_nodez00_1190 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2142);
				{
					BgL_nodez00_bglt BgL_auxz00_2460;

					{	/* Reduce/cond.scm 94 */
						BgL_nodez00_bglt BgL_arg1841z00_1194;

						BgL_arg1841z00_1194 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1190))->BgL_funz00);
						BgL_auxz00_2460 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1841z00_1194);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1190))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2460), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2464;

					{	/* Reduce/cond.scm 95 */
						BgL_nodez00_bglt BgL_arg1842z00_1195;

						BgL_arg1842z00_1195 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1190))->BgL_argz00);
						BgL_auxz00_2464 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1842z00_1195);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1190))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2464), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1190);
			}
		}
	}



/* &node-cond!-app1762 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2app1762z70zzreduce_condz00(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 84 */
			{
				BgL_appz00_bglt BgL_nodez00_1184;

				BgL_nodez00_1184 = ((BgL_appz00_bglt) BgL_nodez00_2144);
				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1184))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1184);
			}
		}
	}



/* &node-cond!-sequence1760 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sequence1760z70zzreduce_condz00(obj_t
		BgL_envz00_2145, obj_t BgL_nodez00_2146)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 76 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1178;

				BgL_nodez00_1178 = ((BgL_sequencez00_bglt) BgL_nodez00_2146);
				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1178))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1178);
			}
		}
	}



/* &node-cond!-closure1758 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2closure1758z70zzreduce_condz00(obj_t
		BgL_envz00_2147, obj_t BgL_nodez00_2148)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 70 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2148));
		}
	}



/* &node-cond!-var1756 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2var1756z70zzreduce_condz00(obj_t
		BgL_envz00_2149, obj_t BgL_nodez00_2150)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 64 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2150));
		}
	}



/* &node-cond!-kwote1754 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2kwote1754z70zzreduce_condz00(obj_t
		BgL_envz00_2151, obj_t BgL_nodez00_2152)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 58 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2152));
		}
	}



/* &node-cond!-atom1752 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2atom1752z70zzreduce_condz00(obj_t
		BgL_envz00_2153, obj_t BgL_nodez00_2154)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 52 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2154));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string1982z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1982z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1982z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1982z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1982z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1982z00zzreduce_condz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string1982z00zzreduce_condz00));
		}
	}

#ifdef __cplusplus
}
#endif
