/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/copy.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2var1758z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2copyz121751za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2app1800z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2cast1771z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setq1773z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2funcall1766z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_copyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1798za2zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2kwote1756z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2appzd2ly1764za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2select1780z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2atom1754z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2extern1768z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1783za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1789z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sequence1762z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00();
	static obj_t BGl_genericzd2initzd2zzreduce_copyz00();
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2fail1778z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1786za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2closure1760z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_copyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1775z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
	static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121796zb0zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1794za2zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1791z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712006za7,
		BGl_z62nodezd2copyz121751za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712007za7,
		BGl_z62nodezd2copyz12zd2atom1754z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712008za7,
		BGl_z62nodezd2copyz12zd2kwote1756z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712009za7,
		BGl_z62nodezd2copyz12zd2var1758z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712010za7,
		BGl_z62nodezd2copyz12zd2closure1760z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712011za7,
		BGl_z62nodezd2copyz12zd2sequence1762z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712012za7,
		BGl_z62nodezd2copyz12zd2appzd2ly1764za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712013za7,
		BGl_z62nodezd2copyz12zd2funcall1766z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712014za7,
		BGl_z62nodezd2copyz12zd2extern1768z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712015za7,
		BGl_z62nodezd2copyz12zd2cast1771z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762reduceza7d2copy2016z00,
		BGl_z62reducezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712017za7,
		BGl_z62nodezd2copyz12zd2setq1773z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712018za7,
		BGl_z62nodezd2copyz12zd2condition1775z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712019za7,
		BGl_z62nodezd2copyz12zd2fail1778z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712020za7,
		BGl_z62nodezd2copyz12zd2select1780z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712021za7,
		BGl_z62nodezd2copyz12zd2letzd2fun1783za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712022za7,
		BGl_z62nodezd2copyz12zd2letzd2var1786za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712023za7,
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1789z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712024za7,
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1791z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712025za7,
		BGl_z62nodezd2copyz12zd2makezd2box1794za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712026za7,
		BGl_z62nodezd2copyz12zd2boxzd2setz121796zb0zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2002z00zzreduce_copyz00,
		BgL_bgl_string2002za700za7za7r2027za7, "reduce_copy", 11);
	      DEFINE_STRING(BGl_string2003z00zzreduce_copyz00,
		BgL_bgl_string2003za700za7za7r2028za7, "read node-copy!1751 done ", 25);
	      DEFINE_STRING(BGl_string1975z00zzreduce_copyz00,
		BgL_bgl_string1975za700za7za7r2029za7, "      copy propagation       ", 29);
	      DEFINE_STRING(BGl_string1976z00zzreduce_copyz00,
		BgL_bgl_string1976za700za7za7r2030za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1978z00zzreduce_copyz00,
		BgL_bgl_string1978za700za7za7r2031za7, "node-copy!1751", 14);
	      DEFINE_STRING(BGl_string1979z00zzreduce_copyz00,
		BgL_bgl_string1979za700za7za7r2032za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1981z00zzreduce_copyz00,
		BgL_bgl_string1981za700za7za7r2033za7, "node-copy!", 10);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712034za7,
		BGl_z62nodezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712035za7,
		BGl_z62nodezd2copyz12zd2boxzd2ref1798za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712036za7,
		BGl_z62nodezd2copyz12zd2app1800z70zzreduce_copyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long
		BgL_checksumz00_2219, char *BgL_fromz00_2220)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_copyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
					BGl_cnstzd2initzd2zzreduce_copyz00();
					BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
					BGl_genericzd2initzd2zzreduce_copyz00();
					BGl_methodzd2initzd2zzreduce_copyz00();
					BGl_toplevelzd2initzd2zzreduce_copyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_copy");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			{	/* Reduce/copy.scm 15 */
				obj_t BgL_cportz00_2208;

				BgL_cportz00_2208 =
					bgl_open_input_string(BGl_string2003z00zzreduce_copyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2209;

					BgL_iz00_2209 = ((long) 2);
				BgL_loopz00_2210:
					if ((BgL_iz00_2209 == ((long) -1)))
						{	/* Reduce/copy.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/copy.scm 15 */
							{	/* Reduce/copy.scm 15 */
								obj_t BgL_arg2005z00_2212;

								{	/* Reduce/copy.scm 15 */

									{	/* Reduce/copy.scm 15 */
										obj_t BgL_locationz00_2214;

										BgL_locationz00_2214 = BBOOL(((bool_t) 0));
										{	/* Reduce/copy.scm 15 */

											BgL_arg2005z00_2212 =
												BGl_readz00zz__readerz00(BgL_cportz00_2208,
												BgL_locationz00_2214);
										}
									}
								}
								{	/* Reduce/copy.scm 15 */
									int BgL_auxz00_2242;

									BgL_auxz00_2242 = (int) (BgL_iz00_2209);
									CNST_TABLE_SET(BgL_auxz00_2242, BgL_arg2005z00_2212);
							}}
							{	/* Reduce/copy.scm 15 */
								int BgL_auxz00_2215;

								BgL_auxz00_2215 = (int) ((BgL_iz00_2209 - ((long) 1)));
								{
									long BgL_iz00_2247;

									BgL_iz00_2247 = (long) (BgL_auxz00_2215);
									BgL_iz00_2209 = BgL_iz00_2247;
									goto BgL_loopz00_2210;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-copy! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 34 */
			{	/* Reduce/copy.scm 35 */
				obj_t BgL_list1805z00_1134;

				BgL_list1805z00_1134 =
					MAKE_PAIR(BGl_string1975z00zzreduce_copyz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1805z00_1134);
			}
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			{
				obj_t BgL_l1743z00_1136;

				BgL_l1743z00_1136 = BgL_globalsz00_3;
			BgL_zc3anonymousza31806ze3z83_1137:
				if (PAIRP(BgL_l1743z00_1136))
					{	/* Reduce/copy.scm 37 */
						{	/* Reduce/copy.scm 38 */
							obj_t BgL_globalz00_1139;

							BgL_globalz00_1139 = CAR(BgL_l1743z00_1136);
							{	/* Reduce/copy.scm 38 */
								BgL_valuez00_bglt BgL_funz00_1140;

								BgL_funz00_1140 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1139))))->
									BgL_valuez00);
								{	/* Reduce/copy.scm 38 */
									obj_t BgL_nodez00_1141;

									BgL_nodez00_1141 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1140)))->BgL_bodyz00);
									{	/* Reduce/copy.scm 39 */

										{	/* Reduce/copy.scm 40 */
											BgL_nodez00_bglt BgL_arg1812z00_1142;

											BgL_arg1812z00_1142 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_nodez00_1141));
											{	/* Reduce/copy.scm 40 */
												BgL_sfunz00_bglt BgL_oz00_2020;
												obj_t BgL_vz00_2021;

												BgL_oz00_2020 = ((BgL_sfunz00_bglt) BgL_funz00_1140);
												BgL_vz00_2021 = ((obj_t) BgL_arg1812z00_1142);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2020))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2021), BUNSPEC);
											}
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1743z00_2265;

							BgL_l1743z00_2265 = CDR(BgL_l1743z00_1136);
							BgL_l1743z00_1136 = BgL_l1743z00_2265;
							goto BgL_zc3anonymousza31806ze3z83_1137;
						}
					}
				else
					{	/* Reduce/copy.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/copy.scm 43 */
				obj_t BgL_list1816z00_1145;

				{	/* Reduce/copy.scm 43 */
					obj_t BgL_arg1821z00_1146;

					{	/* Reduce/copy.scm 43 */
						obj_t BgL_arg1827z00_1147;

						{	/* Reduce/copy.scm 43 */
							obj_t BgL_arg1830z00_1148;

							BgL_arg1830z00_1148 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1827z00_1147 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1830z00_1148);
						}
						BgL_arg1821z00_1146 =
							MAKE_PAIR(BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00),
							BgL_arg1827z00_1147);
					}
					BgL_list1816z00_1145 =
						MAKE_PAIR(BGl_string1976z00zzreduce_copyz00, BgL_arg1821z00_1146);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1816z00_1145);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-copy! */
	obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t BgL_envz00_2138,
		obj_t BgL_globalsz00_2139)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 34 */
			return BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_2139);
		}
	}



/* node-copy*! */
	obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_26)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 276 */
			{
				obj_t BgL_nodeza2za2_1150;

				BgL_nodeza2za2_1150 = BgL_nodeza2za2_26;
			BgL_zc3anonymousza31831ze3z83_1151:
				if (NULLP(BgL_nodeza2za2_1150))
					{	/* Reduce/copy.scm 278 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/copy.scm 278 */
						{	/* Reduce/copy.scm 281 */
							BgL_nodez00_bglt BgL_arg1834z00_1153;

							{	/* Reduce/copy.scm 281 */
								obj_t BgL_arg1835z00_1154;

								BgL_arg1835z00_1154 = CAR(BgL_nodeza2za2_1150);
								BgL_arg1834z00_1153 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_arg1835z00_1154));
							}
							{	/* Reduce/copy.scm 281 */
								obj_t BgL_pairz00_2027;
								obj_t BgL_objz00_2028;

								BgL_pairz00_2027 = BgL_nodeza2za2_1150;
								BgL_objz00_2028 = ((obj_t) BgL_arg1834z00_1153);
								SET_CAR(BgL_pairz00_2027, BgL_objz00_2028);
							}
						}
						{
							obj_t BgL_nodeza2za2_2285;

							BgL_nodeza2za2_2285 = CDR(BgL_nodeza2za2_1150);
							BgL_nodeza2za2_1150 = BgL_nodeza2za2_2285;
							goto BgL_zc3anonymousza31831ze3z83_1151;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_proc1977z00zzreduce_copyz00, BGl_nodez00zzast_nodez00,
				BGl_string1978z00zzreduce_copyz00);
		}
	}



/* &node-copy!1751 */
	obj_t BGl_z62nodezd2copyz121751za2zzreduce_copyz00(obj_t BgL_envz00_2141,
		obj_t BgL_nodez00_2142)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{
				BgL_nodez00_bglt BgL_nodez00_1158;

				BgL_nodez00_1158 = ((BgL_nodez00_bglt) BgL_nodez00_2142);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string1979z00zzreduce_copyz00, ((obj_t) BgL_nodez00_1158));
		}}
	}



/* node-copy! */
	BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{	/* Reduce/copy.scm 55 */
				obj_t BgL_method1752z00_1161;

				{	/* Reduce/copy.scm 55 */
					obj_t BgL_res1961z00_2058;

					{	/* Reduce/copy.scm 55 */
						BgL_objectz00_bglt BgL_objz00_2030;

						BgL_objz00_2030 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/copy.scm 55 */
							long BgL_objzd2classzd2numz00_2031;

							{	/* Reduce/copy.scm 55 */
								long BgL_res1955z00_2034;

								BgL_res1955z00_2034 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2030);
								BgL_objzd2classzd2numz00_2031 = BgL_res1955z00_2034;
							}
							{	/* Reduce/copy.scm 55 */
								obj_t BgL_arg1822z00_2032;

								BgL_arg1822z00_2032 =
									PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
									(int) (((long) 1)));
								{	/* Reduce/copy.scm 55 */
									obj_t BgL_arrayz00_2035;
									int BgL_offsetz00_2036;

									BgL_arrayz00_2035 = BgL_arg1822z00_2032;
									BgL_offsetz00_2036 = (int) (BgL_objzd2classzd2numz00_2031);
									{	/* Reduce/copy.scm 55 */
										long BgL_offsetz00_2037;

										BgL_offsetz00_2037 =
											((long) (BgL_offsetz00_2036) - OBJECT_TYPE);
										{	/* Reduce/copy.scm 55 */
											long BgL_modz00_2038;

											{	/* Reduce/copy.scm 55 */
												int BgL_arg1824z00_2039;

												BgL_arg1824z00_2039 = (int) (((long) 16));
												{	/* Reduce/copy.scm 55 */
													long BgL_res1958z00_2049;

													{	/* Reduce/copy.scm 55 */
														long BgL_auxz00_2300;

														BgL_auxz00_2300 = (long) (BgL_arg1824z00_2039);
														BgL_res1958z00_2049 =
															(BgL_offsetz00_2037 / BgL_auxz00_2300);
													}
													BgL_modz00_2038 = BgL_res1958z00_2049;
											}}
											{	/* Reduce/copy.scm 55 */
												long BgL_restz00_2040;

												{	/* Reduce/copy.scm 55 */
													int BgL_arg1823z00_2041;

													BgL_arg1823z00_2041 = (int) (((long) 16));
													{	/* Reduce/copy.scm 55 */
														long BgL_res1960z00_2053;

														{	/* Reduce/copy.scm 55 */
															long BgL_auxz00_2304;

															BgL_auxz00_2304 = (long) (BgL_arg1823z00_2041);
															BgL_res1960z00_2053 =
																(BgL_offsetz00_2037 % BgL_auxz00_2304);
														}
														BgL_restz00_2040 = BgL_res1960z00_2053;
												}}
												{	/* Reduce/copy.scm 55 */

													BgL_res1961z00_2058 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2035,
															(int) (BgL_modz00_2038)),
														(int) (BgL_restz00_2040));
					}}}}}}}}
					BgL_method1752z00_1161 = BgL_res1961z00_2058;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1752z00_1161) (BgL_method1752z00_1161,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}
	}



/* &node-copy! */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			return
				BGl_nodezd2copyz12zc0zzreduce_copyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2144));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc1980z00zzreduce_copyz00, BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1982z00zzreduce_copyz00, BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc1983z00zzreduce_copyz00, BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_closurez00zzast_nodez00, BGl_proc1984z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1985z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1986z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1987z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_externz00zzast_nodez00, BGl_proc1988z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc1989z00zzreduce_copyz00, BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00,
				BGl_proc1990z00zzreduce_copyz00, BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1991z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc1992z00zzreduce_copyz00, BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_selectz00zzast_nodez00, BGl_proc1993z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1994z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1995z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1996z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1997z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1998z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1999z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2000z00zzreduce_copyz00,
				BGl_string1981z00zzreduce_copyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00,
				BGl_proc2001z00zzreduce_copyz00, BGl_string1981z00zzreduce_copyz00);
		}
	}



/* &node-copy!-app1800 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2app1800z70zzreduce_copyz00(obj_t
		BgL_envz00_2166, obj_t BgL_nodez00_2167)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 268 */
			{
				BgL_appz00_bglt BgL_nodez00_1339;

				BgL_nodez00_1339 = ((BgL_appz00_bglt) BgL_nodez00_2167);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1339))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1339);
			}
		}
	}



/* &node-copy!-box-ref1798 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1798za2zzreduce_copyz00(obj_t
		BgL_envz00_2168, obj_t BgL_nodez00_2169)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 260 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1333;

				BgL_nodez00_1333 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2169);
				{
					BgL_varz00_bglt BgL_auxz00_2344;

					{	/* Reduce/copy.scm 262 */
						BgL_varz00_bglt BgL_arg1899z00_1337;

						BgL_arg1899z00_1337 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1333))->BgL_varz00);
						BgL_auxz00_2344 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg1899z00_1337)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1333))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2344), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1333);
			}
		}
	}



/* &node-copy!-box-set!1796 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121796zb0zzreduce_copyz00(obj_t
		BgL_envz00_2170, obj_t BgL_nodez00_2171)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 251 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1326;

				BgL_nodez00_1326 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2171);
				{
					BgL_varz00_bglt BgL_auxz00_2352;

					{	/* Reduce/copy.scm 253 */
						BgL_varz00_bglt BgL_arg1897z00_1330;

						BgL_arg1897z00_1330 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1326))->BgL_varz00);
						BgL_auxz00_2352 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg1897z00_1330)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1326))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2352), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2358;

					{	/* Reduce/copy.scm 254 */
						BgL_nodez00_bglt BgL_arg1898z00_1331;

						BgL_arg1898z00_1331 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1326))->
							BgL_valuez00);
						BgL_auxz00_2358 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1898z00_1331);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1326))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2358), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1326);
			}
		}
	}



/* &node-copy!-make-box1794 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1794za2zzreduce_copyz00(obj_t
		BgL_envz00_2172, obj_t BgL_nodez00_2173)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 243 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1320;

				BgL_nodez00_1320 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2173);
				{
					BgL_nodez00_bglt BgL_auxz00_2364;

					{	/* Reduce/copy.scm 245 */
						BgL_nodez00_bglt BgL_arg1896z00_1324;

						BgL_arg1896z00_1324 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1320))->BgL_valuez00);
						BgL_auxz00_2364 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1896z00_1324);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1320))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2364), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1320);
			}
		}
	}



/* &node-copy!-jump-ex-i1791 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1791z70zzreduce_copyz00(obj_t
		BgL_envz00_2174, obj_t BgL_nodez00_2175)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 234 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1313;

				BgL_nodez00_1313 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2175);
				{
					BgL_nodez00_bglt BgL_auxz00_2370;

					{	/* Reduce/copy.scm 236 */
						BgL_nodez00_bglt BgL_arg1894z00_1317;

						BgL_arg1894z00_1317 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1313))->
							BgL_exitz00);
						BgL_auxz00_2370 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1894z00_1317);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1313))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2370), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2374;

					{	/* Reduce/copy.scm 237 */
						BgL_nodez00_bglt BgL_arg1895z00_1318;

						BgL_arg1895z00_1318 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1313))->
							BgL_valuez00);
						BgL_auxz00_2374 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1895z00_1318);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1313))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2374), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1313);
			}
		}
	}



/* &node-copy!-set-ex-it1789 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1789z70zzreduce_copyz00(obj_t
		BgL_envz00_2176, obj_t BgL_nodez00_2177)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 225 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1306;

				BgL_nodez00_1306 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2177);
				{
					BgL_nodez00_bglt BgL_auxz00_2380;

					{	/* Reduce/copy.scm 227 */
						BgL_nodez00_bglt BgL_arg1892z00_1310;

						BgL_arg1892z00_1310 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1306))->
							BgL_bodyz00);
						BgL_auxz00_2380 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1892z00_1310);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1306))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2380), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2384;

					{	/* Reduce/copy.scm 228 */
						BgL_varz00_bglt BgL_arg1893z00_1311;

						BgL_arg1893z00_1311 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1306))->
							BgL_varz00);
						BgL_auxz00_2384 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(((BgL_nodez00_bglt)
									BgL_arg1893z00_1311)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1306))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2384), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1306);
			}
		}
	}



/* &node-copy!-let-var1786 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1786za2zzreduce_copyz00(obj_t
		BgL_envz00_2178, obj_t BgL_nodez00_2179)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 182 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1271;

				BgL_nodez00_1271 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2179);
				{
					obj_t BgL_obindingsz00_1278;
					obj_t BgL_nbindingsz00_1279;

					BgL_obindingsz00_1278 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1271))->BgL_bindingsz00);
					BgL_nbindingsz00_1279 = BNIL;
				BgL_zc3anonymousza31872ze3z83_1280:
					if (NULLP(BgL_obindingsz00_1278))
						{	/* Reduce/copy.scm 187 */
							bool_t BgL_testz00_2394;

							if (NULLP(BgL_nbindingsz00_1279))
								{	/* Reduce/copy.scm 187 */
									BgL_testz00_2394 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1271))->
										BgL_removablezf3zf3);
								}
							else
								{	/* Reduce/copy.scm 187 */
									BgL_testz00_2394 = ((bool_t) 0);
								}
							if (BgL_testz00_2394)
								{	/* Reduce/copy.scm 187 */
									return
										BGl_nodezd2copyz12zc0zzreduce_copyz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1271))->
											BgL_bodyz00));
								}
							else
								{	/* Reduce/copy.scm 187 */
									((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1271))->
											BgL_bindingsz00) =
										((obj_t) BgL_nbindingsz00_1279), BUNSPEC);
									{
										BgL_nodez00_bglt BgL_auxz00_2401;

										{	/* Reduce/copy.scm 191 */
											BgL_nodez00_bglt BgL_arg1876z00_1284;

											BgL_arg1876z00_1284 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1271))->
												BgL_bodyz00);
											BgL_auxz00_2401 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00
												(BgL_arg1876z00_1284);
										}
										((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1271))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_2401), BUNSPEC);
									}
									return ((BgL_nodez00_bglt) BgL_nodez00_1271);
								}
						}
					else
						{	/* Reduce/copy.scm 193 */
							obj_t BgL_bindingz00_1286;

							BgL_bindingz00_1286 = CAR(BgL_obindingsz00_1278);
							{	/* Reduce/copy.scm 193 */
								obj_t BgL_varz00_1287;

								BgL_varz00_1287 = CAR(BgL_bindingz00_1286);
								{	/* Reduce/copy.scm 194 */
									BgL_nodez00_bglt BgL_valz00_1288;

									{	/* Reduce/copy.scm 195 */
										obj_t BgL_arg1891z00_1303;

										BgL_arg1891z00_1303 = CDR(BgL_bindingz00_1286);
										BgL_valz00_1288 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00(
											((BgL_nodez00_bglt) BgL_arg1891z00_1303));
									}
									{	/* Reduce/copy.scm 195 */

										{	/* Reduce/copy.scm 196 */
											obj_t BgL_pairz00_2096;
											obj_t BgL_objz00_2097;

											BgL_pairz00_2096 = BgL_bindingz00_1286;
											BgL_objz00_2097 = ((obj_t) BgL_valz00_1288);
											SET_CDR(BgL_pairz00_2096, BgL_objz00_2097);
										}
										{	/* Reduce/copy.scm 205 */
											bool_t BgL_testz00_2413;

											if (
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1287)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
												{	/* Reduce/copy.scm 206 */
													bool_t BgL__ortest_1111z00_1294;

													{	/* Reduce/copy.scm 206 */
														bool_t BgL_res1968z00_2101;

														{	/* Reduce/copy.scm 206 */
															obj_t BgL_objz00_2100;

															BgL_objz00_2100 = ((obj_t) BgL_valz00_1288);
															BgL_res1968z00_2101 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_2100,
																BGl_atomz00zzast_nodez00);
														}
														BgL__ortest_1111z00_1294 = BgL_res1968z00_2101;
													}
													if (BgL__ortest_1111z00_1294)
														{	/* Reduce/copy.scm 206 */
															BgL_testz00_2413 = BgL__ortest_1111z00_1294;
														}
													else
														{	/* Reduce/copy.scm 207 */
															bool_t BgL_testz00_2422;

															{	/* Reduce/copy.scm 207 */
																bool_t BgL_res1969z00_2103;

																{	/* Reduce/copy.scm 207 */
																	obj_t BgL_objz00_2102;

																	BgL_objz00_2102 = ((obj_t) BgL_valz00_1288);
																	BgL_res1969z00_2103 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2102,
																		BGl_varz00zzast_nodez00);
																}
																BgL_testz00_2422 = BgL_res1969z00_2103;
															}
															if (BgL_testz00_2422)
																{	/* Reduce/copy.scm 207 */
																	if (
																		((((BgL_variablez00_bglt) CREF(
																						(((BgL_varz00_bglt) CREF(
																									((BgL_varz00_bglt)
																										BgL_valz00_1288)))->
																							BgL_variablez00)))->
																				BgL_accessz00) ==
																			CNST_TABLE_REF(((long) 2))))
																		{	/* Reduce/copy.scm 211 */
																			BgL_typez00_bglt BgL_arg1883z00_1297;
																			BgL_typez00_bglt BgL_arg1885z00_1298;

																			BgL_arg1883z00_1297 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_varz00_1287)))->BgL_typez00);
																			BgL_arg1885z00_1298 =
																				(((BgL_variablez00_bglt)
																					CREF((((BgL_varz00_bglt)
																								CREF(((BgL_varz00_bglt)
																										BgL_valz00_1288)))->
																							BgL_variablez00)))->BgL_typez00);
																			BgL_testz00_2413 =
																				BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																				(BgL_arg1883z00_1297,
																				BgL_arg1885z00_1298);
																		}
																	else
																		{	/* Reduce/copy.scm 208 */
																			BgL_testz00_2413 = ((bool_t) 0);
																		}
																}
															else
																{	/* Reduce/copy.scm 207 */
																	BgL_testz00_2413 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Reduce/copy.scm 205 */
													BgL_testz00_2413 = ((bool_t) 0);
												}
											if (BgL_testz00_2413)
												{	/* Reduce/copy.scm 205 */
													BGl_za2copyzd2removedza2zd2zzreduce_copyz00 =
														(BGl_za2copyzd2removedza2zd2zzreduce_copyz00 +
														((long) 1));
													{	/* Reduce/copy.scm 218 */
														BgL_variablez00_bglt BgL_oz00_2121;
														obj_t BgL_vz00_2122;

														BgL_oz00_2121 =
															((BgL_variablez00_bglt) BgL_varz00_1287);
														BgL_vz00_2122 = ((obj_t) BgL_valz00_1288);
														((((BgL_variablez00_bglt) CREF(BgL_oz00_2121))->
																BgL_fastzd2alphazd2) =
															((obj_t) BgL_vz00_2122), BUNSPEC);
													}
													{
														obj_t BgL_obindingsz00_2441;

														BgL_obindingsz00_2441 = CDR(BgL_obindingsz00_1278);
														BgL_obindingsz00_1278 = BgL_obindingsz00_2441;
														goto BgL_zc3anonymousza31872ze3z83_1280;
													}
												}
											else
												{	/* Reduce/copy.scm 220 */
													obj_t BgL_arg1880z00_1291;
													obj_t BgL_arg1881z00_1292;

													BgL_arg1880z00_1291 = CDR(BgL_obindingsz00_1278);
													BgL_arg1881z00_1292 =
														MAKE_PAIR(BgL_bindingz00_1286,
														BgL_nbindingsz00_1279);
													{
														obj_t BgL_nbindingsz00_2446;
														obj_t BgL_obindingsz00_2445;

														BgL_obindingsz00_2445 = BgL_arg1880z00_1291;
														BgL_nbindingsz00_2446 = BgL_arg1881z00_1292;
														BgL_nbindingsz00_1279 = BgL_nbindingsz00_2446;
														BgL_obindingsz00_1278 = BgL_obindingsz00_2445;
														goto BgL_zc3anonymousza31872ze3z83_1280;
													}
												}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* &node-copy!-let-fun1783 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1783za2zzreduce_copyz00(obj_t
		BgL_envz00_2180, obj_t BgL_nodez00_2181)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 170 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1254;

				BgL_nodez00_1254 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2181);
				{	/* Reduce/copy.scm 172 */
					obj_t BgL_g1750z00_1258;

					BgL_g1750z00_1258 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1254))->BgL_localsz00);
					{
						obj_t BgL_l1748z00_1260;

						BgL_l1748z00_1260 = BgL_g1750z00_1258;
					BgL_zc3anonymousza31864ze3z83_1261:
						if (PAIRP(BgL_l1748z00_1260))
							{	/* Reduce/copy.scm 172 */
								{	/* Reduce/copy.scm 173 */
									obj_t BgL_localz00_1263;

									BgL_localz00_1263 = CAR(BgL_l1748z00_1260);
									{	/* Reduce/copy.scm 173 */
										BgL_valuez00_bglt BgL_funz00_1264;

										BgL_funz00_1264 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1263))))->
											BgL_valuez00);
										{	/* Reduce/copy.scm 174 */
											BgL_nodez00_bglt BgL_arg1866z00_1265;

											{	/* Reduce/copy.scm 174 */
												obj_t BgL_arg1867z00_1266;

												BgL_arg1867z00_1266 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1264)))->
													BgL_bodyz00);
												BgL_arg1866z00_1265 =
													BGl_nodezd2copyz12zc0zzreduce_copyz00((
														(BgL_nodez00_bglt) BgL_arg1867z00_1266));
											}
											{	/* Reduce/copy.scm 174 */
												BgL_sfunz00_bglt BgL_oz00_2085;
												obj_t BgL_vz00_2086;

												BgL_oz00_2085 = ((BgL_sfunz00_bglt) BgL_funz00_1264);
												BgL_vz00_2086 = ((obj_t) BgL_arg1866z00_1265);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2085))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2086), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1748z00_2463;

									BgL_l1748z00_2463 = CDR(BgL_l1748z00_1260);
									BgL_l1748z00_1260 = BgL_l1748z00_2463;
									goto BgL_zc3anonymousza31864ze3z83_1261;
								}
							}
						else
							{	/* Reduce/copy.scm 172 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2465;

					{	/* Reduce/copy.scm 176 */
						BgL_nodez00_bglt BgL_arg1870z00_1269;

						BgL_arg1870z00_1269 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1254))->BgL_bodyz00);
						BgL_auxz00_2465 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1870z00_1269);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1254))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2465), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1254);
			}
		}
	}



/* &node-copy!-select1780 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2select1780z70zzreduce_copyz00(obj_t
		BgL_envz00_2182, obj_t BgL_nodez00_2183)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 159 */
			{
				BgL_selectz00_bglt BgL_nodez00_1238;

				BgL_nodez00_1238 = ((BgL_selectz00_bglt) BgL_nodez00_2183);
				{
					BgL_nodez00_bglt BgL_auxz00_2471;

					{	/* Reduce/copy.scm 161 */
						BgL_nodez00_bglt BgL_arg1857z00_1242;

						BgL_arg1857z00_1242 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1238))->BgL_testz00);
						BgL_auxz00_2471 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1857z00_1242);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1238))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2471), BUNSPEC);
				}
				{	/* Reduce/copy.scm 162 */
					obj_t BgL_g1747z00_1243;

					BgL_g1747z00_1243 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1238))->BgL_clausesz00);
					{
						obj_t BgL_l1745z00_1245;

						BgL_l1745z00_1245 = BgL_g1747z00_1243;
					BgL_zc3anonymousza31858ze3z83_1246:
						if (PAIRP(BgL_l1745z00_1245))
							{	/* Reduce/copy.scm 162 */
								{	/* Reduce/copy.scm 163 */
									obj_t BgL_clausez00_1248;

									BgL_clausez00_1248 = CAR(BgL_l1745z00_1245);
									{	/* Reduce/copy.scm 163 */
										BgL_nodez00_bglt BgL_arg1860z00_1249;

										{	/* Reduce/copy.scm 163 */
											obj_t BgL_arg1861z00_1250;

											BgL_arg1861z00_1250 = CDR(BgL_clausez00_1248);
											BgL_arg1860z00_1249 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_arg1861z00_1250));
										}
										{	/* Reduce/copy.scm 163 */
											obj_t BgL_pairz00_2074;
											obj_t BgL_objz00_2075;

											BgL_pairz00_2074 = BgL_clausez00_1248;
											BgL_objz00_2075 = ((obj_t) BgL_arg1860z00_1249);
											SET_CDR(BgL_pairz00_2074, BgL_objz00_2075);
										}
									}
								}
								{
									obj_t BgL_l1745z00_2484;

									BgL_l1745z00_2484 = CDR(BgL_l1745z00_1245);
									BgL_l1745z00_1245 = BgL_l1745z00_2484;
									goto BgL_zc3anonymousza31858ze3z83_1246;
								}
							}
						else
							{	/* Reduce/copy.scm 162 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1238);
			}
		}
	}



/* &node-copy!-fail1778 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2fail1778z70zzreduce_copyz00(obj_t
		BgL_envz00_2184, obj_t BgL_nodez00_2185)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 149 */
			{
				BgL_failz00_bglt BgL_nodez00_1230;

				BgL_nodez00_1230 = ((BgL_failz00_bglt) BgL_nodez00_2185);
				{
					BgL_nodez00_bglt BgL_auxz00_2488;

					{	/* Reduce/copy.scm 151 */
						BgL_nodez00_bglt BgL_arg1854z00_1234;

						BgL_arg1854z00_1234 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1230))->BgL_procz00);
						BgL_auxz00_2488 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1854z00_1234);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1230))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2488), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2492;

					{	/* Reduce/copy.scm 152 */
						BgL_nodez00_bglt BgL_arg1855z00_1235;

						BgL_arg1855z00_1235 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1230))->BgL_msgz00);
						BgL_auxz00_2492 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1855z00_1235);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1230))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2492), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2496;

					{	/* Reduce/copy.scm 153 */
						BgL_nodez00_bglt BgL_arg1856z00_1236;

						BgL_arg1856z00_1236 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1230))->BgL_objz00);
						BgL_auxz00_2496 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1856z00_1236);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1230))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2496), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1230);
			}
		}
	}



/* &node-copy!-condition1775 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1775z70zzreduce_copyz00(obj_t
		BgL_envz00_2186, obj_t BgL_nodez00_2187)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 139 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1222;

				BgL_nodez00_1222 = ((BgL_conditionalz00_bglt) BgL_nodez00_2187);
				{
					BgL_nodez00_bglt BgL_auxz00_2502;

					{	/* Reduce/copy.scm 141 */
						BgL_nodez00_bglt BgL_arg1851z00_1226;

						BgL_arg1851z00_1226 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1222))->BgL_testz00);
						BgL_auxz00_2502 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1851z00_1226);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1222))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2502), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2506;

					{	/* Reduce/copy.scm 142 */
						BgL_nodez00_bglt BgL_arg1852z00_1227;

						BgL_arg1852z00_1227 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1222))->BgL_truez00);
						BgL_auxz00_2506 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1852z00_1227);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1222))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2506), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2510;

					{	/* Reduce/copy.scm 143 */
						BgL_nodez00_bglt BgL_arg1853z00_1228;

						BgL_arg1853z00_1228 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1222))->
							BgL_falsez00);
						BgL_auxz00_2510 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1853z00_1228);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1222))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2510), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1222);
			}
		}
	}



/* &node-copy!-setq1773 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2setq1773z70zzreduce_copyz00(obj_t
		BgL_envz00_2188, obj_t BgL_nodez00_2189)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 130 */
			{
				BgL_setqz00_bglt BgL_nodez00_1215;

				BgL_nodez00_1215 = ((BgL_setqz00_bglt) BgL_nodez00_2189);
				{
					BgL_nodez00_bglt BgL_auxz00_2516;

					{	/* Reduce/copy.scm 132 */
						BgL_nodez00_bglt BgL_arg1849z00_1219;

						BgL_arg1849z00_1219 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1215))->BgL_valuez00);
						BgL_auxz00_2516 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1849z00_1219);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1215))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2516), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2520;

					{	/* Reduce/copy.scm 133 */
						BgL_varz00_bglt BgL_arg1850z00_1220;

						BgL_arg1850z00_1220 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1215))->BgL_varz00);
						BgL_auxz00_2520 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg1850z00_1220)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1215))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2520), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1215);
			}
		}
	}



/* &node-copy!-cast1771 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2cast1771z70zzreduce_copyz00(obj_t
		BgL_envz00_2190, obj_t BgL_nodez00_2191)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 122 */
			{
				BgL_castz00_bglt BgL_nodez00_1209;

				BgL_nodez00_1209 = ((BgL_castz00_bglt) BgL_nodez00_2191);
				{
					BgL_nodez00_bglt BgL_auxz00_2528;

					{	/* Reduce/copy.scm 124 */
						BgL_nodez00_bglt BgL_arg1848z00_1213;

						BgL_arg1848z00_1213 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1209))->BgL_argz00);
						BgL_auxz00_2528 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1848z00_1213);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_1209))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2528), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1209);
			}
		}
	}



/* &node-copy!-extern1768 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2extern1768z70zzreduce_copyz00(obj_t
		BgL_envz00_2192, obj_t BgL_nodez00_2193)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 114 */
			{
				BgL_externz00_bglt BgL_nodez00_1203;

				BgL_nodez00_1203 = ((BgL_externz00_bglt) BgL_nodez00_2193);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1203))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_1203);
			}
		}
	}



/* &node-copy!-funcall1766 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2funcall1766z70zzreduce_copyz00(obj_t
		BgL_envz00_2194, obj_t BgL_nodez00_2195)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 105 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1196;

				BgL_nodez00_1196 = ((BgL_funcallz00_bglt) BgL_nodez00_2195);
				{
					BgL_nodez00_bglt BgL_auxz00_2538;

					{	/* Reduce/copy.scm 107 */
						BgL_nodez00_bglt BgL_arg1845z00_1200;

						BgL_arg1845z00_1200 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1196))->BgL_funz00);
						BgL_auxz00_2538 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1845z00_1200);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1196))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2538), BUNSPEC);
				}
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1196))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1196);
			}
		}
	}



/* &node-copy!-app-ly1764 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2appzd2ly1764za2zzreduce_copyz00(obj_t
		BgL_envz00_2196, obj_t BgL_nodez00_2197)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 96 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1189;

				BgL_nodez00_1189 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2197);
				{
					BgL_nodez00_bglt BgL_auxz00_2546;

					{	/* Reduce/copy.scm 98 */
						BgL_nodez00_bglt BgL_arg1842z00_1193;

						BgL_arg1842z00_1193 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1189))->BgL_funz00);
						BgL_auxz00_2546 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1842z00_1193);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1189))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2546), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2550;

					{	/* Reduce/copy.scm 99 */
						BgL_nodez00_bglt BgL_arg1844z00_1194;

						BgL_arg1844z00_1194 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1189))->BgL_argz00);
						BgL_auxz00_2550 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1844z00_1194);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1189))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2550), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1189);
			}
		}
	}



/* &node-copy!-sequence1762 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sequence1762z70zzreduce_copyz00(obj_t
		BgL_envz00_2198, obj_t BgL_nodez00_2199)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 88 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1183;

				BgL_nodez00_1183 = ((BgL_sequencez00_bglt) BgL_nodez00_2199);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1183))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1183);
			}
		}
	}



/* &node-copy!-closure1760 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2closure1760z70zzreduce_copyz00(obj_t
		BgL_envz00_2200, obj_t BgL_nodez00_2201)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 82 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2201));
		}
	}



/* &node-copy!-var1758 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2var1758z70zzreduce_copyz00(obj_t
		BgL_envz00_2202, obj_t BgL_nodez00_2203)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 72 */
			{
				BgL_varz00_bglt BgL_nodez00_1170;

				BgL_nodez00_1170 = ((BgL_varz00_bglt) BgL_nodez00_2203);
				{	/* Reduce/copy.scm 73 */
					BgL_variablez00_bglt BgL_vz00_1173;

					BgL_vz00_1173 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1170))->BgL_variablez00);
					{	/* Reduce/copy.scm 74 */
						obj_t BgL_falphaz00_1174;

						BgL_falphaz00_1174 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1173))->
							BgL_fastzd2alphazd2);
						if ((BgL_falphaz00_1174 == BUNSPEC))
							{	/* Reduce/copy.scm 75 */
								return ((BgL_nodez00_bglt) BgL_nodez00_1170);
							}
						else
							{	/* Reduce/copy.scm 76 */
								obj_t BgL_arg1839z00_1176;
								BgL_nodez00_bglt BgL_arg1840z00_1177;

								BgL_arg1839z00_1176 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1170)))->BgL_locz00);
								BgL_arg1840z00_1177 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_falphaz00_1174));
								return
									BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg1839z00_1176, BgL_arg1840z00_1177);
							}
					}
				}
			}
		}
	}



/* &node-copy!-kwote1756 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2kwote1756z70zzreduce_copyz00(obj_t
		BgL_envz00_2204, obj_t BgL_nodez00_2205)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2205));
		}
	}



/* &node-copy!-atom1754 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2atom1754z70zzreduce_copyz00(obj_t
		BgL_envz00_2206, obj_t BgL_nodez00_2207)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 60 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2207));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2002z00zzreduce_copyz00));
		}
	}

#ifdef __cplusplus
}
#endif
