/*===========================================================================*/
/*   (Reduce/ftypec.scm)                                                     */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/ftypec.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1961za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21967z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1951z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1953z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1963za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1942z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz121939za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
		BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1975z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1965z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1955z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1969za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121971zb0zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1947z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1957z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select1959z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1944za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1973za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1949z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72219za7,
		BGl_z62nodezd2typecz12zd2funcall1947z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72220za7,
		BGl_z62nodezd2typecz12zd2extern1949z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72221za7,
		BGl_z62nodezd2typecz12zd2cast1951z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72222za7,
		BGl_z62nodezd2typecz12zd2setq1953z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72223za7,
		BGl_z62nodezd2typecz12zd2conditio1955z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72224za7,
		BGl_z62nodezd2typecz12zd2fail1957z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72225za7,
		BGl_z62nodezd2typecz12zd2select1959z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72226za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1961za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72227za7,
		BGl_z62nodezd2typecz12zd2letzd2var1963za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72228za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1965z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72229za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21967z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72230za7,
		BGl_z62nodezd2typecz12zd2makezd2box1969za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72231za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121971zb0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72232za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1973za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72233za7,
		BGl_z62nodezd2typecz12zd2app1975z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2191z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2191za700za7za7r2234za7, "      flow type check        ", 29);
	      DEFINE_STRING(BGl_string2192z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2192za700za7za7r2235za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2193z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2193za700za7za7r2236za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string2194z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2194za700za7za7r2237za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string2196z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2196za700za7za7r2238za7, "node-typec!1939", 15);
	      DEFINE_STRING(BGl_string2198z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2198za700za7za7r2239za7, "node-typec!", 11);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72240za7,
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2215za700za7za7r2241za7, "reduce_flow-typec", 17);
	      DEFINE_STRING(BGl_string2216z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2216za700za7za7r2242za7, "read done ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72243za7,
		BGl_z62nodezd2typecz121939za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72244za7,
		BGl_z62nodezd2typecz12zd2sequence1942z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72245za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1944za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2flowzd2typezd2checkz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762reduceza7d2flow2246z00,
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long
		BgL_checksumz00_2668, char *BgL_fromz00_2669)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2))
				{
					BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_flow-typec");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			{	/* Reduce/ftypec.scm 15 */
				obj_t BgL_cportz00_2658;

				BgL_cportz00_2658 =
					bgl_open_input_string(BGl_string2216z00zzreduce_flowzd2typeczd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_2659;

					BgL_iz00_2659 = ((long) 1);
				BgL_loopz00_2660:
					if ((BgL_iz00_2659 == ((long) -1)))
						{	/* Reduce/ftypec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/ftypec.scm 15 */
							{	/* Reduce/ftypec.scm 15 */
								obj_t BgL_arg2218z00_2662;

								{	/* Reduce/ftypec.scm 15 */

									{	/* Reduce/ftypec.scm 15 */
										obj_t BgL_locationz00_2664;

										BgL_locationz00_2664 = BBOOL(((bool_t) 0));
										{	/* Reduce/ftypec.scm 15 */

											BgL_arg2218z00_2662 =
												BGl_readz00zz__readerz00(BgL_cportz00_2658,
												BgL_locationz00_2664);
										}
									}
								}
								{	/* Reduce/ftypec.scm 15 */
									int BgL_auxz00_2690;

									BgL_auxz00_2690 = (int) (BgL_iz00_2659);
									CNST_TABLE_SET(BgL_auxz00_2690, BgL_arg2218z00_2662);
							}}
							{	/* Reduce/ftypec.scm 15 */
								int BgL_auxz00_2665;

								BgL_auxz00_2665 = (int) ((BgL_iz00_2659 - ((long) 1)));
								{
									long BgL_iz00_2695;

									BgL_iz00_2695 = (long) (BgL_auxz00_2665);
									BgL_iz00_2659 = BgL_iz00_2695;
									goto BgL_loopz00_2660;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 =
				((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-flow-type-check! */
	BGL_EXPORTED_DEF obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			{	/* Reduce/ftypec.scm 55 */
				obj_t BgL_list1979z00_1370;

				BgL_list1979z00_1370 =
					MAKE_PAIR(BGl_string2191z00zzreduce_flowzd2typeczd2, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1979z00_1370);
			}
			{
				obj_t BgL_l1879z00_1372;

				BgL_l1879z00_1372 = BgL_globalsz00_3;
			BgL_zc3anonymousza31980ze3z83_1373:
				if (PAIRP(BgL_l1879z00_1372))
					{	/* Reduce/ftypec.scm 56 */
						{	/* Reduce/ftypec.scm 57 */
							obj_t BgL_globalz00_1375;

							BgL_globalz00_1375 = CAR(BgL_l1879z00_1372);
							{	/* Reduce/ftypec.scm 57 */
								BgL_valuez00_bglt BgL_funz00_1376;

								BgL_funz00_1376 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1375))))->
									BgL_valuez00);
								{	/* Reduce/ftypec.scm 57 */
									obj_t BgL_nodez00_1377;

									BgL_nodez00_1377 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1376)))->BgL_bodyz00);
									{	/* Reduce/ftypec.scm 58 */

										{	/* Reduce/ftypec.scm 59 */
											BgL_nodez00_bglt BgL_arg1982z00_1378;

											BgL_arg1982z00_1378 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_nodez00_1377), BNIL);
											{	/* Reduce/ftypec.scm 59 */
												BgL_sfunz00_bglt BgL_oz00_2442;
												obj_t BgL_vz00_2443;

												BgL_oz00_2442 = ((BgL_sfunz00_bglt) BgL_funz00_1376);
												BgL_vz00_2443 = ((obj_t) BgL_arg1982z00_1378);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2442))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2443), BUNSPEC);
											}
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1879z00_2713;

							BgL_l1879z00_2713 = CDR(BgL_l1879z00_1372);
							BgL_l1879z00_1372 = BgL_l1879z00_2713;
							goto BgL_zc3anonymousza31980ze3z83_1373;
						}
					}
				else
					{	/* Reduce/ftypec.scm 56 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/ftypec.scm 62 */
				obj_t BgL_list1984z00_1381;

				{	/* Reduce/ftypec.scm 62 */
					obj_t BgL_arg1985z00_1382;

					{	/* Reduce/ftypec.scm 62 */
						obj_t BgL_arg1986z00_1383;

						{	/* Reduce/ftypec.scm 62 */
							obj_t BgL_arg1987z00_1384;

							{	/* Reduce/ftypec.scm 62 */
								obj_t BgL_arg1988z00_1385;

								BgL_arg1988z00_1385 =
									MAKE_PAIR(BGl_string2192z00zzreduce_flowzd2typeczd2, BNIL);
								BgL_arg1987z00_1384 =
									MAKE_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2),
									BgL_arg1988z00_1385);
							}
							BgL_arg1986z00_1383 =
								MAKE_PAIR(BGl_string2193z00zzreduce_flowzd2typeczd2,
								BgL_arg1987z00_1384);
						}
						BgL_arg1985z00_1382 =
							MAKE_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2),
							BgL_arg1986z00_1383);
					}
					BgL_list1984z00_1381 =
						MAKE_PAIR(BGl_string2194z00zzreduce_flowzd2typeczd2,
						BgL_arg1985z00_1382);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1984z00_1381);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-flow-type-check! */
	obj_t BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2581, obj_t BgL_globalsz00_2582)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			return
				BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
				(BgL_globalsz00_2582);
		}
	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t
		BgL_nodeza2za2_38, obj_t BgL_stackz00_39)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 293 */
			{
				obj_t BgL_nodeza2za2_1387;

				BgL_nodeza2za2_1387 = BgL_nodeza2za2_38;
			BgL_zc3anonymousza31989ze3z83_1388:
				if (NULLP(BgL_nodeza2za2_1387))
					{	/* Reduce/ftypec.scm 295 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/ftypec.scm 295 */
						{	/* Reduce/ftypec.scm 298 */
							BgL_nodez00_bglt BgL_arg1991z00_1390;

							{	/* Reduce/ftypec.scm 298 */
								obj_t BgL_arg1992z00_1391;

								BgL_arg1992z00_1391 = CAR(BgL_nodeza2za2_1387);
								BgL_arg1991z00_1390 =
									BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
									((BgL_nodez00_bglt) BgL_arg1992z00_1391), BgL_stackz00_39);
							}
							{	/* Reduce/ftypec.scm 298 */
								obj_t BgL_pairz00_2449;
								obj_t BgL_objz00_2450;

								BgL_pairz00_2449 = BgL_nodeza2za2_1387;
								BgL_objz00_2450 = ((obj_t) BgL_arg1991z00_1390);
								SET_CAR(BgL_pairz00_2449, BgL_objz00_2450);
							}
						}
						{
							obj_t BgL_nodeza2za2_2733;

							BgL_nodeza2za2_2733 = CDR(BgL_nodeza2za2_1387);
							BgL_nodeza2za2_1387 = BgL_nodeza2za2_2733;
							goto BgL_zc3anonymousza31989ze3z83_1388;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_proc2195z00zzreduce_flowzd2typeczd2, BGl_nodez00zzast_nodez00,
				BGl_string2196z00zzreduce_flowzd2typeczd2);
		}
	}



/* &node-typec!1939 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz121939za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2584, obj_t BgL_nodez00_2585, obj_t BgL_stackz00_2586)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2585);
		}
	}



/* node-typec! */
	BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			{	/* Reduce/ftypec.scm 76 */
				obj_t BgL_method1940z00_1399;

				{	/* Reduce/ftypec.scm 76 */
					obj_t BgL_res2173z00_2480;

					{	/* Reduce/ftypec.scm 76 */
						BgL_objectz00_bglt BgL_objz00_2452;

						BgL_objz00_2452 = ((BgL_objectz00_bglt) BgL_nodez00_4);
						{	/* Reduce/ftypec.scm 76 */
							long BgL_objzd2classzd2numz00_2453;

							{	/* Reduce/ftypec.scm 76 */
								long BgL_res2167z00_2456;

								BgL_res2167z00_2456 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2452);
								BgL_objzd2classzd2numz00_2453 = BgL_res2167z00_2456;
							}
							{	/* Reduce/ftypec.scm 76 */
								obj_t BgL_arg1822z00_2454;

								BgL_arg1822z00_2454 =
									PROCEDURE_REF
									(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
									(int) (((long) 1)));
								{	/* Reduce/ftypec.scm 76 */
									obj_t BgL_arrayz00_2457;
									int BgL_offsetz00_2458;

									BgL_arrayz00_2457 = BgL_arg1822z00_2454;
									BgL_offsetz00_2458 = (int) (BgL_objzd2classzd2numz00_2453);
									{	/* Reduce/ftypec.scm 76 */
										long BgL_offsetz00_2459;

										BgL_offsetz00_2459 =
											((long) (BgL_offsetz00_2458) - OBJECT_TYPE);
										{	/* Reduce/ftypec.scm 76 */
											long BgL_modz00_2460;

											{	/* Reduce/ftypec.scm 76 */
												int BgL_arg1824z00_2461;

												BgL_arg1824z00_2461 = (int) (((long) 16));
												{	/* Reduce/ftypec.scm 76 */
													long BgL_res2170z00_2471;

													{	/* Reduce/ftypec.scm 76 */
														long BgL_auxz00_2745;

														BgL_auxz00_2745 = (long) (BgL_arg1824z00_2461);
														BgL_res2170z00_2471 =
															(BgL_offsetz00_2459 / BgL_auxz00_2745);
													}
													BgL_modz00_2460 = BgL_res2170z00_2471;
											}}
											{	/* Reduce/ftypec.scm 76 */
												long BgL_restz00_2462;

												{	/* Reduce/ftypec.scm 76 */
													int BgL_arg1823z00_2463;

													BgL_arg1823z00_2463 = (int) (((long) 16));
													{	/* Reduce/ftypec.scm 76 */
														long BgL_res2172z00_2475;

														{	/* Reduce/ftypec.scm 76 */
															long BgL_auxz00_2749;

															BgL_auxz00_2749 = (long) (BgL_arg1823z00_2463);
															BgL_res2172z00_2475 =
																(BgL_offsetz00_2459 % BgL_auxz00_2749);
														}
														BgL_restz00_2462 = BgL_res2172z00_2475;
												}}
												{	/* Reduce/ftypec.scm 76 */

													BgL_res2173z00_2480 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2457,
															(int) (BgL_modz00_2460)),
														(int) (BgL_restz00_2462));
					}}}}}}}}
					BgL_method1940z00_1399 = BgL_res2173z00_2480;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1940z00_1399) (BgL_method1940z00_1399,
						((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA));
			}
		}
	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2587, obj_t BgL_nodez00_2588, obj_t BgL_stackz00_2589)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			return
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				((BgL_nodez00_bglt) BgL_nodez00_2588), BgL_stackz00_2589);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_sequencez00zzast_nodez00, BGl_proc2197z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2199z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_funcallz00zzast_nodez00, BGl_proc2200z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_externz00zzast_nodez00, BGl_proc2201z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_castz00zzast_nodez00, BGl_proc2202z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setqz00zzast_nodez00, BGl_proc2203z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc2204z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_failz00zzast_nodez00, BGl_proc2205z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_selectz00zzast_nodez00, BGl_proc2206z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2207z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2208z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc2209z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2210z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2211z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc2212z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2213z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appz00zzast_nodez00, BGl_proc2214z00zzreduce_flowzd2typeczd2,
				BGl_string2198z00zzreduce_flowzd2typeczd2);
		}
	}



/* &node-typec!-app1975 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1975z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2607, obj_t BgL_nodez00_2608, obj_t BgL_stackz00_2609)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 309 */
			{
				BgL_appz00_bglt BgL_nodez00_1633;
				obj_t BgL_stackz00_1634;

				BgL_nodez00_1633 = ((BgL_appz00_bglt) BgL_nodez00_2608);
				BgL_stackz00_1634 = BgL_stackz00_2609;
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1633))->BgL_argsz00),
					BgL_stackz00_1634);
				return ((BgL_nodez00_bglt) BgL_nodez00_1633);
			}
		}
	}



/* &node-typec!-box-ref1973 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1973za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2610, obj_t BgL_nodez00_2611, obj_t BgL_stackz00_2612)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 285 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1626;
				obj_t BgL_stackz00_1627;

				BgL_nodez00_1626 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2611);
				BgL_stackz00_1627 = BgL_stackz00_2612;
				{
					BgL_varz00_bglt BgL_auxz00_2786;

					{	/* Reduce/ftypec.scm 286 */
						BgL_varz00_bglt BgL_arg2097z00_2568;

						BgL_arg2097z00_2568 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1626))->BgL_varz00);
						BgL_auxz00_2786 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
								((BgL_nodez00_bglt) BgL_arg2097z00_2568), BgL_stackz00_1627));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1626))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2786), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1626);
			}
		}
	}



/* &node-typec!-box-set!1971 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121971zb0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2613, obj_t BgL_nodez00_2614, obj_t BgL_stackz00_2615)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 276 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1618;
				obj_t BgL_stackz00_1619;

				BgL_nodez00_1618 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2614);
				BgL_stackz00_1619 = BgL_stackz00_2615;
				{
					BgL_varz00_bglt BgL_auxz00_2794;

					{	/* Reduce/ftypec.scm 278 */
						BgL_varz00_bglt BgL_arg2094z00_1623;

						BgL_arg2094z00_1623 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1618))->BgL_varz00);
						BgL_auxz00_2794 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
								((BgL_nodez00_bglt) BgL_arg2094z00_1623), BgL_stackz00_1619));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1618))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2794), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2800;

					{	/* Reduce/ftypec.scm 279 */
						BgL_nodez00_bglt BgL_arg2095z00_1624;

						BgL_arg2095z00_1624 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1618))->
							BgL_valuez00);
						BgL_auxz00_2800 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2095z00_1624, BgL_stackz00_1619);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1618))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2800), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1618);
			}
		}
	}



/* &node-typec!-make-box1969 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1969za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2616, obj_t BgL_nodez00_2617, obj_t BgL_stackz00_2618)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 268 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1611;
				obj_t BgL_stackz00_1612;

				BgL_nodez00_1611 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2617);
				BgL_stackz00_1612 = BgL_stackz00_2618;
				{
					BgL_nodez00_bglt BgL_auxz00_2806;

					{	/* Reduce/ftypec.scm 269 */
						BgL_nodez00_bglt BgL_arg2093z00_2566;

						BgL_arg2093z00_2566 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1611))->BgL_valuez00);
						BgL_auxz00_2806 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2093z00_2566, BgL_stackz00_1612);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1611))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2806), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1611);
			}
		}
	}



/* &node-typec!-jump-ex-1967 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21967z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2619, obj_t BgL_nodez00_2620, obj_t BgL_stackz00_2621)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 259 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1603;
				obj_t BgL_stackz00_1604;

				BgL_nodez00_1603 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2620);
				BgL_stackz00_1604 = BgL_stackz00_2621;
				{
					BgL_nodez00_bglt BgL_auxz00_2812;

					{	/* Reduce/ftypec.scm 261 */
						BgL_nodez00_bglt BgL_arg2091z00_1608;

						BgL_arg2091z00_1608 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1603))->
							BgL_exitz00);
						BgL_auxz00_2812 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2091z00_1608, BgL_stackz00_1604);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1603))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2812), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2816;

					{	/* Reduce/ftypec.scm 262 */
						BgL_nodez00_bglt BgL_arg2092z00_1609;

						BgL_arg2092z00_1609 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1603))->
							BgL_valuez00);
						BgL_auxz00_2816 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2092z00_1609, BgL_stackz00_1604);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1603))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2816), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1603);
			}
		}
	}



/* &node-typec!-set-ex-i1965 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1965z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2622, obj_t BgL_nodez00_2623, obj_t BgL_stackz00_2624)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 250 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1595;
				obj_t BgL_stackz00_1596;

				BgL_nodez00_1595 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2623);
				BgL_stackz00_1596 = BgL_stackz00_2624;
				{
					BgL_nodez00_bglt BgL_auxz00_2822;

					{	/* Reduce/ftypec.scm 252 */
						BgL_nodez00_bglt BgL_arg2089z00_1600;

						BgL_arg2089z00_1600 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1595))->
							BgL_bodyz00);
						BgL_auxz00_2822 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2089z00_1600, BgL_stackz00_1596);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1595))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2822), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2826;

					{	/* Reduce/ftypec.scm 253 */
						BgL_varz00_bglt BgL_arg2090z00_1601;

						BgL_arg2090z00_1601 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1595))->
							BgL_varz00);
						BgL_auxz00_2826 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(((BgL_nodez00_bglt)
									BgL_arg2090z00_1601), BgL_stackz00_1596));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1595))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2826), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1595);
			}
		}
	}



/* &node-typec!-let-var1963 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1963za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2625, obj_t BgL_nodez00_2626, obj_t BgL_stackz00_2627)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 239 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1578;
				obj_t BgL_stackz00_1579;

				BgL_nodez00_1578 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2626);
				BgL_stackz00_1579 = BgL_stackz00_2627;
				{	/* Reduce/ftypec.scm 241 */
					obj_t BgL_g1938z00_1583;

					BgL_g1938z00_1583 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1578))->BgL_bindingsz00);
					{
						obj_t BgL_l1936z00_1585;

						BgL_l1936z00_1585 = BgL_g1938z00_1583;
					BgL_zc3anonymousza32083ze3z83_1586:
						if (PAIRP(BgL_l1936z00_1585))
							{	/* Reduce/ftypec.scm 241 */
								{	/* Reduce/ftypec.scm 242 */
									obj_t BgL_bindingz00_1588;

									BgL_bindingz00_1588 = CAR(BgL_l1936z00_1585);
									{	/* Reduce/ftypec.scm 242 */
										BgL_nodez00_bglt BgL_arg2085z00_1589;

										{	/* Reduce/ftypec.scm 242 */
											obj_t BgL_arg2086z00_1590;

											BgL_arg2086z00_1590 = CDR(BgL_bindingz00_1588);
											BgL_arg2085z00_1589 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_arg2086z00_1590),
												BgL_stackz00_1579);
										}
										{	/* Reduce/ftypec.scm 242 */
											obj_t BgL_pairz00_2562;
											obj_t BgL_objz00_2563;

											BgL_pairz00_2562 = BgL_bindingz00_1588;
											BgL_objz00_2563 = ((obj_t) BgL_arg2085z00_1589);
											SET_CDR(BgL_pairz00_2562, BgL_objz00_2563);
										}
									}
								}
								{
									obj_t BgL_l1936z00_2843;

									BgL_l1936z00_2843 = CDR(BgL_l1936z00_1585);
									BgL_l1936z00_1585 = BgL_l1936z00_2843;
									goto BgL_zc3anonymousza32083ze3z83_1586;
								}
							}
						else
							{	/* Reduce/ftypec.scm 241 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2845;

					{	/* Reduce/ftypec.scm 244 */
						BgL_nodez00_bglt BgL_arg2088z00_1593;

						BgL_arg2088z00_1593 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1578))->BgL_bodyz00);
						BgL_auxz00_2845 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2088z00_1593, BgL_stackz00_1579);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1578))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2845), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1578);
			}
		}
	}



/* &node-typec!-let-fun1961 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1961za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2628, obj_t BgL_nodez00_2629, obj_t BgL_stackz00_2630)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 227 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1560;
				obj_t BgL_stackz00_1561;

				BgL_nodez00_1560 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2629);
				BgL_stackz00_1561 = BgL_stackz00_2630;
				{	/* Reduce/ftypec.scm 229 */
					obj_t BgL_g1935z00_1565;

					BgL_g1935z00_1565 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1560))->BgL_localsz00);
					{
						obj_t BgL_l1933z00_1567;

						BgL_l1933z00_1567 = BgL_g1935z00_1565;
					BgL_zc3anonymousza32077ze3z83_1568:
						if (PAIRP(BgL_l1933z00_1567))
							{	/* Reduce/ftypec.scm 229 */
								{	/* Reduce/ftypec.scm 230 */
									obj_t BgL_localz00_1570;

									BgL_localz00_1570 = CAR(BgL_l1933z00_1567);
									{	/* Reduce/ftypec.scm 230 */
										BgL_valuez00_bglt BgL_funz00_1571;

										BgL_funz00_1571 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1570))))->
											BgL_valuez00);
										{	/* Reduce/ftypec.scm 231 */
											BgL_nodez00_bglt BgL_arg2079z00_1572;

											{	/* Reduce/ftypec.scm 231 */
												obj_t BgL_arg2080z00_1573;

												BgL_arg2080z00_1573 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1571)))->
													BgL_bodyz00);
												BgL_arg2079z00_1572 =
													BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2((
														(BgL_nodez00_bglt) BgL_arg2080z00_1573),
													BgL_stackz00_1561);
											}
											{	/* Reduce/ftypec.scm 231 */
												BgL_sfunz00_bglt BgL_oz00_2554;
												obj_t BgL_vz00_2555;

												BgL_oz00_2554 = ((BgL_sfunz00_bglt) BgL_funz00_1571);
												BgL_vz00_2555 = ((obj_t) BgL_arg2079z00_1572);
												((((BgL_sfunz00_bglt) CREF(BgL_oz00_2554))->
														BgL_bodyz00) = ((obj_t) BgL_vz00_2555), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1933z00_2865;

									BgL_l1933z00_2865 = CDR(BgL_l1933z00_1567);
									BgL_l1933z00_1567 = BgL_l1933z00_2865;
									goto BgL_zc3anonymousza32077ze3z83_1568;
								}
							}
						else
							{	/* Reduce/ftypec.scm 229 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2867;

					{	/* Reduce/ftypec.scm 233 */
						BgL_nodez00_bglt BgL_arg2082z00_1576;

						BgL_arg2082z00_1576 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1560))->BgL_bodyz00);
						BgL_auxz00_2867 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2082z00_1576, BgL_stackz00_1561);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1560))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2867), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1560);
			}
		}
	}



/* &node-typec!-select1959 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select1959z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2631, obj_t BgL_nodez00_2632, obj_t BgL_stackz00_2633)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 216 */
			{
				BgL_selectz00_bglt BgL_nodez00_1543;
				obj_t BgL_stackz00_1544;

				BgL_nodez00_1543 = ((BgL_selectz00_bglt) BgL_nodez00_2632);
				BgL_stackz00_1544 = BgL_stackz00_2633;
				{
					BgL_nodez00_bglt BgL_auxz00_2873;

					{	/* Reduce/ftypec.scm 218 */
						BgL_nodez00_bglt BgL_arg2070z00_1548;

						BgL_arg2070z00_1548 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1543))->BgL_testz00);
						BgL_auxz00_2873 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2070z00_1548, BgL_stackz00_1544);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1543))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2873), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 219 */
					obj_t BgL_g1932z00_1549;

					BgL_g1932z00_1549 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1543))->BgL_clausesz00);
					{
						obj_t BgL_l1881z00_1551;

						BgL_l1881z00_1551 = BgL_g1932z00_1549;
					BgL_zc3anonymousza32071ze3z83_1552:
						if (PAIRP(BgL_l1881z00_1551))
							{	/* Reduce/ftypec.scm 219 */
								{	/* Reduce/ftypec.scm 220 */
									obj_t BgL_clausez00_1554;

									BgL_clausez00_1554 = CAR(BgL_l1881z00_1551);
									{	/* Reduce/ftypec.scm 220 */
										BgL_nodez00_bglt BgL_arg2073z00_1555;

										{	/* Reduce/ftypec.scm 220 */
											obj_t BgL_arg2074z00_1556;

											BgL_arg2074z00_1556 = CDR(BgL_clausez00_1554);
											BgL_arg2073z00_1555 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_arg2074z00_1556),
												BgL_stackz00_1544);
										}
										{	/* Reduce/ftypec.scm 220 */
											obj_t BgL_pairz00_2543;
											obj_t BgL_objz00_2544;

											BgL_pairz00_2543 = BgL_clausez00_1554;
											BgL_objz00_2544 = ((obj_t) BgL_arg2073z00_1555);
											SET_CDR(BgL_pairz00_2543, BgL_objz00_2544);
										}
									}
								}
								{
									obj_t BgL_l1881z00_2886;

									BgL_l1881z00_2886 = CDR(BgL_l1881z00_1551);
									BgL_l1881z00_1551 = BgL_l1881z00_2886;
									goto BgL_zc3anonymousza32071ze3z83_1552;
								}
							}
						else
							{	/* Reduce/ftypec.scm 219 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1543);
			}
		}
	}



/* &node-typec!-fail1957 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1957z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635, obj_t BgL_stackz00_2636)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 206 */
			{
				BgL_failz00_bglt BgL_nodez00_1534;
				obj_t BgL_stackz00_1535;

				BgL_nodez00_1534 = ((BgL_failz00_bglt) BgL_nodez00_2635);
				BgL_stackz00_1535 = BgL_stackz00_2636;
				{
					BgL_nodez00_bglt BgL_auxz00_2890;

					{	/* Reduce/ftypec.scm 208 */
						BgL_nodez00_bglt BgL_arg2067z00_1539;

						BgL_arg2067z00_1539 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1534))->BgL_procz00);
						BgL_auxz00_2890 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2067z00_1539, BgL_stackz00_1535);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1534))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2890), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2894;

					{	/* Reduce/ftypec.scm 209 */
						BgL_nodez00_bglt BgL_arg2068z00_1540;

						BgL_arg2068z00_1540 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1534))->BgL_msgz00);
						BgL_auxz00_2894 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2068z00_1540, BgL_stackz00_1535);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1534))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2894), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2898;

					{	/* Reduce/ftypec.scm 210 */
						BgL_nodez00_bglt BgL_arg2069z00_1541;

						BgL_arg2069z00_1541 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1534))->BgL_objz00);
						BgL_auxz00_2898 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2069z00_1541, BgL_stackz00_1535);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1534))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2898), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1534);
			}
		}
	}



/* &node-typec!-conditio1955 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1955z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2637, obj_t BgL_nodez00_2638, obj_t BgL_stackz00_2639)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 133 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1445;
				obj_t BgL_stackz00_1446;

				BgL_nodez00_1445 = ((BgL_conditionalz00_bglt) BgL_nodez00_2638);
				BgL_stackz00_1446 = BgL_stackz00_2639;
				{
					BgL_nodez00_bglt BgL_nodez00_1477;

					{
						BgL_nodez00_bglt BgL_auxz00_2904;

						{	/* Reduce/ftypec.scm 177 */
							BgL_nodez00_bglt BgL_arg2007z00_1452;

							BgL_arg2007z00_1452 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->
								BgL_testz00);
							BgL_auxz00_2904 =
								BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
								(BgL_arg2007z00_1452, BgL_stackz00_1446);
						}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_auxz00_2904), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 178 */
						obj_t BgL_typecz00_1453;

						BgL_nodez00_1477 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->BgL_testz00);
						{	/* Reduce/ftypec.scm 135 */
							bool_t BgL_testz00_2908;

							{	/* Reduce/ftypec.scm 135 */
								bool_t BgL_res2174z00_2488;

								{	/* Reduce/ftypec.scm 135 */
									obj_t BgL_objz00_2487;

									BgL_objz00_2487 = ((obj_t) BgL_nodez00_1477);
									BgL_res2174z00_2488 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2487,
										BGl_appz00zzast_nodez00);
								}
								BgL_testz00_2908 = BgL_res2174z00_2488;
							}
							if (BgL_testz00_2908)
								{	/* Reduce/ftypec.scm 137 */
									obj_t BgL_g1110z00_1480;

									BgL_g1110z00_1480 =
										BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_1477);
									if (CBOOL(BgL_g1110z00_1480))
										{	/* Reduce/ftypec.scm 140 */
											BgL_appz00_bglt BgL_i1112z00_1483;

											BgL_i1112z00_1483 = ((BgL_appz00_bglt) BgL_nodez00_1477);
											{	/* Reduce/ftypec.scm 141 */
												bool_t BgL_testz00_2915;

												{	/* Reduce/ftypec.scm 141 */
													obj_t BgL_arg2033z00_1485;

													BgL_arg2033z00_1485 =
														CAR(
														(((BgL_appz00_bglt) CREF(BgL_i1112z00_1483))->
															BgL_argsz00));
													BgL_testz00_2915 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2033z00_1485,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_2915)
													{	/* Reduce/ftypec.scm 141 */
														BgL_typecz00_1453 = BgL_g1110z00_1480;
													}
												else
													{	/* Reduce/ftypec.scm 141 */
														BgL_typecz00_1453 = BFALSE;
													}
											}
										}
									else
										{	/* Reduce/ftypec.scm 144 */
											BgL_appz00_bglt BgL_i1113z00_1487;

											BgL_i1113z00_1487 = ((BgL_appz00_bglt) BgL_nodez00_1477);
											{	/* Reduce/ftypec.scm 145 */
												bool_t BgL_testz00_2920;

												{	/* Reduce/ftypec.scm 145 */
													obj_t BgL_auxz00_2921;

													BgL_auxz00_2921 =
														(((BgL_appz00_bglt) CREF(BgL_i1113z00_1487))->
														BgL_argsz00);
													BgL_testz00_2920 = PAIRP(BgL_auxz00_2921);
												}
												if (BgL_testz00_2920)
													{	/* Reduce/ftypec.scm 145 */
														if (NULLP(CDR(
																	(((BgL_appz00_bglt) CREF(BgL_i1113z00_1487))->
																		BgL_argsz00))))
															{	/* Reduce/ftypec.scm 147 */
																bool_t BgL_testz00_2928;

																{	/* Reduce/ftypec.scm 147 */
																	obj_t BgL_arg2043z00_1500;

																	BgL_arg2043z00_1500 =
																		CAR(
																		(((BgL_appz00_bglt)
																				CREF(BgL_i1113z00_1487))->BgL_argsz00));
																	BgL_testz00_2928 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg2043z00_1500,
																		BGl_varz00zzast_nodez00);
																}
																if (BgL_testz00_2928)
																	{	/* Reduce/ftypec.scm 148 */
																		bool_t BgL_testz00_2932;

																		{	/* Reduce/ftypec.scm 148 */
																			obj_t BgL_auxz00_2933;

																			{
																				BgL_variablez00_bglt BgL_auxz00_2934;

																				{
																					BgL_varz00_bglt BgL_auxz00_2935;

																					{
																						obj_t BgL_auxz00_2936;

																						{	/* Reduce/ftypec.scm 148 */
																							obj_t BgL_pairz00_2500;

																							BgL_pairz00_2500 =
																								(((BgL_appz00_bglt)
																									CREF(BgL_i1113z00_1487))->
																								BgL_argsz00);
																							BgL_auxz00_2936 =
																								CAR(BgL_pairz00_2500);
																						}
																						BgL_auxz00_2935 =
																							((BgL_varz00_bglt)
																							BgL_auxz00_2936);
																					}
																					BgL_auxz00_2934 =
																						(((BgL_varz00_bglt)
																							CREF(BgL_auxz00_2935))->
																						BgL_variablez00);
																				}
																				BgL_auxz00_2933 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_auxz00_2934))->
																					BgL_accessz00);
																			}
																			BgL_testz00_2932 =
																				(BgL_auxz00_2933 ==
																				CNST_TABLE_REF(((long) 1)));
																		}
																		if (BgL_testz00_2932)
																			{	/* Reduce/ftypec.scm 151 */

																				BgL_typecz00_1453 =
																					(((BgL_funz00_bglt) CREF(
																							((BgL_funz00_bglt)
																								(((BgL_variablez00_bglt) CREF(
																											(((BgL_varz00_bglt) CREF(
																														(((BgL_appz00_bglt)
																																CREF((
																																		(BgL_appz00_bglt)
																																		BgL_nodez00_1477)))->
																															BgL_funz00)))->
																												BgL_variablez00)))->
																									BgL_valuez00))))->
																					BgL_predicatezd2ofzd2);
																			}
																		else
																			{	/* Reduce/ftypec.scm 148 */
																				BgL_typecz00_1453 = BFALSE;
																			}
																	}
																else
																	{	/* Reduce/ftypec.scm 147 */
																		BgL_typecz00_1453 = BFALSE;
																	}
															}
														else
															{	/* Reduce/ftypec.scm 146 */
																BgL_typecz00_1453 = BFALSE;
															}
													}
												else
													{	/* Reduce/ftypec.scm 145 */
														BgL_typecz00_1453 = BFALSE;
													}
											}
										}
								}
							else
								{	/* Reduce/ftypec.scm 135 */
									BgL_typecz00_1453 = BFALSE;
								}
						}
						if (BGl_isazf3zf3zz__objectz00(BgL_typecz00_1453,
								BGl_typez00zztype_typez00))
							{	/* Reduce/ftypec.scm 184 */
								obj_t BgL_argsz00_1455;

								BgL_argsz00_1455 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt)
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->
													BgL_testz00))))->BgL_argsz00);
								{	/* Reduce/ftypec.scm 184 */
									BgL_variablez00_bglt BgL_varz00_1456;

									{
										BgL_varz00_bglt BgL_auxz00_2956;

										{	/* Reduce/ftypec.scm 185 */
											obj_t BgL_pairz00_2521;

											BgL_pairz00_2521 = BgL_argsz00_1455;
											BgL_auxz00_2956 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_2521));
										}
										BgL_varz00_1456 =
											(((BgL_varz00_bglt) CREF(BgL_auxz00_2956))->
											BgL_variablez00);
									}
									{	/* Reduce/ftypec.scm 185 */
										obj_t BgL_typesz00_1457;

										BgL_typesz00_1457 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_varz00_1456), BgL_stackz00_1446);
										{	/* Reduce/ftypec.scm 186 */
											obj_t BgL_tzd2stackzd2_1458;

											{	/* Reduce/ftypec.scm 187 */
												obj_t BgL_arg2020z00_1470;

												{	/* Reduce/ftypec.scm 187 */
													obj_t BgL_arg2021z00_1471;

													BgL_arg2021z00_1471 =
														MAKE_PAIR(BgL_typecz00_1453, BTRUE);
													BgL_arg2020z00_1470 =
														MAKE_PAIR(
														((obj_t) BgL_varz00_1456), BgL_arg2021z00_1471);
												}
												BgL_tzd2stackzd2_1458 =
													MAKE_PAIR(BgL_arg2020z00_1470, BgL_stackz00_1446);
											}
											{	/* Reduce/ftypec.scm 187 */
												obj_t BgL_fzd2stackzd2_1459;

												{	/* Reduce/ftypec.scm 188 */
													obj_t BgL_arg2018z00_1468;

													{	/* Reduce/ftypec.scm 188 */
														obj_t BgL_arg2019z00_1469;

														BgL_arg2019z00_1469 =
															MAKE_PAIR(BgL_typecz00_1453, BFALSE);
														BgL_arg2018z00_1468 =
															MAKE_PAIR(
															((obj_t) BgL_varz00_1456), BgL_arg2019z00_1469);
													}
													BgL_fzd2stackzd2_1459 =
														MAKE_PAIR(BgL_arg2018z00_1468, BgL_stackz00_1446);
												}
												{	/* Reduce/ftypec.scm 188 */

													{	/* Reduce/ftypec.scm 189 */
														bool_t BgL_testz00_2970;

														if (CBOOL(BgL_typesz00_1457))
															{	/* Reduce/ftypec.scm 189 */
																bool_t BgL_testz00_2973;

																{	/* Reduce/ftypec.scm 189 */
																	obj_t BgL_auxz00_2974;

																	{	/* Reduce/ftypec.scm 189 */
																		obj_t BgL_pairz00_2525;

																		BgL_pairz00_2525 = BgL_typesz00_1457;
																		BgL_auxz00_2974 =
																			CAR(CDR(BgL_pairz00_2525));
																	}
																	BgL_testz00_2973 =
																		(BgL_auxz00_2974 == BgL_typecz00_1453);
																}
																if (BgL_testz00_2973)
																	{	/* Reduce/ftypec.scm 189 */
																		BgL_testz00_2970 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/ftypec.scm 189 */
																		BgL_testz00_2970 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/ftypec.scm 189 */
																BgL_testz00_2970 = ((bool_t) 1);
															}
														if (BgL_testz00_2970)
															{	/* Reduce/ftypec.scm 189 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2);
																{
																	BgL_nodez00_bglt BgL_auxz00_2979;

																	{	/* Reduce/ftypec.scm 193 */
																		BgL_nodez00_bglt BgL_arg2010z00_1461;

																		BgL_arg2010z00_1461 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1445))->BgL_truez00);
																		BgL_auxz00_2979 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg2010z00_1461,
																			BgL_tzd2stackzd2_1458);
																	}
																	((((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1445))->BgL_truez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_2979),
																		BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_2983;

																	{	/* Reduce/ftypec.scm 194 */
																		BgL_nodez00_bglt BgL_arg2011z00_1462;

																		BgL_arg2011z00_1462 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1445))->BgL_falsez00);
																		BgL_auxz00_2983 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg2011z00_1462,
																			BgL_fzd2stackzd2_1459);
																	}
																	((((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1445))->BgL_falsez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_2983),
																		BUNSPEC);
																}
																return ((BgL_nodez00_bglt) BgL_nodez00_1445);
															}
														else
															{	/* Reduce/ftypec.scm 189 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 199 */
																	bool_t BgL_testz00_2989;

																	{	/* Reduce/ftypec.scm 199 */
																		obj_t BgL_pairz00_2535;

																		BgL_pairz00_2535 = BgL_typesz00_1457;
																		{	/* Reduce/ftypec.scm 199 */
																			obj_t BgL_pairz00_2538;

																			BgL_pairz00_2538 = CDR(BgL_pairz00_2535);
																			BgL_testz00_2989 =
																				CBOOL(CDR(BgL_pairz00_2538));
																	}}
																	if (BgL_testz00_2989)
																		{	/* Reduce/ftypec.scm 199 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						CREF(BgL_nodez00_1445))->
																					BgL_truez00), BgL_tzd2stackzd2_1458);
																		}
																	else
																		{	/* Reduce/ftypec.scm 199 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						CREF(BgL_nodez00_1445))->
																					BgL_falsez00), BgL_fzd2stackzd2_1459);
																		}
																}
															}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Reduce/ftypec.scm 179 */
								{
									BgL_nodez00_bglt BgL_auxz00_2997;

									{	/* Reduce/ftypec.scm 181 */
										BgL_nodez00_bglt BgL_arg2024z00_1474;

										BgL_arg2024z00_1474 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->
											BgL_truez00);
										BgL_auxz00_2997 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg2024z00_1474, BgL_stackz00_1446);
									}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->
											BgL_truez00) =
										((BgL_nodez00_bglt) BgL_auxz00_2997), BUNSPEC);
								}
								{
									BgL_nodez00_bglt BgL_auxz00_3001;

									{	/* Reduce/ftypec.scm 182 */
										BgL_nodez00_bglt BgL_arg2025z00_1475;

										BgL_arg2025z00_1475 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->
											BgL_falsez00);
										BgL_auxz00_3001 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg2025z00_1475, BgL_stackz00_1446);
									}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1445))->
											BgL_falsez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3001), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_nodez00_1445);
							}
					}
				}
			}
		}
	}



/* &node-typec!-setq1953 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1953z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641, obj_t BgL_stackz00_2642)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 124 */
			{
				BgL_setqz00_bglt BgL_nodez00_1437;
				obj_t BgL_stackz00_1438;

				BgL_nodez00_1437 = ((BgL_setqz00_bglt) BgL_nodez00_2641);
				BgL_stackz00_1438 = BgL_stackz00_2642;
				{
					BgL_nodez00_bglt BgL_auxz00_3007;

					{	/* Reduce/ftypec.scm 126 */
						BgL_nodez00_bglt BgL_arg2005z00_1442;

						BgL_arg2005z00_1442 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1437))->BgL_valuez00);
						BgL_auxz00_3007 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2005z00_1442, BgL_stackz00_1438);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1437))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3007), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_3011;

					{	/* Reduce/ftypec.scm 127 */
						BgL_varz00_bglt BgL_arg2006z00_1443;

						BgL_arg2006z00_1443 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1437))->BgL_varz00);
						BgL_auxz00_3011 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
								((BgL_nodez00_bglt) BgL_arg2006z00_1443), BgL_stackz00_1438));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1437))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3011), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1437);
			}
		}
	}



/* &node-typec!-cast1951 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1951z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2643, obj_t BgL_nodez00_2644, obj_t BgL_stackz00_2645)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 116 */
			{
				BgL_castz00_bglt BgL_nodez00_1430;
				obj_t BgL_stackz00_1431;

				BgL_nodez00_1430 = ((BgL_castz00_bglt) BgL_nodez00_2644);
				BgL_stackz00_1431 = BgL_stackz00_2645;
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1430))->BgL_argz00),
					BgL_stackz00_1431);
				return ((BgL_nodez00_bglt) BgL_nodez00_1430);
			}
		}
	}



/* &node-typec!-extern1949 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1949z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647, obj_t BgL_stackz00_2648)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 108 */
			{
				BgL_externz00_bglt BgL_nodez00_1423;
				obj_t BgL_stackz00_1424;

				BgL_nodez00_1423 = ((BgL_externz00_bglt) BgL_nodez00_2647);
				BgL_stackz00_1424 = BgL_stackz00_2648;
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1423))->BgL_exprza2za2),
					BgL_stackz00_1424);
				return ((BgL_nodez00_bglt) BgL_nodez00_1423);
			}
		}
	}



/* &node-typec!-funcall1947 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1947z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2649, obj_t BgL_nodez00_2650, obj_t BgL_stackz00_2651)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 99 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1415;
				obj_t BgL_stackz00_1416;

				BgL_nodez00_1415 = ((BgL_funcallz00_bglt) BgL_nodez00_2650);
				BgL_stackz00_1416 = BgL_stackz00_2651;
				{
					BgL_nodez00_bglt BgL_auxz00_3027;

					{	/* Reduce/ftypec.scm 101 */
						BgL_nodez00_bglt BgL_arg2000z00_1420;

						BgL_arg2000z00_1420 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1415))->BgL_funz00);
						BgL_auxz00_3027 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2000z00_1420, BgL_stackz00_1416);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1415))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3027), BUNSPEC);
				}
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1415))->BgL_argsz00),
					BgL_stackz00_1416);
				return ((BgL_nodez00_bglt) BgL_nodez00_1415);
			}
		}
	}



/* &node-typec!-app-ly1944 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1944za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2652, obj_t BgL_nodez00_2653, obj_t BgL_stackz00_2654)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 90 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1407;
				obj_t BgL_stackz00_1408;

				BgL_nodez00_1407 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2653);
				BgL_stackz00_1408 = BgL_stackz00_2654;
				{
					BgL_nodez00_bglt BgL_auxz00_3035;

					{	/* Reduce/ftypec.scm 92 */
						BgL_nodez00_bglt BgL_arg1997z00_1412;

						BgL_arg1997z00_1412 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1407))->BgL_funz00);
						BgL_auxz00_3035 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg1997z00_1412, BgL_stackz00_1408);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1407))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3035), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3039;

					{	/* Reduce/ftypec.scm 93 */
						BgL_nodez00_bglt BgL_arg1998z00_1413;

						BgL_arg1998z00_1413 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1407))->BgL_argz00);
						BgL_auxz00_3039 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg1998z00_1413, BgL_stackz00_1408);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1407))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3039), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1407);
			}
		}
	}



/* &node-typec!-sequence1942 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1942z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2655, obj_t BgL_nodez00_2656, obj_t BgL_stackz00_2657)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 82 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1400;
				obj_t BgL_stackz00_1401;

				BgL_nodez00_1400 = ((BgL_sequencez00_bglt) BgL_nodez00_2656);
				BgL_stackz00_1401 = BgL_stackz00_2657;
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1400))->BgL_nodesz00),
					BgL_stackz00_1401);
				return ((BgL_nodez00_bglt) BgL_nodez00_1400);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2215z00zzreduce_flowzd2typeczd2));
		}
	}

#ifdef __cplusplus
}
#endif
