/*===========================================================================*/
/*   (Eval/evaluate_avar.scm)                                                */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_avar.scm -indent -o objs/obj_u/Eval/evaluate_avar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62avarzd2ev_labels1220zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_hook1204zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1780z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_symbol1782z00zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1792z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_goto1222zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_if1198zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_zc3anonymousza31366ze3z83zz__evaluate_avarz00(obj_t);
	static obj_t BGl_z62avarzd2ev_global1194zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_letrec1218zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00;
	static obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_withzd2handler1212z62zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_let1214zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_diffz00zz__evaluate_avarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt, obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_unwindzd2prote1210z62zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_app1224zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_var1192zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_list1200zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_letza21216z12zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_bindzd2exit1208z62zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_abs1226zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_funionz00zz__evaluate_avarz00(obj_t);
	static obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_prog21202zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_setlocal1206zb0zz__evaluate_avarz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_litt1196zb0zz__evaluate_avarz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31431ze3z83zz__evaluate_avarz00(obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62avar1189z62zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_avarzd2envzd2zz__evaluate_avarz00,
		BgL_bgl_za762avarza762za7za7__ev1815z00, BGl_z62avarz62zz__evaluate_avarz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_analysezd2varszd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762analyseza7d2var1816z00,
		BGl_z62analysezd2varszb0zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lis1817z00,
		BGl_z62avarzd2ev_list1200zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_pro1818z00,
		BGl_z62avarzd2ev_prog21202zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_hoo1819z00,
		BGl_z62avarzd2ev_hook1204zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_set1820z00,
		BGl_z62avarzd2ev_setlocal1206zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_bin1821z00,
		BGl_z62avarzd2ev_bindzd2exit1208z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_unw1822z00,
		BGl_z62avarzd2ev_unwindzd2prote1210z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_wit1823z00,
		BGl_z62avarzd2ev_withzd2handler1212z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1824z00,
		BGl_z62avarzd2ev_let1214zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1814z00zz__evaluate_avarz00,
		BgL_bgl_string1814za700za7za7_1825za7, "__evaluate_avar", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1826z00,
		BGl_z62avarzd2ev_letza21216z12zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1827z00,
		BGl_z62avarzd2ev_letrec1218zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lab1828z00,
		BGl_z62avarzd2ev_labels1220zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_got1829z00,
		BGl_z62avarzd2ev_goto1222zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_app1830z00,
		BGl_z62avarzd2ev_app1224zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_abs1831z00,
		BGl_z62avarzd2ev_abs1226zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1781z00zz__evaluate_avarz00,
		BgL_bgl_string1781za700za7za7_1832za7, "never", 5);
	      DEFINE_STRING(BGl_string1783z00zz__evaluate_avarz00,
		BgL_bgl_string1783za700za7za7_1833za7, "fake", 4);
	      DEFINE_STRING(BGl_string1784z00zz__evaluate_avarz00,
		BgL_bgl_string1784za700za7za7_1834za7,
		"/tmp/bigloo/runtime/Eval/evaluate_avar.scm", 42);
	      DEFINE_STRING(BGl_string1785z00zz__evaluate_avarz00,
		BgL_bgl_string1785za700za7za7_1835za7, "&analyse-vars", 13);
	      DEFINE_STRING(BGl_string1786z00zz__evaluate_avarz00,
		BgL_bgl_string1786za700za7za7_1836za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1787z00zz__evaluate_avarz00,
		BgL_bgl_string1787za700za7za7_1837za7, "&check-var", 10);
	      DEFINE_STRING(BGl_string1788z00zz__evaluate_avarz00,
		BgL_bgl_string1788za700za7za7_1838za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string1789z00zz__evaluate_avarz00,
		BgL_bgl_string1789za700za7za7_1839za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string1791z00zz__evaluate_avarz00,
		BgL_bgl_string1791za700za7za7_1840za7, "avar1189", 8);
	      DEFINE_STRING(BGl_string1793z00zz__evaluate_avarz00,
		BgL_bgl_string1793za700za7za7_1841za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1794z00zz__evaluate_avarz00,
		BgL_bgl_string1794za700za7za7_1842za7, "&avar", 5);
	      DEFINE_STRING(BGl_string1796z00zz__evaluate_avarz00,
		BgL_bgl_string1796za700za7za7_1843za7, "avar", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zz__evaluate_avarz00,
		BgL_bgl_za762avar1189za762za7za71844z00,
		BGl_z62avar1189z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_var1845z00,
		BGl_z62avarzd2ev_var1192zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_glo1846z00,
		BGl_z62avarzd2ev_global1194zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lit1847z00,
		BGl_z62avarzd2ev_litt1196zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_if11848z00,
		BGl_z62avarzd2ev_if1198zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2varzd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762checkza7d2varza7b1849za7,
		BGl_z62checkzd2varzb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long
		BgL_checksumz00_2330, char *BgL_fromz00_2331)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_avarz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_avarz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
					BGl_genericzd2initzd2zz__evaluate_avarz00();
					BGl_methodzd2initzd2zz__evaluate_avarz00();
					BGl_toplevelzd2initzd2zz__evaluate_avarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_symbol1780z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1781z00zz__evaluate_avarz00);
			BGl_symbol1782z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1783z00zz__evaluate_avarz00);
			return (BGl_symbol1792z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1791z00zz__evaluate_avarz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00 =
				((bool_t) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_691;

				BgL_headz00_691 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1377;
					obj_t BgL_tailz00_1378;

					BgL_prevz00_1377 = BgL_headz00_691;
					BgL_tailz00_1378 = BgL_l1z00_1;
				BgL_loopz00_1376:
					if (PAIRP(BgL_tailz00_1378))
						{
							obj_t BgL_newzd2prevzd2_1384;

							BgL_newzd2prevzd2_1384 =
								MAKE_PAIR(CAR(BgL_tailz00_1378), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1377, BgL_newzd2prevzd2_1384);
							{
								obj_t BgL_tailz00_2350;
								obj_t BgL_prevz00_2349;

								BgL_prevz00_2349 = BgL_newzd2prevzd2_1384;
								BgL_tailz00_2350 = CDR(BgL_tailz00_1378);
								BgL_tailz00_1378 = BgL_tailz00_2350;
								BgL_prevz00_1377 = BgL_prevz00_2349;
								goto BgL_loopz00_1376;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_691);
			}
		}
	}



/* diff */
	obj_t BGl_diffz00zz__evaluate_avarz00(obj_t BgL_l1z00_11, obj_t BgL_l2z00_12)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 90 */
		BGl_diffz00zz__evaluate_avarz00:
			if (NULLP(BgL_l1z00_11))
				{	/* Eval/evaluate_avar.scm 91 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 93 */
					obj_t BgL_xz00_743;

					BgL_xz00_743 = CAR(BgL_l1z00_11);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_743,
								BgL_l2z00_12)))
						{
							obj_t BgL_l1z00_2359;

							BgL_l1z00_2359 = CDR(BgL_l1z00_11);
							BgL_l1z00_11 = BgL_l1z00_2359;
							goto BGl_diffz00zz__evaluate_avarz00;
						}
					else
						{	/* Eval/evaluate_avar.scm 94 */
							return
								MAKE_PAIR(BgL_xz00_743,
								BGl_diffz00zz__evaluate_avarz00(CDR(BgL_l1z00_11),
									BgL_l2z00_12));
						}
				}
		}
	}



/* analyse-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_14)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_absz00_bglt BgL_fakez00_750;

				{	/* Eval/evaluate_avar.scm 113 */
					BgL_ev_absz00_bglt BgL_new1066z00_751;

					{	/* Eval/evaluate_avar.scm 113 */
						BgL_ev_absz00_bglt BgL_new1065z00_752;

						BgL_new1065z00_752 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_avar.scm 113 */
							long BgL_arg1319z00_753;

							{	/* Eval/evaluate_avar.scm 113 */
								long BgL_res1669z00_1422;

								{	/* Eval/evaluate_avar.scm 113 */
									obj_t BgL_classz00_1419;

									BgL_classz00_1419 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_avar.scm 113 */
										obj_t BgL_vectorz00_1420;
										int BgL_kz00_1421;

										BgL_vectorz00_1420 = BgL_classz00_1419;
										BgL_kz00_1421 = (int) (((long) 1));
										BgL_res1669z00_1422 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_1420,
												BgL_kz00_1421));
								}}
								BgL_arg1319z00_753 = BgL_res1669z00_1422;
							}
							{	/* Eval/evaluate_avar.scm 113 */
								BgL_objectz00_bglt BgL_objz00_1423;

								BgL_objz00_1423 = ((BgL_objectz00_bglt) BgL_new1065z00_752);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1423, BgL_arg1319z00_753);
						}}
						{	/* Eval/evaluate_avar.scm 113 */
							BgL_objectz00_bglt BgL_auxz00_2370;

							BgL_auxz00_2370 = ((BgL_objectz00_bglt) BgL_new1065z00_752);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2370, BFALSE);
						}
						BgL_new1066z00_751 = BgL_new1065z00_752;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_locz00) =
						((obj_t) BGl_symbol1780z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_wherez00) =
						((obj_t) BGl_symbol1782z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_arityz00) =
						((obj_t) BINT(((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_varsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_ez00_14), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_siza7eza7) =
						((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_bindz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_freez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_innerz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_751))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_fakez00_750 = BgL_new1066z00_751;
				}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_ez00_14, BNIL,
					((obj_t) BgL_fakez00_750));
			}
		}
	}



/* &analyse-vars */
	obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t BgL_envz00_2204,
		obj_t BgL_ez00_2205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_exprz00_bglt BgL_auxz00_2387;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2205,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 113 */
						BgL_auxz00_2387 = ((BgL_ev_exprz00_bglt) BgL_ez00_2205);
					}
				else
					{
						obj_t BgL_auxz00_2391;

						BgL_auxz00_2391 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1784z00zz__evaluate_avarz00, BINT(((long) 2941)),
							BGl_string1785z00zz__evaluate_avarz00,
							BGl_string1786z00zz__evaluate_avarz00, BgL_ez00_2205);
						FAILURE(BgL_auxz00_2391, BFALSE, BFALSE);
					}
				return BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_auxz00_2387);
			}
		}
	}



/* check-var */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt BgL_varz00_15,
		obj_t BgL_localz00_16, BgL_ev_absz00_bglt BgL_absz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_varz00_15), BgL_localz00_16)))
				{	/* Eval/evaluate_avar.scm 118 */
					return BFALSE;
				}
			else
				{	/* Eval/evaluate_avar.scm 118 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_15),
								(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00))))
						{	/* Eval/evaluate_avar.scm 118 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_2405;

							{	/* Eval/evaluate_avar.scm 118 */
								obj_t BgL_arg1322z00_1429;

								BgL_arg1322z00_1429 =
									(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00);
								BgL_auxz00_2405 =
									MAKE_PAIR(((obj_t) BgL_varz00_15), BgL_arg1322z00_1429);
							}
							return
								((((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00) =
								((obj_t) BgL_auxz00_2405), BUNSPEC);
						}
				}
		}
	}



/* &check-var */
	obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t BgL_envz00_2206,
		obj_t BgL_varz00_2207, obj_t BgL_localz00_2208, obj_t BgL_absz00_2209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			{	/* Eval/evaluate_avar.scm 118 */
				BgL_ev_absz00_bglt BgL_auxz00_2418;
				BgL_ev_varz00_bglt BgL_auxz00_2410;

				if (BGl_isazf3zf3zz__objectz00(BgL_absz00_2209,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2418 = ((BgL_ev_absz00_bglt) BgL_absz00_2209);
					}
				else
					{
						obj_t BgL_auxz00_2422;

						BgL_auxz00_2422 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1784z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1787z00zz__evaluate_avarz00,
							BGl_string1789z00zz__evaluate_avarz00, BgL_absz00_2209);
						FAILURE(BgL_auxz00_2422, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_varz00_2207,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2410 = ((BgL_ev_varz00_bglt) BgL_varz00_2207);
					}
				else
					{
						obj_t BgL_auxz00_2414;

						BgL_auxz00_2414 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1784z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1787z00zz__evaluate_avarz00,
							BGl_string1788z00zz__evaluate_avarz00, BgL_varz00_2207);
						FAILURE(BgL_auxz00_2414, BFALSE, BFALSE);
					}
				return
					BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_auxz00_2410,
					BgL_localz00_2208, BgL_auxz00_2418);
			}
		}
	}



/* bind-and-reset-effect */
	obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt
		BgL_absz00_72, obj_t BgL_varsz00_73)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 220 */
			{	/* Eval/evaluate_avar.scm 226 */
				obj_t BgL_ifreez00_760;

				BgL_ifreez00_760 =
					BGl_funionz00zz__evaluate_avarz00(
					(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_innerz00));
				{
					obj_t BgL_auxz00_2429;

					{	/* Eval/evaluate_avar.scm 228 */
						obj_t BgL_arg1324z00_762;

						BgL_arg1324z00_762 =
							(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00);
						BgL_auxz00_2429 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_varsz00_73,
							BgL_arg1324z00_762);
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00) =
						((obj_t) BgL_auxz00_2429), BUNSPEC);
				}
				{	/* Eval/evaluate_avar.scm 230 */
					obj_t BgL_g1172z00_763;

					BgL_g1172z00_763 =
						BGl_diffz00zz__evaluate_avarz00(BgL_varsz00_73, BgL_ifreez00_760);
					{
						obj_t BgL_l1170z00_1469;

						BgL_l1170z00_1469 = BgL_g1172z00_763;
					BgL_zc3anonymousza31325ze3z83_1468:
						if (PAIRP(BgL_l1170z00_1469))
							{	/* Eval/evaluate_avar.scm 233 */
								{	/* Eval/evaluate_avar.scm 233 */
									obj_t BgL_vz00_1475;

									BgL_vz00_1475 = CAR(BgL_l1170z00_1469);
									{	/* Eval/evaluate_avar.scm 233 */
										BgL_ev_varz00_bglt BgL_i1091z00_1476;

										BgL_i1091z00_1476 = ((BgL_ev_varz00_bglt) BgL_vz00_1475);
										((((BgL_ev_varz00_bglt) CREF(BgL_i1091z00_1476))->
												BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
									}
								}
								{
									obj_t BgL_l1170z00_2439;

									BgL_l1170z00_2439 = CDR(BgL_l1170z00_1469);
									BgL_l1170z00_1469 = BgL_l1170z00_2439;
									goto BgL_zc3anonymousza31325ze3z83_1468;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 233 */
								((bool_t) 1);
							}
					}
				}
				return BgL_ifreez00_760;
			}
		}
	}



/* funion */
	obj_t BGl_funionz00zz__evaluate_avarz00(obj_t BgL_lz00_774)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 225 */
			if (NULLP(BgL_lz00_774))
				{	/* Eval/evaluate_avar.scm 223 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 225 */
					obj_t BgL_arg1331z00_777;
					obj_t BgL_arg1332z00_778;

					{
						BgL_ev_absz00_bglt BgL_auxz00_2443;

						{	/* Eval/evaluate_avar.scm 225 */
							obj_t BgL_pairz00_1432;

							BgL_pairz00_1432 = BgL_lz00_774;
							BgL_auxz00_2443 = ((BgL_ev_absz00_bglt) CAR(BgL_pairz00_1432));
						}
						BgL_arg1331z00_777 =
							(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_2443))->BgL_freez00);
					}
					BgL_arg1332z00_778 =
						BGl_funionz00zz__evaluate_avarz00(CDR(BgL_lz00_774));
					{
						obj_t BgL_l1z00_1435;
						obj_t BgL_l2z00_1436;

						BgL_l1z00_1435 = BgL_arg1331z00_777;
						BgL_l2z00_1436 = BgL_arg1332z00_778;
					BgL_unionz00_1434:
						if (NULLP(BgL_l1z00_1435))
							{	/* Eval/evaluate_avar.scm 225 */
								return BgL_l2z00_1436;
							}
						else
							{	/* Eval/evaluate_avar.scm 225 */
								obj_t BgL_xz00_1443;

								BgL_xz00_1443 = CAR(BgL_l1z00_1435);
								{	/* Eval/evaluate_avar.scm 225 */
									obj_t BgL_arg1285z00_1444;
									obj_t BgL_arg1286z00_1445;

									BgL_arg1285z00_1444 = CDR(BgL_l1z00_1435);
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_xz00_1443, BgL_l2z00_1436)))
										{	/* Eval/evaluate_avar.scm 225 */
											BgL_arg1286z00_1445 = BgL_l2z00_1436;
										}
									else
										{	/* Eval/evaluate_avar.scm 225 */
											BgL_arg1286z00_1445 =
												MAKE_PAIR(BgL_xz00_1443, BgL_l2z00_1436);
										}
									{
										obj_t BgL_l2z00_2458;
										obj_t BgL_l1z00_2457;

										BgL_l1z00_2457 = BgL_arg1285z00_1444;
										BgL_l2z00_2458 = BgL_arg1286z00_1445;
										BgL_l2z00_1436 = BgL_l2z00_2458;
										BgL_l1z00_1435 = BgL_l1z00_2457;
										goto BgL_unionz00_1434;
									}
								}
							}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_proc1790z00zz__evaluate_avarz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1791z00zz__evaluate_avarz00);
		}
	}



/* &avar1189 */
	obj_t BGl_z62avar1189z62zz__evaluate_avarz00(obj_t BgL_envz00_2211,
		obj_t BgL_ez00_2212, obj_t BgL_localz00_2213, obj_t BgL_absz00_2214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				BgL_ev_exprz00_bglt BgL_ez00_2321;

				BgL_ez00_2321 = ((BgL_ev_exprz00_bglt) BgL_ez00_2212);
				return
					BGl_errorz00zz__errorz00(BGl_symbol1792z00zz__evaluate_avarz00,
					BGl_string1793z00zz__evaluate_avarz00, ((obj_t) BgL_ez00_2321));
			}
		}
	}



/* avar */
	obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_18,
		obj_t BgL_localz00_19, obj_t BgL_absz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				obj_t BgL_method1190z00_788;

				{	/* Eval/evaluate_avar.scm 122 */
					obj_t BgL_res1681z00_1510;

					{	/* Eval/evaluate_avar.scm 122 */
						BgL_objectz00_bglt BgL_objz00_1482;

						BgL_objz00_1482 = ((BgL_objectz00_bglt) BgL_ez00_18);
						{	/* Eval/evaluate_avar.scm 122 */
							long BgL_objzd2classzd2numz00_1483;

							{	/* Eval/evaluate_avar.scm 122 */
								long BgL_res1675z00_1486;

								BgL_res1675z00_1486 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1482);
								BgL_objzd2classzd2numz00_1483 = BgL_res1675z00_1486;
							}
							{	/* Eval/evaluate_avar.scm 122 */
								obj_t BgL_arg1657z00_1484;

								BgL_arg1657z00_1484 =
									PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluate_avarz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_avar.scm 122 */
									obj_t BgL_arrayz00_1487;
									int BgL_offsetz00_1488;

									BgL_arrayz00_1487 = BgL_arg1657z00_1484;
									BgL_offsetz00_1488 = (int) (BgL_objzd2classzd2numz00_1483);
									{	/* Eval/evaluate_avar.scm 122 */
										long BgL_offsetz00_1489;

										BgL_offsetz00_1489 =
											((long) (BgL_offsetz00_1488) - OBJECT_TYPE);
										{	/* Eval/evaluate_avar.scm 122 */
											long BgL_modz00_1490;

											{	/* Eval/evaluate_avar.scm 122 */
												int BgL_arg1659z00_1491;

												BgL_arg1659z00_1491 = (int) (((long) 16));
												{	/* Eval/evaluate_avar.scm 122 */
													long BgL_res1678z00_1501;

													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_auxz00_2471;

														BgL_auxz00_2471 = (long) (BgL_arg1659z00_1491);
														BgL_res1678z00_1501 =
															(BgL_offsetz00_1489 / BgL_auxz00_2471);
													}
													BgL_modz00_1490 = BgL_res1678z00_1501;
											}}
											{	/* Eval/evaluate_avar.scm 122 */
												long BgL_restz00_1492;

												{	/* Eval/evaluate_avar.scm 122 */
													int BgL_arg1658z00_1493;

													BgL_arg1658z00_1493 = (int) (((long) 16));
													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_res1680z00_1505;

														{	/* Eval/evaluate_avar.scm 122 */
															long BgL_auxz00_2475;

															BgL_auxz00_2475 = (long) (BgL_arg1658z00_1493);
															BgL_res1680z00_1505 =
																(BgL_offsetz00_1489 % BgL_auxz00_2475);
														}
														BgL_restz00_1492 = BgL_res1680z00_1505;
												}}
												{	/* Eval/evaluate_avar.scm 122 */

													BgL_res1681z00_1510 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1487,
															(int) (BgL_modz00_1490)),
														(int) (BgL_restz00_1492));
					}}}}}}}}
					BgL_method1190z00_788 = BgL_res1681z00_1510;
				}
				return
					PROCEDURE_ENTRY(BgL_method1190z00_788) (BgL_method1190z00_788,
					((obj_t) BgL_ez00_18), BgL_localz00_19, BgL_absz00_20, BEOA);
			}
		}
	}



/* &avar */
	obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t BgL_envz00_2215,
		obj_t BgL_ez00_2216, obj_t BgL_localz00_2217, obj_t BgL_absz00_2218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				BgL_ev_exprz00_bglt BgL_auxz00_2489;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2216,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 122 */
						BgL_auxz00_2489 = ((BgL_ev_exprz00_bglt) BgL_ez00_2216);
					}
				else
					{
						obj_t BgL_auxz00_2493;

						BgL_auxz00_2493 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1784z00zz__evaluate_avarz00, BINT(((long) 3282)),
							BGl_string1794z00zz__evaluate_avarz00,
							BGl_string1786z00zz__evaluate_avarz00, BgL_ez00_2216);
						FAILURE(BgL_auxz00_2493, BFALSE, BFALSE);
					}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_auxz00_2489, BgL_localz00_2217,
					BgL_absz00_2218);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1795z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1797z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1798z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1799z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc1800z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1801z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc1802z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1803z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1804z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1805z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1806z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1807z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1808z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1809z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1810z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1811z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1812z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1813z00zz__evaluate_avarz00,
				BGl_string1796z00zz__evaluate_avarz00);
		}
	}



/* &avar-ev_abs1226 */
	obj_t BGl_z62avarzd2ev_abs1226zb0zz__evaluate_avarz00(obj_t BgL_envz00_2237,
		obj_t BgL_ez00_2238, obj_t BgL_localz00_2239, obj_t BgL_absz00_2240)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 236 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1069;
				obj_t BgL_localz00_1070;
				obj_t BgL_absz00_1071;

				BgL_ez00_1069 = ((BgL_ev_absz00_bglt) BgL_ez00_2238);
				BgL_localz00_1070 = BgL_localz00_2239;
				BgL_absz00_1071 = BgL_absz00_2240;
				{	/* Eval/evaluate_avar.scm 238 */
					BgL_ev_absz00_bglt BgL_i1093z00_1075;

					BgL_i1093z00_1075 = ((BgL_ev_absz00_bglt) BgL_absz00_1071);
					{
						obj_t BgL_auxz00_2517;

						{	/* Eval/evaluate_avar.scm 239 */
							obj_t BgL_arg1425z00_1076;

							BgL_arg1425z00_1076 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1075))->BgL_innerz00);
							BgL_auxz00_2517 =
								MAKE_PAIR(((obj_t) BgL_ez00_1069), BgL_arg1425z00_1076);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1075))->BgL_innerz00) =
							((obj_t) BgL_auxz00_2517), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_avar.scm 240 */
					BgL_ev_exprz00_bglt BgL_arg1426z00_1077;
					obj_t BgL_arg1427z00_1078;

					BgL_arg1426z00_1077 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_bodyz00);
					BgL_arg1427z00_1078 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_varsz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1426z00_1077,
						BgL_arg1427z00_1078, ((obj_t) BgL_ez00_1069));
				}
				{	/* Eval/evaluate_avar.scm 241 */
					obj_t BgL_ifreez00_1079;

					BgL_ifreez00_1079 =
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00
						(BgL_ez00_1069,
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_varsz00));
					{
						obj_t BgL_auxz00_2528;

						{	/* Eval/evaluate_avar.scm 243 */
							obj_t BgL_arg1428z00_1081;
							obj_t BgL_arg1429z00_1082;

							{	/* Eval/evaluate_avar.scm 243 */
								obj_t BgL_arg1430z00_1083;

								BgL_arg1430z00_1083 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_freez00);
								{
									obj_t BgL_l1z00_1931;
									obj_t BgL_l2z00_1932;

									BgL_l1z00_1931 = BgL_ifreez00_1079;
									BgL_l2z00_1932 = BgL_arg1430z00_1083;
								BgL_unionz00_1930:
									if (NULLP(BgL_l1z00_1931))
										{	/* Eval/evaluate_avar.scm 243 */
											BgL_arg1428z00_1081 = BgL_l2z00_1932;
										}
									else
										{	/* Eval/evaluate_avar.scm 243 */
											obj_t BgL_xz00_1939;

											{	/* Eval/evaluate_avar.scm 243 */
												obj_t BgL_pairz00_1945;

												BgL_pairz00_1945 = BgL_l1z00_1931;
												BgL_xz00_1939 = CAR(BgL_pairz00_1945);
											}
											{	/* Eval/evaluate_avar.scm 243 */
												obj_t BgL_arg1285z00_1940;
												obj_t BgL_arg1286z00_1941;

												{	/* Eval/evaluate_avar.scm 243 */
													obj_t BgL_pairz00_1946;

													BgL_pairz00_1946 = BgL_l1z00_1931;
													BgL_arg1285z00_1940 = CDR(BgL_pairz00_1946);
												}
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_xz00_1939, BgL_l2z00_1932)))
													{	/* Eval/evaluate_avar.scm 243 */
														BgL_arg1286z00_1941 = BgL_l2z00_1932;
													}
												else
													{	/* Eval/evaluate_avar.scm 243 */
														BgL_arg1286z00_1941 =
															MAKE_PAIR(BgL_xz00_1939, BgL_l2z00_1932);
													}
												{
													obj_t BgL_l2z00_2539;
													obj_t BgL_l1z00_2538;

													BgL_l1z00_2538 = BgL_arg1285z00_1940;
													BgL_l2z00_2539 = BgL_arg1286z00_1941;
													BgL_l2z00_1932 = BgL_l2z00_2539;
													BgL_l1z00_1931 = BgL_l1z00_2538;
													goto BgL_unionz00_1930;
												}
											}
										}
								}
							}
							BgL_arg1429z00_1082 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_bindz00);
							BgL_auxz00_2528 =
								BGl_diffz00zz__evaluate_avarz00(BgL_arg1428z00_1081,
								BgL_arg1429z00_1082);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_freez00) =
							((obj_t) BgL_auxz00_2528), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2543;

						{	/* Eval/evaluate_avar.scm 244 */
							obj_t BgL_g1178z00_1084;

							BgL_g1178z00_1084 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_varsz00);
							BgL_auxz00_2543 =
								BGl_zc3anonymousza31431ze3z83zz__evaluate_avarz00
								(BgL_g1178z00_1084);
						}
						return
							((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1069))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2543), BUNSPEC);
					}
				}
			}
		}
	}



/* <anonymous:1431> */
	obj_t BGl_zc3anonymousza31431ze3z83zz__evaluate_avarz00(obj_t
		BgL_lis1174z00_1086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 244 */
		BGl_zc3anonymousza31431ze3z83zz__evaluate_avarz00:
			if (NULLP(BgL_lis1174z00_1086))
				{	/* Eval/evaluate_avar.scm 244 */
					return BgL_lis1174z00_1086;
				}
			else
				{	/* Eval/evaluate_avar.scm 244 */
					obj_t BgL_head1175z00_1089;
					obj_t BgL_tail1176z00_1090;

					BgL_head1175z00_1089 = CAR(BgL_lis1174z00_1086);
					BgL_tail1176z00_1090 = CDR(BgL_lis1174z00_1086);
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										((BgL_ev_varz00_bglt) BgL_head1175z00_1089)))->BgL_effz00)))
						{	/* Eval/evaluate_avar.scm 244 */
							obj_t BgL_newzd2tail1177zd2_1092;

							BgL_newzd2tail1177zd2_1092 =
								BGl_zc3anonymousza31431ze3z83zz__evaluate_avarz00
								(BgL_tail1176z00_1090);
							if ((BgL_tail1176z00_1090 == BgL_newzd2tail1177zd2_1092))
								{	/* Eval/evaluate_avar.scm 244 */
									return BgL_lis1174z00_1086;
								}
							else
								{	/* Eval/evaluate_avar.scm 244 */
									obj_t BgL_res1730z00_1956;

									BgL_res1730z00_1956 =
										MAKE_PAIR(BgL_head1175z00_1089, BgL_newzd2tail1177zd2_1092);
									return BgL_res1730z00_1956;
								}
						}
					else
						{
							obj_t BgL_lis1174z00_2560;

							BgL_lis1174z00_2560 = BgL_tail1176z00_1090;
							BgL_lis1174z00_1086 = BgL_lis1174z00_2560;
							goto BGl_zc3anonymousza31431ze3z83zz__evaluate_avarz00;
						}
				}
		}
	}



/* &avar-ev_app1224 */
	obj_t BGl_z62avarzd2ev_app1224zb0zz__evaluate_avarz00(obj_t BgL_envz00_2241,
		obj_t BgL_ez00_2242, obj_t BgL_localz00_2243, obj_t BgL_absz00_2244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 214 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1053;
				obj_t BgL_localz00_1054;
				obj_t BgL_absz00_1055;

				{	/* Eval/evaluate_avar.scm 215 */
					bool_t BgL_auxz00_2561;

					BgL_ez00_1053 = ((BgL_ev_appz00_bglt) BgL_ez00_2242);
					BgL_localz00_1054 = BgL_localz00_2243;
					BgL_absz00_1055 = BgL_absz00_2244;
					BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1053))->BgL_funz00),
						BgL_localz00_1054, BgL_absz00_1055);
					{	/* Eval/evaluate_avar.scm 215 */
						obj_t BgL_g1169z00_1897;

						BgL_g1169z00_1897 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1053))->BgL_argsz00);
						{
							obj_t BgL_l1167z00_1919;

							BgL_l1167z00_1919 = BgL_g1169z00_1897;
						BgL_zc3anonymousza31422ze3z83_1918:
							if (PAIRP(BgL_l1167z00_1919))
								{	/* Eval/evaluate_avar.scm 215 */
									{	/* Eval/evaluate_avar.scm 215 */
										obj_t BgL_ez00_1924;

										BgL_ez00_1924 = CAR(BgL_l1167z00_1919);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1924), BgL_localz00_1054,
											BgL_absz00_1055);
									}
									{
										obj_t BgL_l1167z00_2570;

										BgL_l1167z00_2570 = CDR(BgL_l1167z00_1919);
										BgL_l1167z00_1919 = BgL_l1167z00_2570;
										goto BgL_zc3anonymousza31422ze3z83_1918;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 215 */
									BgL_auxz00_2561 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2561);
				}
			}
		}
	}



/* &avar-ev_goto1222 */
	obj_t BGl_z62avarzd2ev_goto1222zb0zz__evaluate_avarz00(obj_t BgL_envz00_2245,
		obj_t BgL_ez00_2246, obj_t BgL_localz00_2247, obj_t BgL_absz00_2248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 210 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1038;
				obj_t BgL_localz00_1039;
				obj_t BgL_absz00_1040;

				{	/* Eval/evaluate_avar.scm 211 */
					bool_t BgL_auxz00_2574;

					BgL_ez00_1038 = ((BgL_ev_gotoz00_bglt) BgL_ez00_2246);
					BgL_localz00_1039 = BgL_localz00_2247;
					BgL_absz00_1040 = BgL_absz00_2248;
					{	/* Eval/evaluate_avar.scm 211 */
						obj_t BgL_g1166z00_1862;

						BgL_g1166z00_1862 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1038))->BgL_argsz00);
						{
							obj_t BgL_l1164z00_1884;

							BgL_l1164z00_1884 = BgL_g1166z00_1862;
						BgL_zc3anonymousza31418ze3z83_1883:
							if (PAIRP(BgL_l1164z00_1884))
								{	/* Eval/evaluate_avar.scm 211 */
									{	/* Eval/evaluate_avar.scm 211 */
										obj_t BgL_ez00_1889;

										BgL_ez00_1889 = CAR(BgL_l1164z00_1884);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1889), BgL_localz00_1039,
											BgL_absz00_1040);
									}
									{
										obj_t BgL_l1164z00_2581;

										BgL_l1164z00_2581 = CDR(BgL_l1164z00_1884);
										BgL_l1164z00_1884 = BgL_l1164z00_2581;
										goto BgL_zc3anonymousza31418ze3z83_1883;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 211 */
									BgL_auxz00_2574 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2574);
				}
			}
		}
	}



/* &avar-ev_labels1220 */
	obj_t BGl_z62avarzd2ev_labels1220zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2249, obj_t BgL_ez00_2250, obj_t BgL_localz00_2251,
		obj_t BgL_absz00_2252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 198 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_984;
				obj_t BgL_localz00_985;
				obj_t BgL_absz00_986;

				BgL_ez00_984 = ((BgL_ev_labelsz00_bglt) BgL_ez00_2250);
				BgL_localz00_985 = BgL_localz00_2251;
				BgL_absz00_986 = BgL_absz00_2252;
				{	/* Eval/evaluate_avar.scm 200 */
					obj_t BgL_localz00_990;

					BgL_localz00_990 =
						BGl_appendzd221011zd2zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_984))->BgL_varsz00),
						BgL_localz00_985);
					{	/* Eval/evaluate_avar.scm 201 */
						obj_t BgL_g1152z00_991;

						BgL_g1152z00_991 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_984))->BgL_valsz00);
						{
							obj_t BgL_l1150z00_993;

							BgL_l1150z00_993 = BgL_g1152z00_991;
						BgL_zc3anonymousza31396ze3z83_994:
							if (PAIRP(BgL_l1150z00_993))
								{	/* Eval/evaluate_avar.scm 201 */
									{	/* Eval/evaluate_avar.scm 203 */
										obj_t BgL_sz00_996;

										BgL_sz00_996 = CAR(BgL_l1150z00_993);
										{	/* Eval/evaluate_avar.scm 203 */
											obj_t BgL_arg1398z00_997;
											obj_t BgL_arg1399z00_998;

											BgL_arg1398z00_997 = CDR(BgL_sz00_996);
											BgL_arg1399z00_998 =
												BGl_appendzd221011zd2zz__evaluate_avarz00(CAR
												(BgL_sz00_996), BgL_localz00_990);
											BGl_avarz00zz__evaluate_avarz00(((BgL_ev_exprz00_bglt)
													BgL_arg1398z00_997), BgL_arg1399z00_998,
												BgL_absz00_986);
										}
										{	/* Eval/evaluate_avar.scm 204 */
											obj_t BgL_arg1401z00_1000;

											BgL_arg1401z00_1000 = CAR(BgL_sz00_996);
											BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
												((BgL_ev_absz00_bglt) BgL_absz00_986),
												BgL_arg1401z00_1000);
										}
									}
									{
										obj_t BgL_l1150z00_2599;

										BgL_l1150z00_2599 = CDR(BgL_l1150z00_993);
										BgL_l1150z00_993 = BgL_l1150z00_2599;
										goto BgL_zc3anonymousza31396ze3z83_994;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 201 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2601;

						{	/* Eval/evaluate_avar.scm 207 */
							obj_t BgL_ll1158z00_1003;
							obj_t BgL_ll1159z00_1004;

							BgL_ll1158z00_1003 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_984))->BgL_varsz00);
							BgL_ll1159z00_1004 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_984))->BgL_valsz00);
							if (NULLP(BgL_ll1158z00_1003))
								{	/* Eval/evaluate_avar.scm 207 */
									BgL_auxz00_2601 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 207 */
									obj_t BgL_head1160z00_1006;

									{	/* Eval/evaluate_avar.scm 207 */
										obj_t BgL_res1710z00_1783;

										BgL_res1710z00_1783 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1160z00_1006 = BgL_res1710z00_1783;
									}
									{
										obj_t BgL_ll1158z00_1008;
										obj_t BgL_ll1159z00_1009;
										obj_t BgL_tail1161z00_1010;

										BgL_ll1158z00_1008 = BgL_ll1158z00_1003;
										BgL_ll1159z00_1009 = BgL_ll1159z00_1004;
										BgL_tail1161z00_1010 = BgL_head1160z00_1006;
									BgL_zc3anonymousza31404ze3z83_1011:
										if (NULLP(BgL_ll1158z00_1008))
											{	/* Eval/evaluate_avar.scm 207 */
												BgL_auxz00_2601 = CDR(BgL_head1160z00_1006);
											}
										else
											{	/* Eval/evaluate_avar.scm 207 */
												obj_t BgL_newtail1162z00_1013;

												{	/* Eval/evaluate_avar.scm 207 */
													obj_t BgL_arg1409z00_1016;

													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_varz00_1017;
														obj_t BgL_sz00_1018;

														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_pairz00_1787;

															BgL_pairz00_1787 = BgL_ll1158z00_1008;
															BgL_varz00_1017 = CAR(BgL_pairz00_1787);
														}
														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_pairz00_1788;

															BgL_pairz00_1788 = BgL_ll1159z00_1009;
															BgL_sz00_1018 = CAR(BgL_pairz00_1788);
														}
														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_arg1410z00_1019;

															{	/* Eval/evaluate_avar.scm 207 */
																obj_t BgL_l1153z00_1020;

																{	/* Eval/evaluate_avar.scm 207 */
																	obj_t BgL_pairz00_1789;

																	BgL_pairz00_1789 = BgL_sz00_1018;
																	BgL_l1153z00_1020 = CAR(BgL_pairz00_1789);
																}
																if (NULLP(BgL_l1153z00_1020))
																	{	/* Eval/evaluate_avar.scm 207 */
																		BgL_arg1410z00_1019 = BNIL;
																	}
																else
																	{	/* Eval/evaluate_avar.scm 207 */
																		obj_t BgL_head1155z00_1022;

																		{	/* Eval/evaluate_avar.scm 207 */
																			obj_t BgL_res1713z00_1794;

																			BgL_res1713z00_1794 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1155z00_1022 =
																				BgL_res1713z00_1794;
																		}
																		{
																			obj_t BgL_l1153z00_1830;
																			obj_t BgL_tail1156z00_1831;

																			BgL_l1153z00_1830 = BgL_l1153z00_1020;
																			BgL_tail1156z00_1831 =
																				BgL_head1155z00_1022;
																		BgL_zc3anonymousza31412ze3z83_1829:
																			if (NULLP(BgL_l1153z00_1830))
																				{	/* Eval/evaluate_avar.scm 207 */
																					BgL_arg1410z00_1019 =
																						CDR(BgL_head1155z00_1022);
																				}
																			else
																				{	/* Eval/evaluate_avar.scm 207 */
																					obj_t BgL_newtail1157z00_1839;

																					{	/* Eval/evaluate_avar.scm 207 */
																						obj_t BgL_arg1415z00_1840;

																						{
																							BgL_ev_varz00_bglt
																								BgL_auxz00_2619;
																							{	/* Eval/evaluate_avar.scm 207 */
																								obj_t BgL_pairz00_1847;

																								BgL_pairz00_1847 =
																									BgL_l1153z00_1830;
																								BgL_auxz00_2619 =
																									((BgL_ev_varz00_bglt)
																									CAR(BgL_pairz00_1847));
																							}
																							BgL_arg1415z00_1840 =
																								(((BgL_ev_varz00_bglt)
																									CREF(BgL_auxz00_2619))->
																								BgL_effz00);
																						}
																						{	/* Eval/evaluate_avar.scm 207 */
																							obj_t BgL_res1719z00_1850;

																							BgL_res1719z00_1850 =
																								MAKE_PAIR(BgL_arg1415z00_1840,
																								BNIL);
																							BgL_newtail1157z00_1839 =
																								BgL_res1719z00_1850;
																						}
																					}
																					SET_CDR(BgL_tail1156z00_1831,
																						BgL_newtail1157z00_1839);
																					{	/* Eval/evaluate_avar.scm 207 */
																						obj_t BgL_arg1414z00_1843;

																						{	/* Eval/evaluate_avar.scm 207 */
																							obj_t BgL_pairz00_1853;

																							BgL_pairz00_1853 =
																								BgL_l1153z00_1830;
																							BgL_arg1414z00_1843 =
																								CDR(BgL_pairz00_1853);
																						}
																						{
																							obj_t BgL_tail1156z00_2627;
																							obj_t BgL_l1153z00_2626;

																							BgL_l1153z00_2626 =
																								BgL_arg1414z00_1843;
																							BgL_tail1156z00_2627 =
																								BgL_newtail1157z00_1839;
																							BgL_tail1156z00_1831 =
																								BgL_tail1156z00_2627;
																							BgL_l1153z00_1830 =
																								BgL_l1153z00_2626;
																							goto
																								BgL_zc3anonymousza31412ze3z83_1829;
																						}
																					}
																				}
																		}
																	}
															}
															BgL_arg1409z00_1016 =
																MAKE_PAIR(BgL_varz00_1017, BgL_arg1410z00_1019);
														}
													}
													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_res1720z00_1856;

														BgL_res1720z00_1856 =
															MAKE_PAIR(BgL_arg1409z00_1016, BNIL);
														BgL_newtail1162z00_1013 = BgL_res1720z00_1856;
													}
												}
												SET_CDR(BgL_tail1161z00_1010, BgL_newtail1162z00_1013);
												{	/* Eval/evaluate_avar.scm 207 */
													obj_t BgL_arg1407z00_1014;
													obj_t BgL_arg1408z00_1015;

													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_pairz00_1859;

														BgL_pairz00_1859 = BgL_ll1158z00_1008;
														BgL_arg1407z00_1014 = CDR(BgL_pairz00_1859);
													}
													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_pairz00_1860;

														BgL_pairz00_1860 = BgL_ll1159z00_1009;
														BgL_arg1408z00_1015 = CDR(BgL_pairz00_1860);
													}
													{
														obj_t BgL_tail1161z00_2635;
														obj_t BgL_ll1159z00_2634;
														obj_t BgL_ll1158z00_2633;

														BgL_ll1158z00_2633 = BgL_arg1407z00_1014;
														BgL_ll1159z00_2634 = BgL_arg1408z00_1015;
														BgL_tail1161z00_2635 = BgL_newtail1162z00_1013;
														BgL_tail1161z00_1010 = BgL_tail1161z00_2635;
														BgL_ll1159z00_1009 = BgL_ll1159z00_2634;
														BgL_ll1158z00_1008 = BgL_ll1158z00_2633;
														goto BgL_zc3anonymousza31404ze3z83_1011;
													}
												}
											}
									}
								}
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_984))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2601), BUNSPEC);
					}
					return
						BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_984))->BgL_bodyz00),
						BgL_localz00_990, BgL_absz00_986);
				}
			}
		}
	}



/* &avar-ev_letrec1218 */
	obj_t BGl_z62avarzd2ev_letrec1218zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2253, obj_t BgL_ez00_2254, obj_t BgL_localz00_2255,
		obj_t BgL_absz00_2256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 189 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_954;
				obj_t BgL_localz00_955;
				obj_t BgL_absz00_956;

				{	/* Eval/evaluate_avar.scm 190 */
					bool_t BgL_auxz00_2640;

					BgL_ez00_954 = ((BgL_ev_letrecz00_bglt) BgL_ez00_2254);
					BgL_localz00_955 = BgL_localz00_2255;
					BgL_absz00_956 = BgL_absz00_2256;
					{	/* Eval/evaluate_avar.scm 191 */
						obj_t BgL_localz00_960;

						{	/* Eval/evaluate_avar.scm 191 */
							obj_t BgL_arg1395z00_982;

							BgL_arg1395z00_982 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_954)))->BgL_varsz00);
							BgL_localz00_960 =
								BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1395z00_982,
								BgL_localz00_955);
						}
						{	/* Eval/evaluate_avar.scm 192 */
							obj_t BgL_g1146z00_961;

							BgL_g1146z00_961 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_954)))->BgL_valsz00);
							{
								obj_t BgL_l1144z00_1730;

								BgL_l1144z00_1730 = BgL_g1146z00_961;
							BgL_zc3anonymousza31382ze3z83_1729:
								if (PAIRP(BgL_l1144z00_1730))
									{	/* Eval/evaluate_avar.scm 192 */
										{	/* Eval/evaluate_avar.scm 192 */
											obj_t BgL_ez00_1735;

											BgL_ez00_1735 = CAR(BgL_l1144z00_1730);
											BGl_avarz00zz__evaluate_avarz00(
												((BgL_ev_exprz00_bglt) BgL_ez00_1735), BgL_localz00_960,
												BgL_absz00_956);
										}
										{
											obj_t BgL_l1144z00_2651;

											BgL_l1144z00_2651 = CDR(BgL_l1144z00_1730);
											BgL_l1144z00_1730 = BgL_l1144z00_2651;
											goto BgL_zc3anonymousza31382ze3z83_1729;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 192 */
										((bool_t) 1);
									}
							}
						}
						{	/* Eval/evaluate_avar.scm 193 */
							BgL_ev_exprz00_bglt BgL_arg1387z00_969;

							BgL_arg1387z00_969 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_954)))->BgL_bodyz00);
							BGl_avarz00zz__evaluate_avarz00(BgL_arg1387z00_969,
								BgL_localz00_960, BgL_absz00_956);
						}
						{	/* Eval/evaluate_avar.scm 194 */
							BgL_ev_absz00_bglt BgL_i1082z00_970;

							BgL_i1082z00_970 = ((BgL_ev_absz00_bglt) BgL_absz00_956);
							{
								obj_t BgL_auxz00_2657;

								{	/* Eval/evaluate_avar.scm 195 */
									obj_t BgL_arg1388z00_971;
									obj_t BgL_arg1389z00_972;

									BgL_arg1388z00_971 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_954)))->BgL_varsz00);
									BgL_arg1389z00_972 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_970))->
										BgL_bindz00);
									BgL_auxz00_2657 =
										BGl_appendzd221011zd2zz__evaluate_avarz00
										(BgL_arg1388z00_971, BgL_arg1389z00_972);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_970))->BgL_bindz00) =
									((obj_t) BgL_auxz00_2657), BUNSPEC);
							}
						}
						{	/* Eval/evaluate_avar.scm 196 */
							obj_t BgL_g1149z00_973;

							BgL_g1149z00_973 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_954)))->BgL_varsz00);
							{
								obj_t BgL_l1147z00_1759;

								BgL_l1147z00_1759 = BgL_g1149z00_973;
							BgL_zc3anonymousza31390ze3z83_1758:
								if (PAIRP(BgL_l1147z00_1759))
									{	/* Eval/evaluate_avar.scm 196 */
										{	/* Eval/evaluate_avar.scm 196 */
											obj_t BgL_vz00_1765;

											BgL_vz00_1765 = CAR(BgL_l1147z00_1759);
											{	/* Eval/evaluate_avar.scm 196 */
												BgL_ev_varz00_bglt BgL_i1083z00_1766;

												BgL_i1083z00_1766 =
													((BgL_ev_varz00_bglt) BgL_vz00_1765);
												((((BgL_ev_varz00_bglt) CREF(BgL_i1083z00_1766))->
														BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1147z00_2670;

											BgL_l1147z00_2670 = CDR(BgL_l1147z00_1759);
											BgL_l1147z00_1759 = BgL_l1147z00_2670;
											goto BgL_zc3anonymousza31390ze3z83_1758;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 196 */
										BgL_auxz00_2640 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2640);
				}
			}
		}
	}



/* &avar-ev_let*1216 */
	obj_t BGl_z62avarzd2ev_letza21216z12zz__evaluate_avarz00(obj_t
		BgL_envz00_2257, obj_t BgL_ez00_2258, obj_t BgL_localz00_2259,
		obj_t BgL_absz00_2260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 181 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_921;
				obj_t BgL_localz00_922;
				obj_t BgL_absz00_923;

				BgL_ez00_921 = ((BgL_ev_letza2za2_bglt) BgL_ez00_2258);
				BgL_localz00_922 = BgL_localz00_2259;
				BgL_absz00_923 = BgL_absz00_2260;
				{	/* Eval/evaluate_avar.scm 183 */
					obj_t BgL_localz00_927;

					{	/* Eval/evaluate_avar.scm 183 */
						obj_t BgL_arg1381z00_952;

						BgL_arg1381z00_952 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_921)))->BgL_varsz00);
						BgL_localz00_927 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1381z00_952,
							BgL_localz00_922);
					}
					{	/* Eval/evaluate_avar.scm 184 */
						obj_t BgL_g1138z00_928;

						BgL_g1138z00_928 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_921)))->BgL_valsz00);
						{
							obj_t BgL_l1136z00_1639;

							BgL_l1136z00_1639 = BgL_g1138z00_928;
						BgL_zc3anonymousza31370ze3z83_1638:
							if (PAIRP(BgL_l1136z00_1639))
								{	/* Eval/evaluate_avar.scm 184 */
									{	/* Eval/evaluate_avar.scm 184 */
										obj_t BgL_ez00_1644;

										BgL_ez00_1644 = CAR(BgL_l1136z00_1639);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1644), BgL_localz00_927,
											BgL_absz00_923);
									}
									{
										obj_t BgL_l1136z00_2684;

										BgL_l1136z00_2684 = CDR(BgL_l1136z00_1639);
										BgL_l1136z00_1639 = BgL_l1136z00_2684;
										goto BgL_zc3anonymousza31370ze3z83_1638;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 184 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate_avar.scm 185 */
						BgL_ev_exprz00_bglt BgL_arg1373z00_936;

						BgL_arg1373z00_936 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_921)))->BgL_bodyz00);
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1373z00_936,
							BgL_localz00_927, BgL_absz00_923);
					}
					{	/* Eval/evaluate_avar.scm 186 */
						obj_t BgL_arg1374z00_937;

						BgL_arg1374z00_937 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_921)))->BgL_varsz00);
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
							((BgL_ev_absz00_bglt) BgL_absz00_923), BgL_arg1374z00_937);
					}
					{
						obj_t BgL_auxz00_2693;

						{	/* Eval/evaluate_avar.scm 187 */
							obj_t BgL_l1139z00_938;

							BgL_l1139z00_938 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_921)))->BgL_varsz00);
							if (NULLP(BgL_l1139z00_938))
								{	/* Eval/evaluate_avar.scm 187 */
									BgL_auxz00_2693 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 187 */
									obj_t BgL_head1141z00_940;

									{	/* Eval/evaluate_avar.scm 187 */
										obj_t BgL_res1695z00_1654;

										BgL_res1695z00_1654 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1141z00_940 = BgL_res1695z00_1654;
									}
									{
										obj_t BgL_l1139z00_1690;
										obj_t BgL_tail1142z00_1691;

										BgL_l1139z00_1690 = BgL_l1139z00_938;
										BgL_tail1142z00_1691 = BgL_head1141z00_940;
									BgL_zc3anonymousza31376ze3z83_1689:
										if (NULLP(BgL_l1139z00_1690))
											{	/* Eval/evaluate_avar.scm 187 */
												BgL_auxz00_2693 = CDR(BgL_head1141z00_940);
											}
										else
											{	/* Eval/evaluate_avar.scm 187 */
												obj_t BgL_newtail1143z00_1699;

												{	/* Eval/evaluate_avar.scm 187 */
													obj_t BgL_arg1380z00_1700;

													{
														BgL_ev_varz00_bglt BgL_auxz00_2702;

														{	/* Eval/evaluate_avar.scm 187 */
															obj_t BgL_pairz00_1707;

															BgL_pairz00_1707 = BgL_l1139z00_1690;
															BgL_auxz00_2702 =
																((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1707));
														}
														BgL_arg1380z00_1700 =
															(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2702))->
															BgL_effz00);
													}
													{	/* Eval/evaluate_avar.scm 187 */
														obj_t BgL_res1701z00_1710;

														BgL_res1701z00_1710 =
															MAKE_PAIR(BgL_arg1380z00_1700, BNIL);
														BgL_newtail1143z00_1699 = BgL_res1701z00_1710;
													}
												}
												SET_CDR(BgL_tail1142z00_1691, BgL_newtail1143z00_1699);
												{	/* Eval/evaluate_avar.scm 187 */
													obj_t BgL_arg1378z00_1703;

													{	/* Eval/evaluate_avar.scm 187 */
														obj_t BgL_pairz00_1713;

														BgL_pairz00_1713 = BgL_l1139z00_1690;
														BgL_arg1378z00_1703 = CDR(BgL_pairz00_1713);
													}
													{
														obj_t BgL_tail1142z00_2710;
														obj_t BgL_l1139z00_2709;

														BgL_l1139z00_2709 = BgL_arg1378z00_1703;
														BgL_tail1142z00_2710 = BgL_newtail1143z00_1699;
														BgL_tail1142z00_1691 = BgL_tail1142z00_2710;
														BgL_l1139z00_1690 = BgL_l1139z00_2709;
														goto BgL_zc3anonymousza31376ze3z83_1689;
													}
												}
											}
									}
								}
						}
						return
							((((BgL_ev_letza2za2_bglt) CREF(BgL_ez00_921))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2693), BUNSPEC);
					}
				}
			}
		}
	}



/* &avar-ev_let1214 */
	obj_t BGl_z62avarzd2ev_let1214zb0zz__evaluate_avarz00(obj_t BgL_envz00_2261,
		obj_t BgL_ez00_2262, obj_t BgL_localz00_2263, obj_t BgL_absz00_2264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 174 */
			{
				BgL_ev_letz00_bglt BgL_ez00_889;
				obj_t BgL_localz00_890;
				obj_t BgL_absz00_891;

				BgL_ez00_889 = ((BgL_ev_letz00_bglt) BgL_ez00_2262);
				BgL_localz00_890 = BgL_localz00_2263;
				BgL_absz00_891 = BgL_absz00_2264;
				{	/* Eval/evaluate_avar.scm 176 */
					obj_t BgL_g1129z00_895;

					BgL_g1129z00_895 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_889)))->BgL_valsz00);
					{
						obj_t BgL_l1127z00_1602;

						BgL_l1127z00_1602 = BgL_g1129z00_895;
					BgL_zc3anonymousza31359ze3z83_1601:
						if (PAIRP(BgL_l1127z00_1602))
							{	/* Eval/evaluate_avar.scm 176 */
								{	/* Eval/evaluate_avar.scm 176 */
									obj_t BgL_ez00_1607;

									BgL_ez00_1607 = CAR(BgL_l1127z00_1602);
									BGl_avarz00zz__evaluate_avarz00(
										((BgL_ev_exprz00_bglt) BgL_ez00_1607), BgL_localz00_890,
										BgL_absz00_891);
								}
								{
									obj_t BgL_l1127z00_2720;

									BgL_l1127z00_2720 = CDR(BgL_l1127z00_1602);
									BgL_l1127z00_1602 = BgL_l1127z00_2720;
									goto BgL_zc3anonymousza31359ze3z83_1601;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 176 */
								((bool_t) 1);
							}
					}
				}
				{	/* Eval/evaluate_avar.scm 177 */
					BgL_ev_exprz00_bglt BgL_arg1362z00_903;
					obj_t BgL_arg1363z00_904;

					BgL_arg1362z00_903 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_889)))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 177 */
						obj_t BgL_arg1364z00_905;

						BgL_arg1364z00_905 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_889)))->BgL_varsz00);
						BgL_arg1363z00_904 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1364z00_905,
							BgL_localz00_890);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1362z00_903,
						BgL_arg1363z00_904, BgL_absz00_891);
				}
				{	/* Eval/evaluate_avar.scm 178 */
					obj_t BgL_arg1365z00_906;

					BgL_arg1365z00_906 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_889)))->BgL_varsz00);
					BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_891), BgL_arg1365z00_906);
				}
				{
					obj_t BgL_auxz00_2732;

					{	/* Eval/evaluate_avar.scm 179 */
						obj_t BgL_g1135z00_907;

						BgL_g1135z00_907 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_889)))->BgL_varsz00);
						BgL_auxz00_2732 =
							BGl_zc3anonymousza31366ze3z83zz__evaluate_avarz00
							(BgL_g1135z00_907);
					}
					return
						((((BgL_ev_letz00_bglt) CREF(BgL_ez00_889))->BgL_boxesz00) =
						((obj_t) BgL_auxz00_2732), BUNSPEC);
				}
			}
		}
	}



/* <anonymous:1366> */
	obj_t BGl_zc3anonymousza31366ze3z83zz__evaluate_avarz00(obj_t
		BgL_lis1131z00_909)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 179 */
		BGl_zc3anonymousza31366ze3z83zz__evaluate_avarz00:
			if (NULLP(BgL_lis1131z00_909))
				{	/* Eval/evaluate_avar.scm 179 */
					return BgL_lis1131z00_909;
				}
			else
				{	/* Eval/evaluate_avar.scm 179 */
					obj_t BgL_head1132z00_912;
					obj_t BgL_tail1133z00_913;

					BgL_head1132z00_912 = CAR(BgL_lis1131z00_909);
					BgL_tail1133z00_913 = CDR(BgL_lis1131z00_909);
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										((BgL_ev_varz00_bglt) BgL_head1132z00_912)))->BgL_effz00)))
						{	/* Eval/evaluate_avar.scm 179 */
							obj_t BgL_newzd2tail1134zd2_915;

							BgL_newzd2tail1134zd2_915 =
								BGl_zc3anonymousza31366ze3z83zz__evaluate_avarz00
								(BgL_tail1133z00_913);
							if ((BgL_tail1133z00_913 == BgL_newzd2tail1134zd2_915))
								{	/* Eval/evaluate_avar.scm 179 */
									return BgL_lis1131z00_909;
								}
							else
								{	/* Eval/evaluate_avar.scm 179 */
									obj_t BgL_res1690z00_1622;

									BgL_res1690z00_1622 =
										MAKE_PAIR(BgL_head1132z00_912, BgL_newzd2tail1134zd2_915);
									return BgL_res1690z00_1622;
								}
						}
					else
						{
							obj_t BgL_lis1131z00_2750;

							BgL_lis1131z00_2750 = BgL_tail1133z00_913;
							BgL_lis1131z00_909 = BgL_lis1131z00_2750;
							goto BGl_zc3anonymousza31366ze3z83zz__evaluate_avarz00;
						}
				}
		}
	}



/* &avar-ev_with-handler1212 */
	obj_t BGl_z62avarzd2ev_withzd2handler1212z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2265, obj_t BgL_ez00_2266, obj_t BgL_localz00_2267,
		obj_t BgL_absz00_2268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 169 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_880;
				obj_t BgL_localz00_881;
				obj_t BgL_absz00_882;

				BgL_ez00_880 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2266);
				BgL_localz00_881 = BgL_localz00_2267;
				BgL_absz00_882 = BgL_absz00_2268;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_880))->
						BgL_handlerz00), BgL_localz00_881, BgL_absz00_882);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_withzd2handlerzd2_bglt)
							CREF(BgL_ez00_880))->BgL_bodyz00), BgL_localz00_881,
					BgL_absz00_882);
			}
		}
	}



/* &avar-ev_unwind-prote1210 */
	obj_t BGl_z62avarzd2ev_unwindzd2prote1210z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2269, obj_t BgL_ez00_2270, obj_t BgL_localz00_2271,
		obj_t BgL_absz00_2272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 164 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_871;
				obj_t BgL_localz00_872;
				obj_t BgL_absz00_873;

				BgL_ez00_871 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2270);
				BgL_localz00_872 = BgL_localz00_2271;
				BgL_absz00_873 = BgL_absz00_2272;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_871))->BgL_ez00),
					BgL_localz00_872, BgL_absz00_873);
				return
					BGl_avarz00zz__evaluate_avarz00((((BgL_ev_unwindzd2protectzd2_bglt)
							CREF(BgL_ez00_871))->BgL_bodyz00), BgL_localz00_872,
					BgL_absz00_873);
			}
		}
	}



/* &avar-ev_bind-exit1208 */
	obj_t BGl_z62avarzd2ev_bindzd2exit1208z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2273, obj_t BgL_ez00_2274, obj_t BgL_localz00_2275,
		obj_t BgL_absz00_2276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 159 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_859;
				obj_t BgL_localz00_860;
				obj_t BgL_absz00_861;

				BgL_ez00_859 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2274);
				BgL_localz00_860 = BgL_localz00_2275;
				BgL_absz00_861 = BgL_absz00_2276;
				{	/* Eval/evaluate_avar.scm 160 */
					BgL_ev_exprz00_bglt BgL_arg1348z00_1575;
					obj_t BgL_arg1349z00_1576;

					BgL_arg1348z00_1575 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_859))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg1350z00_1577;

						BgL_arg1350z00_1577 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_859))->BgL_varz00);
						BgL_arg1349z00_1576 =
							MAKE_PAIR(((obj_t) BgL_arg1350z00_1577), BgL_localz00_860);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1348z00_1575,
						BgL_arg1349z00_1576, BgL_absz00_861);
				}
				{	/* Eval/evaluate_avar.scm 160 */
					obj_t BgL_arg1351z00_1578;

					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg1352z00_1579;

						BgL_arg1352z00_1579 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_859))->BgL_varz00);
						BgL_arg1351z00_1578 =
							MAKE_PAIR(((obj_t) BgL_arg1352z00_1579), BNIL);
					}
					return
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_861), BgL_arg1351z00_1578);
				}
			}
		}
	}



/* &avar-ev_setlocal1206 */
	obj_t BGl_z62avarzd2ev_setlocal1206zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2277, obj_t BgL_ez00_2278, obj_t BgL_localz00_2279,
		obj_t BgL_absz00_2280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 152 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_849;
				obj_t BgL_localz00_850;
				obj_t BgL_absz00_851;

				BgL_ez00_849 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_2278);
				BgL_localz00_850 = BgL_localz00_2279;
				BgL_absz00_851 = BgL_absz00_2280;
				{	/* Eval/evaluate_avar.scm 153 */
					BgL_ev_varz00_bglt BgL_arg1345z00_1563;

					BgL_arg1345z00_1563 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_849))->BgL_vz00);
					{	/* Eval/evaluate_avar.scm 153 */
						BgL_ev_absz00_bglt BgL_absz00_1568;

						BgL_absz00_1568 = ((BgL_ev_absz00_bglt) BgL_absz00_851);
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_arg1345z00_1563), BgL_localz00_850)))
							{	/* Eval/evaluate_avar.scm 153 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_avar.scm 153 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_arg1345z00_1563),
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1568))->
												BgL_freez00))))
									{	/* Eval/evaluate_avar.scm 153 */
										BFALSE;
									}
								else
									{
										obj_t BgL_auxz00_2783;

										{	/* Eval/evaluate_avar.scm 153 */
											obj_t BgL_arg1322z00_1573;

											BgL_arg1322z00_1573 =
												(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1568))->
												BgL_freez00);
											BgL_auxz00_2783 =
												MAKE_PAIR(((obj_t) BgL_arg1345z00_1563),
												BgL_arg1322z00_1573);
										}
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1568))->
												BgL_freez00) = ((obj_t) BgL_auxz00_2783), BUNSPEC);
									}
							}
					}
				}
				((((BgL_ev_varz00_bglt) CREF(
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_849))->BgL_vz00)))->
						BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
				{	/* Eval/evaluate_avar.scm 153 */
					BgL_ev_exprz00_bglt BgL_arg1347z00_1565;

					BgL_arg1347z00_1565 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_849)))->BgL_ez00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1347z00_1565,
						BgL_localz00_850, BgL_absz00_851);
				}
			}
		}
	}



/* &avar-ev_hook1204 */
	obj_t BGl_z62avarzd2ev_hook1204zb0zz__evaluate_avarz00(obj_t BgL_envz00_2281,
		obj_t BgL_ez00_2282, obj_t BgL_localz00_2283, obj_t BgL_absz00_2284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 148 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_841;
				obj_t BgL_localz00_842;
				obj_t BgL_absz00_843;

				BgL_ez00_841 = ((BgL_ev_hookz00_bglt) BgL_ez00_2282);
				BgL_localz00_842 = BgL_localz00_2283;
				BgL_absz00_843 = BgL_absz00_2284;
				return
					BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_841))->BgL_ez00),
					BgL_localz00_842, BgL_absz00_843);
			}
		}
	}



/* &avar-ev_prog21202 */
	obj_t BGl_z62avarzd2ev_prog21202zb0zz__evaluate_avarz00(obj_t BgL_envz00_2285,
		obj_t BgL_ez00_2286, obj_t BgL_localz00_2287, obj_t BgL_absz00_2288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 143 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_832;
				obj_t BgL_localz00_833;
				obj_t BgL_absz00_834;

				BgL_ez00_832 = ((BgL_ev_prog2z00_bglt) BgL_ez00_2286);
				BgL_localz00_833 = BgL_localz00_2287;
				BgL_absz00_834 = BgL_absz00_2288;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_832))->BgL_e1z00),
					BgL_localz00_833, BgL_absz00_834);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_prog2z00_bglt)
							CREF(BgL_ez00_832))->BgL_e2z00), BgL_localz00_833,
					BgL_absz00_834);
			}
		}
	}



/* &avar-ev_list1200 */
	obj_t BGl_z62avarzd2ev_list1200zb0zz__evaluate_avarz00(obj_t BgL_envz00_2289,
		obj_t BgL_ez00_2290, obj_t BgL_localz00_2291, obj_t BgL_absz00_2292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 139 */
			{
				BgL_ev_listz00_bglt BgL_ez00_817;
				obj_t BgL_localz00_818;
				obj_t BgL_absz00_819;

				{	/* Eval/evaluate_avar.scm 140 */
					bool_t BgL_auxz00_2802;

					BgL_ez00_817 = ((BgL_ev_listz00_bglt) BgL_ez00_2290);
					BgL_localz00_818 = BgL_localz00_2291;
					BgL_absz00_819 = BgL_absz00_2292;
					{	/* Eval/evaluate_avar.scm 140 */
						obj_t BgL_g1126z00_1524;

						BgL_g1126z00_1524 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_817))->BgL_argsz00);
						{
							obj_t BgL_l1124z00_1546;

							BgL_l1124z00_1546 = BgL_g1126z00_1524;
						BgL_zc3anonymousza31338ze3z83_1545:
							if (PAIRP(BgL_l1124z00_1546))
								{	/* Eval/evaluate_avar.scm 140 */
									{	/* Eval/evaluate_avar.scm 140 */
										obj_t BgL_ez00_1551;

										BgL_ez00_1551 = CAR(BgL_l1124z00_1546);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1551), BgL_localz00_818,
											BgL_absz00_819);
									}
									{
										obj_t BgL_l1124z00_2809;

										BgL_l1124z00_2809 = CDR(BgL_l1124z00_1546);
										BgL_l1124z00_1546 = BgL_l1124z00_2809;
										goto BgL_zc3anonymousza31338ze3z83_1545;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 140 */
									BgL_auxz00_2802 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2802);
				}
			}
		}
	}



/* &avar-ev_if1198 */
	obj_t BGl_z62avarzd2ev_if1198zb0zz__evaluate_avarz00(obj_t BgL_envz00_2293,
		obj_t BgL_ez00_2294, obj_t BgL_localz00_2295, obj_t BgL_absz00_2296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 133 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_807;
				obj_t BgL_localz00_808;
				obj_t BgL_absz00_809;

				BgL_ez00_807 = ((BgL_ev_ifz00_bglt) BgL_ez00_2294);
				BgL_localz00_808 = BgL_localz00_2295;
				BgL_absz00_809 = BgL_absz00_2296;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_807))->BgL_pz00),
					BgL_localz00_808, BgL_absz00_809);
				BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_807))->BgL_tz00), BgL_localz00_808, BgL_absz00_809);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_807))->BgL_ez00), BgL_localz00_808, BgL_absz00_809);
			}
		}
	}



/* &avar-ev_litt1196 */
	obj_t BGl_z62avarzd2ev_litt1196zb0zz__evaluate_avarz00(obj_t BgL_envz00_2297,
		obj_t BgL_ez00_2298, obj_t BgL_localz00_2299, obj_t BgL_absz00_2300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 130 */
			return BUNSPEC;
		}
	}



/* &avar-ev_global1194 */
	obj_t BGl_z62avarzd2ev_global1194zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2301, obj_t BgL_varz00_2302, obj_t BgL_localz00_2303,
		obj_t BgL_absz00_2304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 127 */
			return BUNSPEC;
		}
	}



/* &avar-ev_var1192 */
	obj_t BGl_z62avarzd2ev_var1192zb0zz__evaluate_avarz00(obj_t BgL_envz00_2305,
		obj_t BgL_varz00_2306, obj_t BgL_localz00_2307, obj_t BgL_absz00_2308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 124 */
			{
				BgL_ev_varz00_bglt BgL_varz00_789;
				obj_t BgL_localz00_790;
				obj_t BgL_absz00_791;

				BgL_varz00_789 = ((BgL_ev_varz00_bglt) BgL_varz00_2306);
				BgL_localz00_790 = BgL_localz00_2307;
				BgL_absz00_791 = BgL_absz00_2308;
				{	/* Eval/evaluate_avar.scm 125 */
					BgL_ev_absz00_bglt BgL_absz00_1513;

					BgL_absz00_1513 = ((BgL_ev_absz00_bglt) BgL_absz00_791);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_789), BgL_localz00_790)))
						{	/* Eval/evaluate_avar.scm 125 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_avar.scm 125 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_varz00_789),
										(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1513))->
											BgL_freez00))))
								{	/* Eval/evaluate_avar.scm 125 */
									return BFALSE;
								}
							else
								{
									obj_t BgL_auxz00_2830;

									{	/* Eval/evaluate_avar.scm 125 */
										obj_t BgL_arg1322z00_1518;

										BgL_arg1322z00_1518 =
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1513))->
											BgL_freez00);
										BgL_auxz00_2830 =
											MAKE_PAIR(((obj_t) BgL_varz00_789), BgL_arg1322z00_1518);
									}
									return
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1513))->
											BgL_freez00) = ((obj_t) BgL_auxz00_2830), BUNSPEC);
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
		}
	}

#ifdef __cplusplus
}
#endif
