/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62uncomp1176z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1202z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	static obj_t BGl_symbol1852z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_symbol1877z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1879z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1208zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1204z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1881z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1883z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1885z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1887z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1889z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_or1188zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1891z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1893z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1895z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1897z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1899z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_goto1216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_app1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1180zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21192zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1220zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_defglobal1198zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1214zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1196zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_and1190zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_if1186zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21210z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_global1182zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1212zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1206z62zz__evaluate_uncompz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1200zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1901z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1903z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1905z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_trap1194zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_litt1184zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1900z00zz__evaluate_uncompz00,
		BgL_bgl_string1900za700za7za7_1908za7, "and", 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za71909za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1902z00zz__evaluate_uncompz00,
		BgL_bgl_string1902za700za7za7_1910za7, "or", 2);
	      DEFINE_STRING(BGl_string1904z00zz__evaluate_uncompz00,
		BgL_bgl_string1904za700za7za7_1911za7, "if", 2);
	      DEFINE_STRING(BGl_string1906z00zz__evaluate_uncompz00,
		BgL_bgl_string1906za700za7za7_1912za7, "quote", 5);
	      DEFINE_STRING(BGl_string1907z00zz__evaluate_uncompz00,
		BgL_bgl_string1907za700za7za7_1913za7, "__evaluate_uncomp", 17);
	      DEFINE_STRING(BGl_string1847z00zz__evaluate_uncompz00,
		BgL_bgl_string1847za700za7za7_1914za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1848z00zz__evaluate_uncompz00,
		BgL_bgl_string1848za700za7za7_1915za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1849z00zz__evaluate_uncompz00,
		BgL_bgl_string1849za700za7za7_1916za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1851z00zz__evaluate_uncompz00,
		BgL_bgl_string1851za700za7za7_1917za7, "uncomp1176", 10);
	      DEFINE_STRING(BGl_string1853z00zz__evaluate_uncompz00,
		BgL_bgl_string1853za700za7za7_1918za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1854z00zz__evaluate_uncompz00,
		BgL_bgl_string1854za700za7za7_1919za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1856z00zz__evaluate_uncompz00,
		BgL_bgl_string1856za700za7za7_1920za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1176za7621921z00,
		BGl_z62uncomp1176z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v1922z00,
		BGl_z62uncompzd2ev_var1180zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1923z00,
		BGl_z62uncompzd2ev_global1182zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1924z00,
		BGl_z62uncompzd2ev_litt1184zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1925z00,
		BGl_z62uncompzd2ev_if1186zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1926z00,
		BGl_z62uncompzd2ev_or1188zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1927z00,
		BGl_z62uncompzd2ev_and1190zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1862z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1928z00,
		BGl_z62uncompzd2ev_prog21192zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1863z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1929z00,
		BGl_z62uncompzd2ev_trap1194zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1864z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1930z00,
		BGl_z62uncompzd2ev_setglobal1196zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1931z00,
		BGl_z62uncompzd2ev_defglobal1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1932z00,
		BGl_z62uncompzd2ev_setlocal1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1933z00,
		BGl_z62uncompzd2ev_bindzd2exit1202z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1934z00,
		BGl_z62uncompzd2ev_unwindzd2pro1204z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1935z00,
		BGl_z62uncompzd2ev_withzd2handl1206z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1878z00zz__evaluate_uncompz00,
		BgL_bgl_string1878za700za7za7_1936za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1937z00,
		BGl_z62uncompzd2ev_let1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1938z00,
		BGl_z62uncompzd2ev_letza21210z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1939z00,
		BGl_z62uncompzd2ev_letrec1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1940z00,
		BGl_z62uncompzd2ev_labels1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1880z00zz__evaluate_uncompz00,
		BgL_bgl_string1880za700za7za7_1941za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1942z00,
		BGl_z62uncompzd2ev_goto1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1943z00,
		BGl_z62uncompzd2ev_app1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1882z00zz__evaluate_uncompz00,
		BgL_bgl_string1882za700za7za7_1944za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1945z00,
		BGl_z62uncompzd2ev_abs1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1884z00zz__evaluate_uncompz00,
		BgL_bgl_string1884za700za7za7_1946za7, "let", 3);
	      DEFINE_STRING(BGl_string1886z00zz__evaluate_uncompz00,
		BgL_bgl_string1886za700za7za7_1947za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1888z00zz__evaluate_uncompz00,
		BgL_bgl_string1888za700za7za7_1948za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1890z00zz__evaluate_uncompz00,
		BgL_bgl_string1890za700za7za7_1949za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1892z00zz__evaluate_uncompz00,
		BgL_bgl_string1892za700za7za7_1950za7, "set!", 4);
	      DEFINE_STRING(BGl_string1894z00zz__evaluate_uncompz00,
		BgL_bgl_string1894za700za7za7_1951za7, "define", 6);
	      DEFINE_STRING(BGl_string1896z00zz__evaluate_uncompz00,
		BgL_bgl_string1896za700za7za7_1952za7, "trap", 4);
	      DEFINE_STRING(BGl_string1898z00zz__evaluate_uncompz00,
		BgL_bgl_string1898za700za7za7_1953za7, "begin", 5);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__1954z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2111, char *BgL_fromz00_2112)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1852z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1851z00zz__evaluate_uncompz00);
			BGl_symbol1877z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1878z00zz__evaluate_uncompz00);
			BGl_symbol1879z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1880z00zz__evaluate_uncompz00);
			BGl_symbol1881z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1882z00zz__evaluate_uncompz00);
			BGl_symbol1883z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1884z00zz__evaluate_uncompz00);
			BGl_symbol1885z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1886z00zz__evaluate_uncompz00);
			BGl_symbol1887z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1888z00zz__evaluate_uncompz00);
			BGl_symbol1889z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1890z00zz__evaluate_uncompz00);
			BGl_symbol1891z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1892z00zz__evaluate_uncompz00);
			BGl_symbol1893z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1894z00zz__evaluate_uncompz00);
			BGl_symbol1895z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1896z00zz__evaluate_uncompz00);
			BGl_symbol1897z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1898z00zz__evaluate_uncompz00);
			BGl_symbol1899z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1900z00zz__evaluate_uncompz00);
			BGl_symbol1901z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1902z00zz__evaluate_uncompz00);
			BGl_symbol1903z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1904z00zz__evaluate_uncompz00);
			return (BGl_symbol1905z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1906z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2032,
		obj_t BgL_ez00_2033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_ez00_2108;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2033,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_ez00_2108 = ((BgL_ev_exprz00_bglt) BgL_ez00_2033);
					}
				else
					{
						obj_t BgL_auxz00_2140;

						BgL_auxz00_2140 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1847z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1848z00zz__evaluate_uncompz00,
							BGl_string1849z00zz__evaluate_uncompz00, BgL_ez00_2033);
						FAILURE(BgL_auxz00_2140, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_2108);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1850z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1851z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1176 */
	obj_t BGl_z62uncomp1176z62zz__evaluate_uncompz00(obj_t BgL_envz00_2035,
		obj_t BgL_ez00_2036)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_649;

				BgL_ez00_649 = ((BgL_ev_exprz00_bglt) BgL_ez00_2036);
				return
					BGl_errorz00zz__errorz00(BGl_symbol1852z00zz__evaluate_uncompz00,
					BGl_string1853z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_649));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1178z00_652;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1730z00_1335;

					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_objectz00_bglt BgL_objz00_1307;

						BgL_objz00_1307 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_objzd2classzd2numz00_1308;

							{	/* Eval/evaluate_uncomp.scm 65 */
								long BgL_res1724z00_1311;

								BgL_res1724z00_1311 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1307);
								BgL_objzd2classzd2numz00_1308 = BgL_res1724z00_1311;
							}
							{	/* Eval/evaluate_uncomp.scm 65 */
								obj_t BgL_arg1717z00_1309;

								BgL_arg1717z00_1309 =
									PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_uncomp.scm 65 */
									obj_t BgL_arrayz00_1312;
									int BgL_offsetz00_1313;

									BgL_arrayz00_1312 = BgL_arg1717z00_1309;
									BgL_offsetz00_1313 = (int) (BgL_objzd2classzd2numz00_1308);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_offsetz00_1314;

										BgL_offsetz00_1314 =
											((long) (BgL_offsetz00_1313) - OBJECT_TYPE);
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_modz00_1315;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1720z00_1316;

												BgL_arg1720z00_1316 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1727z00_1326;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_auxz00_2157;

														BgL_auxz00_2157 = (long) (BgL_arg1720z00_1316);
														BgL_res1727z00_1326 =
															(BgL_offsetz00_1314 / BgL_auxz00_2157);
													}
													BgL_modz00_1315 = BgL_res1727z00_1326;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_restz00_1317;

												{	/* Eval/evaluate_uncomp.scm 65 */
													int BgL_arg1718z00_1318;

													BgL_arg1718z00_1318 = (int) (((long) 16));
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_res1729z00_1330;

														{	/* Eval/evaluate_uncomp.scm 65 */
															long BgL_auxz00_2161;

															BgL_auxz00_2161 = (long) (BgL_arg1718z00_1318);
															BgL_res1729z00_1330 =
																(BgL_offsetz00_1314 % BgL_auxz00_2161);
														}
														BgL_restz00_1317 = BgL_res1729z00_1330;
												}}
												{	/* Eval/evaluate_uncomp.scm 65 */

													BgL_res1730z00_1335 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1312,
															(int) (BgL_modz00_1315)),
														(int) (BgL_restz00_1317));
					}}}}}}}}
					BgL_method1178z00_652 = BgL_res1730z00_1335;
				}
				return
					PROCEDURE_ENTRY(BgL_method1178z00_652) (BgL_method1178z00_652,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2037,
		obj_t BgL_ez00_2038)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2173;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2038,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2173 = ((BgL_ev_exprz00_bglt) BgL_ez00_2038);
					}
				else
					{
						obj_t BgL_auxz00_2177;

						BgL_auxz00_2177 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1847z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string1854z00zz__evaluate_uncompz00,
							BGl_string1849z00zz__evaluate_uncompz00, BgL_ez00_2038);
						FAILURE(BgL_auxz00_2177, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2173);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1855z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1857z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1858z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1859z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1860z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1861z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1862z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1863z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1864z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1865z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1866z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1867z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1868z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1869z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1870z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1871z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1872z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1873z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1874z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1875z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1876z00zz__evaluate_uncompz00,
				BGl_string1856z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1220 */
	obj_t BGl_z62uncompzd2ev_abs1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2060, obj_t BgL_ez00_2061)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1011;

				BgL_ez00_1011 = ((BgL_ev_absz00_bglt) BgL_ez00_2061);
				{	/* Eval/evaluate_uncomp.scm 162 */
					obj_t BgL_arg1491z00_1016;

					{	/* Eval/evaluate_uncomp.scm 162 */
						obj_t BgL_arg1492z00_1017;
						obj_t BgL_arg1493z00_1018;

						{	/* Eval/evaluate_uncomp.scm 162 */
							obj_t BgL_arg1496z00_1019;
							obj_t BgL_arg1497z00_1020;

							BgL_arg1496z00_1019 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1011))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 162 */
								obj_t BgL_l1161z00_1021;

								BgL_l1161z00_1021 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1011))->BgL_varsz00);
								if (NULLP(BgL_l1161z00_1021))
									{	/* Eval/evaluate_uncomp.scm 162 */
										BgL_arg1497z00_1020 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 162 */
										obj_t BgL_head1163z00_1023;

										{	/* Eval/evaluate_uncomp.scm 162 */
											obj_t BgL_res1791z00_1727;

											BgL_res1791z00_1727 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1163z00_1023 = BgL_res1791z00_1727;
										}
										{
											obj_t BgL_l1161z00_1763;
											obj_t BgL_tail1164z00_1764;

											BgL_l1161z00_1763 = BgL_l1161z00_1021;
											BgL_tail1164z00_1764 = BgL_head1163z00_1023;
										BgL_zc3anonymousza31499ze3z83_1762:
											if (NULLP(BgL_l1161z00_1763))
												{	/* Eval/evaluate_uncomp.scm 162 */
													BgL_arg1497z00_1020 = CDR(BgL_head1163z00_1023);
												}
											else
												{	/* Eval/evaluate_uncomp.scm 162 */
													obj_t BgL_newtail1165z00_1772;

													{	/* Eval/evaluate_uncomp.scm 162 */
														obj_t BgL_arg1502z00_1773;

														{
															BgL_ev_varz00_bglt BgL_auxz00_2211;

															{	/* Eval/evaluate_uncomp.scm 162 */
																obj_t BgL_pairz00_1780;

																BgL_pairz00_1780 = BgL_l1161z00_1763;
																BgL_auxz00_2211 =
																	((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1780));
															}
															BgL_arg1502z00_1773 =
																(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2211))->
																BgL_namez00);
														}
														{	/* Eval/evaluate_uncomp.scm 162 */
															obj_t BgL_res1797z00_1783;

															BgL_res1797z00_1783 =
																MAKE_PAIR(BgL_arg1502z00_1773, BNIL);
															BgL_newtail1165z00_1772 = BgL_res1797z00_1783;
														}
													}
													SET_CDR(BgL_tail1164z00_1764,
														BgL_newtail1165z00_1772);
													{
														obj_t BgL_tail1164z00_2219;
														obj_t BgL_l1161z00_2217;

														BgL_l1161z00_2217 = CDR(BgL_l1161z00_1763);
														BgL_tail1164z00_2219 = BgL_newtail1165z00_1772;
														BgL_tail1164z00_1764 = BgL_tail1164z00_2219;
														BgL_l1161z00_1763 = BgL_l1161z00_2217;
														goto BgL_zc3anonymousza31499ze3z83_1762;
													}
												}
										}
									}
							}
							BgL_arg1492z00_1017 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg1496z00_1019,
								BgL_arg1497z00_1020);
						}
						BgL_arg1493z00_1018 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1011))->BgL_bodyz00)),
							BNIL);
						BgL_arg1491z00_1016 =
							MAKE_PAIR(BgL_arg1492z00_1017, BgL_arg1493z00_1018);
					}
					return
						MAKE_PAIR(BGl_symbol1877z00zz__evaluate_uncompz00,
						BgL_arg1491z00_1016);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1042)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 158 */
			if (NULLP(CDR(BgL_lz00_1042)))
				{	/* Eval/evaluate_uncomp.scm 159 */
					return CAR(BgL_lz00_1042);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 159 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1042),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1042)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1037,
		obj_t BgL_lz00_1038)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 161 */
			if (((long) CINT(BgL_nz00_1037) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 156 */
					return BgL_lz00_1038;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 156 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1038);
				}
		}
	}



/* &uncomp-ev_app1218 */
	obj_t BGl_z62uncompzd2ev_app1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2062, obj_t BgL_ez00_2063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{
				BgL_ev_appz00_bglt BgL_ez00_986;

				BgL_ez00_986 = ((BgL_ev_appz00_bglt) BgL_ez00_2063);
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1477z00_990;
					obj_t BgL_arg1478z00_991;

					BgL_arg1477z00_990 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_986))->BgL_funz00));
					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_arg1482z00_993;

						{	/* Eval/evaluate_uncomp.scm 151 */
							obj_t BgL_l1155z00_994;

							BgL_l1155z00_994 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_986))->BgL_argsz00);
							if (NULLP(BgL_l1155z00_994))
								{	/* Eval/evaluate_uncomp.scm 151 */
									BgL_arg1482z00_993 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_head1157z00_996;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1489z00_1008;

										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_arg1490z00_1009;

											BgL_arg1490z00_1009 = CAR(BgL_l1155z00_994);
											BgL_arg1489z00_1008 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1490z00_1009));
										}
										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_res1781z00_1660;

											BgL_res1781z00_1660 =
												MAKE_PAIR(BgL_arg1489z00_1008, BNIL);
											BgL_head1157z00_996 = BgL_res1781z00_1660;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_g1160z00_997;

										BgL_g1160z00_997 = CDR(BgL_l1155z00_994);
										{
											obj_t BgL_l1155z00_1693;
											obj_t BgL_tail1158z00_1694;

											BgL_l1155z00_1693 = BgL_g1160z00_997;
											BgL_tail1158z00_1694 = BgL_head1157z00_996;
										BgL_zc3anonymousza31484ze3z83_1692:
											if (NULLP(BgL_l1155z00_1693))
												{	/* Eval/evaluate_uncomp.scm 151 */
													BgL_arg1482z00_993 = BgL_head1157z00_996;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_newtail1159z00_1701;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1487z00_1702;

														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_arg1488z00_1703;

															BgL_arg1488z00_1703 = CAR(BgL_l1155z00_1693);
															BgL_arg1487z00_1702 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1488z00_1703));
														}
														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_res1787z00_1710;

															BgL_res1787z00_1710 =
																MAKE_PAIR(BgL_arg1487z00_1702, BNIL);
															BgL_newtail1159z00_1701 = BgL_res1787z00_1710;
														}
													}
													SET_CDR(BgL_tail1158z00_1694,
														BgL_newtail1159z00_1701);
													{
														obj_t BgL_tail1158z00_2258;
														obj_t BgL_l1155z00_2256;

														BgL_l1155z00_2256 = CDR(BgL_l1155z00_1693);
														BgL_tail1158z00_2258 = BgL_newtail1159z00_1701;
														BgL_tail1158z00_1694 = BgL_tail1158z00_2258;
														BgL_l1155z00_1693 = BgL_l1155z00_2256;
														goto BgL_zc3anonymousza31484ze3z83_1692;
													}
												}
										}
									}
								}
						}
						BgL_arg1478z00_991 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1482z00_993, BNIL);
					}
					return MAKE_PAIR(BgL_arg1477z00_990, BgL_arg1478z00_991);
				}
			}
		}
	}



/* &uncomp-ev_goto1216 */
	obj_t BGl_z62uncompzd2ev_goto1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2064, obj_t BgL_ez00_2065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 145 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_961;

				BgL_ez00_961 = ((BgL_ev_gotoz00_bglt) BgL_ez00_2065);
				{	/* Eval/evaluate_uncomp.scm 147 */
					obj_t BgL_arg1462z00_965;
					obj_t BgL_arg1463z00_966;

					{	/* Eval/evaluate_uncomp.scm 147 */
						BgL_ev_varz00_bglt BgL_arg1464z00_967;

						BgL_arg1464z00_967 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_961))->BgL_labelz00);
						BgL_arg1462z00_965 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1464z00_967));
					}
					{	/* Eval/evaluate_uncomp.scm 147 */
						obj_t BgL_arg1465z00_968;

						{	/* Eval/evaluate_uncomp.scm 147 */
							obj_t BgL_l1149z00_969;

							BgL_l1149z00_969 =
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_961))->BgL_argsz00);
							if (NULLP(BgL_l1149z00_969))
								{	/* Eval/evaluate_uncomp.scm 147 */
									BgL_arg1465z00_968 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 147 */
									obj_t BgL_head1151z00_971;

									{	/* Eval/evaluate_uncomp.scm 147 */
										obj_t BgL_arg1475z00_983;

										{	/* Eval/evaluate_uncomp.scm 147 */
											obj_t BgL_arg1476z00_984;

											BgL_arg1476z00_984 = CAR(BgL_l1149z00_969);
											BgL_arg1475z00_983 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1476z00_984));
										}
										{	/* Eval/evaluate_uncomp.scm 147 */
											obj_t BgL_res1773z00_1601;

											BgL_res1773z00_1601 = MAKE_PAIR(BgL_arg1475z00_983, BNIL);
											BgL_head1151z00_971 = BgL_res1773z00_1601;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 147 */
										obj_t BgL_g1154z00_972;

										BgL_g1154z00_972 = CDR(BgL_l1149z00_969);
										{
											obj_t BgL_l1149z00_1634;
											obj_t BgL_tail1152z00_1635;

											BgL_l1149z00_1634 = BgL_g1154z00_972;
											BgL_tail1152z00_1635 = BgL_head1151z00_971;
										BgL_zc3anonymousza31467ze3z83_1633:
											if (NULLP(BgL_l1149z00_1634))
												{	/* Eval/evaluate_uncomp.scm 147 */
													BgL_arg1465z00_968 = BgL_head1151z00_971;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 147 */
													obj_t BgL_newtail1153z00_1642;

													{	/* Eval/evaluate_uncomp.scm 147 */
														obj_t BgL_arg1470z00_1643;

														{	/* Eval/evaluate_uncomp.scm 147 */
															obj_t BgL_arg1473z00_1644;

															BgL_arg1473z00_1644 = CAR(BgL_l1149z00_1634);
															BgL_arg1470z00_1643 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1473z00_1644));
														}
														{	/* Eval/evaluate_uncomp.scm 147 */
															obj_t BgL_res1779z00_1651;

															BgL_res1779z00_1651 =
																MAKE_PAIR(BgL_arg1470z00_1643, BNIL);
															BgL_newtail1153z00_1642 = BgL_res1779z00_1651;
														}
													}
													SET_CDR(BgL_tail1152z00_1635,
														BgL_newtail1153z00_1642);
													{
														obj_t BgL_tail1152z00_2282;
														obj_t BgL_l1149z00_2280;

														BgL_l1149z00_2280 = CDR(BgL_l1149z00_1634);
														BgL_tail1152z00_2282 = BgL_newtail1153z00_1642;
														BgL_tail1152z00_1635 = BgL_tail1152z00_2282;
														BgL_l1149z00_1634 = BgL_l1149z00_2280;
														goto BgL_zc3anonymousza31467ze3z83_1633;
													}
												}
										}
									}
								}
						}
						BgL_arg1463z00_966 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1465z00_968, BNIL);
					}
					return MAKE_PAIR(BgL_arg1462z00_965, BgL_arg1463z00_966);
				}
			}
		}
	}



/* &uncomp-ev_labels1214 */
	obj_t BGl_z62uncompzd2ev_labels1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2066, obj_t BgL_ez00_2067)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_910;

				BgL_ez00_910 = ((BgL_ev_labelsz00_bglt) BgL_ez00_2067);
				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1422z00_914;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1423z00_915;
						obj_t BgL_arg1424z00_916;

						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_ll1143z00_917;
							obj_t BgL_ll1144z00_918;

							BgL_ll1143z00_917 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_910))->BgL_varsz00);
							BgL_ll1144z00_918 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_910))->BgL_valsz00);
							if (NULLP(BgL_ll1143z00_917))
								{	/* Eval/evaluate_uncomp.scm 140 */
									BgL_arg1423z00_915 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_head1145z00_920;

									{	/* Eval/evaluate_uncomp.scm 140 */
										obj_t BgL_res1761z00_1522;

										BgL_res1761z00_1522 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1145z00_920 = BgL_res1761z00_1522;
									}
									{
										obj_t BgL_ll1143z00_922;
										obj_t BgL_ll1144z00_923;
										obj_t BgL_tail1146z00_924;

										BgL_ll1143z00_922 = BgL_ll1143z00_917;
										BgL_ll1144z00_923 = BgL_ll1144z00_918;
										BgL_tail1146z00_924 = BgL_head1145z00_920;
									BgL_zc3anonymousza31426ze3z83_925:
										if (NULLP(BgL_ll1143z00_922))
											{	/* Eval/evaluate_uncomp.scm 140 */
												BgL_arg1423z00_915 = CDR(BgL_head1145z00_920);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_newtail1147z00_927;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_arg1430z00_930;

													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_vz00_931;
														obj_t BgL_az00_932;

														BgL_vz00_931 = CAR(BgL_ll1143z00_922);
														BgL_az00_932 = CAR(BgL_ll1144z00_923);
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1433z00_933;
															obj_t BgL_arg1434z00_934;

															BgL_arg1433z00_933 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_931));
															{	/* Eval/evaluate_uncomp.scm 140 */
																obj_t BgL_arg1435z00_935;

																{	/* Eval/evaluate_uncomp.scm 140 */
																	obj_t BgL_arg1436z00_936;

																	{	/* Eval/evaluate_uncomp.scm 140 */
																		obj_t BgL_arg1437z00_937;
																		obj_t BgL_arg1438z00_938;

																		{	/* Eval/evaluate_uncomp.scm 140 */
																			obj_t BgL_l1137z00_939;

																			BgL_l1137z00_939 = CAR(BgL_az00_932);
																			if (NULLP(BgL_l1137z00_939))
																				{	/* Eval/evaluate_uncomp.scm 140 */
																					BgL_arg1437z00_937 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 140 */
																					obj_t BgL_head1139z00_941;

																					{	/* Eval/evaluate_uncomp.scm 140 */
																						obj_t BgL_arg1449z00_953;

																						{	/* Eval/evaluate_uncomp.scm 140 */
																							obj_t BgL_arg1457z00_954;

																							BgL_arg1457z00_954 =
																								CAR(BgL_l1137z00_939);
																							BgL_arg1449z00_953 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg1457z00_954));
																						}
																						{	/* Eval/evaluate_uncomp.scm 140 */
																							obj_t BgL_res1764z00_1534;

																							BgL_res1764z00_1534 =
																								MAKE_PAIR(BgL_arg1449z00_953,
																								BNIL);
																							BgL_head1139z00_941 =
																								BgL_res1764z00_1534;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 140 */
																						obj_t BgL_g1142z00_942;

																						BgL_g1142z00_942 =
																							CDR(BgL_l1137z00_939);
																						{
																							obj_t BgL_l1137z00_1567;
																							obj_t BgL_tail1140z00_1568;

																							BgL_l1137z00_1567 =
																								BgL_g1142z00_942;
																							BgL_tail1140z00_1568 =
																								BgL_head1139z00_941;
																						BgL_zc3anonymousza31440ze3z83_1566:
																							if (NULLP(BgL_l1137z00_1567))
																								{	/* Eval/evaluate_uncomp.scm 140 */
																									BgL_arg1437z00_937 =
																										BgL_head1139z00_941;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 140 */
																									obj_t BgL_newtail1141z00_1575;

																									{	/* Eval/evaluate_uncomp.scm 140 */
																										obj_t BgL_arg1447z00_1576;

																										{	/* Eval/evaluate_uncomp.scm 140 */
																											obj_t BgL_arg1448z00_1577;

																											BgL_arg1448z00_1577 =
																												CAR(BgL_l1137z00_1567);
																											BgL_arg1447z00_1576 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg1448z00_1577));
																										}
																										{	/* Eval/evaluate_uncomp.scm 140 */
																											obj_t BgL_res1770z00_1584;

																											BgL_res1770z00_1584 =
																												MAKE_PAIR
																												(BgL_arg1447z00_1576,
																												BNIL);
																											BgL_newtail1141z00_1575 =
																												BgL_res1770z00_1584;
																										}
																									}
																									SET_CDR(BgL_tail1140z00_1568,
																										BgL_newtail1141z00_1575);
																									{
																										obj_t BgL_tail1140z00_2315;
																										obj_t BgL_l1137z00_2313;

																										BgL_l1137z00_2313 =
																											CDR(BgL_l1137z00_1567);
																										BgL_tail1140z00_2315 =
																											BgL_newtail1141z00_1575;
																										BgL_tail1140z00_1568 =
																											BgL_tail1140z00_2315;
																										BgL_l1137z00_1567 =
																											BgL_l1137z00_2313;
																										goto
																											BgL_zc3anonymousza31440ze3z83_1566;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 141 */
																			obj_t BgL_arg1458z00_955;

																			{	/* Eval/evaluate_uncomp.scm 141 */
																				obj_t BgL_arg1459z00_956;

																				BgL_arg1459z00_956 = CDR(BgL_az00_932);
																				BgL_arg1458z00_955 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg1459z00_956));
																			}
																			BgL_arg1438z00_938 =
																				MAKE_PAIR(BgL_arg1458z00_955, BNIL);
																		}
																		BgL_arg1436z00_936 =
																			MAKE_PAIR(BgL_arg1437z00_937,
																			BgL_arg1438z00_938);
																	}
																	BgL_arg1435z00_935 =
																		MAKE_PAIR
																		(BGl_symbol1877z00zz__evaluate_uncompz00,
																		BgL_arg1436z00_936);
																}
																BgL_arg1434z00_934 =
																	MAKE_PAIR(BgL_arg1435z00_935, BNIL);
															}
															BgL_arg1430z00_930 =
																MAKE_PAIR(BgL_arg1433z00_933,
																BgL_arg1434z00_934);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_res1771z00_1591;

														BgL_res1771z00_1591 =
															MAKE_PAIR(BgL_arg1430z00_930, BNIL);
														BgL_newtail1147z00_927 = BgL_res1771z00_1591;
													}
												}
												SET_CDR(BgL_tail1146z00_924, BgL_newtail1147z00_927);
												{
													obj_t BgL_tail1146z00_2330;
													obj_t BgL_ll1144z00_2328;
													obj_t BgL_ll1143z00_2326;

													BgL_ll1143z00_2326 = CDR(BgL_ll1143z00_922);
													BgL_ll1144z00_2328 = CDR(BgL_ll1144z00_923);
													BgL_tail1146z00_2330 = BgL_newtail1147z00_927;
													BgL_tail1146z00_924 = BgL_tail1146z00_2330;
													BgL_ll1144z00_923 = BgL_ll1144z00_2328;
													BgL_ll1143z00_922 = BgL_ll1143z00_2326;
													goto BgL_zc3anonymousza31426ze3z83_925;
												}
											}
									}
								}
						}
						BgL_arg1424z00_916 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_910))->BgL_bodyz00)),
							BNIL);
						BgL_arg1422z00_914 =
							MAKE_PAIR(BgL_arg1423z00_915, BgL_arg1424z00_916);
					}
					return
						MAKE_PAIR(BGl_symbol1879z00zz__evaluate_uncompz00,
						BgL_arg1422z00_914);
				}
			}
		}
	}



/* &uncomp-ev_letrec1212 */
	obj_t BGl_z62uncompzd2ev_letrec1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2068, obj_t BgL_ez00_2069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_880;

				BgL_ez00_880 = ((BgL_ev_letrecz00_bglt) BgL_ez00_2069);
				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1408z00_884;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1409z00_885;
						obj_t BgL_arg1410z00_886;

						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_ll1131z00_887;
							obj_t BgL_ll1132z00_888;

							BgL_ll1131z00_887 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_880)))->BgL_varsz00);
							BgL_ll1132z00_888 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_880)))->BgL_valsz00);
							if (NULLP(BgL_ll1131z00_887))
								{	/* Eval/evaluate_uncomp.scm 136 */
									BgL_arg1409z00_885 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_head1133z00_890;

									{	/* Eval/evaluate_uncomp.scm 136 */
										obj_t BgL_res1757z00_1505;

										BgL_res1757z00_1505 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1133z00_890 = BgL_res1757z00_1505;
									}
									{
										obj_t BgL_ll1131z00_892;
										obj_t BgL_ll1132z00_893;
										obj_t BgL_tail1134z00_894;

										BgL_ll1131z00_892 = BgL_ll1131z00_887;
										BgL_ll1132z00_893 = BgL_ll1132z00_888;
										BgL_tail1134z00_894 = BgL_head1133z00_890;
									BgL_zc3anonymousza31412ze3z83_895:
										if (NULLP(BgL_ll1131z00_892))
											{	/* Eval/evaluate_uncomp.scm 136 */
												BgL_arg1409z00_885 = CDR(BgL_head1133z00_890);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_newtail1135z00_897;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_arg1416z00_900;

													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_vz00_901;
														obj_t BgL_az00_902;

														BgL_vz00_901 = CAR(BgL_ll1131z00_892);
														BgL_az00_902 = CAR(BgL_ll1132z00_893);
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1417z00_903;
															obj_t BgL_arg1418z00_904;

															BgL_arg1417z00_903 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_901));
															{	/* Eval/evaluate_uncomp.scm 136 */
																obj_t BgL_arg1419z00_905;

																BgL_arg1419z00_905 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_902));
																BgL_arg1418z00_904 =
																	MAKE_PAIR(BgL_arg1419z00_905, BNIL);
															}
															BgL_arg1416z00_900 =
																MAKE_PAIR(BgL_arg1417z00_903,
																BgL_arg1418z00_904);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_res1759z00_1513;

														BgL_res1759z00_1513 =
															MAKE_PAIR(BgL_arg1416z00_900, BNIL);
														BgL_newtail1135z00_897 = BgL_res1759z00_1513;
													}
												}
												SET_CDR(BgL_tail1134z00_894, BgL_newtail1135z00_897);
												{
													obj_t BgL_tail1134z00_2361;
													obj_t BgL_ll1132z00_2359;
													obj_t BgL_ll1131z00_2357;

													BgL_ll1131z00_2357 = CDR(BgL_ll1131z00_892);
													BgL_ll1132z00_2359 = CDR(BgL_ll1132z00_893);
													BgL_tail1134z00_2361 = BgL_newtail1135z00_897;
													BgL_tail1134z00_894 = BgL_tail1134z00_2361;
													BgL_ll1132z00_893 = BgL_ll1132z00_2359;
													BgL_ll1131z00_892 = BgL_ll1131z00_2357;
													goto BgL_zc3anonymousza31412ze3z83_895;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_arg1420z00_907;

							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_ev_exprz00_bglt BgL_arg1421z00_908;

								BgL_arg1421z00_908 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_880)))->BgL_bodyz00);
								BgL_arg1420z00_907 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1421z00_908);
							}
							BgL_arg1410z00_886 = MAKE_PAIR(BgL_arg1420z00_907, BNIL);
						}
						BgL_arg1408z00_884 =
							MAKE_PAIR(BgL_arg1409z00_885, BgL_arg1410z00_886);
					}
					return
						MAKE_PAIR(BGl_symbol1879z00zz__evaluate_uncompz00,
						BgL_arg1408z00_884);
				}
			}
		}
	}



/* &uncomp-ev_let*1210 */
	obj_t BGl_z62uncompzd2ev_letza21210z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2070, obj_t BgL_ez00_2071)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_850;

				BgL_ez00_850 = ((BgL_ev_letza2za2_bglt) BgL_ez00_2071);
				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1390z00_854;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1391z00_855;
						obj_t BgL_arg1394z00_856;

						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_ll1125z00_857;
							obj_t BgL_ll1126z00_858;

							BgL_ll1125z00_857 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_850)))->BgL_varsz00);
							BgL_ll1126z00_858 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_850)))->BgL_valsz00);
							if (NULLP(BgL_ll1125z00_857))
								{	/* Eval/evaluate_uncomp.scm 132 */
									BgL_arg1391z00_855 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_head1127z00_860;

									{	/* Eval/evaluate_uncomp.scm 132 */
										obj_t BgL_res1753z00_1488;

										BgL_res1753z00_1488 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1127z00_860 = BgL_res1753z00_1488;
									}
									{
										obj_t BgL_ll1125z00_862;
										obj_t BgL_ll1126z00_863;
										obj_t BgL_tail1128z00_864;

										BgL_ll1125z00_862 = BgL_ll1125z00_857;
										BgL_ll1126z00_863 = BgL_ll1126z00_858;
										BgL_tail1128z00_864 = BgL_head1127z00_860;
									BgL_zc3anonymousza31396ze3z83_865:
										if (NULLP(BgL_ll1125z00_862))
											{	/* Eval/evaluate_uncomp.scm 132 */
												BgL_arg1391z00_855 = CDR(BgL_head1127z00_860);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_newtail1129z00_867;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_arg1400z00_870;

													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_vz00_871;
														obj_t BgL_az00_872;

														BgL_vz00_871 = CAR(BgL_ll1125z00_862);
														BgL_az00_872 = CAR(BgL_ll1126z00_863);
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1401z00_873;
															obj_t BgL_arg1402z00_874;

															BgL_arg1401z00_873 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_871));
															{	/* Eval/evaluate_uncomp.scm 132 */
																obj_t BgL_arg1403z00_875;

																BgL_arg1403z00_875 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_872));
																BgL_arg1402z00_874 =
																	MAKE_PAIR(BgL_arg1403z00_875, BNIL);
															}
															BgL_arg1400z00_870 =
																MAKE_PAIR(BgL_arg1401z00_873,
																BgL_arg1402z00_874);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_res1755z00_1496;

														BgL_res1755z00_1496 =
															MAKE_PAIR(BgL_arg1400z00_870, BNIL);
														BgL_newtail1129z00_867 = BgL_res1755z00_1496;
													}
												}
												SET_CDR(BgL_tail1128z00_864, BgL_newtail1129z00_867);
												{
													obj_t BgL_tail1128z00_2393;
													obj_t BgL_ll1126z00_2391;
													obj_t BgL_ll1125z00_2389;

													BgL_ll1125z00_2389 = CDR(BgL_ll1125z00_862);
													BgL_ll1126z00_2391 = CDR(BgL_ll1126z00_863);
													BgL_tail1128z00_2393 = BgL_newtail1129z00_867;
													BgL_tail1128z00_864 = BgL_tail1128z00_2393;
													BgL_ll1126z00_863 = BgL_ll1126z00_2391;
													BgL_ll1125z00_862 = BgL_ll1125z00_2389;
													goto BgL_zc3anonymousza31396ze3z83_865;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_arg1404z00_877;

							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_ev_exprz00_bglt BgL_arg1407z00_878;

								BgL_arg1407z00_878 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_850)))->BgL_bodyz00);
								BgL_arg1404z00_877 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1407z00_878);
							}
							BgL_arg1394z00_856 = MAKE_PAIR(BgL_arg1404z00_877, BNIL);
						}
						BgL_arg1390z00_854 =
							MAKE_PAIR(BgL_arg1391z00_855, BgL_arg1394z00_856);
					}
					return
						MAKE_PAIR(BGl_symbol1881z00zz__evaluate_uncompz00,
						BgL_arg1390z00_854);
				}
			}
		}
	}



/* &uncomp-ev_let1208 */
	obj_t BGl_z62uncompzd2ev_let1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2072, obj_t BgL_ez00_2073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{
				BgL_ev_letz00_bglt BgL_ez00_820;

				BgL_ez00_820 = ((BgL_ev_letz00_bglt) BgL_ez00_2073);
				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1374z00_824;

					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1375z00_825;
						obj_t BgL_arg1376z00_826;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_ll1119z00_827;
							obj_t BgL_ll1120z00_828;

							BgL_ll1119z00_827 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_820)))->BgL_varsz00);
							BgL_ll1120z00_828 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_820)))->BgL_valsz00);
							if (NULLP(BgL_ll1119z00_827))
								{	/* Eval/evaluate_uncomp.scm 128 */
									BgL_arg1375z00_825 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 128 */
									obj_t BgL_head1121z00_830;

									{	/* Eval/evaluate_uncomp.scm 128 */
										obj_t BgL_res1749z00_1471;

										BgL_res1749z00_1471 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1121z00_830 = BgL_res1749z00_1471;
									}
									{
										obj_t BgL_ll1119z00_832;
										obj_t BgL_ll1120z00_833;
										obj_t BgL_tail1122z00_834;

										BgL_ll1119z00_832 = BgL_ll1119z00_827;
										BgL_ll1120z00_833 = BgL_ll1120z00_828;
										BgL_tail1122z00_834 = BgL_head1121z00_830;
									BgL_zc3anonymousza31378ze3z83_835:
										if (NULLP(BgL_ll1119z00_832))
											{	/* Eval/evaluate_uncomp.scm 128 */
												BgL_arg1375z00_825 = CDR(BgL_head1121z00_830);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 128 */
												obj_t BgL_newtail1123z00_837;

												{	/* Eval/evaluate_uncomp.scm 128 */
													obj_t BgL_arg1382z00_840;

													{	/* Eval/evaluate_uncomp.scm 128 */
														obj_t BgL_vz00_841;
														obj_t BgL_az00_842;

														BgL_vz00_841 = CAR(BgL_ll1119z00_832);
														BgL_az00_842 = CAR(BgL_ll1120z00_833);
														{	/* Eval/evaluate_uncomp.scm 128 */
															obj_t BgL_arg1383z00_843;
															obj_t BgL_arg1384z00_844;

															BgL_arg1383z00_843 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_841));
															{	/* Eval/evaluate_uncomp.scm 128 */
																obj_t BgL_arg1387z00_845;

																BgL_arg1387z00_845 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_842));
																BgL_arg1384z00_844 =
																	MAKE_PAIR(BgL_arg1387z00_845, BNIL);
															}
															BgL_arg1382z00_840 =
																MAKE_PAIR(BgL_arg1383z00_843,
																BgL_arg1384z00_844);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 128 */
														obj_t BgL_res1751z00_1479;

														BgL_res1751z00_1479 =
															MAKE_PAIR(BgL_arg1382z00_840, BNIL);
														BgL_newtail1123z00_837 = BgL_res1751z00_1479;
													}
												}
												SET_CDR(BgL_tail1122z00_834, BgL_newtail1123z00_837);
												{
													obj_t BgL_tail1122z00_2425;
													obj_t BgL_ll1120z00_2423;
													obj_t BgL_ll1119z00_2421;

													BgL_ll1119z00_2421 = CDR(BgL_ll1119z00_832);
													BgL_ll1120z00_2423 = CDR(BgL_ll1120z00_833);
													BgL_tail1122z00_2425 = BgL_newtail1123z00_837;
													BgL_tail1122z00_834 = BgL_tail1122z00_2425;
													BgL_ll1120z00_833 = BgL_ll1120z00_2423;
													BgL_ll1119z00_832 = BgL_ll1119z00_2421;
													goto BgL_zc3anonymousza31378ze3z83_835;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1388z00_847;

							{	/* Eval/evaluate_uncomp.scm 128 */
								BgL_ev_exprz00_bglt BgL_arg1389z00_848;

								BgL_arg1389z00_848 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_820)))->BgL_bodyz00);
								BgL_arg1388z00_847 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1389z00_848);
							}
							BgL_arg1376z00_826 = MAKE_PAIR(BgL_arg1388z00_847, BNIL);
						}
						BgL_arg1374z00_824 =
							MAKE_PAIR(BgL_arg1375z00_825, BgL_arg1376z00_826);
					}
					return
						MAKE_PAIR(BGl_symbol1883z00zz__evaluate_uncompz00,
						BgL_arg1374z00_824);
				}
			}
		}
	}



/* &uncomp-ev_with-handl1206 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1206z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2074, obj_t BgL_ez00_2075)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_809;

				BgL_ez00_809 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2075);
				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1368z00_813;

					{	/* Eval/evaluate_uncomp.scm 124 */
						obj_t BgL_arg1369z00_814;
						obj_t BgL_arg1370z00_815;

						BgL_arg1369z00_814 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_809))->
								BgL_handlerz00));
						BgL_arg1370z00_815 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_809))->
									BgL_bodyz00)), BNIL);
						BgL_arg1368z00_813 =
							MAKE_PAIR(BgL_arg1369z00_814, BgL_arg1370z00_815);
					}
					return
						MAKE_PAIR(BGl_symbol1885z00zz__evaluate_uncompz00,
						BgL_arg1368z00_813);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro1204 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1204z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2076, obj_t BgL_ez00_2077)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_798;

				BgL_ez00_798 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2077);
				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1362z00_802;

					{	/* Eval/evaluate_uncomp.scm 120 */
						obj_t BgL_arg1363z00_803;
						obj_t BgL_arg1364z00_804;

						BgL_arg1363z00_803 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_798))->
								BgL_ez00));
						BgL_arg1364z00_804 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_798))->
									BgL_bodyz00)), BNIL);
						BgL_arg1362z00_802 =
							MAKE_PAIR(BgL_arg1363z00_803, BgL_arg1364z00_804);
					}
					return
						MAKE_PAIR(BGl_symbol1887z00zz__evaluate_uncompz00,
						BgL_arg1362z00_802);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit1202 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1202z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2078, obj_t BgL_ez00_2079)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_786;

				BgL_ez00_786 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2079);
				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1355z00_790;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1356z00_791;
						obj_t BgL_arg1357z00_792;

						{	/* Eval/evaluate_uncomp.scm 116 */
							obj_t BgL_arg1358z00_793;

							{	/* Eval/evaluate_uncomp.scm 116 */
								BgL_ev_varz00_bglt BgL_arg1359z00_794;

								BgL_arg1359z00_794 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_786))->
									BgL_varz00);
								BgL_arg1358z00_793 =
									BGl_uncompz00zz__evaluate_uncompz00(((BgL_ev_exprz00_bglt)
										BgL_arg1359z00_794));
							}
							BgL_arg1356z00_791 = MAKE_PAIR(BgL_arg1358z00_793, BNIL);
						}
						BgL_arg1357z00_792 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_786))->
									BgL_bodyz00)), BNIL);
						BgL_arg1355z00_790 =
							MAKE_PAIR(BgL_arg1356z00_791, BgL_arg1357z00_792);
					}
					return
						MAKE_PAIR(BGl_symbol1889z00zz__evaluate_uncompz00,
						BgL_arg1355z00_790);
				}
			}
		}
	}



/* &uncomp-ev_setlocal1200 */
	obj_t BGl_z62uncompzd2ev_setlocal1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2080, obj_t BgL_ez00_2081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_775;

				BgL_ez00_775 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_2081);
				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1347z00_779;

					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1348z00_780;
						obj_t BgL_arg1349z00_781;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_varz00_bglt BgL_arg1350z00_782;

							BgL_arg1350z00_782 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_775))->BgL_vz00);
							BgL_arg1348z00_780 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1350z00_782));
						}
						{	/* Eval/evaluate_uncomp.scm 112 */
							obj_t BgL_arg1351z00_783;

							{	/* Eval/evaluate_uncomp.scm 112 */
								BgL_ev_exprz00_bglt BgL_arg1352z00_784;

								BgL_arg1352z00_784 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_775)))->BgL_ez00);
								BgL_arg1351z00_783 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1352z00_784);
							}
							BgL_arg1349z00_781 = MAKE_PAIR(BgL_arg1351z00_783, BNIL);
						}
						BgL_arg1347z00_779 =
							MAKE_PAIR(BgL_arg1348z00_780, BgL_arg1349z00_781);
					}
					return
						MAKE_PAIR(BGl_symbol1891z00zz__evaluate_uncompz00,
						BgL_arg1347z00_779);
				}
			}
		}
	}



/* &uncomp-ev_defglobal1198 */
	obj_t BGl_z62uncompzd2ev_defglobal1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2082, obj_t BgL_ez00_2083)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_765;

				BgL_ez00_765 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_2083);
				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1340z00_769;

					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1341z00_770;
						obj_t BgL_arg1343z00_771;

						BgL_arg1341z00_770 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_ez00_765)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 108 */
							obj_t BgL_arg1344z00_772;

							{	/* Eval/evaluate_uncomp.scm 108 */
								BgL_ev_exprz00_bglt BgL_arg1345z00_773;

								BgL_arg1345z00_773 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_765)))->BgL_ez00);
								BgL_arg1344z00_772 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1345z00_773);
							}
							BgL_arg1343z00_771 = MAKE_PAIR(BgL_arg1344z00_772, BNIL);
						}
						BgL_arg1340z00_769 =
							MAKE_PAIR(BgL_arg1341z00_770, BgL_arg1343z00_771);
					}
					return
						MAKE_PAIR(BGl_symbol1893z00zz__evaluate_uncompz00,
						BgL_arg1340z00_769);
				}
			}
		}
	}



/* &uncomp-ev_setglobal1196 */
	obj_t BGl_z62uncompzd2ev_setglobal1196zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2084, obj_t BgL_ez00_2085)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_755;

				BgL_ez00_755 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_2085);
				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1335z00_759;

					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1336z00_760;
						obj_t BgL_arg1337z00_761;

						BgL_arg1336z00_760 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_755))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 104 */
							obj_t BgL_arg1338z00_762;

							{	/* Eval/evaluate_uncomp.scm 104 */
								BgL_ev_exprz00_bglt BgL_arg1339z00_763;

								BgL_arg1339z00_763 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_755)))->BgL_ez00);
								BgL_arg1338z00_762 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1339z00_763);
							}
							BgL_arg1337z00_761 = MAKE_PAIR(BgL_arg1338z00_762, BNIL);
						}
						BgL_arg1335z00_759 =
							MAKE_PAIR(BgL_arg1336z00_760, BgL_arg1337z00_761);
					}
					return
						MAKE_PAIR(BGl_symbol1891z00zz__evaluate_uncompz00,
						BgL_arg1335z00_759);
				}
			}
		}
	}



/* &uncomp-ev_trap1194 */
	obj_t BGl_z62uncompzd2ev_trap1194zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2086, obj_t BgL_ez00_2087)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_747;

				BgL_ez00_747 = ((BgL_ev_trapz00_bglt) BgL_ez00_2087);
				{	/* Eval/evaluate_uncomp.scm 99 */
					obj_t BgL_arg1332z00_1464;

					{	/* Eval/evaluate_uncomp.scm 99 */
						obj_t BgL_arg1333z00_1465;

						{	/* Eval/evaluate_uncomp.scm 99 */
							BgL_ev_exprz00_bglt BgL_arg1334z00_1466;

							BgL_arg1334z00_1466 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_747)))->BgL_ez00);
							BgL_arg1333z00_1465 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1334z00_1466);
						}
						BgL_arg1332z00_1464 = MAKE_PAIR(BgL_arg1333z00_1465, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1895z00zz__evaluate_uncompz00,
						BgL_arg1332z00_1464);
				}
			}
		}
	}



/* &uncomp-ev_prog21192 */
	obj_t BGl_z62uncompzd2ev_prog21192zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2088, obj_t BgL_ez00_2089)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_730;

				BgL_ez00_730 = ((BgL_ev_prog2z00_bglt) BgL_ez00_2089);
				{	/* Eval/evaluate_uncomp.scm 93 */
					obj_t BgL_e1z00_734;
					obj_t BgL_e2z00_735;

					BgL_e1z00_734 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_730))->BgL_e1z00));
					BgL_e2z00_735 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_730))->BgL_e2z00));
					{	/* Eval/evaluate_uncomp.scm 94 */
						bool_t BgL_testz00_2496;

						if (PAIRP(BgL_e2z00_735))
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2496 =
									(CAR(BgL_e2z00_735) ==
									BGl_symbol1897z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2496 = ((bool_t) 0);
							}
						if (BgL_testz00_2496)
							{	/* Eval/evaluate_uncomp.scm 95 */
								obj_t BgL_arg1321z00_737;

								BgL_arg1321z00_737 =
									MAKE_PAIR(BgL_e1z00_734,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_735), BNIL));
								return MAKE_PAIR(BGl_symbol1897z00zz__evaluate_uncompz00,
									BgL_arg1321z00_737);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1324z00_740;

								{	/* Eval/evaluate_uncomp.scm 96 */
									obj_t BgL_arg1327z00_741;

									BgL_arg1327z00_741 = MAKE_PAIR(BgL_e2z00_735, BNIL);
									BgL_arg1324z00_740 =
										MAKE_PAIR(BgL_e1z00_734, BgL_arg1327z00_741);
								}
								return
									MAKE_PAIR(BGl_symbol1897z00zz__evaluate_uncompz00,
									BgL_arg1324z00_740);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and1190 */
	obj_t BGl_z62uncompzd2ev_and1190zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2090, obj_t BgL_ez00_2091)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{
				BgL_ev_andz00_bglt BgL_ez00_707;

				BgL_ez00_707 = ((BgL_ev_andz00_bglt) BgL_ez00_2091);
				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1301z00_711;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_arg1308z00_712;

						{	/* Eval/evaluate_uncomp.scm 89 */
							obj_t BgL_l1113z00_713;

							BgL_l1113z00_713 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_707)))->BgL_argsz00);
							if (NULLP(BgL_l1113z00_713))
								{	/* Eval/evaluate_uncomp.scm 89 */
									BgL_arg1308z00_712 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_head1115z00_715;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1318z00_727;

										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_arg1319z00_728;

											BgL_arg1319z00_728 = CAR(BgL_l1113z00_713);
											BgL_arg1318z00_727 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1319z00_728));
										}
										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_res1740z00_1405;

											BgL_res1740z00_1405 = MAKE_PAIR(BgL_arg1318z00_727, BNIL);
											BgL_head1115z00_715 = BgL_res1740z00_1405;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_g1118z00_716;

										BgL_g1118z00_716 = CDR(BgL_l1113z00_713);
										{
											obj_t BgL_l1113z00_1438;
											obj_t BgL_tail1116z00_1439;

											BgL_l1113z00_1438 = BgL_g1118z00_716;
											BgL_tail1116z00_1439 = BgL_head1115z00_715;
										BgL_zc3anonymousza31310ze3z83_1437:
											if (NULLP(BgL_l1113z00_1438))
												{	/* Eval/evaluate_uncomp.scm 89 */
													BgL_arg1308z00_712 = BgL_head1115z00_715;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_newtail1117z00_1446;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1316z00_1447;

														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_arg1317z00_1448;

															BgL_arg1317z00_1448 = CAR(BgL_l1113z00_1438);
															BgL_arg1316z00_1447 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1317z00_1448));
														}
														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_res1746z00_1455;

															BgL_res1746z00_1455 =
																MAKE_PAIR(BgL_arg1316z00_1447, BNIL);
															BgL_newtail1117z00_1446 = BgL_res1746z00_1455;
														}
													}
													SET_CDR(BgL_tail1116z00_1439,
														BgL_newtail1117z00_1446);
													{
														obj_t BgL_tail1116z00_2527;
														obj_t BgL_l1113z00_2525;

														BgL_l1113z00_2525 = CDR(BgL_l1113z00_1438);
														BgL_tail1116z00_2527 = BgL_newtail1117z00_1446;
														BgL_tail1116z00_1439 = BgL_tail1116z00_2527;
														BgL_l1113z00_1438 = BgL_l1113z00_2525;
														goto BgL_zc3anonymousza31310ze3z83_1437;
													}
												}
										}
									}
								}
						}
						BgL_arg1301z00_711 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1308z00_712, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1899z00zz__evaluate_uncompz00,
						BgL_arg1301z00_711);
				}
			}
		}
	}



/* &uncomp-ev_or1188 */
	obj_t BGl_z62uncompzd2ev_or1188zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2092, obj_t BgL_ez00_2093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{
				BgL_ev_orz00_bglt BgL_ez00_684;

				BgL_ez00_684 = ((BgL_ev_orz00_bglt) BgL_ez00_2093);
				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1279z00_688;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_arg1280z00_689;

						{	/* Eval/evaluate_uncomp.scm 85 */
							obj_t BgL_l1107z00_690;

							BgL_l1107z00_690 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_684)))->BgL_argsz00);
							if (NULLP(BgL_l1107z00_690))
								{	/* Eval/evaluate_uncomp.scm 85 */
									BgL_arg1280z00_689 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_head1109z00_692;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1287z00_704;

										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_arg1292z00_705;

											BgL_arg1292z00_705 = CAR(BgL_l1107z00_690);
											BgL_arg1287z00_704 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1292z00_705));
										}
										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_res1732z00_1346;

											BgL_res1732z00_1346 = MAKE_PAIR(BgL_arg1287z00_704, BNIL);
											BgL_head1109z00_692 = BgL_res1732z00_1346;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_g1112z00_693;

										BgL_g1112z00_693 = CDR(BgL_l1107z00_690);
										{
											obj_t BgL_l1107z00_1379;
											obj_t BgL_tail1110z00_1380;

											BgL_l1107z00_1379 = BgL_g1112z00_693;
											BgL_tail1110z00_1380 = BgL_head1109z00_692;
										BgL_zc3anonymousza31282ze3z83_1378:
											if (NULLP(BgL_l1107z00_1379))
												{	/* Eval/evaluate_uncomp.scm 85 */
													BgL_arg1280z00_689 = BgL_head1109z00_692;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_newtail1111z00_1387;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1285z00_1388;

														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_arg1286z00_1389;

															BgL_arg1286z00_1389 = CAR(BgL_l1107z00_1379);
															BgL_arg1285z00_1388 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1286z00_1389));
														}
														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_res1738z00_1396;

															BgL_res1738z00_1396 =
																MAKE_PAIR(BgL_arg1285z00_1388, BNIL);
															BgL_newtail1111z00_1387 = BgL_res1738z00_1396;
														}
													}
													SET_CDR(BgL_tail1110z00_1380,
														BgL_newtail1111z00_1387);
													{
														obj_t BgL_tail1110z00_2549;
														obj_t BgL_l1107z00_2547;

														BgL_l1107z00_2547 = CDR(BgL_l1107z00_1379);
														BgL_tail1110z00_2549 = BgL_newtail1111z00_1387;
														BgL_tail1110z00_1380 = BgL_tail1110z00_2549;
														BgL_l1107z00_1379 = BgL_l1107z00_2547;
														goto BgL_zc3anonymousza31282ze3z83_1378;
													}
												}
										}
									}
								}
						}
						BgL_arg1279z00_688 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1280z00_689, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1901z00zz__evaluate_uncompz00,
						BgL_arg1279z00_688);
				}
			}
		}
	}



/* &uncomp-ev_if1186 */
	obj_t BGl_z62uncompzd2ev_if1186zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2094, obj_t BgL_ez00_2095)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_670;

				BgL_ez00_670 = ((BgL_ev_ifz00_bglt) BgL_ez00_2095);
				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1267z00_674;

					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1268z00_675;
						obj_t BgL_arg1269z00_676;

						BgL_arg1268z00_675 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_670))->BgL_pz00));
						{	/* Eval/evaluate_uncomp.scm 81 */
							obj_t BgL_arg1271z00_678;
							obj_t BgL_arg1273z00_679;

							BgL_arg1271z00_678 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_670))->BgL_tz00));
							BgL_arg1273z00_679 =
								MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_670))->BgL_ez00)), BNIL);
							BgL_arg1269z00_676 =
								MAKE_PAIR(BgL_arg1271z00_678, BgL_arg1273z00_679);
						}
						BgL_arg1267z00_674 =
							MAKE_PAIR(BgL_arg1268z00_675, BgL_arg1269z00_676);
					}
					return
						MAKE_PAIR(BGl_symbol1903z00zz__evaluate_uncompz00,
						BgL_arg1267z00_674);
				}
			}
		}
	}



/* &uncomp-ev_litt1184 */
	obj_t BGl_z62uncompzd2ev_litt1184zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2096, obj_t BgL_ez00_2097)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{
				BgL_ev_littz00_bglt BgL_ez00_663;

				BgL_ez00_663 = ((BgL_ev_littz00_bglt) BgL_ez00_2097);
				{	/* Eval/evaluate_uncomp.scm 76 */
					obj_t BgL_arg1263z00_1339;

					BgL_arg1263z00_1339 =
						MAKE_PAIR(
						(((BgL_ev_littz00_bglt) CREF(BgL_ez00_663))->BgL_valuez00), BNIL);
					return
						MAKE_PAIR(BGl_symbol1905z00zz__evaluate_uncompz00,
						BgL_arg1263z00_1339);
				}
			}
		}
	}



/* &uncomp-ev_global1182 */
	obj_t BGl_z62uncompzd2ev_global1182zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2098, obj_t BgL_varz00_2099)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_varz00_2099)))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1180 */
	obj_t BGl_z62uncompzd2ev_var1180zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2100, obj_t BgL_varz00_2101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_varz00_2101)))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1907z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
