/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62use1109z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_hook1124zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_withzd2handler1132z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec1130z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_global1114zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_bindzd2exit1128z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_goto1140zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_labels1138zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_var1112zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal1126zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app1142zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_list1120zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_binder1134zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_binder1136zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_abs1144zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_litt1116zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_if1118zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1570z00zz__evaluate_usez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_prog21122zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1569z00zz__evaluate_usez00,
		BgL_bgl_string1569za700za7za7_1594za7, "use1109", 7);
	      DEFINE_STRING(BGl_string1571z00zz__evaluate_usez00,
		BgL_bgl_string1571za700za7za7_1595za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1572z00zz__evaluate_usez00,
		BgL_bgl_string1572za700za7za7_1596za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string1573z00zz__evaluate_usez00,
		BgL_bgl_string1573za700za7za7_1597za7, "&use", 4);
	      DEFINE_STRING(BGl_string1574z00zz__evaluate_usez00,
		BgL_bgl_string1574za700za7za7_1598za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1568z00zz__evaluate_usez00,
		BgL_bgl_za762use1109za762za7za7_1599z00,
		BGl_z62use1109z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1576z00zz__evaluate_usez00,
		BgL_bgl_string1576za700za7za7_1600za7, "use", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1575z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11601z00,
		BGl_z62usezd2ev_var1112zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1577z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1602z00,
		BGl_z62usezd2ev_global1114zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1578z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1603z00,
		BGl_z62usezd2ev_litt1116zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1579z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111604z00,
		BGl_z62usezd2ev_if1118zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1580z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1605z00,
		BGl_z62usezd2ev_list1120zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1581z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1606z00,
		BGl_z62usezd2ev_prog21122zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1582z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1607z00,
		BGl_z62usezd2ev_hook1124zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1583z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1608z00,
		BGl_z62usezd2ev_setlocal1126zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1584z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1609z00,
		BGl_z62usezd2ev_bindzd2exit1128z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1585z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1610z00,
		BGl_z62usezd2ev_unwindzd2protec1130z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1586z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1611z00,
		BGl_z62usezd2ev_withzd2handler1132z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1593z00zz__evaluate_usez00,
		BgL_bgl_string1593za700za7za7_1612za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1587z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1613z00,
		BGl_z62usezd2ev_binder1134zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1588z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1614z00,
		BGl_z62usezd2ev_binder1136zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1589z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1615z00,
		BGl_z62usezd2ev_labels1138zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1590z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1616z00,
		BGl_z62usezd2ev_goto1140zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1591z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11617z00,
		BGl_z62usezd2ev_app1142zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1592z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11618z00,
		BGl_z62usezd2ev_abs1144zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1619z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_1615, char *BgL_fromz00_1616)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1570z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1569z00zz__evaluate_usez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1568z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1569z00zz__evaluate_usez00);
		}
	}



/* &use1109 */
	obj_t BGl_z62use1109z62zz__evaluate_usez00(obj_t BgL_envz00_1534,
		obj_t BgL_ez00_1535, obj_t BgL_donez00_1536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_668;
				obj_t BgL_donez00_669;

				BgL_ez00_668 = ((BgL_ev_exprz00_bglt) BgL_ez00_1535);
				BgL_donez00_669 = BgL_donez00_1536;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1570z00zz__evaluate_usez00,
					BGl_string1571z00zz__evaluate_usez00, ((obj_t) BgL_ez00_668));
			}
		}
	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				obj_t BgL_method1110z00_672;

				{	/* Eval/evaluate_use.scm 62 */
					obj_t BgL_res1516z00_1117;

					{	/* Eval/evaluate_use.scm 62 */
						BgL_objectz00_bglt BgL_objz00_1089;

						BgL_objz00_1089 = ((BgL_objectz00_bglt) BgL_ez00_3);
						{	/* Eval/evaluate_use.scm 62 */
							long BgL_objzd2classzd2numz00_1090;

							{	/* Eval/evaluate_use.scm 62 */
								long BgL_res1510z00_1093;

								BgL_res1510z00_1093 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1089);
								BgL_objzd2classzd2numz00_1090 = BgL_res1510z00_1093;
							}
							{	/* Eval/evaluate_use.scm 62 */
								obj_t BgL_arg1502z00_1091;

								BgL_arg1502z00_1091 =
									PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_use.scm 62 */
									obj_t BgL_arrayz00_1094;
									int BgL_offsetz00_1095;

									BgL_arrayz00_1094 = BgL_arg1502z00_1091;
									BgL_offsetz00_1095 = (int) (BgL_objzd2classzd2numz00_1090);
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_offsetz00_1096;

										BgL_offsetz00_1096 =
											((long) (BgL_offsetz00_1095) - OBJECT_TYPE);
										{	/* Eval/evaluate_use.scm 62 */
											long BgL_modz00_1097;

											{	/* Eval/evaluate_use.scm 62 */
												int BgL_arg1504z00_1098;

												BgL_arg1504z00_1098 = (int) (((long) 16));
												{	/* Eval/evaluate_use.scm 62 */
													long BgL_res1513z00_1108;

													{	/* Eval/evaluate_use.scm 62 */
														long BgL_auxz00_1637;

														BgL_auxz00_1637 = (long) (BgL_arg1504z00_1098);
														BgL_res1513z00_1108 =
															(BgL_offsetz00_1096 / BgL_auxz00_1637);
													}
													BgL_modz00_1097 = BgL_res1513z00_1108;
											}}
											{	/* Eval/evaluate_use.scm 62 */
												long BgL_restz00_1099;

												{	/* Eval/evaluate_use.scm 62 */
													int BgL_arg1503z00_1100;

													BgL_arg1503z00_1100 = (int) (((long) 16));
													{	/* Eval/evaluate_use.scm 62 */
														long BgL_res1515z00_1112;

														{	/* Eval/evaluate_use.scm 62 */
															long BgL_auxz00_1641;

															BgL_auxz00_1641 = (long) (BgL_arg1503z00_1100);
															BgL_res1515z00_1112 =
																(BgL_offsetz00_1096 % BgL_auxz00_1641);
														}
														BgL_restz00_1099 = BgL_res1515z00_1112;
												}}
												{	/* Eval/evaluate_use.scm 62 */

													BgL_res1516z00_1117 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1094,
															(int) (BgL_modz00_1097)),
														(int) (BgL_restz00_1099));
					}}}}}}}}
					BgL_method1110z00_672 = BgL_res1516z00_1117;
				}
				return
					PROCEDURE_ENTRY(BgL_method1110z00_672) (BgL_method1110z00_672,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}
	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_1537,
		obj_t BgL_ez00_1538, obj_t BgL_donez00_1539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_1654;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_1538,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 62 */
						BgL_auxz00_1654 = ((BgL_ev_exprz00_bglt) BgL_ez00_1538);
					}
				else
					{
						obj_t BgL_auxz00_1658;

						BgL_auxz00_1658 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1572z00zz__evaluate_usez00, BINT(((long) 1786)),
							BGl_string1573z00zz__evaluate_usez00,
							BGl_string1574z00zz__evaluate_usez00, BgL_ez00_1538);
						FAILURE(BgL_auxz00_1658, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_1654, BgL_donez00_1539);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1575z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1577z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1578z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1579z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1580z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1581z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1582z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1583z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1584z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1585z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1586z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1587z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1588z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1589z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1590z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1591z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1592z00zz__evaluate_usez00,
				BGl_string1576z00zz__evaluate_usez00);
		}
	}



/* &use-ev_abs1144 */
	obj_t BGl_z62usezd2ev_abs1144zb0zz__evaluate_usez00(obj_t BgL_envz00_1557,
		obj_t BgL_ez00_1558, obj_t BgL_donez00_1559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 135 */
			{
				BgL_ev_absz00_bglt BgL_ez00_809;
				obj_t BgL_donez00_810;

				BgL_ez00_809 = ((BgL_ev_absz00_bglt) BgL_ez00_1558);
				BgL_donez00_810 = BgL_donez00_1559;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_809))->BgL_bodyz00),
					BgL_donez00_810);
			}
		}
	}



/* &use-ev_app1142 */
	obj_t BGl_z62usezd2ev_app1142zb0zz__evaluate_usez00(obj_t BgL_envz00_1560,
		obj_t BgL_ez00_1561, obj_t BgL_donez00_1562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 131 */
			{
				BgL_ev_appz00_bglt BgL_ez00_800;
				obj_t BgL_donez00_801;

				BgL_ez00_800 = ((BgL_ev_appz00_bglt) BgL_ez00_1561);
				BgL_donez00_801 = BgL_donez00_1562;
				{	/* Eval/evaluate_use.scm 132 */
					BgL_ev_exprz00_bglt BgL_arg1265z00_1265;
					obj_t BgL_arg1267z00_1266;

					BgL_arg1265z00_1265 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_800))->BgL_funz00);
					{	/* Eval/evaluate_use.scm 132 */
						obj_t BgL_arg1268z00_1267;

						BgL_arg1268z00_1267 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_800))->BgL_argsz00);
						{
							obj_t BgL_lz00_1269;
							obj_t BgL_donez00_1270;

							BgL_lz00_1269 = BgL_arg1268z00_1267;
							BgL_donez00_1270 = BgL_donez00_801;
						BgL_useza2za2_1268:
							if (NULLP(BgL_lz00_1269))
								{	/* Eval/evaluate_use.scm 132 */
									BgL_arg1267z00_1266 = BgL_donez00_1270;
								}
							else
								{	/* Eval/evaluate_use.scm 132 */
									obj_t BgL_arg1186z00_1276;
									obj_t BgL_arg1187z00_1277;

									BgL_arg1186z00_1276 = CDR(BgL_lz00_1269);
									{	/* Eval/evaluate_use.scm 132 */
										obj_t BgL_arg1194z00_1278;

										BgL_arg1194z00_1278 = CAR(BgL_lz00_1269);
										BgL_arg1187z00_1277 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1194z00_1278),
											BgL_donez00_1270);
									}
									{
										obj_t BgL_donez00_1692;
										obj_t BgL_lz00_1691;

										BgL_lz00_1691 = BgL_arg1186z00_1276;
										BgL_donez00_1692 = BgL_arg1187z00_1277;
										BgL_donez00_1270 = BgL_donez00_1692;
										BgL_lz00_1269 = BgL_lz00_1691;
										goto BgL_useza2za2_1268;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1265z00_1265,
						BgL_arg1267z00_1266);
				}
			}
		}
	}



/* &use-ev_goto1140 */
	obj_t BGl_z62usezd2ev_goto1140zb0zz__evaluate_usez00(obj_t BgL_envz00_1563,
		obj_t BgL_ez00_1564, obj_t BgL_donez00_1565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 127 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_793;
				obj_t BgL_donez00_794;

				BgL_ez00_793 = ((BgL_ev_gotoz00_bglt) BgL_ez00_1564);
				BgL_donez00_794 = BgL_donez00_1565;
				{	/* Eval/evaluate_use.scm 128 */
					obj_t BgL_arg1263z00_1248;

					BgL_arg1263z00_1248 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_793))->BgL_argsz00);
					{
						obj_t BgL_lz00_1250;
						obj_t BgL_donez00_1251;

						BgL_lz00_1250 = BgL_arg1263z00_1248;
						BgL_donez00_1251 = BgL_donez00_794;
					BgL_useza2za2_1249:
						if (NULLP(BgL_lz00_1250))
							{	/* Eval/evaluate_use.scm 128 */
								return BgL_donez00_1251;
							}
						else
							{	/* Eval/evaluate_use.scm 128 */
								obj_t BgL_arg1186z00_1257;
								obj_t BgL_arg1187z00_1258;

								BgL_arg1186z00_1257 = CDR(BgL_lz00_1250);
								{	/* Eval/evaluate_use.scm 128 */
									obj_t BgL_arg1194z00_1259;

									BgL_arg1194z00_1259 = CAR(BgL_lz00_1250);
									BgL_arg1187z00_1258 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1194z00_1259),
										BgL_donez00_1251);
								}
								{
									obj_t BgL_donez00_1703;
									obj_t BgL_lz00_1702;

									BgL_lz00_1702 = BgL_arg1186z00_1257;
									BgL_donez00_1703 = BgL_arg1187z00_1258;
									BgL_donez00_1251 = BgL_donez00_1703;
									BgL_lz00_1250 = BgL_lz00_1702;
									goto BgL_useza2za2_1249;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_labels1138 */
	obj_t BGl_z62usezd2ev_labels1138zb0zz__evaluate_usez00(obj_t BgL_envz00_1566,
		obj_t BgL_ez00_1567, obj_t BgL_donez00_1568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 120 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_776;
				obj_t BgL_donez00_777;

				BgL_ez00_776 = ((BgL_ev_labelsz00_bglt) BgL_ez00_1567);
				BgL_donez00_777 = BgL_donez00_1568;
				{	/* Eval/evaluate_use.scm 122 */
					obj_t BgL_arg1246z00_782;

					BgL_arg1246z00_782 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_776))->BgL_valsz00);
					{
						obj_t BgL_lz00_1228;
						obj_t BgL_donez00_1229;

						BgL_lz00_1228 = BgL_arg1246z00_782;
						BgL_donez00_1229 = BgL_donez00_777;
					BgL_recz00_1227:
						if (NULLP(BgL_lz00_1228))
							{	/* Eval/evaluate_use.scm 122 */
								return
									BGl_usez00zz__evaluate_usez00(
									(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_776))->BgL_bodyz00),
									BgL_donez00_1229);
							}
						else
							{	/* Eval/evaluate_use.scm 122 */
								obj_t BgL_arg1255z00_1237;
								obj_t BgL_arg1258z00_1238;

								BgL_arg1255z00_1237 = CDR(BgL_lz00_1228);
								{	/* Eval/evaluate_use.scm 122 */
									obj_t BgL_arg1260z00_1239;

									{	/* Eval/evaluate_use.scm 122 */
										obj_t BgL_pairz00_1243;

										BgL_pairz00_1243 = BgL_lz00_1228;
										BgL_arg1260z00_1239 = CDR(CAR(BgL_pairz00_1243));
									}
									BgL_arg1258z00_1238 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1260z00_1239),
										BgL_donez00_1229);
								}
								{
									obj_t BgL_donez00_1716;
									obj_t BgL_lz00_1715;

									BgL_lz00_1715 = BgL_arg1255z00_1237;
									BgL_donez00_1716 = BgL_arg1258z00_1238;
									BgL_donez00_1229 = BgL_donez00_1716;
									BgL_lz00_1228 = BgL_lz00_1715;
									goto BgL_recz00_1227;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_binder1136 */
	obj_t BGl_z62usezd2ev_binder1136zb0zz__evaluate_usez00(obj_t BgL_envz00_1569,
		obj_t BgL_ez00_1570, obj_t BgL_donez00_1571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 116 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_767;
				obj_t BgL_donez00_768;

				BgL_ez00_767 = ((BgL_ev_binderz00_bglt) BgL_ez00_1570);
				BgL_donez00_768 = BgL_donez00_1571;
				{	/* Eval/evaluate_use.scm 117 */
					BgL_ev_exprz00_bglt BgL_arg1241z00_1183;
					obj_t BgL_arg1243z00_1184;

					BgL_arg1241z00_1183 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_767))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 117 */
						obj_t BgL_arg1244z00_1185;

						BgL_arg1244z00_1185 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_767))->BgL_valsz00);
						{
							obj_t BgL_lz00_1187;
							obj_t BgL_donez00_1188;

							BgL_lz00_1187 = BgL_arg1244z00_1185;
							BgL_donez00_1188 = BgL_donez00_768;
						BgL_useza2za2_1186:
							if (NULLP(BgL_lz00_1187))
								{	/* Eval/evaluate_use.scm 117 */
									BgL_arg1243z00_1184 = BgL_donez00_1188;
								}
							else
								{	/* Eval/evaluate_use.scm 117 */
									obj_t BgL_arg1186z00_1194;
									obj_t BgL_arg1187z00_1195;

									BgL_arg1186z00_1194 = CDR(BgL_lz00_1187);
									{	/* Eval/evaluate_use.scm 117 */
										obj_t BgL_arg1194z00_1196;

										BgL_arg1194z00_1196 = CAR(BgL_lz00_1187);
										BgL_arg1187z00_1195 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1194z00_1196),
											BgL_donez00_1188);
									}
									{
										obj_t BgL_donez00_1727;
										obj_t BgL_lz00_1726;

										BgL_lz00_1726 = BgL_arg1186z00_1194;
										BgL_donez00_1727 = BgL_arg1187z00_1195;
										BgL_donez00_1188 = BgL_donez00_1727;
										BgL_lz00_1187 = BgL_lz00_1726;
										goto BgL_useza2za2_1186;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1241z00_1183,
						BgL_arg1243z00_1184);
				}
			}
		}
	}



/* &use-ev_binder1134 */
	obj_t BGl_z62usezd2ev_binder1134zb0zz__evaluate_usez00(obj_t BgL_envz00_1572,
		obj_t BgL_ez00_1573, obj_t BgL_donez00_1574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 112 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_758;
				obj_t BgL_donez00_759;

				BgL_ez00_758 = ((BgL_ev_binderz00_bglt) BgL_ez00_1573);
				BgL_donez00_759 = BgL_donez00_1574;
				{	/* Eval/evaluate_use.scm 113 */
					BgL_ev_exprz00_bglt BgL_arg1235z00_1164;
					obj_t BgL_arg1236z00_1165;

					BgL_arg1235z00_1164 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_758))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 113 */
						obj_t BgL_arg1240z00_1166;

						BgL_arg1240z00_1166 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_758))->BgL_valsz00);
						{
							obj_t BgL_lz00_1168;
							obj_t BgL_donez00_1169;

							BgL_lz00_1168 = BgL_arg1240z00_1166;
							BgL_donez00_1169 = BgL_donez00_759;
						BgL_useza2za2_1167:
							if (NULLP(BgL_lz00_1168))
								{	/* Eval/evaluate_use.scm 113 */
									BgL_arg1236z00_1165 = BgL_donez00_1169;
								}
							else
								{	/* Eval/evaluate_use.scm 113 */
									obj_t BgL_arg1186z00_1175;
									obj_t BgL_arg1187z00_1176;

									BgL_arg1186z00_1175 = CDR(BgL_lz00_1168);
									{	/* Eval/evaluate_use.scm 113 */
										obj_t BgL_arg1194z00_1177;

										BgL_arg1194z00_1177 = CAR(BgL_lz00_1168);
										BgL_arg1187z00_1176 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1194z00_1177),
											BgL_donez00_1169);
									}
									{
										obj_t BgL_donez00_1739;
										obj_t BgL_lz00_1738;

										BgL_lz00_1738 = BgL_arg1186z00_1175;
										BgL_donez00_1739 = BgL_arg1187z00_1176;
										BgL_donez00_1169 = BgL_donez00_1739;
										BgL_lz00_1168 = BgL_lz00_1738;
										goto BgL_useza2za2_1167;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1235z00_1164,
						BgL_arg1236z00_1165);
				}
			}
		}
	}



/* &use-ev_with-handler1132 */
	obj_t BGl_z62usezd2ev_withzd2handler1132z62zz__evaluate_usez00(obj_t
		BgL_envz00_1575, obj_t BgL_ez00_1576, obj_t BgL_donez00_1577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 108 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_749;
				obj_t BgL_donez00_750;

				BgL_ez00_749 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_1576);
				BgL_donez00_750 = BgL_donez00_1577;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_749))->
						BgL_handlerz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_749))->BgL_bodyz00), BgL_donez00_750));
			}
		}
	}



/* &use-ev_unwind-protec1130 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1130z62zz__evaluate_usez00(obj_t
		BgL_envz00_1578, obj_t BgL_ez00_1579, obj_t BgL_donez00_1580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 104 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_740;
				obj_t BgL_donez00_741;

				BgL_ez00_740 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_1579);
				BgL_donez00_741 = BgL_donez00_1580;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_740))->BgL_ez00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_740))->
							BgL_bodyz00), BgL_donez00_741));
			}
		}
	}



/* &use-ev_bind-exit1128 */
	obj_t BGl_z62usezd2ev_bindzd2exit1128z62zz__evaluate_usez00(obj_t
		BgL_envz00_1581, obj_t BgL_ez00_1582, obj_t BgL_donez00_1583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 100 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_733;
				obj_t BgL_donez00_734;

				BgL_ez00_733 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_1582);
				BgL_donez00_734 = BgL_donez00_1583;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_733))->BgL_bodyz00),
					BgL_donez00_734);
			}
		}
	}



/* &use-ev_setlocal1126 */
	obj_t BGl_z62usezd2ev_setlocal1126zb0zz__evaluate_usez00(obj_t
		BgL_envz00_1584, obj_t BgL_ez00_1585, obj_t BgL_donez00_1586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 95 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_723;
				obj_t BgL_donez00_724;

				BgL_ez00_723 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_1585);
				BgL_donez00_724 = BgL_donez00_1586;
				{	/* Eval/evaluate_use.scm 96 */
					bool_t BgL_testz00_1755;

					{	/* Eval/evaluate_use.scm 96 */
						BgL_ev_varz00_bglt BgL_arg1220z00_1150;

						BgL_arg1220z00_1150 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_723))->BgL_vz00);
						BgL_testz00_1755 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1220z00_1150), BgL_donez00_724));
					}
					if (BgL_testz00_1755)
						{	/* Eval/evaluate_use.scm 96 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 96 */
							BgL_ev_varz00_bglt BgL_arg1219z00_1151;

							BgL_arg1219z00_1151 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_723))->BgL_vz00);
							BgL_donez00_724 =
								MAKE_PAIR(((obj_t) BgL_arg1219z00_1151), BgL_donez00_724);
						}
				}
				{	/* Eval/evaluate_use.scm 96 */
					BgL_ev_exprz00_bglt BgL_arg1222z00_1152;

					BgL_arg1222z00_1152 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_723)))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1222z00_1152, BgL_donez00_724);
				}
			}
		}
	}



/* &use-ev_hook1124 */
	obj_t BGl_z62usezd2ev_hook1124zb0zz__evaluate_usez00(obj_t BgL_envz00_1587,
		obj_t BgL_ez00_1588, obj_t BgL_donez00_1589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 91 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_716;
				obj_t BgL_donez00_717;

				BgL_ez00_716 = ((BgL_ev_hookz00_bglt) BgL_ez00_1588);
				BgL_donez00_717 = BgL_donez00_1589;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_716))->BgL_ez00),
					BgL_donez00_717);
			}
		}
	}



/* &use-ev_prog21122 */
	obj_t BGl_z62usezd2ev_prog21122zb0zz__evaluate_usez00(obj_t BgL_envz00_1590,
		obj_t BgL_ez00_1591, obj_t BgL_donez00_1592)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 87 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_707;
				obj_t BgL_donez00_708;

				BgL_ez00_707 = ((BgL_ev_prog2z00_bglt) BgL_ez00_1591);
				BgL_donez00_708 = BgL_donez00_1592;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_707))->BgL_e1z00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_707))->BgL_e2z00),
						BgL_donez00_708));
			}
		}
	}



/* &use-ev_list1120 */
	obj_t BGl_z62usezd2ev_list1120zb0zz__evaluate_usez00(obj_t BgL_envz00_1593,
		obj_t BgL_ez00_1594, obj_t BgL_donez00_1595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 83 */
			{
				BgL_ev_listz00_bglt BgL_ez00_700;
				obj_t BgL_donez00_701;

				BgL_ez00_700 = ((BgL_ev_listz00_bglt) BgL_ez00_1594);
				BgL_donez00_701 = BgL_donez00_1595;
				{	/* Eval/evaluate_use.scm 84 */
					obj_t BgL_arg1212z00_1126;

					BgL_arg1212z00_1126 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_700))->BgL_argsz00);
					{
						obj_t BgL_lz00_1128;
						obj_t BgL_donez00_1129;

						BgL_lz00_1128 = BgL_arg1212z00_1126;
						BgL_donez00_1129 = BgL_donez00_701;
					BgL_useza2za2_1127:
						if (NULLP(BgL_lz00_1128))
							{	/* Eval/evaluate_use.scm 84 */
								return BgL_donez00_1129;
							}
						else
							{	/* Eval/evaluate_use.scm 84 */
								obj_t BgL_arg1186z00_1135;
								obj_t BgL_arg1187z00_1136;

								BgL_arg1186z00_1135 = CDR(BgL_lz00_1128);
								{	/* Eval/evaluate_use.scm 84 */
									obj_t BgL_arg1194z00_1137;

									BgL_arg1194z00_1137 = CAR(BgL_lz00_1128);
									BgL_arg1187z00_1136 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1194z00_1137),
										BgL_donez00_1129);
								}
								{
									obj_t BgL_donez00_1783;
									obj_t BgL_lz00_1782;

									BgL_lz00_1782 = BgL_arg1186z00_1135;
									BgL_donez00_1783 = BgL_arg1187z00_1136;
									BgL_donez00_1129 = BgL_donez00_1783;
									BgL_lz00_1128 = BgL_lz00_1782;
									goto BgL_useza2za2_1127;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_if1118 */
	obj_t BGl_z62usezd2ev_if1118zb0zz__evaluate_usez00(obj_t BgL_envz00_1596,
		obj_t BgL_ez00_1597, obj_t BgL_donez00_1598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_689;
				obj_t BgL_donez00_690;

				BgL_ez00_689 = ((BgL_ev_ifz00_bglt) BgL_ez00_1597);
				BgL_donez00_690 = BgL_donez00_1598;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_689))->BgL_pz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_689))->BgL_tz00),
						BGl_usez00zz__evaluate_usez00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_689))->BgL_ez00),
							BgL_donez00_690)));
			}
		}
	}



/* &use-ev_litt1116 */
	obj_t BGl_z62usezd2ev_litt1116zb0zz__evaluate_usez00(obj_t BgL_envz00_1599,
		obj_t BgL_ez00_1600, obj_t BgL_donez00_1601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 76 */
			return BgL_donez00_1601;
		}
	}



/* &use-ev_global1114 */
	obj_t BGl_z62usezd2ev_global1114zb0zz__evaluate_usez00(obj_t BgL_envz00_1602,
		obj_t BgL_varz00_1603, obj_t BgL_donez00_1604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 73 */
			return BgL_donez00_1604;
		}
	}



/* &use-ev_var1112 */
	obj_t BGl_z62usezd2ev_var1112zb0zz__evaluate_usez00(obj_t BgL_envz00_1605,
		obj_t BgL_varz00_1606, obj_t BgL_donez00_1607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 69 */
			{
				BgL_ev_varz00_bglt BgL_varz00_673;
				obj_t BgL_donez00_674;

				BgL_varz00_673 = ((BgL_ev_varz00_bglt) BgL_varz00_1606);
				BgL_donez00_674 = BgL_donez00_1607;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_673), BgL_donez00_674)))
					{	/* Eval/evaluate_use.scm 70 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 70 */
						BgL_donez00_674 =
							MAKE_PAIR(((obj_t) BgL_varz00_673), BgL_donez00_674);
					}
				return BgL_donez00_674;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1593z00zz__evaluate_usez00));
		}
	}

#ifdef __cplusplus
}
#endif
