/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32814ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32002ze3ze1zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32003ze3ze1zzast_sexpz00(obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_liipz00zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza31999ze3z83zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[42];


	   
		 
		DEFINE_STRING(BGl_string3413z00zzast_sexpz00,
		BgL_bgl_string3413za700za7za7a3448za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string3414z00zzast_sexpz00,
		BgL_bgl_string3414za700za7za7a3449za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string3415z00zzast_sexpz00,
		BgL_bgl_string3415za700za7za7a3450za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string3416z00zzast_sexpz00,
		BgL_bgl_string3416za700za7za7a3451za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string3417z00zzast_sexpz00,
		BgL_bgl_string3417za700za7za7a3452za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string3418z00zzast_sexpz00,
		BgL_bgl_string3418za700za7za7a3453za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string3419z00zzast_sexpz00,
		BgL_bgl_string3419za700za7za7a3454za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string3420z00zzast_sexpz00,
		BgL_bgl_string3420za700za7za7a3455za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string3421z00zzast_sexpz00,
		BgL_bgl_string3421za700za7za7a3456za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string3422z00zzast_sexpz00,
		BgL_bgl_string3422za700za7za7a3457za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string3423z00zzast_sexpz00,
		BgL_bgl_string3423za700za7za7a3458za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string3424z00zzast_sexpz00,
		BgL_bgl_string3424za700za7za7a3459za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string3425z00zzast_sexpz00,
		BgL_bgl_string3425za700za7za7a3460za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string3426z00zzast_sexpz00,
		BgL_bgl_string3426za700za7za7a3461za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string3427z00zzast_sexpz00,
		BgL_bgl_string3427za700za7za7a3462za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string3428z00zzast_sexpz00,
		BgL_bgl_string3428za700za7za7a3463za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string3429z00zzast_sexpz00,
		BgL_bgl_string3429za700za7za7a3464za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string3430z00zzast_sexpz00,
		BgL_bgl_string3430za700za7za7a3465za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string3431z00zzast_sexpz00,
		BgL_bgl_string3431za700za7za7a3466za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string3432z00zzast_sexpz00,
		BgL_bgl_string3432za700za7za7a3467za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string3433z00zzast_sexpz00,
		BgL_bgl_string3433za700za7za7a3468za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string3434z00zzast_sexpz00,
		BgL_bgl_string3434za700za7za7a3469za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string3435z00zzast_sexpz00,
		BgL_bgl_string3435za700za7za7a3470za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string3436z00zzast_sexpz00,
		BgL_bgl_string3436za700za7za7a3471za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string3437z00zzast_sexpz00,
		BgL_bgl_string3437za700za7za7a3472za7, "($1)", 4);
	      DEFINE_STRING(BGl_string3438z00zzast_sexpz00,
		BgL_bgl_string3438za700za7za7a3473za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string3439z00zzast_sexpz00,
		BgL_bgl_string3439za700za7za7a3474za7, "<", 1);
	      DEFINE_STRING(BGl_string3440z00zzast_sexpz00,
		BgL_bgl_string3440za700za7za7a3475za7, ":", 1);
	      DEFINE_STRING(BGl_string3441z00zzast_sexpz00,
		BgL_bgl_string3441za700za7za7a3476za7, "./", 2);
	      DEFINE_STRING(BGl_string3442z00zzast_sexpz00,
		BgL_bgl_string3442za700za7za7a3477za7, ">", 1);
	      DEFINE_STRING(BGl_string3443z00zzast_sexpz00,
		BgL_bgl_string3443za700za7za7a3478za7, "-", 1);
	      DEFINE_STRING(BGl_string3444z00zzast_sexpz00,
		BgL_bgl_string3444za700za7za7a3479za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string3445z00zzast_sexpz00,
		BgL_bgl_string3445za700za7za7a3480za7,
		"> bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons apply jump-exit set-exit case failure free-pragma/effect free-pragma pragma/effect letrec* labels letrec let define begin -> __r4_control_features_6_9 quote @ eval not bool test set! pragma else (quote ()) lambda value if (value apply app set!) ",
		385);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3481z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza73482za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym3483z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza73484za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e3485za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod3486za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d3487za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e33488z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za73489za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl3490z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3491z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_5416, char *BgL_fromz00_5417)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					BGl_toplevelzd2initzd2zzast_sexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_5406;

				BgL_cportz00_5406 =
					bgl_open_input_string(BGl_string3445z00zzast_sexpz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5407;

					BgL_iz00_5407 = ((long) 41);
				BgL_loopz00_5408:
					if ((BgL_iz00_5407 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg3447z00_5410;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_5412;

										BgL_locationz00_5412 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg3447z00_5410 =
												BGl_readz00zz__readerz00(BgL_cportz00_5406,
												BgL_locationz00_5412);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_auxz00_5450;

									BgL_auxz00_5450 = (int) (BgL_iz00_5407);
									CNST_TABLE_SET(BgL_auxz00_5450, BgL_arg3447z00_5410);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_5413;

								BgL_auxz00_5413 = (int) ((BgL_iz00_5407 - ((long) 1)));
								{
									long BgL_iz00_5455;

									BgL_iz00_5455 = (long) (BgL_auxz00_5413);
									BgL_iz00_5407 = BgL_iz00_5455;
									goto BgL_loopz00_5408;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza31999ze3z83zzast_sexpz00(BgL_locz00_18, BgL_expz00_17));
		}
	}



/* <exit:1999> */
	obj_t BGl_zc3exitza31999ze3z83zzast_sexpz00(obj_t BgL_locz00_5404,
		obj_t BgL_expz00_5403)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 63 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1102z00_1474;

			if (SET_EXIT(BgL_an_exit1102z00_1474))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1102z00_1474 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 63 */

						PUSH_EXIT(BgL_an_exit1102z00_1474, ((long) 1));
						{	/* Ast/sexp.scm 63 */
							obj_t BgL_an_exitd1103z00_1475;

							BgL_an_exitd1103z00_1475 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Ast/sexp.scm 66 */
								obj_t BgL_res1105z00_1478;

								{	/* Ast/sexp.scm 66 */
									obj_t BgL_zc3anonymousza32003ze3z83_5350;
									obj_t BgL_zc3anonymousza32002ze3z83_5351;

									BgL_zc3anonymousza32003ze3z83_5350 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32003ze3ze1zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3anonymousza32002ze3z83_5351 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32002ze3ze1zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32003ze3z83_5350,
										(int) (((long) 0)), BgL_expz00_5403);
									PROCEDURE_SET(BgL_zc3anonymousza32003ze3z83_5350,
										(int) (((long) 1)), BgL_locz00_5404);
									PROCEDURE_SET(BgL_zc3anonymousza32002ze3z83_5351,
										(int) (((long) 0)), BgL_an_exitd1103z00_1475);
									BgL_res1105z00_1478 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3anonymousza32002ze3z83_5351,
										BgL_zc3anonymousza32003ze3z83_5350);
								}
								POP_EXIT();
								return BgL_res1105z00_1478;
							}
						}
					}
				}
		}
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5352, obj_t BgL_expz00_5353, obj_t BgL_locz00_5354)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza31999ze3z83zzast_sexpz00(BgL_locz00_5354,
					BgL_expz00_5353));
		}
	}



/* &<anonymous:2003> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32003ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_5355)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 68 */
			{	/* Ast/sexp.scm 69 */
				obj_t BgL_expz00_5356;
				obj_t BgL_locz00_5357;

				BgL_expz00_5356 = PROCEDURE_REF(BgL_envz00_5355, (int) (((long) 0)));
				BgL_locz00_5357 = PROCEDURE_REF(BgL_envz00_5355, (int) (((long) 1)));
				{

					return
						BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_5356, BNIL,
						BgL_locz00_5357, CNST_TABLE_REF(((long) 2)));
		}}}
	}



/* &<anonymous:2002> */
	obj_t BGl_z62zc3anonymousza32002ze3ze1zzast_sexpz00(obj_t BgL_envz00_5358,
		obj_t BgL_ez00_5360)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 65 */
			{	/* Ast/sexp.scm 66 */
				obj_t BgL_an_exitd1103z00_5359;

				BgL_an_exitd1103z00_5359 =
					PROCEDURE_REF(BgL_envz00_5358, (int) (((long) 0)));
				{
					obj_t BgL_ez00_1481;

					BgL_ez00_1481 = BgL_ez00_5360;
					BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_1481);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1103z00_5359,
						BUNSPEC);
				}
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_5361)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 96 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 97 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 97 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 97 */
							if ((CAR(BgL_ez00_20) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 97 */
									bool_t BgL_testz00_5500;

									{	/* Ast/sexp.scm 97 */
										obj_t BgL_auxz00_5501;

										BgL_auxz00_5501 = CDR(BgL_ez00_20);
										BgL_testz00_5500 = PAIRP(BgL_auxz00_5501);
									}
									if (BgL_testz00_5500)
										{	/* Ast/sexp.scm 97 */
											return ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 97 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Ast/sexp.scm 97 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 97 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 110 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1498;
				obj_t BgL_lz00_1503;
				obj_t BgL_bodyz00_1507;
				obj_t BgL_lz00_1510;
				obj_t BgL_valz00_1511;
				obj_t BgL_bodyz00_1515;
				obj_t BgL_argsz00_1516;
				obj_t BgL_varz00_1520;
				obj_t BgL_bodyz00_1521;
				obj_t BgL_argz00_1522;
				obj_t BgL_varsz00_1524;
				obj_t BgL_bodyz00_1525;
				obj_t BgL_argsz00_1526;
				obj_t BgL_testz00_1528;
				obj_t BgL_proc1z00_1529;
				obj_t BgL_proc2z00_1530;
				obj_t BgL_argsz00_1531;
				obj_t BgL_testz00_1533;
				obj_t BgL_proc1z00_1534;
				obj_t BgL_proc2z00_1535;
				obj_t BgL_argsz00_1536;
				obj_t BgL_effectz00_1540;
				obj_t BgL_restz00_1541;
				obj_t BgL_effectz00_1544;
				obj_t BgL_restz00_1545;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 115 */
						{	/* Ast/sexp.scm 118 */
							BgL_nodez00_bglt BgL_res3136z00_3921;

							{	/* Ast/sexp.scm 118 */
								obj_t BgL_arg3010z00_3917;
								BgL_nodez00_bglt BgL_arg3011z00_3918;

								BgL_arg3010z00_3917 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg3011z00_3918 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 118 */
									obj_t BgL_list3012z00_3920;

									BgL_list3012z00_3920 =
										MAKE_PAIR(((obj_t) BgL_arg3011z00_3918), BNIL);
									BgL_res3136z00_3921 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg3010z00_3917,
											BGl_string3428z00zzast_sexpz00, BgL_expz00_21,
											BgL_list3012z00_3920));
							}}
							return BgL_res3136z00_3921;
						}
					}
				else
					{	/* Ast/sexp.scm 115 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_5517;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 122 */
										BgL_externz00_bglt BgL_i1106z00_2306;

										BgL_i1106z00_2306 = ((BgL_externz00_bglt) BgL_expz00_21);
										{	/* Ast/sexp.scm 123 */
											obj_t BgL_l01948z00_2307;

											BgL_l01948z00_2307 =
												(((BgL_externz00_bglt) CREF(BgL_i1106z00_2306))->
												BgL_exprza2za2);
											{
												obj_t BgL_l1947z00_2309;

												BgL_l1947z00_2309 = BgL_l01948z00_2307;
											BgL_zc3anonymousza32585ze3z83_2310:
												if (NULLP(BgL_l1947z00_2309))
													{	/* Ast/sexp.scm 123 */
														BgL_l01948z00_2307;
													}
												else
													{	/* Ast/sexp.scm 123 */
														{	/* Ast/sexp.scm 123 */
															BgL_nodez00_bglt BgL_arg2587z00_2312;

															{	/* Ast/sexp.scm 123 */
																obj_t BgL_ez00_2313;

																BgL_ez00_2313 = CAR(BgL_l1947z00_2309);
																{	/* Ast/sexp.scm 123 */
																	obj_t BgL_arg2588z00_2314;

																	BgL_arg2588z00_2314 =
																		(((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_i1106z00_2306)))->BgL_locz00);
																	BgL_arg2587z00_2312 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_2313, BgL_stackz00_22,
																		BgL_arg2588z00_2314,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 123 */
																obj_t BgL_pairz00_3927;
																obj_t BgL_objz00_3928;

																BgL_pairz00_3927 = BgL_l1947z00_2309;
																BgL_objz00_3928 = ((obj_t) BgL_arg2587z00_2312);
																SET_CAR(BgL_pairz00_3927, BgL_objz00_3928);
														}}
														{
															obj_t BgL_l1947z00_5531;

															BgL_l1947z00_5531 = CDR(BgL_l1947z00_2309);
															BgL_l1947z00_2309 = BgL_l1947z00_5531;
															goto BgL_zc3anonymousza32585ze3z83_2310;
														}
													}
											}
										}
									}
								else
									{	/* Ast/sexp.scm 121 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 125 */
										BgL_appz00_bglt BgL_i1107z00_2318;

										BgL_i1107z00_2318 = ((BgL_appz00_bglt) BgL_expz00_21);
										{	/* Ast/sexp.scm 126 */
											obj_t BgL_l01951z00_2319;

											BgL_l01951z00_2319 =
												(((BgL_appz00_bglt) CREF(BgL_i1107z00_2318))->
												BgL_argsz00);
											{
												obj_t BgL_l1950z00_2321;

												BgL_l1950z00_2321 = BgL_l01951z00_2319;
											BgL_zc3anonymousza32591ze3z83_2322:
												if (NULLP(BgL_l1950z00_2321))
													{	/* Ast/sexp.scm 126 */
														BgL_l01951z00_2319;
													}
												else
													{	/* Ast/sexp.scm 126 */
														{	/* Ast/sexp.scm 126 */
															BgL_nodez00_bglt BgL_arg2593z00_2324;

															{	/* Ast/sexp.scm 126 */
																obj_t BgL_ez00_2325;

																BgL_ez00_2325 = CAR(BgL_l1950z00_2321);
																{	/* Ast/sexp.scm 126 */
																	obj_t BgL_arg2594z00_2326;

																	BgL_arg2594z00_2326 =
																		(((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_i1107z00_2318)))->BgL_locz00);
																	BgL_arg2593z00_2324 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_2325, BgL_stackz00_22,
																		BgL_arg2594z00_2326,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 126 */
																obj_t BgL_pairz00_3935;
																obj_t BgL_objz00_3936;

																BgL_pairz00_3935 = BgL_l1950z00_2321;
																BgL_objz00_3936 = ((obj_t) BgL_arg2593z00_2324);
																SET_CAR(BgL_pairz00_3935, BgL_objz00_3936);
														}}
														{
															obj_t BgL_l1950z00_5546;

															BgL_l1950z00_5546 = CDR(BgL_l1950z00_2321);
															BgL_l1950z00_2321 = BgL_l1950z00_5546;
															goto BgL_zc3anonymousza32591ze3z83_2322;
														}
													}
											}
										}
									}
								else
									{	/* Ast/sexp.scm 124 */
										BFALSE;
									}
								BgL_auxz00_5517 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_5517);
							}
						else
							{	/* Ast/sexp.scm 115 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 115 */
										obj_t BgL_carzd2457zd2_1559;

										BgL_carzd2457zd2_1559 = CAR(BgL_expz00_21);
										if (SYMBOLP(BgL_carzd2457zd2_1559))
											{	/* Ast/sexp.scm 115 */
												bool_t BgL_testz00_5554;

												{	/* Ast/sexp.scm 115 */
													obj_t BgL_xz00_1931;

													BgL_xz00_1931 = BgL_carzd2457zd2_1559;
													{	/* Ast/sexp.scm 115 */
														obj_t BgL__ortest_1134z00_1932;

														BgL__ortest_1134z00_1932 =
															BGl_findzd2localzd2zzast_sexpz00(BgL_xz00_1931,
															BgL_stackz00_22);
														if (CBOOL(BgL__ortest_1134z00_1932))
															{	/* Ast/sexp.scm 115 */
																BgL_testz00_5554 =
																	CBOOL(BgL__ortest_1134z00_1932);
															}
														else
															{	/* Ast/sexp.scm 115 */
																obj_t BgL_gz00_1933;

																BgL_gz00_1933 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_xz00_1931, BNIL);
																if (CBOOL(BgL_gz00_1933))
																	{	/* Ast/sexp.scm 115 */
																		if (
																			((((BgL_globalz00_bglt) CREF(
																							((BgL_globalz00_bglt)
																								BgL_gz00_1933)))->
																					BgL_modulez00) ==
																				CNST_TABLE_REF(((long) 14))))
																			{	/* Ast/sexp.scm 115 */
																				BgL_testz00_5554 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				BgL_testz00_5554 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		BgL_testz00_5554 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_testz00_5554)
													{	/* Ast/sexp.scm 115 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 115 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 12))))
															{	/* Ast/sexp.scm 115 */
															BgL_tagzd2371zd2_1502:
																{	/* Ast/sexp.scm 166 */
																	obj_t BgL_locz00_2351;

																	BgL_locz00_2351 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_2352;
																		obj_t BgL_modulez00_2353;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 167 */
																				obj_t BgL_cdrzd24199zd2_2358;

																				BgL_cdrzd24199zd2_2358 =
																					CDR(BgL_expz00_21);
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 12))))
																					{	/* Ast/sexp.scm 167 */
																						if (PAIRP(BgL_cdrzd24199zd2_2358))
																							{	/* Ast/sexp.scm 167 */
																								obj_t BgL_carzd24202zd2_2361;
																								obj_t BgL_cdrzd24203zd2_2362;

																								BgL_carzd24202zd2_2361 =
																									CAR(BgL_cdrzd24199zd2_2358);
																								BgL_cdrzd24203zd2_2362 =
																									CDR(BgL_cdrzd24199zd2_2358);
																								if (SYMBOLP
																									(BgL_carzd24202zd2_2361))
																									{	/* Ast/sexp.scm 167 */
																										if (PAIRP
																											(BgL_cdrzd24203zd2_2362))
																											{	/* Ast/sexp.scm 167 */
																												obj_t
																													BgL_carzd24208zd2_2365;
																												BgL_carzd24208zd2_2365 =
																													CAR
																													(BgL_cdrzd24203zd2_2362);
																												if (SYMBOLP
																													(BgL_carzd24208zd2_2365))
																													{	/* Ast/sexp.scm 167 */
																														if (NULLP(CDR
																																(BgL_cdrzd24203zd2_2362)))
																															{	/* Ast/sexp.scm 167 */
																																BgL_namez00_2352
																																	=
																																	BgL_carzd24202zd2_2361;
																																BgL_modulez00_2353
																																	=
																																	BgL_carzd24208zd2_2365;
																																{	/* Ast/sexp.scm 169 */
																																	obj_t
																																		BgL_globalz00_2370;
																																	BgL_globalz00_2370
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_2352,
																																		BgL_modulez00_2353);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_2370, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 171 */
																																			if (
																																				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_globalz00_2370)))->BgL_importz00) == CNST_TABLE_REF(((long) 11))))
																																				{	/* Ast/sexp.scm 174 */
																																					obj_t
																																						BgL_arg2623z00_2373;
																																					{	/* Ast/sexp.scm 174 */
																																						obj_t
																																							BgL_arg2624z00_2374;
																																						BgL_arg2624z00_2374
																																							=
																																							MAKE_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg2623z00_2373
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 11)), BgL_arg2624z00_2374);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_5606;
																																						obj_t
																																							BgL_expz00_5605;
																																						BgL_expz00_5605
																																							=
																																							BgL_arg2623z00_2373;
																																						BgL_locz00_5606
																																							=
																																							BgL_locz00_2351;
																																						BgL_locz00_23
																																							=
																																							BgL_locz00_5606;
																																						BgL_expz00_21
																																							=
																																							BgL_expz00_5605;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 173 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_2370,
																																						BgL_locz00_2351,
																																						BgL_sitez00_24);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 172 */
																																			BgL_nodez00_bglt
																																				BgL_res3153z00_3989;
																																			{	/* Ast/sexp.scm 172 */
																																				obj_t
																																					BgL_arg3010z00_3985;
																																				BgL_nodez00_bglt
																																					BgL_arg3011z00_3986;
																																				BgL_arg3010z00_3985
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BGl_currentzd2functionzd2zztools_errorz00
																																					());
																																				BgL_arg3011z00_3986
																																					=
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																					(CNST_TABLE_REF
																																					(((long) 4)), BNIL, BgL_locz00_2351, CNST_TABLE_REF(((long) 2)));
																																				{	/* Ast/sexp.scm 172 */
																																					obj_t
																																						BgL_list3012z00_3988;
																																					BgL_list3012z00_3988
																																						=
																																						MAKE_PAIR
																																						(((obj_t) BgL_arg3011z00_3986), BNIL);
																																					BgL_res3153z00_3989
																																						=
																																						(
																																						(BgL_nodez00_bglt)
																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																						(BgL_locz00_2351,
																																							BgL_arg3010z00_3985,
																																							BGl_string3426z00zzast_sexpz00,
																																							BgL_expz00_21,
																																							BgL_list3012z00_3988));
																																			}}
																																			return
																																				BgL_res3153z00_3989;
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 167 */
																															BgL_tagzd24192zd2_2355:
																																{	/* Ast/sexp.scm 178 */
																																	BgL_nodez00_bglt
																																		BgL_res3154z00_3997;
																																	{	/* Ast/sexp.scm 178 */
																																		obj_t
																																			BgL_arg3010z00_3993;
																																		BgL_nodez00_bglt
																																			BgL_arg3011z00_3994;
																																		BgL_arg3010z00_3993
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg3011z00_3994
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_2351,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 178 */
																																			obj_t
																																				BgL_list3012z00_3996;
																																			BgL_list3012z00_3996
																																				=
																																				MAKE_PAIR
																																				(((obj_t) BgL_arg3011z00_3994), BNIL);
																																			BgL_res3154z00_3997
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_2351,
																																					BgL_arg3010z00_3993,
																																					BGl_string3425z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list3012z00_3996));
																																	}}
																																	return
																																		BgL_res3154z00_3997;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 167 */
																														goto
																															BgL_tagzd24192zd2_2355;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 167 */
																												goto
																													BgL_tagzd24192zd2_2355;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 167 */
																										goto BgL_tagzd24192zd2_2355;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 167 */
																								goto BgL_tagzd24192zd2_2355;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 167 */
																						goto BgL_tagzd24192zd2_2355;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 167 */
																				goto BgL_tagzd24192zd2_2355;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 115 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 15))))
																	{	/* Ast/sexp.scm 115 */
																		BgL_lz00_1503 = CDR(BgL_expz00_21);
																	BgL_tagzd2372zd2_1504:
																		{	/* Ast/sexp.scm 181 */
																			bool_t BgL_testz00_5630;

																			if (PAIRP(BgL_lz00_1503))
																				{	/* Ast/sexp.scm 181 */
																					bool_t BgL_testz00_5633;

																					{	/* Ast/sexp.scm 181 */
																						obj_t BgL_auxz00_5634;

																						BgL_auxz00_5634 =
																							CDR(BgL_lz00_1503);
																						BgL_testz00_5633 =
																							PAIRP(BgL_auxz00_5634);
																					}
																					if (BgL_testz00_5633)
																						{
																							obj_t BgL_l1952z00_2380;
																							bool_t BgL_lv1953z00_2381;

																							BgL_l1952z00_2380 = BgL_lz00_1503;
																							BgL_lv1953z00_2381 = ((bool_t) 1);
																						BgL_zc3anonymousza32629ze3z83_2382:
																							if (NULLP(BgL_l1952z00_2380))
																								{	/* Ast/sexp.scm 181 */
																									BgL_testz00_5630 =
																										BgL_lv1953z00_2381;
																								}
																							else
																								{	/* Ast/sexp.scm 181 */
																									bool_t BgL_nvz00_2384;

																									{	/* Ast/sexp.scm 181 */
																										obj_t BgL_auxz00_5639;

																										BgL_auxz00_5639 =
																											CAR(BgL_l1952z00_2380);
																										BgL_nvz00_2384 =
																											SYMBOLP(BgL_auxz00_5639);
																									}
																									if (BgL_nvz00_2384)
																										{
																											bool_t BgL_lv1953z00_5645;
																											obj_t BgL_l1952z00_5643;

																											BgL_l1952z00_5643 =
																												CDR(BgL_l1952z00_2380);
																											BgL_lv1953z00_5645 =
																												BgL_nvz00_2384;
																											BgL_lv1953z00_2381 =
																												BgL_lv1953z00_5645;
																											BgL_l1952z00_2380 =
																												BgL_l1952z00_5643;
																											goto
																												BgL_zc3anonymousza32629ze3z83_2382;
																										}
																									else
																										{	/* Ast/sexp.scm 181 */
																											BgL_testz00_5630 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 181 */
																							BgL_testz00_5630 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 181 */
																					BgL_testz00_5630 = ((bool_t) 0);
																				}
																			if (BgL_testz00_5630)
																				{	/* Ast/sexp.scm 181 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1503, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 183 */
																					BgL_nodez00_bglt BgL_res3165z00_4034;

																					{	/* Ast/sexp.scm 183 */
																						obj_t BgL_arg3010z00_4030;
																						BgL_nodez00_bglt
																							BgL_arg3011z00_4031;
																						BgL_arg3010z00_4030 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg3011z00_4031 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 183 */
																							obj_t BgL_list3012z00_4033;

																							BgL_list3012z00_4033 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg3011z00_4031),
																								BNIL);
																							BgL_res3165z00_4034 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg3010z00_4030,
																									BGl_string3422z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list3012z00_4033));
																					}}
																					return BgL_res3165z00_4034;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/sexp.scm 115 */
																			BgL_tagzd2373zd2_1505:
																				{
																					obj_t BgL_valuez00_2390;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 115 */
																							obj_t BgL_cdrzd24219zd2_2395;

																							BgL_cdrzd24219zd2_2395 =
																								CDR(BgL_expz00_21);
																							if (PAIRP(BgL_cdrzd24219zd2_2395))
																								{	/* Ast/sexp.scm 115 */
																									if (NULLP(CDR
																											(BgL_cdrzd24219zd2_2395)))
																										{	/* Ast/sexp.scm 115 */
																											BgL_valuez00_2390 =
																												CAR
																												(BgL_cdrzd24219zd2_2395);
																											{	/* Ast/sexp.scm 188 */
																												obj_t BgL_locz00_2400;

																												BgL_locz00_2400 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_2390))
																													{	/* Ast/sexp.scm 191 */
																														BgL_atomz00_bglt
																															BgL_new1113z00_2402;
																														{	/* Ast/sexp.scm 191 */
																															BgL_atomz00_bglt
																																BgL_new1112z00_2404;
																															BgL_new1112z00_2404
																																=
																																(
																																(BgL_atomz00_bglt)
																																BREF(GC_MALLOC
																																	(sizeof(struct
																																			BgL_atomz00_bgl))));
																															{	/* Ast/sexp.scm 191 */
																																long
																																	BgL_arg2642z00_2405;
																																{	/* Ast/sexp.scm 191 */
																																	long
																																		BgL_res3167z00_4040;
																																	{	/* Ast/sexp.scm 191 */
																																		obj_t
																																			BgL_classz00_4037;
																																		BgL_classz00_4037
																																			=
																																			BGl_atomz00zzast_nodez00;
																																		{	/* Ast/sexp.scm 191 */
																																			obj_t
																																				BgL_vectorz00_4038;
																																			int
																																				BgL_kz00_4039;
																																			BgL_vectorz00_4038
																																				=
																																				BgL_classz00_4037;
																																			BgL_kz00_4039
																																				=
																																				(int) ((
																																					(long)
																																					1));
																																			BgL_res3167z00_4040
																																				=
																																				(long)
																																				CINT
																																				(VECTOR_REF
																																				(BgL_vectorz00_4038,
																																					BgL_kz00_4039));
																																	}}
																																	BgL_arg2642z00_2405
																																		=
																																		BgL_res3167z00_4040;
																																}
																																{	/* Ast/sexp.scm 191 */
																																	BgL_objectz00_bglt
																																		BgL_objz00_4041;
																																	BgL_objz00_4041
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_new1112z00_2404);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(BgL_objz00_4041,
																																		BgL_arg2642z00_2405);
																															}}
																															{	/* Ast/sexp.scm 191 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_5678;
																																BgL_auxz00_5678
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1112z00_2404);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_auxz00_5678,
																																	BFALSE);
																															}
																															BgL_new1113z00_2402
																																=
																																BgL_new1112z00_2404;
																														}
																														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1113z00_2402)))->BgL_locz00) = ((obj_t) BgL_locz00_2400), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_5683;
																															{	/* Ast/sexp.scm 193 */
																																BgL_typez00_bglt
																																	BgL_arg2641z00_2403;
																																BgL_arg2641z00_2403
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_2390);
																																BgL_auxz00_5683
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg2641z00_2403,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1113z00_2402)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5683), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) CREF(BgL_new1113z00_2402))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1113z00_2402);
																													}
																												else
																													{	/* Ast/sexp.scm 195 */
																														bool_t
																															BgL_testz00_5691;
																														if (PAIRP
																															(BgL_valuez00_2390))
																															{	/* Ast/sexp.scm 195 */
																																BgL_testz00_5691
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 195 */
																																if (VECTORP
																																	(BgL_valuez00_2390))
																																	{	/* Ast/sexp.scm 196 */
																																		BgL_testz00_5691
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 196 */
																																		if (BGL_HVECTORP(BgL_valuez00_2390))
																																			{	/* Ast/sexp.scm 197 */
																																				BgL_testz00_5691
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 197 */
																																				if (STRUCTP(BgL_valuez00_2390))
																																					{	/* Ast/sexp.scm 198 */
																																						BgL_testz00_5691
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 198 */
																																						if (SYMBOLP(BgL_valuez00_2390))
																																							{	/* Ast/sexp.scm 199 */
																																								BgL_testz00_5691
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 199 */
																																								BgL_testz00_5691
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_2390);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_5691)
																															{	/* Ast/sexp.scm 201 */
																																BgL_kwotez00_bglt
																																	BgL_new1115z00_2407;
																																{	/* Ast/sexp.scm 201 */
																																	BgL_kwotez00_bglt
																																		BgL_new1114z00_2409;
																																	BgL_new1114z00_2409
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 201 */
																																		long
																																			BgL_arg2645z00_2410;
																																		{	/* Ast/sexp.scm 201 */
																																			long
																																				BgL_res3173z00_4057;
																																			{	/* Ast/sexp.scm 201 */
																																				obj_t
																																					BgL_classz00_4054;
																																				BgL_classz00_4054
																																					=
																																					BGl_kwotez00zzast_nodez00;
																																				{	/* Ast/sexp.scm 201 */
																																					obj_t
																																						BgL_vectorz00_4055;
																																					int
																																						BgL_kz00_4056;
																																					BgL_vectorz00_4055
																																						=
																																						BgL_classz00_4054;
																																					BgL_kz00_4056
																																						=
																																						(int)
																																						(((long) 1));
																																					BgL_res3173z00_4057
																																						=
																																						(long)
																																						CINT
																																						(VECTOR_REF
																																						(BgL_vectorz00_4055,
																																							BgL_kz00_4056));
																																			}}
																																			BgL_arg2645z00_2410
																																				=
																																				BgL_res3173z00_4057;
																																		}
																																		{	/* Ast/sexp.scm 201 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_4058;
																																			BgL_objz00_4058
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1114z00_2409);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_4058,
																																				BgL_arg2645z00_2410);
																																	}}
																																	{	/* Ast/sexp.scm 201 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_5709;
																																		BgL_auxz00_5709
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1114z00_2409);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_5709,
																																			BFALSE);
																																	}
																																	BgL_new1115z00_2407
																																		=
																																		BgL_new1114z00_2409;
																																}
																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1115z00_2407)))->BgL_locz00) = ((obj_t) BgL_locz00_2400), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_5714;
																																	{	/* Ast/sexp.scm 203 */
																																		BgL_typez00_bglt
																																			BgL_arg2644z00_2408;
																																		BgL_arg2644z00_2408
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_2390);
																																		BgL_auxz00_5714
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg2644z00_2408,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1115z00_2407)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5714), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) CREF(BgL_new1115z00_2407))->BgL_valuez00) = ((obj_t) BgL_valuez00_2390), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1115z00_2407);
																															}
																														else
																															{	/* Ast/sexp.scm 205 */
																																bool_t
																																	BgL_testz00_5722;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_2390))
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_testz00_5722
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 205 */
																																		if (STRINGP
																																			(BgL_valuez00_2390))
																																			{	/* Ast/sexp.scm 206 */
																																				BgL_testz00_5722
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 206 */
																																				if (CNSTP(BgL_valuez00_2390))
																																					{	/* Ast/sexp.scm 207 */
																																						BgL_testz00_5722
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 207 */
																																						if (CHARP(BgL_valuez00_2390))
																																							{	/* Ast/sexp.scm 211 */
																																								BgL_testz00_5722
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 211 */
																																								BgL_testz00_5722
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_2390);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_5722)
																																	{
																																		obj_t
																																			BgL_locz00_5733;
																																		obj_t
																																			BgL_expz00_5732;
																																		BgL_expz00_5732
																																			=
																																			BgL_valuez00_2390;
																																		BgL_locz00_5733
																																			=
																																			BgL_locz00_2400;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_5733;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_5732;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 215 */
																																		BgL_nodez00_bglt
																																			BgL_res3178z00_4075;
																																		{	/* Ast/sexp.scm 215 */
																																			obj_t
																																				BgL_arg3010z00_4071;
																																			BgL_nodez00_bglt
																																				BgL_arg3011z00_4072;
																																			BgL_arg3010z00_4071
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg3011z00_4072
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_2400,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 215 */
																																				obj_t
																																					BgL_list3012z00_4074;
																																				BgL_list3012z00_4074
																																					=
																																					MAKE_PAIR
																																					(((obj_t) BgL_arg3011z00_4072), BNIL);
																																				BgL_res3178z00_4075
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_2400,
																																						BgL_arg3010z00_4071,
																																						BGl_string3424z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list3012z00_4074));
																																		}}
																																		return
																																			BgL_res3178z00_4075;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 115 */
																										BgL_tagzd24214zd2_2392:
																											{	/* Ast/sexp.scm 217 */
																												BgL_nodez00_bglt
																													BgL_res3179z00_4083;
																												{	/* Ast/sexp.scm 217 */
																													obj_t
																														BgL_arg3010z00_4079;
																													BgL_nodez00_bglt
																														BgL_arg3011z00_4080;
																													BgL_arg3010z00_4079 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg3011z00_4080 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 217 */
																														obj_t
																															BgL_list3012z00_4082;
																														BgL_list3012z00_4082
																															=
																															MAKE_PAIR(((obj_t)
																																BgL_arg3011z00_4080),
																															BNIL);
																														BgL_res3179z00_4083
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg3010z00_4079,
																																BGl_string3424z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list3012z00_4082));
																												}}
																												return
																													BgL_res3179z00_4083;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 115 */
																									goto BgL_tagzd24214zd2_2392;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 115 */
																							goto BgL_tagzd24214zd2_2392;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 16))))
																					{	/* Ast/sexp.scm 115 */
																						if (NULLP(CDR(BgL_expz00_21)))
																							{	/* Ast/sexp.scm 115 */
																							BgL_tagzd2374zd2_1506:
																								{
																									obj_t BgL_locz00_5761;
																									obj_t BgL_expz00_5760;

																									BgL_expz00_5760 = BUNSPEC;
																									BgL_locz00_5761 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_5761;
																									BgL_expz00_21 =
																										BgL_expz00_5760;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								obj_t BgL_arg2022z00_1569;

																								BgL_arg2022z00_1569 =
																									CDR(BgL_expz00_21);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_5764;
																									BgL_bodyz00_1507 =
																										BgL_arg2022z00_1569;
																								BgL_tagzd2375zd2_1508:
																									{	/* Ast/sexp.scm 222 */
																										obj_t BgL_locz00_2422;

																										BgL_locz00_2422 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 222 */
																											obj_t BgL_nodesz00_2423;

																											BgL_nodesz00_2423 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1507,
																												BgL_stackz00_22,
																												BgL_locz00_2422,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 223 */

																												{	/* Ast/sexp.scm 224 */
																													BgL_sequencez00_bglt
																														BgL_new1117z00_2424;
																													{	/* Ast/sexp.scm 224 */
																														BgL_sequencez00_bglt
																															BgL_new1116z00_2425;
																														BgL_new1116z00_2425
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BREF(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 224 */
																															long
																																BgL_arg2657z00_2426;
																															{	/* Ast/sexp.scm 224 */
																																long
																																	BgL_res3183z00_4096;
																																{	/* Ast/sexp.scm 224 */
																																	obj_t
																																		BgL_classz00_4093;
																																	BgL_classz00_4093
																																		=
																																		BGl_sequencez00zzast_nodez00;
																																	{	/* Ast/sexp.scm 224 */
																																		obj_t
																																			BgL_vectorz00_4094;
																																		int
																																			BgL_kz00_4095;
																																		BgL_vectorz00_4094
																																			=
																																			BgL_classz00_4093;
																																		BgL_kz00_4095
																																			=
																																			(int) ((
																																				(long)
																																				1));
																																		BgL_res3183z00_4096
																																			=
																																			(long)
																																			CINT
																																			(VECTOR_REF
																																			(BgL_vectorz00_4094,
																																				BgL_kz00_4095));
																																}}
																																BgL_arg2657z00_2426
																																	=
																																	BgL_res3183z00_4096;
																															}
																															{	/* Ast/sexp.scm 224 */
																																BgL_objectz00_bglt
																																	BgL_objz00_4097;
																																BgL_objz00_4097
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1116z00_2425);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(BgL_objz00_4097,
																																	BgL_arg2657z00_2426);
																														}}
																														{	/* Ast/sexp.scm 224 */
																															BgL_objectz00_bglt
																																BgL_auxz00_5773;
																															BgL_auxz00_5773 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1116z00_2425);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_auxz00_5773,
																																BFALSE);
																														}
																														BgL_new1117z00_2424
																															=
																															BgL_new1116z00_2425;
																													}
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1117z00_2424)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_2422),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1117z00_2424)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1117z00_2424)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1117z00_2424)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1117z00_2424))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_2423), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1117z00_2424))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													BgL_auxz00_5764 =
																														BgL_new1117z00_2424;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_5764);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						obj_t BgL_carzd2559zd2_1571;

																						BgL_carzd2559zd2_1571 =
																							CAR(BgL_expz00_21);
																						if (
																							(BgL_carzd2559zd2_1571 ==
																								CNST_TABLE_REF(((long) 1))))
																							{	/* Ast/sexp.scm 115 */
																							BgL_tagzd2376zd2_1509:
																								{
																									obj_t BgL_siz00_2427;
																									obj_t BgL_alorsz00_2428;
																									obj_t BgL_sinonz00_2429;
																									obj_t BgL_siz00_2431;
																									obj_t BgL_alorsz00_2432;

																									if (PAIRP(BgL_expz00_21))
																										{	/* Ast/sexp.scm 115 */
																											obj_t
																												BgL_cdrzd24235zd2_2437;
																											BgL_cdrzd24235zd2_2437 =
																												CDR(BgL_expz00_21);
																											if (PAIRP
																												(BgL_cdrzd24235zd2_2437))
																												{	/* Ast/sexp.scm 115 */
																													obj_t
																														BgL_cdrzd24240zd2_2439;
																													BgL_cdrzd24240zd2_2439
																														=
																														CDR
																														(BgL_cdrzd24235zd2_2437);
																													if (PAIRP
																														(BgL_cdrzd24240zd2_2439))
																														{	/* Ast/sexp.scm 115 */
																															obj_t
																																BgL_cdrzd24245zd2_2441;
																															BgL_cdrzd24245zd2_2441
																																=
																																CDR
																																(BgL_cdrzd24240zd2_2439);
																															if (PAIRP
																																(BgL_cdrzd24245zd2_2441))
																																{	/* Ast/sexp.scm 115 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd24245zd2_2441)))
																																		{	/* Ast/sexp.scm 115 */
																																			BgL_siz00_2427
																																				=
																																				CAR
																																				(BgL_cdrzd24235zd2_2437);
																																			BgL_alorsz00_2428
																																				=
																																				CAR
																																				(BgL_cdrzd24240zd2_2439);
																																			BgL_sinonz00_2429
																																				=
																																				CAR
																																				(BgL_cdrzd24245zd2_2441);
																																			{
																																				obj_t
																																					BgL_siz00_2454;
																																				if (PAIRP(BgL_siz00_2427))
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_cdrzd24300zd2_2459;
																																						BgL_cdrzd24300zd2_2459
																																							=
																																							CDR
																																							(BgL_siz00_2427);
																																						if (
																																							(CAR
																																								(BgL_siz00_2427)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 1))))
																																							{	/* Ast/sexp.scm 115 */
																																								if (PAIRP(BgL_cdrzd24300zd2_2459))
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_cdrzd24303zd2_2462;
																																										BgL_cdrzd24303zd2_2462
																																											=
																																											CDR
																																											(BgL_cdrzd24300zd2_2459);
																																										if (PAIRP(BgL_cdrzd24303zd2_2462))
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd24306zd2_2464;
																																												BgL_cdrzd24306zd2_2464
																																													=
																																													CDR
																																													(BgL_cdrzd24303zd2_2462);
																																												if ((CAR(BgL_cdrzd24303zd2_2462) == BFALSE))
																																													{	/* Ast/sexp.scm 115 */
																																														if (PAIRP(BgL_cdrzd24306zd2_2464))
																																															{	/* Ast/sexp.scm 115 */
																																																if ((CAR(BgL_cdrzd24306zd2_2464) == BTRUE))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (NULLP(CDR(BgL_cdrzd24306zd2_2464)))
																																																			{	/* Ast/sexp.scm 115 */
																																																				BgL_siz00_2454
																																																					=
																																																					CAR
																																																					(BgL_cdrzd24300zd2_2459);
																																																			BgL_tagzd24292zd2_2455:
																																																				{	/* Ast/sexp.scm 234 */
																																																					obj_t
																																																						BgL_auxz00_5831;
																																																					BgL_auxz00_5831
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					SET_CAR
																																																						(BgL_auxz00_5831,
																																																						BgL_siz00_2454);
																																																				}
																																																				{	/* Ast/sexp.scm 235 */
																																																					obj_t
																																																						BgL_arg2693z00_2482;
																																																					{	/* Ast/sexp.scm 235 */
																																																						obj_t
																																																							BgL_pairz00_4102;
																																																						BgL_pairz00_4102
																																																							=
																																																							BgL_expz00_21;
																																																						BgL_arg2693z00_2482
																																																							=
																																																							CDR
																																																							(CDR
																																																							(BgL_pairz00_4102));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2693z00_2482,
																																																						BgL_sinonz00_2429);
																																																				}
																																																				{	/* Ast/sexp.scm 236 */
																																																					obj_t
																																																						BgL_arg2694z00_2483;
																																																					{	/* Ast/sexp.scm 236 */
																																																						obj_t
																																																							BgL_pairz00_4108;
																																																						BgL_pairz00_4108
																																																							=
																																																							BgL_expz00_21;
																																																						BgL_arg2694z00_2483
																																																							=
																																																							CDR
																																																							(CDR
																																																							(CDR
																																																								(BgL_pairz00_4108)));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2694z00_2483,
																																																						BgL_alorsz00_2428);
																																																				}
																																																				{

																																																					goto
																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																			BgL_tagzd24293zd2_2456:
																																																				{	/* Ast/sexp.scm 239 */
																																																					bool_t
																																																						BgL_testz00_5842;
																																																					if (SYMBOLP(BgL_siz00_2427))
																																																						{	/* Ast/sexp.scm 239 */
																																																							BgL_testz00_5842
																																																								=
																																																								(
																																																								(bool_t)
																																																								1);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 239 */
																																																							BgL_testz00_5842
																																																								=
																																																								BGl_isazf3zf3zz__objectz00
																																																								(BgL_siz00_2427,
																																																								BGl_atomz00zzast_nodez00);
																																																						}
																																																					if (BgL_testz00_5842)
																																																						{	/* Ast/sexp.scm 240 */
																																																							obj_t
																																																								BgL_locz00_2485;
																																																							BgL_locz00_2485
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 240 */
																																																								obj_t
																																																									BgL_cdlocz00_2486;
																																																								BgL_cdlocz00_2486
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(CDR
																																																									(BgL_expz00_21),
																																																									BgL_locz00_2485);
																																																								{	/* Ast/sexp.scm 241 */
																																																									obj_t
																																																										BgL_cddlocz00_2487;
																																																									{	/* Ast/sexp.scm 242 */
																																																										obj_t
																																																											BgL_arg2698z00_2499;
																																																										{	/* Ast/sexp.scm 242 */
																																																											obj_t
																																																												BgL_pairz00_4121;
																																																											BgL_pairz00_4121
																																																												=
																																																												BgL_expz00_21;
																																																											BgL_arg2698z00_2499
																																																												=
																																																												CDR
																																																												(CDR
																																																												(BgL_pairz00_4121));
																																																										}
																																																										BgL_cddlocz00_2487
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg2698z00_2499,
																																																											BgL_locz00_2485);
																																																									}
																																																									{	/* Ast/sexp.scm 242 */
																																																										obj_t
																																																											BgL_cdddlocz00_2488;
																																																										{	/* Ast/sexp.scm 243 */
																																																											obj_t
																																																												BgL_arg2697z00_2498;
																																																											{	/* Ast/sexp.scm 243 */
																																																												obj_t
																																																													BgL_pairz00_4125;
																																																												BgL_pairz00_4125
																																																													=
																																																													BgL_expz00_21;
																																																												BgL_arg2697z00_2498
																																																													=
																																																													CDR
																																																													(CDR
																																																													(CDR
																																																														(BgL_pairz00_4125)));
																																																											}
																																																											BgL_cdddlocz00_2488
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg2697z00_2498,
																																																												BgL_locz00_2485);
																																																										}
																																																										{	/* Ast/sexp.scm 243 */
																																																											obj_t
																																																												BgL_lzd2sizd2_2489;
																																																											BgL_lzd2sizd2_2489
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_2427,
																																																												BgL_cdlocz00_2486);
																																																											{	/* Ast/sexp.scm 244 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_2490;
																																																												BgL_lzd2alorszd2_2490
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_2428,
																																																													BgL_cddlocz00_2487);
																																																												{	/* Ast/sexp.scm 245 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_2491;
																																																													BgL_lzd2sinonzd2_2491
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_2429,
																																																														BgL_cdddlocz00_2488);
																																																													{	/* Ast/sexp.scm 246 */
																																																														BgL_nodez00_bglt
																																																															BgL_siz00_2492;
																																																														BgL_siz00_2492
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_2427,
																																																															BgL_stackz00_22,
																																																															BgL_lzd2sizd2_2489,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														{	/* Ast/sexp.scm 247 */
																																																															BgL_nodez00_bglt
																																																																BgL_alorsz00_2493;
																																																															BgL_alorsz00_2493
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_alorsz00_2428,
																																																																BgL_stackz00_22,
																																																																BgL_lzd2alorszd2_2490,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 248 */
																																																																BgL_nodez00_bglt
																																																																	BgL_sinonz00_2494;
																																																																BgL_sinonz00_2494
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_sinonz00_2429,
																																																																	BgL_stackz00_22,
																																																																	BgL_lzd2sinonzd2_2491,
																																																																	CNST_TABLE_REF
																																																																	(((long) 2)));
																																																																{	/* Ast/sexp.scm 249 */

																																																																	{	/* Ast/sexp.scm 250 */
																																																																		BgL_conditionalz00_bglt
																																																																			BgL_new1119z00_2495;
																																																																		{	/* Ast/sexp.scm 250 */
																																																																			BgL_conditionalz00_bglt
																																																																				BgL_new1118z00_2496;
																																																																			BgL_new1118z00_2496
																																																																				=
																																																																				(
																																																																				(BgL_conditionalz00_bglt)
																																																																				BREF
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_conditionalz00_bgl))));
																																																																			{	/* Ast/sexp.scm 250 */
																																																																				long
																																																																					BgL_arg2696z00_2497;
																																																																				{	/* Ast/sexp.scm 250 */
																																																																					long
																																																																						BgL_res3186z00_4134;
																																																																					{	/* Ast/sexp.scm 250 */
																																																																						obj_t
																																																																							BgL_classz00_4131;
																																																																						BgL_classz00_4131
																																																																							=
																																																																							BGl_conditionalz00zzast_nodez00;
																																																																						{	/* Ast/sexp.scm 250 */
																																																																							obj_t
																																																																								BgL_vectorz00_4132;
																																																																							int
																																																																								BgL_kz00_4133;
																																																																							BgL_vectorz00_4132
																																																																								=
																																																																								BgL_classz00_4131;
																																																																							BgL_kz00_4133
																																																																								=
																																																																								(int)
																																																																								(
																																																																								((long) 1));
																																																																							BgL_res3186z00_4134
																																																																								=
																																																																								(long)
																																																																								CINT
																																																																								(VECTOR_REF
																																																																								(BgL_vectorz00_4132,
																																																																									BgL_kz00_4133));
																																																																					}}
																																																																					BgL_arg2696z00_2497
																																																																						=
																																																																						BgL_res3186z00_4134;
																																																																				}
																																																																				{	/* Ast/sexp.scm 250 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_objz00_4135;
																																																																					BgL_objz00_4135
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1118z00_2496);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(BgL_objz00_4135,
																																																																						BgL_arg2696z00_2497);
																																																																			}}
																																																																			{	/* Ast/sexp.scm 250 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_auxz00_5871;
																																																																				BgL_auxz00_5871
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1118z00_2496);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_auxz00_5871,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1119z00_2495
																																																																				=
																																																																				BgL_new1118z00_2496;
																																																																		}
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1119z00_2495)))->BgL_locz00) = ((obj_t) BgL_locz00_2485), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1119z00_2495)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1119z00_2495)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1119z00_2495)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1119z00_2495))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_siz00_2492), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1119z00_2495))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_2493), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1119z00_2495))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_2494), BUNSPEC);
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1119z00_2495);
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 256 */
																																																							obj_t
																																																								BgL_vz00_2501;
																																																							BgL_vz00_2501
																																																								=
																																																								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																								(BGl_gensymz00zz__r4_symbols_6_4z00
																																																								(CNST_TABLE_REF
																																																									(((long) 8))));
																																																							{	/* Ast/sexp.scm 256 */
																																																								obj_t
																																																									BgL_varz00_2502;
																																																								BgL_varz00_2502
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_vz00_2501,
																																																									CNST_TABLE_REF
																																																									(((long) 9)));
																																																								{	/* Ast/sexp.scm 257 */
																																																									obj_t
																																																										BgL_nexpz00_2503;
																																																									{	/* Ast/sexp.scm 258 */
																																																										obj_t
																																																											BgL_arg2708z00_2511;
																																																										{	/* Ast/sexp.scm 258 */
																																																											obj_t
																																																												BgL_arg2709z00_2512;
																																																											{	/* Ast/sexp.scm 258 */
																																																												obj_t
																																																													BgL_arg2710z00_2513;
																																																												{	/* Ast/sexp.scm 258 */
																																																													obj_t
																																																														BgL_arg2712z00_2514;
																																																													BgL_arg2712z00_2514
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_sinonz00_2429,
																																																														BNIL);
																																																													BgL_arg2710z00_2513
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_alorsz00_2428,
																																																														BgL_arg2712z00_2514);
																																																												}
																																																												BgL_arg2709z00_2512
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_vz00_2501,
																																																													BgL_arg2710z00_2513);
																																																											}
																																																											BgL_arg2708z00_2511
																																																												=
																																																												MAKE_PAIR
																																																												(CNST_TABLE_REF
																																																												(((long) 1)), BgL_arg2709z00_2512);
																																																										}
																																																										BgL_nexpz00_2503
																																																											=
																																																											BGl_epairifyzd2reczd2zztools_miscz00
																																																											(BgL_arg2708z00_2511,
																																																											BgL_expz00_21);
																																																									}
																																																									{	/* Ast/sexp.scm 258 */

																																																										{	/* Ast/sexp.scm 259 */
																																																											obj_t
																																																												BgL_arg2700z00_2504;
																																																											{	/* Ast/sexp.scm 259 */
																																																												obj_t
																																																													BgL_arg2701z00_2505;
																																																												obj_t
																																																													BgL_arg2702z00_2506;
																																																												BgL_arg2701z00_2505
																																																													=
																																																													BGl_letzd2symzd2zzast_letz00
																																																													();
																																																												{	/* Ast/sexp.scm 259 */
																																																													obj_t
																																																														BgL_arg2704z00_2507;
																																																													obj_t
																																																														BgL_arg2705z00_2508;
																																																													{	/* Ast/sexp.scm 259 */
																																																														obj_t
																																																															BgL_arg2706z00_2509;
																																																														{	/* Ast/sexp.scm 259 */
																																																															obj_t
																																																																BgL_arg2707z00_2510;
																																																															BgL_arg2707z00_2510
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_siz00_2427,
																																																																BNIL);
																																																															BgL_arg2706z00_2509
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_varz00_2502,
																																																																BgL_arg2707z00_2510);
																																																														}
																																																														BgL_arg2704z00_2507
																																																															=
																																																															MAKE_PAIR
																																																															(BgL_arg2706z00_2509,
																																																															BNIL);
																																																													}
																																																													BgL_arg2705z00_2508
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_nexpz00_2503,
																																																														BNIL);
																																																													BgL_arg2702z00_2506
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_arg2704z00_2507,
																																																														BgL_arg2705z00_2508);
																																																												}
																																																												BgL_arg2700z00_2504
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_arg2701z00_2505,
																																																													BgL_arg2702z00_2506);
																																																											}
																																																											BGl_replacez12z12zztools_miscz00
																																																												(BgL_expz00_21,
																																																												BgL_arg2700z00_2504);
																																																										}
																																																										{

																																																											goto
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		goto
																																																			BgL_tagzd24293zd2_2456;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																goto
																																																	BgL_tagzd24293zd2_2456;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd24293zd2_2456;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd24293zd2_2456;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										goto
																																											BgL_tagzd24293zd2_2456;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								if ((CAR(BgL_siz00_2427) == CNST_TABLE_REF(((long) 10))))
																																									{	/* Ast/sexp.scm 115 */
																																										if (PAIRP(BgL_cdrzd24300zd2_2459))
																																											{	/* Ast/sexp.scm 115 */
																																												if (NULLP(CDR(BgL_cdrzd24300zd2_2459)))
																																													{
																																														obj_t
																																															BgL_siz00_5916;
																																														BgL_siz00_5916
																																															=
																																															CAR
																																															(BgL_cdrzd24300zd2_2459);
																																														BgL_siz00_2454
																																															=
																																															BgL_siz00_5916;
																																														goto
																																															BgL_tagzd24292zd2_2455;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd24293zd2_2456;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd24293zd2_2456;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										goto
																																											BgL_tagzd24293zd2_2456;
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd24293zd2_2456;
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																		BgL_tagzd24226zd2_2434:
																																			{	/* Ast/sexp.scm 265 */
																																				BgL_nodez00_bglt
																																					BgL_res3195z00_4178;
																																				{	/* Ast/sexp.scm 265 */
																																					obj_t
																																						BgL_arg3010z00_4174;
																																					BgL_nodez00_bglt
																																						BgL_arg3011z00_4175;
																																					BgL_arg3010z00_4174
																																						=
																																						BGl_shapez00zztools_shapez00
																																						(BGl_currentzd2functionzd2zztools_errorz00
																																						());
																																					BgL_arg3011z00_4175
																																						=
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(CNST_TABLE_REF
																																						(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																					{	/* Ast/sexp.scm 265 */
																																						obj_t
																																							BgL_list3012z00_4177;
																																						BgL_list3012z00_4177
																																							=
																																							MAKE_PAIR
																																							(((obj_t) BgL_arg3011z00_4175), BNIL);
																																						BgL_res3195z00_4178
																																							=
																																							(
																																							(BgL_nodez00_bglt)
																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																							(BgL_locz00_23,
																																								BgL_arg3010z00_4174,
																																								BGl_string3423z00zzast_sexpz00,
																																								BgL_expz00_21,
																																								BgL_list3012z00_4177));
																																				}}
																																				return
																																					BgL_res3195z00_4178;
																																			}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	obj_t
																																		BgL_cdrzd24270zd2_2449;
																																	BgL_cdrzd24270zd2_2449
																																		=
																																		CDR
																																		(BgL_cdrzd24235zd2_2437);
																																	if (NULLP(CDR
																																			(BgL_cdrzd24270zd2_2449)))
																																		{	/* Ast/sexp.scm 115 */
																																			BgL_siz00_2431
																																				=
																																				CAR
																																				(BgL_cdrzd24235zd2_2437);
																																			BgL_alorsz00_2432
																																				=
																																				CAR
																																				(BgL_cdrzd24270zd2_2449);
																																			{	/* Ast/sexp.scm 262 */
																																				obj_t
																																					BgL_arg2715z00_2517;
																																				obj_t
																																					BgL_arg2716z00_2518;
																																				{	/* Ast/sexp.scm 262 */
																																					obj_t
																																						BgL_pairz00_4163;
																																					BgL_pairz00_4163
																																						=
																																						BgL_expz00_21;
																																					BgL_arg2715z00_2517
																																						=
																																						CDR
																																						(CDR
																																						(BgL_pairz00_4163));
																																				}
																																				{	/* Ast/sexp.scm 262 */
																																					obj_t
																																						BgL_list2717z00_2519;
																																					BgL_list2717z00_2519
																																						=
																																						MAKE_PAIR
																																						(BUNSPEC,
																																						BNIL);
																																					BgL_arg2716z00_2518
																																						=
																																						BgL_list2717z00_2519;
																																				}
																																				SET_CDR
																																					(BgL_arg2715z00_2517,
																																					BgL_arg2716z00_2518);
																																			}
																																			{

																																				goto
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			goto
																																				BgL_tagzd24226zd2_2434;
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 115 */
																															goto
																																BgL_tagzd24226zd2_2434;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 115 */
																													goto
																														BgL_tagzd24226zd2_2434;
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 115 */
																											goto
																												BgL_tagzd24226zd2_2434;
																										}
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								if (
																									(BgL_carzd2559zd2_1571 ==
																										BGl_za2ifza2z00zzast_sexpz00))
																									{	/* Ast/sexp.scm 115 */
																										goto BgL_tagzd2376zd2_1509;
																									}
																								else
																									{	/* Ast/sexp.scm 115 */
																										obj_t BgL_cdrzd2577zd2_1574;

																										BgL_cdrzd2577zd2_1574 =
																											CDR(BgL_expz00_21);
																										if (
																											(CAR(BgL_expz00_21) ==
																												CNST_TABLE_REF(((long)
																														7))))
																											{	/* Ast/sexp.scm 115 */
																												if (PAIRP
																													(BgL_cdrzd2577zd2_1574))
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd2580zd2_1577;
																														obj_t
																															BgL_cdrzd2581zd2_1578;
																														BgL_carzd2580zd2_1577
																															=
																															CAR
																															(BgL_cdrzd2577zd2_1574);
																														BgL_cdrzd2581zd2_1578
																															=
																															CDR
																															(BgL_cdrzd2577zd2_1574);
																														if (PAIRP
																															(BgL_carzd2580zd2_1577))
																															{	/* Ast/sexp.scm 115 */
																																if (
																																	(CAR
																																		(BgL_carzd2580zd2_1577)
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				15))))
																																	{	/* Ast/sexp.scm 115 */
																																		if (PAIRP
																																			(BgL_cdrzd2581zd2_1578))
																																			{	/* Ast/sexp.scm 115 */
																																				if (NULLP(CDR(BgL_cdrzd2581zd2_1578)))
																																					{	/* Ast/sexp.scm 115 */
																																						BgL_lz00_1510
																																							=
																																							CDR
																																							(BgL_carzd2580zd2_1577);
																																						BgL_valz00_1511
																																							=
																																							CAR
																																							(BgL_cdrzd2581zd2_1578);
																																					BgL_tagzd2377zd2_1512:
																																						{	/* Ast/sexp.scm 268 */
																																							bool_t
																																								BgL_testz00_5962;
																																							if (PAIRP(BgL_lz00_1510))
																																								{	/* Ast/sexp.scm 268 */
																																									bool_t
																																										BgL_testz00_5965;
																																									{	/* Ast/sexp.scm 268 */
																																										obj_t
																																											BgL_auxz00_5966;
																																										BgL_auxz00_5966
																																											=
																																											CDR
																																											(BgL_lz00_1510);
																																										BgL_testz00_5965
																																											=
																																											PAIRP
																																											(BgL_auxz00_5966);
																																									}
																																									if (BgL_testz00_5965)
																																										{
																																											obj_t
																																												BgL_l1956z00_2524;
																																											bool_t
																																												BgL_lv1957z00_2525;
																																											BgL_l1956z00_2524
																																												=
																																												BgL_lz00_1510;
																																											BgL_lv1957z00_2525
																																												=
																																												(
																																												(bool_t)
																																												1);
																																										BgL_zc3anonymousza32721ze3z83_2526:
																																											if (NULLP(BgL_l1956z00_2524))
																																												{	/* Ast/sexp.scm 268 */
																																													BgL_testz00_5962
																																														=
																																														BgL_lv1957z00_2525;
																																												}
																																											else
																																												{	/* Ast/sexp.scm 268 */
																																													bool_t
																																														BgL_nvz00_2528;
																																													{	/* Ast/sexp.scm 268 */
																																														obj_t
																																															BgL_auxz00_5971;
																																														BgL_auxz00_5971
																																															=
																																															CAR
																																															(BgL_l1956z00_2524);
																																														BgL_nvz00_2528
																																															=
																																															SYMBOLP
																																															(BgL_auxz00_5971);
																																													}
																																													if (BgL_nvz00_2528)
																																														{
																																															bool_t
																																																BgL_lv1957z00_5977;
																																															obj_t
																																																BgL_l1956z00_5975;
																																															BgL_l1956z00_5975
																																																=
																																																CDR
																																																(BgL_l1956z00_2524);
																																															BgL_lv1957z00_5977
																																																=
																																																BgL_nvz00_2528;
																																															BgL_lv1957z00_2525
																																																=
																																																BgL_lv1957z00_5977;
																																															BgL_l1956z00_2524
																																																=
																																																BgL_l1956z00_5975;
																																															goto
																																																BgL_zc3anonymousza32721ze3z83_2526;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 268 */
																																															BgL_testz00_5962
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 268 */
																																											BgL_testz00_5962
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 268 */
																																									BgL_testz00_5962
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																							if (BgL_testz00_5962)
																																								{	/* Ast/sexp.scm 268 */
																																									return
																																										BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																										(BgL_lz00_1510,
																																										BgL_valz00_1511,
																																										BgL_expz00_21,
																																										BgL_stackz00_22,
																																										BgL_locz00_23,
																																										BgL_sitez00_24);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 270 */
																																									BgL_nodez00_bglt
																																										BgL_res3206z00_4221;
																																									{	/* Ast/sexp.scm 270 */
																																										obj_t
																																											BgL_arg3010z00_4217;
																																										BgL_nodez00_bglt
																																											BgL_arg3011z00_4218;
																																										BgL_arg3010z00_4217
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg3011z00_4218
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 270 */
																																											obj_t
																																												BgL_list3012z00_4220;
																																											BgL_list3012z00_4220
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg3011z00_4218), BNIL);
																																											BgL_res3206z00_4221
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_locz00_23,
																																													BgL_arg3010z00_4217,
																																													BGl_string3422z00zzast_sexpz00,
																																													BgL_expz00_21,
																																													BgL_list3012z00_4220));
																																									}}
																																									return
																																										BgL_res3206z00_4221;
																																								}
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																					BgL_tagzd2378zd2_1513:
																																						{
																																							obj_t
																																								BgL_varz00_2534;
																																							obj_t
																																								BgL_valz00_2535;
																																							if (PAIRP(BgL_expz00_21))
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_cdrzd24331zd2_2540;
																																									BgL_cdrzd24331zd2_2540
																																										=
																																										CDR
																																										(BgL_expz00_21);
																																									if (PAIRP(BgL_cdrzd24331zd2_2540))
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_cdrzd24335zd2_2542;
																																											BgL_cdrzd24335zd2_2542
																																												=
																																												CDR
																																												(BgL_cdrzd24331zd2_2540);
																																											if (PAIRP(BgL_cdrzd24335zd2_2542))
																																												{	/* Ast/sexp.scm 115 */
																																													if (NULLP(CDR(BgL_cdrzd24335zd2_2542)))
																																														{	/* Ast/sexp.scm 115 */
																																															BgL_varz00_2534
																																																=
																																																CAR
																																																(BgL_cdrzd24331zd2_2540);
																																															BgL_valz00_2535
																																																=
																																																CAR
																																																(BgL_cdrzd24335zd2_2542);
																																															{	/* Ast/sexp.scm 274 */
																																																obj_t
																																																	BgL_locz00_2548;
																																																BgL_locz00_2548
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_21,
																																																	BgL_locz00_23);
																																																{	/* Ast/sexp.scm 274 */
																																																	obj_t
																																																		BgL_cdlocz00_2549;
																																																	BgL_cdlocz00_2549
																																																		=
																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																		(CDR
																																																		(BgL_expz00_21),
																																																		BgL_locz00_2548);
																																																	{	/* Ast/sexp.scm 275 */
																																																		obj_t
																																																			BgL_cddlocz00_2550;
																																																		{	/* Ast/sexp.scm 276 */
																																																			obj_t
																																																				BgL_arg2739z00_2563;
																																																			{	/* Ast/sexp.scm 276 */
																																																				obj_t
																																																					BgL_pairz00_4223;
																																																				BgL_pairz00_4223
																																																					=
																																																					BgL_expz00_21;
																																																				BgL_arg2739z00_2563
																																																					=
																																																					CDR
																																																					(CDR
																																																					(BgL_pairz00_4223));
																																																			}
																																																			BgL_cddlocz00_2550
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_arg2739z00_2563,
																																																				BgL_locz00_2548);
																																																		}
																																																		{	/* Ast/sexp.scm 276 */
																																																			obj_t
																																																				BgL_valzd2loczd2_2551;
																																																			BgL_valzd2loczd2_2551
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_valz00_2535,
																																																				BgL_cddlocz00_2550);
																																																			{	/* Ast/sexp.scm 277 */
																																																				BgL_nodez00_bglt
																																																					BgL_valz00_2552;
																																																				BgL_valz00_2552
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_valz00_2535,
																																																					BgL_stackz00_22,
																																																					BgL_valzd2loczd2_2551,
																																																					CNST_TABLE_REF
																																																					(((long) 2)));
																																																				{	/* Ast/sexp.scm 278 */

																																																					{	/* Ast/sexp.scm 279 */
																																																						BgL_nodez00_bglt
																																																							BgL_astz00_2553;
																																																						BgL_astz00_2553
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(BgL_varz00_2534,
																																																							BgL_stackz00_22,
																																																							BgL_cdlocz00_2549,
																																																							CNST_TABLE_REF
																																																							(((long) 7)));
																																																						{	/* Ast/sexp.scm 280 */
																																																							bool_t
																																																								BgL_testz00_6012;
																																																							{	/* Ast/sexp.scm 280 */
																																																								bool_t
																																																									BgL_res3207z00_4228;
																																																								{	/* Ast/sexp.scm 280 */
																																																									obj_t
																																																										BgL_objz00_4227;
																																																									BgL_objz00_4227
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_astz00_2553);
																																																									BgL_res3207z00_4228
																																																										=
																																																										BGl_isazf3zf3zz__objectz00
																																																										(BgL_objz00_4227,
																																																										BGl_varz00zzast_nodez00);
																																																								}
																																																								BgL_testz00_6012
																																																									=
																																																									BgL_res3207z00_4228;
																																																							}
																																																							if (BgL_testz00_6012)
																																																								{	/* Ast/sexp.scm 281 */
																																																									BgL_varz00_bglt
																																																										BgL_i1120z00_2555;
																																																									BgL_i1120z00_2555
																																																										=
																																																										(
																																																										(BgL_varz00_bglt)
																																																										BgL_astz00_2553);
																																																									{	/* Ast/sexp.scm 282 */
																																																										bool_t
																																																											BgL_testz00_6016;
																																																										{	/* Ast/sexp.scm 282 */
																																																											bool_t
																																																												BgL_testz00_6017;
																																																											{	/* Ast/sexp.scm 282 */
																																																												BgL_variablez00_bglt
																																																													BgL_arg2738z00_2562;
																																																												BgL_arg2738z00_2562
																																																													=
																																																													(
																																																													((BgL_varz00_bglt) CREF(BgL_i1120z00_2555))->BgL_variablez00);
																																																												{	/* Ast/sexp.scm 282 */
																																																													bool_t
																																																														BgL_res3208z00_4230;
																																																													{	/* Ast/sexp.scm 282 */
																																																														obj_t
																																																															BgL_objz00_4229;
																																																														BgL_objz00_4229
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_arg2738z00_2562);
																																																														BgL_res3208z00_4230
																																																															=
																																																															BGl_isazf3zf3zz__objectz00
																																																															(BgL_objz00_4229,
																																																															BGl_globalz00zzast_varz00);
																																																													}
																																																													BgL_testz00_6017
																																																														=
																																																														BgL_res3208z00_4230;
																																																												}
																																																											}
																																																											if (BgL_testz00_6017)
																																																												{	/* Ast/sexp.scm 283 */
																																																													BgL_variablez00_bglt
																																																														BgL_arg2737z00_2561;
																																																													BgL_arg2737z00_2561
																																																														=
																																																														(
																																																														((BgL_varz00_bglt) CREF(BgL_i1120z00_2555))->BgL_variablez00);
																																																													BgL_testz00_6016
																																																														=
																																																														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																														(
																																																														((BgL_globalz00_bglt) BgL_arg2737z00_2561));
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 282 */
																																																													BgL_testz00_6016
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																										if (BgL_testz00_6016)
																																																											{	/* Ast/sexp.scm 284 */
																																																												BgL_nodez00_bglt
																																																													BgL_res3209z00_4238;
																																																												{	/* Ast/sexp.scm 284 */
																																																													obj_t
																																																														BgL_arg3010z00_4234;
																																																													BgL_nodez00_bglt
																																																														BgL_arg3011z00_4235;
																																																													BgL_arg3010z00_4234
																																																														=
																																																														BGl_shapez00zztools_shapez00
																																																														(BGl_currentzd2functionzd2zztools_errorz00
																																																														());
																																																													BgL_arg3011z00_4235
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(CNST_TABLE_REF
																																																														(((long) 4)), BNIL, BgL_cdlocz00_2549, CNST_TABLE_REF(((long) 2)));
																																																													{	/* Ast/sexp.scm 284 */
																																																														obj_t
																																																															BgL_list3012z00_4237;
																																																														BgL_list3012z00_4237
																																																															=
																																																															MAKE_PAIR
																																																															(
																																																															((obj_t) BgL_arg3011z00_4235), BNIL);
																																																														BgL_res3209z00_4238
																																																															=
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BGl_userzd2errorzf2locationz20zztools_errorz00
																																																															(BgL_cdlocz00_2549,
																																																																BgL_arg3010z00_4234,
																																																																BGl_string3420z00zzast_sexpz00,
																																																																BgL_expz00_21,
																																																																BgL_list3012z00_4237));
																																																												}}
																																																												return
																																																													BgL_res3209z00_4238;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 286 */
																																																												BgL_setqz00_bglt
																																																													BgL_new1123z00_2557;
																																																												{	/* Ast/sexp.scm 286 */
																																																													BgL_setqz00_bglt
																																																														BgL_new1122z00_2558;
																																																													BgL_new1122z00_2558
																																																														=
																																																														(
																																																														(BgL_setqz00_bglt)
																																																														BREF
																																																														(GC_MALLOC
																																																															(sizeof
																																																																(struct
																																																																	BgL_setqz00_bgl))));
																																																													{	/* Ast/sexp.scm 286 */
																																																														long
																																																															BgL_arg2735z00_2559;
																																																														{	/* Ast/sexp.scm 286 */
																																																															long
																																																																BgL_res3210z00_4242;
																																																															{	/* Ast/sexp.scm 286 */
																																																																obj_t
																																																																	BgL_classz00_4239;
																																																																BgL_classz00_4239
																																																																	=
																																																																	BGl_setqz00zzast_nodez00;
																																																																{	/* Ast/sexp.scm 286 */
																																																																	obj_t
																																																																		BgL_vectorz00_4240;
																																																																	int
																																																																		BgL_kz00_4241;
																																																																	BgL_vectorz00_4240
																																																																		=
																																																																		BgL_classz00_4239;
																																																																	BgL_kz00_4241
																																																																		=
																																																																		(int)
																																																																		(
																																																																		((long) 1));
																																																																	BgL_res3210z00_4242
																																																																		=
																																																																		(long)
																																																																		CINT
																																																																		(VECTOR_REF
																																																																		(BgL_vectorz00_4240,
																																																																			BgL_kz00_4241));
																																																															}}
																																																															BgL_arg2735z00_2559
																																																																=
																																																																BgL_res3210z00_4242;
																																																														}
																																																														{	/* Ast/sexp.scm 286 */
																																																															BgL_objectz00_bglt
																																																																BgL_objz00_4243;
																																																															BgL_objz00_4243
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1122z00_2558);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(BgL_objz00_4243,
																																																																BgL_arg2735z00_2559);
																																																													}}
																																																													{	/* Ast/sexp.scm 286 */
																																																														BgL_objectz00_bglt
																																																															BgL_auxz00_6039;
																																																														BgL_auxz00_6039
																																																															=
																																																															(
																																																															(BgL_objectz00_bglt)
																																																															BgL_new1122z00_2558);
																																																														BGL_OBJECT_WIDENING_SET
																																																															(BgL_auxz00_6039,
																																																															BFALSE);
																																																													}
																																																													BgL_new1123z00_2557
																																																														=
																																																														BgL_new1122z00_2558;
																																																												}
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1123z00_2557)))->BgL_locz00) = ((obj_t) BgL_locz00_2548), BUNSPEC);
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1123z00_2557)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1123z00_2557))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2553)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1123z00_2557))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2552), BUNSPEC);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_new1123z00_2557);
																																																											}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 291 */
																																																									BgL_nodez00_bglt
																																																										BgL_res3211z00_4252;
																																																									{	/* Ast/sexp.scm 291 */
																																																										obj_t
																																																											BgL_arg3010z00_4248;
																																																										BgL_nodez00_bglt
																																																											BgL_arg3011z00_4249;
																																																										BgL_arg3010z00_4248
																																																											=
																																																											BGl_shapez00zztools_shapez00
																																																											(BGl_currentzd2functionzd2zztools_errorz00
																																																											());
																																																										BgL_arg3011z00_4249
																																																											=
																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																											(CNST_TABLE_REF
																																																											(((long) 4)), BNIL, BgL_locz00_2548, CNST_TABLE_REF(((long) 2)));
																																																										{	/* Ast/sexp.scm 291 */
																																																											obj_t
																																																												BgL_list3012z00_4251;
																																																											BgL_list3012z00_4251
																																																												=
																																																												MAKE_PAIR
																																																												(
																																																												((obj_t) BgL_arg3011z00_4249), BNIL);
																																																											BgL_res3211z00_4252
																																																												=
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																																												(BgL_locz00_2548,
																																																													BgL_arg3010z00_4248,
																																																													BGl_string3421z00zzast_sexpz00,
																																																													BgL_expz00_21,
																																																													BgL_list3012z00_4251));
																																																									}}
																																																									return
																																																										BgL_res3211z00_4252;
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																		}
																																																	}
																																																}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 115 */
																																														BgL_tagzd24324zd2_2537:
																																															{	/* Ast/sexp.scm 295 */
																																																obj_t
																																																	BgL_arg2741z00_2565;
																																																BgL_arg2741z00_2565
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_21,
																																																	BgL_locz00_23);
																																																{	/* Ast/sexp.scm 294 */
																																																	BgL_nodez00_bglt
																																																		BgL_res3212z00_4260;
																																																	{	/* Ast/sexp.scm 294 */
																																																		obj_t
																																																			BgL_arg3010z00_4256;
																																																		BgL_nodez00_bglt
																																																			BgL_arg3011z00_4257;
																																																		BgL_arg3010z00_4256
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg3011z00_4257
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_arg2741z00_2565, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 294 */
																																																			obj_t
																																																				BgL_list3012z00_4259;
																																																			BgL_list3012z00_4259
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg3011z00_4257), BNIL);
																																																			BgL_res3212z00_4260
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_arg2741z00_2565,
																																																					BgL_arg3010z00_4256,
																																																					BGl_string3419z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list3012z00_4259));
																																																	}}
																																																	return
																																																		BgL_res3212z00_4260;
																																																}
																																															}
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													goto
																																														BgL_tagzd24324zd2_2537;
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd24324zd2_2537;
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									goto
																																										BgL_tagzd24324zd2_2537;
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2378zd2_1513;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2378zd2_1513;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2378zd2_1513;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														goto
																															BgL_tagzd2378zd2_1513;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												if (
																													(CAR(BgL_expz00_21) ==
																														CNST_TABLE_REF((
																																(long) 17))))
																													{	/* Ast/sexp.scm 115 */
																													BgL_tagzd2379zd2_1514:
																														{
																															obj_t
																																BgL_varz00_2566;
																															obj_t
																																BgL_valz00_2567;
																															if (PAIRP
																																(BgL_expz00_21))
																																{	/* Ast/sexp.scm 115 */
																																	obj_t
																																		BgL_cdrzd24349zd2_2572;
																																	BgL_cdrzd24349zd2_2572
																																		=
																																		CDR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_cdrzd24349zd2_2572))
																																		{	/* Ast/sexp.scm 115 */
																																			obj_t
																																				BgL_cdrzd24353zd2_2574;
																																			BgL_cdrzd24353zd2_2574
																																				=
																																				CDR
																																				(BgL_cdrzd24349zd2_2572);
																																			if (PAIRP
																																				(BgL_cdrzd24353zd2_2574))
																																				{	/* Ast/sexp.scm 115 */
																																					if (NULLP(CDR(BgL_cdrzd24353zd2_2574)))
																																						{	/* Ast/sexp.scm 115 */
																																							BgL_varz00_2566
																																								=
																																								CAR
																																								(BgL_cdrzd24349zd2_2572);
																																							BgL_valz00_2567
																																								=
																																								CAR
																																								(BgL_cdrzd24353zd2_2574);
																																							{	/* Ast/sexp.scm 302 */
																																								obj_t
																																									BgL_locz00_2580;
																																								BgL_locz00_2580
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_21,
																																									BgL_locz00_23);
																																								{	/* Ast/sexp.scm 302 */
																																									obj_t
																																										BgL_cdlocz00_2581;
																																									BgL_cdlocz00_2581
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(CDR
																																										(BgL_expz00_21),
																																										BgL_locz00_2580);
																																									{	/* Ast/sexp.scm 303 */
																																										obj_t
																																											BgL_cddlocz00_2582;
																																										{	/* Ast/sexp.scm 304 */
																																											obj_t
																																												BgL_arg2754z00_2593;
																																											{	/* Ast/sexp.scm 304 */
																																												obj_t
																																													BgL_pairz00_4275;
																																												BgL_pairz00_4275
																																													=
																																													BgL_expz00_21;
																																												BgL_arg2754z00_2593
																																													=
																																													CDR
																																													(CDR
																																													(BgL_pairz00_4275));
																																											}
																																											BgL_cddlocz00_2582
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_arg2754z00_2593,
																																												BgL_locz00_2580);
																																										}
																																										{	/* Ast/sexp.scm 304 */
																																											obj_t
																																												BgL_valzd2loczd2_2583;
																																											BgL_valzd2loczd2_2583
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_valz00_2567,
																																												BgL_cddlocz00_2582);
																																											{	/* Ast/sexp.scm 305 */
																																												BgL_nodez00_bglt
																																													BgL_valz00_2584;
																																												BgL_valz00_2584
																																													=
																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																													(BgL_valz00_2567,
																																													BgL_stackz00_22,
																																													BgL_valzd2loczd2_2583,
																																													CNST_TABLE_REF
																																													(((long) 2)));
																																												{	/* Ast/sexp.scm 306 */

																																													{	/* Ast/sexp.scm 307 */
																																														BgL_nodez00_bglt
																																															BgL_astz00_2585;
																																														BgL_astz00_2585
																																															=
																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																															(BgL_varz00_2566,
																																															BgL_stackz00_22,
																																															BgL_cdlocz00_2581,
																																															CNST_TABLE_REF
																																															(((long) 2)));
																																														{	/* Ast/sexp.scm 308 */
																																															bool_t
																																																BgL_testz00_6098;
																																															{	/* Ast/sexp.scm 308 */
																																																bool_t
																																																	BgL_testz00_6099;
																																																{	/* Ast/sexp.scm 308 */
																																																	bool_t
																																																		BgL_res3217z00_4280;
																																																	{	/* Ast/sexp.scm 308 */
																																																		obj_t
																																																			BgL_objz00_4279;
																																																		BgL_objz00_4279
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_astz00_2585);
																																																		BgL_res3217z00_4280
																																																			=
																																																			BGl_isazf3zf3zz__objectz00
																																																			(BgL_objz00_4279,
																																																			BGl_varz00zzast_nodez00);
																																																	}
																																																	BgL_testz00_6099
																																																		=
																																																		BgL_res3217z00_4280;
																																																}
																																																if (BgL_testz00_6099)
																																																	{	/* Ast/sexp.scm 308 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2753z00_2592;
																																																		BgL_arg2753z00_2592
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2585)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 308 */
																																																			bool_t
																																																				BgL_res3219z00_4285;
																																																			{	/* Ast/sexp.scm 308 */
																																																				obj_t
																																																					BgL_objz00_4284;
																																																				BgL_objz00_4284
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_arg2753z00_2592);
																																																				BgL_res3219z00_4285
																																																					=
																																																					BGl_isazf3zf3zz__objectz00
																																																					(BgL_objz00_4284,
																																																					BGl_globalz00zzast_varz00);
																																																			}
																																																			BgL_testz00_6098
																																																				=
																																																				BgL_res3219z00_4285;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 308 */
																																																		BgL_testz00_6098
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																															}
																																															if (BgL_testz00_6098)
																																																{	/* Ast/sexp.scm 308 */
																																																	{	/* Ast/sexp.scm 310 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2750z00_2587;
																																																		BgL_arg2750z00_2587
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2585)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 310 */
																																																			BgL_globalz00_bglt
																																																				BgL_oz00_4289;
																																																			obj_t
																																																				BgL_vz00_4290;
																																																			BgL_oz00_4289
																																																				=
																																																				(
																																																				(BgL_globalz00_bglt)
																																																				BgL_arg2750z00_2587);
																																																			BgL_vz00_4290
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_valz00_2584);
																																																			((((BgL_globalz00_bglt) CREF(BgL_oz00_4289))->BgL_srcz00) = ((obj_t) BgL_vz00_4290), BUNSPEC);
																																																		}
																																																	}
																																																	{	/* Ast/sexp.scm 311 */
																																																		BgL_setqz00_bglt
																																																			BgL_new1126z00_2588;
																																																		{	/* Ast/sexp.scm 311 */
																																																			BgL_setqz00_bglt
																																																				BgL_new1125z00_2589;
																																																			BgL_new1125z00_2589
																																																				=
																																																				(
																																																				(BgL_setqz00_bglt)
																																																				BREF
																																																				(GC_MALLOC
																																																					(sizeof
																																																						(struct
																																																							BgL_setqz00_bgl))));
																																																			{	/* Ast/sexp.scm 311 */
																																																				long
																																																					BgL_arg2751z00_2590;
																																																				{	/* Ast/sexp.scm 311 */
																																																					long
																																																						BgL_res3221z00_4295;
																																																					{	/* Ast/sexp.scm 311 */
																																																						obj_t
																																																							BgL_classz00_4292;
																																																						BgL_classz00_4292
																																																							=
																																																							BGl_setqz00zzast_nodez00;
																																																						{	/* Ast/sexp.scm 311 */
																																																							obj_t
																																																								BgL_vectorz00_4293;
																																																							int
																																																								BgL_kz00_4294;
																																																							BgL_vectorz00_4293
																																																								=
																																																								BgL_classz00_4292;
																																																							BgL_kz00_4294
																																																								=
																																																								(int)
																																																								(
																																																								((long) 1));
																																																							BgL_res3221z00_4295
																																																								=
																																																								(long)
																																																								CINT
																																																								(VECTOR_REF
																																																								(BgL_vectorz00_4293,
																																																									BgL_kz00_4294));
																																																					}}
																																																					BgL_arg2751z00_2590
																																																						=
																																																						BgL_res3221z00_4295;
																																																				}
																																																				{	/* Ast/sexp.scm 311 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_4296;
																																																					BgL_objz00_4296
																																																						=
																																																						(
																																																						(BgL_objectz00_bglt)
																																																						BgL_new1125z00_2589);
																																																					BGL_OBJECT_CLASS_NUM_SET
																																																						(BgL_objz00_4296,
																																																						BgL_arg2751z00_2590);
																																																			}}
																																																			{	/* Ast/sexp.scm 311 */
																																																				BgL_objectz00_bglt
																																																					BgL_auxz00_6117;
																																																				BgL_auxz00_6117
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1125z00_2589);
																																																				BGL_OBJECT_WIDENING_SET
																																																					(BgL_auxz00_6117,
																																																					BFALSE);
																																																			}
																																																			BgL_new1126z00_2588
																																																				=
																																																				BgL_new1125z00_2589;
																																																		}
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1126z00_2588)))->BgL_locz00) = ((obj_t) BgL_locz00_2580), BUNSPEC);
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1126z00_2588)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1126z00_2588))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2585)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1126z00_2588))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2584), BUNSPEC);
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_new1126z00_2588);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 316 */
																																																	BgL_nodez00_bglt
																																																		BgL_res3222z00_4305;
																																																	{	/* Ast/sexp.scm 316 */
																																																		obj_t
																																																			BgL_arg3010z00_4301;
																																																		BgL_nodez00_bglt
																																																			BgL_arg3011z00_4302;
																																																		BgL_arg3010z00_4301
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg3011z00_4302
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_2580, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 316 */
																																																			obj_t
																																																				BgL_list3012z00_4304;
																																																			BgL_list3012z00_4304
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg3011z00_4302), BNIL);
																																																			BgL_res3222z00_4305
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_2580,
																																																					BgL_arg3010z00_4301,
																																																					BGl_string3418z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list3012z00_4304));
																																																	}}
																																																	return
																																																		BgL_res3222z00_4305;
																																																}
																																														}
																																													}
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																						BgL_tagzd24342zd2_2569:
																																							{	/* Ast/sexp.scm 320 */
																																								obj_t
																																									BgL_arg2756z00_2595;
																																								BgL_arg2756z00_2595
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_21,
																																									BgL_locz00_23);
																																								{	/* Ast/sexp.scm 319 */
																																									BgL_nodez00_bglt
																																										BgL_res3223z00_4313;
																																									{	/* Ast/sexp.scm 319 */
																																										obj_t
																																											BgL_arg3010z00_4309;
																																										BgL_nodez00_bglt
																																											BgL_arg3011z00_4310;
																																										BgL_arg3010z00_4309
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg3011z00_4310
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 4)), BNIL, BgL_arg2756z00_2595, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 319 */
																																											obj_t
																																												BgL_list3012z00_4312;
																																											BgL_list3012z00_4312
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg3011z00_4310), BNIL);
																																											BgL_res3223z00_4313
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_arg2756z00_2595,
																																													BgL_arg3010z00_4309,
																																													BGl_string3417z00zzast_sexpz00,
																																													BgL_expz00_21,
																																													BgL_list3012z00_4312));
																																									}}
																																									return
																																										BgL_res3223z00_4313;
																																								}
																																							}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					goto
																																						BgL_tagzd24342zd2_2569;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			goto
																																				BgL_tagzd24342zd2_2569;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	goto
																																		BgL_tagzd24342zd2_2569;
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd2674zd2_1588;
																														BgL_carzd2674zd2_1588
																															=
																															CAR
																															(BgL_expz00_21);
																														if (PAIRP
																															(BgL_carzd2674zd2_1588))
																															{	/* Ast/sexp.scm 115 */
																																obj_t
																																	BgL_carzd2677zd2_1590;
																																obj_t
																																	BgL_cdrzd2678zd2_1591;
																																BgL_carzd2677zd2_1590
																																	=
																																	CAR
																																	(BgL_carzd2674zd2_1588);
																																BgL_cdrzd2678zd2_1591
																																	=
																																	CDR
																																	(BgL_carzd2674zd2_1588);
																																{

																																	if (
																																		(BgL_carzd2677zd2_1590
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					18))))
																																		{
																																			obj_t
																																				BgL_auxz00_6158;
																																		BgL_kapzd2679zd2_1592:
																																			if (PAIRP
																																				(BgL_cdrzd2678zd2_1591))
																																				{	/* Ast/sexp.scm 115 */
																																					obj_t
																																						BgL_cdrzd2682zd2_1757;
																																					BgL_cdrzd2682zd2_1757
																																						=
																																						CDR
																																						(BgL_cdrzd2678zd2_1591);
																																					if (PAIRP(BgL_cdrzd2682zd2_1757))
																																						{	/* Ast/sexp.scm 115 */
																																							if (NULLP(CDR(BgL_cdrzd2682zd2_1757)))
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_arg2169z00_1760;
																																									obj_t
																																										BgL_arg2170z00_1761;
																																									BgL_arg2169z00_1760
																																										=
																																										CAR
																																										(BgL_cdrzd2682zd2_1757);
																																									BgL_arg2170z00_1761
																																										=
																																										CDR
																																										(BgL_expz00_21);
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_6169;
																																										BgL_bodyz00_1515
																																											=
																																											BgL_arg2169z00_1760;
																																										BgL_argsz00_1516
																																											=
																																											BgL_arg2170z00_1761;
																																									BgL_tagzd2380zd2_1517:
																																										{	/* Ast/sexp.scm 323 */
																																											obj_t
																																												BgL_letzd2partzd2_2596;
																																											BgL_letzd2partzd2_2596
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 323 */
																																												obj_t
																																													BgL_nexpz00_2597;
																																												{	/* Ast/sexp.scm 324 */
																																													obj_t
																																														BgL_arg2757z00_2598;
																																													obj_t
																																														BgL_arg2758z00_2599;
																																													BgL_arg2757z00_2598
																																														=
																																														CAR
																																														(BgL_letzd2partzd2_2596);
																																													{	/* Ast/sexp.scm 324 */
																																														obj_t
																																															BgL_arg2759z00_2600;
																																														obj_t
																																															BgL_arg2760z00_2601;
																																														{	/* Ast/sexp.scm 324 */
																																															obj_t
																																																BgL_pairz00_4329;
																																															BgL_pairz00_4329
																																																=
																																																BgL_letzd2partzd2_2596;
																																															BgL_arg2759z00_2600
																																																=
																																																CAR
																																																(CDR
																																																(BgL_pairz00_4329));
																																														}
																																														{	/* Ast/sexp.scm 324 */
																																															obj_t
																																																BgL_arg2761z00_2602;
																																															BgL_arg2761z00_2602
																																																=
																																																MAKE_PAIR
																																																(BgL_bodyz00_1515,
																																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																(BgL_argsz00_1516,
																																																	BNIL));
																																															BgL_arg2760z00_2601
																																																=
																																																MAKE_PAIR
																																																(BgL_arg2761z00_2602,
																																																BNIL);
																																														}
																																														BgL_arg2758z00_2599
																																															=
																																															MAKE_PAIR
																																															(BgL_arg2759z00_2600,
																																															BgL_arg2760z00_2601);
																																													}
																																													BgL_nexpz00_2597
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2757z00_2598,
																																														BgL_arg2758z00_2599);
																																												}
																																												{	/* Ast/sexp.scm 324 */

																																													BgL_auxz00_6169
																																														=
																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																														(BgL_nexpz00_2597,
																																														BgL_stackz00_22,
																																														BgL_locz00_23,
																																														BgL_sitez00_24);
																																												}
																																											}
																																										}
																																										BgL_auxz00_6158
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_6169);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_6181;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2232z00_1853;
																																										BgL_arg2232z00_1853
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_6181
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2232z00_1853));
																																									}
																																									if (BgL_testz00_6181)
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_6185;
																																										BgL_tagzd2381zd2_1518:
																																											BgL_auxz00_6185 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																											BgL_auxz00_6158
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6185);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_6189;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2231z00_1852;
																																												BgL_arg2231z00_1852
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_6189
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2231z00_1852));
																																											}
																																											if (BgL_testz00_6189)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_6193;
																																												BgL_tagzd2382zd2_1519:
																																													BgL_auxz00_6193 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																													BgL_auxz00_6158
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_6193);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													obj_t
																																														BgL_carzd2741zd2_1764;
																																													BgL_carzd2741zd2_1764
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd2746zd2_1765;
																																														BgL_cdrzd2746zd2_1765
																																															=
																																															CDR
																																															(BgL_carzd2741zd2_1764);
																																														if ((CAR(BgL_carzd2741zd2_1764) == CNST_TABLE_REF(((long) 3))))
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_arg2175z00_1767;
																																																obj_t
																																																	BgL_arg2176z00_1768;
																																																obj_t
																																																	BgL_arg2177z00_1769;
																																																BgL_arg2175z00_1767
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2746zd2_1765);
																																																BgL_arg2176z00_1768
																																																	=
																																																	CDR
																																																	(BgL_cdrzd2746zd2_1765);
																																																BgL_arg2177z00_1769
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_6206;
																																																	BgL_varsz00_1524
																																																		=
																																																		BgL_arg2175z00_1767;
																																																	BgL_bodyz00_1525
																																																		=
																																																		BgL_arg2176z00_1768;
																																																	BgL_argsz00_1526
																																																		=
																																																		BgL_arg2177z00_1769;
																																																BgL_tagzd2384zd2_1527:
																																																	{	/* Ast/sexp.scm 339 */
																																																		obj_t
																																																			BgL_locz00_2608;
																																																		obj_t
																																																			BgL_nexpz00_2609;
																																																		BgL_locz00_2608
																																																			=
																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																			(BgL_expz00_21,
																																																			BgL_locz00_23);
																																																		{	/* Ast/sexp.scm 340 */
																																																			obj_t
																																																				BgL_arg2765z00_2610;
																																																			obj_t
																																																				BgL_arg2766z00_2611;
																																																			BgL_arg2765z00_2610
																																																				=
																																																				BGl_letzd2symzd2zzast_letz00
																																																				();
																																																			{	/* Ast/sexp.scm 343 */
																																																				obj_t
																																																					BgL_arg2767z00_2612;
																																																				obj_t
																																																					BgL_arg2768z00_2613;
																																																				BgL_arg2767z00_2612
																																																					=
																																																					BGl_loopz00zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23,
																																																					BgL_varsz00_1524,
																																																					BgL_argsz00_1526);
																																																				{	/* Ast/sexp.scm 382 */
																																																					obj_t
																																																						BgL_arg2809z00_2661;
																																																					{	/* Ast/sexp.scm 382 */
																																																						obj_t
																																																							BgL_arg2810z00_2662;
																																																						obj_t
																																																							BgL_arg2811z00_2663;
																																																						BgL_arg2810z00_2662
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg2811z00_2663
																																																							=
																																																							BGl_normaliza7ezd2prognz75zztools_prognz00
																																																							(BgL_bodyz00_1525);
																																																						{	/* Ast/sexp.scm 386 */
																																																							obj_t
																																																								BgL_zc3anonymousza32814ze3z83_5362;
																																																							BgL_zc3anonymousza32814ze3z83_5362
																																																								=
																																																								MAKE_FX_PROCEDURE
																																																								(BGl_z62zc3anonymousza32814ze3ze1zzast_sexpz00,
																																																								(int)
																																																								(((long) 3)), (int) (((long) 1)));
																																																							PROCEDURE_SET
																																																								(BgL_zc3anonymousza32814ze3z83_5362,
																																																								(int)
																																																								(((long) 0)), BgL_locz00_23);
																																																							BgL_arg2809z00_2661
																																																								=
																																																								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																								(BgL_arg2810z00_2662,
																																																								BgL_varsz00_1524,
																																																								BgL_arg2811z00_2663,
																																																								BgL_zc3anonymousza32814ze3z83_5362);
																																																					}}
																																																					BgL_arg2768z00_2613
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg2809z00_2661,
																																																						BNIL);
																																																				}
																																																				BgL_arg2766z00_2611
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg2767z00_2612,
																																																					BgL_arg2768z00_2613);
																																																			}
																																																			BgL_nexpz00_2609
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg2765z00_2610,
																																																				BgL_arg2766z00_2611);
																																																		}
																																																		BgL_auxz00_6206
																																																			=
																																																			BGl_letzd2ze3nodez31zzast_letz00
																																																			(BgL_nexpz00_2609,
																																																			BgL_stackz00_22,
																																																			BgL_locz00_2608,
																																																			BgL_sitez00_24);
																																																	}
																																																	BgL_auxz00_6158
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6206);
																																															}}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd2766zd2_1771;
																																																BgL_cdrzd2766zd2_1771
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd2772zd2_1772;
																																																	BgL_cdrzd2772zd2_1772
																																																		=
																																																		CDR
																																																		(BgL_carzd2741zd2_1764);
																																																	if ((CAR(BgL_carzd2741zd2_1764) == CNST_TABLE_REF(((long) 1))))
																																																		{	/* Ast/sexp.scm 115 */
																																																			obj_t
																																																				BgL_cdrzd2778zd2_1774;
																																																			BgL_cdrzd2778zd2_1774
																																																				=
																																																				CDR
																																																				(BgL_cdrzd2772zd2_1772);
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_carzd2783zd2_1775;
																																																				obj_t
																																																					BgL_cdrzd2784zd2_1776;
																																																				BgL_carzd2783zd2_1775
																																																					=
																																																					CAR
																																																					(BgL_cdrzd2778zd2_1774);
																																																				BgL_cdrzd2784zd2_1776
																																																					=
																																																					CDR
																																																					(BgL_cdrzd2778zd2_1774);
																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2783zd2_1775))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd2784zd2_1776))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd2791zd2_1779;
																																																								BgL_carzd2791zd2_1779
																																																									=
																																																									CAR
																																																									(BgL_cdrzd2784zd2_1776);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2791zd2_1779))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (NULLP(CDR(BgL_cdrzd2784zd2_1776)))
																																																											{	/* Ast/sexp.scm 115 */
																																																												bool_t
																																																													BgL_testz00_6243;
																																																												{
																																																													obj_t
																																																														BgL_l1973z00_1800;
																																																													bool_t
																																																														BgL_lv1974z00_1801;
																																																													BgL_l1973z00_1800
																																																														=
																																																														BgL_cdrzd2766zd2_1771;
																																																													BgL_lv1974z00_1801
																																																														=
																																																														(
																																																														(bool_t)
																																																														1);
																																																												BgL_zc3anonymousza32196ze3z83_1802:
																																																													if (NULLP(BgL_l1973z00_1800))
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_6243
																																																																=
																																																																BgL_lv1974z00_1801;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															bool_t
																																																																BgL_nvz00_1804;
																																																															{	/* Ast/sexp.scm 115 */
																																																																bool_t
																																																																	BgL_testz00_6246;
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_auxz00_6247;
																																																																	BgL_auxz00_6247
																																																																		=
																																																																		CAR
																																																																		(BgL_l1973z00_1800);
																																																																	BgL_testz00_6246
																																																																		=
																																																																		PAIRP
																																																																		(BgL_auxz00_6247);
																																																																}
																																																																if (BgL_testz00_6246)
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		BgL_nvz00_1804
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		BgL_nvz00_1804
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																															}
																																																															if (BgL_nvz00_1804)
																																																																{
																																																																	bool_t
																																																																		BgL_lv1974z00_6253;
																																																																	obj_t
																																																																		BgL_l1973z00_6251;
																																																																	BgL_l1973z00_6251
																																																																		=
																																																																		CDR
																																																																		(BgL_l1973z00_1800);
																																																																	BgL_lv1974z00_6253
																																																																		=
																																																																		BgL_nvz00_1804;
																																																																	BgL_lv1974z00_1801
																																																																		=
																																																																		BgL_lv1974z00_6253;
																																																																	BgL_l1973z00_1800
																																																																		=
																																																																		BgL_l1973z00_6251;
																																																																	goto
																																																																		BgL_zc3anonymousza32196ze3z83_1802;
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	BgL_testz00_6243
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																														}
																																																												}
																																																												if (BgL_testz00_6243)
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_arg2185z00_1783;
																																																														BgL_arg2185z00_1783
																																																															=
																																																															CAR
																																																															(BgL_cdrzd2772zd2_1772);
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_6255;
																																																															BgL_testz00_1528
																																																																=
																																																																BgL_arg2185z00_1783;
																																																															BgL_proc1z00_1529
																																																																=
																																																																BgL_carzd2783zd2_1775;
																																																															BgL_proc2z00_1530
																																																																=
																																																																BgL_carzd2791zd2_1779;
																																																															BgL_argsz00_1531
																																																																=
																																																																BgL_cdrzd2766zd2_1771;
																																																														BgL_tagzd2385zd2_1532:
																																																															{	/* Ast/sexp.scm 393 */
																																																																obj_t
																																																																	BgL_nexpz00_2672;
																																																																{	/* Ast/sexp.scm 393 */
																																																																	obj_t
																																																																		BgL_arg2817z00_2674;
																																																																	{	/* Ast/sexp.scm 393 */
																																																																		obj_t
																																																																			BgL_arg2818z00_2675;
																																																																		{	/* Ast/sexp.scm 393 */
																																																																			obj_t
																																																																				BgL_arg2819z00_2676;
																																																																			obj_t
																																																																				BgL_arg2820z00_2677;
																																																																			BgL_arg2819z00_2676
																																																																				=
																																																																				MAKE_PAIR
																																																																				(BgL_proc1z00_1529,
																																																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																				(BgL_argsz00_1531,
																																																																					BNIL));
																																																																			{	/* Ast/sexp.scm 393 */
																																																																				obj_t
																																																																					BgL_arg2822z00_2679;
																																																																				BgL_arg2822z00_2679
																																																																					=
																																																																					MAKE_PAIR
																																																																					(BgL_proc2z00_1530,
																																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																					(BgL_argsz00_1531,
																																																																						BNIL));
																																																																				BgL_arg2820z00_2677
																																																																					=
																																																																					MAKE_PAIR
																																																																					(BgL_arg2822z00_2679,
																																																																					BNIL);
																																																																			}
																																																																			BgL_arg2818z00_2675
																																																																				=
																																																																				MAKE_PAIR
																																																																				(BgL_arg2819z00_2676,
																																																																				BgL_arg2820z00_2677);
																																																																		}
																																																																		BgL_arg2817z00_2674
																																																																			=
																																																																			MAKE_PAIR
																																																																			(BgL_testz00_1528,
																																																																			BgL_arg2818z00_2675);
																																																																	}
																																																																	BgL_nexpz00_2672
																																																																		=
																																																																		MAKE_PAIR
																																																																		(CNST_TABLE_REF
																																																																		(((long) 1)), BgL_arg2817z00_2674);
																																																																}
																																																																BgL_auxz00_6255
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_nexpz00_2672,
																																																																	BgL_stackz00_22,
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																		BgL_locz00_23),
																																																																	BgL_sitez00_24);
																																																															}
																																																															BgL_auxz00_6158
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_6255);
																																																													}}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd2812zd2_1784;
																																																														BgL_cdrzd2812zd2_1784
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd2819zd2_1785;
																																																															BgL_cdrzd2819zd2_1785
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd2826zd2_1786;
																																																																BgL_cdrzd2826zd2_1786
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd2819zd2_1785);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd2832zd2_1787;
																																																																	BgL_carzd2832zd2_1787
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd2826zd2_1786);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2832zd2_1787))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd2839zd2_1789;
																																																																			BgL_carzd2839zd2_1789
																																																																				=
																																																																				CAR
																																																																				(CDR
																																																																				(BgL_cdrzd2826zd2_1786));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2839zd2_1789))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2812zd2_1784))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_arg2189z00_1792;
																																																																							BgL_arg2189z00_1792
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd2819zd2_1785);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_6282;
																																																																								BgL_testz00_1533
																																																																									=
																																																																									BgL_arg2189z00_1792;
																																																																								BgL_proc1z00_1534
																																																																									=
																																																																									BgL_carzd2832zd2_1787;
																																																																								BgL_proc2z00_1535
																																																																									=
																																																																									BgL_carzd2839zd2_1789;
																																																																								BgL_argsz00_1536
																																																																									=
																																																																									BgL_cdrzd2812zd2_1784;
																																																																							BgL_tagzd2386zd2_1537:
																																																																								{	/* Ast/sexp.scm 399 */
																																																																									obj_t
																																																																										BgL_tmpsz00_2681;
																																																																									if (NULLP(BgL_argsz00_1536))
																																																																										{	/* Ast/sexp.scm 399 */
																																																																											BgL_tmpsz00_2681
																																																																												=
																																																																												BNIL;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 399 */
																																																																											obj_t
																																																																												BgL_head1962z00_2725;
																																																																											{	/* Ast/sexp.scm 399 */
																																																																												obj_t
																																																																													BgL_res3239z00_4371;
																																																																												BgL_res3239z00_4371
																																																																													=
																																																																													MAKE_PAIR
																																																																													(BNIL,
																																																																													BNIL);
																																																																												BgL_head1962z00_2725
																																																																													=
																																																																													BgL_res3239z00_4371;
																																																																											}
																																																																											{
																																																																												obj_t
																																																																													BgL_l1960z00_2727;
																																																																												obj_t
																																																																													BgL_tail1963z00_2728;
																																																																												BgL_l1960z00_2727
																																																																													=
																																																																													BgL_argsz00_1536;
																																																																												BgL_tail1963z00_2728
																																																																													=
																																																																													BgL_head1962z00_2725;
																																																																											BgL_zc3anonymousza32854ze3z83_2729:
																																																																												if (NULLP(BgL_l1960z00_2727))
																																																																													{	/* Ast/sexp.scm 399 */
																																																																														BgL_tmpsz00_2681
																																																																															=
																																																																															CDR
																																																																															(BgL_head1962z00_2725);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 399 */
																																																																														obj_t
																																																																															BgL_newtail1964z00_2731;
																																																																														{	/* Ast/sexp.scm 399 */
																																																																															obj_t
																																																																																BgL_arg2857z00_2733;
																																																																															{	/* Ast/sexp.scm 399 */

																																																																																{	/* Ast/sexp.scm 399 */

																																																																																	BgL_arg2857z00_2733
																																																																																		=
																																																																																		BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																		(BFALSE);
																																																																																}
																																																																															}
																																																																															{	/* Ast/sexp.scm 399 */
																																																																																obj_t
																																																																																	BgL_res3241z00_4378;
																																																																																BgL_res3241z00_4378
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BgL_arg2857z00_2733,
																																																																																	BNIL);
																																																																																BgL_newtail1964z00_2731
																																																																																	=
																																																																																	BgL_res3241z00_4378;
																																																																															}
																																																																														}
																																																																														SET_CDR
																																																																															(BgL_tail1963z00_2728,
																																																																															BgL_newtail1964z00_2731);
																																																																														{
																																																																															obj_t
																																																																																BgL_tail1963z00_6294;
																																																																															obj_t
																																																																																BgL_l1960z00_6292;
																																																																															BgL_l1960z00_6292
																																																																																=
																																																																																CDR
																																																																																(BgL_l1960z00_2727);
																																																																															BgL_tail1963z00_6294
																																																																																=
																																																																																BgL_newtail1964z00_2731;
																																																																															BgL_tail1963z00_2728
																																																																																=
																																																																																BgL_tail1963z00_6294;
																																																																															BgL_l1960z00_2727
																																																																																=
																																																																																BgL_l1960z00_6292;
																																																																															goto
																																																																																BgL_zc3anonymousza32854ze3z83_2729;
																																																																														}
																																																																													}
																																																																											}
																																																																										}
																																																																									{	/* Ast/sexp.scm 399 */
																																																																										obj_t
																																																																											BgL_locz00_2682;
																																																																										BgL_locz00_2682
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										{	/* Ast/sexp.scm 400 */
																																																																											obj_t
																																																																												BgL_nexpz00_2683;
																																																																											{	/* Ast/sexp.scm 401 */
																																																																												obj_t
																																																																													BgL_arg2826z00_2685;
																																																																												obj_t
																																																																													BgL_arg2827z00_2686;
																																																																												BgL_arg2826z00_2685
																																																																													=
																																																																													BGl_letzd2symzd2zzast_letz00
																																																																													();
																																																																												{	/* Ast/sexp.scm 401 */
																																																																													obj_t
																																																																														BgL_arg2828z00_2687;
																																																																													obj_t
																																																																														BgL_arg2829z00_2688;
																																																																													if (NULLP(BgL_tmpsz00_2681))
																																																																														{	/* Ast/sexp.scm 401 */
																																																																															BgL_arg2828z00_2687
																																																																																=
																																																																																BNIL;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 401 */
																																																																															obj_t
																																																																																BgL_head1967z00_2692;
																																																																															{	/* Ast/sexp.scm 401 */
																																																																																obj_t
																																																																																	BgL_arg2840z00_2710;
																																																																																{	/* Ast/sexp.scm 401 */
																																																																																	obj_t
																																																																																		BgL_arg2841z00_2711;
																																																																																	obj_t
																																																																																		BgL_arg2842z00_2712;
																																																																																	BgL_arg2841z00_2711
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_tmpsz00_2681);
																																																																																	BgL_arg2842z00_2712
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_argsz00_1536);
																																																																																	{	/* Ast/sexp.scm 401 */
																																																																																		obj_t
																																																																																			BgL_list2843z00_2713;
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			obj_t
																																																																																				BgL_arg2844z00_2714;
																																																																																			BgL_arg2844z00_2714
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg2842z00_2712,
																																																																																				BNIL);
																																																																																			BgL_list2843z00_2713
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg2841z00_2711,
																																																																																				BgL_arg2844z00_2714);
																																																																																		}
																																																																																		BgL_arg2840z00_2710
																																																																																			=
																																																																																			BgL_list2843z00_2713;
																																																																																	}
																																																																																}
																																																																																{	/* Ast/sexp.scm 401 */
																																																																																	obj_t
																																																																																		BgL_res3244z00_4390;
																																																																																	BgL_res3244z00_4390
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_arg2840z00_2710,
																																																																																		BNIL);
																																																																																	BgL_head1967z00_2692
																																																																																		=
																																																																																		BgL_res3244z00_4390;
																																																																																}
																																																																															}
																																																																															{	/* Ast/sexp.scm 401 */
																																																																																obj_t
																																																																																	BgL_g1971z00_2693;
																																																																																obj_t
																																																																																	BgL_g1972z00_2694;
																																																																																BgL_g1971z00_2693
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_tmpsz00_2681);
																																																																																BgL_g1972z00_2694
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_argsz00_1536);
																																																																																{
																																																																																	obj_t
																																																																																		BgL_ll1965z00_2696;
																																																																																	obj_t
																																																																																		BgL_ll1966z00_2697;
																																																																																	obj_t
																																																																																		BgL_tail1968z00_2698;
																																																																																	BgL_ll1965z00_2696
																																																																																		=
																																																																																		BgL_g1971z00_2693;
																																																																																	BgL_ll1966z00_2697
																																																																																		=
																																																																																		BgL_g1972z00_2694;
																																																																																	BgL_tail1968z00_2698
																																																																																		=
																																																																																		BgL_head1967z00_2692;
																																																																																BgL_zc3anonymousza32831ze3z83_2699:
																																																																																	if (NULLP(BgL_ll1965z00_2696))
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			BgL_arg2828z00_2687
																																																																																				=
																																																																																				BgL_head1967z00_2692;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			obj_t
																																																																																				BgL_newtail1969z00_2701;
																																																																																			{	/* Ast/sexp.scm 401 */
																																																																																				obj_t
																																																																																					BgL_arg2835z00_2704;
																																																																																				{	/* Ast/sexp.scm 401 */
																																																																																					obj_t
																																																																																						BgL_arg2836z00_2705;
																																																																																					obj_t
																																																																																						BgL_arg2837z00_2706;
																																																																																					BgL_arg2836z00_2705
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_ll1965z00_2696);
																																																																																					BgL_arg2837z00_2706
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_ll1966z00_2697);
																																																																																					{	/* Ast/sexp.scm 401 */
																																																																																						obj_t
																																																																																							BgL_list2838z00_2707;
																																																																																						{	/* Ast/sexp.scm 401 */
																																																																																							obj_t
																																																																																								BgL_arg2839z00_2708;
																																																																																							BgL_arg2839z00_2708
																																																																																								=
																																																																																								MAKE_PAIR
																																																																																								(BgL_arg2837z00_2706,
																																																																																								BNIL);
																																																																																							BgL_list2838z00_2707
																																																																																								=
																																																																																								MAKE_PAIR
																																																																																								(BgL_arg2836z00_2705,
																																																																																								BgL_arg2839z00_2708);
																																																																																						}
																																																																																						BgL_arg2835z00_2704
																																																																																							=
																																																																																							BgL_list2838z00_2707;
																																																																																					}
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 401 */
																																																																																					obj_t
																																																																																						BgL_res3247z00_4401;
																																																																																					BgL_res3247z00_4401
																																																																																						=
																																																																																						MAKE_PAIR
																																																																																						(BgL_arg2835z00_2704,
																																																																																						BNIL);
																																																																																					BgL_newtail1969z00_2701
																																																																																						=
																																																																																						BgL_res3247z00_4401;
																																																																																				}
																																																																																			}
																																																																																			SET_CDR
																																																																																				(BgL_tail1968z00_2698,
																																																																																				BgL_newtail1969z00_2701);
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_tail1968z00_6318;
																																																																																				obj_t
																																																																																					BgL_ll1966z00_6316;
																																																																																				obj_t
																																																																																					BgL_ll1965z00_6314;
																																																																																				BgL_ll1965z00_6314
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_ll1965z00_2696);
																																																																																				BgL_ll1966z00_6316
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_ll1966z00_2697);
																																																																																				BgL_tail1968z00_6318
																																																																																					=
																																																																																					BgL_newtail1969z00_2701;
																																																																																				BgL_tail1968z00_2698
																																																																																					=
																																																																																					BgL_tail1968z00_6318;
																																																																																				BgL_ll1966z00_2697
																																																																																					=
																																																																																					BgL_ll1966z00_6316;
																																																																																				BgL_ll1965z00_2696
																																																																																					=
																																																																																					BgL_ll1965z00_6314;
																																																																																				goto
																																																																																					BgL_zc3anonymousza32831ze3z83_2699;
																																																																																			}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													{	/* Ast/sexp.scm 402 */
																																																																														obj_t
																																																																															BgL_arg2845z00_2715;
																																																																														{	/* Ast/sexp.scm 402 */
																																																																															obj_t
																																																																																BgL_arg2846z00_2716;
																																																																															{	/* Ast/sexp.scm 402 */
																																																																																obj_t
																																																																																	BgL_arg2847z00_2717;
																																																																																{	/* Ast/sexp.scm 402 */
																																																																																	obj_t
																																																																																		BgL_arg2848z00_2718;
																																																																																	obj_t
																																																																																		BgL_arg2849z00_2719;
																																																																																	BgL_arg2848z00_2718
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_proc1z00_1534,
																																																																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																		(BgL_tmpsz00_2681,
																																																																																			BNIL));
																																																																																	{	/* Ast/sexp.scm 402 */
																																																																																		obj_t
																																																																																			BgL_arg2851z00_2721;
																																																																																		BgL_arg2851z00_2721
																																																																																			=
																																																																																			MAKE_PAIR
																																																																																			(BgL_proc2z00_1535,
																																																																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																			(BgL_tmpsz00_2681,
																																																																																				BNIL));
																																																																																		BgL_arg2849z00_2719
																																																																																			=
																																																																																			MAKE_PAIR
																																																																																			(BgL_arg2851z00_2721,
																																																																																			BNIL);
																																																																																	}
																																																																																	BgL_arg2847z00_2717
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_arg2848z00_2718,
																																																																																		BgL_arg2849z00_2719);
																																																																																}
																																																																																BgL_arg2846z00_2716
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BgL_testz00_1533,
																																																																																	BgL_arg2847z00_2717);
																																																																															}
																																																																															BgL_arg2845z00_2715
																																																																																=
																																																																																MAKE_PAIR
																																																																																(CNST_TABLE_REF
																																																																																(((long) 1)), BgL_arg2846z00_2716);
																																																																														}
																																																																														BgL_arg2829z00_2688
																																																																															=
																																																																															MAKE_PAIR
																																																																															(BgL_arg2845z00_2715,
																																																																															BNIL);
																																																																													}
																																																																													BgL_arg2827z00_2686
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BgL_arg2828z00_2687,
																																																																														BgL_arg2829z00_2688);
																																																																												}
																																																																												BgL_nexpz00_2683
																																																																													=
																																																																													MAKE_PAIR
																																																																													(BgL_arg2826z00_2685,
																																																																													BgL_arg2827z00_2686);
																																																																											}
																																																																											{	/* Ast/sexp.scm 401 */

																																																																												BgL_auxz00_6282
																																																																													=
																																																																													BGl_letzd2ze3nodez31zzast_letz00
																																																																													(BgL_nexpz00_2683,
																																																																													BgL_stackz00_22,
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_expz00_21,
																																																																														BgL_locz00_2682),
																																																																													BgL_sitez00_24);
																																																																								}}}}
																																																																								BgL_auxz00_6158
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_6282);
																																																																						}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 115 */
																																																																								BgL_tagzd2398zd2_1553:
																																																																									BgL_auxz00_6158 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_6337;
																																																																								BgL_tagzd2399zd2_1554:
																																																																									BgL_auxz00_6337 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																									BgL_auxz00_6158
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_6337);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_6342;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																							BgL_auxz00_6158
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_6342);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6346;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																					BgL_auxz00_6158
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6346);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 115 */
																																																														goto
																																																															BgL_tagzd2398zd2_1553;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_6350;
																																																														goto
																																																															BgL_tagzd2399zd2_1554;
																																																														BgL_auxz00_6158
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_6350);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd2929zd2_1812;
																																																										BgL_cdrzd2929zd2_1812
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd2935zd2_1813;
																																																											BgL_cdrzd2935zd2_1813
																																																												=
																																																												CDR
																																																												(CAR
																																																												(BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd2941zd2_1814;
																																																												BgL_cdrzd2941zd2_1814
																																																													=
																																																													CDR
																																																													(BgL_cdrzd2935zd2_1813);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd2946zd2_1815;
																																																													obj_t
																																																														BgL_cdrzd2947zd2_1816;
																																																													BgL_carzd2946zd2_1815
																																																														=
																																																														CAR
																																																														(BgL_cdrzd2941zd2_1814);
																																																													BgL_cdrzd2947zd2_1816
																																																														=
																																																														CDR
																																																														(BgL_cdrzd2941zd2_1814);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2946zd2_1815))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd2952zd2_1818;
																																																															BgL_carzd2952zd2_1818
																																																																=
																																																																CAR
																																																																(BgL_cdrzd2947zd2_1816);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2952zd2_1818))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd2947zd2_1816)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2929zd2_1812))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_arg2206z00_1822;
																																																																					BgL_arg2206z00_1822
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd2935zd2_1813);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_6369;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6373;
																																																																							obj_t
																																																																								BgL_proc2z00_6372;
																																																																							obj_t
																																																																								BgL_proc1z00_6371;
																																																																							obj_t
																																																																								BgL_testz00_6370;
																																																																							BgL_testz00_6370
																																																																								=
																																																																								BgL_arg2206z00_1822;
																																																																							BgL_proc1z00_6371
																																																																								=
																																																																								BgL_carzd2946zd2_1815;
																																																																							BgL_proc2z00_6372
																																																																								=
																																																																								BgL_carzd2952zd2_1818;
																																																																							BgL_argsz00_6373
																																																																								=
																																																																								BgL_cdrzd2929zd2_1812;
																																																																							BgL_argsz00_1536
																																																																								=
																																																																								BgL_argsz00_6373;
																																																																							BgL_proc2z00_1535
																																																																								=
																																																																								BgL_proc2z00_6372;
																																																																							BgL_proc1z00_1534
																																																																								=
																																																																								BgL_proc1z00_6371;
																																																																							BgL_testz00_1533
																																																																								=
																																																																								BgL_testz00_6370;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1537;
																																																																						}
																																																																						BgL_auxz00_6158
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_6369);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_6377;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																							BgL_auxz00_6158
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_6377);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6381;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																					BgL_auxz00_6158
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6381);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_6385;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																			BgL_auxz00_6158
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_6385);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2398zd2_1553;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_6389;
																																																																	goto
																																																																		BgL_tagzd2399zd2_1554;
																																																																	BgL_auxz00_6158
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_6389);
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2398zd2_1553;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_6393;
																																																										goto
																																																											BgL_tagzd2399zd2_1554;
																																																										BgL_auxz00_6158
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6393);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd21054zd2_1830;
																																																						BgL_cdrzd21054zd2_1830
																																																							=
																																																							CDR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 115 */
																																																							obj_t
																																																								BgL_cdrzd21061zd2_1831;
																																																							BgL_cdrzd21061zd2_1831
																																																								=
																																																								CDR
																																																								(CAR
																																																								(BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd21068zd2_1832;
																																																								BgL_cdrzd21068zd2_1832
																																																									=
																																																									CDR
																																																									(BgL_cdrzd21061zd2_1831);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_carzd21074zd2_1833;
																																																									obj_t
																																																										BgL_cdrzd21075zd2_1834;
																																																									BgL_carzd21074zd2_1833
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21068zd2_1832);
																																																									BgL_cdrzd21075zd2_1834
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21068zd2_1832);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21074zd2_1833))
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (PAIRP(BgL_cdrzd21075zd2_1834))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd21082zd2_1837;
																																																													BgL_carzd21082zd2_1837
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21075zd2_1834);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21082zd2_1837))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (NULLP(CDR(BgL_cdrzd21075zd2_1834)))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21054zd2_1830))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2220z00_1841;
																																																																			BgL_arg2220z00_1841
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21061zd2_1831);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_6414;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_6418;
																																																																					obj_t
																																																																						BgL_proc2z00_6417;
																																																																					obj_t
																																																																						BgL_proc1z00_6416;
																																																																					obj_t
																																																																						BgL_testz00_6415;
																																																																					BgL_testz00_6415
																																																																						=
																																																																						BgL_arg2220z00_1841;
																																																																					BgL_proc1z00_6416
																																																																						=
																																																																						BgL_carzd21074zd2_1833;
																																																																					BgL_proc2z00_6417
																																																																						=
																																																																						BgL_carzd21082zd2_1837;
																																																																					BgL_argsz00_6418
																																																																						=
																																																																						BgL_cdrzd21054zd2_1830;
																																																																					BgL_argsz00_1536
																																																																						=
																																																																						BgL_argsz00_6418;
																																																																					BgL_proc2z00_1535
																																																																						=
																																																																						BgL_proc2z00_6417;
																																																																					BgL_proc1z00_1534
																																																																						=
																																																																						BgL_proc1z00_6416;
																																																																					BgL_testz00_1533
																																																																						=
																																																																						BgL_testz00_6415;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1537;
																																																																				}
																																																																				BgL_auxz00_6158
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_6414);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6422;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																					BgL_auxz00_6158
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6422);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_6426;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																			BgL_auxz00_6158
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_6426);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2398zd2_1553;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_6430;
																																																																	goto
																																																																		BgL_tagzd2399zd2_1554;
																																																																	BgL_auxz00_6158
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_6430);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2398zd2_1553;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_6434;
																																																															goto
																																																																BgL_tagzd2399zd2_1554;
																																																															BgL_auxz00_6158
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_6434);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd2398zd2_1553;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_6438;
																																																													goto
																																																														BgL_tagzd2399zd2_1554;
																																																													BgL_auxz00_6158
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_6438);
																																																												}
																																																										}
																																																								}
																																																							}
																																																						}
																																																					}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 115 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 115 */
																																																					goto
																																																						BgL_tagzd2398zd2_1553;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_6442;
																																																					goto
																																																						BgL_tagzd2399zd2_1554;
																																																					BgL_auxz00_6158
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6442);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_6444;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2244z00_1866;
																																								BgL_arg2244z00_1866
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_6444
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2244z00_1866));
																																							}
																																							if (BgL_testz00_6444)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_6448;
																																									goto
																																										BgL_tagzd2381zd2_1518;
																																									BgL_auxz00_6158
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6448);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_6450;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2243z00_1865;
																																										BgL_arg2243z00_1865
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_6450
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2243z00_1865));
																																									}
																																									if (BgL_testz00_6450)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_6454;
																																											goto
																																												BgL_tagzd2382zd2_1519;
																																											BgL_auxz00_6158
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6454);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_carzd21236zd2_1857;
																																											BgL_carzd21236zd2_1857
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd21241zd2_1858;
																																												BgL_cdrzd21241zd2_1858
																																													=
																																													CDR
																																													(BgL_carzd21236zd2_1857);
																																												if ((CAR(BgL_carzd21236zd2_1857) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2237z00_1860;
																																														obj_t
																																															BgL_arg2238z00_1861;
																																														obj_t
																																															BgL_arg2239z00_1862;
																																														BgL_arg2237z00_1860
																																															=
																																															CAR
																																															(BgL_cdrzd21241zd2_1858);
																																														BgL_arg2238z00_1861
																																															=
																																															CDR
																																															(BgL_cdrzd21241zd2_1858);
																																														BgL_arg2239z00_1862
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_6465;
																																															{
																																																obj_t
																																																	BgL_argsz00_6468;
																																																obj_t
																																																	BgL_bodyz00_6467;
																																																obj_t
																																																	BgL_varsz00_6466;
																																																BgL_varsz00_6466
																																																	=
																																																	BgL_arg2237z00_1860;
																																																BgL_bodyz00_6467
																																																	=
																																																	BgL_arg2238z00_1861;
																																																BgL_argsz00_6468
																																																	=
																																																	BgL_arg2239z00_1862;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_6468;
																																																BgL_bodyz00_1525
																																																	=
																																																	BgL_bodyz00_6467;
																																																BgL_varsz00_1524
																																																	=
																																																	BgL_varsz00_6466;
																																																goto
																																																	BgL_tagzd2384zd2_1527;
																																															}
																																															BgL_auxz00_6158
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_6465);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 115 */
																																																goto
																																																	BgL_tagzd2398zd2_1553;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_6472;
																																																goto
																																																	BgL_tagzd2399zd2_1554;
																																																BgL_auxz00_6158
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6472);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_6474;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2249z00_1871;
																																						BgL_arg2249z00_1871
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_6474
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2249z00_1871));
																																					}
																																					if (BgL_testz00_6474)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_6478;
																																							goto
																																								BgL_tagzd2381zd2_1518;
																																							BgL_auxz00_6158
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_6478);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_6480;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2248z00_1870;
																																								BgL_arg2248z00_1870
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_6480
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2248z00_1870));
																																							}
																																							if (BgL_testz00_6480)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_6484;
																																									goto
																																										BgL_tagzd2382zd2_1519;
																																									BgL_auxz00_6158
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6484);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd2398zd2_1553;
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_6488;
																																											goto
																																												BgL_tagzd2399zd2_1554;
																																											BgL_auxz00_6158
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6488);
																																										}
																																								}
																																						}
																																				}
																																			return
																																				(
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_6158);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd2677zd2_1590)))
																																				{
																																					obj_t
																																						BgL_auxz00_6494;
																																					goto
																																						BgL_kapzd2679zd2_1592;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_6494);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					if (
																																						(BgL_carzd2677zd2_1590
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{
																																							obj_t
																																								BgL_auxz00_6499;
																																							goto
																																								BgL_kapzd2679zd2_1592;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_6499);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if ((BgL_carzd2677zd2_1590 == CNST_TABLE_REF(((long) 20))))
																																								{
																																									obj_t
																																										BgL_auxz00_6504;
																																									goto
																																										BgL_kapzd2679zd2_1592;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_6504);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2677zd2_1590)))
																																										{
																																											obj_t
																																												BgL_auxz00_6509;
																																											goto
																																												BgL_kapzd2679zd2_1592;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_6509);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_6511;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2165z00_1755;
																																												BgL_arg2165z00_1755
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_6511
																																													=
																																													CBOOL
																																													(BGl_letzd2symzf3z21zzast_letz00
																																													(BgL_arg2165z00_1755));
																																											}
																																											if (BgL_testz00_6511)
																																												{	/* Ast/sexp.scm 115 */
																																													goto
																																														BgL_tagzd2381zd2_1518;
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													bool_t
																																														BgL_testz00_6515;
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2163z00_1754;
																																														BgL_arg2163z00_1754
																																															=
																																															CAR
																																															(BgL_expz00_21);
																																														BgL_testz00_6515
																																															=
																																															CBOOL
																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																															(BgL_arg2163z00_1754));
																																													}
																																													if (BgL_testz00_6515)
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_6519;
																																															goto
																																																BgL_tagzd2382zd2_1519;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_6519);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 115 */
																																															obj_t
																																																BgL_carzd21413zd2_1600;
																																															obj_t
																																																BgL_cdrzd21414zd2_1601;
																																															BgL_carzd21413zd2_1600
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_cdrzd21414zd2_1601
																																																=
																																																CDR
																																																(BgL_expz00_21);
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd21418zd2_1602;
																																																BgL_cdrzd21418zd2_1602
																																																	=
																																																	CDR
																																																	(BgL_carzd21413zd2_1600);
																																																if ((CAR(BgL_carzd21413zd2_1600) == CNST_TABLE_REF(((long) 3))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd21418zd2_1602))
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_carzd21421zd2_1605;
																																																				obj_t
																																																					BgL_cdrzd21422zd2_1606;
																																																				BgL_carzd21421zd2_1605
																																																					=
																																																					CAR
																																																					(BgL_cdrzd21418zd2_1602);
																																																				BgL_cdrzd21422zd2_1606
																																																					=
																																																					CDR
																																																					(BgL_cdrzd21418zd2_1602);
																																																				if (PAIRP(BgL_carzd21421zd2_1605))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (NULLP(CDR(BgL_carzd21421zd2_1605)))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (PAIRP(BgL_cdrzd21422zd2_1606))
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_carzd21428zd2_1610;
																																																										BgL_carzd21428zd2_1610
																																																											=
																																																											CAR
																																																											(BgL_cdrzd21422zd2_1606);
																																																										if (PAIRP(BgL_carzd21428zd2_1610))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd21428zd2_1610))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (NULLP(CDR(BgL_cdrzd21422zd2_1606)))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd21414zd2_1601))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_carzd21435zd2_1615;
																																																																		BgL_carzd21435zd2_1615
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd21414zd2_1601);
																																																																		if (PAIRP(BgL_carzd21435zd2_1615))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd21457zd2_1617;
																																																																				BgL_cdrzd21457zd2_1617
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_6558;
																																																																					obj_t
																																																																						BgL_bodyz00_6556;
																																																																					obj_t
																																																																						BgL_varsz00_6554;
																																																																					BgL_varsz00_6554
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd21457zd2_1617);
																																																																					BgL_bodyz00_6556
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd21457zd2_1617);
																																																																					BgL_argsz00_6558
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					BgL_argsz00_1526
																																																																						=
																																																																						BgL_argsz00_6558;
																																																																					BgL_bodyz00_1525
																																																																						=
																																																																						BgL_bodyz00_6556;
																																																																					BgL_varsz00_1524
																																																																						=
																																																																						BgL_varsz00_6554;
																																																																					goto
																																																																						BgL_tagzd2384zd2_1527;
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_cdrzd21414zd2_1601)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_arg2063z00_1623;
																																																																						BgL_arg2063z00_1623
																																																																							=
																																																																							CAR
																																																																							(BgL_carzd21421zd2_1605);
																																																																						{
																																																																							BgL_castz00_bglt
																																																																								BgL_auxz00_6564;
																																																																							BgL_varz00_1520
																																																																								=
																																																																								BgL_arg2063z00_1623;
																																																																							BgL_bodyz00_1521
																																																																								=
																																																																								BgL_carzd21428zd2_1610;
																																																																							BgL_argz00_1522
																																																																								=
																																																																								BgL_carzd21435zd2_1615;
																																																																						BgL_tagzd2383zd2_1523:
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								BgL_castz00_bglt
																																																																									BgL_new1128z00_2604;
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									BgL_castz00_bglt
																																																																										BgL_new1127z00_2606;
																																																																									BgL_new1127z00_2606
																																																																										=
																																																																										(
																																																																										(BgL_castz00_bglt)
																																																																										BREF
																																																																										(GC_MALLOC
																																																																											(sizeof
																																																																												(struct
																																																																													BgL_castz00_bgl))));
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										long
																																																																											BgL_arg2764z00_2607;
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											long
																																																																												BgL_res3228z00_4336;
																																																																											{	/* Ast/sexp.scm 334 */
																																																																												obj_t
																																																																													BgL_classz00_4333;
																																																																												BgL_classz00_4333
																																																																													=
																																																																													BGl_castz00zzast_nodez00;
																																																																												{	/* Ast/sexp.scm 334 */
																																																																													obj_t
																																																																														BgL_vectorz00_4334;
																																																																													int
																																																																														BgL_kz00_4335;
																																																																													BgL_vectorz00_4334
																																																																														=
																																																																														BgL_classz00_4333;
																																																																													BgL_kz00_4335
																																																																														=
																																																																														(int)
																																																																														(
																																																																														((long) 1));
																																																																													BgL_res3228z00_4336
																																																																														=
																																																																														(long)
																																																																														CINT
																																																																														(VECTOR_REF
																																																																														(BgL_vectorz00_4334,
																																																																															BgL_kz00_4335));
																																																																											}}
																																																																											BgL_arg2764z00_2607
																																																																												=
																																																																												BgL_res3228z00_4336;
																																																																										}
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_objectz00_bglt
																																																																												BgL_objz00_4337;
																																																																											BgL_objz00_4337
																																																																												=
																																																																												(
																																																																												(BgL_objectz00_bglt)
																																																																												BgL_new1127z00_2606);
																																																																											BGL_OBJECT_CLASS_NUM_SET
																																																																												(BgL_objz00_4337,
																																																																												BgL_arg2764z00_2607);
																																																																									}}
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_auxz00_6571;
																																																																										BgL_auxz00_6571
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1127z00_2606);
																																																																										BGL_OBJECT_WIDENING_SET
																																																																											(BgL_auxz00_6571,
																																																																											BFALSE);
																																																																									}
																																																																									BgL_new1128z00_2604
																																																																										=
																																																																										BgL_new1127z00_2606;
																																																																								}
																																																																								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1128z00_2604)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																								{
																																																																									BgL_typez00_bglt
																																																																										BgL_auxz00_6576;
																																																																									{	/* Ast/sexp.scm 336 */
																																																																										obj_t
																																																																											BgL_arg2763z00_2605;
																																																																										BgL_arg2763z00_2605
																																																																											=
																																																																											BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																											(BgL_bodyz00_1521);
																																																																										BgL_auxz00_6576
																																																																											=
																																																																											BGl_usezd2typez12zc0zztype_envz00
																																																																											(BgL_arg2763z00_2605,
																																																																											BgL_locz00_23);
																																																																									}
																																																																									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1128z00_2604)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6576), BUNSPEC);
																																																																								}
																																																																								((((BgL_castz00_bglt) CREF(BgL_new1128z00_2604))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1522, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																								BgL_auxz00_6564
																																																																									=
																																																																									BgL_new1128z00_2604;
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6564);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_cdrzd21482zd2_1624;
																																																																						BgL_cdrzd21482zd2_1624
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6590;
																																																																							obj_t
																																																																								BgL_bodyz00_6588;
																																																																							obj_t
																																																																								BgL_varsz00_6586;
																																																																							BgL_varsz00_6586
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd21482zd2_1624);
																																																																							BgL_bodyz00_6588
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd21482zd2_1624);
																																																																							BgL_argsz00_6590
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							BgL_argsz00_1526
																																																																								=
																																																																								BgL_argsz00_6590;
																																																																							BgL_bodyz00_1525
																																																																								=
																																																																								BgL_bodyz00_6588;
																																																																							BgL_varsz00_1524
																																																																								=
																																																																								BgL_varsz00_6586;
																																																																							goto
																																																																								BgL_tagzd2384zd2_1527;
																																																																						}
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd21506zd2_1630;
																																																																		BgL_cdrzd21506zd2_1630
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_6598;
																																																																			obj_t
																																																																				BgL_bodyz00_6596;
																																																																			obj_t
																																																																				BgL_varsz00_6594;
																																																																			BgL_varsz00_6594
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21506zd2_1630);
																																																																			BgL_bodyz00_6596
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd21506zd2_1630);
																																																																			BgL_argsz00_6598
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			BgL_argsz00_1526
																																																																				=
																																																																				BgL_argsz00_6598;
																																																																			BgL_bodyz00_1525
																																																																				=
																																																																				BgL_bodyz00_6596;
																																																																			BgL_varsz00_1524
																																																																				=
																																																																				BgL_varsz00_6594;
																																																																			goto
																																																																				BgL_tagzd2384zd2_1527;
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd21530zd2_1635;
																																																																BgL_cdrzd21530zd2_1635
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_6606;
																																																																	obj_t
																																																																		BgL_bodyz00_6604;
																																																																	obj_t
																																																																		BgL_varsz00_6602;
																																																																	BgL_varsz00_6602
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd21530zd2_1635);
																																																																	BgL_bodyz00_6604
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd21530zd2_1635);
																																																																	BgL_argsz00_6606
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	BgL_argsz00_1526
																																																																		=
																																																																		BgL_argsz00_6606;
																																																																	BgL_bodyz00_1525
																																																																		=
																																																																		BgL_bodyz00_6604;
																																																																	BgL_varsz00_1524
																																																																		=
																																																																		BgL_varsz00_6602;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1527;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd21554zd2_1641;
																																																														BgL_cdrzd21554zd2_1641
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_6614;
																																																															obj_t
																																																																BgL_bodyz00_6612;
																																																															obj_t
																																																																BgL_varsz00_6610;
																																																															BgL_varsz00_6610
																																																																=
																																																																CAR
																																																																(BgL_cdrzd21554zd2_1641);
																																																															BgL_bodyz00_6612
																																																																=
																																																																CDR
																																																																(BgL_cdrzd21554zd2_1641);
																																																															BgL_argsz00_6614
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															BgL_argsz00_1526
																																																																=
																																																																BgL_argsz00_6614;
																																																															BgL_bodyz00_1525
																																																																=
																																																																BgL_bodyz00_6612;
																																																															BgL_varsz00_1524
																																																																=
																																																																BgL_varsz00_6610;
																																																															goto
																																																																BgL_tagzd2384zd2_1527;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd21578zd2_1646;
																																																												BgL_cdrzd21578zd2_1646
																																																													=
																																																													CDR
																																																													(BgL_carzd21413zd2_1600);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_6621;
																																																													obj_t
																																																														BgL_bodyz00_6619;
																																																													obj_t
																																																														BgL_varsz00_6617;
																																																													BgL_varsz00_6617
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21578zd2_1646);
																																																													BgL_bodyz00_6619
																																																														=
																																																														CDR
																																																														(BgL_cdrzd21578zd2_1646);
																																																													BgL_argsz00_6621
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													BgL_argsz00_1526
																																																														=
																																																														BgL_argsz00_6621;
																																																													BgL_bodyz00_1525
																																																														=
																																																														BgL_bodyz00_6619;
																																																													BgL_varsz00_1524
																																																														=
																																																														BgL_varsz00_6617;
																																																													goto
																																																														BgL_tagzd2384zd2_1527;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd21602zd2_1651;
																																																										BgL_cdrzd21602zd2_1651
																																																											=
																																																											CDR
																																																											(BgL_carzd21413zd2_1600);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_6628;
																																																											obj_t
																																																												BgL_bodyz00_6626;
																																																											obj_t
																																																												BgL_varsz00_6624;
																																																											BgL_varsz00_6624
																																																												=
																																																												CAR
																																																												(BgL_cdrzd21602zd2_1651);
																																																											BgL_bodyz00_6626
																																																												=
																																																												CDR
																																																												(BgL_cdrzd21602zd2_1651);
																																																											BgL_argsz00_6628
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											BgL_argsz00_1526
																																																												=
																																																												BgL_argsz00_6628;
																																																											BgL_bodyz00_1525
																																																												=
																																																												BgL_bodyz00_6626;
																																																											BgL_varsz00_1524
																																																												=
																																																												BgL_varsz00_6624;
																																																											goto
																																																												BgL_tagzd2384zd2_1527;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd21626zd2_1656;
																																																								BgL_cdrzd21626zd2_1656
																																																									=
																																																									CDR
																																																									(BgL_carzd21413zd2_1600);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_6635;
																																																									obj_t
																																																										BgL_bodyz00_6633;
																																																									obj_t
																																																										BgL_varsz00_6631;
																																																									BgL_varsz00_6631
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21626zd2_1656);
																																																									BgL_bodyz00_6633
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21626zd2_1656);
																																																									BgL_argsz00_6635
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									BgL_argsz00_1526
																																																										=
																																																										BgL_argsz00_6635;
																																																									BgL_bodyz00_1525
																																																										=
																																																										BgL_bodyz00_6633;
																																																									BgL_varsz00_1524
																																																										=
																																																										BgL_varsz00_6631;
																																																									goto
																																																										BgL_tagzd2384zd2_1527;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd21650zd2_1662;
																																																						BgL_cdrzd21650zd2_1662
																																																							=
																																																							CDR
																																																							(BgL_carzd21413zd2_1600);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_6642;
																																																							obj_t
																																																								BgL_bodyz00_6640;
																																																							obj_t
																																																								BgL_varsz00_6638;
																																																							BgL_varsz00_6638
																																																								=
																																																								CAR
																																																								(BgL_cdrzd21650zd2_1662);
																																																							BgL_bodyz00_6640
																																																								=
																																																								CDR
																																																								(BgL_cdrzd21650zd2_1662);
																																																							BgL_argsz00_6642
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							BgL_argsz00_1526
																																																								=
																																																								BgL_argsz00_6642;
																																																							BgL_bodyz00_1525
																																																								=
																																																								BgL_bodyz00_6640;
																																																							BgL_varsz00_1524
																																																								=
																																																								BgL_varsz00_6638;
																																																							goto
																																																								BgL_tagzd2384zd2_1527;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_6646;
																																																						goto
																																																							BgL_tagzd2398zd2_1553;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_6646);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2399zd2_1554;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_cdrzd21730zd2_1670;
																																																		BgL_cdrzd21730zd2_1670
																																																			=
																																																			CDR
																																																			(BgL_carzd21413zd2_1600);
																																																		if ((CAR(BgL_carzd21413zd2_1600) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd21730zd2_1670))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd21735zd2_1673;
																																																						BgL_cdrzd21735zd2_1673
																																																							=
																																																							CDR
																																																							(BgL_cdrzd21730zd2_1670);
																																																						if (PAIRP(BgL_cdrzd21735zd2_1673))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd21739zd2_1675;
																																																								obj_t
																																																									BgL_cdrzd21740zd2_1676;
																																																								BgL_carzd21739zd2_1675
																																																									=
																																																									CAR
																																																									(BgL_cdrzd21735zd2_1673);
																																																								BgL_cdrzd21740zd2_1676
																																																									=
																																																									CDR
																																																									(BgL_cdrzd21735zd2_1673);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21739zd2_1675))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (PAIRP(BgL_cdrzd21740zd2_1676))
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_carzd21745zd2_1679;
																																																												BgL_carzd21745zd2_1679
																																																													=
																																																													CAR
																																																													(BgL_cdrzd21740zd2_1676);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21745zd2_1679))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (NULLP(CDR(BgL_cdrzd21740zd2_1676)))
																																																															{	/* Ast/sexp.scm 115 */
																																																																bool_t
																																																																	BgL_testz00_6670;
																																																																{
																																																																	obj_t
																																																																		BgL_l1977z00_1700;
																																																																	bool_t
																																																																		BgL_lv1978z00_1701;
																																																																	BgL_l1977z00_1700
																																																																		=
																																																																		BgL_cdrzd21414zd2_1601;
																																																																	BgL_lv1978z00_1701
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		1);
																																																																BgL_zc3anonymousza32124ze3z83_1702:
																																																																	if (NULLP(BgL_l1977z00_1700))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			BgL_testz00_6670
																																																																				=
																																																																				BgL_lv1978z00_1701;
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			bool_t
																																																																				BgL_nvz00_1704;
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				bool_t
																																																																					BgL_testz00_6673;
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_auxz00_6674;
																																																																					BgL_auxz00_6674
																																																																						=
																																																																						CAR
																																																																						(BgL_l1977z00_1700);
																																																																					BgL_testz00_6673
																																																																						=
																																																																						PAIRP
																																																																						(BgL_auxz00_6674);
																																																																				}
																																																																				if (BgL_testz00_6673)
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						BgL_nvz00_1704
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						BgL_nvz00_1704
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																			}
																																																																			if (BgL_nvz00_1704)
																																																																				{
																																																																					bool_t
																																																																						BgL_lv1978z00_6680;
																																																																					obj_t
																																																																						BgL_l1977z00_6678;
																																																																					BgL_l1977z00_6678
																																																																						=
																																																																						CDR
																																																																						(BgL_l1977z00_1700);
																																																																					BgL_lv1978z00_6680
																																																																						=
																																																																						BgL_nvz00_1704;
																																																																					BgL_lv1978z00_1701
																																																																						=
																																																																						BgL_lv1978z00_6680;
																																																																					BgL_l1977z00_1700
																																																																						=
																																																																						BgL_l1977z00_6678;
																																																																					goto
																																																																						BgL_zc3anonymousza32124ze3z83_1702;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					BgL_testz00_6670
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																}
																																																																if (BgL_testz00_6670)
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_6685;
																																																																		obj_t
																																																																			BgL_proc2z00_6684;
																																																																		obj_t
																																																																			BgL_proc1z00_6683;
																																																																		obj_t
																																																																			BgL_testz00_6681;
																																																																		BgL_testz00_6681
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd21730zd2_1670);
																																																																		BgL_proc1z00_6683
																																																																			=
																																																																			BgL_carzd21739zd2_1675;
																																																																		BgL_proc2z00_6684
																																																																			=
																																																																			BgL_carzd21745zd2_1679;
																																																																		BgL_argsz00_6685
																																																																			=
																																																																			BgL_cdrzd21414zd2_1601;
																																																																		BgL_argsz00_1531
																																																																			=
																																																																			BgL_argsz00_6685;
																																																																		BgL_proc2z00_1530
																																																																			=
																																																																			BgL_proc2z00_6684;
																																																																		BgL_proc1z00_1529
																																																																			=
																																																																			BgL_proc1z00_6683;
																																																																		BgL_testz00_1528
																																																																			=
																																																																			BgL_testz00_6681;
																																																																		goto
																																																																			BgL_tagzd2385zd2_1532;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd21767zd2_1684;
																																																																		BgL_cdrzd21767zd2_1684
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_cdrzd21775zd2_1685;
																																																																			BgL_cdrzd21775zd2_1685
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd21783zd2_1686;
																																																																				BgL_cdrzd21783zd2_1686
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd21775zd2_1685);
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_carzd21790zd2_1687;
																																																																					BgL_carzd21790zd2_1687
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd21783zd2_1686);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21790zd2_1687))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_carzd21799zd2_1689;
																																																																							BgL_carzd21799zd2_1689
																																																																								=
																																																																								CAR
																																																																								(CDR
																																																																								(BgL_cdrzd21783zd2_1686));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21799zd2_1689))
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21767zd2_1684))
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_6703;
																																																																											obj_t
																																																																												BgL_proc2z00_6702;
																																																																											obj_t
																																																																												BgL_proc1z00_6701;
																																																																											obj_t
																																																																												BgL_testz00_6699;
																																																																											BgL_testz00_6699
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd21775zd2_1685);
																																																																											BgL_proc1z00_6701
																																																																												=
																																																																												BgL_carzd21790zd2_1687;
																																																																											BgL_proc2z00_6702
																																																																												=
																																																																												BgL_carzd21799zd2_1689;
																																																																											BgL_argsz00_6703
																																																																												=
																																																																												BgL_cdrzd21767zd2_1684;
																																																																											BgL_argsz00_1536
																																																																												=
																																																																												BgL_argsz00_6703;
																																																																											BgL_proc2z00_1535
																																																																												=
																																																																												BgL_proc2z00_6702;
																																																																											BgL_proc1z00_1534
																																																																												=
																																																																												BgL_proc1z00_6701;
																																																																											BgL_testz00_1533
																																																																												=
																																																																												BgL_testz00_6699;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1537;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_6706;
																																																																													goto
																																																																														BgL_tagzd2398zd2_1553;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_6706);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 115 */
																																																																													goto
																																																																														BgL_tagzd2399zd2_1554;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_6710;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1553;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_6710);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2399zd2_1554;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6714;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1553;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6714);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1554;
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_6718;
																																																																		goto
																																																																			BgL_tagzd2398zd2_1553;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_6718);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2399zd2_1554;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd21891zd2_1712;
																																																														BgL_cdrzd21891zd2_1712
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd21898zd2_1713;
																																																															BgL_cdrzd21898zd2_1713
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd21905zd2_1714;
																																																																BgL_cdrzd21905zd2_1714
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd21898zd2_1713);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd21911zd2_1715;
																																																																	obj_t
																																																																		BgL_cdrzd21912zd2_1716;
																																																																	BgL_carzd21911zd2_1715
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd21905zd2_1714);
																																																																	BgL_cdrzd21912zd2_1716
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd21905zd2_1714);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21911zd2_1715))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd21919zd2_1718;
																																																																			BgL_carzd21919zd2_1718
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21912zd2_1716);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21919zd2_1718))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (NULLP(CDR(BgL_cdrzd21912zd2_1716)))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21891zd2_1712))
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_6740;
																																																																									obj_t
																																																																										BgL_proc2z00_6739;
																																																																									obj_t
																																																																										BgL_proc1z00_6738;
																																																																									obj_t
																																																																										BgL_testz00_6736;
																																																																									BgL_testz00_6736
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd21898zd2_1713);
																																																																									BgL_proc1z00_6738
																																																																										=
																																																																										BgL_carzd21911zd2_1715;
																																																																									BgL_proc2z00_6739
																																																																										=
																																																																										BgL_carzd21919zd2_1718;
																																																																									BgL_argsz00_6740
																																																																										=
																																																																										BgL_cdrzd21891zd2_1712;
																																																																									BgL_argsz00_1536
																																																																										=
																																																																										BgL_argsz00_6740;
																																																																									BgL_proc2z00_1535
																																																																										=
																																																																										BgL_proc2z00_6739;
																																																																									BgL_proc1z00_1534
																																																																										=
																																																																										BgL_proc1z00_6738;
																																																																									BgL_testz00_1533
																																																																										=
																																																																										BgL_testz00_6736;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1537;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_6743;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1553;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_6743);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2399zd2_1554;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6747;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1553;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6747);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1554;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_6751;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6751);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_6755;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_6755);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6759;
																																																														goto
																																																															BgL_tagzd2398zd2_1553;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_6759);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														goto
																																																															BgL_tagzd2399zd2_1554;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd22021zd2_1730;
																																																										BgL_cdrzd22021zd2_1730
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd22027zd2_1731;
																																																											BgL_cdrzd22027zd2_1731
																																																												=
																																																												CDR
																																																												(CAR
																																																												(BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd22033zd2_1732;
																																																												BgL_cdrzd22033zd2_1732
																																																													=
																																																													CDR
																																																													(BgL_cdrzd22027zd2_1731);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd22038zd2_1733;
																																																													obj_t
																																																														BgL_cdrzd22039zd2_1734;
																																																													BgL_carzd22038zd2_1733
																																																														=
																																																														CAR
																																																														(BgL_cdrzd22033zd2_1732);
																																																													BgL_cdrzd22039zd2_1734
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22033zd2_1732);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22038zd2_1733))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (PAIRP(BgL_cdrzd22039zd2_1734))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd22044zd2_1737;
																																																																	BgL_carzd22044zd2_1737
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22039zd2_1734);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22044zd2_1737))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (NULLP(CDR(BgL_cdrzd22039zd2_1734)))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22021zd2_1730))
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6783;
																																																																							obj_t
																																																																								BgL_proc2z00_6782;
																																																																							obj_t
																																																																								BgL_proc1z00_6781;
																																																																							obj_t
																																																																								BgL_testz00_6779;
																																																																							BgL_testz00_6779
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd22027zd2_1731);
																																																																							BgL_proc1z00_6781
																																																																								=
																																																																								BgL_carzd22038zd2_1733;
																																																																							BgL_proc2z00_6782
																																																																								=
																																																																								BgL_carzd22044zd2_1737;
																																																																							BgL_argsz00_6783
																																																																								=
																																																																								BgL_cdrzd22021zd2_1730;
																																																																							BgL_argsz00_1536
																																																																								=
																																																																								BgL_argsz00_6783;
																																																																							BgL_proc2z00_1535
																																																																								=
																																																																								BgL_proc2z00_6782;
																																																																							BgL_proc1z00_1534
																																																																								=
																																																																								BgL_proc1z00_6781;
																																																																							BgL_testz00_1533
																																																																								=
																																																																								BgL_testz00_6779;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1537;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6786;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1553;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6786);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1554;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_6790;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6790);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_6794;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_6794);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_6798;
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_6798);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_6802;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1553;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_6802);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2399zd2_1554;
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6806;
																																																										goto
																																																											BgL_tagzd2398zd2_1553;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_6806);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2399zd2_1554;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_6810;
																																																								goto
																																																									BgL_tagzd2398zd2_1553;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_6810);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2399zd2_1554;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_6814;
																																																						goto
																																																							BgL_tagzd2398zd2_1553;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_6814);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2399zd2_1554;
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																if (
																																	(BgL_carzd2674zd2_1588
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				18))))
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2381zd2_1518;
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		if (CBOOL
																																			(BGl_letzd2symzf3z21zzast_letz00
																																				(BgL_carzd2674zd2_1588)))
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2381zd2_1518;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				if (
																																					(BgL_carzd2674zd2_1588
																																						==
																																						CNST_TABLE_REF
																																						(((long) 19))))
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd2381zd2_1518;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						if (
																																							(BgL_carzd2674zd2_1588
																																								==
																																								CNST_TABLE_REF
																																								(((long) 21))))
																																							{	/* Ast/sexp.scm 115 */
																																								goto
																																									BgL_tagzd2381zd2_1518;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_carzd22220zd2_1877;
																																								BgL_carzd22220zd2_1877
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								if ((BgL_carzd22220zd2_1877 == CNST_TABLE_REF(((long) 20))))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_6832;
																																										goto
																																											BgL_tagzd2382zd2_1519;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_6832);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd22220zd2_1877)))
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_6837;
																																												goto
																																													BgL_tagzd2382zd2_1519;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_6837);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																													BgL_tagzd2387zd2_1538:
																																														{
																																															obj_t
																																																BgL_argsz00_2737;
																																															obj_t
																																																BgL_bodyz00_2738;
																																															if (PAIRP(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd24367zd2_2743;
																																																	BgL_cdrzd24367zd2_2743
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	if (PAIRP(BgL_cdrzd24367zd2_2743))
																																																		{	/* Ast/sexp.scm 115 */
																																																			BgL_argsz00_2737
																																																				=
																																																				CAR
																																																				(BgL_cdrzd24367zd2_2743);
																																																			BgL_bodyz00_2738
																																																				=
																																																				CDR
																																																				(BgL_cdrzd24367zd2_2743);
																																																			{	/* Ast/sexp.scm 409 */
																																																				obj_t
																																																					BgL_locz00_2747;
																																																				obj_t
																																																					BgL_funz00_2748;
																																																				BgL_locz00_2747
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23);
																																																				BgL_funz00_2748
																																																					=
																																																					BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																					(BgL_locz00_23,
																																																					BNIL);
																																																				{	/* Ast/sexp.scm 411 */
																																																					obj_t
																																																						BgL_arg2862z00_2749;
																																																					{	/* Ast/sexp.scm 411 */
																																																						obj_t
																																																							BgL_arg2863z00_2750;
																																																						obj_t
																																																							BgL_arg2864z00_2751;
																																																						BgL_arg2863z00_2750
																																																							=
																																																							BGl_labelszd2symzd2zzast_labelsz00
																																																							();
																																																						{	/* Ast/sexp.scm 411 */
																																																							obj_t
																																																								BgL_arg2865z00_2752;
																																																							obj_t
																																																								BgL_arg2866z00_2753;
																																																							{	/* Ast/sexp.scm 411 */
																																																								obj_t
																																																									BgL_arg2867z00_2754;
																																																								{	/* Ast/sexp.scm 411 */
																																																									obj_t
																																																										BgL_arg2868z00_2755;
																																																									{	/* Ast/sexp.scm 411 */
																																																										obj_t
																																																											BgL_arg2869z00_2756;
																																																										BgL_arg2869z00_2756
																																																											=
																																																											MAKE_PAIR
																																																											(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																											(BgL_bodyz00_2738),
																																																											BNIL);
																																																										BgL_arg2868z00_2755
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_argsz00_2737,
																																																											BgL_arg2869z00_2756);
																																																									}
																																																									BgL_arg2867z00_2754
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_funz00_2748,
																																																										BgL_arg2868z00_2755);
																																																								}
																																																								BgL_arg2865z00_2752
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_arg2867z00_2754,
																																																									BNIL);
																																																							}
																																																							BgL_arg2866z00_2753
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_funz00_2748,
																																																								BNIL);
																																																							BgL_arg2864z00_2751
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_arg2865z00_2752,
																																																								BgL_arg2866z00_2753);
																																																						}
																																																						BgL_arg2862z00_2749
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2863z00_2750,
																																																							BgL_arg2864z00_2751);
																																																					}
																																																					{
																																																						obj_t
																																																							BgL_locz00_6860;
																																																						obj_t
																																																							BgL_expz00_6859;
																																																						BgL_expz00_6859
																																																							=
																																																							BgL_arg2862z00_2749;
																																																						BgL_locz00_6860
																																																							=
																																																							BgL_locz00_2747;
																																																						BgL_locz00_23
																																																							=
																																																							BgL_locz00_6860;
																																																						BgL_expz00_21
																																																							=
																																																							BgL_expz00_6859;
																																																						goto
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																					}
																																																				}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 115 */
																																																		BgL_tagzd24360zd2_2740:
																																																			{	/* Ast/sexp.scm 418 */
																																																				obj_t
																																																					BgL_arg2872z00_2759;
																																																				BgL_arg2872z00_2759
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23);
																																																				{	/* Ast/sexp.scm 416 */
																																																					BgL_nodez00_bglt
																																																						BgL_res3248z00_4413;
																																																					{	/* Ast/sexp.scm 416 */
																																																						obj_t
																																																							BgL_arg3010z00_4409;
																																																						BgL_nodez00_bglt
																																																							BgL_arg3011z00_4410;
																																																						BgL_arg3010z00_4409
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg3011z00_4410
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_arg2872z00_2759, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 416 */
																																																							obj_t
																																																								BgL_list3012z00_4412;
																																																							BgL_list3012z00_4412
																																																								=
																																																								MAKE_PAIR
																																																								(
																																																								((obj_t) BgL_arg3011z00_4410), BNIL);
																																																							BgL_res3248z00_4413
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_arg2872z00_2759,
																																																									BgL_arg3010z00_4409,
																																																									BGl_string3416z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list3012z00_4412));
																																																					}}
																																																					return
																																																						BgL_res3248z00_4413;
																																																				}
																																																			}
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 115 */
																																																	goto
																																																		BgL_tagzd24360zd2_2740;
																																																}
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																															{	/* Ast/sexp.scm 115 */
																																															BgL_tagzd2388zd2_1539:
																																																return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd22280zd2_1882;
																																																BgL_cdrzd22280zd2_1882
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd22280zd2_1882))
																																																			{	/* Ast/sexp.scm 115 */
																																																				BgL_effectz00_1540
																																																					=
																																																					CAR
																																																					(BgL_cdrzd22280zd2_1882);
																																																				BgL_restz00_1541
																																																					=
																																																					CDR
																																																					(BgL_cdrzd22280zd2_1882);
																																																			BgL_tagzd2389zd2_1542:
																																																				{	/* Ast/sexp.scm 425 */
																																																					BgL_feffectz00_bglt
																																																						BgL_arg2873z00_2760;
																																																					obj_t
																																																						BgL_arg2874z00_2761;
																																																					BgL_arg2873z00_2760
																																																						=
																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																						(BgL_effectz00_1540);
																																																					{	/* Ast/sexp.scm 426 */
																																																						obj_t
																																																							BgL_arg2875z00_2762;
																																																						BgL_arg2875z00_2762
																																																							=
																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																							(BgL_restz00_1541,
																																																							BNIL);
																																																						BgL_arg2874z00_2761
																																																							=
																																																							MAKE_PAIR
																																																							(CNST_TABLE_REF
																																																							(((long) 6)), BgL_arg2875z00_2762);
																																																					}
																																																					return
																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																						(
																																																						((bool_t) 0), ((obj_t) BgL_arg2873z00_2760), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2874z00_2761, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_6897;
																																																						goto
																																																							BgL_tagzd2398zd2_1553;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_6897);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2399zd2_1554;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																			{	/* Ast/sexp.scm 115 */
																																																			BgL_tagzd2390zd2_1543:
																																																				return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd22280zd2_1882))
																																																							{	/* Ast/sexp.scm 115 */
																																																								BgL_effectz00_1544
																																																									=
																																																									CAR
																																																									(BgL_cdrzd22280zd2_1882);
																																																								BgL_restz00_1545
																																																									=
																																																									CDR
																																																									(BgL_cdrzd22280zd2_1882);
																																																							BgL_tagzd2391zd2_1546:
																																																								{	/* Ast/sexp.scm 433 */
																																																									BgL_feffectz00_bglt
																																																										BgL_arg2876z00_2763;
																																																									obj_t
																																																										BgL_arg2877z00_2764;
																																																									BgL_arg2876z00_2763
																																																										=
																																																										BGl_parsezd2effectzd2zzeffect_feffectz00
																																																										(BgL_effectz00_1544);
																																																									{	/* Ast/sexp.scm 434 */
																																																										obj_t
																																																											BgL_arg2878z00_2765;
																																																										BgL_arg2878z00_2765
																																																											=
																																																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																											(BgL_restz00_1545,
																																																											BNIL);
																																																										BgL_arg2877z00_2764
																																																											=
																																																											MAKE_PAIR
																																																											(CNST_TABLE_REF
																																																											(((long) 6)), BgL_arg2878z00_2765);
																																																									}
																																																									return
																																																										BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																										(
																																																										((bool_t) 1), ((obj_t) BgL_arg2876z00_2763), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2877z00_2764, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6922;
																																																										goto
																																																											BgL_tagzd2398zd2_1553;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_6922);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2399zd2_1554;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																							{	/* Ast/sexp.scm 115 */
																																																							BgL_tagzd2392zd2_1547:
																																																								{
																																																									obj_t
																																																										BgL_procz00_2766;
																																																									obj_t
																																																										BgL_msgz00_2767;
																																																									obj_t
																																																										BgL_objz00_2768;
																																																									if (PAIRP(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd24384zd2_2773;
																																																											BgL_cdrzd24384zd2_2773
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											if (PAIRP(BgL_cdrzd24384zd2_2773))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd24389zd2_2775;
																																																													BgL_cdrzd24389zd2_2775
																																																														=
																																																														CDR
																																																														(BgL_cdrzd24384zd2_2773);
																																																													if (PAIRP(BgL_cdrzd24389zd2_2775))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd24394zd2_2777;
																																																															BgL_cdrzd24394zd2_2777
																																																																=
																																																																CDR
																																																																(BgL_cdrzd24389zd2_2775);
																																																															if (PAIRP(BgL_cdrzd24394zd2_2777))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd24394zd2_2777)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2884z00_2780;
																																																																			obj_t
																																																																				BgL_arg2885z00_2781;
																																																																			obj_t
																																																																				BgL_arg2886z00_2782;
																																																																			BgL_arg2884z00_2780
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd24384zd2_2773);
																																																																			BgL_arg2885z00_2781
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd24389zd2_2775);
																																																																			BgL_arg2886z00_2782
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd24394zd2_2777);
																																																																			{
																																																																				BgL_failz00_bglt
																																																																					BgL_auxz00_6945;
																																																																				BgL_procz00_2766
																																																																					=
																																																																					BgL_arg2884z00_2780;
																																																																				BgL_msgz00_2767
																																																																					=
																																																																					BgL_arg2885z00_2781;
																																																																				BgL_objz00_2768
																																																																					=
																																																																					BgL_arg2886z00_2782;
																																																																				{	/* Ast/sexp.scm 439 */
																																																																					obj_t
																																																																						BgL_locz00_2784;
																																																																					BgL_locz00_2784
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					{	/* Ast/sexp.scm 439 */
																																																																						obj_t
																																																																							BgL_cdlocz00_2785;
																																																																						BgL_cdlocz00_2785
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(CDR
																																																																							(BgL_expz00_21),
																																																																							BgL_locz00_2784);
																																																																						{	/* Ast/sexp.scm 440 */
																																																																							obj_t
																																																																								BgL_cddlocz00_2786;
																																																																							{	/* Ast/sexp.scm 441 */
																																																																								obj_t
																																																																									BgL_arg2890z00_2798;
																																																																								{	/* Ast/sexp.scm 441 */
																																																																									obj_t
																																																																										BgL_pairz00_4422;
																																																																									BgL_pairz00_4422
																																																																										=
																																																																										BgL_expz00_21;
																																																																									BgL_arg2890z00_2798
																																																																										=
																																																																										CDR
																																																																										(CDR
																																																																										(BgL_pairz00_4422));
																																																																								}
																																																																								BgL_cddlocz00_2786
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_arg2890z00_2798,
																																																																									BgL_locz00_2784);
																																																																							}
																																																																							{	/* Ast/sexp.scm 441 */
																																																																								obj_t
																																																																									BgL_cdddlocz00_2787;
																																																																								{	/* Ast/sexp.scm 442 */
																																																																									obj_t
																																																																										BgL_arg2889z00_2797;
																																																																									{	/* Ast/sexp.scm 442 */
																																																																										obj_t
																																																																											BgL_pairz00_4426;
																																																																										BgL_pairz00_4426
																																																																											=
																																																																											BgL_expz00_21;
																																																																										BgL_arg2889z00_2797
																																																																											=
																																																																											CDR
																																																																											(CDR
																																																																											(CDR
																																																																												(BgL_pairz00_4426)));
																																																																									}
																																																																									BgL_cdddlocz00_2787
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_arg2889z00_2797,
																																																																										BgL_locz00_2784);
																																																																								}
																																																																								{	/* Ast/sexp.scm 442 */
																																																																									obj_t
																																																																										BgL_loczd2proczd2_2788;
																																																																									BgL_loczd2proczd2_2788
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_procz00_2766,
																																																																										BgL_cdlocz00_2785);
																																																																									{	/* Ast/sexp.scm 443 */
																																																																										obj_t
																																																																											BgL_loczd2msgzd2_2789;
																																																																										BgL_loczd2msgzd2_2789
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_msgz00_2767,
																																																																											BgL_cddlocz00_2786);
																																																																										{	/* Ast/sexp.scm 444 */
																																																																											obj_t
																																																																												BgL_loczd2objzd2_2790;
																																																																											BgL_loczd2objzd2_2790
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_objz00_2768,
																																																																												BgL_cdddlocz00_2787);
																																																																											{	/* Ast/sexp.scm 445 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_procz00_2791;
																																																																												BgL_procz00_2791
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BgL_procz00_2766,
																																																																													BgL_stackz00_22,
																																																																													BgL_loczd2proczd2_2788,
																																																																													CNST_TABLE_REF
																																																																													(((long) 2)));
																																																																												{	/* Ast/sexp.scm 446 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_msgz00_2792;
																																																																													BgL_msgz00_2792
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(BgL_msgz00_2767,
																																																																														BgL_stackz00_22,
																																																																														BgL_loczd2msgzd2_2789,
																																																																														CNST_TABLE_REF
																																																																														(((long) 2)));
																																																																													{	/* Ast/sexp.scm 447 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_objz00_2793;
																																																																														BgL_objz00_2793
																																																																															=
																																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																															(BgL_objz00_2768,
																																																																															BgL_stackz00_22,
																																																																															BgL_loczd2objzd2_2790,
																																																																															CNST_TABLE_REF
																																																																															(((long) 2)));
																																																																														{	/* Ast/sexp.scm 448 */

																																																																															{	/* Ast/sexp.scm 449 */
																																																																																BgL_failz00_bglt
																																																																																	BgL_new1130z00_2794;
																																																																																{	/* Ast/sexp.scm 449 */
																																																																																	BgL_failz00_bglt
																																																																																		BgL_new1129z00_2795;
																																																																																	BgL_new1129z00_2795
																																																																																		=
																																																																																		(
																																																																																		(BgL_failz00_bglt)
																																																																																		BREF
																																																																																		(GC_MALLOC
																																																																																			(sizeof
																																																																																				(struct
																																																																																					BgL_failz00_bgl))));
																																																																																	{	/* Ast/sexp.scm 449 */
																																																																																		long
																																																																																			BgL_arg2888z00_2796;
																																																																																		{	/* Ast/sexp.scm 449 */
																																																																																			long
																																																																																				BgL_res3251z00_4435;
																																																																																			{	/* Ast/sexp.scm 449 */
																																																																																				obj_t
																																																																																					BgL_classz00_4432;
																																																																																				BgL_classz00_4432
																																																																																					=
																																																																																					BGl_failz00zzast_nodez00;
																																																																																				{	/* Ast/sexp.scm 449 */
																																																																																					obj_t
																																																																																						BgL_vectorz00_4433;
																																																																																					int
																																																																																						BgL_kz00_4434;
																																																																																					BgL_vectorz00_4433
																																																																																						=
																																																																																						BgL_classz00_4432;
																																																																																					BgL_kz00_4434
																																																																																						=
																																																																																						(int)
																																																																																						(
																																																																																						((long) 1));
																																																																																					BgL_res3251z00_4435
																																																																																						=
																																																																																						(long)
																																																																																						CINT
																																																																																						(VECTOR_REF
																																																																																						(BgL_vectorz00_4433,
																																																																																							BgL_kz00_4434));
																																																																																			}}
																																																																																			BgL_arg2888z00_2796
																																																																																				=
																																																																																				BgL_res3251z00_4435;
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 449 */
																																																																																			BgL_objectz00_bglt
																																																																																				BgL_objz00_4436;
																																																																																			BgL_objz00_4436
																																																																																				=
																																																																																				(
																																																																																				(BgL_objectz00_bglt)
																																																																																				BgL_new1129z00_2795);
																																																																																			BGL_OBJECT_CLASS_NUM_SET
																																																																																				(BgL_objz00_4436,
																																																																																				BgL_arg2888z00_2796);
																																																																																	}}
																																																																																	{	/* Ast/sexp.scm 449 */
																																																																																		BgL_objectz00_bglt
																																																																																			BgL_auxz00_6971;
																																																																																		BgL_auxz00_6971
																																																																																			=
																																																																																			(
																																																																																			(BgL_objectz00_bglt)
																																																																																			BgL_new1129z00_2795);
																																																																																		BGL_OBJECT_WIDENING_SET
																																																																																			(BgL_auxz00_6971,
																																																																																			BFALSE);
																																																																																	}
																																																																																	BgL_new1130z00_2794
																																																																																		=
																																																																																		BgL_new1129z00_2795;
																																																																																}
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2794)))->BgL_locz00) = ((obj_t) BgL_locz00_2784), BUNSPEC);
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2794)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1130z00_2794))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_2791), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1130z00_2794))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_2792), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1130z00_2794))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_2793), BUNSPEC);
																																																																																BgL_auxz00_6945
																																																																																	=
																																																																																	BgL_new1130z00_2794;
																																																																				}}}}}}}}}}}}
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_6945);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																		BgL_tagzd24375zd2_2770:
																																																																			{	/* Ast/sexp.scm 457 */
																																																																				obj_t
																																																																					BgL_arg2892z00_2800;
																																																																				BgL_arg2892z00_2800
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_expz00_21,
																																																																					BgL_locz00_23);
																																																																				{	/* Ast/sexp.scm 456 */
																																																																					BgL_nodez00_bglt
																																																																						BgL_res3252z00_4445;
																																																																					{	/* Ast/sexp.scm 456 */
																																																																						obj_t
																																																																							BgL_arg3010z00_4441;
																																																																						BgL_nodez00_bglt
																																																																							BgL_arg3011z00_4442;
																																																																						BgL_arg3010z00_4441
																																																																							=
																																																																							BGl_shapez00zztools_shapez00
																																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																																							());
																																																																						BgL_arg3011z00_4442
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(CNST_TABLE_REF
																																																																							(((long) 4)), BNIL, BgL_arg2892z00_2800, CNST_TABLE_REF(((long) 2)));
																																																																						{	/* Ast/sexp.scm 456 */
																																																																							obj_t
																																																																								BgL_list3012z00_4444;
																																																																							BgL_list3012z00_4444
																																																																								=
																																																																								MAKE_PAIR
																																																																								(
																																																																								((obj_t) BgL_arg3011z00_4442), BNIL);
																																																																							BgL_res3252z00_4445
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																								(BgL_arg2892z00_2800,
																																																																									BgL_arg3010z00_4441,
																																																																									BGl_string3415z00zzast_sexpz00,
																																																																									BgL_expz00_21,
																																																																									BgL_list3012z00_4444));
																																																																					}}
																																																																					return
																																																																						BgL_res3252z00_4445;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd24375zd2_2770;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd24375zd2_2770;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd24375zd2_2770;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											goto
																																																												BgL_tagzd24375zd2_2770;
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																									{	/* Ast/sexp.scm 115 */
																																																									BgL_tagzd2393zd2_1548:
																																																										{
																																																											obj_t
																																																												BgL_testz00_2801;
																																																											obj_t
																																																												BgL_clausesz00_2802;
																																																											if (PAIRP(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd24408zd2_2807;
																																																													BgL_cdrzd24408zd2_2807
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													if (PAIRP(BgL_cdrzd24408zd2_2807))
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_2801
																																																																=
																																																																CAR
																																																																(BgL_cdrzd24408zd2_2807);
																																																															BgL_clausesz00_2802
																																																																=
																																																																CDR
																																																																(BgL_cdrzd24408zd2_2807);
																																																															{	/* Ast/sexp.scm 468 */
																																																																obj_t
																																																																	BgL_locz00_2811;
																																																																BgL_locz00_2811
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 468 */
																																																																	obj_t
																																																																		BgL_cdlocz00_2812;
																																																																	BgL_cdlocz00_2812
																																																																		=
																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																		(CDR
																																																																		(BgL_expz00_21),
																																																																		BgL_locz00_2811);
																																																																	{	/* Ast/sexp.scm 469 */
																																																																		obj_t
																																																																			BgL_cddlocz00_2813;
																																																																		BgL_cddlocz00_2813
																																																																			=
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(CDR
																																																																			(BgL_expz00_21),
																																																																			BgL_locz00_2811);
																																																																		{	/* Ast/sexp.scm 470 */
																																																																			BgL_nodez00_bglt
																																																																				BgL_testz00_2814;
																																																																			{	/* Ast/sexp.scm 473 */
																																																																				obj_t
																																																																					BgL_arg2916z00_2844;
																																																																				BgL_arg2916z00_2844
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_testz00_2801,
																																																																					BgL_cdlocz00_2812);
																																																																				BgL_testz00_2814
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_testz00_2801,
																																																																					BgL_stackz00_22,
																																																																					BgL_arg2916z00_2844,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																			{	/* Ast/sexp.scm 471 */

																																																																				{
																																																																					obj_t
																																																																						BgL_clsz00_2817;
																																																																					obj_t
																																																																						BgL_nclausesz00_2818;
																																																																					BgL_clsz00_2817
																																																																						=
																																																																						BgL_clausesz00_2802;
																																																																					BgL_nclausesz00_2818
																																																																						=
																																																																						BNIL;
																																																																				BgL_zc3anonymousza32897ze3z83_2819:
																																																																					if (NULLP(BgL_clsz00_2817))
																																																																						{	/* Ast/sexp.scm 478 */
																																																																							BgL_selectz00_bglt
																																																																								BgL_new1133z00_2821;
																																																																							{	/* Ast/sexp.scm 478 */
																																																																								BgL_selectz00_bglt
																																																																									BgL_new1132z00_2825;
																																																																								BgL_new1132z00_2825
																																																																									=
																																																																									(
																																																																									(BgL_selectz00_bglt)
																																																																									BREF
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_selectz00_bgl))));
																																																																								{	/* Ast/sexp.scm 478 */
																																																																									long
																																																																										BgL_arg2902z00_2826;
																																																																									{	/* Ast/sexp.scm 478 */
																																																																										long
																																																																											BgL_res3259z00_4470;
																																																																										{	/* Ast/sexp.scm 478 */
																																																																											obj_t
																																																																												BgL_classz00_4467;
																																																																											BgL_classz00_4467
																																																																												=
																																																																												BGl_selectz00zzast_nodez00;
																																																																											{	/* Ast/sexp.scm 478 */
																																																																												obj_t
																																																																													BgL_vectorz00_4468;
																																																																												int
																																																																													BgL_kz00_4469;
																																																																												BgL_vectorz00_4468
																																																																													=
																																																																													BgL_classz00_4467;
																																																																												BgL_kz00_4469
																																																																													=
																																																																													(int)
																																																																													(
																																																																													((long) 1));
																																																																												BgL_res3259z00_4470
																																																																													=
																																																																													(long)
																																																																													CINT
																																																																													(VECTOR_REF
																																																																													(BgL_vectorz00_4468,
																																																																														BgL_kz00_4469));
																																																																										}}
																																																																										BgL_arg2902z00_2826
																																																																											=
																																																																											BgL_res3259z00_4470;
																																																																									}
																																																																									{	/* Ast/sexp.scm 478 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_objz00_4471;
																																																																										BgL_objz00_4471
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1132z00_2825);
																																																																										BGL_OBJECT_CLASS_NUM_SET
																																																																											(BgL_objz00_4471,
																																																																											BgL_arg2902z00_2826);
																																																																								}}
																																																																								{	/* Ast/sexp.scm 478 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_auxz00_7018;
																																																																									BgL_auxz00_7018
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1132z00_2825);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_auxz00_7018,
																																																																										BFALSE);
																																																																								}
																																																																								BgL_new1133z00_2821
																																																																									=
																																																																									BgL_new1132z00_2825;
																																																																							}
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1133z00_2821)))->BgL_locz00) = ((obj_t) BgL_locz00_2811), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1133z00_2821)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_2821)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_2821)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1133z00_2821))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_2814), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1133z00_2821))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_2818)), BUNSPEC);
																																																																							{
																																																																								BgL_typez00_bglt
																																																																									BgL_auxz00_7034;
																																																																								{	/* Ast/sexp.scm 482 */
																																																																									obj_t
																																																																										BgL_arg2899z00_2822;
																																																																									{	/* Ast/sexp.scm 482 */
																																																																										obj_t
																																																																											BgL_pairz00_4475;
																																																																										{	/* Ast/sexp.scm 482 */
																																																																											obj_t
																																																																												BgL_pairz00_4474;
																																																																											{	/* Ast/sexp.scm 482 */
																																																																												obj_t
																																																																													BgL_pairz00_4473;
																																																																												BgL_pairz00_4473
																																																																													=
																																																																													BgL_clausesz00_2802;
																																																																												BgL_pairz00_4474
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_4473);
																																																																											}
																																																																											BgL_pairz00_4475
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_4474);
																																																																										}
																																																																										BgL_arg2899z00_2822
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_4475);
																																																																									}
																																																																									BgL_auxz00_7034
																																																																										=
																																																																										BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																										(BgL_arg2899z00_2822);
																																																																								}
																																																																								((((BgL_selectz00_bglt) CREF(BgL_new1133z00_2821))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_7034), BUNSPEC);
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1133z00_2821);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 484 */
																																																																							obj_t
																																																																								BgL_clausez00_2827;
																																																																							BgL_clausez00_2827
																																																																								=
																																																																								CAR
																																																																								(BgL_clsz00_2817);
																																																																							{	/* Ast/sexp.scm 484 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_bodyz00_2828;
																																																																								{	/* Ast/sexp.scm 485 */
																																																																									obj_t
																																																																										BgL_arg2913z00_2840;
																																																																									obj_t
																																																																										BgL_arg2914z00_2841;
																																																																									BgL_arg2913z00_2840
																																																																										=
																																																																										BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																										(CDR
																																																																										(BgL_clausez00_2827));
																																																																									BgL_arg2914z00_2841
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_clausez00_2827,
																																																																										BgL_cddlocz00_2813);
																																																																									BgL_bodyz00_2828
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_arg2913z00_2840,
																																																																										BgL_stackz00_22,
																																																																										BgL_arg2914z00_2841,
																																																																										CNST_TABLE_REF
																																																																										(((long) 2)));
																																																																								}
																																																																								{	/* Ast/sexp.scm 485 */
																																																																									obj_t
																																																																										BgL_nclausez00_2829;
																																																																									{	/* Ast/sexp.scm 489 */
																																																																										obj_t
																																																																											BgL_arg2912z00_2839;
																																																																										BgL_arg2912z00_2839
																																																																											=
																																																																											CAR
																																																																											(BgL_clausez00_2827);
																																																																										BgL_nclausez00_2829
																																																																											=
																																																																											MAKE_PAIR
																																																																											(BgL_arg2912z00_2839,
																																																																											((obj_t) BgL_bodyz00_2828));
																																																																									}
																																																																									{	/* Ast/sexp.scm 489 */

																																																																										{	/* Ast/sexp.scm 491 */
																																																																											bool_t
																																																																												BgL_testz00_7050;
																																																																											if ((CAR(BgL_clausez00_2827) == CNST_TABLE_REF(((long) 5))))
																																																																												{	/* Ast/sexp.scm 491 */
																																																																													if (NULLP(CDR(BgL_clsz00_2817)))
																																																																														{	/* Ast/sexp.scm 492 */
																																																																															BgL_testz00_7050
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 492 */
																																																																															BgL_testz00_7050
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 491 */
																																																																													BgL_testz00_7050
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											if (BgL_testz00_7050)
																																																																												{	/* Ast/sexp.scm 494 */
																																																																													obj_t
																																																																														BgL_arg2904z00_2831;
																																																																													BgL_arg2904z00_2831
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_2811);
																																																																													{	/* Ast/sexp.scm 493 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_res3261z00_4490;
																																																																														{	/* Ast/sexp.scm 493 */
																																																																															obj_t
																																																																																BgL_arg3010z00_4486;
																																																																															BgL_nodez00_bglt
																																																																																BgL_arg3011z00_4487;
																																																																															BgL_arg3010z00_4486
																																																																																=
																																																																																BGl_shapez00zztools_shapez00
																																																																																(BGl_currentzd2functionzd2zztools_errorz00
																																																																																());
																																																																															BgL_arg3011z00_4487
																																																																																=
																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																(CNST_TABLE_REF
																																																																																(((long) 4)), BNIL, BgL_arg2904z00_2831, CNST_TABLE_REF(((long) 2)));
																																																																															{	/* Ast/sexp.scm 493 */
																																																																																obj_t
																																																																																	BgL_list3012z00_4489;
																																																																																BgL_list3012z00_4489
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(
																																																																																	((obj_t) BgL_arg3011z00_4487), BNIL);
																																																																																BgL_res3261z00_4490
																																																																																	=
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																	(BgL_arg2904z00_2831,
																																																																																		BgL_arg3010z00_4486,
																																																																																		BGl_string3414z00zzast_sexpz00,
																																																																																		BgL_expz00_21,
																																																																																		BgL_list3012z00_4489));
																																																																														}}
																																																																														return
																																																																															BgL_res3261z00_4490;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 495 */
																																																																													obj_t
																																																																														BgL_arg2905z00_2832;
																																																																													obj_t
																																																																														BgL_arg2906z00_2833;
																																																																													BgL_arg2905z00_2832
																																																																														=
																																																																														CDR
																																																																														(BgL_clsz00_2817);
																																																																													BgL_arg2906z00_2833
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BGl_epairifyz00zztools_miscz00
																																																																														(BgL_nclausez00_2829,
																																																																															BgL_clausez00_2827),
																																																																														BgL_nclausesz00_2818);
																																																																													{
																																																																														obj_t
																																																																															BgL_nclausesz00_7072;
																																																																														obj_t
																																																																															BgL_clsz00_7071;
																																																																														BgL_clsz00_7071
																																																																															=
																																																																															BgL_arg2905z00_2832;
																																																																														BgL_nclausesz00_7072
																																																																															=
																																																																															BgL_arg2906z00_2833;
																																																																														BgL_nclausesz00_2818
																																																																															=
																																																																															BgL_nclausesz00_7072;
																																																																														BgL_clsz00_2817
																																																																															=
																																																																															BgL_clsz00_7071;
																																																																														goto
																																																																															BgL_zc3anonymousza32897ze3z83_2819;
																																																																													}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																														BgL_tagzd24401zd2_2804:
																																																															{	/* Ast/sexp.scm 500 */
																																																																obj_t
																																																																	BgL_arg2919z00_2847;
																																																																BgL_arg2919z00_2847
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 499 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res3262z00_4499;
																																																																	{	/* Ast/sexp.scm 499 */
																																																																		obj_t
																																																																			BgL_arg3010z00_4495;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg3011z00_4496;
																																																																		BgL_arg3010z00_4495
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg3011z00_4496
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(CNST_TABLE_REF
																																																																			(((long) 4)), BNIL, BgL_arg2919z00_2847, CNST_TABLE_REF(((long) 2)));
																																																																		{	/* Ast/sexp.scm 499 */
																																																																			obj_t
																																																																				BgL_list3012z00_4498;
																																																																			BgL_list3012z00_4498
																																																																				=
																																																																				MAKE_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg3011z00_4496), BNIL);
																																																																			BgL_res3262z00_4499
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg2919z00_2847,
																																																																					BgL_arg3010z00_4495,
																																																																					BGl_string3414z00zzast_sexpz00,
																																																																					BgL_expz00_21,
																																																																					BgL_list3012z00_4498));
																																																																	}}
																																																																	return
																																																																		BgL_res3262z00_4499;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd24401zd2_2804;
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_7089;
																																																											BgL_tagzd2394zd2_1549:
																																																												BgL_auxz00_7089 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_7089);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																													{
																																																														BgL_jumpzd2exzd2itz00_bglt
																																																															BgL_auxz00_7096;
																																																													BgL_tagzd2395zd2_1550:
																																																														BgL_auxz00_7096 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_7096);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd22318zd2_1899;
																																																														BgL_cdrzd22318zd2_1899
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd22318zd2_1899))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd22320zd2_1902;
																																																																		BgL_cdrzd22320zd2_1902
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd22318zd2_1899);
																																																																		if (PAIRP(BgL_cdrzd22320zd2_1902))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_cdrzd22320zd2_1902)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																					BgL_tagzd2396zd2_1551:
																																																																						return BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_7115;
																																																																								goto
																																																																									BgL_tagzd2398zd2_1553;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_7115);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								goto
																																																																									BgL_tagzd2399zd2_1554;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7119;
																																																																						goto
																																																																							BgL_tagzd2398zd2_1553;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7119);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2399zd2_1554;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_7123;
																																																																				goto
																																																																					BgL_tagzd2398zd2_1553;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7123);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2399zd2_1554;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(BgL_cdrzd22318zd2_1899))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																			BgL_tagzd2397zd2_1552:
																																																																				{	/* Ast/sexp.scm 513 */
																																																																					obj_t
																																																																						BgL_arg2920z00_2848;
																																																																					BgL_arg2920z00_2848
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					{	/* Ast/sexp.scm 512 */
																																																																						BgL_nodez00_bglt
																																																																							BgL_res3265z00_4514;
																																																																						{	/* Ast/sexp.scm 512 */
																																																																							obj_t
																																																																								BgL_arg3010z00_4510;
																																																																							BgL_nodez00_bglt
																																																																								BgL_arg3011z00_4511;
																																																																							BgL_arg3010z00_4510
																																																																								=
																																																																								BGl_shapez00zztools_shapez00
																																																																								(BGl_currentzd2functionzd2zztools_errorz00
																																																																								());
																																																																							BgL_arg3011z00_4511
																																																																								=
																																																																								BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																								(CNST_TABLE_REF
																																																																								(((long) 4)), BNIL, BgL_arg2920z00_2848, CNST_TABLE_REF(((long) 2)));
																																																																							{	/* Ast/sexp.scm 512 */
																																																																								obj_t
																																																																									BgL_list3012z00_4513;
																																																																								BgL_list3012z00_4513
																																																																									=
																																																																									MAKE_PAIR
																																																																									(
																																																																									((obj_t) BgL_arg3011z00_4511), BNIL);
																																																																								BgL_res3265z00_4514
																																																																									=
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																									(BgL_arg2920z00_2848,
																																																																										BgL_arg3010z00_4510,
																																																																										BGl_string3413z00zzast_sexpz00,
																																																																										BgL_expz00_21,
																																																																										BgL_list3012z00_4513));
																																																																						}}
																																																																						return
																																																																							BgL_res3265z00_4514;
																																																																					}
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7142;
																																																																						goto
																																																																							BgL_tagzd2398zd2_1553;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7142);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2399zd2_1554;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_7146;
																																																																				goto
																																																																					BgL_tagzd2398zd2_1553;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7146);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2399zd2_1554;
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 115 */
												if (
													(BgL_carzd2457zd2_1559 ==
														CNST_TABLE_REF(((long) 12))))
													{	/* Ast/sexp.scm 115 */
														goto BgL_tagzd2371zd2_1502;
													}
												else
													{	/* Ast/sexp.scm 115 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 15))))
															{
																obj_t BgL_lz00_7155;

																BgL_lz00_7155 = CDR(BgL_expz00_21);
																BgL_lz00_1503 = BgL_lz00_7155;
																goto BgL_tagzd2372zd2_1504;
															}
														else
															{	/* Ast/sexp.scm 115 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 115 */
																		goto BgL_tagzd2373zd2_1505;
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 16))))
																			{	/* Ast/sexp.scm 115 */
																				if (NULLP(CDR(BgL_expz00_21)))
																					{	/* Ast/sexp.scm 115 */
																						goto BgL_tagzd2374zd2_1506;
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						obj_t BgL_arg2313z00_1943;

																						BgL_arg2313z00_1943 =
																							CDR(BgL_expz00_21);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_7169;
																							{
																								obj_t BgL_bodyz00_7170;

																								BgL_bodyz00_7170 =
																									BgL_arg2313z00_1943;
																								BgL_bodyz00_1507 =
																									BgL_bodyz00_7170;
																								goto BgL_tagzd2375zd2_1508;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_7169);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				obj_t BgL_carzd22424zd2_1945;

																				BgL_carzd22424zd2_1945 =
																					CAR(BgL_expz00_21);
																				if (
																					(BgL_carzd22424zd2_1945 ==
																						CNST_TABLE_REF(((long) 1))))
																					{	/* Ast/sexp.scm 115 */
																						goto BgL_tagzd2376zd2_1509;
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						if (
																							(BgL_carzd22424zd2_1945 ==
																								BGl_za2ifza2z00zzast_sexpz00))
																							{	/* Ast/sexp.scm 115 */
																								goto BgL_tagzd2376zd2_1509;
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								obj_t BgL_cdrzd22442zd2_1948;

																								BgL_cdrzd22442zd2_1948 =
																									CDR(BgL_expz00_21);
																								if (
																									(CAR(BgL_expz00_21) ==
																										CNST_TABLE_REF(((long) 7))))
																									{	/* Ast/sexp.scm 115 */
																										if (PAIRP
																											(BgL_cdrzd22442zd2_1948))
																											{	/* Ast/sexp.scm 115 */
																												obj_t
																													BgL_carzd22445zd2_1951;
																												obj_t
																													BgL_cdrzd22446zd2_1952;
																												BgL_carzd22445zd2_1951 =
																													CAR
																													(BgL_cdrzd22442zd2_1948);
																												BgL_cdrzd22446zd2_1952 =
																													CDR
																													(BgL_cdrzd22442zd2_1948);
																												if (PAIRP
																													(BgL_carzd22445zd2_1951))
																													{	/* Ast/sexp.scm 115 */
																														if (
																															(CAR
																																(BgL_carzd22445zd2_1951)
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		15))))
																															{	/* Ast/sexp.scm 115 */
																																if (PAIRP
																																	(BgL_cdrzd22446zd2_1952))
																																	{	/* Ast/sexp.scm 115 */
																																		if (NULLP
																																			(CDR
																																				(BgL_cdrzd22446zd2_1952)))
																																			{
																																				obj_t
																																					BgL_valz00_7200;
																																				obj_t
																																					BgL_lz00_7198;
																																				BgL_lz00_7198
																																					=
																																					CDR
																																					(BgL_carzd22445zd2_1951);
																																				BgL_valz00_7200
																																					=
																																					CAR
																																					(BgL_cdrzd22446zd2_1952);
																																				BgL_valz00_1511
																																					=
																																					BgL_valz00_7200;
																																				BgL_lz00_1510
																																					=
																																					BgL_lz00_7198;
																																				goto
																																					BgL_tagzd2377zd2_1512;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2378zd2_1513;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2378zd2_1513;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2378zd2_1513;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														goto
																															BgL_tagzd2378zd2_1513;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												goto
																													BgL_tagzd2378zd2_1513;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 115 */
																										if (
																											(CAR(BgL_expz00_21) ==
																												CNST_TABLE_REF(((long)
																														17))))
																											{	/* Ast/sexp.scm 115 */
																												goto
																													BgL_tagzd2379zd2_1514;
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												obj_t
																													BgL_carzd22539zd2_1962;
																												BgL_carzd22539zd2_1962 =
																													CAR(BgL_expz00_21);
																												if (PAIRP
																													(BgL_carzd22539zd2_1962))
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd22542zd2_1964;
																														obj_t
																															BgL_cdrzd22543zd2_1965;
																														BgL_carzd22542zd2_1964
																															=
																															CAR
																															(BgL_carzd22539zd2_1962);
																														BgL_cdrzd22543zd2_1965
																															=
																															CDR
																															(BgL_carzd22539zd2_1962);
																														{

																															if (
																																(BgL_carzd22542zd2_1964
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			18))))
																																{
																																	obj_t
																																		BgL_auxz00_7214;
																																BgL_kapzd22544zd2_1966:
																																	if (PAIRP
																																		(BgL_cdrzd22543zd2_1965))
																																		{	/* Ast/sexp.scm 115 */
																																			obj_t
																																				BgL_cdrzd22547zd2_2131;
																																			BgL_cdrzd22547zd2_2131
																																				=
																																				CDR
																																				(BgL_cdrzd22543zd2_1965);
																																			if (PAIRP
																																				(BgL_cdrzd22547zd2_2131))
																																				{	/* Ast/sexp.scm 115 */
																																					if (NULLP(CDR(BgL_cdrzd22547zd2_2131)))
																																						{	/* Ast/sexp.scm 115 */
																																							obj_t
																																								BgL_arg2454z00_2134;
																																							obj_t
																																								BgL_arg2455z00_2135;
																																							BgL_arg2454z00_2134
																																								=
																																								CAR
																																								(BgL_cdrzd22547zd2_2131);
																																							BgL_arg2455z00_2135
																																								=
																																								CDR
																																								(BgL_expz00_21);
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_7225;
																																								{
																																									obj_t
																																										BgL_argsz00_7227;
																																									obj_t
																																										BgL_bodyz00_7226;
																																									BgL_bodyz00_7226
																																										=
																																										BgL_arg2454z00_2134;
																																									BgL_argsz00_7227
																																										=
																																										BgL_arg2455z00_2135;
																																									BgL_argsz00_1516
																																										=
																																										BgL_argsz00_7227;
																																									BgL_bodyz00_1515
																																										=
																																										BgL_bodyz00_7226;
																																									goto
																																										BgL_tagzd2380zd2_1517;
																																								}
																																								BgL_auxz00_7214
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_7225);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_7229;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2513z00_2227;
																																								BgL_arg2513z00_2227
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_7229
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2513z00_2227));
																																							}
																																							if (BgL_testz00_7229)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_7233;
																																									goto
																																										BgL_tagzd2381zd2_1518;
																																									BgL_auxz00_7214
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7233);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_7235;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2512z00_2226;
																																										BgL_arg2512z00_2226
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_7235
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2512z00_2226));
																																									}
																																									if (BgL_testz00_7235)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_7239;
																																											goto
																																												BgL_tagzd2382zd2_1519;
																																											BgL_auxz00_7214
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_7239);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_carzd22606zd2_2138;
																																											BgL_carzd22606zd2_2138
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd22611zd2_2139;
																																												BgL_cdrzd22611zd2_2139
																																													=
																																													CDR
																																													(BgL_carzd22606zd2_2138);
																																												if ((CAR(BgL_carzd22606zd2_2138) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2459z00_2141;
																																														obj_t
																																															BgL_arg2460z00_2142;
																																														obj_t
																																															BgL_arg2461z00_2143;
																																														BgL_arg2459z00_2141
																																															=
																																															CAR
																																															(BgL_cdrzd22611zd2_2139);
																																														BgL_arg2460z00_2142
																																															=
																																															CDR
																																															(BgL_cdrzd22611zd2_2139);
																																														BgL_arg2461z00_2143
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_7250;
																																															{
																																																obj_t
																																																	BgL_argsz00_7253;
																																																obj_t
																																																	BgL_bodyz00_7252;
																																																obj_t
																																																	BgL_varsz00_7251;
																																																BgL_varsz00_7251
																																																	=
																																																	BgL_arg2459z00_2141;
																																																BgL_bodyz00_7252
																																																	=
																																																	BgL_arg2460z00_2142;
																																																BgL_argsz00_7253
																																																	=
																																																	BgL_arg2461z00_2143;
																																																BgL_argsz00_1526
																																																	=
																																																	BgL_argsz00_7253;
																																																BgL_bodyz00_1525
																																																	=
																																																	BgL_bodyz00_7252;
																																																BgL_varsz00_1524
																																																	=
																																																	BgL_varsz00_7251;
																																																goto
																																																	BgL_tagzd2384zd2_1527;
																																															}
																																															BgL_auxz00_7214
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_7250);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd22631zd2_2145;
																																														BgL_cdrzd22631zd2_2145
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{	/* Ast/sexp.scm 115 */
																																															obj_t
																																																BgL_cdrzd22637zd2_2146;
																																															BgL_cdrzd22637zd2_2146
																																																=
																																																CDR
																																																(BgL_carzd22606zd2_2138);
																																															if ((CAR(BgL_carzd22606zd2_2138) == CNST_TABLE_REF(((long) 1))))
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd22643zd2_2148;
																																																	BgL_cdrzd22643zd2_2148
																																																		=
																																																		CDR
																																																		(BgL_cdrzd22637zd2_2146);
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_carzd22648zd2_2149;
																																																		obj_t
																																																			BgL_cdrzd22649zd2_2150;
																																																		BgL_carzd22648zd2_2149
																																																			=
																																																			CAR
																																																			(BgL_cdrzd22643zd2_2148);
																																																		BgL_cdrzd22649zd2_2150
																																																			=
																																																			CDR
																																																			(BgL_cdrzd22643zd2_2148);
																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22648zd2_2149))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd22649zd2_2150))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_carzd22656zd2_2153;
																																																						BgL_carzd22656zd2_2153
																																																							=
																																																							CAR
																																																							(BgL_cdrzd22649zd2_2150);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22656zd2_2153))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (NULLP(CDR(BgL_cdrzd22649zd2_2150)))
																																																									{	/* Ast/sexp.scm 115 */
																																																										bool_t
																																																											BgL_testz00_7274;
																																																										{
																																																											obj_t
																																																												BgL_l1981z00_2174;
																																																											bool_t
																																																												BgL_lv1982z00_2175;
																																																											BgL_l1981z00_2174
																																																												=
																																																												BgL_cdrzd22631zd2_2145;
																																																											BgL_lv1982z00_2175
																																																												=
																																																												(
																																																												(bool_t)
																																																												1);
																																																										BgL_zc3anonymousza32478ze3z83_2176:
																																																											if (NULLP(BgL_l1981z00_2174))
																																																												{	/* Ast/sexp.scm 115 */
																																																													BgL_testz00_7274
																																																														=
																																																														BgL_lv1982z00_2175;
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													bool_t
																																																														BgL_nvz00_2178;
																																																													{	/* Ast/sexp.scm 115 */
																																																														bool_t
																																																															BgL_testz00_7277;
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_auxz00_7278;
																																																															BgL_auxz00_7278
																																																																=
																																																																CAR
																																																																(BgL_l1981z00_2174);
																																																															BgL_testz00_7277
																																																																=
																																																																PAIRP
																																																																(BgL_auxz00_7278);
																																																														}
																																																														if (BgL_testz00_7277)
																																																															{	/* Ast/sexp.scm 115 */
																																																																BgL_nvz00_2178
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	0);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																BgL_nvz00_2178
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																													}
																																																													if (BgL_nvz00_2178)
																																																														{
																																																															bool_t
																																																																BgL_lv1982z00_7284;
																																																															obj_t
																																																																BgL_l1981z00_7282;
																																																															BgL_l1981z00_7282
																																																																=
																																																																CDR
																																																																(BgL_l1981z00_2174);
																																																															BgL_lv1982z00_7284
																																																																=
																																																																BgL_nvz00_2178;
																																																															BgL_lv1982z00_2175
																																																																=
																																																																BgL_lv1982z00_7284;
																																																															BgL_l1981z00_2174
																																																																=
																																																																BgL_l1981z00_7282;
																																																															goto
																																																																BgL_zc3anonymousza32478ze3z83_2176;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_7274
																																																																=
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																										}
																																																										if (BgL_testz00_7274)
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_arg2468z00_2157;
																																																												BgL_arg2468z00_2157
																																																													=
																																																													CAR
																																																													(BgL_cdrzd22637zd2_2146);
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_7286;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_7290;
																																																														obj_t
																																																															BgL_proc2z00_7289;
																																																														obj_t
																																																															BgL_proc1z00_7288;
																																																														obj_t
																																																															BgL_testz00_7287;
																																																														BgL_testz00_7287
																																																															=
																																																															BgL_arg2468z00_2157;
																																																														BgL_proc1z00_7288
																																																															=
																																																															BgL_carzd22648zd2_2149;
																																																														BgL_proc2z00_7289
																																																															=
																																																															BgL_carzd22656zd2_2153;
																																																														BgL_argsz00_7290
																																																															=
																																																															BgL_cdrzd22631zd2_2145;
																																																														BgL_argsz00_1531
																																																															=
																																																															BgL_argsz00_7290;
																																																														BgL_proc2z00_1530
																																																															=
																																																															BgL_proc2z00_7289;
																																																														BgL_proc1z00_1529
																																																															=
																																																															BgL_proc1z00_7288;
																																																														BgL_testz00_1528
																																																															=
																																																															BgL_testz00_7287;
																																																														goto
																																																															BgL_tagzd2385zd2_1532;
																																																													}
																																																													BgL_auxz00_7214
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_7286);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd22677zd2_2158;
																																																												BgL_cdrzd22677zd2_2158
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd22684zd2_2159;
																																																													BgL_cdrzd22684zd2_2159
																																																														=
																																																														CDR
																																																														(CAR
																																																														(BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd22691zd2_2160;
																																																														BgL_cdrzd22691zd2_2160
																																																															=
																																																															CDR
																																																															(BgL_cdrzd22684zd2_2159);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd22697zd2_2161;
																																																															BgL_carzd22697zd2_2161
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22691zd2_2160);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22697zd2_2161))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd22704zd2_2163;
																																																																	BgL_carzd22704zd2_2163
																																																																		=
																																																																		CAR
																																																																		(CDR
																																																																		(BgL_cdrzd22691zd2_2160));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22704zd2_2163))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22677zd2_2158))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_arg2472z00_2166;
																																																																					BgL_arg2472z00_2166
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd22684zd2_2159);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_7306;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_7310;
																																																																							obj_t
																																																																								BgL_proc2z00_7309;
																																																																							obj_t
																																																																								BgL_proc1z00_7308;
																																																																							obj_t
																																																																								BgL_testz00_7307;
																																																																							BgL_testz00_7307
																																																																								=
																																																																								BgL_arg2472z00_2166;
																																																																							BgL_proc1z00_7308
																																																																								=
																																																																								BgL_carzd22697zd2_2161;
																																																																							BgL_proc2z00_7309
																																																																								=
																																																																								BgL_carzd22704zd2_2163;
																																																																							BgL_argsz00_7310
																																																																								=
																																																																								BgL_cdrzd22677zd2_2158;
																																																																							BgL_argsz00_1536
																																																																								=
																																																																								BgL_argsz00_7310;
																																																																							BgL_proc2z00_1535
																																																																								=
																																																																								BgL_proc2z00_7309;
																																																																							BgL_proc1z00_1534
																																																																								=
																																																																								BgL_proc1z00_7308;
																																																																							BgL_testz00_1533
																																																																								=
																																																																								BgL_testz00_7307;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1537;
																																																																						}
																																																																						BgL_auxz00_7214
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_7306);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_7314;
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																							BgL_auxz00_7214
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_7314);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_7318;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																					BgL_auxz00_7214
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_7318);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7322;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																			BgL_auxz00_7214
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7322);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 115 */
																																																												goto
																																																													BgL_tagzd2398zd2_1553;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_7326;
																																																												goto
																																																													BgL_tagzd2399zd2_1554;
																																																												BgL_auxz00_7214
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_7326);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd22794zd2_2186;
																																																								BgL_cdrzd22794zd2_2186
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_cdrzd22800zd2_2187;
																																																									BgL_cdrzd22800zd2_2187
																																																										=
																																																										CDR
																																																										(CAR
																																																										(BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd22806zd2_2188;
																																																										BgL_cdrzd22806zd2_2188
																																																											=
																																																											CDR
																																																											(BgL_cdrzd22800zd2_2187);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd22811zd2_2189;
																																																											obj_t
																																																												BgL_cdrzd22812zd2_2190;
																																																											BgL_carzd22811zd2_2189
																																																												=
																																																												CAR
																																																												(BgL_cdrzd22806zd2_2188);
																																																											BgL_cdrzd22812zd2_2190
																																																												=
																																																												CDR
																																																												(BgL_cdrzd22806zd2_2188);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22811zd2_2189))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd22817zd2_2192;
																																																													BgL_carzd22817zd2_2192
																																																														=
																																																														CAR
																																																														(BgL_cdrzd22812zd2_2190);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22817zd2_2192))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (NULLP(CDR(BgL_cdrzd22812zd2_2190)))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22794zd2_2186))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2488z00_2196;
																																																																			BgL_arg2488z00_2196
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22800zd2_2187);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_7345;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7349;
																																																																					obj_t
																																																																						BgL_proc2z00_7348;
																																																																					obj_t
																																																																						BgL_proc1z00_7347;
																																																																					obj_t
																																																																						BgL_testz00_7346;
																																																																					BgL_testz00_7346
																																																																						=
																																																																						BgL_arg2488z00_2196;
																																																																					BgL_proc1z00_7347
																																																																						=
																																																																						BgL_carzd22811zd2_2189;
																																																																					BgL_proc2z00_7348
																																																																						=
																																																																						BgL_carzd22817zd2_2192;
																																																																					BgL_argsz00_7349
																																																																						=
																																																																						BgL_cdrzd22794zd2_2186;
																																																																					BgL_argsz00_1536
																																																																						=
																																																																						BgL_argsz00_7349;
																																																																					BgL_proc2z00_1535
																																																																						=
																																																																						BgL_proc2z00_7348;
																																																																					BgL_proc1z00_1534
																																																																						=
																																																																						BgL_proc1z00_7347;
																																																																					BgL_testz00_1533
																																																																						=
																																																																						BgL_testz00_7346;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1537;
																																																																				}
																																																																				BgL_auxz00_7214
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_7345);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_7353;
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																					BgL_auxz00_7214
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_7353);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7357;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																			BgL_auxz00_7214
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7357);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2398zd2_1553;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_7361;
																																																																	goto
																																																																		BgL_tagzd2399zd2_1554;
																																																																	BgL_auxz00_7214
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_7361);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2398zd2_1553;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_7365;
																																																															goto
																																																																BgL_tagzd2399zd2_1554;
																																																															BgL_auxz00_7214
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_7365);
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2398zd2_1553;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_7369;
																																																								goto
																																																									BgL_tagzd2399zd2_1554;
																																																								BgL_auxz00_7214
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7369);
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd22919zd2_2204;
																																																				BgL_cdrzd22919zd2_2204
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 115 */
																																																					obj_t
																																																						BgL_cdrzd22926zd2_2205;
																																																					BgL_cdrzd22926zd2_2205
																																																						=
																																																						CDR
																																																						(CAR
																																																						(BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd22933zd2_2206;
																																																						BgL_cdrzd22933zd2_2206
																																																							=
																																																							CDR
																																																							(BgL_cdrzd22926zd2_2205);
																																																						{	/* Ast/sexp.scm 115 */
																																																							obj_t
																																																								BgL_carzd22939zd2_2207;
																																																							obj_t
																																																								BgL_cdrzd22940zd2_2208;
																																																							BgL_carzd22939zd2_2207
																																																								=
																																																								CAR
																																																								(BgL_cdrzd22933zd2_2206);
																																																							BgL_cdrzd22940zd2_2208
																																																								=
																																																								CDR
																																																								(BgL_cdrzd22933zd2_2206);
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22939zd2_2207))
																																																								{	/* Ast/sexp.scm 115 */
																																																									if (PAIRP(BgL_cdrzd22940zd2_2208))
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd22947zd2_2211;
																																																											BgL_carzd22947zd2_2211
																																																												=
																																																												CAR
																																																												(BgL_cdrzd22940zd2_2208);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22947zd2_2211))
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (NULLP(CDR(BgL_cdrzd22940zd2_2208)))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22919zd2_2204))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_arg2501z00_2215;
																																																																	BgL_arg2501z00_2215
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22926zd2_2205);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_7390;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_7394;
																																																																			obj_t
																																																																				BgL_proc2z00_7393;
																																																																			obj_t
																																																																				BgL_proc1z00_7392;
																																																																			obj_t
																																																																				BgL_testz00_7391;
																																																																			BgL_testz00_7391
																																																																				=
																																																																				BgL_arg2501z00_2215;
																																																																			BgL_proc1z00_7392
																																																																				=
																																																																				BgL_carzd22939zd2_2207;
																																																																			BgL_proc2z00_7393
																																																																				=
																																																																				BgL_carzd22947zd2_2211;
																																																																			BgL_argsz00_7394
																																																																				=
																																																																				BgL_cdrzd22919zd2_2204;
																																																																			BgL_argsz00_1536
																																																																				=
																																																																				BgL_argsz00_7394;
																																																																			BgL_proc2z00_1535
																																																																				=
																																																																				BgL_proc2z00_7393;
																																																																			BgL_proc1z00_1534
																																																																				=
																																																																				BgL_proc1z00_7392;
																																																																			BgL_testz00_1533
																																																																				=
																																																																				BgL_testz00_7391;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1537;
																																																																		}
																																																																		BgL_auxz00_7214
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_7390);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7398;
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																			BgL_auxz00_7214
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7398);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2398zd2_1553;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_7402;
																																																																	goto
																																																																		BgL_tagzd2399zd2_1554;
																																																																	BgL_auxz00_7214
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_7402);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2398zd2_1553;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_7406;
																																																															goto
																																																																BgL_tagzd2399zd2_1554;
																																																															BgL_auxz00_7214
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_7406);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd2398zd2_1553;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_7410;
																																																													goto
																																																														BgL_tagzd2399zd2_1554;
																																																													BgL_auxz00_7214
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_7410);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 115 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 115 */
																																																											goto
																																																												BgL_tagzd2398zd2_1553;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_7414;
																																																											goto
																																																												BgL_tagzd2399zd2_1554;
																																																											BgL_auxz00_7214
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_7414);
																																																										}
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 115 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 115 */
																																																			goto
																																																				BgL_tagzd2398zd2_1553;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_7418;
																																																			goto
																																																				BgL_tagzd2399zd2_1554;
																																																			BgL_auxz00_7214
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7418);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_7420;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2524z00_2240;
																																						BgL_arg2524z00_2240
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_7420
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2524z00_2240));
																																					}
																																					if (BgL_testz00_7420)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_7424;
																																							goto
																																								BgL_tagzd2381zd2_1518;
																																							BgL_auxz00_7214
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_7424);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_7426;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2523z00_2239;
																																								BgL_arg2523z00_2239
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_7426
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2523z00_2239));
																																							}
																																							if (BgL_testz00_7426)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_7430;
																																									goto
																																										BgL_tagzd2382zd2_1519;
																																									BgL_auxz00_7214
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7430);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_carzd23101zd2_2231;
																																									BgL_carzd23101zd2_2231
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_cdrzd23106zd2_2232;
																																										BgL_cdrzd23106zd2_2232
																																											=
																																											CDR
																																											(BgL_carzd23101zd2_2231);
																																										if ((CAR(BgL_carzd23101zd2_2231) == CNST_TABLE_REF(((long) 3))))
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2518z00_2234;
																																												obj_t
																																													BgL_arg2519z00_2235;
																																												obj_t
																																													BgL_arg2520z00_2236;
																																												BgL_arg2518z00_2234
																																													=
																																													CAR
																																													(BgL_cdrzd23106zd2_2232);
																																												BgL_arg2519z00_2235
																																													=
																																													CDR
																																													(BgL_cdrzd23106zd2_2232);
																																												BgL_arg2520z00_2236
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_7441;
																																													{
																																														obj_t
																																															BgL_argsz00_7444;
																																														obj_t
																																															BgL_bodyz00_7443;
																																														obj_t
																																															BgL_varsz00_7442;
																																														BgL_varsz00_7442
																																															=
																																															BgL_arg2518z00_2234;
																																														BgL_bodyz00_7443
																																															=
																																															BgL_arg2519z00_2235;
																																														BgL_argsz00_7444
																																															=
																																															BgL_arg2520z00_2236;
																																														BgL_argsz00_1526
																																															=
																																															BgL_argsz00_7444;
																																														BgL_bodyz00_1525
																																															=
																																															BgL_bodyz00_7443;
																																														BgL_varsz00_1524
																																															=
																																															BgL_varsz00_7442;
																																														goto
																																															BgL_tagzd2384zd2_1527;
																																													}
																																													BgL_auxz00_7214
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_7441);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd2398zd2_1553;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_7448;
																																														goto
																																															BgL_tagzd2399zd2_1554;
																																														BgL_auxz00_7214
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_7448);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			bool_t
																																				BgL_testz00_7450;
																																			{	/* Ast/sexp.scm 115 */
																																				obj_t
																																					BgL_arg2530z00_2245;
																																				BgL_arg2530z00_2245
																																					=
																																					CAR
																																					(BgL_expz00_21);
																																				BgL_testz00_7450
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg2530z00_2245));
																																			}
																																			if (BgL_testz00_7450)
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_7454;
																																					goto
																																						BgL_tagzd2381zd2_1518;
																																					BgL_auxz00_7214
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_7454);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_7456;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2529z00_2244;
																																						BgL_arg2529z00_2244
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_7456
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg2529z00_2244));
																																					}
																																					if (BgL_testz00_7456)
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_7460;
																																							goto
																																								BgL_tagzd2382zd2_1519;
																																							BgL_auxz00_7214
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_7460);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																								{	/* Ast/sexp.scm 115 */
																																									goto
																																										BgL_tagzd2398zd2_1553;
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_7464;
																																									goto
																																										BgL_tagzd2399zd2_1554;
																																									BgL_auxz00_7214
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7464);
																																								}
																																						}
																																				}
																																		}
																																	return
																																		(
																																		(BgL_nodez00_bglt)
																																		BgL_auxz00_7214);
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	if (CBOOL
																																		(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_carzd22542zd2_1964)))
																																		{
																																			obj_t
																																				BgL_auxz00_7470;
																																			goto
																																				BgL_kapzd22544zd2_1966;
																																			return (
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_7470);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			if (
																																				(BgL_carzd22542zd2_1964
																																					==
																																					CNST_TABLE_REF
																																					(((long) 19))))
																																				{
																																					obj_t
																																						BgL_auxz00_7475;
																																					goto
																																						BgL_kapzd22544zd2_1966;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_7475);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					if (
																																						(BgL_carzd22542zd2_1964
																																							==
																																							CNST_TABLE_REF
																																							(((long) 20))))
																																						{
																																							obj_t
																																								BgL_auxz00_7480;
																																							goto
																																								BgL_kapzd22544zd2_1966;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_7480);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd22542zd2_1964)))
																																								{
																																									obj_t
																																										BgL_auxz00_7485;
																																									goto
																																										BgL_kapzd22544zd2_1966;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_7485);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_7487;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2450z00_2129;
																																										BgL_arg2450z00_2129
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_7487
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2450z00_2129));
																																									}
																																									if (BgL_testz00_7487)
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd2381zd2_1518;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_7491;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2449z00_2128;
																																												BgL_arg2449z00_2128
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_7491
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2449z00_2128));
																																											}
																																											if (BgL_testz00_7491)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_7495;
																																													goto
																																														BgL_tagzd2382zd2_1519;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_7495);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													obj_t
																																														BgL_carzd23278zd2_1974;
																																													obj_t
																																														BgL_cdrzd23279zd2_1975;
																																													BgL_carzd23278zd2_1974
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_cdrzd23279zd2_1975
																																														=
																																														CDR
																																														(BgL_expz00_21);
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd23283zd2_1976;
																																														BgL_cdrzd23283zd2_1976
																																															=
																																															CDR
																																															(BgL_carzd23278zd2_1974);
																																														if ((CAR(BgL_carzd23278zd2_1974) == CNST_TABLE_REF(((long) 3))))
																																															{	/* Ast/sexp.scm 115 */
																																																if (PAIRP(BgL_cdrzd23283zd2_1976))
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_carzd23286zd2_1979;
																																																		obj_t
																																																			BgL_cdrzd23287zd2_1980;
																																																		BgL_carzd23286zd2_1979
																																																			=
																																																			CAR
																																																			(BgL_cdrzd23283zd2_1976);
																																																		BgL_cdrzd23287zd2_1980
																																																			=
																																																			CDR
																																																			(BgL_cdrzd23283zd2_1976);
																																																		if (PAIRP(BgL_carzd23286zd2_1979))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (NULLP(CDR(BgL_carzd23286zd2_1979)))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd23287zd2_1980))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd23293zd2_1984;
																																																								BgL_carzd23293zd2_1984
																																																									=
																																																									CAR
																																																									(BgL_cdrzd23287zd2_1980);
																																																								if (PAIRP(BgL_carzd23293zd2_1984))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd23293zd2_1984))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (NULLP(CDR(BgL_cdrzd23287zd2_1980)))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (PAIRP(BgL_cdrzd23279zd2_1975))
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_carzd23300zd2_1989;
																																																																BgL_carzd23300zd2_1989
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd23279zd2_1975);
																																																																if (PAIRP(BgL_carzd23300zd2_1989))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd23322zd2_1991;
																																																																		BgL_cdrzd23322zd2_1991
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_7534;
																																																																			obj_t
																																																																				BgL_bodyz00_7532;
																																																																			obj_t
																																																																				BgL_varsz00_7530;
																																																																			BgL_varsz00_7530
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd23322zd2_1991);
																																																																			BgL_bodyz00_7532
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd23322zd2_1991);
																																																																			BgL_argsz00_7534
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			BgL_argsz00_1526
																																																																				=
																																																																				BgL_argsz00_7534;
																																																																			BgL_bodyz00_1525
																																																																				=
																																																																				BgL_bodyz00_7532;
																																																																			BgL_varsz00_1524
																																																																				=
																																																																				BgL_varsz00_7530;
																																																																			goto
																																																																				BgL_tagzd2384zd2_1527;
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_cdrzd23279zd2_1975)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_arg2354z00_1997;
																																																																				BgL_arg2354z00_1997
																																																																					=
																																																																					CAR
																																																																					(BgL_carzd23286zd2_1979);
																																																																				{
																																																																					BgL_castz00_bglt
																																																																						BgL_auxz00_7540;
																																																																					{
																																																																						obj_t
																																																																							BgL_argz00_7543;
																																																																						obj_t
																																																																							BgL_bodyz00_7542;
																																																																						obj_t
																																																																							BgL_varz00_7541;
																																																																						BgL_varz00_7541
																																																																							=
																																																																							BgL_arg2354z00_1997;
																																																																						BgL_bodyz00_7542
																																																																							=
																																																																							BgL_carzd23293zd2_1984;
																																																																						BgL_argz00_7543
																																																																							=
																																																																							BgL_carzd23300zd2_1989;
																																																																						BgL_argz00_1522
																																																																							=
																																																																							BgL_argz00_7543;
																																																																						BgL_bodyz00_1521
																																																																							=
																																																																							BgL_bodyz00_7542;
																																																																						BgL_varz00_1520
																																																																							=
																																																																							BgL_varz00_7541;
																																																																						goto
																																																																							BgL_tagzd2383zd2_1523;
																																																																					}
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7540);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd23347zd2_1998;
																																																																				BgL_cdrzd23347zd2_1998
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7551;
																																																																					obj_t
																																																																						BgL_bodyz00_7549;
																																																																					obj_t
																																																																						BgL_varsz00_7547;
																																																																					BgL_varsz00_7547
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd23347zd2_1998);
																																																																					BgL_bodyz00_7549
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd23347zd2_1998);
																																																																					BgL_argsz00_7551
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					BgL_argsz00_1526
																																																																						=
																																																																						BgL_argsz00_7551;
																																																																					BgL_bodyz00_1525
																																																																						=
																																																																						BgL_bodyz00_7549;
																																																																					BgL_varsz00_1524
																																																																						=
																																																																						BgL_varsz00_7547;
																																																																					goto
																																																																						BgL_tagzd2384zd2_1527;
																																																																				}
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd23371zd2_2004;
																																																																BgL_cdrzd23371zd2_2004
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_7559;
																																																																	obj_t
																																																																		BgL_bodyz00_7557;
																																																																	obj_t
																																																																		BgL_varsz00_7555;
																																																																	BgL_varsz00_7555
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd23371zd2_2004);
																																																																	BgL_bodyz00_7557
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd23371zd2_2004);
																																																																	BgL_argsz00_7559
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	BgL_argsz00_1526
																																																																		=
																																																																		BgL_argsz00_7559;
																																																																	BgL_bodyz00_1525
																																																																		=
																																																																		BgL_bodyz00_7557;
																																																																	BgL_varsz00_1524
																																																																		=
																																																																		BgL_varsz00_7555;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1527;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd23395zd2_2009;
																																																														BgL_cdrzd23395zd2_2009
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_7567;
																																																															obj_t
																																																																BgL_bodyz00_7565;
																																																															obj_t
																																																																BgL_varsz00_7563;
																																																															BgL_varsz00_7563
																																																																=
																																																																CAR
																																																																(BgL_cdrzd23395zd2_2009);
																																																															BgL_bodyz00_7565
																																																																=
																																																																CDR
																																																																(BgL_cdrzd23395zd2_2009);
																																																															BgL_argsz00_7567
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															BgL_argsz00_1526
																																																																=
																																																																BgL_argsz00_7567;
																																																															BgL_bodyz00_1525
																																																																=
																																																																BgL_bodyz00_7565;
																																																															BgL_varsz00_1524
																																																																=
																																																																BgL_varsz00_7563;
																																																															goto
																																																																BgL_tagzd2384zd2_1527;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd23419zd2_2015;
																																																												BgL_cdrzd23419zd2_2015
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{
																																																													obj_t
																																																														BgL_argsz00_7575;
																																																													obj_t
																																																														BgL_bodyz00_7573;
																																																													obj_t
																																																														BgL_varsz00_7571;
																																																													BgL_varsz00_7571
																																																														=
																																																														CAR
																																																														(BgL_cdrzd23419zd2_2015);
																																																													BgL_bodyz00_7573
																																																														=
																																																														CDR
																																																														(BgL_cdrzd23419zd2_2015);
																																																													BgL_argsz00_7575
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													BgL_argsz00_1526
																																																														=
																																																														BgL_argsz00_7575;
																																																													BgL_bodyz00_1525
																																																														=
																																																														BgL_bodyz00_7573;
																																																													BgL_varsz00_1524
																																																														=
																																																														BgL_varsz00_7571;
																																																													goto
																																																														BgL_tagzd2384zd2_1527;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd23443zd2_2020;
																																																										BgL_cdrzd23443zd2_2020
																																																											=
																																																											CDR
																																																											(BgL_carzd23278zd2_1974);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_7582;
																																																											obj_t
																																																												BgL_bodyz00_7580;
																																																											obj_t
																																																												BgL_varsz00_7578;
																																																											BgL_varsz00_7578
																																																												=
																																																												CAR
																																																												(BgL_cdrzd23443zd2_2020);
																																																											BgL_bodyz00_7580
																																																												=
																																																												CDR
																																																												(BgL_cdrzd23443zd2_2020);
																																																											BgL_argsz00_7582
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											BgL_argsz00_1526
																																																												=
																																																												BgL_argsz00_7582;
																																																											BgL_bodyz00_1525
																																																												=
																																																												BgL_bodyz00_7580;
																																																											BgL_varsz00_1524
																																																												=
																																																												BgL_varsz00_7578;
																																																											goto
																																																												BgL_tagzd2384zd2_1527;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd23467zd2_2025;
																																																								BgL_cdrzd23467zd2_2025
																																																									=
																																																									CDR
																																																									(BgL_carzd23278zd2_1974);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_7589;
																																																									obj_t
																																																										BgL_bodyz00_7587;
																																																									obj_t
																																																										BgL_varsz00_7585;
																																																									BgL_varsz00_7585
																																																										=
																																																										CAR
																																																										(BgL_cdrzd23467zd2_2025);
																																																									BgL_bodyz00_7587
																																																										=
																																																										CDR
																																																										(BgL_cdrzd23467zd2_2025);
																																																									BgL_argsz00_7589
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									BgL_argsz00_1526
																																																										=
																																																										BgL_argsz00_7589;
																																																									BgL_bodyz00_1525
																																																										=
																																																										BgL_bodyz00_7587;
																																																									BgL_varsz00_1524
																																																										=
																																																										BgL_varsz00_7585;
																																																									goto
																																																										BgL_tagzd2384zd2_1527;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd23491zd2_2030;
																																																						BgL_cdrzd23491zd2_2030
																																																							=
																																																							CDR
																																																							(BgL_carzd23278zd2_1974);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_7596;
																																																							obj_t
																																																								BgL_bodyz00_7594;
																																																							obj_t
																																																								BgL_varsz00_7592;
																																																							BgL_varsz00_7592
																																																								=
																																																								CAR
																																																								(BgL_cdrzd23491zd2_2030);
																																																							BgL_bodyz00_7594
																																																								=
																																																								CDR
																																																								(BgL_cdrzd23491zd2_2030);
																																																							BgL_argsz00_7596
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							BgL_argsz00_1526
																																																								=
																																																								BgL_argsz00_7596;
																																																							BgL_bodyz00_1525
																																																								=
																																																								BgL_bodyz00_7594;
																																																							BgL_varsz00_1524
																																																								=
																																																								BgL_varsz00_7592;
																																																							goto
																																																								BgL_tagzd2384zd2_1527;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd23515zd2_2036;
																																																				BgL_cdrzd23515zd2_2036
																																																					=
																																																					CDR
																																																					(BgL_carzd23278zd2_1974);
																																																				{
																																																					obj_t
																																																						BgL_argsz00_7603;
																																																					obj_t
																																																						BgL_bodyz00_7601;
																																																					obj_t
																																																						BgL_varsz00_7599;
																																																					BgL_varsz00_7599
																																																						=
																																																						CAR
																																																						(BgL_cdrzd23515zd2_2036);
																																																					BgL_bodyz00_7601
																																																						=
																																																						CDR
																																																						(BgL_cdrzd23515zd2_2036);
																																																					BgL_argsz00_7603
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					BgL_argsz00_1526
																																																						=
																																																						BgL_argsz00_7603;
																																																					BgL_bodyz00_1525
																																																						=
																																																						BgL_bodyz00_7601;
																																																					BgL_varsz00_1524
																																																						=
																																																						BgL_varsz00_7599;
																																																					goto
																																																						BgL_tagzd2384zd2_1527;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_7607;
																																																				goto
																																																					BgL_tagzd2398zd2_1553;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_7607);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2399zd2_1554;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd23595zd2_2044;
																																																BgL_cdrzd23595zd2_2044
																																																	=
																																																	CDR
																																																	(BgL_carzd23278zd2_1974);
																																																if ((CAR(BgL_carzd23278zd2_1974) == CNST_TABLE_REF(((long) 1))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd23595zd2_2044))
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd23600zd2_2047;
																																																				BgL_cdrzd23600zd2_2047
																																																					=
																																																					CDR
																																																					(BgL_cdrzd23595zd2_2044);
																																																				if (PAIRP(BgL_cdrzd23600zd2_2047))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_carzd23604zd2_2049;
																																																						obj_t
																																																							BgL_cdrzd23605zd2_2050;
																																																						BgL_carzd23604zd2_2049
																																																							=
																																																							CAR
																																																							(BgL_cdrzd23600zd2_2047);
																																																						BgL_cdrzd23605zd2_2050
																																																							=
																																																							CDR
																																																							(BgL_cdrzd23600zd2_2047);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23604zd2_2049))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (PAIRP(BgL_cdrzd23605zd2_2050))
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_carzd23610zd2_2053;
																																																										BgL_carzd23610zd2_2053
																																																											=
																																																											CAR
																																																											(BgL_cdrzd23605zd2_2050);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23610zd2_2053))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (NULLP(CDR(BgL_cdrzd23605zd2_2050)))
																																																													{	/* Ast/sexp.scm 115 */
																																																														bool_t
																																																															BgL_testz00_7631;
																																																														{
																																																															obj_t
																																																																BgL_l1985z00_2074;
																																																															bool_t
																																																																BgL_lv1986z00_2075;
																																																															BgL_l1985z00_2074
																																																																=
																																																																BgL_cdrzd23279zd2_1975;
																																																															BgL_lv1986z00_2075
																																																																=
																																																																(
																																																																(bool_t)
																																																																1);
																																																														BgL_zc3anonymousza32413ze3z83_2076:
																																																															if (NULLP(BgL_l1985z00_2074))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	BgL_testz00_7631
																																																																		=
																																																																		BgL_lv1986z00_2075;
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	bool_t
																																																																		BgL_nvz00_2078;
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		bool_t
																																																																			BgL_testz00_7634;
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_auxz00_7635;
																																																																			BgL_auxz00_7635
																																																																				=
																																																																				CAR
																																																																				(BgL_l1985z00_2074);
																																																																			BgL_testz00_7634
																																																																				=
																																																																				PAIRP
																																																																				(BgL_auxz00_7635);
																																																																		}
																																																																		if (BgL_testz00_7634)
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				BgL_nvz00_2078
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				BgL_nvz00_2078
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																	}
																																																																	if (BgL_nvz00_2078)
																																																																		{
																																																																			bool_t
																																																																				BgL_lv1986z00_7641;
																																																																			obj_t
																																																																				BgL_l1985z00_7639;
																																																																			BgL_l1985z00_7639
																																																																				=
																																																																				CDR
																																																																				(BgL_l1985z00_2074);
																																																																			BgL_lv1986z00_7641
																																																																				=
																																																																				BgL_nvz00_2078;
																																																																			BgL_lv1986z00_2075
																																																																				=
																																																																				BgL_lv1986z00_7641;
																																																																			BgL_l1985z00_2074
																																																																				=
																																																																				BgL_l1985z00_7639;
																																																																			goto
																																																																				BgL_zc3anonymousza32413ze3z83_2076;
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			BgL_testz00_7631
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																														}
																																																														if (BgL_testz00_7631)
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_7646;
																																																																obj_t
																																																																	BgL_proc2z00_7645;
																																																																obj_t
																																																																	BgL_proc1z00_7644;
																																																																obj_t
																																																																	BgL_testz00_7642;
																																																																BgL_testz00_7642
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd23595zd2_2044);
																																																																BgL_proc1z00_7644
																																																																	=
																																																																	BgL_carzd23604zd2_2049;
																																																																BgL_proc2z00_7645
																																																																	=
																																																																	BgL_carzd23610zd2_2053;
																																																																BgL_argsz00_7646
																																																																	=
																																																																	BgL_cdrzd23279zd2_1975;
																																																																BgL_argsz00_1531
																																																																	=
																																																																	BgL_argsz00_7646;
																																																																BgL_proc2z00_1530
																																																																	=
																																																																	BgL_proc2z00_7645;
																																																																BgL_proc1z00_1529
																																																																	=
																																																																	BgL_proc1z00_7644;
																																																																BgL_testz00_1528
																																																																	=
																																																																	BgL_testz00_7642;
																																																																goto
																																																																	BgL_tagzd2385zd2_1532;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd23632zd2_2058;
																																																																BgL_cdrzd23632zd2_2058
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_cdrzd23640zd2_2059;
																																																																	BgL_cdrzd23640zd2_2059
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd23648zd2_2060;
																																																																		BgL_cdrzd23648zd2_2060
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd23640zd2_2059);
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd23655zd2_2061;
																																																																			BgL_carzd23655zd2_2061
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd23648zd2_2060);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23655zd2_2061))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_carzd23664zd2_2063;
																																																																					BgL_carzd23664zd2_2063
																																																																						=
																																																																						CAR
																																																																						(CDR
																																																																						(BgL_cdrzd23648zd2_2060));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23664zd2_2063))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23632zd2_2058))
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_7664;
																																																																									obj_t
																																																																										BgL_proc2z00_7663;
																																																																									obj_t
																																																																										BgL_proc1z00_7662;
																																																																									obj_t
																																																																										BgL_testz00_7660;
																																																																									BgL_testz00_7660
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd23640zd2_2059);
																																																																									BgL_proc1z00_7662
																																																																										=
																																																																										BgL_carzd23655zd2_2061;
																																																																									BgL_proc2z00_7663
																																																																										=
																																																																										BgL_carzd23664zd2_2063;
																																																																									BgL_argsz00_7664
																																																																										=
																																																																										BgL_cdrzd23632zd2_2058;
																																																																									BgL_argsz00_1536
																																																																										=
																																																																										BgL_argsz00_7664;
																																																																									BgL_proc2z00_1535
																																																																										=
																																																																										BgL_proc2z00_7663;
																																																																									BgL_proc1z00_1534
																																																																										=
																																																																										BgL_proc1z00_7662;
																																																																									BgL_testz00_1533
																																																																										=
																																																																										BgL_testz00_7660;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1537;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_7667;
																																																																											goto
																																																																												BgL_tagzd2398zd2_1553;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_7667);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2399zd2_1554;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_7671;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1553;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_7671);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1554;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7675;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7675);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_7679;
																																																																goto
																																																																	BgL_tagzd2398zd2_1553;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_auxz00_7679);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																goto
																																																																	BgL_tagzd2399zd2_1554;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd23756zd2_2086;
																																																												BgL_cdrzd23756zd2_2086
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd23763zd2_2087;
																																																													BgL_cdrzd23763zd2_2087
																																																														=
																																																														CDR
																																																														(CAR
																																																														(BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd23770zd2_2088;
																																																														BgL_cdrzd23770zd2_2088
																																																															=
																																																															CDR
																																																															(BgL_cdrzd23763zd2_2087);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd23776zd2_2089;
																																																															obj_t
																																																																BgL_cdrzd23777zd2_2090;
																																																															BgL_carzd23776zd2_2089
																																																																=
																																																																CAR
																																																																(BgL_cdrzd23770zd2_2088);
																																																															BgL_cdrzd23777zd2_2090
																																																																=
																																																																CDR
																																																																(BgL_cdrzd23770zd2_2088);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23776zd2_2089))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd23784zd2_2092;
																																																																	BgL_carzd23784zd2_2092
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd23777zd2_2090);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23784zd2_2092))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (NULLP(CDR(BgL_cdrzd23777zd2_2090)))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23756zd2_2086))
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_7701;
																																																																							obj_t
																																																																								BgL_proc2z00_7700;
																																																																							obj_t
																																																																								BgL_proc1z00_7699;
																																																																							obj_t
																																																																								BgL_testz00_7697;
																																																																							BgL_testz00_7697
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd23763zd2_2087);
																																																																							BgL_proc1z00_7699
																																																																								=
																																																																								BgL_carzd23776zd2_2089;
																																																																							BgL_proc2z00_7700
																																																																								=
																																																																								BgL_carzd23784zd2_2092;
																																																																							BgL_argsz00_7701
																																																																								=
																																																																								BgL_cdrzd23756zd2_2086;
																																																																							BgL_argsz00_1536
																																																																								=
																																																																								BgL_argsz00_7701;
																																																																							BgL_proc2z00_1535
																																																																								=
																																																																								BgL_proc2z00_7700;
																																																																							BgL_proc1z00_1534
																																																																								=
																																																																								BgL_proc1z00_7699;
																																																																							BgL_testz00_1533
																																																																								=
																																																																								BgL_testz00_7697;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1537;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_7704;
																																																																									goto
																																																																										BgL_tagzd2398zd2_1553;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_7704);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2399zd2_1554;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7708;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7708);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_7712;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7712);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_7716;
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_7716);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_7720;
																																																												goto
																																																													BgL_tagzd2398zd2_1553;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_7720);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												goto
																																																													BgL_tagzd2399zd2_1554;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd23886zd2_2104;
																																																								BgL_cdrzd23886zd2_2104
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_cdrzd23892zd2_2105;
																																																									BgL_cdrzd23892zd2_2105
																																																										=
																																																										CDR
																																																										(CAR
																																																										(BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd23898zd2_2106;
																																																										BgL_cdrzd23898zd2_2106
																																																											=
																																																											CDR
																																																											(BgL_cdrzd23892zd2_2105);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd23903zd2_2107;
																																																											obj_t
																																																												BgL_cdrzd23904zd2_2108;
																																																											BgL_carzd23903zd2_2107
																																																												=
																																																												CAR
																																																												(BgL_cdrzd23898zd2_2106);
																																																											BgL_cdrzd23904zd2_2108
																																																												=
																																																												CDR
																																																												(BgL_cdrzd23898zd2_2106);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23903zd2_2107))
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (PAIRP(BgL_cdrzd23904zd2_2108))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd23909zd2_2111;
																																																															BgL_carzd23909zd2_2111
																																																																=
																																																																CAR
																																																																(BgL_cdrzd23904zd2_2108);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23909zd2_2111))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd23904zd2_2108)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23886zd2_2104))
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7744;
																																																																					obj_t
																																																																						BgL_proc2z00_7743;
																																																																					obj_t
																																																																						BgL_proc1z00_7742;
																																																																					obj_t
																																																																						BgL_testz00_7740;
																																																																					BgL_testz00_7740
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd23892zd2_2105);
																																																																					BgL_proc1z00_7742
																																																																						=
																																																																						BgL_carzd23903zd2_2107;
																																																																					BgL_proc2z00_7743
																																																																						=
																																																																						BgL_carzd23909zd2_2111;
																																																																					BgL_argsz00_7744
																																																																						=
																																																																						BgL_cdrzd23886zd2_2104;
																																																																					BgL_argsz00_1536
																																																																						=
																																																																						BgL_argsz00_7744;
																																																																					BgL_proc2z00_1535
																																																																						=
																																																																						BgL_proc2z00_7743;
																																																																					BgL_proc1z00_1534
																																																																						=
																																																																						BgL_proc1z00_7742;
																																																																					BgL_testz00_1533
																																																																						=
																																																																						BgL_testz00_7740;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1537;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7747;
																																																																							goto
																																																																								BgL_tagzd2398zd2_1553;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7747);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2399zd2_1554;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_7751;
																																																																					goto
																																																																						BgL_tagzd2398zd2_1553;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7751);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2399zd2_1554;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_7755;
																																																																			goto
																																																																				BgL_tagzd2398zd2_1553;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_7755);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2399zd2_1554;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_7759;
																																																																	goto
																																																																		BgL_tagzd2398zd2_1553;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_7759);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2399zd2_1554;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_7763;
																																																															goto
																																																																BgL_tagzd2398zd2_1553;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_7763);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2399zd2_1554;
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_7767;
																																																								goto
																																																									BgL_tagzd2398zd2_1553;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_7767);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2399zd2_1554;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_7771;
																																																						goto
																																																							BgL_tagzd2398zd2_1553;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_7771);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2399zd2_1554;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_7775;
																																																				goto
																																																					BgL_tagzd2398zd2_1553;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_7775);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2399zd2_1554;
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														if (
																															(BgL_carzd22539zd2_1962
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		18))))
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2381zd2_1518;
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																if (CBOOL
																																	(BGl_letzd2symzf3z21zzast_letz00
																																		(BgL_carzd22539zd2_1962)))
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2381zd2_1518;
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		if (
																																			(BgL_carzd22539zd2_1962
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						19))))
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2381zd2_1518;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				if (
																																					(BgL_carzd22539zd2_1962
																																						==
																																						CNST_TABLE_REF
																																						(((long) 21))))
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd2381zd2_1518;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_carzd24085zd2_2251;
																																						BgL_carzd24085zd2_2251
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						if (
																																							(BgL_carzd24085zd2_2251
																																								==
																																								CNST_TABLE_REF
																																								(((long) 20))))
																																							{
																																								BgL_letzd2funzd2_bglt
																																									BgL_auxz00_7793;
																																								goto
																																									BgL_tagzd2382zd2_1519;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_7793);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd24085zd2_2251)))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_7798;
																																										goto
																																											BgL_tagzd2382zd2_1519;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_7798);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd2387zd2_1538;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd2388zd2_1539;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd24145zd2_2256;
																																														BgL_cdrzd24145zd2_2256
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																															{	/* Ast/sexp.scm 115 */
																																																if (PAIRP(BgL_cdrzd24145zd2_2256))
																																																	{
																																																		obj_t
																																																			BgL_restz00_7817;
																																																		obj_t
																																																			BgL_effectz00_7815;
																																																		BgL_effectz00_7815
																																																			=
																																																			CAR
																																																			(BgL_cdrzd24145zd2_2256);
																																																		BgL_restz00_7817
																																																			=
																																																			CDR
																																																			(BgL_cdrzd24145zd2_2256);
																																																		BgL_restz00_1541
																																																			=
																																																			BgL_restz00_7817;
																																																		BgL_effectz00_1540
																																																			=
																																																			BgL_effectz00_7815;
																																																		goto
																																																			BgL_tagzd2389zd2_1542;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_7821;
																																																				goto
																																																					BgL_tagzd2398zd2_1553;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_7821);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2399zd2_1554;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		goto
																																																			BgL_tagzd2390zd2_1543;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd24145zd2_2256))
																																																					{
																																																						obj_t
																																																							BgL_restz00_7835;
																																																						obj_t
																																																							BgL_effectz00_7833;
																																																						BgL_effectz00_7833
																																																							=
																																																							CAR
																																																							(BgL_cdrzd24145zd2_2256);
																																																						BgL_restz00_7835
																																																							=
																																																							CDR
																																																							(BgL_cdrzd24145zd2_2256);
																																																						BgL_restz00_1545
																																																							=
																																																							BgL_restz00_7835;
																																																						BgL_effectz00_1544
																																																							=
																																																							BgL_effectz00_7833;
																																																						goto
																																																							BgL_tagzd2391zd2_1546;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_7839;
																																																								goto
																																																									BgL_tagzd2398zd2_1553;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_7839);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2399zd2_1554;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2392zd2_1547;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2393zd2_1548;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_7853;
																																																										goto
																																																											BgL_tagzd2394zd2_1549;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_7853);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																											{
																																																												BgL_jumpzd2exzd2itz00_bglt
																																																													BgL_auxz00_7859;
																																																												goto
																																																													BgL_tagzd2395zd2_1550;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_7859);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd24183zd2_2273;
																																																												BgL_cdrzd24183zd2_2273
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (PAIRP(BgL_cdrzd24183zd2_2273))
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd24185zd2_2276;
																																																																BgL_cdrzd24185zd2_2276
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd24183zd2_2273);
																																																																if (PAIRP(BgL_cdrzd24185zd2_2276))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_cdrzd24185zd2_2276)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2396zd2_1551;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7876;
																																																																						goto
																																																																							BgL_tagzd2398zd2_1553;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7876);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2399zd2_1554;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_7880;
																																																																				goto
																																																																					BgL_tagzd2398zd2_1553;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7880);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2399zd2_1554;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_7884;
																																																																		goto
																																																																			BgL_tagzd2398zd2_1553;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_7884);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2399zd2_1554;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (NULLP(BgL_cdrzd24183zd2_2273))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2397zd2_1552;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_7893;
																																																																				goto
																																																																					BgL_tagzd2398zd2_1553;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7893);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2399zd2_1554;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_7897;
																																																																		goto
																																																																			BgL_tagzd2398zd2_1553;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_7897);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2399zd2_1554;
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 115 */
										BgL_atomz00_1498 = BgL_expz00_21;
										{	/* Ast/sexp.scm 131 */
											bool_t BgL_testz00_7899;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1498,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 131 */
													BgL_testz00_7899 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 131 */
													BgL_testz00_7899 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1498,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_7899)
												{	/* Ast/sexp.scm 131 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1498, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 133 */
													bool_t BgL_testz00_7904;

													if (STRUCTP(BgL_atomz00_1498))
														{	/* Ast/sexp.scm 133 */
															BgL_testz00_7904 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 133 */
															if (VECTORP(BgL_atomz00_1498))
																{	/* Ast/sexp.scm 133 */
																	BgL_testz00_7904 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 133 */
																	if (BGL_OBJECTP(BgL_atomz00_1498))
																		{	/* Ast/sexp.scm 133 */
																			BgL_testz00_7904 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 133 */
																			BgL_testz00_7904 =
																				PROCEDUREP(BgL_atomz00_1498);
																		}
																}
														}
													if (BgL_testz00_7904)
														{	/* Ast/sexp.scm 134 */
															BgL_nodez00_bglt BgL_res3147z00_3957;

															{	/* Ast/sexp.scm 134 */
																obj_t BgL_arg3010z00_3953;
																BgL_nodez00_bglt BgL_arg3011z00_3954;

																BgL_arg3010z00_3953 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg3011z00_3954 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 134 */
																	obj_t BgL_list3012z00_3956;

																	BgL_list3012z00_3956 =
																		MAKE_PAIR(
																		((obj_t) BgL_arg3011z00_3954), BNIL);
																	BgL_res3147z00_3957 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg3010z00_3953,
																			BGl_string3427z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list3012z00_3956));
															}}
															return BgL_res3147z00_3957;
														}
													else
														{	/* Ast/sexp.scm 133 */
															if (SYMBOLP(BgL_atomz00_1498))
																{	/* Ast/sexp.scm 140 */
																	obj_t BgL_g1110z00_2332;

																	BgL_g1110z00_2332 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1498, BgL_stackz00_22);
																	if (CBOOL(BgL_g1110z00_2332))
																		{	/* Ast/sexp.scm 140 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1110z00_2332, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 144 */
																			obj_t BgL_globalz00_2335;

																			BgL_globalz00_2335 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1498, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_2335,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 146 */
																					if (
																						((((BgL_globalz00_bglt) CREF(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_2335)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/sexp.scm 149 */
																							obj_t BgL_arg2601z00_2338;

																							{	/* Ast/sexp.scm 149 */
																								obj_t BgL_arg2602z00_2339;

																								{	/* Ast/sexp.scm 149 */
																									obj_t BgL_arg2603z00_2340;

																									{	/* Ast/sexp.scm 149 */
																										obj_t BgL_arg2604z00_2341;

																										BgL_arg2604z00_2341 =
																											MAKE_PAIR
																											(BgL_atomz00_1498, BNIL);
																										BgL_arg2603z00_2340 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 13)),
																											BgL_arg2604z00_2341);
																									}
																									BgL_arg2602z00_2339 =
																										MAKE_PAIR
																										(BgL_arg2603z00_2340, BNIL);
																								}
																								BgL_arg2601z00_2338 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 11)),
																									BgL_arg2602z00_2339);
																							}
																							{
																								obj_t BgL_expz00_7941;

																								BgL_expz00_7941 =
																									BgL_arg2601z00_2338;
																								BgL_expz00_21 = BgL_expz00_7941;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 148 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_2335,
																								BgL_locz00_23, BgL_sitez00_24);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 147 */
																					BgL_nodez00_bglt BgL_res3150z00_3971;

																					{	/* Ast/sexp.scm 147 */
																						obj_t BgL_arg3010z00_3967;
																						BgL_nodez00_bglt
																							BgL_arg3011z00_3968;
																						BgL_arg3010z00_3967 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg3011z00_3968 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 147 */
																							obj_t BgL_list3012z00_3970;

																							BgL_list3012z00_3970 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg3011z00_3968),
																								BNIL);
																							BgL_res3150z00_3971 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg3010z00_3967,
																									BGl_string3426z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list3012z00_3970));
																					}}
																					return BgL_res3150z00_3971;
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 136 */
																	BgL_atomz00_bglt BgL_new1109z00_2344;

																	{	/* Ast/sexp.scm 136 */
																		BgL_atomz00_bglt BgL_new1108z00_2345;

																		BgL_new1108z00_2345 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Ast/sexp.scm 136 */
																			long BgL_arg2607z00_2346;

																			{	/* Ast/sexp.scm 136 */
																				long BgL_res3151z00_3975;

																				{	/* Ast/sexp.scm 136 */
																					obj_t BgL_classz00_3972;

																					BgL_classz00_3972 =
																						BGl_atomz00zzast_nodez00;
																					{	/* Ast/sexp.scm 136 */
																						obj_t BgL_vectorz00_3973;
																						int BgL_kz00_3974;

																						BgL_vectorz00_3973 =
																							BgL_classz00_3972;
																						BgL_kz00_3974 = (int) (((long) 1));
																						BgL_res3151z00_3975 =
																							(long)
																							CINT(VECTOR_REF
																							(BgL_vectorz00_3973,
																								BgL_kz00_3974));
																				}}
																				BgL_arg2607z00_2346 =
																					BgL_res3151z00_3975;
																			}
																			{	/* Ast/sexp.scm 136 */
																				BgL_objectz00_bglt BgL_objz00_3976;

																				BgL_objz00_3976 =
																					((BgL_objectz00_bglt)
																					BgL_new1108z00_2345);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_3976,
																					BgL_arg2607z00_2346);
																		}}
																		{	/* Ast/sexp.scm 136 */
																			BgL_objectz00_bglt BgL_auxz00_7958;

																			BgL_auxz00_7958 =
																				((BgL_objectz00_bglt)
																				BgL_new1108z00_2345);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_7958,
																				BFALSE);
																		}
																		BgL_new1109z00_2344 = BgL_new1108z00_2345;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1109z00_2344)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1109z00_2344)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1498)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1109z00_2344))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1498), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1109z00_2344);
																}
														}
												}
										}
									}
							}
					}
			}
		}
	}



/* liip */
	obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_2651)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 355 */
			if (NULLP(BgL_argsz00_2651))
				{	/* Ast/sexp.scm 356 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 358 */
					obj_t BgL_arg2804z00_2654;

					{	/* Ast/sexp.scm 358 */
						obj_t BgL_arg2805z00_2655;
						obj_t BgL_arg2806z00_2656;

						BgL_arg2805z00_2655 = CAR(BgL_argsz00_2651);
						BgL_arg2806z00_2656 =
							MAKE_PAIR(BGl_liipz00zzast_sexpz00(CDR(BgL_argsz00_2651)), BNIL);
						BgL_arg2804z00_2654 =
							MAKE_PAIR(BgL_arg2805z00_2655, BgL_arg2806z00_2656);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 30)), BgL_arg2804z00_2654);
		}}
	}



/* loop */
	obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_5402, obj_t BgL_locz00_5401,
		obj_t BgL_varsz00_2615, obj_t BgL_argsz00_2616)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 340 */
		BGl_loopz00zzast_sexpz00:
			if (NULLP(BgL_varsz00_2615))
				{	/* Ast/sexp.scm 343 */
					if (NULLP(BgL_argsz00_2616))
						{	/* Ast/sexp.scm 344 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 344 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_5401,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string3429z00zzast_sexpz00, BgL_expz00_5402, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 343 */
					if (PAIRP(BgL_varsz00_2615))
						{	/* Ast/sexp.scm 351 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_2615)))
								{	/* Ast/sexp.scm 361 */
									obj_t BgL_argz00_2625;

									BgL_argz00_2625 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_2615));
									if (CBOOL(BgL_argz00_2625))
										{
											obj_t BgL_varsz00_7994;

											BgL_varsz00_7994 = BgL_argz00_2625;
											BgL_varsz00_2615 = BgL_varsz00_7994;
											goto BGl_loopz00zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_7995;

											BgL_varsz00_7995 = BNIL;
											BgL_varsz00_2615 = BgL_varsz00_7995;
											goto BGl_loopz00zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 366 */
									bool_t BgL_testz00_7996;

									{	/* Ast/sexp.scm 366 */
										obj_t BgL_auxz00_7997;

										BgL_auxz00_7997 = CAR(BgL_varsz00_2615);
										BgL_testz00_7996 = SYMBOLP(BgL_auxz00_7997);
									}
									if (BgL_testz00_7996)
										{	/* Ast/sexp.scm 366 */
											if (NULLP(BgL_argsz00_2616))
												{	/* Ast/sexp.scm 372 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_5401,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string3429z00zzast_sexpz00, BgL_expz00_5402,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 379 */
													obj_t BgL_arg2783z00_2632;
													obj_t BgL_arg2784z00_2633;

													{	/* Ast/sexp.scm 379 */
														obj_t BgL_arg2785z00_2634;
														obj_t BgL_arg2786z00_2635;

														BgL_arg2785z00_2634 = CAR(BgL_varsz00_2615);
														BgL_arg2786z00_2635 = CAR(BgL_argsz00_2616);
														{	/* Ast/sexp.scm 379 */
															obj_t BgL_list2787z00_2636;

															{	/* Ast/sexp.scm 379 */
																obj_t BgL_arg2788z00_2637;

																BgL_arg2788z00_2637 =
																	MAKE_PAIR(BgL_arg2786z00_2635, BNIL);
																BgL_list2787z00_2636 =
																	MAKE_PAIR(BgL_arg2785z00_2634,
																	BgL_arg2788z00_2637);
															}
															BgL_arg2783z00_2632 = BgL_list2787z00_2636;
														}
													}
													BgL_arg2784z00_2633 =
														BGl_loopz00zzast_sexpz00(BgL_expz00_5402,
														BgL_locz00_5401, CDR(BgL_varsz00_2615),
														CDR(BgL_argsz00_2616));
													return MAKE_PAIR(BgL_arg2783z00_2632,
														BgL_arg2784z00_2633);
												}
										}
									else
										{	/* Ast/sexp.scm 366 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_5401,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string3430z00zzast_sexpz00, BgL_expz00_5402, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 356 */
							obj_t BgL_arg2797z00_2645;

							{	/* Ast/sexp.scm 356 */
								obj_t BgL_arg2799z00_2647;

								BgL_arg2799z00_2647 =
									BGl_liipz00zzast_sexpz00(BgL_argsz00_2616);
								{	/* Ast/sexp.scm 353 */
									obj_t BgL_list2800z00_2648;

									{	/* Ast/sexp.scm 353 */
										obj_t BgL_arg2801z00_2649;

										BgL_arg2801z00_2649 = MAKE_PAIR(BgL_arg2799z00_2647, BNIL);
										BgL_list2800z00_2648 =
											MAKE_PAIR(BgL_varsz00_2615, BgL_arg2801z00_2649);
									}
									BgL_arg2797z00_2645 = BgL_list2800z00_2648;
								}
							}
							{	/* Ast/sexp.scm 352 */
								obj_t BgL_list2798z00_2646;

								BgL_list2798z00_2646 = MAKE_PAIR(BgL_arg2797z00_2645, BNIL);
								return BgL_list2798z00_2646;
							}
						}
				}
		}
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_5363,
		obj_t BgL_expz00_5364, obj_t BgL_stackz00_5365, obj_t BgL_locz00_5366,
		obj_t BgL_sitez00_5367)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 110 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_5364, BgL_stackz00_5365,
				BgL_locz00_5366, BgL_sitez00_5367);
		}
	}



/* &<anonymous:2814> */
	obj_t BGl_z62zc3anonymousza32814ze3ze1zzast_sexpz00(obj_t BgL_envz00_5368,
		obj_t BgL_objz00_5370, obj_t BgL_procz00_5371, obj_t BgL_msgz00_5372)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 385 */
			{	/* Ast/sexp.scm 386 */
				obj_t BgL_locz00_5369;

				BgL_locz00_5369 = PROCEDURE_REF(BgL_envz00_5368, (int) (((long) 0)));
				{
					obj_t BgL_objz00_2666;
					obj_t BgL_procz00_2667;
					obj_t BgL_msgz00_2668;

					BgL_objz00_2666 = BgL_objz00_5370;
					BgL_procz00_2667 = BgL_procz00_5371;
					BgL_msgz00_2668 = BgL_msgz00_5372;
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_5369,
						BgL_objz00_2666, BgL_procz00_2667, BgL_msgz00_2668, BNIL);
				}
			}
		}
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_25,
		obj_t BgL_locz00_26, obj_t BgL_sitez00_27)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 528 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_25), BgL_locz00_26, BgL_sitez00_27);
			{	/* Ast/sexp.scm 530 */
				bool_t BgL_testz00_8026;

				if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 31))))
					{	/* Ast/sexp.scm 530 */
						BgL_testz00_8026 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 530 */
						BgL_valuez00_bglt BgL_arg2938z00_2870;

						BgL_arg2938z00_2870 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_valuez00);
						{	/* Ast/sexp.scm 530 */
							bool_t BgL_res3352z00_5095;

							{	/* Ast/sexp.scm 530 */
								obj_t BgL_objz00_5094;

								BgL_objz00_5094 = ((obj_t) BgL_arg2938z00_2870);
								BgL_res3352z00_5095 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5094,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_8026 = BgL_res3352z00_5095;
						}
					}
				if (BgL_testz00_8026)
					{	/* Ast/sexp.scm 531 */
						bool_t BgL_testz00_8034;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_25,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 532 */
								bool_t BgL_testz00_8037;

								{	/* Ast/sexp.scm 532 */
									BgL_valuez00_bglt BgL_arg2934z00_2864;

									BgL_arg2934z00_2864 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_25))))->BgL_valuez00);
									{	/* Ast/sexp.scm 532 */
										bool_t BgL_res3355z00_5102;

										{	/* Ast/sexp.scm 532 */
											obj_t BgL_objz00_5101;

											BgL_objz00_5101 = ((obj_t) BgL_arg2934z00_2864);
											BgL_res3355z00_5102 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_5101,
												BGl_cfunz00zzast_varz00);
										}
										BgL_testz00_8037 = BgL_res3355z00_5102;
									}
								}
								if (BgL_testz00_8037)
									{	/* Ast/sexp.scm 533 */
										bool_t BgL_testz00_8043;

										{	/* Ast/sexp.scm 533 */
											obj_t BgL_arg2933z00_2863;

											BgL_arg2933z00_2863 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_8043 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_arg2933z00_2863)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_8043)
											{	/* Ast/sexp.scm 533 */
												BgL_testz00_8034 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 533 */
												if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 29))))
													{	/* Ast/sexp.scm 534 */
														BgL_testz00_8034 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 534 */
														BgL_testz00_8034 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 532 */
										BgL_testz00_8034 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 531 */
								BgL_testz00_8034 = ((bool_t) 0);
							}
						if (BgL_testz00_8034)
							{	/* Ast/sexp.scm 536 */
								obj_t BgL_arg2923z00_2851;

								{	/* Ast/sexp.scm 536 */
									obj_t BgL_arg2924z00_2852;

									{	/* Ast/sexp.scm 536 */
										obj_t BgL_arg2926z00_2854;

										BgL_arg2926z00_2854 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg2924z00_2852 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg2926z00_2854)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 536 */
										obj_t BgL_list2925z00_2853;

										BgL_list2925z00_2853 = MAKE_PAIR(BgL_arg2924z00_2852, BNIL);
										BgL_arg2923z00_2851 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string3431z00zzast_sexpz00, BgL_list2925z00_2853);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg2923z00_2851, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_26);
							}
						else
							{	/* Ast/sexp.scm 537 */
								BgL_closurez00_bglt BgL_new1136z00_2855;

								{	/* Ast/sexp.scm 537 */
									BgL_closurez00_bglt BgL_new1135z00_2857;

									BgL_new1135z00_2857 =
										((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 537 */
										long BgL_arg2928z00_2858;

										{	/* Ast/sexp.scm 537 */
											long BgL_res3358z00_5112;

											{	/* Ast/sexp.scm 537 */
												obj_t BgL_classz00_5109;

												BgL_classz00_5109 = BGl_closurez00zzast_nodez00;
												{	/* Ast/sexp.scm 537 */
													obj_t BgL_vectorz00_5110;
													int BgL_kz00_5111;

													BgL_vectorz00_5110 = BgL_classz00_5109;
													BgL_kz00_5111 = (int) (((long) 1));
													BgL_res3358z00_5112 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_5110,
															BgL_kz00_5111));
											}}
											BgL_arg2928z00_2858 = BgL_res3358z00_5112;
										}
										{	/* Ast/sexp.scm 537 */
											BgL_objectz00_bglt BgL_objz00_5113;

											BgL_objz00_5113 =
												((BgL_objectz00_bglt) BgL_new1135z00_2857);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5113,
												BgL_arg2928z00_2858);
									}}
									{	/* Ast/sexp.scm 537 */
										BgL_objectz00_bglt BgL_auxz00_8062;

										BgL_auxz00_8062 =
											((BgL_objectz00_bglt) BgL_new1135z00_2857);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_8062, BFALSE);
									}
									BgL_new1136z00_2855 = BgL_new1135z00_2857;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1136z00_2855)))->
										BgL_locz00) = ((obj_t) BgL_locz00_26), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_8067;

									{	/* Ast/sexp.scm 539 */
										BgL_typez00_bglt BgL_arg2927z00_2856;

										BgL_arg2927z00_2856 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
										BgL_auxz00_8067 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg2927z00_2856);
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1136z00_2855)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_8067), BUNSPEC);
								}
								((((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_new1136z00_2855)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1136z00_2855);
							}
					}
				else
					{	/* Ast/sexp.scm 541 */
						BgL_varz00_bglt BgL_new1138z00_2865;

						{	/* Ast/sexp.scm 541 */
							BgL_varz00_bglt BgL_new1137z00_2867;

							BgL_new1137z00_2867 =
								((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 541 */
								long BgL_arg2936z00_2868;

								{	/* Ast/sexp.scm 541 */
									long BgL_res3360z00_5121;

									{	/* Ast/sexp.scm 541 */
										obj_t BgL_classz00_5118;

										BgL_classz00_5118 = BGl_varz00zzast_nodez00;
										{	/* Ast/sexp.scm 541 */
											obj_t BgL_vectorz00_5119;
											int BgL_kz00_5120;

											BgL_vectorz00_5119 = BgL_classz00_5118;
											BgL_kz00_5120 = (int) (((long) 1));
											BgL_res3360z00_5121 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_5119,
													BgL_kz00_5120));
									}}
									BgL_arg2936z00_2868 = BgL_res3360z00_5121;
								}
								{	/* Ast/sexp.scm 541 */
									BgL_objectz00_bglt BgL_objz00_5122;

									BgL_objz00_5122 = ((BgL_objectz00_bglt) BgL_new1137z00_2867);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5122,
										BgL_arg2936z00_2868);
							}}
							{	/* Ast/sexp.scm 541 */
								BgL_objectz00_bglt BgL_auxz00_8084;

								BgL_auxz00_8084 = ((BgL_objectz00_bglt) BgL_new1137z00_2867);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8084, BFALSE);
							}
							BgL_new1138z00_2865 = BgL_new1137z00_2867;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1138z00_2865)))->BgL_locz00) =
							((obj_t) BgL_locz00_26), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_8089;

							{	/* Ast/sexp.scm 543 */
								BgL_typez00_bglt BgL_arg2935z00_2866;

								BgL_arg2935z00_2866 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
								BgL_auxz00_8089 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg2935z00_2866);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1138z00_2865)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_8089), BUNSPEC);
						}
						((((BgL_varz00_bglt) CREF(BgL_new1138z00_2865))->BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1138z00_2865);
					}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_28,
		obj_t BgL_stackz00_29, obj_t BgL_locz00_30, obj_t BgL_sitez00_31)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 549 */
			{	/* Ast/sexp.scm 550 */
				obj_t BgL_callerz00_2871;
				obj_t BgL_locz00_2872;

				BgL_callerz00_2871 = CAR(BgL_expz00_28);
				BgL_locz00_2872 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_28,
					BgL_locz00_30);
				if (SYMBOLP(BgL_callerz00_2871))
					{	/* Ast/sexp.scm 554 */
						obj_t BgL_pidz00_2874;

						BgL_pidz00_2874 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_2871,
							BgL_locz00_2872);
						{	/* Ast/sexp.scm 554 */
							obj_t BgL_idz00_2875;

							BgL_idz00_2875 = CAR(BgL_pidz00_2874);
							{	/* Ast/sexp.scm 555 */
								obj_t BgL_typez00_2876;

								BgL_typez00_2876 = CDR(BgL_pidz00_2874);
								{	/* Ast/sexp.scm 556 */

									if ((BgL_idz00_2875 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 557 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_2876),
												BgL_expz00_28, BgL_stackz00_29, BgL_locz00_2872,
												BgL_sitez00_31);
										}
									else
										{	/* Ast/sexp.scm 557 */
											if ((BgL_idz00_2875 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 561 */
													bool_t BgL_testz00_8114;

													{	/* Ast/sexp.scm 561 */
														obj_t BgL_auxz00_8115;

														BgL_auxz00_8115 = CDR(BgL_expz00_28);
														BgL_testz00_8114 = PAIRP(BgL_auxz00_8115);
													}
													if (BgL_testz00_8114)
														{	/* Ast/sexp.scm 565 */
															BgL_feffectz00_bglt BgL_arg2943z00_2881;
															obj_t BgL_arg2944z00_2882;

															{	/* Ast/sexp.scm 565 */
																obj_t BgL_arg2945z00_2883;

																{	/* Ast/sexp.scm 565 */
																	obj_t BgL_pairz00_5141;

																	BgL_pairz00_5141 = BgL_expz00_28;
																	BgL_arg2945z00_2883 =
																		CAR(CDR(BgL_pairz00_5141));
																}
																BgL_arg2943z00_2881 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg2945z00_2883);
															}
															{	/* Ast/sexp.scm 566 */
																obj_t BgL_arg2946z00_2884;
																obj_t BgL_arg2947z00_2885;

																{	/* Ast/sexp.scm 566 */
																	obj_t BgL_arg2948z00_2886;

																	BgL_arg2948z00_2886 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 32)),
																		BNIL);
																	BgL_arg2946z00_2884 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 33)),
																		BgL_arg2948z00_2886);
																}
																{	/* Ast/sexp.scm 566 */
																	obj_t BgL_auxz00_8125;

																	{	/* Ast/sexp.scm 566 */
																		obj_t BgL_pairz00_5145;

																		BgL_pairz00_5145 = BgL_expz00_28;
																		BgL_auxz00_8125 =
																			CDR(CDR(BgL_pairz00_5145));
																	}
																	BgL_arg2947z00_2885 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_8125, BNIL);
																}
																BgL_arg2944z00_2882 =
																	MAKE_PAIR(BgL_arg2946z00_2884,
																	BgL_arg2947z00_2885);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg2943z00_2881),
																((BgL_typez00_bglt) BgL_typez00_2876),
																BgL_arg2944z00_2882, BgL_stackz00_29,
																BgL_locz00_2872, BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 564 */
															obj_t BgL_arg2950z00_2888;

															BgL_arg2950z00_2888 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_28, BgL_locz00_2872);
															{	/* Ast/sexp.scm 562 */
																BgL_nodez00_bglt BgL_res3366z00_5156;

																{	/* Ast/sexp.scm 562 */
																	obj_t BgL_arg3010z00_5152;
																	BgL_nodez00_bglt BgL_arg3011z00_5153;

																	BgL_arg3010z00_5152 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg3011z00_5153 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg2950z00_2888,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 562 */
																		obj_t BgL_list3012z00_5155;

																		BgL_list3012z00_5155 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg3011z00_5153), BNIL);
																		BgL_res3366z00_5156 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg2950z00_2888, BgL_arg3010z00_5152,
																				BGl_string3432z00zzast_sexpz00,
																				BgL_expz00_28, BgL_list3012z00_5155));
																}}
																return BgL_res3366z00_5156;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 557 */
													if ((BgL_idz00_2875 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 557 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_2876),
																BgL_expz00_28, BgL_stackz00_29, BgL_locz00_2872,
																BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 557 */
															if (
																(BgL_idz00_2875 == CNST_TABLE_REF(((long) 24))))
																{	/* Ast/sexp.scm 571 */
																	bool_t BgL_testz00_8151;

																	{	/* Ast/sexp.scm 571 */
																		obj_t BgL_auxz00_8152;

																		BgL_auxz00_8152 = CDR(BgL_expz00_28);
																		BgL_testz00_8151 = PAIRP(BgL_auxz00_8152);
																	}
																	if (BgL_testz00_8151)
																		{	/* Ast/sexp.scm 575 */
																			BgL_feffectz00_bglt BgL_arg2955z00_2893;
																			obj_t BgL_arg2956z00_2894;

																			{	/* Ast/sexp.scm 575 */
																				obj_t BgL_arg2957z00_2895;

																				{	/* Ast/sexp.scm 575 */
																					obj_t BgL_pairz00_5166;

																					BgL_pairz00_5166 = BgL_expz00_28;
																					BgL_arg2957z00_2895 =
																						CAR(CDR(BgL_pairz00_5166));
																				}
																				BgL_arg2955z00_2893 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg2957z00_2895);
																			}
																			{	/* Ast/sexp.scm 576 */
																				obj_t BgL_arg2958z00_2896;
																				obj_t BgL_arg2959z00_2897;

																				{	/* Ast/sexp.scm 576 */
																					obj_t BgL_arg2960z00_2898;

																					BgL_arg2960z00_2898 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								32)), BNIL);
																					BgL_arg2958z00_2896 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								33)), BgL_arg2960z00_2898);
																				}
																				{	/* Ast/sexp.scm 576 */
																					obj_t BgL_auxz00_8162;

																					{	/* Ast/sexp.scm 576 */
																						obj_t BgL_pairz00_5170;

																						BgL_pairz00_5170 = BgL_expz00_28;
																						BgL_auxz00_8162 =
																							CDR(CDR(BgL_pairz00_5170));
																					}
																					BgL_arg2959z00_2897 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_8162, BNIL);
																				}
																				BgL_arg2956z00_2894 =
																					MAKE_PAIR(BgL_arg2958z00_2896,
																					BgL_arg2959z00_2897);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg2955z00_2893),
																				((BgL_typez00_bglt) BgL_typez00_2876),
																				BgL_arg2956z00_2894, BgL_stackz00_29,
																				BgL_locz00_2872, BgL_sitez00_31);
																		}
																	else
																		{	/* Ast/sexp.scm 574 */
																			obj_t BgL_arg2962z00_2900;

																			BgL_arg2962z00_2900 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_28, BgL_locz00_2872);
																			{	/* Ast/sexp.scm 572 */
																				BgL_nodez00_bglt BgL_res3370z00_5181;

																				{	/* Ast/sexp.scm 572 */
																					obj_t BgL_arg3010z00_5177;
																					BgL_nodez00_bglt BgL_arg3011z00_5178;

																					BgL_arg3010z00_5177 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg3011z00_5178 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg2962z00_2900,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 572 */
																						obj_t BgL_list3012z00_5180;

																						BgL_list3012z00_5180 =
																							MAKE_PAIR(
																							((obj_t) BgL_arg3011z00_5178),
																							BNIL);
																						BgL_res3370z00_5181 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg2962z00_2900,
																								BgL_arg3010z00_5177,
																								BGl_string3433z00zzast_sexpz00,
																								BgL_expz00_28,
																								BgL_list3012z00_5180));
																				}}
																				return BgL_res3370z00_5181;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 557 */
																	if (
																		(BgL_idz00_2875 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_2903;
																			obj_t BgL_bodyz00_2904;

																			if (PAIRP(BgL_expz00_28))
																				{	/* Ast/sexp.scm 579 */
																					obj_t BgL_cdrzd24423zd2_2909;

																					BgL_cdrzd24423zd2_2909 =
																						CDR(BgL_expz00_28);
																					if (PAIRP(BgL_cdrzd24423zd2_2909))
																						{	/* Ast/sexp.scm 579 */
																							BgL_argsz00_2903 =
																								CAR(BgL_cdrzd24423zd2_2909);
																							BgL_bodyz00_2904 =
																								CDR(BgL_cdrzd24423zd2_2909);
																							{	/* Ast/sexp.scm 581 */
																								obj_t BgL_locz00_2913;

																								BgL_locz00_2913 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_28,
																									BgL_locz00_2872);
																								{	/* Ast/sexp.scm 581 */
																									obj_t BgL_funz00_2914;

																									BgL_funz00_2914 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 582 */
																										obj_t BgL_tfunz00_2915;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_2876)))
																											{	/* Ast/sexp.scm 584 */
																												obj_t
																													BgL_arg2979z00_2926;
																												BgL_arg2979z00_2926 =
																													(((BgL_typez00_bglt)
																														CREF((
																																(BgL_typez00_bglt)
																																BgL_typez00_2876)))->
																													BgL_idz00);
																												BgL_tfunz00_2915 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_2914,
																													BgL_arg2979z00_2926);
																											}
																										else
																											{	/* Ast/sexp.scm 583 */
																												BgL_tfunz00_2915 =
																													BgL_funz00_2914;
																											}
																										{	/* Ast/sexp.scm 583 */

																											{	/* Ast/sexp.scm 587 */
																												obj_t
																													BgL_arg2969z00_2916;
																												{	/* Ast/sexp.scm 587 */
																													obj_t
																														BgL_arg2970z00_2917;
																													obj_t
																														BgL_arg2971z00_2918;
																													BgL_arg2970z00_2917 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 587 */
																														obj_t
																															BgL_arg2972z00_2919;
																														obj_t
																															BgL_arg2973z00_2920;
																														{	/* Ast/sexp.scm 587 */
																															obj_t
																																BgL_arg2974z00_2921;
																															{	/* Ast/sexp.scm 587 */
																																obj_t
																																	BgL_arg2975z00_2922;
																																{	/* Ast/sexp.scm 587 */
																																	obj_t
																																		BgL_arg2976z00_2923;
																																	BgL_arg2976z00_2923
																																		=
																																		MAKE_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_2904),
																																		BNIL);
																																	BgL_arg2975z00_2922
																																		=
																																		MAKE_PAIR
																																		(BgL_argsz00_2903,
																																		BgL_arg2976z00_2923);
																																}
																																BgL_arg2974z00_2921
																																	=
																																	MAKE_PAIR
																																	(BgL_tfunz00_2915,
																																	BgL_arg2975z00_2922);
																															}
																															BgL_arg2972z00_2919
																																=
																																MAKE_PAIR
																																(BgL_arg2974z00_2921,
																																BNIL);
																														}
																														BgL_arg2973z00_2920
																															=
																															MAKE_PAIR
																															(BgL_funz00_2914,
																															BNIL);
																														BgL_arg2971z00_2918
																															=
																															MAKE_PAIR
																															(BgL_arg2972z00_2919,
																															BgL_arg2973z00_2920);
																													}
																													BgL_arg2969z00_2916 =
																														MAKE_PAIR
																														(BgL_arg2970z00_2917,
																														BgL_arg2971z00_2918);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg2969z00_2916,
																													BgL_stackz00_29,
																													BgL_locz00_2913,
																													BgL_sitez00_31);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 579 */
																						BgL_tagzd24416zd2_2906:
																							{	/* Ast/sexp.scm 593 */
																								BgL_nodez00_bglt
																									BgL_res3373z00_5195;
																								{	/* Ast/sexp.scm 593 */
																									obj_t BgL_arg3010z00_5191;
																									BgL_nodez00_bglt
																										BgL_arg3011z00_5192;
																									BgL_arg3010z00_5191 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg3011z00_5192 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_2872,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 593 */
																										obj_t BgL_list3012z00_5194;

																										BgL_list3012z00_5194 =
																											MAKE_PAIR(
																											((obj_t)
																												BgL_arg3011z00_5192),
																											BNIL);
																										BgL_res3373z00_5195 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_2872,
																												BgL_arg3010z00_5191,
																												BGl_string3434z00zzast_sexpz00,
																												BgL_expz00_28,
																												BgL_list3012z00_5194));
																								}}
																								return BgL_res3373z00_5195;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 579 */
																					goto BgL_tagzd24416zd2_2906;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 557 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_28, BgL_stackz00_29,
																				BgL_locz00_2872, BgL_sitez00_31);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 552 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_28,
							BgL_stackz00_29, BgL_locz00_2872, BgL_sitez00_31);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_32, obj_t BgL_stackz00_33, obj_t BgL_locz00_34,
		obj_t BgL_sitez00_35)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 601 */
			{
				obj_t BgL_expsz00_2930;
				obj_t BgL_resz00_2931;
				obj_t BgL_locz00_2932;

				BgL_expsz00_2930 = BgL_expza2za2_32;
				BgL_resz00_2931 = BNIL;
				BgL_locz00_2932 = BgL_locz00_34;
			BgL_zc3anonymousza32981ze3z83_2933:
				if (NULLP(BgL_expsz00_2930))
					{	/* Ast/sexp.scm 607 */
						BgL_nodez00_bglt BgL_res3377z00_5212;

						{	/* Ast/sexp.scm 607 */
							obj_t BgL_arg3010z00_5208;
							BgL_nodez00_bglt BgL_arg3011z00_5209;

							BgL_arg3010z00_5208 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg3011z00_5209 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_2932, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 607 */
								obj_t BgL_list3012z00_5211;

								BgL_list3012z00_5211 =
									MAKE_PAIR(((obj_t) BgL_arg3011z00_5209), BNIL);
								BgL_res3377z00_5212 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_2932, BgL_arg3010z00_5208,
										BGl_string3435z00zzast_sexpz00, BgL_expsz00_2930,
										BgL_list3012z00_5211));
						}}
						return ((obj_t) BgL_res3377z00_5212);
					}
				else
					{	/* Ast/sexp.scm 606 */
						if (NULLP(CDR(BgL_expsz00_2930)))
							{	/* Ast/sexp.scm 609 */
								obj_t BgL_locz00_2936;
								obj_t BgL_nsitez00_2937;

								BgL_locz00_2936 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_2930),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_2930, BgL_locz00_2932));
								if ((BgL_sitez00_35 == CNST_TABLE_REF(((long) 31))))
									{	/* Ast/sexp.scm 611 */
										BgL_nsitez00_2937 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 611 */
										BgL_nsitez00_2937 = BgL_sitez00_35;
									}
								{	/* Ast/sexp.scm 612 */
									obj_t BgL_arg2984z00_2938;

									{	/* Ast/sexp.scm 612 */
										BgL_nodez00_bglt BgL_arg2985z00_2939;

										BgL_arg2985z00_2939 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_2930),
											BgL_stackz00_33, BgL_locz00_2936, BgL_nsitez00_2937);
										BgL_arg2984z00_2938 =
											MAKE_PAIR(((obj_t) BgL_arg2985z00_2939), BgL_resz00_2931);
									}
									return bgl_reverse_bang(BgL_arg2984z00_2938);
								}
							}
						else
							{	/* Ast/sexp.scm 614 */
								obj_t BgL_locz00_2944;

								BgL_locz00_2944 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_2930),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_2930, BgL_locz00_2932));
								{	/* Ast/sexp.scm 616 */
									obj_t BgL_arg2990z00_2945;
									obj_t BgL_arg2991z00_2946;

									BgL_arg2990z00_2945 = CDR(BgL_expsz00_2930);
									{	/* Ast/sexp.scm 617 */
										BgL_nodez00_bglt BgL_arg2992z00_2947;

										{	/* Ast/sexp.scm 617 */
											obj_t BgL_arg2993z00_2948;

											BgL_arg2993z00_2948 = CAR(BgL_expsz00_2930);
											BgL_arg2992z00_2947 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2993z00_2948,
												BgL_stackz00_33, BgL_locz00_2944,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg2991z00_2946 =
											MAKE_PAIR(((obj_t) BgL_arg2992z00_2947), BgL_resz00_2931);
									}
									{
										obj_t BgL_locz00_8259;
										obj_t BgL_resz00_8258;
										obj_t BgL_expsz00_8257;

										BgL_expsz00_8257 = BgL_arg2990z00_2945;
										BgL_resz00_8258 = BgL_arg2991z00_2946;
										BgL_locz00_8259 = BgL_locz00_2944;
										BgL_locz00_2932 = BgL_locz00_8259;
										BgL_resz00_2931 = BgL_resz00_8258;
										BgL_expsz00_2930 = BgL_expsz00_8257;
										goto BgL_zc3anonymousza32981ze3z83_2933;
									}
								}
							}
					}
			}
		}
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_5375,
		obj_t BgL_expza2za2_5376, obj_t BgL_stackz00_5377, obj_t BgL_locz00_5378,
		obj_t BgL_sitez00_5379)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 601 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_5376,
				BgL_stackz00_5377, BgL_locz00_5378, BgL_sitez00_5379);
		}
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_36,
		obj_t BgL_stackz00_37)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 630 */
			{	/* Ast/sexp.scm 631 */
				bool_t BgL_testz00_8261;

				if ((BgL_namez00_36 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 631 */
						BgL_testz00_8261 =
							(BgL_stackz00_37 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 631 */
						BgL_testz00_8261 = ((bool_t) 0);
					}
				if (BgL_testz00_8261)
					{	/* Ast/sexp.scm 631 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 631 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_36;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_37;
						{
							obj_t BgL_stackz00_2955;

							BgL_stackz00_2955 = BgL_stackz00_37;
						BgL_zc3anonymousza32998ze3z83_2956:
							if (NULLP(BgL_stackz00_2955))
								{	/* Ast/sexp.scm 638 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 641 */
									bool_t BgL_testz00_8267;

									{	/* Ast/sexp.scm 641 */
										obj_t BgL_auxz00_8268;

										{
											BgL_variablez00_bglt BgL_auxz00_8269;

											{
												BgL_localz00_bglt BgL_auxz00_8270;

												{	/* Ast/sexp.scm 641 */
													obj_t BgL_pairz00_5223;

													BgL_pairz00_5223 = BgL_stackz00_2955;
													BgL_auxz00_8270 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_5223));
												}
												BgL_auxz00_8269 =
													((BgL_variablez00_bglt) BgL_auxz00_8270);
											}
											BgL_auxz00_8268 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_8269))->
												BgL_idz00);
										}
										BgL_testz00_8267 = (BgL_auxz00_8268 == BgL_namez00_36);
									}
									if (BgL_testz00_8267)
										{	/* Ast/sexp.scm 641 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_2955);
											return CAR(BgL_stackz00_2955);
										}
									else
										{
											obj_t BgL_stackz00_8278;

											BgL_stackz00_8278 = CDR(BgL_stackz00_2955);
											BgL_stackz00_2955 = BgL_stackz00_8278;
											goto BgL_zc3anonymousza32998ze3z83_2956;
										}
								}
						}
					}
			}
		}
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_5380,
		obj_t BgL_namez00_5381, obj_t BgL_stackz00_5382)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 630 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_5381, BgL_stackz00_5382);
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_38,
		obj_t BgL_locz00_39, obj_t BgL_sitez00_40)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 650 */
			if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 653 */
					obj_t BgL_vz00_5231;

					BgL_vz00_5231 = CNST_TABLE_REF(((long) 34));
					((((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_accessz00) =
						((obj_t) BgL_vz00_5231), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 652 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 654 */
				BgL_valuez00_bglt BgL_valz00_2965;

				BgL_valz00_2965 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_valuez00);
				{	/* Ast/sexp.scm 655 */
					bool_t BgL_testz00_8287;

					if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 655 */
							bool_t BgL_res3382z00_5237;

							{	/* Ast/sexp.scm 655 */
								obj_t BgL_objz00_5236;

								BgL_objz00_5236 = ((obj_t) BgL_valz00_2965);
								BgL_res3382z00_5237 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5236,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_8287 = BgL_res3382z00_5237;
						}
					else
						{	/* Ast/sexp.scm 655 */
							BgL_testz00_8287 = ((bool_t) 0);
						}
					if (BgL_testz00_8287)
						{	/* Ast/sexp.scm 656 */
							obj_t BgL_arg3008z00_2967;

							BgL_arg3008z00_2967 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_38));
							{	/* Ast/sexp.scm 656 */
								BgL_nodez00_bglt BgL_res3383z00_5245;

								{	/* Ast/sexp.scm 656 */
									obj_t BgL_arg3010z00_5241;
									BgL_nodez00_bglt BgL_arg3011z00_5242;

									BgL_arg3010z00_5241 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg3011z00_5242 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_39, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 656 */
										obj_t BgL_list3012z00_5244;

										BgL_list3012z00_5244 =
											MAKE_PAIR(((obj_t) BgL_arg3011z00_5242), BNIL);
										BgL_res3383z00_5245 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_39, BgL_arg3010z00_5241,
												BGl_string3436z00zzast_sexpz00, BgL_arg3008z00_2967,
												BgL_list3012z00_5244));
								}}
								return ((obj_t) BgL_res3383z00_5245);
							}
						}
					else
						{	/* Ast/sexp.scm 655 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_5383,
		obj_t BgL_varz00_5384, obj_t BgL_locz00_5385, obj_t BgL_sitez00_5386)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 650 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_5384), BgL_locz00_5385,
				BgL_sitez00_5386);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_41,
		obj_t BgL_expz00_42, obj_t BgL_locz00_43)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 661 */
			{	/* Ast/sexp.scm 663 */
				obj_t BgL_arg3010z00_2969;
				BgL_nodez00_bglt BgL_arg3011z00_2970;

				BgL_arg3010z00_2969 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg3011z00_2970 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_43, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 662 */
					obj_t BgL_list3012z00_2971;

					BgL_list3012z00_2971 = MAKE_PAIR(((obj_t) BgL_arg3011z00_2970), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_43,
							BgL_arg3010z00_2969, BgL_msgz00_41, BgL_expz00_42,
							BgL_list3012z00_2971));
				}
			}
		}
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_5387, obj_t BgL_msgz00_5388, obj_t BgL_expz00_5389,
		obj_t BgL_locz00_5390)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 661 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_5388,
				BgL_expz00_5389, BgL_locz00_5390);
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_44, BgL_nodez00_bglt BgL_refz00_45)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 671 */
			{	/* Ast/sexp.scm 672 */
				BgL_nodez00_bglt BgL_funz00_2973;

				BgL_funz00_2973 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 35)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 673 */
					bool_t BgL_testz00_8320;

					{	/* Ast/sexp.scm 673 */
						bool_t BgL_res3384z00_5247;

						{	/* Ast/sexp.scm 673 */
							obj_t BgL_objz00_5246;

							BgL_objz00_5246 = ((obj_t) BgL_funz00_2973);
							BgL_res3384z00_5247 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5246,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8320 = BgL_res3384z00_5247;
					}
					if (BgL_testz00_8320)
						{	/* Ast/sexp.scm 674 */
							BgL_appz00_bglt BgL_new1141z00_2975;

							{	/* Ast/sexp.scm 674 */
								BgL_appz00_bglt BgL_new1140z00_2982;

								BgL_new1140z00_2982 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 674 */
									long BgL_arg3022z00_2983;

									{	/* Ast/sexp.scm 674 */
										long BgL_res3385z00_5251;

										{	/* Ast/sexp.scm 674 */
											obj_t BgL_classz00_5248;

											BgL_classz00_5248 = BGl_appz00zzast_nodez00;
											{	/* Ast/sexp.scm 674 */
												obj_t BgL_vectorz00_5249;
												int BgL_kz00_5250;

												BgL_vectorz00_5249 = BgL_classz00_5248;
												BgL_kz00_5250 = (int) (((long) 1));
												BgL_res3385z00_5251 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_5249,
														BgL_kz00_5250));
										}}
										BgL_arg3022z00_2983 = BgL_res3385z00_5251;
									}
									{	/* Ast/sexp.scm 674 */
										BgL_objectz00_bglt BgL_objz00_5252;

										BgL_objz00_5252 =
											((BgL_objectz00_bglt) BgL_new1140z00_2982);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5252,
											BgL_arg3022z00_2983);
								}}
								{	/* Ast/sexp.scm 674 */
									BgL_objectz00_bglt BgL_auxz00_8329;

									BgL_auxz00_8329 = ((BgL_objectz00_bglt) BgL_new1140z00_2982);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_8329, BFALSE);
								}
								BgL_new1141z00_2975 = BgL_new1140z00_2982;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1141z00_2975)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1141z00_2975)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1141z00_2975)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1141z00_2975)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1141z00_2975))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2973)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_8344;

								{	/* Ast/sexp.scm 677 */
									BgL_nodez00_bglt BgL_arg3015z00_2976;

									{	/* Ast/sexp.scm 677 */
										obj_t BgL_arg3019z00_2979;

										{	/* Ast/sexp.scm 677 */
											obj_t BgL_arg3020z00_2980;

											{	/* Ast/sexp.scm 677 */
												obj_t BgL_arg3021z00_2981;

												BgL_arg3021z00_2981 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_44)))->
													BgL_idz00);
												BgL_arg3020z00_2980 =
													MAKE_PAIR(BgL_arg3021z00_2981, BNIL);
											}
											BgL_arg3019z00_2979 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg3020z00_2980);
										}
										BgL_arg3015z00_2976 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3019z00_2979,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 677 */
										obj_t BgL_list3016z00_2977;

										{	/* Ast/sexp.scm 677 */
											obj_t BgL_arg3018z00_2978;

											BgL_arg3018z00_2978 =
												MAKE_PAIR(((obj_t) BgL_refz00_45), BNIL);
											BgL_list3016z00_2977 =
												MAKE_PAIR(
												((obj_t) BgL_arg3015z00_2976), BgL_arg3018z00_2978);
										}
										BgL_auxz00_8344 = BgL_list3016z00_2977;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1141z00_2975))->BgL_argsz00) =
									((obj_t) BgL_auxz00_8344), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1141z00_2975);
						}
					else
						{	/* Ast/sexp.scm 673 */
							return BgL_funz00_2973;
						}
				}
			}
		}
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5391, obj_t BgL_globalz00_5392, obj_t BgL_refz00_5393)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 671 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5392),
				((BgL_nodez00_bglt) BgL_refz00_5393));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_46)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 683 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 685 */
				BgL_nodez00_bglt BgL_funz00_2984;

				BgL_funz00_2984 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 36)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 686 */
					bool_t BgL_testz00_8367;

					{	/* Ast/sexp.scm 686 */
						bool_t BgL_res3388z00_5260;

						{	/* Ast/sexp.scm 686 */
							obj_t BgL_objz00_5259;

							BgL_objz00_5259 = ((obj_t) BgL_funz00_2984);
							BgL_res3388z00_5260 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5259,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8367 = BgL_res3388z00_5260;
					}
					if (BgL_testz00_8367)
						{	/* Ast/sexp.scm 687 */
							BgL_appz00_bglt BgL_new1143z00_2986;

							{	/* Ast/sexp.scm 687 */
								BgL_appz00_bglt BgL_new1142z00_2994;

								BgL_new1142z00_2994 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 687 */
									long BgL_arg3031z00_2995;

									{	/* Ast/sexp.scm 687 */
										long BgL_res3389z00_5264;

										{	/* Ast/sexp.scm 687 */
											obj_t BgL_classz00_5261;

											BgL_classz00_5261 = BGl_appz00zzast_nodez00;
											{	/* Ast/sexp.scm 687 */
												obj_t BgL_vectorz00_5262;
												int BgL_kz00_5263;

												BgL_vectorz00_5262 = BgL_classz00_5261;
												BgL_kz00_5263 = (int) (((long) 1));
												BgL_res3389z00_5264 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_5262,
														BgL_kz00_5263));
										}}
										BgL_arg3031z00_2995 = BgL_res3389z00_5264;
									}
									{	/* Ast/sexp.scm 687 */
										BgL_objectz00_bglt BgL_objz00_5265;

										BgL_objz00_5265 =
											((BgL_objectz00_bglt) BgL_new1142z00_2994);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5265,
											BgL_arg3031z00_2995);
								}}
								{	/* Ast/sexp.scm 687 */
									BgL_objectz00_bglt BgL_auxz00_8376;

									BgL_auxz00_8376 = ((BgL_objectz00_bglt) BgL_new1142z00_2994);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_8376, BFALSE);
								}
								BgL_new1143z00_2986 = BgL_new1142z00_2994;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1143z00_2986)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1143z00_2986)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1143z00_2986)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1143z00_2986)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1143z00_2986))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2984)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_8391;

								{	/* Ast/sexp.scm 690 */
									BgL_nodez00_bglt BgL_arg3024z00_2987;
									BgL_nodez00_bglt BgL_arg3025z00_2988;

									{	/* Ast/sexp.scm 690 */
										obj_t BgL_arg3028z00_2991;

										{	/* Ast/sexp.scm 690 */
											obj_t BgL_arg3029z00_2992;

											{	/* Ast/sexp.scm 690 */
												obj_t BgL_arg3030z00_2993;

												BgL_arg3030z00_2993 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_46)))->
													BgL_idz00);
												BgL_arg3029z00_2992 =
													MAKE_PAIR(BgL_arg3030z00_2993, BNIL);
											}
											BgL_arg3028z00_2991 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg3029z00_2992);
										}
										BgL_arg3024z00_2987 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3028z00_2991,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg3025z00_2988 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_46), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 690 */
										obj_t BgL_list3026z00_2989;

										{	/* Ast/sexp.scm 690 */
											obj_t BgL_arg3027z00_2990;

											BgL_arg3027z00_2990 =
												MAKE_PAIR(((obj_t) BgL_arg3025z00_2988), BNIL);
											BgL_list3026z00_2989 =
												MAKE_PAIR(
												((obj_t) BgL_arg3024z00_2987), BgL_arg3027z00_2990);
										}
										BgL_auxz00_8391 = BgL_list3026z00_2989;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1143z00_2986))->BgL_argsz00) =
									((obj_t) BgL_auxz00_8391), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1143z00_2986);
						}
					else
						{	/* Ast/sexp.scm 686 */
							return BgL_funz00_2984;
						}
				}
			}
		}
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_5394, obj_t BgL_globalz00_5395)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 683 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5395));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_47)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 697 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_47), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 699 */
				BgL_nodez00_bglt BgL_funz00_2996;

				BgL_funz00_2996 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 37)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 31)));
				{	/* Ast/sexp.scm 700 */
					bool_t BgL_testz00_8416;

					{	/* Ast/sexp.scm 700 */
						bool_t BgL_res3392z00_5273;

						{	/* Ast/sexp.scm 700 */
							obj_t BgL_objz00_5272;

							BgL_objz00_5272 = ((obj_t) BgL_funz00_2996);
							BgL_res3392z00_5273 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5272,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8416 = BgL_res3392z00_5273;
					}
					if (BgL_testz00_8416)
						{	/* Ast/sexp.scm 701 */
							obj_t BgL_exprz00_2998;

							{	/* Ast/sexp.scm 701 */
								bool_t BgL_testz00_8419;

								{	/* Ast/sexp.scm 701 */
									obj_t BgL_arg3040z00_3007;

									BgL_arg3040z00_3007 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_8419 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg3040z00_3007)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_8419)
									{	/* Ast/sexp.scm 702 */
										obj_t BgL_arg3037z00_3005;

										{	/* Ast/sexp.scm 702 */
											obj_t BgL_arg3039z00_3006;

											BgL_arg3039z00_3006 =
												MAKE_PAIR(((obj_t) BgL_globalz00_47), BNIL);
											BgL_arg3037z00_3005 =
												MAKE_PAIR(BGl_string3437z00zzast_sexpz00,
												BgL_arg3039z00_3006);
										}
										BgL_exprz00_2998 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
											BgL_arg3037z00_3005);
									}
								else
									{	/* Ast/sexp.scm 701 */
										BgL_exprz00_2998 = ((obj_t) BgL_globalz00_47);
									}
							}
							{	/* Ast/sexp.scm 704 */
								BgL_appz00_bglt BgL_new1145z00_2999;

								{	/* Ast/sexp.scm 704 */
									BgL_appz00_bglt BgL_new1144z00_3002;

									BgL_new1144z00_3002 =
										((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 704 */
										long BgL_arg3035z00_3003;

										{	/* Ast/sexp.scm 704 */
											long BgL_res3394z00_5280;

											{	/* Ast/sexp.scm 704 */
												obj_t BgL_classz00_5277;

												BgL_classz00_5277 = BGl_appz00zzast_nodez00;
												{	/* Ast/sexp.scm 704 */
													obj_t BgL_vectorz00_5278;
													int BgL_kz00_5279;

													BgL_vectorz00_5278 = BgL_classz00_5277;
													BgL_kz00_5279 = (int) (((long) 1));
													BgL_res3394z00_5280 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_5278,
															BgL_kz00_5279));
											}}
											BgL_arg3035z00_3003 = BgL_res3394z00_5280;
										}
										{	/* Ast/sexp.scm 704 */
											BgL_objectz00_bglt BgL_objz00_5281;

											BgL_objz00_5281 =
												((BgL_objectz00_bglt) BgL_new1144z00_3002);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5281,
												BgL_arg3035z00_3003);
									}}
									{	/* Ast/sexp.scm 704 */
										BgL_objectz00_bglt BgL_auxz00_8435;

										BgL_auxz00_8435 =
											((BgL_objectz00_bglt) BgL_new1144z00_3002);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_8435, BFALSE);
									}
									BgL_new1145z00_2999 = BgL_new1144z00_3002;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1145z00_2999)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1145z00_2999)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2999)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2999)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) CREF(BgL_new1145z00_2999))->BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_2996)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_8452;

									{	/* Ast/sexp.scm 707 */
										BgL_nodez00_bglt BgL_arg3033z00_3000;

										BgL_arg3033z00_3000 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_2998, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 707 */
											obj_t BgL_list3034z00_3001;

											BgL_list3034z00_3001 =
												MAKE_PAIR(((obj_t) BgL_arg3033z00_3000), BNIL);
											BgL_auxz00_8452 = BgL_list3034z00_3001;
									}}
									((((BgL_appz00_bglt) CREF(BgL_new1145z00_2999))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_8452), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1145z00_2999);
							}
						}
					else
						{	/* Ast/sexp.scm 700 */
							return BgL_funz00_2996;
						}
				}
			}
		}
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5396, obj_t BgL_globalz00_5397)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 697 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5397));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_48, obj_t BgL_prefz00_49)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 713 */
			{	/* Ast/sexp.scm 714 */
				obj_t BgL_prefz00_3008;

				{	/* Ast/sexp.scm 714 */
					bool_t BgL_testz00_8461;

					if (PAIRP(BgL_prefz00_49))
						{	/* Ast/sexp.scm 714 */
							obj_t BgL_auxz00_8464;

							BgL_auxz00_8464 = CAR(BgL_prefz00_49);
							BgL_testz00_8461 = STRINGP(BgL_auxz00_8464);
						}
					else
						{	/* Ast/sexp.scm 714 */
							BgL_testz00_8461 = ((bool_t) 0);
						}
					if (BgL_testz00_8461)
						{	/* Ast/sexp.scm 714 */
							BgL_prefz00_3008 = CAR(BgL_prefz00_49);
						}
					else
						{	/* Ast/sexp.scm 714 */
							BgL_prefz00_3008 = BGl_string3438z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 717 */
					bool_t BgL_testz00_8468;

					if (STRUCTP(BgL_locz00_48))
						{	/* Ast/sexp.scm 717 */
							BgL_testz00_8468 =
								(STRUCT_KEY(BgL_locz00_48) == CNST_TABLE_REF(((long) 39)));
						}
					else
						{	/* Ast/sexp.scm 717 */
							BgL_testz00_8468 = ((bool_t) 0);
						}
					if (BgL_testz00_8468)
						{	/* Ast/sexp.scm 718 */
							obj_t BgL_filez00_3010;
							obj_t BgL_linez00_3011;
							obj_t BgL_basez00_3012;

							BgL_filez00_3010 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_48);
							BgL_linez00_3011 = STRUCT_REF(BgL_locz00_48, (int) (((long) 2)));
							{	/* Ast/sexp.scm 720 */
								obj_t BgL_arg3062z00_3034;

								BgL_arg3062z00_3034 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string3439z00zzast_sexpz00, BgL_prefz00_3008,
										BGl_string3440z00zzast_sexpz00));
								{	/* Ast/sexp.scm 720 */
									obj_t BgL_res3400z00_5303;

									{	/* Ast/sexp.scm 720 */
										obj_t BgL_arg1334z00_5302;

										BgL_arg1334z00_5302 = SYMBOL_TO_STRING(BgL_arg3062z00_3034);
										BgL_res3400z00_5303 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1334z00_5302);
									}
									BgL_basez00_3012 = BgL_res3400z00_5303;
							}}
							{	/* Ast/sexp.scm 722 */
								bool_t BgL_testz00_8481;

								{	/* Ast/sexp.scm 722 */
									bool_t BgL_testz00_8482;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 723 */
											obj_t BgL_arg3060z00_3032;

											{	/* Ast/sexp.scm 723 */
												obj_t BgL_arg3061z00_3033;

												BgL_arg3061z00_3033 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg3060z00_3032 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg3061z00_3033)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_8482 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 40)), BgL_arg3060z00_3032));
										}
									else
										{	/* Ast/sexp.scm 722 */
											BgL_testz00_8482 = ((bool_t) 0);
										}
									if (BgL_testz00_8482)
										{	/* Ast/sexp.scm 722 */
											BgL_testz00_8481 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 722 */
											BgL_testz00_8481 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_8481)
									{	/* Ast/sexp.scm 725 */
										obj_t BgL_filez00_3014;

										if (bigloo_strncmp(BgL_filez00_3010,
												BGl_string3441z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 725 */
												BgL_filez00_3014 =
													c_substring(BgL_filez00_3010, ((long) 2),
													STRING_LENGTH(BgL_filez00_3010));
											}
										else
											{	/* Ast/sexp.scm 725 */
												BgL_filez00_3014 = BgL_filez00_3010;
											}
										{	/* Ast/sexp.scm 730 */
											obj_t BgL_arg3043z00_3015;

											{	/* Ast/sexp.scm 730 */
												obj_t BgL_arg3044z00_3016;
												obj_t BgL_arg3045z00_3017;

												BgL_arg3044z00_3016 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_3014, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 731 */

													BgL_arg3045z00_3017 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_3011, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 729 */
													obj_t BgL_list3046z00_3018;

													{	/* Ast/sexp.scm 729 */
														obj_t BgL_arg3048z00_3019;

														{	/* Ast/sexp.scm 729 */
															obj_t BgL_arg3049z00_3020;

															{	/* Ast/sexp.scm 729 */
																obj_t BgL_arg3050z00_3021;

																{	/* Ast/sexp.scm 729 */
																	obj_t BgL_arg3051z00_3022;

																	{	/* Ast/sexp.scm 729 */
																		obj_t BgL_arg3052z00_3023;

																		BgL_arg3052z00_3023 =
																			MAKE_PAIR(BGl_string3442z00zzast_sexpz00,
																			BNIL);
																		BgL_arg3051z00_3022 =
																			MAKE_PAIR(BgL_arg3045z00_3017,
																			BgL_arg3052z00_3023);
																	}
																	BgL_arg3050z00_3021 =
																		MAKE_PAIR(BGl_string3440z00zzast_sexpz00,
																		BgL_arg3051z00_3022);
																}
																BgL_arg3049z00_3020 =
																	MAKE_PAIR(BgL_arg3044z00_3016,
																	BgL_arg3050z00_3021);
															}
															BgL_arg3048z00_3019 =
																MAKE_PAIR(BGl_string3440z00zzast_sexpz00,
																BgL_arg3049z00_3020);
														}
														BgL_list3046z00_3018 =
															MAKE_PAIR(BgL_basez00_3012, BgL_arg3048z00_3019);
													}
													BgL_arg3043z00_3015 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list3046z00_3018);
											}}
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg3043z00_3015));
										}
									}
								else
									{	/* Ast/sexp.scm 734 */
										obj_t BgL_arg3055z00_3028;

										BgL_arg3055z00_3028 =
											BGl_stringzd2replacezd2zz__r4_strings_6_7z00(string_append
											(BgL_basez00_3012, BGl_string3442z00zzast_sexpz00),
											(char) (((unsigned char) '.')),
											(char) (((unsigned char) ',')));
										{	/* Ast/sexp.scm 734 */
											obj_t BgL_res3408z00_5326;

											{	/* Ast/sexp.scm 734 */
												obj_t BgL_stringz00_5325;

												BgL_stringz00_5325 = BgL_arg3055z00_3028;
												BgL_res3408z00_5326 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_stringz00_5325));
											}
											return BgL_res3408z00_5326;
										}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 735 */
							obj_t BgL_arg3064z00_3036;

							{	/* Ast/sexp.scm 735 */
								obj_t BgL_arg3065z00_3037;
								obj_t BgL_arg3066z00_3038;

								{	/* Ast/sexp.scm 735 */
									obj_t BgL_arg3067z00_3039;

									BgL_arg3067z00_3039 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string3439z00zzast_sexpz00, BgL_prefz00_3008,
											BGl_string3443z00zzast_sexpz00));
									{	/* Ast/sexp.scm 735 */
										obj_t BgL_res3409z00_5329;

										{	/* Ast/sexp.scm 735 */
											obj_t BgL_arg1334z00_5328;

											BgL_arg1334z00_5328 =
												SYMBOL_TO_STRING(BgL_arg3067z00_3039);
											BgL_res3409z00_5329 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1334z00_5328);
										}
										BgL_arg3065z00_3037 = BgL_res3409z00_5329;
									}
								}
								{	/* Ast/sexp.scm 735 */
									obj_t BgL_res3410z00_5332;

									{	/* Ast/sexp.scm 735 */
										obj_t BgL_symbolz00_5330;

										BgL_symbolz00_5330 = CNST_TABLE_REF(((long) 41));
										{	/* Ast/sexp.scm 735 */
											obj_t BgL_arg1334z00_5331;

											BgL_arg1334z00_5331 =
												SYMBOL_TO_STRING(BgL_symbolz00_5330);
											BgL_res3410z00_5332 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1334z00_5331);
									}}
									BgL_arg3066z00_3038 = BgL_res3410z00_5332;
								}
								BgL_arg3064z00_3036 =
									string_append(BgL_arg3065z00_3037, BgL_arg3066z00_3038);
							}
							return string_to_symbol(BSTRING_TO_STRING(BgL_arg3064z00_3036));
						}
				}
			}
		}
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_5398,
		obj_t BgL_locz00_5399, obj_t BgL_prefz00_5400)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 713 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_5399,
				BgL_prefz00_5400);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 28685330),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 115318774),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string3444z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
