/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	static obj_t BGl_z62zc3anonymousza32727ze3ze1zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62zc3anonymousza32732ze3ze1zzcfa_closurez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32846ze3z83zzcfa_closurez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_STRING(BGl_string3209z00zzcfa_closurez00,
		BgL_bgl_string3209za700za7za7c3223za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string3212z00zzcfa_closurez00,
		BgL_bgl_string3212za700za7za7c3224za7, "LOOP....", 8);
	      DEFINE_STRING(BGl_string3213z00zzcfa_closurez00,
		BgL_bgl_string3213za700za7za7c3225za7, ":", 1);
	      DEFINE_STRING(BGl_string3214z00zzcfa_closurez00,
		BgL_bgl_string3214za700za7za7c3226za7, ",", 1);
	      DEFINE_STRING(BGl_string3215z00zzcfa_closurez00,
		BgL_bgl_string3215za700za7za7c3227za7, "Cfa/closure.scm", 15);
	      DEFINE_STRING(BGl_string3216z00zzcfa_closurez00,
		BgL_bgl_string3216za700za7za7c3228za7, ": ", 2);
	      DEFINE_STRING(BGl_string3217z00zzcfa_closurez00,
		BgL_bgl_string3217za700za7za7c3229za7, "      ", 6);
	      DEFINE_STRING(BGl_string3218z00zzcfa_closurez00,
		BgL_bgl_string3218za700za7za7c3230za7, "        ", 8);
	      DEFINE_STRING(BGl_string3219z00zzcfa_closurez00,
		BgL_bgl_string3219za700za7za7c3231za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string3220z00zzcfa_closurez00,
		BgL_bgl_string3220za700za7za7c3232za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d23233za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall3234z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73235za7,
		BGl_z62zc3anonymousza32727ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73236za7,
		BGl_z62zc3anonymousza32732ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu3237z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur3238z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3239z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3240z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu3241z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur3242z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc3243z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_5102, char *BgL_fromz00_5103)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_5094;

				BgL_cportz00_5094 =
					bgl_open_input_string(BGl_string3220z00zzcfa_closurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5095;

					BgL_iz00_5095 = ((long) 19);
				BgL_loopz00_5096:
					if ((BgL_iz00_5095 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg3222z00_5098;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_5100;

										BgL_locationz00_5100 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg3222z00_5098 =
												BGl_readz00zz__readerz00(BgL_cportz00_5094,
												BgL_locationz00_5100);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_5125;

									BgL_auxz00_5125 = (int) (BgL_iz00_5095);
									CNST_TABLE_SET(BgL_auxz00_5125, BgL_arg3222z00_5098);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_5101;

								BgL_auxz00_5101 = (int) ((BgL_iz00_5095 - ((long) 1)));
								{
									long BgL_iz00_5130;

									BgL_iz00_5130 = (long) (BgL_auxz00_5101);
									BgL_iz00_5095 = BgL_iz00_5130;
									goto BgL_loopz00_5096;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			{	/* Cfa/closure.scm 56 */
				long BgL_n1z00_4547;

				BgL_n1z00_4547 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_4547 >= ((long) 2)));
		}}
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_5074)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 62 */
					{	/* Cfa/closure.scm 63 */
						obj_t BgL_list2696z00_2483;

						{	/* Cfa/closure.scm 63 */
							obj_t BgL_arg2697z00_2484;

							BgL_arg2697z00_2484 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list2696z00_2483 =
								MAKE_PAIR(BGl_string3209z00zzcfa_closurez00,
								BgL_arg2697z00_2484);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2696z00_2483);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l2655z00_2486;

						BgL_l2655z00_2486 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32698ze3z83_2487:
						if (PAIRP(BgL_l2655z00_2486))
							{	/* Cfa/closure.scm 72 */
								{	/* Cfa/closure.scm 74 */
									obj_t BgL_appz00_2489;

									BgL_appz00_2489 = CAR(BgL_l2655z00_2486);
									{	/* Cfa/closure.scm 74 */
										BgL_appz00_bglt BgL_i1148z00_2490;

										BgL_i1148z00_2490 = ((BgL_appz00_bglt) BgL_appz00_2489);
										{	/* Cfa/closure.scm 75 */
											BgL_variablez00_bglt BgL_funz00_2491;

											{
												BgL_varz00_bglt BgL_auxz00_5149;

												{
													obj_t BgL_auxz00_5150;

													{	/* Cfa/closure.scm 75 */
														obj_t BgL_pairz00_4556;

														BgL_pairz00_4556 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_i1148z00_2490)))->
															BgL_argsz00);
														BgL_auxz00_5150 = CAR(BgL_pairz00_4556);
													}
													BgL_auxz00_5149 = ((BgL_varz00_bglt) BgL_auxz00_5150);
												}
												BgL_funz00_2491 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5149))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 75 */
												obj_t BgL_cloz00_2492;

												BgL_cloz00_2492 =
													(((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_funz00_2491))))->
																		BgL_valuez00)))))->BgL_thezd2closurezd2);
												{	/* Cfa/closure.scm 76 */
													bool_t BgL_lostzf3zf3_2493;

													{	/* Cfa/closure.scm 77 */
														long BgL_auxz00_5162;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5163;
															{
																obj_t BgL_auxz00_5164;

																{	/* Cfa/closure.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_5165;

																	BgL_auxz00_5165 =
																		((BgL_objectz00_bglt) BgL_i1148z00_2490);
																	BgL_auxz00_5164 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5165);
																}
																BgL_auxz00_5163 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5164);
															}
															BgL_auxz00_5162 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5163))->BgL_lostzd2stampzd2);
														}
														BgL_lostzf3zf3_2493 =
															(BgL_auxz00_5162 > ((long) -1));
													}
													{	/* Cfa/closure.scm 77 */
														obj_t BgL_siza7eza7_2494;

														{	/* Cfa/closure.scm 78 */
															obj_t BgL_arg2708z00_2504;

															{	/* Cfa/closure.scm 78 */
																obj_t BgL_pairz00_4568;

																BgL_pairz00_4568 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1148z00_2490)))->
																	BgL_argsz00);
																BgL_arg2708z00_2504 =
																	CAR(CDR(CDR(BgL_pairz00_4568)));
															}
															BgL_siza7eza7_2494 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2708z00_2504));
														}
														{	/* Cfa/closure.scm 78 */

															{	/* Cfa/closure.scm 80 */
																bool_t BgL_testz00_5178;

																if (BgL_lostzf3zf3_2493)
																	{	/* Cfa/closure.scm 80 */
																		BgL_testz00_5178 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/closure.scm 81 */
																		bool_t BgL_testz00_5180;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5181;
																			{
																				obj_t BgL_auxz00_5182;

																				{	/* Cfa/closure.scm 81 */
																					BgL_objectz00_bglt BgL_auxz00_5183;

																					BgL_auxz00_5183 =
																						((BgL_objectz00_bglt)
																						BgL_i1148z00_2490);
																					BgL_auxz00_5182 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5183);
																				}
																				BgL_auxz00_5181 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5182);
																			}
																			BgL_testz00_5180 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5181))->
																				BgL_xzd2tzf3z21);
																		}
																		if (BgL_testz00_5180)
																			{	/* Cfa/closure.scm 81 */
																				if (
																					((((BgL_funz00_bglt) CREF(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_funz00_2491))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																					{	/* Cfa/closure.scm 82 */
																						BgL_testz00_5178 = ((bool_t) 1);
																					}
																				else
																					{	/* Cfa/closure.scm 82 */
																						if (INTEGERP(BgL_siza7eza7_2494))
																							{	/* Cfa/closure.scm 83 */
																								if (BGl_isazf3zf3zz__objectz00
																									(BgL_cloz00_2492,
																										BGl_globalz00zzast_varz00))
																									{	/* Cfa/closure.scm 84 */
																										if (
																											((((BgL_globalz00_bglt)
																														CREF((
																																(BgL_globalz00_bglt)
																																BgL_cloz00_2492)))->
																													BgL_importz00) ==
																												CNST_TABLE_REF(((long)
																														0))))
																											{	/* Cfa/closure.scm 85 */
																												BgL_testz00_5178 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Cfa/closure.scm 85 */
																												BgL_testz00_5178 =
																													((bool_t) 1);
																											}
																									}
																								else
																									{	/* Cfa/closure.scm 84 */
																										BgL_testz00_5178 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Cfa/closure.scm 83 */
																								BgL_testz00_5178 = ((bool_t) 1);
																							}
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 81 */
																				BgL_testz00_5178 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_5178)
																	{	/* Cfa/closure.scm 80 */
																		BNIL;
																	}
																else
																	{	/* Cfa/closure.scm 80 */
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5205;
																			{
																				obj_t BgL_auxz00_5206;

																				{	/* Cfa/closure.scm 102 */
																					BgL_objectz00_bglt BgL_auxz00_5207;

																					BgL_auxz00_5207 =
																						((BgL_objectz00_bglt)
																						BgL_i1148z00_2490);
																					BgL_auxz00_5206 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5207);
																				}
																				BgL_auxz00_5205 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5206);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5205))->BgL_xz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5212;
																			{
																				obj_t BgL_auxz00_5213;

																				{	/* Cfa/closure.scm 103 */
																					BgL_objectz00_bglt BgL_auxz00_5214;

																					BgL_auxz00_5214 =
																						((BgL_objectz00_bglt)
																						BgL_i1148z00_2490);
																					BgL_auxz00_5213 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5214);
																				}
																				BgL_auxz00_5212 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5213);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5212))->BgL_tz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																	}
															}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l2655z00_5219;

									BgL_l2655z00_5219 = CDR(BgL_l2655z00_2486);
									BgL_l2655z00_2486 = BgL_l2655z00_5219;
									goto BgL_zc3anonymousza32698ze3z83_2487;
								}
							}
						else
							{	/* Cfa/closure.scm 72 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l2657z00_2513;

						BgL_l2657z00_2513 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32716ze3z83_2514:
						if (PAIRP(BgL_l2657z00_2513))
							{	/* Cfa/closure.scm 110 */
								{	/* Cfa/closure.scm 111 */
									obj_t BgL_allocz00_2516;

									BgL_allocz00_2516 = CAR(BgL_l2657z00_2513);
									{	/* Cfa/closure.scm 111 */
										BgL_appz00_bglt BgL_i1150z00_2517;

										BgL_i1150z00_2517 = ((BgL_appz00_bglt) BgL_allocz00_2516);
										{	/* Cfa/closure.scm 112 */
											BgL_valuez00_bglt BgL_fz00_2518;

											{
												BgL_variablez00_bglt BgL_auxz00_5227;

												{
													BgL_varz00_bglt BgL_auxz00_5228;

													{
														obj_t BgL_auxz00_5229;

														{	/* Cfa/closure.scm 112 */
															obj_t BgL_pairz00_4593;

															BgL_pairz00_4593 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1150z00_2517)))->
																BgL_argsz00);
															BgL_auxz00_5229 = CAR(BgL_pairz00_4593);
														}
														BgL_auxz00_5228 =
															((BgL_varz00_bglt) BgL_auxz00_5229);
													}
													BgL_auxz00_5227 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5228))->
														BgL_variablez00);
												}
												BgL_fz00_2518 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_5227))->
													BgL_valuez00);
											}
											{	/* Cfa/closure.scm 114 */
												bool_t BgL_testz00_5236;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5237;

													{
														obj_t BgL_auxz00_5238;

														{	/* Cfa/closure.scm 114 */
															BgL_objectz00_bglt BgL_auxz00_5239;

															BgL_auxz00_5239 =
																((BgL_objectz00_bglt) BgL_i1150z00_2517);
															BgL_auxz00_5238 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5239);
														}
														BgL_auxz00_5237 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5238);
													}
													BgL_testz00_5236 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5237))->BgL_xz00);
												}
												if (BgL_testz00_5236)
													{	/* Cfa/closure.scm 114 */
														BgL_sfunz00_bglt BgL_oz00_4600;
														obj_t BgL_vz00_4601;

														BgL_oz00_4600 = ((BgL_sfunz00_bglt) BgL_fz00_2518);
														BgL_vz00_4601 = CNST_TABLE_REF(((long) 1));
														((((BgL_sfunz00_bglt) CREF(BgL_oz00_4600))->
																BgL_strengthz00) =
															((obj_t) BgL_vz00_4601), BUNSPEC);
													}
												else
													{	/* Cfa/closure.scm 115 */
														bool_t BgL_testz00_5247;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5248;
															{
																obj_t BgL_auxz00_5249;

																{	/* Cfa/closure.scm 115 */
																	BgL_objectz00_bglt BgL_auxz00_5250;

																	BgL_auxz00_5250 =
																		((BgL_objectz00_bglt) BgL_i1150z00_2517);
																	BgL_auxz00_5249 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5250);
																}
																BgL_auxz00_5248 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5249);
															}
															BgL_testz00_5247 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5248))->BgL_tz00);
														}
														if (BgL_testz00_5247)
															{	/* Cfa/closure.scm 115 */
																BgL_sfunz00_bglt BgL_oz00_4603;
																obj_t BgL_vz00_4604;

																BgL_oz00_4603 =
																	((BgL_sfunz00_bglt) BgL_fz00_2518);
																BgL_vz00_4604 = CNST_TABLE_REF(((long) 2));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4603))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4604), BUNSPEC);
															}
														else
															{	/* Cfa/closure.scm 116 */
																BgL_sfunz00_bglt BgL_oz00_4606;
																obj_t BgL_vz00_4607;

																BgL_oz00_4606 =
																	((BgL_sfunz00_bglt) BgL_fz00_2518);
																BgL_vz00_4607 = CNST_TABLE_REF(((long) 3));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4606))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4607), BUNSPEC);
								}}}}}}
								{
									obj_t BgL_l2657z00_5261;

									BgL_l2657z00_5261 = CDR(BgL_l2657z00_2513);
									BgL_l2657z00_2513 = BgL_l2657z00_5261;
									goto BgL_zc3anonymousza32716ze3z83_2514;
								}
							}
						else
							{	/* Cfa/closure.scm 110 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 62 */
					return BFALSE;
				}
		}
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_5075, obj_t BgL_globalsz00_5076)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_5076);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 132 */
			{
				obj_t BgL_l2659z00_2527;

				BgL_l2659z00_2527 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza32724ze3z83_2528:
				if (PAIRP(BgL_l2659z00_2527))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 135 */
							BgL_funcallz00_bglt BgL_appz00_2530;

							BgL_appz00_2530 = ((BgL_funcallz00_bglt) CAR(BgL_l2659z00_2527));
							{	/* Cfa/closure.scm 136 */
								BgL_nodez00_bglt BgL_funz00_2531;

								BgL_funz00_2531 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2530))->BgL_funz00);
								{	/* Cfa/closure.scm 136 */
									BgL_approxz00_bglt BgL_approxz00_2532;

									BgL_approxz00_2532 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2531);
									{	/* Cfa/closure.scm 137 */
										obj_t BgL_allocz00_2533;

										BgL_allocz00_2533 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2532))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 138 */
											BgL_typez00_bglt BgL_typez00_2534;

											BgL_typez00_2534 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_2532))->
												BgL_typez00);
											{	/* Cfa/closure.scm 139 */
												bool_t BgL_topzf3zf3_2535;

												BgL_topzf3zf3_2535 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_2532))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 140 */

													if (BgL_topzf3zf3_2535)
														{	/* Cfa/closure.scm 142 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc3210z00zzcfa_closurez00,
																BgL_approxz00_2532);
														}
													else
														{	/* Cfa/closure.scm 153 */
															bool_t BgL_testz00_5280;

															{	/* Cfa/closure.scm 153 */
																obj_t BgL_arg2736z00_2551;

																BgL_arg2736z00_2551 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2533);
																BgL_testz00_5280 =
																	((long) CINT(BgL_arg2736z00_2551) ==
																	((long) 0));
															}
															if (BgL_testz00_5280)
																{	/* Cfa/closure.scm 153 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 156 */
																	bool_t BgL_testz00_5285;

																	{	/* Cfa/closure.scm 156 */
																		bool_t BgL_testz00_5286;

																		{	/* Cfa/closure.scm 156 */
																			obj_t BgL_arg2735z00_2550;

																			BgL_arg2735z00_2550 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2533);
																			BgL_testz00_5286 =
																				((long) CINT(BgL_arg2735z00_2550) ==
																				((long) 1));
																		}
																		if (BgL_testz00_5286)
																			{	/* Cfa/closure.scm 157 */
																				obj_t BgL__ortest_1151z00_2549;

																				BgL__ortest_1151z00_2549 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1151z00_2549))
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5285 =
																							CBOOL(BgL__ortest_1151z00_2549);
																					}
																				else
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5285 =
																							(
																							((obj_t) BgL_typez00_2534) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 156 */
																				BgL_testz00_5285 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_5285)
																		{	/* Cfa/closure.scm 156 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 156 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc3211z00zzcfa_closurez00,
																				BgL_approxz00_2532);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2659z00_5297;

							BgL_l2659z00_5297 = CDR(BgL_l2659z00_2527);
							BgL_l2659z00_2527 = BgL_l2659z00_5297;
							goto BgL_zc3anonymousza32724ze3z83_2528;
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* &<anonymous:2727> */
	obj_t BGl_z62zc3anonymousza32727ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5079,
		obj_t BgL_allocz00_5080)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 145 */
			{
				obj_t BgL_allocz00_2537;

				BgL_allocz00_2537 = BgL_allocz00_5080;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2537,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 146 */
						{	/* Cfa/closure.scm 150 */
							BgL_appz00_bglt BgL_oz00_4627;

							BgL_oz00_4627 = ((BgL_appz00_bglt) BgL_allocz00_2537);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5302;

								{
									obj_t BgL_auxz00_5303;

									{	/* Cfa/closure.scm 150 */
										BgL_objectz00_bglt BgL_auxz00_5304;

										BgL_auxz00_5304 = ((BgL_objectz00_bglt) BgL_oz00_4627);
										BgL_auxz00_5303 = BGL_OBJECT_WIDENING(BgL_auxz00_5304);
									}
									BgL_auxz00_5302 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5303);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5302))->
										BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
						{	/* Cfa/closure.scm 151 */
							BgL_appz00_bglt BgL_oz00_4630;

							BgL_oz00_4630 = ((BgL_appz00_bglt) BgL_allocz00_2537);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5310;

								{
									obj_t BgL_auxz00_5311;

									{	/* Cfa/closure.scm 151 */
										BgL_objectz00_bglt BgL_auxz00_5312;

										BgL_auxz00_5312 = ((BgL_objectz00_bglt) BgL_oz00_4630);
										BgL_auxz00_5311 = BGL_OBJECT_WIDENING(BgL_auxz00_5312);
									}
									BgL_auxz00_5310 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5311);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5310))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 146 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2732> */
	obj_t BGl_z62zc3anonymousza32732ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5081,
		obj_t BgL_allocz00_5082)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 164 */
			{
				obj_t BgL_allocz00_2544;

				BgL_allocz00_2544 = BgL_allocz00_5082;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2544,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 165 */
						{	/* Cfa/closure.scm 169 */
							BgL_appz00_bglt BgL_oz00_4641;

							BgL_oz00_4641 = ((BgL_appz00_bglt) BgL_allocz00_2544);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5320;

								{
									obj_t BgL_auxz00_5321;

									{	/* Cfa/closure.scm 169 */
										BgL_objectz00_bglt BgL_auxz00_5322;

										BgL_auxz00_5322 = ((BgL_objectz00_bglt) BgL_oz00_4641);
										BgL_auxz00_5321 = BGL_OBJECT_WIDENING(BgL_auxz00_5322);
									}
									BgL_auxz00_5320 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5321);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5320))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 165 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 182 */
			{
				bool_t BgL_continuezf3zf3_2555;

				BgL_continuezf3zf3_2555 = ((bool_t) 1);
			BgL_zc3anonymousza32738ze3z83_2556:
				if (BgL_continuezf3zf3_2555)
					{	/* Cfa/closure.scm 187 */
						bool_t BgL_continuezf3zf3_2557;

						BgL_continuezf3zf3_2557 = ((bool_t) 0);
						{
							obj_t BgL_l2663z00_2559;

							BgL_l2663z00_2559 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza32739ze3z83_2560:
							if (PAIRP(BgL_l2663z00_2559))
								{	/* Cfa/closure.scm 188 */
									{	/* Cfa/closure.scm 190 */
										obj_t BgL_appz00_2562;

										BgL_appz00_2562 = CAR(BgL_l2663z00_2559);
										{	/* Cfa/closure.scm 191 */
											BgL_nodez00_bglt BgL_funz00_2563;

											BgL_funz00_2563 =
												(((BgL_funcallz00_bglt) CREF(
														((BgL_funcallz00_bglt) BgL_appz00_2562)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 191 */
												BgL_approxz00_bglt BgL_approxz00_2564;

												BgL_approxz00_2564 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2563);
												{	/* Cfa/closure.scm 192 */
													obj_t BgL_allocz00_2565;

													BgL_allocz00_2565 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt) CREF(BgL_approxz00_2564))->
															BgL_allocsz00));
													{	/* Cfa/closure.scm 193 */
														BgL_typez00_bglt BgL_typez00_2566;

														BgL_typez00_2566 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2564))->
															BgL_typez00);
														{	/* Cfa/closure.scm 194 */
															bool_t BgL_tzd2initzf3z21_2567;

															{	/* Cfa/closure.scm 195 */
																bool_t BgL__ortest_1152z00_2590;

																BgL__ortest_1152z00_2590 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_2564))->BgL_topzf3zf3);
																if (BgL__ortest_1152z00_2590)
																	{	/* Cfa/closure.scm 195 */
																		BgL_tzd2initzf3z21_2567 =
																			BgL__ortest_1152z00_2590;
																	}
																else
																	{	/* Cfa/closure.scm 196 */
																		bool_t BgL_testz00_5339;

																		if (
																			(((obj_t) BgL_typez00_2566) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5339 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5339 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_5339)
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2567 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2567 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 195 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2569;
																	obj_t BgL_allocsz00_2570;

																	BgL_onezd2nonzd2tzf3zf3_2569 =
																		BgL_tzd2initzf3z21_2567;
																	BgL_allocsz00_2570 = BgL_allocz00_2565;
																BgL_zc3anonymousza32741ze3z83_2571:
																	if (NULLP(BgL_allocsz00_2570))
																		{	/* Cfa/closure.scm 204 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 204 */
																			if (BgL_onezd2nonzd2tzf3zf3_2569)
																				{
																					obj_t BgL_l2661z00_2574;

																					{	/* Cfa/closure.scm 207 */
																						bool_t BgL_auxz00_5348;

																						BgL_l2661z00_2574 =
																							BgL_allocz00_2565;
																					BgL_zc3anonymousza32743ze3z83_2575:
																						if (PAIRP(BgL_l2661z00_2574))
																							{	/* Cfa/closure.scm 207 */
																								{	/* Cfa/closure.scm 209 */
																									obj_t BgL_allocz00_2577;

																									BgL_allocz00_2577 =
																										CAR(BgL_l2661z00_2574);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2577,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 210 */
																											BgL_appz00_bglt
																												BgL_i1153z00_2579;
																											BgL_i1153z00_2579 =
																												((BgL_appz00_bglt)
																												BgL_allocz00_2577);
																											{	/* Cfa/closure.scm 211 */
																												bool_t BgL_testz00_5355;

																												{
																													BgL_makezd2procedurezd2appz00_bglt
																														BgL_auxz00_5356;
																													{
																														obj_t
																															BgL_auxz00_5357;
																														{	/* Cfa/closure.scm 211 */
																															BgL_objectz00_bglt
																																BgL_auxz00_5358;
																															BgL_auxz00_5358 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_i1153z00_2579);
																															BgL_auxz00_5357 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_5358);
																														}
																														BgL_auxz00_5356 =
																															(
																															(BgL_makezd2procedurezd2appz00_bglt)
																															BgL_auxz00_5357);
																													}
																													BgL_testz00_5355 =
																														(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5356))->BgL_tz00);
																												}
																												if (BgL_testz00_5355)
																													{	/* Cfa/closure.scm 211 */
																														{
																															BgL_makezd2procedurezd2appz00_bglt
																																BgL_auxz00_5363;
																															{
																																obj_t
																																	BgL_auxz00_5364;
																																{	/* Cfa/closure.scm 213 */
																																	BgL_objectz00_bglt
																																		BgL_auxz00_5365;
																																	BgL_auxz00_5365
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_i1153z00_2579);
																																	BgL_auxz00_5364
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_auxz00_5365);
																																}
																																BgL_auxz00_5363
																																	=
																																	(
																																	(BgL_makezd2procedurezd2appz00_bglt)
																																	BgL_auxz00_5364);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5363))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_2557
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 211 */
																														BFALSE;
																													}
																											}
																										}
																									else
																										{	/* Cfa/closure.scm 209 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l2661z00_5370;

																									BgL_l2661z00_5370 =
																										CDR(BgL_l2661z00_2574);
																									BgL_l2661z00_2574 =
																										BgL_l2661z00_5370;
																									goto
																										BgL_zc3anonymousza32743ze3z83_2575;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 207 */
																								BgL_auxz00_5348 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_5348);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 216 */
																					bool_t BgL_testz00_5373;

																					{	/* Cfa/closure.scm 216 */
																						obj_t BgL_arg2752z00_2588;

																						BgL_arg2752z00_2588 =
																							CAR(BgL_allocsz00_2570);
																						BgL_testz00_5373 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg2752z00_2588,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_5373)
																						{	/* Cfa/closure.scm 217 */
																							BgL_appz00_bglt BgL_i1154z00_2584;

																							{	/* Cfa/closure.scm 217 */
																								obj_t BgL_pairz00_4670;

																								BgL_pairz00_4670 =
																									BgL_allocsz00_2570;
																								BgL_i1154z00_2584 =
																									((BgL_appz00_bglt)
																									CAR(BgL_pairz00_4670));
																							}
																							{	/* Cfa/closure.scm 218 */
																								bool_t BgL_testz00_5378;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5379;
																									{
																										obj_t BgL_auxz00_5380;

																										{	/* Cfa/closure.scm 218 */
																											BgL_objectz00_bglt
																												BgL_auxz00_5381;
																											BgL_auxz00_5381 =
																												((BgL_objectz00_bglt)
																												BgL_i1154z00_2584);
																											BgL_auxz00_5380 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_5381);
																										}
																										BgL_auxz00_5379 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5380);
																									}
																									BgL_testz00_5378 =
																										(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5379))->BgL_tz00);
																								}
																								if (BgL_testz00_5378)
																									{
																										obj_t BgL_allocsz00_5386;

																										BgL_allocsz00_5386 =
																											CDR(BgL_allocsz00_2570);
																										BgL_allocsz00_2570 =
																											BgL_allocsz00_5386;
																										goto
																											BgL_zc3anonymousza32741ze3z83_2571;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5388;
																										BgL_onezd2nonzd2tzf3zf3_5388
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2569
																											=
																											BgL_onezd2nonzd2tzf3zf3_5388;
																										goto
																											BgL_zc3anonymousza32741ze3z83_2571;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 216 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_5391;

																									BgL_allocsz00_5391 =
																										CDR(BgL_allocsz00_2570);
																									BgL_allocsz00_2570 =
																										BgL_allocsz00_5391;
																									goto
																										BgL_zc3anonymousza32741ze3z83_2571;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5393;
																									BgL_onezd2nonzd2tzf3zf3_5393 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2569 =
																										BgL_onezd2nonzd2tzf3zf3_5393;
																									goto
																										BgL_zc3anonymousza32741ze3z83_2571;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2663z00_5394;

										BgL_l2663z00_5394 = CDR(BgL_l2663z00_2559);
										BgL_l2663z00_2559 = BgL_l2663z00_5394;
										goto BgL_zc3anonymousza32739ze3z83_2560;
									}
								}
							else
								{	/* Cfa/closure.scm 188 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5396;

							BgL_continuezf3zf3_5396 = BgL_continuezf3zf3_2557;
							BgL_continuezf3zf3_2555 = BgL_continuezf3zf3_5396;
							goto BgL_zc3anonymousza32738ze3z83_2556;
						}
					}
				else
					{	/* Cfa/closure.scm 185 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 252 */
			{
				obj_t BgL_appz00_2636;
				obj_t BgL_appz00_2612;

				{
					obj_t BgL_l2665z00_2603;

					BgL_l2665z00_2603 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza32759ze3z83_2604:
					if (PAIRP(BgL_l2665z00_2603))
						{	/* Cfa/closure.scm 294 */
							{	/* Cfa/closure.scm 295 */
								obj_t BgL_appz00_2606;

								BgL_appz00_2606 = CAR(BgL_l2665z00_2603);
								{	/* Cfa/closure.scm 295 */
									BgL_appz00_bglt BgL_i1158z00_2607;

									BgL_i1158z00_2607 = ((BgL_appz00_bglt) BgL_appz00_2606);
									{	/* Cfa/closure.scm 297 */
										bool_t BgL_testz00_5401;

										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5402;

											{
												obj_t BgL_auxz00_5403;

												{	/* Cfa/closure.scm 297 */
													BgL_objectz00_bglt BgL_auxz00_5404;

													BgL_auxz00_5404 =
														((BgL_objectz00_bglt) BgL_i1158z00_2607);
													BgL_auxz00_5403 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5404);
												}
												BgL_auxz00_5402 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_5403);
											}
											BgL_testz00_5401 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_5402))->BgL_xz00);
										}
										if (BgL_testz00_5401)
											{	/* Cfa/closure.scm 297 */
												BgL_appz00_2612 = BgL_appz00_2606;
												{	/* Cfa/closure.scm 255 */
													BgL_appz00_bglt BgL_i1156z00_2614;

													BgL_i1156z00_2614 =
														((BgL_appz00_bglt) BgL_appz00_2612);
													{	/* Cfa/closure.scm 256 */
														obj_t BgL_siza7eza7_2615;

														{	/* Cfa/closure.scm 256 */
															obj_t BgL_arg2780z00_2633;

															{	/* Cfa/closure.scm 256 */
																obj_t BgL_pairz00_4674;

																BgL_pairz00_4674 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1156z00_2614)))->
																	BgL_argsz00);
																BgL_arg2780z00_2633 =
																	CAR(CDR(CDR(BgL_pairz00_4674)));
															}
															BgL_siza7eza7_2615 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2780z00_2633));
														}
														{	/* Cfa/closure.scm 256 */
															BgL_variablez00_bglt BgL_ffunz00_2616;

															{
																BgL_varz00_bglt BgL_auxz00_5417;

																{
																	obj_t BgL_auxz00_5418;

																	{	/* Cfa/closure.scm 257 */
																		obj_t BgL_pairz00_4680;

																		BgL_pairz00_4680 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_i1156z00_2614)))->BgL_argsz00);
																		BgL_auxz00_5418 = CAR(BgL_pairz00_4680);
																	}
																	BgL_auxz00_5417 =
																		((BgL_varz00_bglt) BgL_auxz00_5418);
																}
																BgL_ffunz00_2616 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_5417))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 257 */
																BgL_valuez00_bglt BgL_sfunz00_2617;

																BgL_sfunz00_2617 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_ffunz00_2616))->BgL_valuez00);
																{	/* Cfa/closure.scm 258 */

																	if (
																		((long) CINT(BgL_siza7eza7_2615) <
																			((long) 1)))
																		{	/* Cfa/closure.scm 260 */
																			{	/* Cfa/closure.scm 261 */
																				bool_t BgL_testz00_5428;

																				{	/* Cfa/closure.scm 261 */
																					bool_t BgL_testz00_5429;

																					{	/* Cfa/closure.scm 261 */
																						bool_t BgL_res3138z00_4691;

																						{	/* Cfa/closure.scm 261 */
																							obj_t BgL_objz00_4690;

																							BgL_objz00_4690 =
																								((obj_t) BgL_ffunz00_2616);
																							BgL_res3138z00_4691 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4690,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5429 =
																							BgL_res3138z00_4691;
																					}
																					if (BgL_testz00_5429)
																						{	/* Cfa/closure.scm 262 */
																							bool_t BgL_testz00_5432;

																							{	/* Cfa/closure.scm 262 */
																								obj_t BgL_arg2773z00_2626;

																								BgL_arg2773z00_2626 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2617))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5432 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2773z00_2626,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5432)
																								{	/* Cfa/closure.scm 263 */
																									BgL_valuez00_bglt
																										BgL_arg2771z00_2624;
																									BgL_arg2771z00_2624 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2617))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 263 */
																										bool_t BgL_res3141z00_4702;

																										{	/* Cfa/closure.scm 263 */
																											obj_t BgL_objz00_4701;

																											BgL_objz00_4701 =
																												((obj_t)
																												BgL_arg2771z00_2624);
																											BgL_res3141z00_4702 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4701,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5428 =
																											BgL_res3141z00_4702;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 262 */
																									BgL_testz00_5428 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 261 */
																							BgL_testz00_5428 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5428)
																					{	/* Cfa/closure.scm 264 */
																						BgL_valuez00_bglt
																							BgL_arg2767z00_2620;
																						BgL_arg2767z00_2620 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2617))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 264 */
																							BgL_scnstz00_bglt BgL_oz00_4708;
																							obj_t BgL_vz00_4709;

																							BgL_oz00_4708 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2767z00_2620);
																							BgL_vz00_4709 =
																								CNST_TABLE_REF(((long) 6));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4708))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4709),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 261 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 266 */
																				BgL_varz00_bglt BgL_arg2774z00_2627;

																				BgL_arg2774z00_2627 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1156z00_2614)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 266 */
																					BgL_variablez00_bglt BgL_vz00_4712;

																					BgL_vz00_4712 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2774z00_2627))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4712), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 267 */
																				BgL_varz00_bglt BgL_arg2775z00_2628;

																				BgL_arg2775z00_2628 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1156z00_2614)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 267 */
																					BgL_typez00_bglt BgL_vz00_4715;

																					BgL_vz00_4715 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2775z00_2628)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4715),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1156z00_2614)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																	else
																		{	/* Cfa/closure.scm 260 */
																			{	/* Cfa/closure.scm 270 */
																				BgL_varz00_bglt BgL_arg2776z00_2629;

																				BgL_arg2776z00_2629 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1156z00_2614)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 270 */
																					BgL_variablez00_bglt BgL_vz00_4718;

																					BgL_vz00_4718 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2776z00_2629))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4718), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 271 */
																				BgL_varz00_bglt BgL_arg2777z00_2630;

																				BgL_arg2777z00_2630 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1156z00_2614)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 271 */
																					BgL_typez00_bglt BgL_vz00_4721;

																					BgL_vz00_4721 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2777z00_2630)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4721),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1156z00_2614)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																}
															}
														}
													}
													{
														obj_t BgL_auxz00_5478;

														{	/* Cfa/closure.scm 273 */
															obj_t BgL_pairz00_4723;

															BgL_pairz00_4723 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1156z00_2614)))->
																BgL_argsz00);
															{	/* Cfa/closure.scm 273 */
																obj_t BgL_pairz00_4726;

																BgL_pairz00_4726 = CDR(BgL_pairz00_4723);
																BgL_auxz00_5478 = CDR(BgL_pairz00_4726);
															}
														}
														((((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1156z00_2614)))->
																BgL_argsz00) =
															((obj_t) BgL_auxz00_5478), BUNSPEC);
													}
													BgL_appz00_2612;
												}
											}
										else
											{	/* Cfa/closure.scm 298 */
												bool_t BgL_testz00_5485;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5486;

													{
														obj_t BgL_auxz00_5487;

														{	/* Cfa/closure.scm 298 */
															BgL_objectz00_bglt BgL_auxz00_5488;

															BgL_auxz00_5488 =
																((BgL_objectz00_bglt) BgL_i1158z00_2607);
															BgL_auxz00_5487 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5488);
														}
														BgL_auxz00_5486 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5487);
													}
													BgL_testz00_5485 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5486))->BgL_tz00);
												}
												if (BgL_testz00_5485)
													{	/* Cfa/closure.scm 298 */
														BgL_appz00_2636 = BgL_appz00_2606;
														{	/* Cfa/closure.scm 277 */
															BgL_appz00_bglt BgL_i1157z00_2638;

															BgL_i1157z00_2638 =
																((BgL_appz00_bglt) BgL_appz00_2636);
															{	/* Cfa/closure.scm 278 */
																obj_t BgL_siza7eza7_2639;

																{	/* Cfa/closure.scm 278 */
																	obj_t BgL_arg2800z00_2657;

																	{	/* Cfa/closure.scm 278 */
																		obj_t BgL_pairz00_4727;

																		BgL_pairz00_4727 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_i1157z00_2638)))->BgL_argsz00);
																		BgL_arg2800z00_2657 =
																			CAR(CDR(CDR(BgL_pairz00_4727)));
																	}
																	BgL_siza7eza7_2639 =
																		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00
																		(((BgL_nodez00_bglt) BgL_arg2800z00_2657));
																}
																{	/* Cfa/closure.scm 278 */
																	BgL_variablez00_bglt BgL_ffunz00_2640;

																	{
																		BgL_varz00_bglt BgL_auxz00_5501;

																		{
																			obj_t BgL_auxz00_5502;

																			{	/* Cfa/closure.scm 279 */
																				obj_t BgL_pairz00_4733;

																				BgL_pairz00_4733 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2638)))->
																					BgL_argsz00);
																				BgL_auxz00_5502 = CAR(BgL_pairz00_4733);
																			}
																			BgL_auxz00_5501 =
																				((BgL_varz00_bglt) BgL_auxz00_5502);
																		}
																		BgL_ffunz00_2640 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_auxz00_5501))->
																			BgL_variablez00);
																	}
																	{	/* Cfa/closure.scm 279 */
																		BgL_valuez00_bglt BgL_sfunz00_2641;

																		BgL_sfunz00_2641 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_ffunz00_2640))->BgL_valuez00);
																		{	/* Cfa/closure.scm 280 */

																			{	/* Cfa/closure.scm 281 */
																				bool_t BgL_testz00_5509;

																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_testz00_5510;

																					{	/* Cfa/closure.scm 281 */
																						bool_t BgL_res3145z00_4741;

																						{	/* Cfa/closure.scm 281 */
																							obj_t BgL_objz00_4740;

																							BgL_objz00_4740 =
																								((obj_t) BgL_ffunz00_2640);
																							BgL_res3145z00_4741 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4740,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5510 =
																							BgL_res3145z00_4741;
																					}
																					if (BgL_testz00_5510)
																						{	/* Cfa/closure.scm 282 */
																							bool_t BgL_testz00_5513;

																							{	/* Cfa/closure.scm 282 */
																								obj_t BgL_arg2792z00_2649;

																								BgL_arg2792z00_2649 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2641))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5513 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2792z00_2649,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5513)
																								{	/* Cfa/closure.scm 283 */
																									BgL_valuez00_bglt
																										BgL_arg2789z00_2647;
																									BgL_arg2789z00_2647 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2641))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 283 */
																										bool_t BgL_res3148z00_4752;

																										{	/* Cfa/closure.scm 283 */
																											obj_t BgL_objz00_4751;

																											BgL_objz00_4751 =
																												((obj_t)
																												BgL_arg2789z00_2647);
																											BgL_res3148z00_4752 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4751,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5509 =
																											BgL_res3148z00_4752;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 282 */
																									BgL_testz00_5509 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 281 */
																							BgL_testz00_5509 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5509)
																					{	/* Cfa/closure.scm 284 */
																						BgL_valuez00_bglt
																							BgL_arg2785z00_2643;
																						BgL_arg2785z00_2643 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2641))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 284 */
																							BgL_scnstz00_bglt BgL_oz00_4758;
																							obj_t BgL_vz00_4759;

																							BgL_oz00_4758 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2785z00_2643);
																							BgL_vz00_4759 =
																								CNST_TABLE_REF(((long) 7));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4758))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4759),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 281 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 286 */
																				BgL_varz00_bglt BgL_arg2793z00_2650;

																				BgL_arg2793z00_2650 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2638)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 286 */
																					BgL_variablez00_bglt BgL_vz00_4762;

																					BgL_vz00_4762 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2793z00_2650))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4762), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 288 */
																				BgL_varz00_bglt BgL_arg2794z00_2651;

																				BgL_arg2794z00_2651 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2638)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 288 */
																					BgL_typez00_bglt BgL_vz00_4765;

																					BgL_vz00_4765 =
																						((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2794z00_2651)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4765),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1157z00_2638)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00)),
																				BUNSPEC);
																			{	/* Cfa/closure.scm 290 */
																				obj_t BgL_arg2795z00_2652;
																				obj_t BgL_arg2796z00_2653;

																				BgL_arg2795z00_2652 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1157z00_2638)))->
																					BgL_argsz00);
																				{	/* Cfa/closure.scm 290 */
																					obj_t BgL_pairz00_4767;

																					BgL_pairz00_4767 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1157z00_2638)))->
																						BgL_argsz00);
																					BgL_arg2796z00_2653 =
																						CDR(CDR(BgL_pairz00_4767));
																				}
																				SET_CDR(BgL_arg2795z00_2652,
																					BgL_arg2796z00_2653);
																			}
																			BgL_appz00_2636;
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/closure.scm 298 */
														BFALSE;
													}
											}
									}
								}
							}
							{
								obj_t BgL_l2665z00_5554;

								BgL_l2665z00_5554 = CDR(BgL_l2665z00_2603);
								BgL_l2665z00_2603 = BgL_l2665z00_5554;
								goto BgL_zc3anonymousza32759ze3z83_2604;
							}
						}
					else
						{	/* Cfa/closure.scm 294 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 304 */
			{
				obj_t BgL_l2672z00_2662;

				BgL_l2672z00_2662 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza32802ze3z83_2663:
				if (PAIRP(BgL_l2672z00_2662))
					{	/* Cfa/closure.scm 305 */
						{	/* Cfa/closure.scm 306 */
							BgL_funcallz00_bglt BgL_appz00_2665;

							BgL_appz00_2665 = ((BgL_funcallz00_bglt) CAR(BgL_l2672z00_2662));
							{	/* Cfa/closure.scm 307 */
								BgL_nodez00_bglt BgL_funz00_2666;

								BgL_funz00_2666 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2665))->BgL_funz00);
								{	/* Cfa/closure.scm 307 */
									BgL_approxz00_bglt BgL_approxz00_2667;

									BgL_approxz00_2667 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2666);
									{	/* Cfa/closure.scm 308 */
										obj_t BgL_alloczd2listzd2_2668;

										BgL_alloczd2listzd2_2668 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2667))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 309 */

											{	/* Cfa/closure.scm 310 */
												bool_t BgL_testz00_5564;

												if (PAIRP(BgL_alloczd2listzd2_2668))
													{	/* Cfa/closure.scm 311 */
														bool_t BgL_testz00_5567;

														{	/* Cfa/closure.scm 311 */
															obj_t BgL_arg2829z00_2708;

															BgL_arg2829z00_2708 =
																CAR(BgL_alloczd2listzd2_2668);
															BgL_testz00_5567 =
																BGl_isazf3zf3zz__objectz00(BgL_arg2829z00_2708,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_5567)
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5564 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5564 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 310 */
														BgL_testz00_5564 = ((bool_t) 1);
													}
												if (BgL_testz00_5564)
													{	/* Cfa/closure.scm 310 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 315 */
														BgL_appz00_bglt BgL_allocz00_2670;

														{	/* Cfa/closure.scm 315 */
															obj_t BgL_pairz00_4790;

															BgL_pairz00_4790 = BgL_alloczd2listzd2_2668;
															BgL_allocz00_2670 =
																((BgL_appz00_bglt) CAR(BgL_pairz00_4790));
														}
														{	/* Cfa/closure.scm 316 */
															BgL_appz00_bglt BgL_i1159z00_2671;

															BgL_i1159z00_2671 =
																((BgL_appz00_bglt) BgL_allocz00_2670);
															{	/* Cfa/closure.scm 318 */
																bool_t BgL_testz00_5574;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_5575;
																	{
																		obj_t BgL_auxz00_5576;

																		{	/* Cfa/closure.scm 318 */
																			BgL_objectz00_bglt BgL_auxz00_5577;

																			BgL_auxz00_5577 =
																				((BgL_objectz00_bglt)
																				BgL_i1159z00_2671);
																			BgL_auxz00_5576 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_5577);
																		}
																		BgL_auxz00_5575 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_5576);
																	}
																	BgL_testz00_5574 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_5575))->BgL_xz00);
																}
																if (BgL_testz00_5574)
																	{	/* Cfa/closure.scm 318 */
																		{	/* Cfa/closure.scm 323 */
																			BgL_varz00_bglt BgL_arg2806z00_2673;

																			{	/* Cfa/closure.scm 323 */
																				BgL_varz00_bglt
																					BgL_duplicated1161z00_2674;
																				BgL_varz00_bglt BgL_new1160z00_2675;

																				{	/* Cfa/closure.scm 323 */
																					obj_t BgL_pairz00_4791;

																					BgL_pairz00_4791 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1159z00_2671)))->
																						BgL_argsz00);
																					BgL_duplicated1161z00_2674 =
																						((BgL_varz00_bglt)
																						CAR(BgL_pairz00_4791));
																				}
																				{	/* Cfa/closure.scm 323 */
																					BgL_varz00_bglt BgL_new1162z00_2684;

																					BgL_new1162z00_2684 =
																						((BgL_varz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_varz00_bgl))));
																					{	/* Cfa/closure.scm 323 */
																						long BgL_arg2815z00_2685;

																						{	/* Cfa/closure.scm 323 */
																							long BgL_res3155z00_4795;

																							{	/* Cfa/closure.scm 323 */
																								obj_t BgL_classz00_4792;

																								BgL_classz00_4792 =
																									BGl_varz00zzast_nodez00;
																								{	/* Cfa/closure.scm 323 */
																									obj_t BgL_vectorz00_4793;
																									int BgL_kz00_4794;

																									BgL_vectorz00_4793 =
																										BgL_classz00_4792;
																									BgL_kz00_4794 =
																										(int) (((long) 1));
																									BgL_res3155z00_4795 =
																										(long)
																										CINT(VECTOR_REF
																										(BgL_vectorz00_4793,
																											BgL_kz00_4794));
																							}}
																							BgL_arg2815z00_2685 =
																								BgL_res3155z00_4795;
																						}
																						{	/* Cfa/closure.scm 323 */
																							BgL_objectz00_bglt
																								BgL_objz00_4796;
																							BgL_objz00_4796 =
																								((BgL_objectz00_bglt)
																								BgL_new1162z00_2684);
																							BGL_OBJECT_CLASS_NUM_SET
																								(BgL_objz00_4796,
																								BgL_arg2815z00_2685);
																					}}
																					{	/* Cfa/closure.scm 323 */
																						BgL_objectz00_bglt BgL_auxz00_5592;

																						BgL_auxz00_5592 =
																							((BgL_objectz00_bglt)
																							BgL_new1162z00_2684);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_5592, BFALSE);
																					}
																					BgL_new1160z00_2675 =
																						BgL_new1162z00_2684;
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1160z00_2675)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_duplicated1161z00_2674)))->
																							BgL_locz00)), BUNSPEC);
																				{
																					BgL_typez00_bglt BgL_auxz00_5599;

																					{	/* Cfa/closure.scm 325 */
																						obj_t BgL_arg2807z00_2676;
																						BgL_typez00_bglt
																							BgL_arg2808z00_2677;
																						{	/* Cfa/closure.scm 325 */
																							BgL_approxz00_bglt
																								BgL_arg2809z00_2678;
																							obj_t BgL_arg2810z00_2679;

																							{
																								BgL_makezd2procedurezd2appz00_bglt
																									BgL_auxz00_5601;
																								{
																									obj_t BgL_auxz00_5602;

																									{	/* Cfa/closure.scm 325 */
																										BgL_objectz00_bglt
																											BgL_auxz00_5603;
																										BgL_auxz00_5603 =
																											((BgL_objectz00_bglt)
																											BgL_i1159z00_2671);
																										BgL_auxz00_5602 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_5603);
																									}
																									BgL_auxz00_5601 =
																										(
																										(BgL_makezd2procedurezd2appz00_bglt)
																										BgL_auxz00_5602);
																								}
																								BgL_arg2809z00_2678 =
																									(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5601))->BgL_approxz00);
																							}
																							{	/* Cfa/closure.scm 325 */
																								obj_t BgL_pairz00_4798;

																								BgL_pairz00_4798 =
																									(((BgL_appz00_bglt) CREF(
																											((BgL_appz00_bglt)
																												BgL_i1159z00_2671)))->
																									BgL_argsz00);
																								BgL_arg2810z00_2679 =
																									CAR(BgL_pairz00_4798);
																							}
																							BgL_arg2807z00_2676 =
																								BGl_getzd2approxzd2typez00zzcfa_typez00
																								(BgL_arg2809z00_2678,
																								BgL_arg2810z00_2679);
																						}
																						{
																							BgL_nodez00_bglt BgL_auxz00_5612;

																							{
																								BgL_varz00_bglt BgL_auxz00_5613;

																								{
																									obj_t BgL_auxz00_5614;

																									{	/* Cfa/closure.scm 326 */
																										obj_t BgL_pairz00_4799;

																										BgL_pairz00_4799 =
																											(((BgL_appz00_bglt) CREF(
																													((BgL_appz00_bglt)
																														BgL_i1159z00_2671)))->
																											BgL_argsz00);
																										BgL_auxz00_5614 =
																											CAR(BgL_pairz00_4799);
																									}
																									BgL_auxz00_5613 =
																										((BgL_varz00_bglt)
																										BgL_auxz00_5614);
																								}
																								BgL_auxz00_5612 =
																									((BgL_nodez00_bglt)
																									BgL_auxz00_5613);
																							}
																							BgL_arg2808z00_2677 =
																								(((BgL_nodez00_bglt)
																									CREF(BgL_auxz00_5612))->
																								BgL_typez00);
																						}
																						BgL_auxz00_5599 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(((BgL_typez00_bglt)
																								BgL_arg2807z00_2676),
																							BgL_arg2808z00_2677);
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1160z00_2675)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_auxz00_5599), BUNSPEC);
																				}
																				((((BgL_varz00_bglt)
																							CREF(BgL_new1160z00_2675))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) ((
																								(BgL_varz00_bglt)
																								CREF
																								(BgL_duplicated1161z00_2674))->
																							BgL_variablez00)), BUNSPEC);
																				BgL_arg2806z00_2673 =
																					BgL_new1160z00_2675;
																			}
																			{	/* Cfa/closure.scm 321 */
																				BgL_nodez00_bglt BgL_vz00_4804;

																				BgL_vz00_4804 =
																					((BgL_nodez00_bglt)
																					BgL_arg2806z00_2673);
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_appz00_2665))->
																						BgL_funz00) =
																					((BgL_nodez00_bglt) BgL_vz00_4804),
																					BUNSPEC);
																		}}
																		{	/* Cfa/closure.scm 327 */
																			obj_t BgL_arg2816z00_2686;

																			{	/* Cfa/closure.scm 327 */
																				obj_t BgL_arg2817z00_2687;

																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_pairz00_4806;

																					BgL_pairz00_4806 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1159z00_2671)))->
																						BgL_argsz00);
																					BgL_arg2817z00_2687 =
																						CAR(BgL_pairz00_4806);
																				}
																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_list2818z00_2688;

																					BgL_list2818z00_2688 =
																						MAKE_PAIR(BgL_arg2817z00_2687,
																						BNIL);
																					BgL_arg2816z00_2686 =
																						BgL_list2818z00_2688;
																			}}
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2665))->
																					BgL_functionsz00) =
																				((obj_t) BgL_arg2816z00_2686), BUNSPEC);
																		}
																		{	/* Cfa/closure.scm 328 */
																			obj_t BgL_vz00_4813;

																			BgL_vz00_4813 =
																				CNST_TABLE_REF(((long) 1));
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2665))->
																					BgL_strengthz00) =
																				((obj_t) BgL_vz00_4813), BUNSPEC);
																	}}
																else
																	{	/* Cfa/closure.scm 329 */
																		bool_t BgL_testz00_5635;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5636;
																			{
																				obj_t BgL_auxz00_5637;

																				{	/* Cfa/closure.scm 329 */
																					BgL_objectz00_bglt BgL_auxz00_5638;

																					BgL_auxz00_5638 =
																						((BgL_objectz00_bglt)
																						BgL_i1159z00_2671);
																					BgL_auxz00_5637 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5638);
																				}
																				BgL_auxz00_5636 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5637);
																			}
																			BgL_testz00_5635 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5636))->BgL_tz00);
																		}
																		if (BgL_testz00_5635)
																			{	/* Cfa/closure.scm 329 */
																				{	/* Cfa/closure.scm 332 */
																					obj_t BgL_fz00_2691;

																					if (NULLP(BgL_alloczd2listzd2_2668))
																						{	/* Cfa/closure.scm 332 */
																							BgL_fz00_2691 = BNIL;
																						}
																					else
																						{	/* Cfa/closure.scm 332 */
																							obj_t BgL_head2669z00_2694;

																							{	/* Cfa/closure.scm 332 */
																								obj_t BgL_res3159z00_4819;

																								BgL_res3159z00_4819 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head2669z00_2694 =
																									BgL_res3159z00_4819;
																							}
																							{
																								obj_t BgL_l2667z00_2696;
																								obj_t BgL_tail2670z00_2697;

																								BgL_l2667z00_2696 =
																									BgL_alloczd2listzd2_2668;
																								BgL_tail2670z00_2697 =
																									BgL_head2669z00_2694;
																							BgL_zc3anonymousza32822ze3z83_2698:
																								if (NULLP
																									(BgL_l2667z00_2696))
																									{	/* Cfa/closure.scm 332 */
																										BgL_fz00_2691 =
																											CDR(BgL_head2669z00_2694);
																									}
																								else
																									{	/* Cfa/closure.scm 332 */
																										obj_t
																											BgL_newtail2671z00_2700;
																										{	/* Cfa/closure.scm 332 */
																											obj_t BgL_arg2825z00_2702;

																											{	/* Cfa/closure.scm 333 */
																												obj_t BgL_pairz00_4826;

																												{
																													BgL_appz00_bglt
																														BgL_auxz00_5649;
																													{
																														BgL_appz00_bglt
																															BgL_auxz00_5650;
																														{
																															obj_t
																																BgL_auxz00_5651;
																															{	/* Cfa/closure.scm 332 */
																																obj_t
																																	BgL_pairz00_4823;
																																BgL_pairz00_4823
																																	=
																																	BgL_l2667z00_2696;
																																BgL_auxz00_5651
																																	=
																																	CAR
																																	(BgL_pairz00_4823);
																															}
																															BgL_auxz00_5650 =
																																(
																																(BgL_appz00_bglt)
																																BgL_auxz00_5651);
																														}
																														BgL_auxz00_5649 =
																															((BgL_appz00_bglt)
																															BgL_auxz00_5650);
																													}
																													BgL_pairz00_4826 =
																														(((BgL_appz00_bglt)
																															CREF
																															(BgL_auxz00_5649))->
																														BgL_argsz00);
																												}
																												BgL_arg2825z00_2702 =
																													CAR(BgL_pairz00_4826);
																											}
																											{	/* Cfa/closure.scm 332 */
																												obj_t
																													BgL_res3161z00_4829;
																												BgL_res3161z00_4829 =
																													MAKE_PAIR
																													(BgL_arg2825z00_2702,
																													BNIL);
																												BgL_newtail2671z00_2700
																													= BgL_res3161z00_4829;
																											}
																										}
																										SET_CDR
																											(BgL_tail2670z00_2697,
																											BgL_newtail2671z00_2700);
																										{
																											obj_t
																												BgL_tail2670z00_5661;
																											obj_t BgL_l2667z00_5659;

																											BgL_l2667z00_5659 =
																												CDR(BgL_l2667z00_2696);
																											BgL_tail2670z00_5661 =
																												BgL_newtail2671z00_2700;
																											BgL_tail2670z00_2697 =
																												BgL_tail2670z00_5661;
																											BgL_l2667z00_2696 =
																												BgL_l2667z00_5659;
																											goto
																												BgL_zc3anonymousza32822ze3z83_2698;
																										}
																									}
																							}
																						}
																					((((BgL_funcallz00_bglt)
																								CREF(BgL_appz00_2665))->
																							BgL_functionsz00) =
																						((obj_t) BgL_fz00_2691), BUNSPEC);
																					{	/* Cfa/closure.scm 336 */
																						obj_t BgL_vz00_4837;

																						BgL_vz00_4837 =
																							CNST_TABLE_REF(((long) 2));
																						((((BgL_funcallz00_bglt)
																									CREF(BgL_appz00_2665))->
																								BgL_strengthz00) =
																							((obj_t) BgL_vz00_4837), BUNSPEC);
																			}}}
																		else
																			{	/* Cfa/closure.scm 329 */
																				CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}}
						{
							obj_t BgL_l2672z00_5666;

							BgL_l2672z00_5666 = CDR(BgL_l2672z00_2662);
							BgL_l2672z00_2662 = BgL_l2672z00_5666;
							goto BgL_zc3anonymousza32802ze3z83_2663;
						}
					}
				else
					{	/* Cfa/closure.scm 305 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_funcallzd2lzd2_2712;

					BgL_funcallzd2lzd2_2712 =
						BGl_zc3anonymousza32846ze3z83zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{

					BgL_zc3anonymousza32832ze3z83_2714:
						{	/* Cfa/closure.scm 348 */
							bool_t BgL_contz00_2715;

							BgL_contz00_2715 = ((bool_t) 0);
							{
								obj_t BgL_l2679z00_2717;

								BgL_l2679z00_2717 = BgL_funcallzd2lzd2_2712;
							BgL_zc3anonymousza32833ze3z83_2718:
								if (PAIRP(BgL_l2679z00_2717))
									{	/* Cfa/closure.scm 349 */
										{	/* Cfa/closure.scm 350 */
											BgL_funcallz00_bglt BgL_appz00_2720;

											BgL_appz00_2720 =
												((BgL_funcallz00_bglt) CAR(BgL_l2679z00_2717));
											{	/* Cfa/closure.scm 350 */
												BgL_nodez00_bglt BgL_funz00_2721;

												BgL_funz00_2721 =
													(((BgL_funcallz00_bglt) CREF(BgL_appz00_2720))->
													BgL_funz00);
												{	/* Cfa/closure.scm 350 */
													BgL_approxz00_bglt BgL_approxz00_2722;

													BgL_approxz00_2722 =
														BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2721);
													{	/* Cfa/closure.scm 351 */
														obj_t BgL_appsz00_2723;

														BgL_appsz00_2723 =
															BGl_setzd2ze3listz31zzcfa_setz00(
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2722))->
																BgL_allocsz00));
														{	/* Cfa/closure.scm 352 */

															{	/* Cfa/closure.scm 353 */
																bool_t BgL_testz00_5679;

																if (PAIRP(BgL_appsz00_2723))
																	{	/* Cfa/closure.scm 353 */
																		obj_t BgL_auxz00_5682;

																		BgL_auxz00_5682 = CDR(BgL_appsz00_2723);
																		BgL_testz00_5679 = PAIRP(BgL_auxz00_5682);
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BgL_testz00_5679 = ((bool_t) 0);
																	}
																if (BgL_testz00_5679)
																	{	/* Cfa/closure.scm 355 */
																		bool_t BgL__ortest_1163z00_2725;

																		BgL__ortest_1163z00_2725 =
																			BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																			(BgL_appsz00_2723);
																		if (BgL__ortest_1163z00_2725)
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2715 =
																					BgL__ortest_1163z00_2725;
																			}
																		else
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2715 = BgL_contz00_2715;
																			}
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
										}
										{
											obj_t BgL_l2679z00_5687;

											BgL_l2679z00_5687 = CDR(BgL_l2679z00_2717);
											BgL_l2679z00_2717 = BgL_l2679z00_5687;
											goto BgL_zc3anonymousza32833ze3z83_2718;
										}
									}
								else
									{	/* Cfa/closure.scm 349 */
										((bool_t) 1);
									}
							}
							if (BgL_contz00_2715)
								{	/* Cfa/closure.scm 357 */
									{	/* Cfa/closure.scm 358 */
										obj_t BgL_arg2840z00_2731;

										{	/* Cfa/closure.scm 358 */
											obj_t BgL_res3170z00_4868;

											{	/* Cfa/closure.scm 358 */
												obj_t BgL_auxz00_5690;

												BgL_auxz00_5690 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res3170z00_4868 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_5690);
											}
											BgL_arg2840z00_2731 = BgL_res3170z00_4868;
										}
										{	/* Cfa/closure.scm 358 */
											obj_t BgL_list2841z00_2732;

											{	/* Cfa/closure.scm 358 */
												obj_t BgL_arg2842z00_2733;

												{	/* Cfa/closure.scm 358 */
													obj_t BgL_arg2843z00_2734;

													{	/* Cfa/closure.scm 358 */
														obj_t BgL_arg2844z00_2735;

														{	/* Cfa/closure.scm 358 */
															obj_t BgL_arg2845z00_2736;

															BgL_arg2845z00_2736 =
																MAKE_PAIR(BGl_string3212z00zzcfa_closurez00,
																BNIL);
															BgL_arg2844z00_2735 =
																MAKE_PAIR(BGl_string3213z00zzcfa_closurez00,
																BgL_arg2845z00_2736);
														}
														BgL_arg2843z00_2734 =
															MAKE_PAIR(BINT(((long) 358)),
															BgL_arg2844z00_2735);
													}
													BgL_arg2842z00_2733 =
														MAKE_PAIR(BGl_string3214z00zzcfa_closurez00,
														BgL_arg2843z00_2734);
												}
												BgL_list2841z00_2732 =
													MAKE_PAIR(BGl_string3215z00zzcfa_closurez00,
													BgL_arg2842z00_2733);
											}
											BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2840z00_2731,
												BgL_list2841z00_2732);
									}}
									goto BgL_zc3anonymousza32832ze3z83_2714;
								}
							else
								{	/* Cfa/closure.scm 357 */
									return ((bool_t) 0);
								}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 341 */
					return ((bool_t) 0);
				}
		}
	}



/* <anonymous:2846> */
	obj_t BGl_zc3anonymousza32846ze3z83zzcfa_closurez00(obj_t BgL_lis2675z00_2739)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 344 */
		BGl_zc3anonymousza32846ze3z83zzcfa_closurez00:
			if (NULLP(BgL_lis2675z00_2739))
				{	/* Cfa/closure.scm 344 */
					return BgL_lis2675z00_2739;
				}
			else
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_head2676z00_2742;
					obj_t BgL_tail2677z00_2743;

					BgL_head2676z00_2742 = CAR(BgL_lis2675z00_2739);
					BgL_tail2677z00_2743 = CDR(BgL_lis2675z00_2739);
					if (
						((((BgL_funcallz00_bglt) CREF(
										((BgL_funcallz00_bglt) BgL_head2676z00_2742)))->
								BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
						{	/* Cfa/closure.scm 344 */
							obj_t BgL_newzd2tail2678zd2_2745;

							BgL_newzd2tail2678zd2_2745 =
								BGl_zc3anonymousza32846ze3z83zzcfa_closurez00
								(BgL_tail2677z00_2743);
							if ((BgL_tail2677z00_2743 == BgL_newzd2tail2678zd2_2745))
								{	/* Cfa/closure.scm 344 */
									return BgL_lis2675z00_2739;
								}
							else
								{	/* Cfa/closure.scm 344 */
									obj_t BgL_res3165z00_4852;

									BgL_res3165z00_4852 =
										MAKE_PAIR(BgL_head2676z00_2742, BgL_newzd2tail2678zd2_2745);
									return BgL_res3165z00_4852;
								}
						}
					else
						{
							obj_t BgL_lis2675z00_5713;

							BgL_lis2675z00_5713 = BgL_tail2677z00_2743;
							BgL_lis2675z00_2739 = BgL_lis2675z00_5713;
							goto BGl_zc3anonymousza32846ze3z83zzcfa_closurez00;
						}
				}
		}
	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 364 */
			{
				BgL_appz00_bglt BgL_app0z00_2763;
				BgL_appz00_bglt BgL_app1z00_2764;

				{	/* Cfa/closure.scm 407 */
					obj_t BgL_g1167z00_2751;

					BgL_g1167z00_2751 = CDR(BgL_apps0z00_8);
					{
						obj_t BgL_appsz00_2753;
						bool_t BgL_contz00_2754;

						BgL_appsz00_2753 = BgL_g1167z00_2751;
						BgL_contz00_2754 = ((bool_t) 0);
					BgL_zc3anonymousza32851ze3z83_2755:
						if (NULLP(BgL_appsz00_2753))
							{	/* Cfa/closure.scm 409 */
								return BgL_contz00_2754;
							}
						else
							{	/* Cfa/closure.scm 413 */
								obj_t BgL_arg2853z00_2757;
								bool_t BgL_arg2854z00_2758;

								BgL_arg2853z00_2757 = CDR(BgL_appsz00_2753);
								{	/* Cfa/closure.scm 413 */
									bool_t BgL__ortest_1168z00_2759;

									{	/* Cfa/closure.scm 413 */
										obj_t BgL_arg2855z00_2760;
										obj_t BgL_arg2856z00_2761;

										BgL_arg2855z00_2760 = CAR(BgL_apps0z00_8);
										BgL_arg2856z00_2761 = CAR(BgL_appsz00_2753);
										BgL_app0z00_2763 = ((BgL_appz00_bglt) BgL_arg2855z00_2760);
										BgL_app1z00_2764 = ((BgL_appz00_bglt) BgL_arg2856z00_2761);
										{	/* Cfa/closure.scm 367 */
											BgL_variablez00_bglt BgL_f0z00_2766;

											{
												BgL_varz00_bglt BgL_auxz00_5720;

												{
													obj_t BgL_auxz00_5721;

													{	/* Cfa/closure.scm 367 */
														obj_t BgL_pairz00_4871;

														BgL_pairz00_4871 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_app0z00_2763)))->
															BgL_argsz00);
														BgL_auxz00_5721 = CAR(BgL_pairz00_4871);
													}
													BgL_auxz00_5720 = ((BgL_varz00_bglt) BgL_auxz00_5721);
												}
												BgL_f0z00_2766 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5720))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 367 */
												BgL_variablez00_bglt BgL_f1z00_2767;

												{
													BgL_varz00_bglt BgL_auxz00_5727;

													{
														obj_t BgL_auxz00_5728;

														{	/* Cfa/closure.scm 368 */
															obj_t BgL_pairz00_4877;

															BgL_pairz00_4877 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_app1z00_2764)))->
																BgL_argsz00);
															BgL_auxz00_5728 = CAR(BgL_pairz00_4877);
														}
														BgL_auxz00_5727 =
															((BgL_varz00_bglt) BgL_auxz00_5728);
													}
													BgL_f1z00_2767 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5727))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 368 */

													{	/* Cfa/closure.scm 369 */
														obj_t BgL_g1164z00_2768;
														obj_t BgL_g1165z00_2769;

														{	/* Cfa/closure.scm 369 */
															obj_t BgL_pairz00_4886;

															BgL_pairz00_4886 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f0z00_2766))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1164z00_2768 = CDR(BgL_pairz00_4886);
														}
														{	/* Cfa/closure.scm 370 */
															obj_t BgL_pairz00_4892;

															BgL_pairz00_4892 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f1z00_2767))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1165z00_2769 = CDR(BgL_pairz00_4892);
														}
														{
															obj_t BgL_a0z00_2771;
															obj_t BgL_a1z00_2772;
															bool_t BgL_contz00_2773;

															BgL_a0z00_2771 = BgL_g1164z00_2768;
															BgL_a1z00_2772 = BgL_g1165z00_2769;
															BgL_contz00_2773 = ((bool_t) 0);
														BgL_zc3anonymousza32858ze3z83_2774:
															{	/* Cfa/closure.scm 372 */
																bool_t BgL_testz00_5742;

																if (PAIRP(BgL_a0z00_2771))
																	{	/* Cfa/closure.scm 372 */
																		BgL_testz00_5742 = PAIRP(BgL_a1z00_2772);
																	}
																else
																	{	/* Cfa/closure.scm 372 */
																		BgL_testz00_5742 = ((bool_t) 0);
																	}
																if (BgL_testz00_5742)
																	{	/* Cfa/closure.scm 373 */
																		BgL_approxz00_bglt BgL_p0z00_2776;

																		{
																			BgL_svarzf2cinfozf2_bglt BgL_auxz00_5746;

																			{
																				obj_t BgL_auxz00_5747;

																				{	/* Cfa/closure.scm 373 */
																					BgL_objectz00_bglt BgL_auxz00_5748;

																					BgL_auxz00_5748 =
																						((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											CAR(BgL_a0z00_2771))))->
																								BgL_valuez00)));
																					BgL_auxz00_5747 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5748);
																				}
																				BgL_auxz00_5746 =
																					((BgL_svarzf2cinfozf2_bglt)
																					BgL_auxz00_5747);
																			}
																			BgL_p0z00_2776 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					CREF(BgL_auxz00_5746))->
																				BgL_approxz00);
																		}
																		{	/* Cfa/closure.scm 373 */
																			BgL_approxz00_bglt BgL_p1z00_2777;

																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_5757;
																				{
																					obj_t BgL_auxz00_5758;

																					{	/* Cfa/closure.scm 374 */
																						BgL_objectz00_bglt BgL_auxz00_5759;

																						BgL_auxz00_5759 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt) CREF(
																											((BgL_variablez00_bglt)
																												CAR(BgL_a1z00_2772))))->
																									BgL_valuez00)));
																						BgL_auxz00_5758 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_5759);
																					}
																					BgL_auxz00_5757 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_5758);
																				}
																				BgL_p1z00_2777 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						CREF(BgL_auxz00_5757))->
																					BgL_approxz00);
																			}
																			{	/* Cfa/closure.scm 374 */
																				BgL_typez00_bglt BgL_t0z00_2778;

																				BgL_t0z00_2778 =
																					(((BgL_approxz00_bglt)
																						CREF(BgL_p0z00_2776))->BgL_typez00);
																				{	/* Cfa/closure.scm 375 */
																					BgL_typez00_bglt BgL_t1z00_2779;

																					BgL_t1z00_2779 =
																						(((BgL_approxz00_bglt)
																							CREF(BgL_p1z00_2777))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 376 */

																						{	/* Cfa/closure.scm 377 */
																							bool_t BgL_testz00_5770;

																							if (
																								(((obj_t) BgL_t0z00_2778) ==
																									((obj_t) BgL_t1z00_2779)))
																								{	/* Cfa/closure.scm 377 */
																									BgL_testz00_5770 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 377 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_2778))
																										{	/* Cfa/closure.scm 377 */
																											BgL_testz00_5770 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_2779);
																										}
																									else
																										{	/* Cfa/closure.scm 377 */
																											BgL_testz00_5770 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_testz00_5770)
																								{
																									obj_t BgL_a1z00_5780;
																									obj_t BgL_a0z00_5778;

																									BgL_a0z00_5778 =
																										CDR(BgL_a0z00_2771);
																									BgL_a1z00_5780 =
																										CDR(BgL_a1z00_2772);
																									BgL_a1z00_2772 =
																										BgL_a1z00_5780;
																									BgL_a0z00_2771 =
																										BgL_a0z00_5778;
																									goto
																										BgL_zc3anonymousza32858ze3z83_2774;
																								}
																							else
																								{	/* Cfa/closure.scm 377 */
																									{	/* Cfa/closure.scm 398 */
																										obj_t BgL_arg2863z00_2783;
																										BgL_typez00_bglt
																											BgL_arg2864z00_2784;
																										BgL_arg2863z00_2783 =
																											CAR(BgL_a0z00_2771);
																										BgL_arg2864z00_2784 =
																											BGl_getzd2bigloozd2typez00zztype_cachez00
																											(BgL_t0z00_2778);
																										{	/* Cfa/closure.scm 398 */
																											BgL_variablez00_bglt
																												BgL_oz00_4920;
																											BgL_oz00_4920 =
																												((BgL_variablez00_bglt)
																												BgL_arg2863z00_2783);
																											((((BgL_variablez00_bglt)
																														CREF
																														(BgL_oz00_4920))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_arg2864z00_2784),
																												BUNSPEC);
																										}
																									}
																									{	/* Cfa/closure.scm 399 */
																										obj_t BgL_arg2865z00_2785;
																										BgL_typez00_bglt
																											BgL_arg2866z00_2786;
																										BgL_arg2865z00_2785 =
																											CAR(BgL_a1z00_2772);
																										BgL_arg2866z00_2786 =
																											BGl_getzd2bigloozd2typez00zztype_cachez00
																											(BgL_t1z00_2779);
																										{	/* Cfa/closure.scm 399 */
																											BgL_variablez00_bglt
																												BgL_oz00_4924;
																											BgL_oz00_4924 =
																												((BgL_variablez00_bglt)
																												BgL_arg2865z00_2785);
																											((((BgL_variablez00_bglt)
																														CREF
																														(BgL_oz00_4924))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_arg2866z00_2786),
																												BUNSPEC);
																										}
																									}
																									{
																										bool_t BgL_contz00_5794;
																										obj_t BgL_a1z00_5792;
																										obj_t BgL_a0z00_5790;

																										BgL_a0z00_5790 =
																											CDR(BgL_a0z00_2771);
																										BgL_a1z00_5792 =
																											CDR(BgL_a1z00_2772);
																										BgL_contz00_5794 =
																											((bool_t) 1);
																										BgL_contz00_2773 =
																											BgL_contz00_5794;
																										BgL_a1z00_2772 =
																											BgL_a1z00_5792;
																										BgL_a0z00_2771 =
																											BgL_a0z00_5790;
																										goto
																											BgL_zc3anonymousza32858ze3z83_2774;
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 372 */
																		BgL__ortest_1168z00_2759 = BgL_contz00_2773;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1168z00_2759)
										{	/* Cfa/closure.scm 413 */
											BgL_arg2854z00_2758 = BgL__ortest_1168z00_2759;
										}
									else
										{	/* Cfa/closure.scm 413 */
											BgL_arg2854z00_2758 = BgL_contz00_2754;
										}
								}
								{
									bool_t BgL_contz00_5799;
									obj_t BgL_appsz00_5798;

									BgL_appsz00_5798 = BgL_arg2853z00_2757;
									BgL_contz00_5799 = BgL_arg2854z00_2758;
									BgL_contz00_2754 = BgL_contz00_5799;
									BgL_appsz00_2753 = BgL_appsz00_5798;
									goto BgL_zc3anonymousza32851ze3z83_2755;
								}
							}
					}
				}
			}
		}
	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 418 */
			{
				BgL_appz00_bglt BgL_appz00_2815;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 433 */
						obj_t BgL_g2686z00_2807;

						BgL_g2686z00_2807 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l2684z00_2809;

							{	/* Cfa/closure.scm 433 */
								bool_t BgL_auxz00_5802;

								BgL_l2684z00_2809 = BgL_g2686z00_2807;
							BgL_zc3anonymousza32883ze3z83_2810:
								if (PAIRP(BgL_l2684z00_2809))
									{	/* Cfa/closure.scm 433 */
										{	/* Cfa/closure.scm 433 */
											obj_t BgL_arg2885z00_2812;

											BgL_arg2885z00_2812 = CAR(BgL_l2684z00_2809);
											BgL_appz00_2815 = ((BgL_appz00_bglt) BgL_arg2885z00_2812);
											{	/* Cfa/closure.scm 422 */
												bool_t BgL_testz00_5806;

												{	/* Cfa/closure.scm 422 */
													bool_t BgL_testz00_5807;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5808;

														{
															obj_t BgL_auxz00_5809;

															{	/* Cfa/closure.scm 422 */
																BgL_objectz00_bglt BgL_auxz00_5810;

																BgL_auxz00_5810 =
																	((BgL_objectz00_bglt) BgL_appz00_2815);
																BgL_auxz00_5809 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5810);
															}
															BgL_auxz00_5808 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5809);
														}
														BgL_testz00_5807 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_5808))->BgL_xz00);
													}
													if (BgL_testz00_5807)
														{	/* Cfa/closure.scm 422 */
															BgL_testz00_5806 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5815;
															{
																obj_t BgL_auxz00_5816;

																{	/* Cfa/closure.scm 422 */
																	BgL_objectz00_bglt BgL_auxz00_5817;

																	BgL_auxz00_5817 =
																		((BgL_objectz00_bglt) BgL_appz00_2815);
																	BgL_auxz00_5816 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5817);
																}
																BgL_auxz00_5815 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5816);
															}
															BgL_testz00_5806 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5815))->BgL_tz00);
														}
												}
												if (BgL_testz00_5806)
													{	/* Cfa/closure.scm 422 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 424 */
														BgL_variablez00_bglt BgL_varz00_2819;

														{
															BgL_varz00_bglt BgL_auxz00_5822;

															{
																obj_t BgL_auxz00_5823;

																{	/* Cfa/closure.scm 424 */
																	obj_t BgL_pairz00_4935;

																	BgL_pairz00_4935 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_appz00_2815)))->
																		BgL_argsz00);
																	BgL_auxz00_5823 = CAR(BgL_pairz00_4935);
																}
																BgL_auxz00_5822 =
																	((BgL_varz00_bglt) BgL_auxz00_5823);
															}
															BgL_varz00_2819 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_5822))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 424 */
															BgL_valuez00_bglt BgL_sfunz00_2820;

															BgL_sfunz00_2820 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_varz00_2819))->BgL_valuez00);
															{	/* Cfa/closure.scm 425 */

																{	/* Cfa/closure.scm 426 */
																	obj_t BgL_g2683z00_2821;

																	{	/* Cfa/closure.scm 430 */
																		obj_t BgL_pairz00_4944;

																		BgL_pairz00_4944 =
																			(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_2820)))->BgL_argsz00);
																		BgL_g2683z00_2821 = CDR(BgL_pairz00_4944);
																	}
																	{
																		obj_t BgL_l2681z00_2823;

																		BgL_l2681z00_2823 = BgL_g2683z00_2821;
																	BgL_zc3anonymousza32889ze3z83_2824:
																		if (PAIRP(BgL_l2681z00_2823))
																			{	/* Cfa/closure.scm 430 */
																				{	/* Cfa/closure.scm 427 */
																					obj_t BgL_az00_2826;

																					BgL_az00_2826 =
																						CAR(BgL_l2681z00_2823);
																					{	/* Cfa/closure.scm 427 */
																						BgL_approxz00_bglt BgL_pz00_2827;

																						{
																							BgL_svarzf2cinfozf2_bglt
																								BgL_auxz00_5836;
																							{
																								obj_t BgL_auxz00_5837;

																								{	/* Cfa/closure.scm 427 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5838;
																									BgL_auxz00_5838 =
																										((BgL_objectz00_bglt) (
																											(BgL_svarz00_bglt) ((
																													(BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															BgL_az00_2826)))->
																												BgL_valuez00)));
																									BgL_auxz00_5837 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_5838);
																								}
																								BgL_auxz00_5836 =
																									((BgL_svarzf2cinfozf2_bglt)
																									BgL_auxz00_5837);
																							}
																							BgL_pz00_2827 =
																								(((BgL_svarzf2cinfozf2_bglt)
																									CREF(BgL_auxz00_5836))->
																								BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 427 */
																							BgL_typez00_bglt BgL_tz00_2828;

																							BgL_tz00_2828 =
																								(((BgL_approxz00_bglt)
																									CREF(BgL_pz00_2827))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 428 */

																								{	/* Cfa/closure.scm 429 */
																									BgL_typez00_bglt
																										BgL_arg2891z00_2829;
																									BgL_arg2891z00_2829 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_tz00_2828);
																									{	/* Cfa/closure.scm 429 */
																										BgL_variablez00_bglt
																											BgL_oz00_4957;
																										BgL_oz00_4957 =
																											((BgL_variablez00_bglt)
																											BgL_az00_2826);
																										((((BgL_variablez00_bglt)
																													CREF(BgL_oz00_4957))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_arg2891z00_2829),
																											BUNSPEC);
																									}
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l2681z00_5850;

																					BgL_l2681z00_5850 =
																						CDR(BgL_l2681z00_2823);
																					BgL_l2681z00_2823 = BgL_l2681z00_5850;
																					goto
																						BgL_zc3anonymousza32889ze3z83_2824;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 430 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l2684z00_5853;

											BgL_l2684z00_5853 = CDR(BgL_l2684z00_2809);
											BgL_l2684z00_2809 = BgL_l2684z00_5853;
											goto BgL_zc3anonymousza32883ze3z83_2810;
										}
									}
								else
									{	/* Cfa/closure.scm 433 */
										BgL_auxz00_5802 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_5802);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 432 */
						return BFALSE;
					}
			}
		}
	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_5083)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 418 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 438 */
			{
				obj_t BgL_l2687z00_2839;

				BgL_l2687z00_2839 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza32898ze3z83_2840:
				if (PAIRP(BgL_l2687z00_2839))
					{	/* Cfa/closure.scm 439 */
						{	/* Cfa/closure.scm 441 */
							obj_t BgL_appz00_2842;

							BgL_appz00_2842 = CAR(BgL_l2687z00_2839);
							{	/* Cfa/closure.scm 441 */
								BgL_approxz00_bglt BgL_approxz00_2844;

								{	/* Cfa/closure.scm 442 */
									obj_t BgL_arg2909z00_2859;

									{	/* Cfa/closure.scm 442 */
										obj_t BgL_pairz00_4973;

										BgL_pairz00_4973 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2842)))->BgL_argsz00);
										BgL_arg2909z00_2859 = CAR(BgL_pairz00_4973);
									}
									BgL_approxz00_2844 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg2909z00_2859));
								}
								{	/* Cfa/closure.scm 442 */
									obj_t BgL_alloczd2listzd2_2845;

									BgL_alloczd2listzd2_2845 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) CREF(BgL_approxz00_2844))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 443 */
										BgL_varz00_bglt BgL_funz00_2846;

										BgL_funz00_2846 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2842)))->BgL_funz00);
										{	/* Cfa/closure.scm 444 */
											BgL_variablez00_bglt BgL_vfunz00_2847;

											BgL_vfunz00_2847 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_2846))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 445 */

												{	/* Cfa/closure.scm 446 */
													bool_t BgL_testz00_5870;

													if (PAIRP(BgL_alloczd2listzd2_2845))
														{	/* Cfa/closure.scm 447 */
															bool_t BgL_testz00_5873;

															{	/* Cfa/closure.scm 447 */
																obj_t BgL_arg2907z00_2857;

																BgL_arg2907z00_2857 =
																	CAR(BgL_alloczd2listzd2_2845);
																BgL_testz00_5873 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2907z00_2857,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_5873)
																{	/* Cfa/closure.scm 447 */
																	BgL_testz00_5870 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 447 */
																	BgL_testz00_5870 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 446 */
															BgL_testz00_5870 = ((bool_t) 1);
														}
													if (BgL_testz00_5870)
														{	/* Cfa/closure.scm 446 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 449 */
															BgL_appz00_bglt BgL_allocz00_2849;

															{	/* Cfa/closure.scm 449 */
																obj_t BgL_pairz00_4987;

																BgL_pairz00_4987 = BgL_alloczd2listzd2_2845;
																BgL_allocz00_2849 =
																	((BgL_appz00_bglt) CAR(BgL_pairz00_4987));
															}
															{	/* Cfa/closure.scm 450 */
																BgL_appz00_bglt BgL_i1170z00_2850;

																BgL_i1170z00_2850 =
																	((BgL_appz00_bglt) BgL_allocz00_2849);
																{	/* Cfa/closure.scm 452 */
																	bool_t BgL_testz00_5880;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5881;
																		{
																			obj_t BgL_auxz00_5882;

																			{	/* Cfa/closure.scm 452 */
																				BgL_objectz00_bglt BgL_auxz00_5883;

																				BgL_auxz00_5883 =
																					((BgL_objectz00_bglt)
																					BgL_i1170z00_2850);
																				BgL_auxz00_5882 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5883);
																			}
																			BgL_auxz00_5881 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5882);
																		}
																		BgL_testz00_5880 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_5881))->BgL_xz00);
																	}
																	if (BgL_testz00_5880)
																		{	/* Cfa/closure.scm 452 */
																			if (
																				(((obj_t) BgL_vfunz00_2847) ==
																					BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																				{	/* Cfa/closure.scm 454 */
																					BgL_variablez00_bglt BgL_vz00_4989;

																					BgL_vz00_4989 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2846))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4989), BUNSPEC);
																				}
																			else
																				{	/* Cfa/closure.scm 455 */
																					BgL_variablez00_bglt BgL_vz00_4992;

																					BgL_vz00_4992 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2846))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4992), BUNSPEC);
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 456 */
																			bool_t BgL_testz00_5895;

																			{
																				BgL_makezd2procedurezd2appz00_bglt
																					BgL_auxz00_5896;
																				{
																					obj_t BgL_auxz00_5897;

																					{	/* Cfa/closure.scm 456 */
																						BgL_objectz00_bglt BgL_auxz00_5898;

																						BgL_auxz00_5898 =
																							((BgL_objectz00_bglt)
																							BgL_i1170z00_2850);
																						BgL_auxz00_5897 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_5898);
																					}
																					BgL_auxz00_5896 =
																						(
																						(BgL_makezd2procedurezd2appz00_bglt)
																						BgL_auxz00_5897);
																				}
																				BgL_testz00_5895 =
																					(((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5896))->BgL_tz00);
																			}
																			if (BgL_testz00_5895)
																				{	/* Cfa/closure.scm 456 */
																					if (
																						(((obj_t) BgL_vfunz00_2847) ==
																							BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																						{	/* Cfa/closure.scm 458 */
																							BgL_variablez00_bglt
																								BgL_vz00_4995;
																							BgL_vz00_4995 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2846))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_4995), BUNSPEC);
																						}
																					else
																						{	/* Cfa/closure.scm 459 */
																							BgL_variablez00_bglt
																								BgL_vz00_4998;
																							BgL_vz00_4998 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2846))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_4998), BUNSPEC);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 456 */
																					BFALSE;
																				}
																		}
																}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2687z00_5910;

							BgL_l2687z00_5910 = CDR(BgL_l2687z00_2839);
							BgL_l2687z00_2839 = BgL_l2687z00_5910;
							goto BgL_zc3anonymousza32898ze3z83_2840;
						}
					}
				else
					{	/* Cfa/closure.scm 439 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 465 */
			{
				obj_t BgL_xpz00_2867;
				obj_t BgL_tpz00_2868;
				obj_t BgL_allocsz00_2869;

				BgL_xpz00_2867 = BNIL;
				BgL_tpz00_2868 = BNIL;
				BgL_allocsz00_2869 = BgL_allocsz00_9;
			BgL_zc3anonymousza32912ze3z83_2870:
				if (NULLP(BgL_allocsz00_2869))
					{	/* Cfa/closure.scm 476 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_2867);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_2868);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 481 */
						BgL_appz00_bglt BgL_i1173z00_2872;

						{	/* Cfa/closure.scm 481 */
							obj_t BgL_pairz00_5011;

							BgL_pairz00_5011 = BgL_allocsz00_2869;
							BgL_i1173z00_2872 = ((BgL_appz00_bglt) CAR(BgL_pairz00_5011));
						}
						{	/* Cfa/closure.scm 483 */
							bool_t BgL_testz00_5920;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5921;

								{
									obj_t BgL_auxz00_5922;

									{	/* Cfa/closure.scm 483 */
										BgL_objectz00_bglt BgL_auxz00_5923;

										BgL_auxz00_5923 = ((BgL_objectz00_bglt) BgL_i1173z00_2872);
										BgL_auxz00_5922 = BGL_OBJECT_WIDENING(BgL_auxz00_5923);
									}
									BgL_auxz00_5921 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5922);
								}
								BgL_testz00_5920 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_5921))->BgL_xz00);
							}
							if (BgL_testz00_5920)
								{	/* Cfa/closure.scm 484 */
									obj_t BgL_arg2915z00_2874;
									obj_t BgL_arg2916z00_2875;

									{	/* Cfa/closure.scm 484 */
										BgL_variablez00_bglt BgL_arg2917z00_2876;

										{
											BgL_varz00_bglt BgL_auxz00_5928;

											{
												obj_t BgL_auxz00_5929;

												{	/* Cfa/closure.scm 484 */
													obj_t BgL_pairz00_5012;

													BgL_pairz00_5012 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_i1173z00_2872)))->
														BgL_argsz00);
													BgL_auxz00_5929 = CAR(BgL_pairz00_5012);
												}
												BgL_auxz00_5928 = ((BgL_varz00_bglt) BgL_auxz00_5929);
											}
											BgL_arg2917z00_2876 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_5928))->
												BgL_variablez00);
										}
										BgL_arg2915z00_2874 =
											MAKE_PAIR(((obj_t) BgL_arg2917z00_2876), BgL_xpz00_2867);
									}
									BgL_arg2916z00_2875 = CDR(BgL_allocsz00_2869);
									{
										obj_t BgL_allocsz00_5939;
										obj_t BgL_xpz00_5938;

										BgL_xpz00_5938 = BgL_arg2915z00_2874;
										BgL_allocsz00_5939 = BgL_arg2916z00_2875;
										BgL_allocsz00_2869 = BgL_allocsz00_5939;
										BgL_xpz00_2867 = BgL_xpz00_5938;
										goto BgL_zc3anonymousza32912ze3z83_2870;
									}
								}
							else
								{	/* Cfa/closure.scm 485 */
									bool_t BgL_testz00_5940;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5941;

										{
											obj_t BgL_auxz00_5942;

											{	/* Cfa/closure.scm 485 */
												BgL_objectz00_bglt BgL_auxz00_5943;

												BgL_auxz00_5943 =
													((BgL_objectz00_bglt) BgL_i1173z00_2872);
												BgL_auxz00_5942 = BGL_OBJECT_WIDENING(BgL_auxz00_5943);
											}
											BgL_auxz00_5941 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5942);
										}
										BgL_testz00_5940 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_5941))->BgL_tz00);
									}
									if (BgL_testz00_5940)
										{	/* Cfa/closure.scm 486 */
											obj_t BgL_arg2921z00_2880;
											obj_t BgL_arg2922z00_2881;

											{	/* Cfa/closure.scm 486 */
												BgL_variablez00_bglt BgL_arg2923z00_2882;

												{
													BgL_varz00_bglt BgL_auxz00_5948;

													{
														obj_t BgL_auxz00_5949;

														{	/* Cfa/closure.scm 486 */
															obj_t BgL_pairz00_5017;

															BgL_pairz00_5017 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1173z00_2872)))->
																BgL_argsz00);
															BgL_auxz00_5949 = CAR(BgL_pairz00_5017);
														}
														BgL_auxz00_5948 =
															((BgL_varz00_bglt) BgL_auxz00_5949);
													}
													BgL_arg2923z00_2882 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5948))->
														BgL_variablez00);
												}
												BgL_arg2921z00_2880 =
													MAKE_PAIR(
													((obj_t) BgL_arg2923z00_2882), BgL_tpz00_2868);
											}
											BgL_arg2922z00_2881 = CDR(BgL_allocsz00_2869);
											{
												obj_t BgL_allocsz00_5959;
												obj_t BgL_tpz00_5958;

												BgL_tpz00_5958 = BgL_arg2921z00_2880;
												BgL_allocsz00_5959 = BgL_arg2922z00_2881;
												BgL_allocsz00_2869 = BgL_allocsz00_5959;
												BgL_tpz00_2868 = BgL_tpz00_5958;
												goto BgL_zc3anonymousza32912ze3z83_2870;
											}
										}
									else
										{
											obj_t BgL_allocsz00_5960;

											BgL_allocsz00_5960 = CDR(BgL_allocsz00_2869);
											BgL_allocsz00_2869 = BgL_allocsz00_5960;
											goto BgL_zc3anonymousza32912ze3z83_2870;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_2887,
		obj_t BgL_lz00_2888)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 472 */
			if (NULLP(BgL_lz00_2888))
				{	/* Cfa/closure.scm 467 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 467 */
					{	/* Cfa/closure.scm 469 */
						obj_t BgL_arg2929z00_2891;

						BgL_arg2929z00_2891 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_2888));
						{	/* Cfa/closure.scm 469 */
							obj_t BgL_list2930z00_2892;

							{	/* Cfa/closure.scm 469 */
								obj_t BgL_arg2931z00_2893;

								{	/* Cfa/closure.scm 469 */
									obj_t BgL_arg2932z00_2894;

									{	/* Cfa/closure.scm 469 */
										obj_t BgL_arg2933z00_2895;

										{	/* Cfa/closure.scm 469 */
											obj_t BgL_arg2934z00_2896;

											BgL_arg2934z00_2896 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2933z00_2895 =
												MAKE_PAIR(BgL_arg2929z00_2891, BgL_arg2934z00_2896);
										}
										BgL_arg2932z00_2894 =
											MAKE_PAIR(BGl_string3216z00zzcfa_closurez00,
											BgL_arg2933z00_2895);
									}
									BgL_arg2931z00_2893 =
										MAKE_PAIR(BgL_propz00_2887, BgL_arg2932z00_2894);
								}
								BgL_list2930z00_2892 =
									MAKE_PAIR(BGl_string3217z00zzcfa_closurez00,
									BgL_arg2931z00_2893);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2930z00_2892);
					}}
					{	/* Cfa/closure.scm 470 */
						obj_t BgL_g2691z00_2898;

						BgL_g2691z00_2898 = CDR(BgL_lz00_2888);
						{
							obj_t BgL_l2689z00_2900;

							BgL_l2689z00_2900 = BgL_g2691z00_2898;
						BgL_zc3anonymousza32936ze3z83_2901:
							if (PAIRP(BgL_l2689z00_2900))
								{	/* Cfa/closure.scm 472 */
									{	/* Cfa/closure.scm 471 */
										obj_t BgL_xz00_2903;

										BgL_xz00_2903 = CAR(BgL_l2689z00_2900);
										{	/* Cfa/closure.scm 471 */
											obj_t BgL_arg2938z00_2904;

											BgL_arg2938z00_2904 =
												BGl_shapez00zztools_shapez00(BgL_xz00_2903);
											{	/* Cfa/closure.scm 471 */
												obj_t BgL_list2939z00_2905;

												{	/* Cfa/closure.scm 471 */
													obj_t BgL_arg2940z00_2906;

													{	/* Cfa/closure.scm 471 */
														obj_t BgL_arg2941z00_2907;

														BgL_arg2941z00_2907 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg2940z00_2906 =
															MAKE_PAIR(BgL_arg2938z00_2904,
															BgL_arg2941z00_2907);
													}
													BgL_list2939z00_2905 =
														MAKE_PAIR(BGl_string3218z00zzcfa_closurez00,
														BgL_arg2940z00_2906);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list2939z00_2905);
									}}}
									{
										obj_t BgL_l2689z00_5985;

										BgL_l2689z00_5985 = CDR(BgL_l2689z00_2900);
										BgL_l2689z00_2900 = BgL_l2689z00_5985;
										goto BgL_zc3anonymousza32936ze3z83_2901;
									}
								}
							else
								{	/* Cfa/closure.scm 472 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 500 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_5084)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 500 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 506 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 507 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_10),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 507 */
					return BFALSE;
				}
		}
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_5085,
		obj_t BgL_astz00_5086)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 506 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5086));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 513 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_PAIR(
					((obj_t) BgL_astz00_11),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_5087, obj_t BgL_astz00_5088)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 513 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5088));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 519 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 520 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_12),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 520 */
					return BFALSE;
				}
		}
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_5089, obj_t BgL_astz00_5090)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 519 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5090));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 526 */
			{	/* Cfa/closure.scm 527 */
				BgL_typez00_bglt BgL_typez00_2913;
				obj_t BgL_alloczd2listzd2_2914;

				BgL_typez00_2913 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_typez00);
				BgL_alloczd2listzd2_2914 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_2913) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 529 */
						if (PAIRP(BgL_alloczd2listzd2_2914))
							{	/* Cfa/closure.scm 530 */
								if (NULLP(CDR(BgL_alloczd2listzd2_2914)))
									{	/* Cfa/closure.scm 532 */
										bool_t BgL_testz00_6016;

										{	/* Cfa/closure.scm 532 */
											obj_t BgL_arg2946z00_2920;

											BgL_arg2946z00_2920 = CAR(BgL_alloczd2listzd2_2914);
											BgL_testz00_6016 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2946z00_2920,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_6016)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6019;

												{
													obj_t BgL_auxz00_6020;

													{	/* Cfa/closure.scm 533 */
														BgL_objectz00_bglt BgL_auxz00_6021;

														BgL_auxz00_6021 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_2914)));
														BgL_auxz00_6020 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6021);
													}
													BgL_auxz00_6019 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_6020);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_6019))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 532 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 531 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 530 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 529 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_5091, obj_t BgL_approxz00_5092)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 526 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_5092)));
		}
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 550 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 563 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_5093)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 563 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string3219z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
