/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_failz00_bglt
		BGl_z62patchz12zd2fail1978za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence1963za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall1967za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static BgL_kwotez00_bglt
		BGl_z62patchz12zd2kwote1957za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	static BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref1994z70zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2199z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it1988za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz121992z62zzcfa_specializa7eza7(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box1990z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun1982z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_castz00_bglt
		BGl_z62patchz12zd2cast1971za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32204ze3ze1zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_setqz00_bglt
		BGl_z62patchz12zd2setq1973za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_appz00_bglt
		BGl_z62patchz12zd2app1996za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it1986za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var1984z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2closure1961za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62patchz121952z70zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static BgL_atomz00_bglt
		BGl_z62patchz12zd2atom1955za2zzcfa_specializa7eza7(obj_t, obj_t);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly1965z70zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2202z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2205z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_selectz00_bglt
		BGl_z62patchz12zd2select1980za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_z62lambda2212z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2213z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional1975za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	static BgL_externz00_bglt
		BGl_z62patchz12zd2extern1969za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_varz00_bglt
		BGl_z62patchz12zd2var1959za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2213za7622438z00,
		BGl_z62lambda2213z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2402z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2212za7622439z00,
		BGl_z62lambda2212z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2205za7622440z00,
		BGl_z62lambda2205z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3anonymousza72441za7,
		BGl_z62zc3anonymousza32204ze3ze1zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2202za7622442z00,
		BGl_z62lambda2202z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2406z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2199za7622443z00,
		BGl_z62lambda2199z62zzcfa_specializa7eza7, 0L, BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121952za72444za7,
		BGl_z62patchz121952z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2411z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2445za7,
		BGl_z62patchz12zd2atom1955za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2446za7,
		BGl_z62patchz12zd2kwote1957za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2447za7,
		BGl_z62patchz12zd2var1959za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2448za7,
		BGl_z62patchz12zd2closure1961za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2449za7,
		BGl_z62patchz12zd2sequence1963za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2450za7,
		BGl_z62patchz12zd2appzd2ly1965z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2451za7,
		BGl_z62patchz12zd2funcall1967za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2452za7,
		BGl_z62patchz12zd2extern1969za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2453za7,
		BGl_z62patchz12zd2cast1971za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2421z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2454za7,
		BGl_z62patchz12zd2setq1973za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2455za7,
		BGl_z62patchz12zd2conditional1975za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2456za7,
		BGl_z62patchz12zd2fail1978za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2457za7,
		BGl_z62patchz12zd2select1980za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2458za7,
		BGl_z62patchz12zd2letzd2fun1982z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2459za7,
		BGl_z62patchz12zd2letzd2var1984z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2460za7,
		BGl_z62patchz12zd2setzd2exzd2it1986za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2461za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1988za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2462za7,
		BGl_z62patchz12zd2makezd2box1990z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22463z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2464za7,
		BGl_z62patchz12zd2boxzd2setz121992z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2465za7,
		BGl_z62patchz12zd2boxzd2ref1994z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2466za7,
		BGl_z62patchz12zd2app1996za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2387z00zzcfa_specializa7eza7,
		BgL_bgl_string2387za700za7za7c2467za7, "arithmetic-spec-types", 21);
	      DEFINE_STRING(BGl_string2388z00zzcfa_specializa7eza7,
		BgL_bgl_string2388za700za7za7c2468za7, "Null specification for", 22);
	      DEFINE_STRING(BGl_string2389z00zzcfa_specializa7eza7,
		BgL_bgl_string2389za700za7za7c2469za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2390z00zzcfa_specializa7eza7,
		BgL_bgl_string2390za700za7za7c2470za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2391z00zzcfa_specializa7eza7,
		BgL_bgl_string2391za700za7za7c2471za7, ": ", 2);
	      DEFINE_STRING(BGl_string2392z00zzcfa_specializa7eza7,
		BgL_bgl_string2392za700za7za7c2472za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2393z00zzcfa_specializa7eza7,
		BgL_bgl_string2393za700za7za7c2473za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2394z00zzcfa_specializa7eza7,
		BgL_bgl_string2394za700za7za7c2474za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2395z00zzcfa_specializa7eza7,
		BgL_bgl_string2395za700za7za7c2475za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2396z00zzcfa_specializa7eza7,
		BgL_bgl_string2396za700za7za7c2476za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2397z00zzcfa_specializa7eza7,
		BgL_bgl_string2397za700za7za7c2477za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2398z00zzcfa_specializa7eza7,
		BgL_bgl_string2398za700za7za7c2478za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2399z00zzcfa_specializa7eza7,
		BgL_bgl_string2399za700za7za7c2479za7, "Can't find global", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72480za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22481z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2400z00zzcfa_specializa7eza7,
		BgL_bgl_string2400za700za7za7c2482za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2407z00zzcfa_specializa7eza7,
		BgL_bgl_string2407za700za7za7c2483za7, "", 0);
	      DEFINE_STRING(BGl_string2409z00zzcfa_specializa7eza7,
		BgL_bgl_string2409za700za7za7c2484za7, "patch!1952", 10);
	      DEFINE_STRING(BGl_string2410z00zzcfa_specializa7eza7,
		BgL_bgl_string2410za700za7za7c2485za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2412z00zzcfa_specializa7eza7,
		BgL_bgl_string2412za700za7za7c2486za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2433z00zzcfa_specializa7eza7,
		BgL_bgl_string2433za700za7za7c2487za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2434z00zzcfa_specializa7eza7,
		BgL_bgl_string2434za700za7za7c2488za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2435z00zzcfa_specializa7eza7,
		BgL_bgl_string2435za700za7za7c2489za7,
		"patch!1952 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((2+ (2+ __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (2- (2- __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((2+ (2+ __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (2- (2- __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) (<fl __r4_numbers"
		"_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numbers_6_5) (asinfl"
		" __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2204);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72490za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3166, char *BgL_fromz00_3167)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_3155;

				BgL_cportz00_3155 =
					bgl_open_input_string(BGl_string2435z00zzcfa_specializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_3156;

					BgL_iz00_3156 = ((long) 13);
				BgL_loopz00_3157:
					if ((BgL_iz00_3156 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2437z00_3159;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_3161;

										BgL_locationz00_3161 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2437z00_3159 =
												BGl_readz00zz__readerz00(BgL_cportz00_3155,
												BgL_locationz00_3161);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_auxz00_3190;

									BgL_auxz00_3190 = (int) (BgL_iz00_3156);
									CNST_TABLE_SET(BgL_auxz00_3190, BgL_arg2437z00_3159);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_3162;

								BgL_auxz00_3162 = (int) ((BgL_iz00_3156 - ((long) 1)));
								{
									long BgL_iz00_3195;

									BgL_iz00_3195 = (long) (BgL_auxz00_3162);
									BgL_iz00_3156 = BgL_iz00_3195;
									goto BgL_loopz00_3157;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1376;

				BgL_headz00_1376 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1377;
					obj_t BgL_tailz00_1378;

					BgL_prevz00_1377 = BgL_headz00_1376;
					BgL_tailz00_1378 = BgL_l1z00_1;
				BgL_loopz00_1379:
					if (PAIRP(BgL_tailz00_1378))
						{
							obj_t BgL_newzd2prevzd2_1381;

							BgL_newzd2prevzd2_1381 =
								MAKE_PAIR(CAR(BgL_tailz00_1378), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1377, BgL_newzd2prevzd2_1381);
							{
								obj_t BgL_tailz00_3206;
								obj_t BgL_prevz00_3205;

								BgL_prevz00_3205 = BgL_newzd2prevzd2_1381;
								BgL_tailz00_3206 = CDR(BgL_tailz00_1378);
								BgL_tailz00_1378 = BgL_tailz00_3206;
								BgL_prevz00_1377 = BgL_prevz00_3205;
								goto BgL_loopz00_1379;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1376);
				}
			}
		}
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_84)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1932z00_1431;

						BgL_g1932z00_1431 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1929z00_1433;

							BgL_l1929z00_1433 = BgL_g1932z00_1431;
						BgL_zc3anonymousza32004ze3z83_1434:
							if (PAIRP(BgL_l1929z00_1433))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1929z00_1433));
									{
										obj_t BgL_l1929z00_3216;

										BgL_l1929z00_3216 = CDR(BgL_l1929z00_1433);
										BgL_l1929z00_1433 = BgL_l1929z00_3216;
										goto BgL_zc3anonymousza32004ze3z83_1434;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_84);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_84;
		}
	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_3043,
		obj_t BgL_globalsz00_3044)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3044);
		}
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_85)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1440;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg2011z00_1445;
					obj_t BgL_arg2012z00_1446;

					BgL_arg2011z00_1445 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_85)))->BgL_idz00);
					BgL_arg2012z00_1446 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1440 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2011z00_1445,
						BgL_arg2012z00_1446);
				}
				if (PAIRP(BgL_cellz00_1440))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_auxz00_3228;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_auxz00_3229;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2703;

								BgL_pairz00_2703 = CAR(CDR(BgL_cellz00_1440));
								BgL_auxz00_3229 = CAR(CDR(BgL_pairz00_2703));
							}
							BgL_auxz00_3228 =
								(BgL_auxz00_3229 ==
								(((BgL_globalz00_bglt) CREF(BgL_globalz00_85))->BgL_modulez00));
						}
						return BBOOL(BgL_auxz00_3228);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}
	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_3045, obj_t BgL_globalz00_3046)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3046));
		}
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_86)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1448;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg2033z00_1471;
					obj_t BgL_arg2035z00_1472;

					BgL_arg2033z00_1471 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_86)))->BgL_idz00);
					BgL_arg2035z00_1472 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1448 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2033z00_1471,
						BgL_arg2035z00_1472);
				}
				if (PAIRP(BgL_cellz00_1448))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1173z00_1450;

						BgL_g1173z00_1450 = CDR(CDR(BgL_cellz00_1448));
						{
							obj_t BgL_specz00_1453;
							obj_t BgL_typesz00_1454;

							BgL_specz00_1453 = BgL_g1173z00_1450;
							BgL_typesz00_1454 = BNIL;
						BgL_zc3anonymousza32014ze3z83_1455:
							if (NULLP(BgL_specz00_1453))
								{	/* Cfa/specialize.scm 75 */
									if (NULLP(BgL_typesz00_1454))
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg2017z00_1458;

											BgL_arg2017z00_1458 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_globalz00_86));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2387z00zzcfa_specializa7eza7,
												BGl_string2388z00zzcfa_specializa7eza7,
												BgL_arg2017z00_1458);
										}
									else
										{	/* Cfa/specialize.scm 76 */
											return BgL_typesz00_1454;
										}
								}
							else
								{	/* Cfa/specialize.scm 81 */
									bool_t BgL_testz00_3254;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 82 */
											obj_t BgL_auxz00_3257;

											{	/* Cfa/specialize.scm 82 */
												obj_t BgL_pairz00_2718;

												BgL_pairz00_2718 = CAR(BgL_specz00_1453);
												BgL_auxz00_3257 = CAR(CDR(BgL_pairz00_2718));
											}
											BgL_testz00_3254 =
												(BgL_auxz00_3257 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 81 */
											BgL_testz00_3254 = ((bool_t) 0);
										}
									if (BgL_testz00_3254)
										{	/* Cfa/specialize.scm 83 */
											obj_t BgL_arg2019z00_1460;
											obj_t BgL_arg2020z00_1461;

											BgL_arg2019z00_1460 = CDR(BgL_specz00_1453);
											BgL_arg2020z00_1461 =
												MAKE_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1454);
											{
												obj_t BgL_typesz00_3266;
												obj_t BgL_specz00_3265;

												BgL_specz00_3265 = BgL_arg2019z00_1460;
												BgL_typesz00_3266 = BgL_arg2020z00_1461;
												BgL_typesz00_1454 = BgL_typesz00_3266;
												BgL_specz00_1453 = BgL_specz00_3265;
												goto BgL_zc3anonymousza32014ze3z83_1455;
											}
										}
									else
										{	/* Cfa/specialize.scm 84 */
											bool_t BgL_testz00_3267;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 85 */
													obj_t BgL_auxz00_3270;

													{	/* Cfa/specialize.scm 85 */
														obj_t BgL_pairz00_2724;

														BgL_pairz00_2724 = CAR(BgL_specz00_1453);
														BgL_auxz00_3270 = CAR(CDR(BgL_pairz00_2724));
													}
													BgL_testz00_3267 =
														(BgL_auxz00_3270 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 84 */
													BgL_testz00_3267 = ((bool_t) 0);
												}
											if (BgL_testz00_3267)
												{	/* Cfa/specialize.scm 86 */
													obj_t BgL_arg2022z00_1463;
													obj_t BgL_arg2023z00_1464;

													BgL_arg2022z00_1463 = CDR(BgL_specz00_1453);
													BgL_arg2023z00_1464 =
														MAKE_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1454);
													{
														obj_t BgL_typesz00_3279;
														obj_t BgL_specz00_3278;

														BgL_specz00_3278 = BgL_arg2022z00_1463;
														BgL_typesz00_3279 = BgL_arg2023z00_1464;
														BgL_typesz00_1454 = BgL_typesz00_3279;
														BgL_specz00_1453 = BgL_specz00_3278;
														goto BgL_zc3anonymousza32014ze3z83_1455;
													}
												}
											else
												{
													obj_t BgL_specz00_3280;

													BgL_specz00_3280 = CDR(BgL_specz00_1453);
													BgL_specz00_1453 = BgL_specz00_3280;
													goto BgL_zc3anonymousza32014ze3z83_1455;
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}
	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3047, obj_t BgL_globalz00_3048)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3048));
		}
	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 93 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 95 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 95 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								CNST_TABLE_REF(((long) 0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221011zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
										(long) 1)), CNST_TABLE_REF(((long) 0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 192 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 193 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 193 */
					return ((bool_t) 0);
				}
		}
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 198 */
			{	/* Cfa/specialize.scm 199 */
				obj_t BgL_list2036z00_1474;

				{	/* Cfa/specialize.scm 199 */
					obj_t BgL_arg2037z00_1475;

					BgL_arg2037z00_1475 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
					BgL_list2036z00_1474 =
						MAKE_PAIR(BGl_string2389z00zzcfa_specializa7eza7,
						BgL_arg2037z00_1475);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2036z00_1474);
			}
			{
				obj_t BgL_l1933z00_1477;

				BgL_l1933z00_1477 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza32038ze3z83_1478:
				if (PAIRP(BgL_l1933z00_1477))
					{	/* Cfa/specialize.scm 200 */
						{	/* Cfa/specialize.scm 201 */
							obj_t BgL_typezd2numzd2_1480;

							BgL_typezd2numzd2_1480 = CAR(BgL_l1933z00_1477);
							{	/* Cfa/specialize.scm 201 */
								bool_t BgL_testz00_3305;

								{	/* Cfa/specialize.scm 201 */
									long BgL_auxz00_3306;

									{	/* Cfa/specialize.scm 201 */
										obj_t BgL_pairz00_2736;

										BgL_pairz00_2736 = BgL_typezd2numzd2_1480;
										BgL_auxz00_3306 = (long) CINT(CDR(BgL_pairz00_2736));
									}
									BgL_testz00_3305 = (BgL_auxz00_3306 > ((long) 0));
								}
								if (BgL_testz00_3305)
									{	/* Cfa/specialize.scm 202 */
										obj_t BgL_arg2041z00_1482;
										obj_t BgL_arg2042z00_1483;

										BgL_arg2041z00_1482 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1480));
										BgL_arg2042z00_1483 = CDR(BgL_typezd2numzd2_1480);
										{	/* Cfa/specialize.scm 202 */
											obj_t BgL_list2043z00_1484;

											{	/* Cfa/specialize.scm 202 */
												obj_t BgL_arg2044z00_1485;

												{	/* Cfa/specialize.scm 202 */
													obj_t BgL_arg2045z00_1486;

													{	/* Cfa/specialize.scm 202 */
														obj_t BgL_arg2046z00_1487;

														{	/* Cfa/specialize.scm 202 */
															obj_t BgL_arg2047z00_1488;

															BgL_arg2047z00_1488 =
																MAKE_PAIR
																(BGl_string2390z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2046z00_1487 =
																MAKE_PAIR(BgL_arg2042z00_1483,
																BgL_arg2047z00_1488);
														}
														BgL_arg2045z00_1486 =
															MAKE_PAIR(BGl_string2391z00zzcfa_specializa7eza7,
															BgL_arg2046z00_1487);
													}
													BgL_arg2044z00_1485 =
														MAKE_PAIR(BgL_arg2041z00_1482, BgL_arg2045z00_1486);
												}
												BgL_list2043z00_1484 =
													MAKE_PAIR(BGl_string2392z00zzcfa_specializa7eza7,
													BgL_arg2044z00_1485);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2043z00_1484);
									}}
								else
									{	/* Cfa/specialize.scm 201 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1933z00_3320;

							BgL_l1933z00_3320 = CDR(BgL_l1933z00_1477);
							BgL_l1933z00_1477 = BgL_l1933z00_3320;
							goto BgL_zc3anonymousza32038ze3z83_1478;
						}
					}
				else
					{	/* Cfa/specialize.scm 200 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1935z00_1494;

				BgL_l1935z00_1494 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32052ze3z83_1495:
				if (PAIRP(BgL_l1935z00_1494))
					{	/* Cfa/specialize.scm 205 */
						{	/* Cfa/specialize.scm 206 */
							obj_t BgL_typezd2numzd2_1497;

							BgL_typezd2numzd2_1497 = CAR(BgL_l1935z00_1494);
							{	/* Cfa/specialize.scm 206 */
								bool_t BgL_testz00_3325;

								{	/* Cfa/specialize.scm 206 */
									long BgL_auxz00_3326;

									{	/* Cfa/specialize.scm 206 */
										obj_t BgL_pairz00_2746;

										BgL_pairz00_2746 = BgL_typezd2numzd2_1497;
										BgL_auxz00_3326 = (long) CINT(CDR(BgL_pairz00_2746));
									}
									BgL_testz00_3325 = (BgL_auxz00_3326 > ((long) 0));
								}
								if (BgL_testz00_3325)
									{	/* Cfa/specialize.scm 207 */
										obj_t BgL_arg2055z00_1499;
										obj_t BgL_arg2056z00_1500;

										BgL_arg2055z00_1499 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1497));
										BgL_arg2056z00_1500 = CDR(BgL_typezd2numzd2_1497);
										{	/* Cfa/specialize.scm 207 */
											obj_t BgL_list2057z00_1501;

											{	/* Cfa/specialize.scm 207 */
												obj_t BgL_arg2058z00_1502;

												{	/* Cfa/specialize.scm 207 */
													obj_t BgL_arg2060z00_1503;

													{	/* Cfa/specialize.scm 207 */
														obj_t BgL_arg2061z00_1504;

														{	/* Cfa/specialize.scm 207 */
															obj_t BgL_arg2062z00_1505;

															BgL_arg2062z00_1505 =
																MAKE_PAIR
																(BGl_string2390z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2061z00_1504 =
																MAKE_PAIR(BgL_arg2056z00_1500,
																BgL_arg2062z00_1505);
														}
														BgL_arg2060z00_1503 =
															MAKE_PAIR(BGl_string2391z00zzcfa_specializa7eza7,
															BgL_arg2061z00_1504);
													}
													BgL_arg2058z00_1502 =
														MAKE_PAIR(BgL_arg2055z00_1499, BgL_arg2060z00_1503);
												}
												BgL_list2057z00_1501 =
													MAKE_PAIR(BGl_string2393z00zzcfa_specializa7eza7,
													BgL_arg2058z00_1502);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2057z00_1501);
									}}
								else
									{	/* Cfa/specialize.scm 206 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1935z00_3340;

							BgL_l1935z00_3340 = CDR(BgL_l1935z00_1494);
							BgL_l1935z00_1494 = BgL_l1935z00_3340;
							goto BgL_zc3anonymousza32052ze3z83_1495;
						}
					}
				else
					{	/* Cfa/specialize.scm 205 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_87)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 222 */
			{	/* Cfa/specialize.scm 223 */
				bool_t BgL_testz00_3342;

				{	/* Cfa/specialize.scm 223 */
					obj_t BgL_auxz00_3343;

					BgL_auxz00_3343 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_87,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_3342 = PAIRP(BgL_auxz00_3343);
				}
				if (BgL_testz00_3342)
					{	/* Cfa/specialize.scm 223 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 223 */
						{	/* Cfa/specialize.scm 224 */
							obj_t BgL_arg2069z00_1511;

							BgL_arg2069z00_1511 = MAKE_PAIR(BgL_typez00_87, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_PAIR(BgL_arg2069z00_1511,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 225 */
							obj_t BgL_list2070z00_1512;

							BgL_list2070z00_1512 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list2070z00_1512);
						}
						{	/* Cfa/specialize.scm 226 */
							obj_t BgL_list2071z00_1513;

							BgL_list2071z00_1513 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list2071z00_1513), BUNSPEC);
		}}}}
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_88)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 231 */
			{	/* Cfa/specialize.scm 232 */
				obj_t BgL_cellz00_1515;

				BgL_cellz00_1515 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_88,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1515))
					{	/* Cfa/specialize.scm 236 */
						long BgL_arg2074z00_1517;

						BgL_arg2074z00_1517 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1515)));
						{	/* Cfa/specialize.scm 236 */
							obj_t BgL_auxz00_3363;

							BgL_auxz00_3363 = BINT(BgL_arg2074z00_1517);
							return SET_CDR(BgL_cellz00_1515, BgL_auxz00_3363);
						}
					}
				else
					{	/* Cfa/specialize.scm 233 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2394z00zzcfa_specializa7eza7,
							BGl_string2395z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_88));
					}
			}
		}
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_89)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 241 */
			{	/* Cfa/specialize.scm 242 */
				obj_t BgL_cellz00_1520;

				BgL_cellz00_1520 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_89,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1520))
					{	/* Cfa/specialize.scm 246 */
						long BgL_arg2079z00_1522;

						BgL_arg2079z00_1522 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1520)));
						{	/* Cfa/specialize.scm 246 */
							obj_t BgL_auxz00_3374;

							BgL_auxz00_3374 = BINT(BgL_arg2079z00_1522);
							return SET_CDR(BgL_cellz00_1520, BgL_auxz00_3374);
						}
					}
				else
					{	/* Cfa/specialize.scm 245 */
						obj_t BgL_arg2081z00_1524;

						BgL_arg2081z00_1524 = MAKE_PAIR(BgL_typez00_89, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_PAIR(BgL_arg2081z00_1524,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_90)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 251 */
			{	/* Cfa/specialize.scm 252 */
				obj_t BgL_genz00_1525;

				{	/* Cfa/specialize.scm 252 */
					obj_t BgL_pairz00_2771;

					BgL_pairz00_2771 = BgL_specz00_90;
					BgL_genz00_1525 = CAR(CDR(BgL_pairz00_2771));
				}
				{	/* Cfa/specialize.scm 252 */
					obj_t BgL_fixesz00_1526;

					{	/* Cfa/specialize.scm 253 */
						obj_t BgL_pairz00_2775;

						BgL_pairz00_2775 = BgL_specz00_90;
						BgL_fixesz00_1526 = CDR(CDR(BgL_pairz00_2775));
					}
					{	/* Cfa/specialize.scm 253 */
						obj_t BgL_genzd2idzd2_1527;

						BgL_genzd2idzd2_1527 = CAR(BgL_genz00_1525);
						{	/* Cfa/specialize.scm 254 */
							obj_t BgL_genzd2modzd2_1528;

							{	/* Cfa/specialize.scm 255 */
								obj_t BgL_pairz00_2780;

								BgL_pairz00_2780 = BgL_genz00_1525;
								BgL_genzd2modzd2_1528 = CAR(CDR(BgL_pairz00_2780));
							}
							{	/* Cfa/specialize.scm 255 */
								obj_t BgL_genericz00_1529;

								BgL_genericz00_1529 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1527, BgL_genzd2modzd2_1528);
								{	/* Cfa/specialize.scm 256 */

									if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1529,
											BGl_globalz00zzast_varz00))
										{
											obj_t BgL_fixesz00_1533;
											obj_t BgL_resz00_1534;

											BgL_fixesz00_1533 = BgL_fixesz00_1526;
											BgL_resz00_1534 = BNIL;
										BgL_zc3anonymousza32083ze3z83_1535:
											if (NULLP(BgL_fixesz00_1533))
												{	/* Cfa/specialize.scm 260 */
													if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1529,
															BGl_specializa7edzd2globalz75zzcfa_specializa7eza7))
														{	/* Cfa/specialize.scm 262 */
															BgL_globalz00_bglt BgL_i1177z00_1538;

															BgL_i1177z00_1538 =
																((BgL_globalz00_bglt) BgL_genericz00_1529);
															{
																obj_t BgL_auxz00_3401;
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3395;
																{	/* Cfa/specialize.scm 263 */
																	obj_t BgL_arg2086z00_1539;

																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3402;
																		{
																			obj_t BgL_auxz00_3403;

																			{	/* Cfa/specialize.scm 263 */
																				BgL_objectz00_bglt BgL_auxz00_3404;

																				BgL_auxz00_3404 =
																					((BgL_objectz00_bglt)
																					BgL_i1177z00_1538);
																				BgL_auxz00_3403 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3404);
																			}
																			BgL_auxz00_3402 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3403);
																		}
																		BgL_arg2086z00_1539 =
																			(((BgL_specializa7edzd2globalz75_bglt)
																				CREF(BgL_auxz00_3402))->BgL_fixz00);
																	}
																	BgL_auxz00_3401 =
																		BGl_appendzd221011zd2zzcfa_specializa7eza7
																		(BgL_arg2086z00_1539, BgL_resz00_1534);
																}
																{
																	obj_t BgL_auxz00_3396;

																	{	/* Cfa/specialize.scm 263 */
																		BgL_objectz00_bglt BgL_auxz00_3397;

																		BgL_auxz00_3397 =
																			((BgL_objectz00_bglt) BgL_i1177z00_1538);
																		BgL_auxz00_3396 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3397);
																	}
																	BgL_auxz00_3395 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3396);
																}
																return
																	((((BgL_specializa7edzd2globalz75_bglt)
																			CREF(BgL_auxz00_3395))->BgL_fixz00) =
																	((obj_t) BgL_auxz00_3401), BUNSPEC);
															}
														}
													else
														{	/* Cfa/specialize.scm 261 */
															{	/* Cfa/specialize.scm 265 */
																BgL_globalz00_bglt BgL_tmp1178z00_1540;

																BgL_tmp1178z00_1540 =
																	((BgL_globalz00_bglt) BgL_genericz00_1529);
																{	/* Cfa/specialize.scm 265 */
																	BgL_globalz00_bglt BgL_tmp1179z00_1541;
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_wide1180z00_1542;
																	BgL_tmp1179z00_1541 =
																		((BgL_globalz00_bglt) BgL_tmp1178z00_1540);
																	BgL_wide1180z00_1542 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_specializa7edzd2globalz75_bgl))));
																	{	/* Cfa/specialize.scm 265 */
																		obj_t BgL_auxz00_3416;
																		BgL_objectz00_bglt BgL_auxz00_3414;

																		BgL_auxz00_3416 =
																			((obj_t) BgL_wide1180z00_1542);
																		BgL_auxz00_3414 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1179z00_1541);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3414,
																			BgL_auxz00_3416);
																	}
																	{	/* Cfa/specialize.scm 265 */
																		long BgL_arg2087z00_1543;

																		{	/* Cfa/specialize.scm 265 */
																			long BgL_res2342z00_2793;

																			{	/* Cfa/specialize.scm 265 */
																				obj_t BgL_classz00_2790;

																				BgL_classz00_2790 =
																					BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
																				{	/* Cfa/specialize.scm 265 */
																					obj_t BgL_vectorz00_2791;
																					int BgL_kz00_2792;

																					BgL_vectorz00_2791 =
																						BgL_classz00_2790;
																					BgL_kz00_2792 = (int) (((long) 1));
																					BgL_res2342z00_2793 =
																						(long)
																						CINT(VECTOR_REF(BgL_vectorz00_2791,
																							BgL_kz00_2792));
																			}}
																			BgL_arg2087z00_1543 = BgL_res2342z00_2793;
																		}
																		{	/* Cfa/specialize.scm 265 */
																			BgL_objectz00_bglt BgL_objz00_2794;

																			BgL_objz00_2794 =
																				((BgL_objectz00_bglt)
																				BgL_tmp1179z00_1541);
																			((BgL_globalz00_bglt)
																				BGL_OBJECT_CLASS_NUM_SET
																				(BgL_objz00_2794, BgL_arg2087z00_1543));
																	}} BgL_tmp1179z00_1541;
																}
																{	/* Cfa/specialize.scm 265 */
																	BgL_globalz00_bglt BgL_new1181z00_1544;

																	BgL_new1181z00_1544 =
																		((BgL_globalz00_bglt) BgL_tmp1178z00_1540);
																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3426;
																		{
																			obj_t BgL_auxz00_3427;

																			{	/* Cfa/specialize.scm 265 */
																				BgL_objectz00_bglt BgL_auxz00_3428;

																				BgL_auxz00_3428 =
																					((BgL_objectz00_bglt)
																					BgL_new1181z00_1544);
																				BgL_auxz00_3427 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3428);
																			}
																			BgL_auxz00_3426 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3427);
																		}
																		((((BgL_specializa7edzd2globalz75_bglt)
																					CREF(BgL_auxz00_3426))->BgL_fixz00) =
																			((obj_t) BgL_resz00_1534), BUNSPEC);
																	} BgL_new1181z00_1544;
															}}
															return
																(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																=
																MAKE_PAIR(BgL_genericz00_1529,
																	BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																BUNSPEC);
														}
												}
											else
												{	/* Cfa/specialize.scm 268 */
													obj_t BgL_fixz00_1545;

													BgL_fixz00_1545 = CAR(BgL_fixesz00_1533);
													{	/* Cfa/specialize.scm 268 */
														obj_t BgL_idz00_1546;

														BgL_idz00_1546 = CAR(BgL_fixz00_1545);
														{	/* Cfa/specialize.scm 269 */
															obj_t BgL_modz00_1547;

															{	/* Cfa/specialize.scm 270 */
																obj_t BgL_pairz00_2798;

																BgL_pairz00_2798 = BgL_fixz00_1545;
																BgL_modz00_1547 = CAR(CDR(BgL_pairz00_2798));
															}
															{	/* Cfa/specialize.scm 270 */
																obj_t BgL_globalz00_1548;

																BgL_globalz00_1548 =
																	BGl_findzd2globalzf2modulez20zzast_envz00
																	(BgL_idz00_1546, BgL_modz00_1547);
																{	/* Cfa/specialize.scm 271 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_globalz00_1548,
																			BGl_globalz00zzast_varz00))
																		{	/* Cfa/specialize.scm 273 */
																			BgL_valuez00_bglt BgL_valz00_1550;

																			BgL_valz00_1550 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_globalz00_1548))))->
																				BgL_valuez00);
																			{	/* Cfa/specialize.scm 275 */
																				bool_t BgL_testz00_3444;

																				{	/* Cfa/specialize.scm 275 */
																					bool_t BgL_testz00_3445;

																					{	/* Cfa/specialize.scm 275 */
																						bool_t BgL_res2345z00_2808;

																						{	/* Cfa/specialize.scm 275 */
																							obj_t BgL_objz00_2807;

																							BgL_objz00_2807 =
																								((obj_t) BgL_valz00_1550);
																							BgL_res2345z00_2808 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_2807,
																								BGl_sfunz00zzast_varz00);
																						}
																						BgL_testz00_3445 =
																							BgL_res2345z00_2808;
																					}
																					if (BgL_testz00_3445)
																						{	/* Cfa/specialize.scm 275 */
																							obj_t BgL_auxz00_3448;

																							BgL_auxz00_3448 =
																								(((BgL_sfunz00_bglt) CREF(
																										((BgL_sfunz00_bglt)
																											BgL_valz00_1550)))->
																								BgL_argsz00);
																							BgL_testz00_3444 =
																								PAIRP(BgL_auxz00_3448);
																						}
																					else
																						{	/* Cfa/specialize.scm 275 */
																							BgL_testz00_3444 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_3444)
																					{	/* Cfa/specialize.scm 276 */
																						obj_t BgL_typez00_1552;

																						{	/* Cfa/specialize.scm 276 */
																							obj_t BgL_vz00_1556;

																							{	/* Cfa/specialize.scm 276 */
																								obj_t BgL_pairz00_2815;

																								BgL_pairz00_2815 =
																									(((BgL_sfunz00_bglt) CREF(
																											((BgL_sfunz00_bglt)
																												BgL_valz00_1550)))->
																									BgL_argsz00);
																								BgL_vz00_1556 =
																									CAR(BgL_pairz00_2815);
																							}
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_vz00_1556,
																									BGl_typez00zztype_typez00))
																								{	/* Cfa/specialize.scm 278 */
																									BgL_typez00_1552 =
																										BgL_vz00_1556;
																								}
																							else
																								{	/* Cfa/specialize.scm 278 */
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_vz00_1556,
																											BGl_localz00zzast_varz00))
																										{	/* Cfa/specialize.scm 280 */
																											BgL_typez00_1552 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_vz00_1556))))->BgL_typez00));
																										}
																									else
																										{	/* Cfa/specialize.scm 286 */
																											obj_t BgL_arg2095z00_1559;

																											BgL_arg2095z00_1559 =
																												(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_globalz00_1548))))->BgL_idz00);
																											BgL_typez00_1552 =
																												BGl_internalzd2errorzd2zztools_errorz00
																												(BGl_string2396z00zzcfa_specializa7eza7,
																												BGl_string2397z00zzcfa_specializa7eza7,
																												BgL_arg2095z00_1559);
																										}
																								}
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1552);
																						{	/* Cfa/specialize.scm 288 */
																							obj_t BgL_arg2090z00_1553;
																							obj_t BgL_arg2091z00_1554;

																							BgL_arg2090z00_1553 =
																								CDR(BgL_fixesz00_1533);
																							{	/* Cfa/specialize.scm 289 */
																								obj_t BgL_arg2092z00_1555;

																								BgL_arg2092z00_1555 =
																									MAKE_PAIR(BgL_typez00_1552,
																									BgL_globalz00_1548);
																								BgL_arg2091z00_1554 =
																									MAKE_PAIR(BgL_arg2092z00_1555,
																									BgL_resz00_1534);
																							}
																							{
																								obj_t BgL_resz00_3472;
																								obj_t BgL_fixesz00_3471;

																								BgL_fixesz00_3471 =
																									BgL_arg2090z00_1553;
																								BgL_resz00_3472 =
																									BgL_arg2091z00_1554;
																								BgL_resz00_1534 =
																									BgL_resz00_3472;
																								BgL_fixesz00_1533 =
																									BgL_fixesz00_3471;
																								goto
																									BgL_zc3anonymousza32083ze3z83_1535;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 290 */
																						bool_t BgL_testz00_3473;

																						{	/* Cfa/specialize.scm 290 */
																							bool_t BgL_testz00_3474;

																							{	/* Cfa/specialize.scm 290 */
																								bool_t BgL_res2351z00_2828;

																								{	/* Cfa/specialize.scm 290 */
																									obj_t BgL_objz00_2827;

																									BgL_objz00_2827 =
																										((obj_t) BgL_valz00_1550);
																									BgL_res2351z00_2828 =
																										BGl_isazf3zf3zz__objectz00
																										(BgL_objz00_2827,
																										BGl_cfunz00zzast_varz00);
																								}
																								BgL_testz00_3474 =
																									BgL_res2351z00_2828;
																							}
																							if (BgL_testz00_3474)
																								{	/* Cfa/specialize.scm 290 */
																									obj_t BgL_auxz00_3477;

																									BgL_auxz00_3477 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1550)))->
																										BgL_argszd2typezd2);
																									BgL_testz00_3473 =
																										PAIRP(BgL_auxz00_3477);
																								}
																							else
																								{	/* Cfa/specialize.scm 290 */
																									BgL_testz00_3473 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_3473)
																							{	/* Cfa/specialize.scm 291 */
																								obj_t BgL_typez00_1562;

																								{	/* Cfa/specialize.scm 291 */
																									obj_t BgL_pairz00_2835;

																									BgL_pairz00_2835 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1550)))->
																										BgL_argszd2typezd2);
																									BgL_typez00_1562 =
																										CAR(BgL_pairz00_2835);
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1562);
																								{	/* Cfa/specialize.scm 293 */
																									obj_t BgL_arg2099z00_1563;
																									obj_t BgL_arg2100z00_1564;

																									BgL_arg2099z00_1563 =
																										CDR(BgL_fixesz00_1533);
																									{	/* Cfa/specialize.scm 294 */
																										obj_t BgL_arg2101z00_1565;

																										BgL_arg2101z00_1565 =
																											MAKE_PAIR
																											(BgL_typez00_1562,
																											BgL_globalz00_1548);
																										BgL_arg2100z00_1564 =
																											MAKE_PAIR
																											(BgL_arg2101z00_1565,
																											BgL_resz00_1534);
																									}
																									{
																										obj_t BgL_resz00_3489;
																										obj_t BgL_fixesz00_3488;

																										BgL_fixesz00_3488 =
																											BgL_arg2099z00_1563;
																										BgL_resz00_3489 =
																											BgL_arg2100z00_1564;
																										BgL_resz00_1534 =
																											BgL_resz00_3489;
																										BgL_fixesz00_1533 =
																											BgL_fixesz00_3488;
																										goto
																											BgL_zc3anonymousza32083ze3z83_1535;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 290 */
																								return BFALSE;
																							}
																					}
																			}
																		}
																	else
																		{	/* Cfa/specialize.scm 272 */
																			{	/* Cfa/specialize.scm 299 */
																				obj_t BgL_arg2108z00_1571;

																				BgL_arg2108z00_1571 =
																					MAKE_PAIR(BgL_idz00_1546,
																					BgL_modz00_1547);
																				{	/* Cfa/specialize.scm 296 */
																					obj_t BgL_list2109z00_1572;

																					{	/* Cfa/specialize.scm 296 */
																						obj_t BgL_arg2110z00_1573;

																						{	/* Cfa/specialize.scm 296 */
																							obj_t BgL_arg2111z00_1574;

																							{	/* Cfa/specialize.scm 296 */
																								obj_t BgL_arg2112z00_1575;

																								BgL_arg2112z00_1575 =
																									MAKE_PAIR(BgL_arg2108z00_1571,
																									BNIL);
																								BgL_arg2111z00_1574 =
																									MAKE_PAIR
																									(BGl_string2398z00zzcfa_specializa7eza7,
																									BgL_arg2112z00_1575);
																							}
																							BgL_arg2110z00_1573 =
																								MAKE_PAIR
																								(BGl_string2399z00zzcfa_specializa7eza7,
																								BgL_arg2111z00_1574);
																						}
																						BgL_list2109z00_1572 =
																							MAKE_PAIR
																							(BGl_string2400z00zzcfa_specializa7eza7,
																							BgL_arg2110z00_1573);
																					}
																					BGl_warningz00zz__errorz00
																						(BgL_list2109z00_1572);
																				}
																			}
																			{
																				obj_t BgL_fixesz00_3496;

																				BgL_fixesz00_3496 =
																					CDR(BgL_fixesz00_1533);
																				BgL_fixesz00_1533 = BgL_fixesz00_3496;
																				goto BgL_zc3anonymousza32083ze3z83_1535;
																			}
																		}
																}
															}
														}
													}
												}
										}
									else
										{	/* Cfa/specialize.scm 304 */
											obj_t BgL_arg2114z00_1578;

											BgL_arg2114z00_1578 =
												MAKE_PAIR(BgL_genzd2idzd2_1527, BgL_genzd2modzd2_1528);
											{	/* Cfa/specialize.scm 301 */
												obj_t BgL_list2115z00_1579;

												{	/* Cfa/specialize.scm 301 */
													obj_t BgL_arg2117z00_1580;

													{	/* Cfa/specialize.scm 301 */
														obj_t BgL_arg2118z00_1581;

														{	/* Cfa/specialize.scm 301 */
															obj_t BgL_arg2119z00_1582;

															BgL_arg2119z00_1582 =
																MAKE_PAIR(BgL_arg2114z00_1578, BNIL);
															BgL_arg2118z00_1581 =
																MAKE_PAIR
																(BGl_string2398z00zzcfa_specializa7eza7,
																BgL_arg2119z00_1582);
														}
														BgL_arg2117z00_1580 =
															MAKE_PAIR(BGl_string2399z00zzcfa_specializa7eza7,
															BgL_arg2118z00_1581);
													}
													BgL_list2115z00_1579 =
														MAKE_PAIR(BGl_string2400z00zzcfa_specializa7eza7,
														BgL_arg2117z00_1580);
												}
												return BGl_warningz00zz__errorz00(BgL_list2115z00_1579);
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 309 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1937z00_1584;

				BgL_l1937z00_1584 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32120ze3z83_1585:
				if (PAIRP(BgL_l1937z00_1584))
					{	/* Cfa/specialize.scm 311 */
						{	/* Cfa/specialize.scm 311 */
							obj_t BgL_oz00_1587;

							BgL_oz00_1587 = CAR(BgL_l1937z00_1584);
							{	/* Cfa/specialize.scm 311 */
								long BgL_arg2122z00_1589;

								{	/* Cfa/specialize.scm 311 */
									obj_t BgL_arg2123z00_1590;

									{	/* Cfa/specialize.scm 311 */
										obj_t BgL_arg2124z00_1591;

										{	/* Cfa/specialize.scm 311 */
											BgL_objectz00_bglt BgL_objectz00_2841;

											BgL_objectz00_2841 = ((BgL_objectz00_bglt) BgL_oz00_1587);
											{	/* Cfa/specialize.scm 311 */
												long BgL_arg1825z00_2842;

												{	/* Cfa/specialize.scm 311 */
													long BgL_arg1826z00_2843;

													{	/* Cfa/specialize.scm 311 */
														long BgL_res2354z00_2845;

														BgL_res2354z00_2845 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2841);
														BgL_arg1826z00_2843 = BgL_res2354z00_2845;
													}
													BgL_arg1825z00_2842 =
														(BgL_arg1826z00_2843 - OBJECT_TYPE);
												}
												BgL_arg2124z00_1591 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1825z00_2842));
										}}
										BgL_arg2123z00_1590 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2124z00_1591);
									}
									{	/* Cfa/specialize.scm 311 */
										long BgL_res2356z00_2854;

										{	/* Cfa/specialize.scm 311 */
											obj_t BgL_classz00_2851;

											BgL_classz00_2851 = BgL_arg2123z00_1590;
											{	/* Cfa/specialize.scm 311 */
												obj_t BgL_vectorz00_2852;
												int BgL_kz00_2853;

												BgL_vectorz00_2852 = BgL_classz00_2851;
												BgL_kz00_2853 = (int) (((long) 1));
												BgL_res2356z00_2854 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2852,
														BgL_kz00_2853));
										}}
										BgL_arg2122z00_1589 = BgL_res2356z00_2854;
								}}
								{	/* Cfa/specialize.scm 311 */
									BgL_objectz00_bglt BgL_objz00_2855;

									BgL_objz00_2855 = ((BgL_objectz00_bglt) BgL_oz00_1587);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2855,
										BgL_arg2122z00_1589);
							}}
							{	/* Cfa/specialize.scm 311 */
								BgL_objectz00_bglt BgL_auxz00_3518;

								BgL_auxz00_3518 = ((BgL_objectz00_bglt) BgL_oz00_1587);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3518, BFALSE);
							} BgL_oz00_1587;
						}
						{
							obj_t BgL_l1937z00_3521;

							BgL_l1937z00_3521 = CDR(BgL_l1937z00_1584);
							BgL_l1937z00_1584 = BgL_l1937z00_3521;
							goto BgL_zc3anonymousza32120ze3z83_1585;
						}
					}
				else
					{	/* Cfa/specialize.scm 311 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_91)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 317 */
			{
				obj_t BgL_l1939z00_1595;

				BgL_l1939z00_1595 = BgL_globalsz00_91;
			BgL_zc3anonymousza32126ze3z83_1596:
				if (PAIRP(BgL_l1939z00_1595))
					{	/* Cfa/specialize.scm 318 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1939z00_1595));
						{
							obj_t BgL_l1939z00_3527;

							BgL_l1939z00_3527 = CDR(BgL_l1939z00_1595);
							BgL_l1939z00_1595 = BgL_l1939z00_3527;
							goto BgL_zc3anonymousza32126ze3z83_1596;
						}
					}
				else
					{	/* Cfa/specialize.scm 318 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_92)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 323 */
			{	/* Cfa/specialize.scm 324 */
				BgL_valuez00_bglt BgL_funz00_1601;

				BgL_funz00_1601 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_variablez00_92)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 325 */
					obj_t BgL_arg2132z00_1602;

					{	/* Cfa/specialize.scm 325 */
						obj_t BgL_arg2134z00_1603;

						BgL_arg2134z00_1603 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1601)))->BgL_bodyz00);
						BgL_arg2132z00_1602 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg2134z00_1603));
					}
					{	/* Cfa/specialize.scm 325 */
						BgL_sfunz00_bglt BgL_oz00_2867;

						BgL_oz00_2867 = ((BgL_sfunz00_bglt) BgL_funz00_1601);
						return
							((((BgL_sfunz00_bglt) CREF(BgL_oz00_2867))->BgL_bodyz00) =
							((obj_t) BgL_arg2132z00_1602), BUNSPEC);
					}
				}
			}
		}
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_114)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 517 */
			{
				obj_t BgL_nodeza2za2_1605;

				BgL_nodeza2za2_1605 = BgL_nodeza2za2_114;
			BgL_zc3anonymousza32135ze3z83_1606:
				if (NULLP(BgL_nodeza2za2_1605))
					{	/* Cfa/specialize.scm 519 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 519 */
						{	/* Cfa/specialize.scm 522 */
							obj_t BgL_arg2137z00_1608;

							{	/* Cfa/specialize.scm 522 */
								obj_t BgL_arg2138z00_1609;

								BgL_arg2138z00_1609 = CAR(BgL_nodeza2za2_1605);
								BgL_arg2137z00_1608 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg2138z00_1609));
							}
							SET_CAR(BgL_nodeza2za2_1605, BgL_arg2137z00_1608);
						}
						{
							obj_t BgL_nodeza2za2_3544;

							BgL_nodeza2za2_3544 = CDR(BgL_nodeza2za2_1605);
							BgL_nodeza2za2_1605 = BgL_nodeza2za2_3544;
							goto BgL_zc3anonymousza32135ze3z83_1606;
						}
					}
			}
		}
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_116)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 542 */
			if (NULLP((((BgL_appz00_bglt) CREF(BgL_nodez00_116))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 551 */
					return BgL_nodez00_116;
				}
			else
				{	/* Cfa/specialize.scm 555 */
					obj_t BgL_typez00_1615;

					BgL_typez00_1615 =
						BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_116))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 555 */
						BgL_variablez00_bglt BgL_gloz00_1616;

						BgL_gloz00_1616 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_116))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 556 */
							obj_t BgL_specz00_1617;

							{	/* Cfa/specialize.scm 557 */
								obj_t BgL_auxz00_3554;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3555;

									{
										obj_t BgL_auxz00_3556;

										{	/* Cfa/specialize.scm 557 */
											BgL_objectz00_bglt BgL_auxz00_3557;

											BgL_auxz00_3557 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1616));
											BgL_auxz00_3556 = BGL_OBJECT_WIDENING(BgL_auxz00_3557);
										}
										BgL_auxz00_3555 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3556);
									}
									BgL_auxz00_3554 =
										(((BgL_specializa7edzd2globalz75_bglt)
											CREF(BgL_auxz00_3555))->BgL_fixz00);
								}
								BgL_specz00_1617 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1615,
									BgL_auxz00_3554);
							}
							{	/* Cfa/specialize.scm 557 */

								if (PAIRP(BgL_specz00_1617))
									{	/* Cfa/specialize.scm 559 */
										obj_t BgL_g1201z00_1619;

										BgL_g1201z00_1619 =
											CDR(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_116))->BgL_argsz00));
										{
											obj_t BgL_argsz00_1621;

											BgL_argsz00_1621 = BgL_g1201z00_1619;
										BgL_zc3anonymousza32142ze3z83_1622:
											if (NULLP(BgL_argsz00_1621))
												{	/* Cfa/specialize.scm 561 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1615);
													{	/* Cfa/specialize.scm 563 */
														BgL_varz00_bglt BgL_arg2144z00_1624;
														obj_t BgL_arg2145z00_1625;

														BgL_arg2144z00_1624 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_116))->
															BgL_funz00);
														BgL_arg2145z00_1625 = CDR(BgL_specz00_1617);
														{	/* Cfa/specialize.scm 563 */
															BgL_variablez00_bglt BgL_vz00_2891;

															BgL_vz00_2891 =
																((BgL_variablez00_bglt) BgL_arg2145z00_1625);
															((((BgL_varz00_bglt) CREF(BgL_arg2144z00_1624))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_vz00_2891),
																BUNSPEC);
														}
													}
													{	/* Cfa/specialize.scm 564 */
														BgL_typez00_bglt BgL_ntz00_1626;

														BgL_ntz00_1626 =
															(((BgL_variablez00_bglt) CREF(
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_116))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 565 */
															BgL_typez00_bglt BgL_arg2146z00_1627;

															BgL_arg2146z00_1627 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1626,
																((BgL_typez00_bglt) BgL_typez00_1615));
															{	/* Cfa/specialize.scm 565 */
																BgL_nodez00_bglt BgL_oz00_2899;

																BgL_oz00_2899 =
																	((BgL_nodez00_bglt) BgL_nodez00_116);
																((((BgL_nodez00_bglt) CREF(BgL_oz00_2899))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2146z00_1627),
																	BUNSPEC);
															}
														}
													}
													return BgL_nodez00_116;
												}
											else
												{	/* Cfa/specialize.scm 561 */
													if (
														(BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7
															(CAR(BgL_argsz00_1621)) == BgL_typez00_1615))
														{
															obj_t BgL_argsz00_3586;

															BgL_argsz00_3586 = CDR(BgL_argsz00_1621);
															BgL_argsz00_1621 = BgL_argsz00_3586;
															goto BgL_zc3anonymousza32142ze3z83_1622;
														}
													else
														{	/* Cfa/specialize.scm 567 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_116);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 558 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_116);
									}
							}
						}
					}
				}
		}
	}



/* normalize-get-type */
	obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t
		BgL_valz00_1641)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 548 */
			{	/* Cfa/specialize.scm 545 */
				BgL_typez00_bglt BgL_tyz00_1643;

				BgL_tyz00_1643 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1641));
				if ((((obj_t) BgL_tyz00_1643) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 546 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 546 */
						return ((obj_t) BgL_tyz00_1643);
					}
			}
		}
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_117)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 581 */
			{
				BgL_appz00_bglt BgL_nodez00_1675;
				obj_t BgL_typez00_1676;

				{	/* Cfa/specialize.scm 588 */
					bool_t BgL_testz00_3596;

					{	/* Cfa/specialize.scm 588 */
						bool_t BgL_testz00_3597;

						{	/* Cfa/specialize.scm 588 */
							BgL_variablez00_bglt BgL_arg2186z00_1673;

							BgL_arg2186z00_1673 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_funz00)))->
								BgL_variablez00);
							BgL_testz00_3597 =
								(((obj_t) BgL_arg2186z00_1673) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3597)
							{	/* Cfa/specialize.scm 589 */
								obj_t BgL_arg2185z00_1672;

								BgL_arg2185z00_1672 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_testz00_3596 =
									(((BgL_backendz00_bglt) CREF(
											((BgL_backendz00_bglt) BgL_arg2185z00_1672)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 588 */
								BgL_testz00_3596 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3596)
						{	/* Cfa/specialize.scm 591 */
							BgL_typez00_bglt BgL_t1z00_1649;
							BgL_typez00_bglt BgL_t2z00_1650;

							{	/* Cfa/specialize.scm 591 */
								obj_t BgL_arg2179z00_1667;

								BgL_arg2179z00_1667 =
									CAR((((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00));
								BgL_t1z00_1649 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2179z00_1667));
							}
							{	/* Cfa/specialize.scm 592 */
								obj_t BgL_arg2181z00_1669;

								{	/* Cfa/specialize.scm 592 */
									obj_t BgL_pairz00_2916;

									BgL_pairz00_2916 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00);
									BgL_arg2181z00_1669 = CAR(CDR(BgL_pairz00_2916));
								}
								BgL_t2z00_1650 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2181z00_1669));
							}
							{	/* Cfa/specialize.scm 594 */
								bool_t BgL_testz00_3614;

								if (
									(((obj_t) BgL_t1z00_1649) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 594 */
										BgL_testz00_3614 =
											(
											((obj_t) BgL_t2z00_1650) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 594 */
										BgL_testz00_3614 = ((bool_t) 0);
									}
								if (BgL_testz00_3614)
									{	/* Cfa/specialize.scm 594 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 594 */
										if (
											(((obj_t) BgL_t1z00_1649) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 596 */
												if (
													(((obj_t) BgL_t2z00_1650) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 597 */
														BgL_nodez00_1675 = BgL_nodez00_117;
														BgL_typez00_1676 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza32189ze3z83_1677:
														{	/* Cfa/specialize.scm 584 */
															bool_t BgL_testz00_3626;

															{	/* Cfa/specialize.scm 584 */
																bool_t BgL_res2366z00_2905;

																{	/* Cfa/specialize.scm 584 */
																	obj_t BgL_objz00_2904;

																	BgL_objz00_2904 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res2366z00_2905 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2904,
																		BGl_globalz00zzast_varz00);
																}
																BgL_testz00_3626 = BgL_res2366z00_2905;
															}
															if (BgL_testz00_3626)
																{	/* Cfa/specialize.scm 584 */
																	{	/* Cfa/specialize.scm 585 */
																		BgL_varz00_bglt BgL_arg2191z00_1679;

																		BgL_arg2191z00_1679 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_117))->BgL_funz00);
																		{	/* Cfa/specialize.scm 585 */
																			BgL_variablez00_bglt BgL_vz00_2907;

																			BgL_vz00_2907 =
																				((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg2191z00_1679))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_2907),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1676);
																}
															else
																{	/* Cfa/specialize.scm 584 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 597 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 596 */
												if (
													(((obj_t) BgL_t2z00_1650) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 600 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 600 */
														if (
															(((obj_t) BgL_t1z00_1649) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 602 */
																if (
																	(((obj_t) BgL_t2z00_1650) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3643;
																		BgL_appz00_bglt BgL_nodez00_3642;

																		BgL_nodez00_3642 = BgL_nodez00_117;
																		BgL_typez00_3643 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1676 = BgL_typez00_3643;
																		BgL_nodez00_1675 = BgL_nodez00_3642;
																		goto BgL_zc3anonymousza32189ze3z83_1677;
																	}
																else
																	{	/* Cfa/specialize.scm 603 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 602 */
																if (
																	(((obj_t) BgL_t2z00_1650) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 606 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 606 */
																		if (
																			(((obj_t) BgL_t2z00_1650) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 608 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 608 */
																				if (
																					(((obj_t) BgL_t1z00_1649) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 610 */
																						if (
																							(((obj_t) BgL_t2z00_1650) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3657;
																								BgL_appz00_bglt
																									BgL_nodez00_3656;
																								BgL_nodez00_3656 =
																									BgL_nodez00_117;
																								BgL_typez00_3657 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1676 =
																									BgL_typez00_3657;
																								BgL_nodez00_1675 =
																									BgL_nodez00_3656;
																								goto
																									BgL_zc3anonymousza32189ze3z83_1677;
																							}
																						else
																							{	/* Cfa/specialize.scm 611 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 610 */
																						if (
																							(((obj_t) BgL_t2z00_1650) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 614 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 616 */
																								bool_t BgL_testz00_3661;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1649))
																									{	/* Cfa/specialize.scm 616 */
																										BgL_testz00_3661 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1650);
																									}
																								else
																									{	/* Cfa/specialize.scm 616 */
																										BgL_testz00_3661 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3661)
																									{	/* Cfa/specialize.scm 618 */
																										BgL_typez00_bglt
																											BgL_arg2175z00_1663;
																										if ((((obj_t)
																													BgL_t1z00_1649) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 618 */
																												BgL_arg2175z00_1663 =
																													BgL_t2z00_1650;
																											}
																										else
																											{	/* Cfa/specialize.scm 618 */
																												BgL_arg2175z00_1663 =
																													BgL_t1z00_1649;
																											}
																										{
																											obj_t BgL_typez00_3669;
																											BgL_appz00_bglt
																												BgL_nodez00_3668;
																											BgL_nodez00_3668 =
																												BgL_nodez00_117;
																											BgL_typez00_3669 =
																												((obj_t)
																												BgL_arg2175z00_1663);
																											BgL_typez00_1676 =
																												BgL_typez00_3669;
																											BgL_nodez00_1675 =
																												BgL_nodez00_3668;
																											goto
																												BgL_zc3anonymousza32189ze3z83_1677;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 616 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_117;
						}
					else
						{	/* Cfa/specialize.scm 588 */
							return BgL_nodez00_117;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg2197z00_1685;
				obj_t BgL_arg2198z00_1686;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1950z00_1727;

					BgL_v1950z00_1727 = create_vector((int) (((long) 1)));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2209z00_1728;

						BgL_arg2209z00_1728 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2402z00zzcfa_specializa7eza7,
							BGl_proc2401z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1950z00_1727, (int) (((long) 0)),
							BgL_arg2209z00_1728);
					}
					BgL_arg2197z00_1685 = BgL_v1950z00_1727;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1951z00_1740;

					BgL_v1951z00_1740 = create_vector((int) (((long) 0)));
					BgL_arg2198z00_1686 = BgL_v1951z00_1740;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 16878), BGl_proc2406z00zzcfa_specializa7eza7,
						BGl_proc2405z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2404z00zzcfa_specializa7eza7,
						BGl_proc2403z00zzcfa_specializa7eza7, BgL_arg2197z00_1685,
						BgL_arg2198z00_1686), BUNSPEC);
		}}
	}



/* &lambda2205 */
	BgL_globalz00_bglt BGl_z62lambda2205z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3055, obj_t BgL_o1120z00_3056)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1120z00_1721;

				BgL_o1120z00_1721 = ((BgL_globalz00_bglt) BgL_o1120z00_3056);
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg2206z00_1724;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2207z00_1725;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_arg2208z00_1726;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objectz00_2957;

								BgL_objectz00_2957 = ((BgL_objectz00_bglt) BgL_o1120z00_1721);
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1825z00_2958;

									{	/* Cfa/specialize.scm 35 */
										long BgL_arg1826z00_2959;

										{	/* Cfa/specialize.scm 35 */
											long BgL_res2372z00_2961;

											BgL_res2372z00_2961 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2957);
											BgL_arg1826z00_2959 = BgL_res2372z00_2961;
										}
										BgL_arg1825z00_2958 = (BgL_arg1826z00_2959 - OBJECT_TYPE);
									}
									BgL_arg2208z00_1726 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1825z00_2958));
							}}
							BgL_arg2207z00_1725 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2208z00_1726);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_res2374z00_2970;

							{	/* Cfa/specialize.scm 35 */
								obj_t BgL_classz00_2967;

								BgL_classz00_2967 = BgL_arg2207z00_1725;
								{	/* Cfa/specialize.scm 35 */
									obj_t BgL_vectorz00_2968;
									int BgL_kz00_2969;

									BgL_vectorz00_2968 = BgL_classz00_2967;
									BgL_kz00_2969 = (int) (((long) 1));
									BgL_res2374z00_2970 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2968, BgL_kz00_2969));
							}}
							BgL_arg2206z00_1724 = BgL_res2374z00_2970;
					}}
					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_objz00_2971;

						BgL_objz00_2971 = ((BgL_objectz00_bglt) BgL_o1120z00_1721);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2971, BgL_arg2206z00_1724);
				}}
				{	/* Cfa/specialize.scm 35 */
					BgL_objectz00_bglt BgL_auxz00_3694;

					BgL_auxz00_3694 = ((BgL_objectz00_bglt) BgL_o1120z00_1721);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3694, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1120z00_1721);
			}
		}
	}



/* &<anonymous:2204> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32204ze3ze1zzcfa_specializa7eza7(obj_t
		BgL_envz00_3057, obj_t BgL_new1119z00_3058)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_new1119z00_1719;

				BgL_new1119z00_1719 = ((BgL_globalz00_bglt) BgL_new1119z00_3058);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1119z00_1719)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1719)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3704;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_2949;

						BgL_classz00_2949 = BGl_typez00zztype_typez00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1089z00_2950;

							{	/* Cfa/specialize.scm 35 */
								obj_t BgL_vectorz00_2951;
								int BgL_kz00_2952;

								BgL_vectorz00_2951 = BgL_classz00_2949;
								BgL_kz00_2952 = (int) (((long) 17));
								BgL__ortest_1089z00_2950 =
									VECTOR_REF(BgL_vectorz00_2951, BgL_kz00_2952);
							}
							if (CBOOL(BgL__ortest_1089z00_2950))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3704 =
										((BgL_typez00_bglt) BgL__ortest_1089z00_2950);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3704 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2949));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1119z00_1719)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3704), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3714;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_2953;

						BgL_classz00_2953 = BGl_valuez00zzast_varz00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1089z00_2954;

							{	/* Cfa/specialize.scm 35 */
								obj_t BgL_vectorz00_2955;
								int BgL_kz00_2956;

								BgL_vectorz00_2955 = BgL_classz00_2953;
								BgL_kz00_2956 = (int) (((long) 17));
								BgL__ortest_1089z00_2954 =
									VECTOR_REF(BgL_vectorz00_2955, BgL_kz00_2956);
							}
							if (CBOOL(BgL__ortest_1089z00_2954))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3714 =
										((BgL_valuez00_bglt) BgL__ortest_1089z00_2954);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3714 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2953));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1119z00_1719)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3714), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1119z00_1719)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1719)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1719)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1719)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1719)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1719)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2407z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1719)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3755;

					{
						obj_t BgL_auxz00_3756;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3757;

							BgL_auxz00_3757 = ((BgL_objectz00_bglt) BgL_new1119z00_1719);
							BgL_auxz00_3756 = BGL_OBJECT_WIDENING(BgL_auxz00_3757);
						}
						BgL_auxz00_3755 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3756);
					}
					((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3755))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1119z00_1719;
			}
		}
	}



/* &lambda2202 */
	BgL_globalz00_bglt BGl_z62lambda2202z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3059, obj_t BgL_o1116z00_3060)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1116z00_1714;

				BgL_o1116z00_1714 = ((BgL_globalz00_bglt) BgL_o1116z00_3060);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_tmp1117z00_1716;
					BgL_specializa7edzd2globalz75_bglt BgL_wide1118z00_1717;

					BgL_tmp1117z00_1716 = ((BgL_globalz00_bglt) BgL_o1116z00_1714);
					BgL_wide1118z00_1717 =
						((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_specializa7edzd2globalz75_bgl))));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_auxz00_3767;
						BgL_objectz00_bglt BgL_auxz00_3765;

						BgL_auxz00_3767 = ((obj_t) BgL_wide1118z00_1717);
						BgL_auxz00_3765 = ((BgL_objectz00_bglt) BgL_tmp1117z00_1716);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3765, BgL_auxz00_3767);
					}
					{	/* Cfa/specialize.scm 35 */
						long BgL_arg2203z00_1718;

						{	/* Cfa/specialize.scm 35 */
							long BgL_res2371z00_2946;

							{	/* Cfa/specialize.scm 35 */
								obj_t BgL_classz00_2943;

								BgL_classz00_2943 =
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
								{	/* Cfa/specialize.scm 35 */
									obj_t BgL_vectorz00_2944;
									int BgL_kz00_2945;

									BgL_vectorz00_2944 = BgL_classz00_2943;
									BgL_kz00_2945 = (int) (((long) 1));
									BgL_res2371z00_2946 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2944, BgL_kz00_2945));
							}}
							BgL_arg2203z00_1718 = BgL_res2371z00_2946;
						}
						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_objz00_2947;

							BgL_objz00_2947 = ((BgL_objectz00_bglt) BgL_tmp1117z00_1716);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2947, BgL_arg2203z00_1718));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1117z00_1716);
				}
			}
		}
	}



/* &lambda2199 */
	BgL_globalz00_bglt BGl_z62lambda2199z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3061, obj_t BgL_id1096z00_3062, obj_t BgL_name1097z00_3063,
		obj_t BgL_type1098z00_3064, obj_t BgL_value1099z00_3065,
		obj_t BgL_access1100z00_3066, obj_t BgL_fastzd2alpha1101zd2_3067,
		obj_t BgL_removable1102z00_3068, obj_t BgL_occurrence1103z00_3069,
		obj_t BgL_occurrencew1104z00_3070, obj_t BgL_userzf31105zf3_3071,
		obj_t BgL_module1106z00_3072, obj_t BgL_import1107z00_3073,
		obj_t BgL_evaluablezf31108zf3_3074, obj_t BgL_evalzf31109zf3_3075,
		obj_t BgL_library1110z00_3076, obj_t BgL_pragma1111z00_3077,
		obj_t BgL_src1112z00_3078, obj_t BgL_jvmzd2typezd2name1113z00_3079,
		obj_t BgL_init1114z00_3080, obj_t BgL_fix1115z00_3081)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				obj_t BgL_id1096z00_1687;
				obj_t BgL_name1097z00_1688;
				BgL_typez00_bglt BgL_type1098z00_1689;
				BgL_valuez00_bglt BgL_value1099z00_1690;
				obj_t BgL_access1100z00_1691;
				obj_t BgL_fastzd2alpha1101zd2_1692;
				obj_t BgL_removable1102z00_1693;
				long BgL_occurrence1103z00_1694;
				long BgL_occurrencew1104z00_1695;
				bool_t BgL_userzf31105zf3_1696;
				obj_t BgL_module1106z00_1697;
				obj_t BgL_import1107z00_1698;
				bool_t BgL_evaluablezf31108zf3_1699;
				bool_t BgL_evalzf31109zf3_1700;
				obj_t BgL_library1110z00_1701;
				obj_t BgL_pragma1111z00_1702;
				obj_t BgL_src1112z00_1703;
				obj_t BgL_jvmzd2typezd2name1113z00_1704;
				obj_t BgL_init1114z00_1705;
				obj_t BgL_fix1115z00_1706;

				BgL_id1096z00_1687 = BgL_id1096z00_3062;
				BgL_name1097z00_1688 = BgL_name1097z00_3063;
				BgL_type1098z00_1689 = ((BgL_typez00_bglt) BgL_type1098z00_3064);
				BgL_value1099z00_1690 = ((BgL_valuez00_bglt) BgL_value1099z00_3065);
				BgL_access1100z00_1691 = BgL_access1100z00_3066;
				BgL_fastzd2alpha1101zd2_1692 = BgL_fastzd2alpha1101zd2_3067;
				BgL_removable1102z00_1693 = BgL_removable1102z00_3068;
				BgL_occurrence1103z00_1694 = (long) CINT(BgL_occurrence1103z00_3069);
				BgL_occurrencew1104z00_1695 = (long) CINT(BgL_occurrencew1104z00_3070);
				BgL_userzf31105zf3_1696 = CBOOL(BgL_userzf31105zf3_3071);
				BgL_module1106z00_1697 = BgL_module1106z00_3072;
				BgL_import1107z00_1698 = BgL_import1107z00_3073;
				BgL_evaluablezf31108zf3_1699 = CBOOL(BgL_evaluablezf31108zf3_3074);
				BgL_evalzf31109zf3_1700 = CBOOL(BgL_evalzf31109zf3_3075);
				BgL_library1110z00_1701 = BgL_library1110z00_3076;
				BgL_pragma1111z00_1702 = BgL_pragma1111z00_3077;
				BgL_src1112z00_1703 = BgL_src1112z00_3078;
				BgL_jvmzd2typezd2name1113z00_1704 = BgL_jvmzd2typezd2name1113z00_3079;
				BgL_init1114z00_1705 = BgL_init1114z00_3080;
				BgL_fix1115z00_1706 = BgL_fix1115z00_3081;
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1206z00_2925;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1204z00_2926;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1205z00_2927;

						{
							BgL_globalz00_bglt BgL_auxz00_3778;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1203z00_2928;

								BgL_new1203z00_2928 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg2201z00_2929;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2369z00_2934;

										{	/* Cfa/specialize.scm 35 */
											obj_t BgL_classz00_2931;

											BgL_classz00_2931 = BGl_globalz00zzast_varz00;
											{	/* Cfa/specialize.scm 35 */
												obj_t BgL_vectorz00_2932;
												int BgL_kz00_2933;

												BgL_vectorz00_2932 = BgL_classz00_2931;
												BgL_kz00_2933 = (int) (((long) 1));
												BgL_res2369z00_2934 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2932,
														BgL_kz00_2933));
										}}
										BgL_arg2201z00_2929 = BgL_res2369z00_2934;
									}
									{	/* Cfa/specialize.scm 35 */
										BgL_objectz00_bglt BgL_objz00_2935;

										BgL_objz00_2935 =
											((BgL_objectz00_bglt) BgL_new1203z00_2928);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2935,
											BgL_arg2201z00_2929);
								}}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_auxz00_3785;

									BgL_auxz00_3785 = ((BgL_objectz00_bglt) BgL_new1203z00_2928);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3785, BFALSE);
								}
								BgL_auxz00_3778 = BgL_new1203z00_2928;
							}
							BgL_tmp1204z00_2926 = ((BgL_globalz00_bglt) BgL_auxz00_3778);
						}
						BgL_wide1205z00_2927 =
							((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_3792;
							BgL_objectz00_bglt BgL_auxz00_3790;

							BgL_auxz00_3792 = ((obj_t) BgL_wide1205z00_2927);
							BgL_auxz00_3790 = ((BgL_objectz00_bglt) BgL_tmp1204z00_2926);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3790, BgL_auxz00_3792);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg2200z00_2930;

							{	/* Cfa/specialize.scm 35 */
								long BgL_res2370z00_2940;

								{	/* Cfa/specialize.scm 35 */
									obj_t BgL_classz00_2937;

									BgL_classz00_2937 =
										BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
									{	/* Cfa/specialize.scm 35 */
										obj_t BgL_vectorz00_2938;
										int BgL_kz00_2939;

										BgL_vectorz00_2938 = BgL_classz00_2937;
										BgL_kz00_2939 = (int) (((long) 1));
										BgL_res2370z00_2940 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2938,
												BgL_kz00_2939));
								}}
								BgL_arg2200z00_2930 = BgL_res2370z00_2940;
							}
							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objz00_2941;

								BgL_objz00_2941 = ((BgL_objectz00_bglt) BgL_tmp1204z00_2926);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2941,
										BgL_arg2200z00_2930));
						}}
						BgL_new1206z00_2925 = ((BgL_globalz00_bglt) BgL_tmp1204z00_2926);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1206z00_2925)))->BgL_idz00) =
						((obj_t) BgL_id1096z00_1687), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_namez00) =
						((obj_t) BgL_name1097z00_1688), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1098z00_1689), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1099z00_1690), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_accessz00) =
						((obj_t) BgL_access1100z00_1691), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1101zd2_1692), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_removablez00) =
						((obj_t) BgL_removable1102z00_1693), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_occurrencez00) =
						((long) BgL_occurrence1103z00_1694), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1104z00_1695), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1206z00_2925)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31105zf3_1696), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_modulez00) =
						((obj_t) BgL_module1106z00_1697), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_importz00) =
						((obj_t) BgL_import1107z00_1698), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31108zf3_1699), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31109zf3_1700), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_libraryz00) =
						((obj_t) BgL_library1110z00_1701), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1111z00_1702), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_srcz00) =
						((obj_t) BgL_src1112z00_1703), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1113z00_1704), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1206z00_2925)))->BgL_initz00) =
						((obj_t) BgL_init1114z00_1705), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3840;

						{
							obj_t BgL_auxz00_3841;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_auxz00_3842;

								BgL_auxz00_3842 = ((BgL_objectz00_bglt) BgL_new1206z00_2925);
								BgL_auxz00_3841 = BGL_OBJECT_WIDENING(BgL_auxz00_3842);
							}
							BgL_auxz00_3840 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3841);
						}
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3840))->
								BgL_fixz00) = ((obj_t) BgL_fix1115z00_1706), BUNSPEC);
					}
					return BgL_new1206z00_2925;
				}
			}
		}
	}



/* &lambda2213 */
	obj_t BGl_z62lambda2213z62zzcfa_specializa7eza7(obj_t BgL_envz00_3082,
		obj_t BgL_oz00_3083, obj_t BgL_vz00_3084)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1734;
				obj_t BgL_vz00_1735;

				BgL_oz00_1734 = ((BgL_globalz00_bglt) BgL_oz00_3083);
				BgL_vz00_1735 = BgL_vz00_3084;
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3854;

					{
						obj_t BgL_auxz00_3855;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3856;

							BgL_auxz00_3856 = ((BgL_objectz00_bglt) BgL_oz00_1734);
							BgL_auxz00_3855 = BGL_OBJECT_WIDENING(BgL_auxz00_3856);
						}
						BgL_auxz00_3854 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3855);
					}
					return
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3854))->
							BgL_fixz00) = ((obj_t) BgL_vz00_1735), BUNSPEC);
				}
			}
		}
	}



/* &lambda2212 */
	obj_t BGl_z62lambda2212z62zzcfa_specializa7eza7(obj_t BgL_envz00_3085,
		obj_t BgL_oz00_3086)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1731;

				BgL_oz00_1731 = ((BgL_globalz00_bglt) BgL_oz00_3086);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3862;

					{
						obj_t BgL_auxz00_3863;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3864;

							BgL_auxz00_3864 = ((BgL_objectz00_bglt) BgL_oz00_1731);
							BgL_auxz00_3863 = BGL_OBJECT_WIDENING(BgL_auxz00_3864);
						}
						BgL_auxz00_3862 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3863);
					}
					return
						(((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3862))->
						BgL_fixz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2408z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2409z00zzcfa_specializa7eza7);
		}
	}



/* &patch!1952 */
	obj_t BGl_z62patchz121952z70zzcfa_specializa7eza7(obj_t BgL_envz00_3088,
		obj_t BgL_nodez00_3089)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{
				BgL_nodez00_bglt BgL_nodez00_1746;

				BgL_nodez00_1746 = ((BgL_nodez00_bglt) BgL_nodez00_3089);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
					BGl_string2410z00zzcfa_specializa7eza7, ((obj_t) BgL_nodez00_1746));
		}}
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_93)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{	/* Cfa/specialize.scm 330 */
				obj_t BgL_method1953z00_1749;

				{	/* Cfa/specialize.scm 330 */
					obj_t BgL_res2381z00_3001;

					{	/* Cfa/specialize.scm 330 */
						BgL_objectz00_bglt BgL_objz00_2973;

						BgL_objz00_2973 = ((BgL_objectz00_bglt) BgL_nodez00_93);
						{	/* Cfa/specialize.scm 330 */
							long BgL_objzd2classzd2numz00_2974;

							{	/* Cfa/specialize.scm 330 */
								long BgL_res2375z00_2977;

								BgL_res2375z00_2977 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2973);
								BgL_objzd2classzd2numz00_2974 = BgL_res2375z00_2977;
							}
							{	/* Cfa/specialize.scm 330 */
								obj_t BgL_arg1822z00_2975;

								BgL_arg1822z00_2975 =
									PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
									(int) (((long) 1)));
								{	/* Cfa/specialize.scm 330 */
									obj_t BgL_arrayz00_2978;
									int BgL_offsetz00_2979;

									BgL_arrayz00_2978 = BgL_arg1822z00_2975;
									BgL_offsetz00_2979 = (int) (BgL_objzd2classzd2numz00_2974);
									{	/* Cfa/specialize.scm 330 */
										long BgL_offsetz00_2980;

										BgL_offsetz00_2980 =
											((long) (BgL_offsetz00_2979) - OBJECT_TYPE);
										{	/* Cfa/specialize.scm 330 */
											long BgL_modz00_2981;

											{	/* Cfa/specialize.scm 330 */
												int BgL_arg1824z00_2982;

												BgL_arg1824z00_2982 = (int) (((long) 16));
												{	/* Cfa/specialize.scm 330 */
													long BgL_res2378z00_2992;

													{	/* Cfa/specialize.scm 330 */
														long BgL_auxz00_3883;

														BgL_auxz00_3883 = (long) (BgL_arg1824z00_2982);
														BgL_res2378z00_2992 =
															(BgL_offsetz00_2980 / BgL_auxz00_3883);
													}
													BgL_modz00_2981 = BgL_res2378z00_2992;
											}}
											{	/* Cfa/specialize.scm 330 */
												long BgL_restz00_2983;

												{	/* Cfa/specialize.scm 330 */
													int BgL_arg1823z00_2984;

													BgL_arg1823z00_2984 = (int) (((long) 16));
													{	/* Cfa/specialize.scm 330 */
														long BgL_res2380z00_2996;

														{	/* Cfa/specialize.scm 330 */
															long BgL_auxz00_3887;

															BgL_auxz00_3887 = (long) (BgL_arg1823z00_2984);
															BgL_res2380z00_2996 =
																(BgL_offsetz00_2980 % BgL_auxz00_3887);
														}
														BgL_restz00_2983 = BgL_res2380z00_2996;
												}}
												{	/* Cfa/specialize.scm 330 */

													BgL_res2381z00_3001 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2978,
															(int) (BgL_modz00_2981)),
														(int) (BgL_restz00_2983));
					}}}}}}}}
					BgL_method1953z00_1749 = BgL_res2381z00_3001;
				}
				return
					PROCEDURE_ENTRY(BgL_method1953z00_1749) (BgL_method1953z00_1749,
					((obj_t) BgL_nodez00_93), BEOA);
			}
		}
	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_3090,
		obj_t BgL_nodez00_3091)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_3091));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2411z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2413z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2414z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2415z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2416z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2417z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2418z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2419z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2420z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2421z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2422z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2423z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00,
				BGl_proc2424z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2425z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2426z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2427z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2428z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2429z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2430z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2431z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2432z00zzcfa_specializa7eza7,
				BGl_string2412z00zzcfa_specializa7eza7);
		}
	}



/* &patch!-app1996 */
	BgL_appz00_bglt BGl_z62patchz12zd2app1996za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3113, obj_t BgL_nodez00_3114)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 528 */
			{
				BgL_appz00_bglt BgL_nodez00_1909;

				BgL_nodez00_1909 = ((BgL_appz00_bglt) BgL_nodez00_3114);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1909))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_3924;

					{	/* Cfa/specialize.scm 531 */
						BgL_varz00_bglt BgL_arg2269z00_1914;

						BgL_arg2269z00_1914 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1909))->BgL_funz00);
						BgL_auxz00_3924 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2269z00_1914)));
					}
					((((BgL_appz00_bglt) CREF(BgL_nodez00_1909))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_3924), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 532 */
					BgL_variablez00_bglt BgL_vz00_1915;

					BgL_vz00_1915 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1909))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 534 */
						bool_t BgL_testz00_3932;

						{	/* Cfa/specialize.scm 534 */
							bool_t BgL_res2386z00_3029;

							{	/* Cfa/specialize.scm 534 */
								obj_t BgL_objz00_3028;

								BgL_objz00_3028 = ((obj_t) BgL_vz00_1915);
								BgL_res2386z00_3029 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3028,
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							}
							BgL_testz00_3932 = BgL_res2386z00_3029;
						}
						if (BgL_testz00_3932)
							{	/* Cfa/specialize.scm 534 */
								return
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
									(BgL_nodez00_1909);
							}
						else
							{	/* Cfa/specialize.scm 534 */
								return BgL_nodez00_1909;
							}
					}
				}
			}
		}
	}



/* &patch!-box-ref1994 */
	BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref1994z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3115, obj_t BgL_nodez00_3116)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 509 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1903;

				BgL_nodez00_1903 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3116);
				{
					BgL_varz00_bglt BgL_auxz00_3937;

					{	/* Cfa/specialize.scm 511 */
						BgL_varz00_bglt BgL_arg2267z00_1907;

						BgL_arg2267z00_1907 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1903))->BgL_varz00);
						BgL_auxz00_3937 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2267z00_1907)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1903))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3937), BUNSPEC);
				}
				return BgL_nodez00_1903;
			}
		}
	}



/* &patch!-box-set!1992 */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz121992z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3117, obj_t BgL_nodez00_3118)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 500 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1896;

				BgL_nodez00_1896 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3118);
				{
					BgL_varz00_bglt BgL_auxz00_3944;

					{	/* Cfa/specialize.scm 502 */
						BgL_varz00_bglt BgL_arg2265z00_1900;

						BgL_arg2265z00_1900 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1896))->BgL_varz00);
						BgL_auxz00_3944 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2265z00_1900)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1896))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3944), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3950;

					{	/* Cfa/specialize.scm 503 */
						BgL_nodez00_bglt BgL_arg2266z00_1901;

						BgL_arg2266z00_1901 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1896))->
							BgL_valuez00);
						BgL_auxz00_3950 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2266z00_1901));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1896))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3950), BUNSPEC);
				}
				return BgL_nodez00_1896;
			}
		}
	}



/* &patch!-make-box1990 */
	BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box1990z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3119, obj_t BgL_nodez00_3120)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 492 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1890;

				BgL_nodez00_1890 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3120);
				{
					BgL_nodez00_bglt BgL_auxz00_3956;

					{	/* Cfa/specialize.scm 494 */
						BgL_nodez00_bglt BgL_arg2264z00_1894;

						BgL_arg2264z00_1894 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1890))->BgL_valuez00);
						BgL_auxz00_3956 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2264z00_1894));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1890))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3956), BUNSPEC);
				}
				return BgL_nodez00_1890;
			}
		}
	}



/* &patch!-jump-ex-it1988 */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it1988za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3121, obj_t BgL_nodez00_3122)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 483 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1883;

				BgL_nodez00_1883 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3122);
				{
					BgL_nodez00_bglt BgL_auxz00_3962;

					{	/* Cfa/specialize.scm 485 */
						BgL_nodez00_bglt BgL_arg2262z00_1887;

						BgL_arg2262z00_1887 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1883))->
							BgL_exitz00);
						BgL_auxz00_3962 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2262z00_1887));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1883))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3962), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3967;

					{	/* Cfa/specialize.scm 486 */
						BgL_nodez00_bglt BgL_arg2263z00_1888;

						BgL_arg2263z00_1888 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1883))->
							BgL_valuez00);
						BgL_auxz00_3967 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2263z00_1888));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1883))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3967), BUNSPEC);
				}
				return BgL_nodez00_1883;
			}
		}
	}



/* &patch!-set-ex-it1986 */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it1986za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3123, obj_t BgL_nodez00_3124)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 474 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1876;

				BgL_nodez00_1876 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3124);
				{
					BgL_nodez00_bglt BgL_auxz00_3973;

					{	/* Cfa/specialize.scm 476 */
						BgL_nodez00_bglt BgL_arg2260z00_1880;

						BgL_arg2260z00_1880 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1876))->
							BgL_bodyz00);
						BgL_auxz00_3973 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2260z00_1880));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1876))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3973), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 477 */
					BgL_varz00_bglt BgL_arg2261z00_1881;

					BgL_arg2261z00_1881 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1876))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg2261z00_1881));
				}
				return BgL_nodez00_1876;
			}
		}
	}



/* &patch!-let-var1984 */
	BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var1984z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3125, obj_t BgL_nodez00_3126)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 459 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1858;

				BgL_nodez00_1858 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3126);
				{	/* Cfa/specialize.scm 461 */
					obj_t BgL_g1949z00_1862;

					BgL_g1949z00_1862 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1858))->BgL_bindingsz00);
					{
						obj_t BgL_l1947z00_1864;

						BgL_l1947z00_1864 = BgL_g1949z00_1862;
					BgL_zc3anonymousza32252ze3z83_1865:
						if (PAIRP(BgL_l1947z00_1864))
							{	/* Cfa/specialize.scm 461 */
								{	/* Cfa/specialize.scm 462 */
									obj_t BgL_bindingz00_1867;

									BgL_bindingz00_1867 = CAR(BgL_l1947z00_1864);
									{	/* Cfa/specialize.scm 462 */
										obj_t BgL_valz00_1868;

										BgL_valz00_1868 = CDR(BgL_bindingz00_1867);
										{	/* Cfa/specialize.scm 463 */
											obj_t BgL_arg2254z00_1869;

											BgL_arg2254z00_1869 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_1868));
											SET_CDR(BgL_bindingz00_1867, BgL_arg2254z00_1869);
										}
									}
								}
								{
									obj_t BgL_l1947z00_3990;

									BgL_l1947z00_3990 = CDR(BgL_l1947z00_1864);
									BgL_l1947z00_1864 = BgL_l1947z00_3990;
									goto BgL_zc3anonymousza32252ze3z83_1865;
								}
							}
						else
							{	/* Cfa/specialize.scm 461 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3992;

					{	/* Cfa/specialize.scm 465 */
						BgL_nodez00_bglt BgL_arg2257z00_1872;

						BgL_arg2257z00_1872 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1858))->BgL_bodyz00);
						BgL_auxz00_3992 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2257z00_1872));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1858))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3992), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 466 */
					bool_t BgL_testz00_3997;

					{	/* Cfa/specialize.scm 466 */
						BgL_typez00_bglt BgL_arg2259z00_1874;

						BgL_arg2259z00_1874 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1858)))->BgL_typez00);
						BgL_testz00_3997 =
							(
							((obj_t) BgL_arg2259z00_1874) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_3997)
						{	/* Cfa/specialize.scm 466 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1858)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1858)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1858))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 466 */
							BFALSE;
						}
				}
				return BgL_nodez00_1858;
			}
		}
	}



/* &patch!-let-fun1982 */
	BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun1982z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3127, obj_t BgL_nodez00_3128)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 447 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1842;

				BgL_nodez00_1842 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3128);
				{	/* Cfa/specialize.scm 449 */
					obj_t BgL_g1946z00_1846;

					BgL_g1946z00_1846 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1842))->BgL_localsz00);
					{
						obj_t BgL_l1944z00_1848;

						BgL_l1944z00_1848 = BgL_g1946z00_1846;
					BgL_zc3anonymousza32244ze3z83_1849:
						if (PAIRP(BgL_l1944z00_1848))
							{	/* Cfa/specialize.scm 449 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1944z00_1848));
								{
									obj_t BgL_l1944z00_4015;

									BgL_l1944z00_4015 = CDR(BgL_l1944z00_1848);
									BgL_l1944z00_1848 = BgL_l1944z00_4015;
									goto BgL_zc3anonymousza32244ze3z83_1849;
								}
							}
						else
							{	/* Cfa/specialize.scm 449 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4017;

					{	/* Cfa/specialize.scm 450 */
						BgL_nodez00_bglt BgL_arg2249z00_1854;

						BgL_arg2249z00_1854 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1842))->BgL_bodyz00);
						BgL_auxz00_4017 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2249z00_1854));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1842))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4017), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 451 */
					bool_t BgL_testz00_4022;

					{	/* Cfa/specialize.scm 451 */
						BgL_typez00_bglt BgL_arg2251z00_1856;

						BgL_arg2251z00_1856 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1842)))->BgL_typez00);
						BgL_testz00_4022 =
							(
							((obj_t) BgL_arg2251z00_1856) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4022)
						{	/* Cfa/specialize.scm 451 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1842)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1842)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1842))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 451 */
							BFALSE;
						}
				}
				return BgL_nodez00_1842;
			}
		}
	}



/* &patch!-select1980 */
	BgL_selectz00_bglt BGl_z62patchz12zd2select1980za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3129, obj_t BgL_nodez00_3130)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 436 */
			{
				BgL_selectz00_bglt BgL_nodez00_1826;

				BgL_nodez00_1826 = ((BgL_selectz00_bglt) BgL_nodez00_3130);
				{
					BgL_nodez00_bglt BgL_auxz00_4035;

					{	/* Cfa/specialize.scm 438 */
						BgL_nodez00_bglt BgL_arg2237z00_1830;

						BgL_arg2237z00_1830 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1826))->BgL_testz00);
						BgL_auxz00_4035 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2237z00_1830));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1826))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4035), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 439 */
					obj_t BgL_g1943z00_1831;

					BgL_g1943z00_1831 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1826))->BgL_clausesz00);
					{
						obj_t BgL_l1941z00_1833;

						BgL_l1941z00_1833 = BgL_g1943z00_1831;
					BgL_zc3anonymousza32238ze3z83_1834:
						if (PAIRP(BgL_l1941z00_1833))
							{	/* Cfa/specialize.scm 439 */
								{	/* Cfa/specialize.scm 440 */
									obj_t BgL_clausez00_1836;

									BgL_clausez00_1836 = CAR(BgL_l1941z00_1833);
									{	/* Cfa/specialize.scm 440 */
										obj_t BgL_arg2240z00_1837;

										{	/* Cfa/specialize.scm 440 */
											obj_t BgL_arg2241z00_1838;

											BgL_arg2241z00_1838 = CDR(BgL_clausez00_1836);
											BgL_arg2240z00_1837 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg2241z00_1838));
										}
										SET_CDR(BgL_clausez00_1836, BgL_arg2240z00_1837);
									}
								}
								{
									obj_t BgL_l1941z00_4048;

									BgL_l1941z00_4048 = CDR(BgL_l1941z00_1833);
									BgL_l1941z00_1833 = BgL_l1941z00_4048;
									goto BgL_zc3anonymousza32238ze3z83_1834;
								}
							}
						else
							{	/* Cfa/specialize.scm 439 */
								((bool_t) 1);
							}
					}
				}
				return BgL_nodez00_1826;
			}
		}
	}



/* &patch!-fail1978 */
	BgL_failz00_bglt BGl_z62patchz12zd2fail1978za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3131, obj_t BgL_nodez00_3132)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 426 */
			{
				BgL_failz00_bglt BgL_nodez00_1818;

				BgL_nodez00_1818 = ((BgL_failz00_bglt) BgL_nodez00_3132);
				{
					BgL_nodez00_bglt BgL_auxz00_4051;

					{	/* Cfa/specialize.scm 428 */
						BgL_nodez00_bglt BgL_arg2234z00_1822;

						BgL_arg2234z00_1822 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1818))->BgL_procz00);
						BgL_auxz00_4051 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2234z00_1822));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1818))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4051), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4056;

					{	/* Cfa/specialize.scm 429 */
						BgL_nodez00_bglt BgL_arg2235z00_1823;

						BgL_arg2235z00_1823 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1818))->BgL_msgz00);
						BgL_auxz00_4056 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2235z00_1823));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1818))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4056), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4061;

					{	/* Cfa/specialize.scm 430 */
						BgL_nodez00_bglt BgL_arg2236z00_1824;

						BgL_arg2236z00_1824 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1818))->BgL_objz00);
						BgL_auxz00_4061 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2236z00_1824));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1818))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4061), BUNSPEC);
				}
				return BgL_nodez00_1818;
			}
		}
	}



/* &patch!-conditional1975 */
	BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional1975za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3133, obj_t BgL_nodez00_3134)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 413 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1808;

				BgL_nodez00_1808 = ((BgL_conditionalz00_bglt) BgL_nodez00_3134);
				{
					BgL_nodez00_bglt BgL_auxz00_4067;

					{	/* Cfa/specialize.scm 415 */
						BgL_nodez00_bglt BgL_arg2229z00_1812;

						BgL_arg2229z00_1812 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1808))->BgL_testz00);
						BgL_auxz00_4067 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2229z00_1812));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1808))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4067), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4072;

					{	/* Cfa/specialize.scm 416 */
						BgL_nodez00_bglt BgL_arg2230z00_1813;

						BgL_arg2230z00_1813 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1808))->BgL_truez00);
						BgL_auxz00_4072 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2230z00_1813));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1808))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4072), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4077;

					{	/* Cfa/specialize.scm 417 */
						BgL_nodez00_bglt BgL_arg2231z00_1814;

						BgL_arg2231z00_1814 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1808))->
							BgL_falsez00);
						BgL_auxz00_4077 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2231z00_1814));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1808))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4077), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 418 */
					bool_t BgL_testz00_4082;

					{	/* Cfa/specialize.scm 418 */
						BgL_typez00_bglt BgL_arg2233z00_1816;

						BgL_arg2233z00_1816 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1808)))->BgL_typez00);
						BgL_testz00_4082 =
							(
							((obj_t) BgL_arg2233z00_1816) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4082)
						{	/* Cfa/specialize.scm 418 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1808)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1808)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1808))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 418 */
							BFALSE;
						}
				}
				return BgL_nodez00_1808;
			}
		}
	}



/* &patch!-setq1973 */
	BgL_setqz00_bglt BGl_z62patchz12zd2setq1973za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3135, obj_t BgL_nodez00_3136)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 404 */
			{
				BgL_setqz00_bglt BgL_nodez00_1801;

				BgL_nodez00_1801 = ((BgL_setqz00_bglt) BgL_nodez00_3136);
				{
					BgL_nodez00_bglt BgL_auxz00_4095;

					{	/* Cfa/specialize.scm 406 */
						BgL_nodez00_bglt BgL_arg2227z00_1805;

						BgL_arg2227z00_1805 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1801))->BgL_valuez00);
						BgL_auxz00_4095 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2227z00_1805));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1801))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4095), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_4100;

					{	/* Cfa/specialize.scm 407 */
						BgL_varz00_bglt BgL_arg2228z00_1806;

						BgL_arg2228z00_1806 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1801))->BgL_varz00);
						BgL_auxz00_4100 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2228z00_1806)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1801))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4100), BUNSPEC);
				}
				return BgL_nodez00_1801;
			}
		}
	}



/* &patch!-cast1971 */
	BgL_castz00_bglt BGl_z62patchz12zd2cast1971za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3137, obj_t BgL_nodez00_3138)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 396 */
			{
				BgL_castz00_bglt BgL_nodez00_1795;

				BgL_nodez00_1795 = ((BgL_castz00_bglt) BgL_nodez00_3138);
				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1795))->BgL_argz00));
				return BgL_nodez00_1795;
			}
		}
	}



/* &patch!-extern1969 */
	BgL_externz00_bglt BGl_z62patchz12zd2extern1969za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3139, obj_t BgL_nodez00_3140)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 388 */
			{
				BgL_externz00_bglt BgL_nodez00_1789;

				BgL_nodez00_1789 = ((BgL_externz00_bglt) BgL_nodez00_3140);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1789))->BgL_exprza2za2));
				return BgL_nodez00_1789;
			}
		}
	}



/* &patch!-funcall1967 */
	BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall1967za2zzcfa_specializa7eza7(obj_t BgL_envz00_3141,
		obj_t BgL_nodez00_3142)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 379 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1782;

				BgL_nodez00_1782 = ((BgL_funcallz00_bglt) BgL_nodez00_3142);
				{
					BgL_nodez00_bglt BgL_auxz00_4113;

					{	/* Cfa/specialize.scm 381 */
						BgL_nodez00_bglt BgL_arg2223z00_1786;

						BgL_arg2223z00_1786 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1782))->BgL_funz00);
						BgL_auxz00_4113 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2223z00_1786));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1782))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4113), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1782))->BgL_argsz00));
				return BgL_nodez00_1782;
			}
		}
	}



/* &patch!-app-ly1965 */
	BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly1965z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3143, obj_t BgL_nodez00_3144)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 370 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1775;

				BgL_nodez00_1775 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3144);
				{
					BgL_nodez00_bglt BgL_auxz00_4121;

					{	/* Cfa/specialize.scm 372 */
						BgL_nodez00_bglt BgL_arg2221z00_1779;

						BgL_arg2221z00_1779 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1775))->BgL_funz00);
						BgL_auxz00_4121 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2221z00_1779));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1775))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4121), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4126;

					{	/* Cfa/specialize.scm 373 */
						BgL_nodez00_bglt BgL_arg2222z00_1780;

						BgL_arg2222z00_1780 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1775))->BgL_argz00);
						BgL_auxz00_4126 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2222z00_1780));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1775))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4126), BUNSPEC);
				}
				return BgL_nodez00_1775;
			}
		}
	}



/* &patch!-sequence1963 */
	BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence1963za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3145, obj_t BgL_nodez00_3146)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 359 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1767;

				BgL_nodez00_1767 = ((BgL_sequencez00_bglt) BgL_nodez00_3146);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1767))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 362 */
					bool_t BgL_testz00_4134;

					{	/* Cfa/specialize.scm 362 */
						BgL_typez00_bglt BgL_arg2220z00_1773;

						BgL_arg2220z00_1773 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1767)))->BgL_typez00);
						BgL_testz00_4134 =
							(
							((obj_t) BgL_arg2220z00_1773) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4134)
						{	/* Cfa/specialize.scm 362 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1767)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1767)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1767))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 362 */
							BFALSE;
						}
				}
				return BgL_nodez00_1767;
			}
		}
	}



/* &patch!-closure1961 */
	obj_t BGl_z62patchz12zd2closure1961za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3147, obj_t BgL_nodez00_3148)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 353 */
			{
				BgL_closurez00_bglt BgL_nodez00_1762;

				BgL_nodez00_1762 = ((BgL_closurez00_bglt) BgL_nodez00_3148);
				{	/* Cfa/specialize.scm 354 */
					obj_t BgL_arg2216z00_3002;

					BgL_arg2216z00_3002 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1762));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2412z00zzcfa_specializa7eza7,
						BGl_string2433z00zzcfa_specializa7eza7, BgL_arg2216z00_3002);
				}
			}
		}
	}



/* &patch!-var1959 */
	BgL_varz00_bglt BGl_z62patchz12zd2var1959za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3149, obj_t BgL_nodez00_3150)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 347 */
			return ((BgL_varz00_bglt) BgL_nodez00_3150);
		}
	}



/* &patch!-kwote1957 */
	BgL_kwotez00_bglt BGl_z62patchz12zd2kwote1957za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3151, obj_t BgL_nodez00_3152)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 341 */
			return ((BgL_kwotez00_bglt) BgL_nodez00_3152);
		}
	}



/* &patch!-atom1955 */
	BgL_atomz00_bglt BGl_z62patchz12zd2atom1955za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3153, obj_t BgL_nodez00_3154)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 335 */
			return ((BgL_atomz00_bglt) BgL_nodez00_3154);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2434z00zzcfa_specializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
