/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti3145z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun3178za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote3134z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3136z70zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3153z50zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc3159z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure3138z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var3180za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2select3176z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast3165z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq3167z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62typezd2variablez123117za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3147z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3149z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3143z70zzcfa_typez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C3155z82zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref3190za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2variablez12zd2inter3128z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz123163z62zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail3174z70zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref3161z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst3122z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3170z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3172z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence3140z70zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3184z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23151z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern3157z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	static obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2sexit3126z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf23124z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	static obj_t BGl_z62typezd2variablez12zd2svarzf23120z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123188zb0zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom3132z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box3186za2zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62typezd2nodez123129za2zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3182z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string3659z00zzcfa_typez00,
		BgL_bgl_string3659za700za7za7c3707za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string3660z00zzcfa_typez00,
		BgL_bgl_string3660za700za7za7c3708za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string3662z00zzcfa_typez00,
		BgL_bgl_string3662za700za7za7c3709za7, "type-variable!3117", 18);
	      DEFINE_STRING(BGl_string3664z00zzcfa_typez00,
		BgL_bgl_string3664za700za7za7c3710za7, "type-node!3129", 14);
	      DEFINE_STRING(BGl_string3665z00zzcfa_typez00,
		BgL_bgl_string3665za700za7za7c3711za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3667z00zzcfa_typez00,
		BgL_bgl_string3667za700za7za7c3712za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string3673z00zzcfa_typez00,
		BgL_bgl_string3673za700za7za7c3713za7, "type-node!", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin3714z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713715za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3702z00zzcfa_typez00,
		BgL_bgl_string3702za700za7za7c3716za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3703z00zzcfa_typez00,
		BgL_bgl_string3703za700za7za7c3717za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string3704z00zzcfa_typez00,
		BgL_bgl_string3704za700za7za7c3718za7,
		"nothing static type-node!3129 bigloo ", 37);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3661z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3719z00,
		BGl_z62typezd2variablez123117za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3663z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713720za7,
		BGl_z62typezd2nodez123129za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3666z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3721z00,
		BGl_z62typezd2variablez12zd2svarzf23120z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3668z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3722z00,
		BGl_z62typezd2variablez12zd2scnst3122z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3669z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3723z00,
		BGl_z62typezd2variablez12zd2cvarzf23124z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3670z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3724z00,
		BGl_z62typezd2variablez12zd2sexit3126z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3671z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3725z00,
		BGl_z62typezd2variablez12zd2inter3128z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3672z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713726za7,
		BGl_z62typezd2nodez12zd2atom3132z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3674z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713727za7,
		BGl_z62typezd2nodez12zd2kwote3134z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3675z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713728za7,
		BGl_z62typezd2nodez12zd2var3136z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3676z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713729za7,
		BGl_z62typezd2nodez12zd2closure3138z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3677z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713730za7,
		BGl_z62typezd2nodez12zd2sequence3140z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3678z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713731za7,
		BGl_z62typezd2nodez12zd2app3143z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3679z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713732za7,
		BGl_z62typezd2nodez12zd2arithmeti3145z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3680z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713733za7,
		BGl_z62typezd2nodez12zd2procedure3147z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3681z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713734za7,
		BGl_z62typezd2nodez12zd2procedure3149z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3682z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713735za7,
		BGl_z62typezd2nodez12zd2conszd2refzd23151z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3683z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713736za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3153z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3684z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713737za7,
		BGl_z62typezd2nodez12zd2funcallzf2C3155z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3685z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713738za7,
		BGl_z62typezd2nodez12zd2extern3157z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3686z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713739za7,
		BGl_z62typezd2nodez12zd2valloc3159z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3687z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713740za7,
		BGl_z62typezd2nodez12zd2vref3161z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3688z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713741za7,
		BGl_z62typezd2nodez12zd2vsetz123163z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3689z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713742za7,
		BGl_z62typezd2nodez12zd2cast3165z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3690z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713743za7,
		BGl_z62typezd2nodez12zd2setq3167z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3691z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713744za7,
		BGl_z62typezd2nodez12zd2condition3170z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3692z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713745za7,
		BGl_z62typezd2nodez12zd2condition3172z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3693z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713746za7,
		BGl_z62typezd2nodez12zd2fail3174z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3694z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713747za7,
		BGl_z62typezd2nodez12zd2select3176z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3695z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713748za7,
		BGl_z62typezd2nodez12zd2letzd2fun3178za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3696z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713749za7,
		BGl_z62typezd2nodez12zd2letzd2var3180za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3697z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713750za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it3182z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3698z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713751za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3184z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3699z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713752za7,
		BGl_z62typezd2nodez12zd2makezd2box3186za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza73753za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3754z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3700z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713755za7,
		BGl_z62typezd2nodez12zd2boxzd2setz123188zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3701z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713756za7,
		BGl_z62typezd2nodez12zd2boxzd2ref3190za2zzcfa_typez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6256, char *BgL_fromz00_6257)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6241;

				BgL_cportz00_6241 =
					bgl_open_input_string(BGl_string3704z00zzcfa_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_6242;

					BgL_iz00_6242 = ((long) 3);
				BgL_loopz00_6243:
					if ((BgL_iz00_6242 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg3706z00_6245;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6247;

										BgL_locationz00_6247 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg3706z00_6245 =
												BGl_readz00zz__readerz00(BgL_cportz00_6241,
												BgL_locationz00_6247);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_auxz00_6278;

									BgL_auxz00_6278 = (int) (BgL_iz00_6242);
									CNST_TABLE_SET(BgL_auxz00_6278, BgL_arg3706z00_6245);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6248;

								BgL_auxz00_6248 = (int) ((BgL_iz00_6242 - ((long) 1)));
								{
									long BgL_iz00_6283;

									BgL_iz00_6283 = (long) (BgL_auxz00_6248);
									BgL_iz00_6242 = BgL_iz00_6283;
									goto BgL_loopz00_6243;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l3086z00_3219;

				{	/* Cfa/type.scm 42 */
					bool_t BgL_auxz00_6286;

					BgL_l3086z00_3219 = BgL_globalsz00_3;
				BgL_zc3anonymousza33194ze3z83_3220:
					if (PAIRP(BgL_l3086z00_3219))
						{	/* Cfa/type.scm 42 */
							{	/* Cfa/type.scm 42 */
								obj_t BgL_arg3196z00_3222;

								BgL_arg3196z00_3222 = CAR(BgL_l3086z00_3219);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg3196z00_3222));
							}
							{
								obj_t BgL_l3086z00_6292;

								BgL_l3086z00_6292 = CDR(BgL_l3086z00_3219);
								BgL_l3086z00_3219 = BgL_l3086z00_6292;
								goto BgL_zc3anonymousza33194ze3z83_3220;
							}
						}
					else
						{	/* Cfa/type.scm 42 */
							BgL_auxz00_6286 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_6286);
				}
			}
		}
	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_6117,
		obj_t BgL_globalsz00_6118)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_6118);
		}
	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 47 */
			{	/* Cfa/type.scm 48 */
				BgL_valuez00_bglt BgL_funz00_3225;

				BgL_funz00_3225 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_4))->BgL_valuez00);
				{	/* Cfa/type.scm 50 */
					bool_t BgL_testz00_6297;

					{	/* Cfa/type.scm 50 */
						bool_t BgL_res3584z00_5768;

						{	/* Cfa/type.scm 50 */
							obj_t BgL_objz00_5767;

							BgL_objz00_5767 = ((obj_t) BgL_funz00_3225);
							BgL_res3584z00_5768 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5767,
								BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						}
						BgL_testz00_6297 = BgL_res3584z00_5768;
					}
					if (BgL_testz00_6297)
						{	/* Cfa/type.scm 53 */
							BgL_sfunz00_bglt BgL_i1160z00_3227;

							BgL_i1160z00_3227 = ((BgL_sfunz00_bglt) BgL_funz00_3225);
							{	/* Cfa/type.scm 55 */
								obj_t BgL_g3090z00_3228;

								BgL_g3090z00_3228 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_i1160z00_3227)))->BgL_argsz00);
								{
									obj_t BgL_l3088z00_3230;

									BgL_l3088z00_3230 = BgL_g3090z00_3228;
								BgL_zc3anonymousza33199ze3z83_3231:
									if (PAIRP(BgL_l3088z00_3230))
										{	/* Cfa/type.scm 55 */
											{	/* Cfa/type.scm 56 */
												obj_t BgL_varz00_3233;

												BgL_varz00_3233 = CAR(BgL_l3088z00_3230);
												{	/* Cfa/type.scm 56 */
													BgL_valuez00_bglt BgL_arg3201z00_3234;

													BgL_arg3201z00_3234 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3233))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg3201z00_3234,
														((BgL_variablez00_bglt) BgL_varz00_3233));
												}
											}
											{
												obj_t BgL_l3088z00_6311;

												BgL_l3088z00_6311 = CDR(BgL_l3088z00_3230);
												BgL_l3088z00_3230 = BgL_l3088z00_6311;
												goto BgL_zc3anonymousza33199ze3z83_3231;
											}
										}
									else
										{	/* Cfa/type.scm 55 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 59 */
								obj_t BgL_arg3203z00_3237;

								{	/* Cfa/type.scm 59 */
									BgL_approxz00_bglt BgL_arg3204z00_3238;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6313;

										{
											obj_t BgL_auxz00_6314;

											{	/* Cfa/type.scm 59 */
												BgL_objectz00_bglt BgL_auxz00_6315;

												BgL_auxz00_6315 =
													((BgL_objectz00_bglt) BgL_i1160z00_3227);
												BgL_auxz00_6314 = BGL_OBJECT_WIDENING(BgL_auxz00_6315);
											}
											BgL_auxz00_6313 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6314);
										}
										BgL_arg3204z00_3238 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_6313))->BgL_approxz00);
									}
									BgL_arg3203z00_3237 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3204z00_3238,
										((obj_t) BgL_varz00_4));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_4,
									((BgL_typez00_bglt) BgL_arg3203z00_3237));
							}
							{	/* Cfa/type.scm 60 */
								BgL_sfunz00_bglt BgL_o1161z00_3239;

								BgL_o1161z00_3239 = ((BgL_sfunz00_bglt) BgL_funz00_3225);
								{	/* Cfa/type.scm 60 */
									long BgL_arg3205z00_3240;

									{	/* Cfa/type.scm 60 */
										obj_t BgL_arg3206z00_3241;

										{	/* Cfa/type.scm 60 */
											obj_t BgL_arg3207z00_3242;

											{	/* Cfa/type.scm 60 */
												BgL_objectz00_bglt BgL_objectz00_5776;

												BgL_objectz00_5776 =
													((BgL_objectz00_bglt) BgL_o1161z00_3239);
												{	/* Cfa/type.scm 60 */
													long BgL_arg1825z00_5777;

													{	/* Cfa/type.scm 60 */
														long BgL_arg1826z00_5778;

														{	/* Cfa/type.scm 60 */
															long BgL_res3587z00_5780;

															BgL_res3587z00_5780 =
																BGL_OBJECT_CLASS_NUM(BgL_objectz00_5776);
															BgL_arg1826z00_5778 = BgL_res3587z00_5780;
														}
														BgL_arg1825z00_5777 =
															(BgL_arg1826z00_5778 - OBJECT_TYPE);
													}
													BgL_arg3207z00_3242 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg1825z00_5777));
											}}
											BgL_arg3206z00_3241 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg3207z00_3242);
										}
										{	/* Cfa/type.scm 60 */
											long BgL_res3589z00_5789;

											{	/* Cfa/type.scm 60 */
												obj_t BgL_classz00_5786;

												BgL_classz00_5786 = BgL_arg3206z00_3241;
												{	/* Cfa/type.scm 60 */
													obj_t BgL_vectorz00_5787;
													int BgL_kz00_5788;

													BgL_vectorz00_5787 = BgL_classz00_5786;
													BgL_kz00_5788 = (int) (((long) 1));
													BgL_res3589z00_5789 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_5787,
															BgL_kz00_5788));
											}}
											BgL_arg3205z00_3240 = BgL_res3589z00_5789;
									}}
									{	/* Cfa/type.scm 60 */
										BgL_objectz00_bglt BgL_objz00_5790;

										BgL_objz00_5790 = ((BgL_objectz00_bglt) BgL_o1161z00_3239);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5790,
											BgL_arg3205z00_3240);
								}}
								{	/* Cfa/type.scm 60 */
									BgL_objectz00_bglt BgL_auxz00_6336;

									BgL_auxz00_6336 = ((BgL_objectz00_bglt) BgL_o1161z00_3239);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6336, BFALSE);
								} BgL_o1161z00_3239;
							}
							{
								obj_t BgL_auxz00_6339;

								{	/* Cfa/type.scm 62 */
									obj_t BgL_arg3208z00_3243;

									BgL_arg3208z00_3243 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1160z00_3227)))->BgL_bodyz00);
									BgL_auxz00_6339 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg3208z00_3243)));
								}
								return
									((((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1160z00_3227)))->BgL_bodyz00) =
									((obj_t) BgL_auxz00_6339), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 63 */
							bool_t BgL_testz00_6347;

							{	/* Cfa/type.scm 63 */
								bool_t BgL_res3590z00_5793;

								{	/* Cfa/type.scm 63 */
									obj_t BgL_objz00_5792;

									BgL_objz00_5792 = ((obj_t) BgL_funz00_3225);
									BgL_res3590z00_5793 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5792,
										BGl_sfunz00zzast_varz00);
								}
								BgL_testz00_6347 = BgL_res3590z00_5793;
							}
							if (BgL_testz00_6347)
								{	/* Cfa/type.scm 64 */
									BgL_sfunz00_bglt BgL_i1162z00_3245;

									BgL_i1162z00_3245 = ((BgL_sfunz00_bglt) BgL_funz00_3225);
									{
										obj_t BgL_auxz00_6351;

										{	/* Cfa/type.scm 65 */
											obj_t BgL_arg3210z00_3246;

											BgL_arg3210z00_3246 =
												(((BgL_sfunz00_bglt) CREF(BgL_i1162z00_3245))->
												BgL_bodyz00);
											BgL_auxz00_6351 =
												((obj_t)
												BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
														BgL_arg3210z00_3246)));
										}
										return
											((((BgL_sfunz00_bglt) CREF(BgL_i1162z00_3245))->
												BgL_bodyz00) = ((obj_t) BgL_auxz00_6351), BUNSPEC);
									}
								}
							else
								{	/* Cfa/type.scm 67 */
									obj_t BgL_arg3211z00_3247;

									BgL_arg3211z00_3247 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_4));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string3659z00zzcfa_typez00,
										BGl_string3660z00zzcfa_typez00, BgL_arg3211z00_3247);
								}
						}
				}
			}
		}
	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 72 */
			{	/* Cfa/type.scm 73 */
				BgL_variablez00_bglt BgL_varz00_3248;

				BgL_varz00_3248 =
					(((BgL_varz00_bglt) CREF(BgL_vz00_5))->BgL_variablez00);
				{	/* Cfa/type.scm 73 */
					BgL_valuez00_bglt BgL_funz00_3249;

					BgL_funz00_3249 =
						(((BgL_variablez00_bglt) CREF(BgL_varz00_3248))->BgL_valuez00);
					{	/* Cfa/type.scm 74 */

						{	/* Cfa/type.scm 75 */
							bool_t BgL_testz00_6362;

							{	/* Cfa/type.scm 75 */
								bool_t BgL_res3593z00_5801;

								{	/* Cfa/type.scm 75 */
									obj_t BgL_objz00_5800;

									BgL_objz00_5800 = ((obj_t) BgL_funz00_3249);
									BgL_res3593z00_5801 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5800,
										BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
								}
								BgL_testz00_6362 = BgL_res3593z00_5801;
							}
							if (BgL_testz00_6362)
								{	/* Cfa/type.scm 76 */
									BgL_sfunz00_bglt BgL_i1163z00_3251;

									BgL_i1163z00_3251 = ((BgL_sfunz00_bglt) BgL_funz00_3249);
									{	/* Cfa/type.scm 77 */
										obj_t BgL_arg3213z00_3252;

										{	/* Cfa/type.scm 77 */
											BgL_approxz00_bglt BgL_arg3214z00_3253;

											{
												BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6366;

												{
													obj_t BgL_auxz00_6367;

													{	/* Cfa/type.scm 77 */
														BgL_objectz00_bglt BgL_auxz00_6368;

														BgL_auxz00_6368 =
															((BgL_objectz00_bglt) BgL_i1163z00_3251);
														BgL_auxz00_6367 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6368);
													}
													BgL_auxz00_6366 =
														((BgL_internzd2sfunzf2cinfoz20_bglt)
														BgL_auxz00_6367);
												}
												BgL_arg3214z00_3253 =
													(((BgL_internzd2sfunzf2cinfoz20_bglt)
														CREF(BgL_auxz00_6366))->BgL_approxz00);
											}
											BgL_arg3213z00_3252 =
												BGl_getzd2approxzd2typez00zzcfa_typez00
												(BgL_arg3214z00_3253, ((obj_t) BgL_vz00_5));
										}
										return
											BGl_setzd2variablezd2typez12z12zzcfa_typez00
											(BgL_varz00_3248,
											((BgL_typez00_bglt) BgL_arg3213z00_3252));
									}
								}
							else
								{	/* Cfa/type.scm 75 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_6,
		obj_t BgL_nodez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			{	/* Cfa/type.scm 83 */
				BgL_typez00_bglt BgL_typez00_3254;
				obj_t BgL_alloczd2listzd2_3255;

				BgL_typez00_3254 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_typez00);
				BgL_alloczd2listzd2_3255 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_allocsz00));
				if (PAIRP(BgL_alloczd2listzd2_3255))
					{	/* Cfa/type.scm 86 */
						if ((((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_topzf3zf3))
							{	/* Cfa/type.scm 88 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 90 */
								bool_t BgL_testz00_6384;

								{
									obj_t BgL_l3091z00_3287;
									bool_t BgL_lv3092z00_3288;

									BgL_l3091z00_3287 = BgL_alloczd2listzd2_3255;
									BgL_lv3092z00_3288 = ((bool_t) 1);
								BgL_zc3anonymousza33229ze3z83_3289:
									if (NULLP(BgL_l3091z00_3287))
										{	/* Cfa/type.scm 90 */
											BgL_testz00_6384 = BgL_lv3092z00_3288;
										}
									else
										{	/* Cfa/type.scm 90 */
											bool_t BgL_nvz00_3291;

											{	/* Cfa/type.scm 90 */
												obj_t BgL_arg3232z00_3294;

												BgL_arg3232z00_3294 = CAR(BgL_l3091z00_3287);
												BgL_nvz00_3291 =
													BGl_isazf3zf3zz__objectz00(BgL_arg3232z00_3294,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
											}
											if (BgL_nvz00_3291)
												{
													bool_t BgL_lv3092z00_6392;
													obj_t BgL_l3091z00_6390;

													BgL_l3091z00_6390 = CDR(BgL_l3091z00_3287);
													BgL_lv3092z00_6392 = BgL_nvz00_3291;
													BgL_lv3092z00_3288 = BgL_lv3092z00_6392;
													BgL_l3091z00_3287 = BgL_l3091z00_6390;
													goto BgL_zc3anonymousza33229ze3z83_3289;
												}
											else
												{	/* Cfa/type.scm 90 */
													BgL_testz00_6384 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_6384)
									{	/* Cfa/type.scm 91 */
										obj_t BgL_appz00_3259;

										BgL_appz00_3259 = CAR(BgL_alloczd2listzd2_3255);
										{	/* Cfa/type.scm 91 */
											BgL_typez00_bglt BgL_tvzd2typezd2_3260;

											BgL_tvzd2typezd2_3260 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_appz00_3259));
											{	/* Cfa/type.scm 92 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_3261;

												{
													BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6396;

													{
														obj_t BgL_auxz00_6397;

														{	/* Cfa/type.scm 93 */
															BgL_objectz00_bglt BgL_auxz00_6398;

															BgL_auxz00_6398 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3259));
															BgL_auxz00_6397 =
																BGL_OBJECT_WIDENING(BgL_auxz00_6398);
														}
														BgL_auxz00_6396 =
															((BgL_makezd2vectorzd2appz00_bglt)
															BgL_auxz00_6397);
													}
													BgL_valuezd2approxzd2_3261 =
														(((BgL_makezd2vectorzd2appz00_bglt)
															CREF(BgL_auxz00_6396))->BgL_valuezd2approxzd2);
												}
												{	/* Cfa/type.scm 93 */
													BgL_typez00_bglt BgL_itemzd2typezd2_3262;

													BgL_itemzd2typezd2_3262 =
														(((BgL_approxz00_bglt)
															CREF(BgL_valuezd2approxzd2_3261))->BgL_typez00);
													{	/* Cfa/type.scm 94 */
														obj_t BgL_tvz00_3263;

														BgL_tvz00_3263 =
															(((BgL_typez00_bglt)
																CREF(BgL_itemzd2typezd2_3262))->BgL_tvectorz00);
														{	/* Cfa/type.scm 95 */

															if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_3263,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 97 */
																	return BgL_tvz00_3263;
																}
															else
																{	/* Cfa/type.scm 97 */
																	if (
																		(((obj_t) BgL_typez00_3254) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Cfa/type.scm 98 */
																			return BGl_za2vectorza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/type.scm 98 */
																			return ((obj_t) BgL_typez00_3254);
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 100 */
										bool_t BgL_testz00_6412;

										{
											obj_t BgL_l3095z00_3277;
											bool_t BgL_lv3096z00_3278;

											BgL_l3095z00_3277 = BgL_alloczd2listzd2_3255;
											BgL_lv3096z00_3278 = ((bool_t) 1);
										BgL_zc3anonymousza33225ze3z83_3279:
											if (NULLP(BgL_l3095z00_3277))
												{	/* Cfa/type.scm 100 */
													BgL_testz00_6412 = BgL_lv3096z00_3278;
												}
											else
												{	/* Cfa/type.scm 100 */
													bool_t BgL_nvz00_3281;

													{	/* Cfa/type.scm 100 */
														obj_t BgL_arg3228z00_3284;

														BgL_arg3228z00_3284 = CAR(BgL_l3095z00_3277);
														BgL_nvz00_3281 =
															BGl_isazf3zf3zz__objectz00(BgL_arg3228z00_3284,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
													if (BgL_nvz00_3281)
														{
															bool_t BgL_lv3096z00_6420;
															obj_t BgL_l3095z00_6418;

															BgL_l3095z00_6418 = CDR(BgL_l3095z00_3277);
															BgL_lv3096z00_6420 = BgL_nvz00_3281;
															BgL_lv3096z00_3278 = BgL_lv3096z00_6420;
															BgL_l3095z00_3277 = BgL_l3095z00_6418;
															goto BgL_zc3anonymousza33225ze3z83_3279;
														}
													else
														{	/* Cfa/type.scm 100 */
															BgL_testz00_6412 = ((bool_t) 0);
														}
												}
										}
										if (BgL_testz00_6412)
											{	/* Cfa/type.scm 100 */
												if (CBOOL
													(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
														()))
													{	/* Cfa/type.scm 105 */
														obj_t BgL_appz00_3268;

														BgL_appz00_3268 = CAR(BgL_alloczd2listzd2_3255);
														{	/* Cfa/type.scm 105 */
															BgL_typez00_bglt BgL_tvzd2typezd2_3269;

															BgL_tvzd2typezd2_3269 =
																BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																(((BgL_nodez00_bglt) BgL_appz00_3268));
															{	/* Cfa/type.scm 106 */
																BgL_approxz00_bglt BgL_valuezd2approxzd2_3270;

																{
																	BgL_valloczf2cinfozb2optimz40_bglt
																		BgL_auxz00_6427;
																	{
																		obj_t BgL_auxz00_6428;

																		{	/* Cfa/type.scm 107 */
																			BgL_objectz00_bglt BgL_auxz00_6429;

																			BgL_auxz00_6429 =
																				((BgL_objectz00_bglt)
																				((BgL_vallocz00_bglt) BgL_appz00_3268));
																			BgL_auxz00_6428 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_6429);
																		}
																		BgL_auxz00_6427 =
																			((BgL_valloczf2cinfozb2optimz40_bglt)
																			BgL_auxz00_6428);
																	}
																	BgL_valuezd2approxzd2_3270 =
																		(((BgL_valloczf2cinfozb2optimz40_bglt)
																			CREF(BgL_auxz00_6427))->
																		BgL_valuezd2approxzd2);
																}
																{	/* Cfa/type.scm 107 */
																	BgL_typez00_bglt BgL_itemzd2typezd2_3271;

																	BgL_itemzd2typezd2_3271 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_valuezd2approxzd2_3270))->
																		BgL_typez00);
																	{	/* Cfa/type.scm 108 */
																		obj_t BgL_tvz00_3272;

																		BgL_tvz00_3272 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_itemzd2typezd2_3271))->
																			BgL_tvectorz00);
																		{	/* Cfa/type.scm 109 */

																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_tvz00_3272,
																					BGl_typez00zztype_typez00))
																				{	/* Cfa/type.scm 111 */
																					return BgL_tvz00_3272;
																				}
																			else
																				{	/* Cfa/type.scm 111 */
																					if (
																						(((obj_t) BgL_typez00_3254) ==
																							BGl_za2_za2z00zztype_cachez00))
																						{	/* Cfa/type.scm 112 */
																							return
																								BGl_za2vectorza2z00zztype_cachez00;
																						}
																					else
																						{	/* Cfa/type.scm 112 */
																							return ((obj_t) BgL_typez00_3254);
																						}
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/type.scm 101 */
														if (
															(((obj_t) BgL_typez00_3254) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/type.scm 102 */
																return BGl_za2vectorza2z00zztype_cachez00;
															}
														else
															{	/* Cfa/type.scm 102 */
																return ((obj_t) BgL_typez00_3254);
															}
													}
											}
										else
											{	/* Cfa/type.scm 100 */
												return ((obj_t) BgL_typez00_3254);
											}
									}
							}
					}
				else
					{	/* Cfa/type.scm 86 */
						return ((obj_t) BgL_typez00_3254);
					}
			}
		}
	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_6119,
		obj_t BgL_approxz00_6120, obj_t BgL_nodez00_6121)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_6120), BgL_nodez00_6121);
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_20, BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 169 */
			{	/* Cfa/type.scm 170 */
				obj_t BgL_ntypez00_3297;
				BgL_typez00_bglt BgL_otypez00_3298;

				if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3297 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3297 = ((obj_t) BgL_typez00_21);
					}
				BgL_otypez00_3298 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3298) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 174 */
						bool_t BgL_testz00_6459;

						{	/* Cfa/type.scm 174 */
							bool_t BgL_testz00_6460;

							{	/* Cfa/type.scm 174 */
								bool_t BgL_res3608z00_5850;

								{	/* Cfa/type.scm 174 */
									obj_t BgL_objz00_5849;

									BgL_objz00_5849 = ((obj_t) BgL_variablez00_20);
									BgL_res3608z00_5850 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5849,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_6460 = BgL_res3608z00_5850;
							}
							if (BgL_testz00_6460)
								{	/* Cfa/type.scm 175 */
									bool_t BgL_testz00_6463;

									{	/* Cfa/type.scm 175 */
										BgL_valuez00_bglt BgL_arg3242z00_3307;

										BgL_arg3242z00_3307 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_20))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 175 */
											bool_t BgL_res3610z00_5855;

											{	/* Cfa/type.scm 175 */
												obj_t BgL_objz00_5854;

												BgL_objz00_5854 = ((obj_t) BgL_arg3242z00_3307);
												BgL_res3610z00_5855 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_5854,
													BGl_funz00zzast_varz00);
											}
											BgL_testz00_6463 = BgL_res3610z00_5855;
										}
									}
									if (BgL_testz00_6463)
										{	/* Cfa/type.scm 175 */
											BgL_testz00_6459 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 176 */
											bool_t BgL_testz00_6469;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6469 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6469 =
														(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_variablez00_20)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_testz00_6469)
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6459 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 176 */
													if (
														((((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_ntypez00_3297)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6459 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6459 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 174 */
									BgL_testz00_6459 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_6459)
							{	/* Cfa/type.scm 182 */
								BgL_typez00_bglt BgL_vz00_5861;

								BgL_vz00_5861 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5861), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 183 */
								BgL_typez00_bglt BgL_vz00_5864;

								BgL_vz00_5864 = ((BgL_typez00_bglt) BgL_ntypez00_3297);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5864), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 184 */
						bool_t BgL_testz00_6484;

						if (
							(((obj_t) BgL_otypez00_3298) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6484 =
									BGl_isazf3zf3zz__objectz00(BgL_ntypez00_3297,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6484 = ((bool_t) 0);
							}
						if (BgL_testz00_6484)
							{	/* Cfa/type.scm 185 */
								BgL_typez00_bglt BgL_vz00_5869;

								BgL_vz00_5869 =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3297));
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5869), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 184 */
								return BFALSE;
							}
					}
			}
		}
	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_54)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 565 */
			{
				obj_t BgL_l3115z00_3314;

				BgL_l3115z00_3314 = BgL_nodeza2za2_54;
			BgL_zc3anonymousza33247ze3z83_3315:
				if (NULLP(BgL_l3115z00_3314))
					{	/* Cfa/type.scm 566 */
						return BgL_nodeza2za2_54;
					}
				else
					{	/* Cfa/type.scm 566 */
						{	/* Cfa/type.scm 566 */
							BgL_nodez00_bglt BgL_arg3249z00_3317;

							{	/* Cfa/type.scm 566 */
								obj_t BgL_arg3250z00_3318;

								BgL_arg3250z00_3318 = CAR(BgL_l3115z00_3314);
								BgL_arg3249z00_3317 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg3250z00_3318));
							}
							{	/* Cfa/type.scm 566 */
								obj_t BgL_pairz00_5875;
								obj_t BgL_objz00_5876;

								BgL_pairz00_5875 = BgL_l3115z00_3314;
								BgL_objz00_5876 = ((obj_t) BgL_arg3249z00_3317);
								SET_CAR(BgL_pairz00_5875, BgL_objz00_5876);
							}
						}
						{
							obj_t BgL_l3115z00_6499;

							BgL_l3115z00_6499 = CDR(BgL_l3115z00_3314);
							BgL_l3115z00_3314 = BgL_l3115z00_6499;
							goto BgL_zc3anonymousza33247ze3z83_3315;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc3661z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string3662z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc3663z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string3664z00zzcfa_typez00);
		}
	}



/* &type-node!3129 */
	obj_t BGl_z62typezd2nodez123129za2zzcfa_typez00(obj_t BgL_envz00_6124,
		obj_t BgL_nodez00_6125)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{
				BgL_nodez00_bglt BgL_nodez00_3330;

				BgL_nodez00_3330 = ((BgL_nodez00_bglt) BgL_nodez00_6125);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3665z00zzcfa_typez00, ((obj_t) BgL_nodez00_3330));
		}}
	}



/* &type-variable!3117 */
	obj_t BGl_z62typezd2variablez123117za2zzcfa_typez00(obj_t BgL_envz00_6126,
		obj_t BgL_valuez00_6127, obj_t BgL_variablez00_6128)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{
				BgL_valuez00_bglt BgL_valuez00_3322;
				BgL_variablez00_bglt BgL_variablez00_3323;

				BgL_valuez00_3322 = ((BgL_valuez00_bglt) BgL_valuez00_6127);
				BgL_variablez00_3323 = ((BgL_variablez00_bglt) BgL_variablez00_6128);
				{	/* Cfa/type.scm 121 */
					BgL_typez00_bglt BgL_typez00_5878;

					BgL_typez00_5878 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_3323))->BgL_typez00);
					{	/* Cfa/type.scm 121 */
						bool_t BgL_testz00_6508;

						{	/* Cfa/type.scm 121 */
							bool_t BgL_res3614z00_5885;

							{	/* Cfa/type.scm 121 */
								obj_t BgL_objz00_5884;

								BgL_objz00_5884 = ((obj_t) BgL_typez00_5878);
								BgL_res3614z00_5885 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5884,
									BGl_typez00zztype_typez00);
							}
							BgL_testz00_6508 = BgL_res3614z00_5885;
						}
						if (BgL_testz00_6508)
							{	/* Cfa/type.scm 121 */
								return BFALSE;
							}
						else
							{	/* Cfa/type.scm 121 */
								return
									BGl_setzd2variablezd2typez12z12zzcfa_typez00
									(BgL_variablez00_3323,
									BGl_getzd2defaultzd2typez00zztype_cachez00());
							}
					}
				}
			}
		}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_8,
		BgL_variablez00_bglt BgL_variablez00_9)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{	/* Cfa/type.scm 120 */
				obj_t BgL_method3118z00_3333;

				{	/* Cfa/type.scm 120 */
					obj_t BgL_res3621z00_5914;

					{	/* Cfa/type.scm 120 */
						BgL_objectz00_bglt BgL_objz00_5886;

						BgL_objz00_5886 = ((BgL_objectz00_bglt) BgL_valuez00_8);
						{	/* Cfa/type.scm 120 */
							long BgL_objzd2classzd2numz00_5887;

							{	/* Cfa/type.scm 120 */
								long BgL_res3615z00_5890;

								BgL_res3615z00_5890 = BGL_OBJECT_CLASS_NUM(BgL_objz00_5886);
								BgL_objzd2classzd2numz00_5887 = BgL_res3615z00_5890;
							}
							{	/* Cfa/type.scm 120 */
								obj_t BgL_arg1822z00_5888;

								BgL_arg1822z00_5888 =
									PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 120 */
									obj_t BgL_arrayz00_5891;
									int BgL_offsetz00_5892;

									BgL_arrayz00_5891 = BgL_arg1822z00_5888;
									BgL_offsetz00_5892 = (int) (BgL_objzd2classzd2numz00_5887);
									{	/* Cfa/type.scm 120 */
										long BgL_offsetz00_5893;

										BgL_offsetz00_5893 =
											((long) (BgL_offsetz00_5892) - OBJECT_TYPE);
										{	/* Cfa/type.scm 120 */
											long BgL_modz00_5894;

											{	/* Cfa/type.scm 120 */
												int BgL_arg1824z00_5895;

												BgL_arg1824z00_5895 = (int) (((long) 16));
												{	/* Cfa/type.scm 120 */
													long BgL_res3618z00_5905;

													{	/* Cfa/type.scm 120 */
														long BgL_auxz00_6523;

														BgL_auxz00_6523 = (long) (BgL_arg1824z00_5895);
														BgL_res3618z00_5905 =
															(BgL_offsetz00_5893 / BgL_auxz00_6523);
													}
													BgL_modz00_5894 = BgL_res3618z00_5905;
											}}
											{	/* Cfa/type.scm 120 */
												long BgL_restz00_5896;

												{	/* Cfa/type.scm 120 */
													int BgL_arg1823z00_5897;

													BgL_arg1823z00_5897 = (int) (((long) 16));
													{	/* Cfa/type.scm 120 */
														long BgL_res3620z00_5909;

														{	/* Cfa/type.scm 120 */
															long BgL_auxz00_6527;

															BgL_auxz00_6527 = (long) (BgL_arg1823z00_5897);
															BgL_res3620z00_5909 =
																(BgL_offsetz00_5893 % BgL_auxz00_6527);
														}
														BgL_restz00_5896 = BgL_res3620z00_5909;
												}}
												{	/* Cfa/type.scm 120 */

													BgL_res3621z00_5914 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_5891,
															(int) (BgL_modz00_5894)),
														(int) (BgL_restz00_5896));
					}}}}}}}}
					BgL_method3118z00_3333 = BgL_res3621z00_5914;
				}
				return
					PROCEDURE_ENTRY(BgL_method3118z00_3333) (BgL_method3118z00_3333,
					((obj_t) BgL_valuez00_8), ((obj_t) BgL_variablez00_9), BEOA);
			}
		}
	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_6129,
		obj_t BgL_valuez00_6130, obj_t BgL_variablez00_6131)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_6130),
				((BgL_variablez00_bglt) BgL_variablez00_6131));
		}
	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{	/* Cfa/type.scm 190 */
				obj_t BgL_method3130z00_3334;

				{	/* Cfa/type.scm 190 */
					obj_t BgL_res3628z00_5943;

					{	/* Cfa/type.scm 190 */
						BgL_objectz00_bglt BgL_objz00_5915;

						BgL_objz00_5915 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Cfa/type.scm 190 */
							long BgL_objzd2classzd2numz00_5916;

							{	/* Cfa/type.scm 190 */
								long BgL_res3622z00_5919;

								BgL_res3622z00_5919 = BGL_OBJECT_CLASS_NUM(BgL_objz00_5915);
								BgL_objzd2classzd2numz00_5916 = BgL_res3622z00_5919;
							}
							{	/* Cfa/type.scm 190 */
								obj_t BgL_arg1822z00_5917;

								BgL_arg1822z00_5917 =
									PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 190 */
									obj_t BgL_arrayz00_5920;
									int BgL_offsetz00_5921;

									BgL_arrayz00_5920 = BgL_arg1822z00_5917;
									BgL_offsetz00_5921 = (int) (BgL_objzd2classzd2numz00_5916);
									{	/* Cfa/type.scm 190 */
										long BgL_offsetz00_5922;

										BgL_offsetz00_5922 =
											((long) (BgL_offsetz00_5921) - OBJECT_TYPE);
										{	/* Cfa/type.scm 190 */
											long BgL_modz00_5923;

											{	/* Cfa/type.scm 190 */
												int BgL_arg1824z00_5924;

												BgL_arg1824z00_5924 = (int) (((long) 16));
												{	/* Cfa/type.scm 190 */
													long BgL_res3625z00_5934;

													{	/* Cfa/type.scm 190 */
														long BgL_auxz00_6552;

														BgL_auxz00_6552 = (long) (BgL_arg1824z00_5924);
														BgL_res3625z00_5934 =
															(BgL_offsetz00_5922 / BgL_auxz00_6552);
													}
													BgL_modz00_5923 = BgL_res3625z00_5934;
											}}
											{	/* Cfa/type.scm 190 */
												long BgL_restz00_5925;

												{	/* Cfa/type.scm 190 */
													int BgL_arg1823z00_5926;

													BgL_arg1823z00_5926 = (int) (((long) 16));
													{	/* Cfa/type.scm 190 */
														long BgL_res3627z00_5938;

														{	/* Cfa/type.scm 190 */
															long BgL_auxz00_6556;

															BgL_auxz00_6556 = (long) (BgL_arg1823z00_5926);
															BgL_res3627z00_5938 =
																(BgL_offsetz00_5922 % BgL_auxz00_6556);
														}
														BgL_restz00_5925 = BgL_res3627z00_5938;
												}}
												{	/* Cfa/type.scm 190 */

													BgL_res3628z00_5943 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_5920,
															(int) (BgL_modz00_5923)),
														(int) (BgL_restz00_5925));
					}}}}}}}}
					BgL_method3130z00_3334 = BgL_res3628z00_5943;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method3130z00_3334) (BgL_method3130z00_3334,
						((obj_t) BgL_nodez00_22), BEOA));
			}
		}
	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_6132,
		obj_t BgL_nodez00_6133)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_6133));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc3666z00zzcfa_typez00,
				BGl_string3667z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc3668z00zzcfa_typez00,
				BGl_string3667z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc3669z00zzcfa_typez00,
				BGl_string3667z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc3670z00zzcfa_typez00,
				BGl_string3667z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc3671z00zzcfa_typez00,
				BGl_string3667z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc3672z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3674z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc3675z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc3676z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3677z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc3678z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc3679z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc3680z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc3681z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc3682z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc3683z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc3684z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc3685z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc3686z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc3687z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3688z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc3689z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc3690z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3691z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc3692z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc3693z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00,
				BGl_proc3694z00zzcfa_typez00, BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3695z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3696z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3697z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3698z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3699z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3700z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3701z00zzcfa_typez00,
				BGl_string3673z00zzcfa_typez00);
		}
	}



/* &type-node!-box-ref3190 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref3190za2zzcfa_typez00(obj_t
		BgL_envz00_6168, obj_t BgL_nodez00_6169)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 556 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3692;

				BgL_nodez00_3692 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_6169);
				{
					BgL_varz00_bglt BgL_auxz00_6605;

					{	/* Cfa/type.scm 558 */
						BgL_varz00_bglt BgL_arg3400z00_3696;

						BgL_arg3400z00_3696 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3692))->BgL_varz00);
						BgL_auxz00_6605 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3400z00_3696)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3692))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6605), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_6611;

					{	/* Cfa/type.scm 559 */
						BgL_varz00_bglt BgL_arg3401z00_3697;

						BgL_arg3401z00_3697 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3692))->BgL_varz00);
						BgL_auxz00_6611 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg3401z00_3697));
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3692)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6611), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3692);
			}
		}
	}



/* &type-node!-box-set!3188 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123188zb0zzcfa_typez00(obj_t
		BgL_envz00_6170, obj_t BgL_nodez00_6171)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 547 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3685;

				BgL_nodez00_3685 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6171);
				{
					BgL_varz00_bglt BgL_auxz00_6619;

					{	/* Cfa/type.scm 549 */
						BgL_varz00_bglt BgL_arg3398z00_3689;

						BgL_arg3398z00_3689 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3685))->BgL_varz00);
						BgL_auxz00_6619 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3398z00_3689)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3685))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6619), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6625;

					{	/* Cfa/type.scm 550 */
						BgL_nodez00_bglt BgL_arg3399z00_3690;

						BgL_arg3399z00_3690 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3685))->
							BgL_valuez00);
						BgL_auxz00_6625 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3399z00_3690);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3685))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6625), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3685);
			}
		}
	}



/* &type-node!-make-box3186 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box3186za2zzcfa_typez00(obj_t
		BgL_envz00_6172, obj_t BgL_nodez00_6173)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 539 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3679;

				BgL_nodez00_3679 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_6173);
				{
					BgL_nodez00_bglt BgL_auxz00_6631;

					{	/* Cfa/type.scm 541 */
						BgL_nodez00_bglt BgL_arg3397z00_3683;

						BgL_arg3397z00_3683 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3679))->BgL_valuez00);
						BgL_auxz00_6631 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3397z00_3683);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3679))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6631), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3679);
			}
		}
	}



/* &type-node!-jump-ex-i3184 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3184z70zzcfa_typez00(obj_t
		BgL_envz00_6174, obj_t BgL_nodez00_6175)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 530 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3672;

				BgL_nodez00_3672 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6175);
				{
					BgL_nodez00_bglt BgL_auxz00_6637;

					{	/* Cfa/type.scm 532 */
						BgL_nodez00_bglt BgL_arg3395z00_3676;

						BgL_arg3395z00_3676 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3672))->
							BgL_exitz00);
						BgL_auxz00_6637 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3395z00_3676);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3672))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6637), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6641;

					{	/* Cfa/type.scm 533 */
						BgL_nodez00_bglt BgL_arg3396z00_3677;

						BgL_arg3396z00_3677 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3672))->
							BgL_valuez00);
						BgL_auxz00_6641 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3396z00_3677);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3672))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6641), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3672);
			}
		}
	}



/* &type-node!-set-ex-it3182 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3182z70zzcfa_typez00(obj_t
		BgL_envz00_6176, obj_t BgL_nodez00_6177)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 519 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3662;

				BgL_nodez00_3662 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6177);
				{	/* Cfa/type.scm 521 */
					BgL_variablez00_bglt BgL_vz00_3666;

					BgL_vz00_3666 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3662))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Cfa/type.scm 522 */
						BgL_valuez00_bglt BgL_arg3391z00_3667;

						BgL_arg3391z00_3667 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_vz00_3666))))->BgL_valuez00);
						BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3391z00_3667,
							BgL_vz00_3666);
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6653;

					{	/* Cfa/type.scm 523 */
						BgL_nodez00_bglt BgL_arg3393z00_3669;

						BgL_arg3393z00_3669 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3662))->
							BgL_bodyz00);
						BgL_auxz00_6653 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3393z00_3669);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3662))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6653), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6657;

					{	/* Cfa/type.scm 524 */
						BgL_varz00_bglt BgL_arg3394z00_3670;

						BgL_arg3394z00_3670 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3662))->
							BgL_varz00);
						BgL_auxz00_6657 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
									BgL_arg3394z00_3670)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3662))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6657), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3662);
			}
		}
	}



/* &type-node!-let-var3180 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var3180za2zzcfa_typez00(obj_t
		BgL_envz00_6178, obj_t BgL_nodez00_6179)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 504 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3643;

				BgL_nodez00_3643 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_6179);
				{	/* Cfa/type.scm 506 */
					obj_t BgL_g3113z00_3647;

					BgL_g3113z00_3647 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3643))->BgL_bindingsz00);
					{
						obj_t BgL_l3111z00_3649;

						BgL_l3111z00_3649 = BgL_g3113z00_3647;
					BgL_zc3anonymousza33384ze3z83_3650:
						if (PAIRP(BgL_l3111z00_3649))
							{	/* Cfa/type.scm 506 */
								{	/* Cfa/type.scm 507 */
									obj_t BgL_bindingz00_3652;

									BgL_bindingz00_3652 = CAR(BgL_l3111z00_3649);
									{	/* Cfa/type.scm 507 */
										obj_t BgL_varz00_3653;
										obj_t BgL_valz00_3654;

										BgL_varz00_3653 = CAR(BgL_bindingz00_3652);
										BgL_valz00_3654 = CDR(BgL_bindingz00_3652);
										{	/* Cfa/type.scm 509 */
											BgL_nodez00_bglt BgL_arg3386z00_3655;

											BgL_arg3386z00_3655 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_valz00_3654));
											{	/* Cfa/type.scm 509 */
												obj_t BgL_pairz00_6082;
												obj_t BgL_objz00_6083;

												BgL_pairz00_6082 = BgL_bindingz00_3652;
												BgL_objz00_6083 = ((obj_t) BgL_arg3386z00_3655);
												SET_CDR(BgL_pairz00_6082, BgL_objz00_6083);
											}
										}
										{	/* Cfa/type.scm 510 */
											BgL_valuez00_bglt BgL_arg3387z00_3656;

											BgL_arg3387z00_3656 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_3653))))->
												BgL_valuez00);
											BGl_typezd2variablez12zc0zzcfa_typez00
												(BgL_arg3387z00_3656,
												((BgL_variablez00_bglt) BgL_varz00_3653));
										}
									}
								}
								{
									obj_t BgL_l3111z00_6680;

									BgL_l3111z00_6680 = CDR(BgL_l3111z00_3649);
									BgL_l3111z00_3649 = BgL_l3111z00_6680;
									goto BgL_zc3anonymousza33384ze3z83_3650;
								}
							}
						else
							{	/* Cfa/type.scm 506 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6682;

					{	/* Cfa/type.scm 512 */
						BgL_nodez00_bglt BgL_arg3389z00_3659;

						BgL_arg3389z00_3659 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3643))->BgL_bodyz00);
						BgL_auxz00_6682 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3389z00_3659);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3643))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6682), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3643)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3643))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3643);
			}
		}
	}



/* &type-node!-let-fun3178 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun3178za2zzcfa_typez00(obj_t
		BgL_envz00_6180, obj_t BgL_nodez00_6181)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 494 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3628;

				BgL_nodez00_3628 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_6181);
				{	/* Cfa/type.scm 496 */
					obj_t BgL_g3110z00_3632;

					BgL_g3110z00_3632 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3628))->BgL_localsz00);
					{
						obj_t BgL_l3108z00_3634;

						BgL_l3108z00_3634 = BgL_g3110z00_3632;
					BgL_zc3anonymousza33378ze3z83_3635:
						if (PAIRP(BgL_l3108z00_3634))
							{	/* Cfa/type.scm 496 */
								{	/* Cfa/type.scm 496 */
									obj_t BgL_arg3380z00_3637;

									BgL_arg3380z00_3637 = CAR(BgL_l3108z00_3634);
									BGl_typezd2funz12zc0zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_arg3380z00_3637));
								}
								{
									obj_t BgL_l3108z00_6698;

									BgL_l3108z00_6698 = CDR(BgL_l3108z00_3634);
									BgL_l3108z00_3634 = BgL_l3108z00_6698;
									goto BgL_zc3anonymousza33378ze3z83_3635;
								}
							}
						else
							{	/* Cfa/type.scm 496 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6700;

					{	/* Cfa/type.scm 497 */
						BgL_nodez00_bglt BgL_arg3382z00_3640;

						BgL_arg3382z00_3640 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3628))->BgL_bodyz00);
						BgL_auxz00_6700 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3382z00_3640);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3628))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6700), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3628)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3628))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3628);
			}
		}
	}



/* &type-node!-select3176 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2select3176z70zzcfa_typez00(obj_t
		BgL_envz00_6182, obj_t BgL_nodez00_6183)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 469 */
			{
				BgL_selectz00_bglt BgL_nodez00_3612;

				BgL_nodez00_3612 = ((BgL_selectz00_bglt) BgL_nodez00_6183);
				{
					BgL_nodez00_bglt BgL_auxz00_6710;

					{	/* Cfa/type.scm 471 */
						BgL_nodez00_bglt BgL_arg3372z00_3616;

						BgL_arg3372z00_3616 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_3612))->BgL_testz00);
						BgL_auxz00_6710 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3372z00_3616);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_3612))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6710), BUNSPEC);
				}
				{	/* Cfa/type.scm 472 */
					obj_t BgL_g3107z00_3617;

					BgL_g3107z00_3617 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3612))->BgL_clausesz00);
					{
						obj_t BgL_l3105z00_3619;

						BgL_l3105z00_3619 = BgL_g3107z00_3617;
					BgL_zc3anonymousza33373ze3z83_3620:
						if (PAIRP(BgL_l3105z00_3619))
							{	/* Cfa/type.scm 472 */
								{	/* Cfa/type.scm 473 */
									obj_t BgL_clausez00_3622;

									BgL_clausez00_3622 = CAR(BgL_l3105z00_3619);
									{	/* Cfa/type.scm 473 */
										BgL_nodez00_bglt BgL_arg3375z00_3623;

										{	/* Cfa/type.scm 473 */
											obj_t BgL_arg3376z00_3624;

											BgL_arg3376z00_3624 = CDR(BgL_clausez00_3622);
											BgL_arg3375z00_3623 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg3376z00_3624));
										}
										{	/* Cfa/type.scm 473 */
											obj_t BgL_pairz00_6067;
											obj_t BgL_objz00_6068;

											BgL_pairz00_6067 = BgL_clausez00_3622;
											BgL_objz00_6068 = ((obj_t) BgL_arg3375z00_3623);
											SET_CDR(BgL_pairz00_6067, BgL_objz00_6068);
										}
									}
								}
								{
									obj_t BgL_l3105z00_6723;

									BgL_l3105z00_6723 = CDR(BgL_l3105z00_3619);
									BgL_l3105z00_3619 = BgL_l3105z00_6723;
									goto BgL_zc3anonymousza33373ze3z83_3620;
								}
							}
						else
							{	/* Cfa/type.scm 472 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3612)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3612))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3612);
			}
		}
	}



/* &type-node!-fail3174 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail3174z70zzcfa_typez00(obj_t
		BgL_envz00_6184, obj_t BgL_nodez00_6185)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 459 */
			{
				BgL_failz00_bglt BgL_nodez00_3604;

				BgL_nodez00_3604 = ((BgL_failz00_bglt) BgL_nodez00_6185);
				{
					BgL_nodez00_bglt BgL_auxz00_6731;

					{	/* Cfa/type.scm 461 */
						BgL_nodez00_bglt BgL_arg3369z00_3608;

						BgL_arg3369z00_3608 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3604))->BgL_procz00);
						BgL_auxz00_6731 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3369z00_3608);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3604))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6731), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6735;

					{	/* Cfa/type.scm 462 */
						BgL_nodez00_bglt BgL_arg3370z00_3609;

						BgL_arg3370z00_3609 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3604))->BgL_msgz00);
						BgL_auxz00_6735 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3370z00_3609);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3604))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6735), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6739;

					{	/* Cfa/type.scm 463 */
						BgL_nodez00_bglt BgL_arg3371z00_3610;

						BgL_arg3371z00_3610 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3604))->BgL_objz00);
						BgL_auxz00_6739 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3371z00_3610);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3604))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6739), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3604);
			}
		}
	}



/* &type-node!-condition3172 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3172z70zzcfa_typez00(obj_t
		BgL_envz00_6186, obj_t BgL_nodez00_6187)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 452 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3600;

				BgL_nodez00_3600 = ((BgL_conditionalz00_bglt) BgL_nodez00_6187);
				{

					{	/* Cfa/type.scm 452 */
						obj_t BgL_nextzd2method3171zd2_3603;

						BgL_nextzd2method3171zd2_3603 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3600),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						PROCEDURE_ENTRY(BgL_nextzd2method3171zd2_3603)
							(BgL_nextzd2method3171zd2_3603, ((obj_t) BgL_nodez00_3600), BEOA);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3600);
				}
			}
		}
	}



/* &type-node!-condition3170 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3170z70zzcfa_typez00(obj_t
		BgL_envz00_6188, obj_t BgL_nodez00_6189)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 441 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3592;

				BgL_nodez00_3592 = ((BgL_conditionalz00_bglt) BgL_nodez00_6189);
				{
					BgL_nodez00_bglt BgL_auxz00_6754;

					{	/* Cfa/type.scm 443 */
						BgL_nodez00_bglt BgL_arg3366z00_3596;

						BgL_arg3366z00_3596 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3592))->BgL_testz00);
						BgL_auxz00_6754 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3366z00_3596);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3592))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6754), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6758;

					{	/* Cfa/type.scm 444 */
						BgL_nodez00_bglt BgL_arg3367z00_3597;

						BgL_arg3367z00_3597 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3592))->BgL_truez00);
						BgL_auxz00_6758 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3367z00_3597);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3592))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6758), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6762;

					{	/* Cfa/type.scm 445 */
						BgL_nodez00_bglt BgL_arg3368z00_3598;

						BgL_arg3368z00_3598 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3592))->
							BgL_falsez00);
						BgL_auxz00_6762 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3368z00_3598);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3592))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6762), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3592)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3592))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3592);
			}
		}
	}



/* &type-node!-setq3167 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq3167z70zzcfa_typez00(obj_t
		BgL_envz00_6190, obj_t BgL_nodez00_6191)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 430 */
			{
				BgL_setqz00_bglt BgL_nodez00_3585;

				BgL_nodez00_3585 = ((BgL_setqz00_bglt) BgL_nodez00_6191);
				{
					BgL_nodez00_bglt BgL_auxz00_6772;

					{	/* Cfa/type.scm 432 */
						BgL_nodez00_bglt BgL_arg3364z00_3589;

						BgL_arg3364z00_3589 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3585))->BgL_valuez00);
						BgL_auxz00_6772 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3364z00_3589);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3585))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6772), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6776;

					{	/* Cfa/type.scm 433 */
						BgL_varz00_bglt BgL_arg3365z00_3590;

						BgL_arg3365z00_3590 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3585))->BgL_varz00);
						BgL_auxz00_6776 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3365z00_3590)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3585))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6776), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3585);
			}
		}
	}



/* &type-node!-cast3165 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast3165z70zzcfa_typez00(obj_t
		BgL_envz00_6192, obj_t BgL_nodez00_6193)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 422 */
			{
				BgL_castz00_bglt BgL_nodez00_3579;

				BgL_nodez00_3579 = ((BgL_castz00_bglt) BgL_nodez00_6193);
				{
					BgL_nodez00_bglt BgL_auxz00_6784;

					{	/* Cfa/type.scm 424 */
						BgL_nodez00_bglt BgL_arg3363z00_3583;

						BgL_arg3363z00_3583 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_3579))->BgL_argz00);
						BgL_auxz00_6784 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3363z00_3583);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_3579))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6784), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3579);
			}
		}
	}



/* &type-node!-vset!3163 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz123163z62zzcfa_typez00(obj_t
		BgL_envz00_6194, obj_t BgL_nodez00_6195)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 412 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_3572;

				BgL_nodez00_3572 = ((BgL_vsetz12z12_bglt) BgL_nodez00_6195);
				{

					{	/* Cfa/type.scm 412 */
						obj_t BgL_nextzd2method3162zd2_3578;

						BgL_nextzd2method3162zd2_3578 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3572),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3162zd2_3578)
							(BgL_nextzd2method3162zd2_3578, ((obj_t) BgL_nodez00_3572), BEOA);
					}
					{	/* Cfa/type.scm 415 */
						bool_t BgL_testz00_6797;

						{	/* Cfa/type.scm 415 */
							BgL_typez00_bglt BgL_arg3362z00_3577;

							BgL_arg3362z00_3577 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3572))->BgL_ftypez00);
							BgL_testz00_6797 =
								(
								((obj_t) BgL_arg3362z00_3577) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6797)
							{	/* Cfa/type.scm 415 */
								((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3572))->
										BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 415 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3572);
				}
			}
		}
	}



/* &type-node!-vref3161 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref3161z70zzcfa_typez00(obj_t
		BgL_envz00_6196, obj_t BgL_nodez00_6197)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 401 */
			{
				BgL_vrefz00_bglt BgL_nodez00_3565;

				BgL_nodez00_3565 = ((BgL_vrefz00_bglt) BgL_nodez00_6197);
				{

					{	/* Cfa/type.scm 401 */
						obj_t BgL_nextzd2method3160zd2_3571;

						BgL_nextzd2method3160zd2_3571 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3565),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3160zd2_3571)
							(BgL_nextzd2method3160zd2_3571, ((obj_t) BgL_nodez00_3565), BEOA);
					}
					{	/* Cfa/type.scm 404 */
						bool_t BgL_testz00_6812;

						{	/* Cfa/type.scm 404 */
							BgL_typez00_bglt BgL_arg3360z00_3570;

							BgL_arg3360z00_3570 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_3565))->BgL_ftypez00);
							BgL_testz00_6812 =
								(
								((obj_t) BgL_arg3360z00_3570) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6812)
							{	/* Cfa/type.scm 404 */
								((((BgL_vrefz00_bglt) CREF(BgL_nodez00_3565))->BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 404 */
								BFALSE;
							}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3565)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) CREF(BgL_nodez00_3565))->
								BgL_ftypez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_nodez00_3565);
				}
			}
		}
	}



/* &type-node!-valloc3159 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc3159z70zzcfa_typez00(obj_t
		BgL_envz00_6198, obj_t BgL_nodez00_6199)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 390 */
			{
				BgL_vallocz00_bglt BgL_nodez00_3553;

				BgL_nodez00_3553 = ((BgL_vallocz00_bglt) BgL_nodez00_6199);
				{

					{	/* Cfa/type.scm 390 */
						obj_t BgL_nextzd2method3158zd2_3564;

						BgL_nextzd2method3158zd2_3564 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3553),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vallocz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3158zd2_3564)
							(BgL_nextzd2method3158zd2_3564, ((obj_t) BgL_nodez00_3553), BEOA);
					}
					{	/* Cfa/type.scm 393 */
						obj_t BgL_arg3352z00_3557;

						BgL_arg3352z00_3557 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_3553)))->BgL_exprza2za2);
						BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3352z00_3557);
					}
					{
						BgL_typez00_bglt BgL_auxz00_6833;

						{	/* Cfa/type.scm 394 */
							obj_t BgL_arg3353z00_3558;
							BgL_typez00_bglt BgL_arg3354z00_3559;

							{	/* Cfa/type.scm 394 */
								bool_t BgL_testz00_6835;

								{	/* Cfa/type.scm 394 */
									BgL_typez00_bglt BgL_arg3356z00_3561;

									BgL_arg3356z00_3561 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3553)))->BgL_typez00);
									BgL_testz00_6835 =
										(
										((obj_t) BgL_arg3356z00_3561) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_6835)
									{	/* Cfa/type.scm 394 */
										BgL_arg3353z00_3558 = BGl_za2vectorza2z00zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 394 */
										BgL_arg3353z00_3558 =
											((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3553)))->
												BgL_typez00));
									}
							}
							BgL_arg3354z00_3559 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3553)))->BgL_typez00);
							BgL_auxz00_6833 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(
								((BgL_typez00_bglt) BgL_arg3353z00_3558), BgL_arg3354z00_3559);
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3553)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6833), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_6848;

						{	/* Cfa/type.scm 395 */
							bool_t BgL_testz00_6849;

							{	/* Cfa/type.scm 395 */
								BgL_typez00_bglt BgL_arg3358z00_3563;

								BgL_arg3358z00_3563 =
									(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3553))->BgL_ftypez00);
								BgL_testz00_6849 =
									(
									((obj_t) BgL_arg3358z00_3563) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_6849)
								{	/* Cfa/type.scm 395 */
									BgL_auxz00_6848 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								}
							else
								{	/* Cfa/type.scm 395 */
									BgL_auxz00_6848 =
										(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3553))->
										BgL_ftypez00);
								}
						}
						((((BgL_vallocz00_bglt) CREF(BgL_nodez00_3553))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_6848), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3553);
				}
			}
		}
	}



/* &type-node!-extern3157 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern3157z70zzcfa_typez00(obj_t
		BgL_envz00_6200, obj_t BgL_nodez00_6201)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 382 */
			{
				BgL_externz00_bglt BgL_nodez00_3547;

				BgL_nodez00_3547 = ((BgL_externz00_bglt) BgL_nodez00_6201);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_3547))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_3547);
			}
		}
	}



/* &type-node!-funcall/C3155 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C3155z82zzcfa_typez00(obj_t
		BgL_envz00_6202, obj_t BgL_nodez00_6203)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 359 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3534;

				BgL_nodez00_3534 = ((BgL_funcallz00_bglt) BgL_nodez00_6203);
				{
					BgL_nodez00_bglt BgL_auxz00_6862;

					{	/* Cfa/type.scm 361 */
						BgL_nodez00_bglt BgL_arg3346z00_3538;

						BgL_arg3346z00_3538 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3534)))->BgL_funz00);
						BgL_auxz00_6862 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3346z00_3538);
					}
					((((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3534)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6862), BUNSPEC);
				}
				{	/* Cfa/type.scm 362 */
					obj_t BgL_arg3347z00_3539;

					BgL_arg3347z00_3539 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3534)))->BgL_argsz00);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3347z00_3539);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Cfa/type.scm 365 */
						obj_t BgL_typz00_3540;

						{	/* Cfa/type.scm 365 */
							BgL_approxz00_bglt BgL_arg3350z00_3545;

							{
								BgL_funcallzf2cinfozf2_bglt BgL_auxz00_6873;

								{
									obj_t BgL_auxz00_6874;

									{	/* Cfa/type.scm 365 */
										BgL_objectz00_bglt BgL_auxz00_6875;

										BgL_auxz00_6875 = ((BgL_objectz00_bglt) BgL_nodez00_3534);
										BgL_auxz00_6874 = BGL_OBJECT_WIDENING(BgL_auxz00_6875);
									}
									BgL_auxz00_6873 =
										((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_6874);
								}
								BgL_arg3350z00_3545 =
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_6873))->
									BgL_approxz00);
							}
							BgL_typz00_3540 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3350z00_3545,
								((obj_t) BgL_nodez00_3534));
						}
						if ((BgL_typz00_3540 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 369 */
								BgL_atomz00_bglt BgL_new1187z00_3542;

								{	/* Cfa/type.scm 369 */
									BgL_atomz00_bglt BgL_new1186z00_3543;

									BgL_new1186z00_3543 =
										((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_atomz00_bgl))));
									{	/* Cfa/type.scm 369 */
										long BgL_arg3349z00_3544;

										{	/* Cfa/type.scm 369 */
											long BgL_res3650z00_6058;

											{	/* Cfa/type.scm 369 */
												obj_t BgL_classz00_6055;

												BgL_classz00_6055 = BGl_atomz00zzast_nodez00;
												{	/* Cfa/type.scm 369 */
													obj_t BgL_vectorz00_6056;
													int BgL_kz00_6057;

													BgL_vectorz00_6056 = BgL_classz00_6055;
													BgL_kz00_6057 = (int) (((long) 1));
													BgL_res3650z00_6058 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_6056,
															BgL_kz00_6057));
											}}
											BgL_arg3349z00_3544 = BgL_res3650z00_6058;
										}
										{	/* Cfa/type.scm 369 */
											BgL_objectz00_bglt BgL_objz00_6059;

											BgL_objz00_6059 =
												((BgL_objectz00_bglt) BgL_new1186z00_3543);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6059,
												BgL_arg3349z00_3544);
									}}
									{	/* Cfa/type.scm 369 */
										BgL_objectz00_bglt BgL_auxz00_6890;

										BgL_auxz00_6890 =
											((BgL_objectz00_bglt) BgL_new1186z00_3543);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6890, BFALSE);
									}
									BgL_new1187z00_3542 = BgL_new1186z00_3543;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1187z00_3542)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1187z00_3542)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2atomz00zztype_typeofz00(BUNSPEC)),
									BUNSPEC);
								((((BgL_atomz00_bglt) CREF(BgL_new1187z00_3542))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1187z00_3542);
							}
						else
							{	/* Cfa/type.scm 366 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3534)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_3540)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_3534);
							}
					}
				else
					{	/* Cfa/type.scm 363 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3534)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_nodez00_3534);
					}
			}
		}
	}



/* &type-node!-app-ly/Ci3153 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3153z50zzcfa_typez00(obj_t
		BgL_envz00_6204, obj_t BgL_nodez00_6205)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 347 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3526;

				BgL_nodez00_3526 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6205);
				{
					BgL_nodez00_bglt BgL_auxz00_6909;

					{	/* Cfa/type.scm 349 */
						BgL_nodez00_bglt BgL_arg3343z00_3530;

						BgL_arg3343z00_3530 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3526)))->BgL_funz00);
						BgL_auxz00_6909 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3343z00_3530);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3526)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6909), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6915;

					{	/* Cfa/type.scm 350 */
						BgL_nodez00_bglt BgL_arg3344z00_3531;

						BgL_arg3344z00_3531 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3526)))->BgL_argz00);
						BgL_auxz00_6915 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3344z00_3531);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3526)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6915), BUNSPEC);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{
						BgL_typez00_bglt BgL_auxz00_6923;

						{	/* Cfa/type.scm 352 */
							BgL_approxz00_bglt BgL_arg3345z00_3532;

							{
								BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_6925;

								{
									obj_t BgL_auxz00_6926;

									{	/* Cfa/type.scm 352 */
										BgL_objectz00_bglt BgL_auxz00_6927;

										BgL_auxz00_6927 = ((BgL_objectz00_bglt) BgL_nodez00_3526);
										BgL_auxz00_6926 = BGL_OBJECT_WIDENING(BgL_auxz00_6927);
									}
									BgL_auxz00_6925 =
										((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_6926);
								}
								BgL_arg3345z00_3532 =
									(((BgL_appzd2lyzf2cinfoz20_bglt) CREF(BgL_auxz00_6925))->
									BgL_approxz00);
							}
							BgL_auxz00_6923 =
								((BgL_typez00_bglt)
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3345z00_3532,
									((obj_t) BgL_nodez00_3526)));
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3526)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6923), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 351 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3526)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_3526);
			}
		}
	}



/* &type-node!-cons-ref-3151 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23151z70zzcfa_typez00(obj_t
		BgL_envz00_6206, obj_t BgL_nodez00_6207)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 336 */
			{
				BgL_appz00_bglt BgL_nodez00_3518;

				BgL_nodez00_3518 = ((BgL_appz00_bglt) BgL_nodez00_6207);
				{

					{	/* Cfa/type.scm 336 */
						obj_t BgL_nextzd2method3150zd2_3525;

						BgL_nextzd2method3150zd2_3525 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3518),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conszd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3150zd2_3525)
							(BgL_nextzd2method3150zd2_3525, ((obj_t) BgL_nodez00_3518), BEOA);
					}
					{	/* Cfa/type.scm 339 */
						obj_t BgL_atypez00_3522;

						{	/* Cfa/type.scm 339 */
							BgL_approxz00_bglt BgL_arg3342z00_3524;

							{
								BgL_conszd2refzd2appz00_bglt BgL_auxz00_6948;

								{
									obj_t BgL_auxz00_6949;

									{	/* Cfa/type.scm 339 */
										BgL_objectz00_bglt BgL_auxz00_6950;

										BgL_auxz00_6950 = ((BgL_objectz00_bglt) BgL_nodez00_3518);
										BgL_auxz00_6949 = BGL_OBJECT_WIDENING(BgL_auxz00_6950);
									}
									BgL_auxz00_6948 =
										((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_6949);
								}
								BgL_arg3342z00_3524 =
									(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_6948))->
									BgL_approxz00);
							}
							BgL_atypez00_3522 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3342z00_3524,
								((obj_t) BgL_nodez00_3518));
						}
						if ((BgL_atypez00_3522 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 340 */
								BFALSE;
							}
						else
							{	/* Cfa/type.scm 340 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3518)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_3522)),
									BUNSPEC);
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3518);
				}
			}
		}
	}



/* &type-node!-procedure3149 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3149z70zzcfa_typez00(obj_t
		BgL_envz00_6208, obj_t BgL_nodez00_6209)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 319 */
			{
				BgL_appz00_bglt BgL_nodez00_3497;

				BgL_nodez00_3497 = ((BgL_appz00_bglt) BgL_nodez00_6209);
				{

					{	/* Cfa/type.scm 319 */
						obj_t BgL_nextzd2method3148zd2_3517;

						BgL_nextzd2method3148zd2_3517 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3497),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3148zd2_3517)
							(BgL_nextzd2method3148zd2_3517, ((obj_t) BgL_nodez00_3497), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 323 */
							obj_t BgL_atypez00_3501;

							{	/* Cfa/type.scm 323 */
								obj_t BgL_arg3340z00_3516;

								{
									BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_6973;

									{
										obj_t BgL_auxz00_6974;

										{	/* Cfa/type.scm 323 */
											BgL_objectz00_bglt BgL_auxz00_6975;

											BgL_auxz00_6975 = ((BgL_objectz00_bglt) BgL_nodez00_3497);
											BgL_auxz00_6974 = BGL_OBJECT_WIDENING(BgL_auxz00_6975);
										}
										BgL_auxz00_6973 =
											((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_6974);
									}
									BgL_arg3340z00_3516 =
										(((BgL_procedurezd2setz12zd2appz12_bglt)
											CREF(BgL_auxz00_6973))->BgL_vapproxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
										((BgL_approxz00_bglt) BgL_arg3340z00_3516)))
									{	/* Cfa/type.scm 323 */
										BgL_atypez00_3501 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 323 */
										BgL_atypez00_3501 =
											BGl_getzd2approxzd2typez00zzcfa_typez00(
											((BgL_approxz00_bglt) BgL_arg3340z00_3516),
											((obj_t) BgL_nodez00_3497));
									}
							}
							{	/* Cfa/type.scm 324 */
								bool_t BgL_testz00_6986;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3501)))
									{	/* Cfa/type.scm 324 */
										if ((BgL_atypez00_3501 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 325 */
												BgL_testz00_6986 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 326 */
												bool_t BgL_testz00_6992;

												{	/* Cfa/type.scm 326 */
													BgL_typez00_bglt BgL_arg3337z00_3513;

													{	/* Cfa/type.scm 326 */
														obj_t BgL_arg3338z00_3514;

														{	/* Cfa/type.scm 326 */
															obj_t BgL_pairz00_6031;

															BgL_pairz00_6031 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_3497)))->
																BgL_argsz00);
															BgL_arg3338z00_3514 =
																CAR(CDR(CDR(BgL_pairz00_6031)));
														}
														BgL_arg3337z00_3513 =
															BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg3338z00_3514));
													}
													BgL_testz00_6992 =
														(BgL_atypez00_3501 ==
														((obj_t) BgL_arg3337z00_3513));
												}
												if (BgL_testz00_6992)
													{	/* Cfa/type.scm 326 */
														BgL_testz00_6986 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 326 */
														BgL_testz00_6986 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 324 */
										BgL_testz00_6986 = ((bool_t) 0);
									}
								if (BgL_testz00_6986)
									{	/* Cfa/type.scm 327 */
										obj_t BgL_arg3329z00_3503;
										BgL_castz00_bglt BgL_arg3330z00_3504;

										{	/* Cfa/type.scm 327 */
											obj_t BgL_pairz00_6037;

											BgL_pairz00_6037 =
												(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt) BgL_nodez00_3497)))->
												BgL_argsz00);
											BgL_arg3329z00_3503 = CDR(CDR(BgL_pairz00_6037));
										}
										{	/* Cfa/type.scm 328 */
											BgL_castz00_bglt BgL_new1182z00_3506;

											{	/* Cfa/type.scm 328 */
												BgL_castz00_bglt BgL_new1181z00_3508;

												BgL_new1181z00_3508 =
													((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_castz00_bgl))));
												{	/* Cfa/type.scm 328 */
													long BgL_arg3333z00_3509;

													{	/* Cfa/type.scm 328 */
														long BgL_res3649z00_6044;

														{	/* Cfa/type.scm 328 */
															obj_t BgL_classz00_6041;

															BgL_classz00_6041 = BGl_castz00zzast_nodez00;
															{	/* Cfa/type.scm 328 */
																obj_t BgL_vectorz00_6042;
																int BgL_kz00_6043;

																BgL_vectorz00_6042 = BgL_classz00_6041;
																BgL_kz00_6043 = (int) (((long) 1));
																BgL_res3649z00_6044 =
																	(long) CINT(VECTOR_REF(BgL_vectorz00_6042,
																		BgL_kz00_6043));
														}}
														BgL_arg3333z00_3509 = BgL_res3649z00_6044;
													}
													{	/* Cfa/type.scm 328 */
														BgL_objectz00_bglt BgL_objz00_6045;

														BgL_objz00_6045 =
															((BgL_objectz00_bglt) BgL_new1181z00_3508);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6045,
															BgL_arg3333z00_3509);
												}}
												{	/* Cfa/type.scm 328 */
													BgL_objectz00_bglt BgL_auxz00_7012;

													BgL_auxz00_7012 =
														((BgL_objectz00_bglt) BgL_new1181z00_3508);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_7012, BFALSE);
												}
												BgL_new1182z00_3506 = BgL_new1181z00_3508;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1182z00_3506)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1182z00_3506)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											{
												BgL_nodez00_bglt BgL_auxz00_7020;

												{	/* Cfa/type.scm 330 */
													obj_t BgL_pairz00_6047;

													BgL_pairz00_6047 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_3497)))->
														BgL_argsz00);
													{	/* Cfa/type.scm 330 */
														obj_t BgL_pairz00_6052;

														{	/* Cfa/type.scm 330 */
															obj_t BgL_pairz00_6051;

															BgL_pairz00_6051 = CDR(BgL_pairz00_6047);
															BgL_pairz00_6052 = CDR(BgL_pairz00_6051);
														}
														BgL_auxz00_7020 =
															((BgL_nodez00_bglt) CAR(BgL_pairz00_6052));
												}}
												((((BgL_castz00_bglt) CREF(BgL_new1182z00_3506))->
														BgL_argz00) =
													((BgL_nodez00_bglt) BgL_auxz00_7020), BUNSPEC);
											}
											BgL_arg3330z00_3504 = BgL_new1182z00_3506;
										}
										{	/* Cfa/type.scm 327 */
											obj_t BgL_pairz00_6053;
											obj_t BgL_objz00_6054;

											BgL_pairz00_6053 = BgL_arg3329z00_3503;
											BgL_objz00_6054 = ((obj_t) BgL_arg3330z00_3504);
											SET_CAR(BgL_pairz00_6053, BgL_objz00_6054);
									}}
								else
									{	/* Cfa/type.scm 324 */
										BFALSE;
									}
							}
						}
					else
						{	/* Cfa/type.scm 322 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_3497);
				}
			}
		}
	}



/* &type-node!-procedure3147 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3147z70zzcfa_typez00(obj_t
		BgL_envz00_6210, obj_t BgL_nodez00_6211)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 302 */
			{
				BgL_appz00_bglt BgL_nodez00_3482;

				BgL_nodez00_3482 = ((BgL_appz00_bglt) BgL_nodez00_6211);
				{

					{	/* Cfa/type.scm 302 */
						obj_t BgL_nextzd2method3146zd2_3496;

						BgL_nextzd2method3146zd2_3496 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3482),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3146zd2_3496)
							(BgL_nextzd2method3146zd2_3496, ((obj_t) BgL_nodez00_3482), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 306 */
							obj_t BgL_atypez00_3486;

							{	/* Cfa/type.scm 306 */
								BgL_approxz00_bglt BgL_arg3327z00_3495;

								{
									BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_7041;

									{
										obj_t BgL_auxz00_7042;

										{	/* Cfa/type.scm 306 */
											BgL_objectz00_bglt BgL_auxz00_7043;

											BgL_auxz00_7043 = ((BgL_objectz00_bglt) BgL_nodez00_3482);
											BgL_auxz00_7042 = BGL_OBJECT_WIDENING(BgL_auxz00_7043);
										}
										BgL_auxz00_7041 =
											((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_7042);
									}
									BgL_arg3327z00_3495 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_7041))->BgL_approxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
									(BgL_arg3327z00_3495))
									{	/* Cfa/type.scm 306 */
										BgL_atypez00_3486 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 306 */
										BgL_atypez00_3486 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg3327z00_3495, ((obj_t) BgL_nodez00_3482));
									}
							}
							{	/* Cfa/type.scm 307 */
								bool_t BgL_testz00_7052;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3486)))
									{	/* Cfa/type.scm 307 */
										if ((BgL_atypez00_3486 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 308 */
												BgL_testz00_7052 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 309 */
												bool_t BgL_testz00_7058;

												{	/* Cfa/type.scm 309 */
													BgL_typez00_bglt BgL_arg3326z00_3494;

													BgL_arg3326z00_3494 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nodez00_3482));
													BgL_testz00_7058 =
														(BgL_atypez00_3486 ==
														((obj_t) BgL_arg3326z00_3494));
												}
												if (BgL_testz00_7058)
													{	/* Cfa/type.scm 309 */
														BgL_testz00_7052 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 309 */
														BgL_testz00_7052 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 307 */
										BgL_testz00_7052 = ((bool_t) 0);
									}
								if (BgL_testz00_7052)
									{	/* Cfa/type.scm 310 */
										BgL_castz00_bglt BgL_new1179z00_3488;

										{	/* Cfa/type.scm 310 */
											BgL_castz00_bglt BgL_new1178z00_3489;

											BgL_new1178z00_3489 =
												((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 310 */
												long BgL_arg3322z00_3490;

												{	/* Cfa/type.scm 310 */
													long BgL_res3648z00_6025;

													{	/* Cfa/type.scm 310 */
														obj_t BgL_classz00_6022;

														BgL_classz00_6022 = BGl_castz00zzast_nodez00;
														{	/* Cfa/type.scm 310 */
															obj_t BgL_vectorz00_6023;
															int BgL_kz00_6024;

															BgL_vectorz00_6023 = BgL_classz00_6022;
															BgL_kz00_6024 = (int) (((long) 1));
															BgL_res3648z00_6025 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_6023,
																	BgL_kz00_6024));
													}}
													BgL_arg3322z00_3490 = BgL_res3648z00_6025;
												}
												{	/* Cfa/type.scm 310 */
													BgL_objectz00_bglt BgL_objz00_6026;

													BgL_objz00_6026 =
														((BgL_objectz00_bglt) BgL_new1178z00_3489);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6026,
														BgL_arg3322z00_3490);
											}}
											{	/* Cfa/type.scm 310 */
												BgL_objectz00_bglt BgL_auxz00_7069;

												BgL_auxz00_7069 =
													((BgL_objectz00_bglt) BgL_new1178z00_3489);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_7069, BFALSE);
											}
											BgL_new1179z00_3488 = BgL_new1178z00_3489;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1179z00_3488)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1179z00_3488)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_atypez00_3486)), BUNSPEC);
										((((BgL_castz00_bglt) CREF(BgL_new1179z00_3488))->
												BgL_argz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nodez00_3482)), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1179z00_3488);
									}
								else
									{	/* Cfa/type.scm 307 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3482);
									}
							}
						}
					else
						{	/* Cfa/type.scm 305 */
							return ((BgL_nodez00_bglt) BgL_nodez00_3482);
						}
				}
			}
		}
	}



/* &type-node!-arithmeti3145 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti3145z70zzcfa_typez00(obj_t
		BgL_envz00_6212, obj_t BgL_nodez00_6213)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 258 */
			{
				BgL_appz00_bglt BgL_nodez00_3441;

				BgL_nodez00_3441 = ((BgL_appz00_bglt) BgL_nodez00_6213);
				{

					{	/* Cfa/type.scm 258 */
						obj_t BgL_nextzd2method3144zd2_3481;

						BgL_nextzd2method3144zd2_3481 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3441),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_arithmeticzd2appzd2zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3144zd2_3481)
							(BgL_nextzd2method3144zd2_3481, ((obj_t) BgL_nodez00_3441), BEOA);
					}
					{	/* Cfa/type.scm 273 */
						BgL_appz00_bglt BgL_i1176z00_3445;

						BgL_i1176z00_3445 = ((BgL_appz00_bglt) BgL_nodez00_3441);
						{	/* Cfa/type.scm 275 */
							BgL_variablez00_bglt BgL_vz00_3446;

							BgL_vz00_3446 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_i1176z00_3445))->
											BgL_funz00)))->BgL_variablez00);
							{	/* Cfa/type.scm 275 */
								BgL_valuez00_bglt BgL_valz00_3447;

								BgL_valz00_3447 =
									(((BgL_variablez00_bglt) CREF(BgL_vz00_3446))->BgL_valuez00);
								{	/* Cfa/type.scm 276 */

									{	/* Cfa/type.scm 277 */
										bool_t BgL_testz00_7094;

										{	/* Cfa/type.scm 277 */
											BgL_typez00_bglt BgL_arg3299z00_3449;

											BgL_arg3299z00_3449 =
												(((BgL_variablez00_bglt) CREF(BgL_vz00_3446))->
												BgL_typez00);
											BgL_testz00_7094 =
												(((obj_t) BgL_arg3299z00_3449) ==
												BGl_za2_za2z00zztype_cachez00);
										}
										if (BgL_testz00_7094)
											{	/* Cfa/type.scm 278 */
												BgL_typez00_bglt BgL_vz00_5997;

												BgL_vz00_5997 =
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(BgL_vz00_3446))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_5997), BUNSPEC);
											}
										else
											{	/* Cfa/type.scm 277 */
												BFALSE;
											}
									}
									{	/* Cfa/type.scm 281 */
										bool_t BgL_testz00_7100;

										{	/* Cfa/type.scm 281 */
											bool_t BgL_res3644z00_6000;

											{	/* Cfa/type.scm 281 */
												obj_t BgL_objz00_5999;

												BgL_objz00_5999 = ((obj_t) BgL_valz00_3447);
												BgL_res3644z00_6000 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_5999,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_7100 = BgL_res3644z00_6000;
										}
										if (BgL_testz00_7100)
											{	/* Cfa/type.scm 282 */
												obj_t BgL_l03101z00_3451;

												BgL_l03101z00_3451 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_valz00_3447)))->
													BgL_argsz00);
												{
													obj_t BgL_l3100z00_3453;

													BgL_l3100z00_3453 = BgL_l03101z00_3451;
												BgL_zc3anonymousza33301ze3z83_3454:
													if (NULLP(BgL_l3100z00_3453))
														{	/* Cfa/type.scm 282 */
															BgL_l03101z00_3451;
														}
													else
														{	/* Cfa/type.scm 282 */
															{	/* Cfa/type.scm 282 */
																obj_t BgL_auxz00_7107;

																BgL_auxz00_7107 =
																	BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																	(BgL_l3100z00_3453));
																SET_CAR(BgL_l3100z00_3453, BgL_auxz00_7107);
															}
															{
																obj_t BgL_l3100z00_7111;

																BgL_l3100z00_7111 = CDR(BgL_l3100z00_3453);
																BgL_l3100z00_3453 = BgL_l3100z00_7111;
																goto BgL_zc3anonymousza33301ze3z83_3454;
															}
														}
												}
											}
										else
											{	/* Cfa/type.scm 283 */
												bool_t BgL_testz00_7113;

												{	/* Cfa/type.scm 283 */
													bool_t BgL_res3646z00_6010;

													{	/* Cfa/type.scm 283 */
														obj_t BgL_objz00_6009;

														BgL_objz00_6009 = ((obj_t) BgL_valz00_3447);
														BgL_res3646z00_6010 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_6009,
															BGl_cfunz00zzast_varz00);
													}
													BgL_testz00_7113 = BgL_res3646z00_6010;
												}
												if (BgL_testz00_7113)
													{	/* Cfa/type.scm 284 */
														obj_t BgL_l03104z00_3461;

														BgL_l03104z00_3461 =
															(((BgL_cfunz00_bglt) CREF(
																	((BgL_cfunz00_bglt) BgL_valz00_3447)))->
															BgL_argszd2typezd2);
														{
															obj_t BgL_l3103z00_3463;

															BgL_l3103z00_3463 = BgL_l03104z00_3461;
														BgL_zc3anonymousza33307ze3z83_3464:
															if (NULLP(BgL_l3103z00_3463))
																{	/* Cfa/type.scm 284 */
																	BgL_l03104z00_3461;
																}
															else
																{	/* Cfa/type.scm 284 */
																	{	/* Cfa/type.scm 284 */
																		obj_t BgL_auxz00_7120;

																		BgL_auxz00_7120 =
																			BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																			(BgL_l3103z00_3463));
																		SET_CAR(BgL_l3103z00_3463, BgL_auxz00_7120);
																	}
																	{
																		obj_t BgL_l3103z00_7124;

																		BgL_l3103z00_7124 = CDR(BgL_l3103z00_3463);
																		BgL_l3103z00_3463 = BgL_l3103z00_7124;
																		goto BgL_zc3anonymousza33307ze3z83_3464;
																	}
																}
														}
													}
												else
													{	/* Cfa/type.scm 283 */
														BFALSE;
													}
											}
									}
								}
							}
						}
						{	/* Cfa/type.scm 286 */
							bool_t BgL_testz00_7126;

							{	/* Cfa/type.scm 286 */
								BgL_typez00_bglt BgL_arg3314z00_3472;

								BgL_arg3314z00_3472 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_i1176z00_3445)))->BgL_typez00);
								BgL_testz00_7126 =
									(
									((obj_t) BgL_arg3314z00_3472) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7126)
								{	/* Cfa/type.scm 286 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_i1176z00_3445)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 286 */
									BFALSE;
								}
						}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3441);
				}
			}
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t BgL_tz00_3473)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 269 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3473, BGl_typez00zztype_typez00))
				{	/* Cfa/type.scm 262 */
					if ((BgL_tz00_3473 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 263 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/type.scm 263 */
							return BgL_tz00_3473;
						}
				}
			else
				{	/* Cfa/type.scm 262 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3473,
							BGl_localz00zzast_varz00))
						{	/* Cfa/type.scm 264 */
							{	/* Cfa/type.scm 265 */
								bool_t BgL_testz00_7142;

								{	/* Cfa/type.scm 265 */
									BgL_typez00_bglt BgL_arg3320z00_3479;

									BgL_arg3320z00_3479 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_3473))))->BgL_typez00);
									BgL_testz00_7142 =
										(
										((obj_t) BgL_arg3320z00_3479) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_7142)
									{	/* Cfa/type.scm 266 */
										BgL_localz00_bglt BgL_oz00_5984;
										BgL_typez00_bglt BgL_vz00_5985;

										BgL_oz00_5984 = ((BgL_localz00_bglt) BgL_tz00_3473);
										BgL_vz00_5985 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_5984)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_5985), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 265 */
										BFALSE;
									}
							}
							return BgL_tz00_3473;
						}
					else
						{	/* Cfa/type.scm 264 */
							return BgL_tz00_3473;
						}
				}
		}
	}



/* &type-node!-app3143 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3143z70zzcfa_typez00(obj_t
		BgL_envz00_6214, obj_t BgL_nodez00_6215)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 248 */
			{
				BgL_appz00_bglt BgL_nodez00_3430;

				BgL_nodez00_3430 = ((BgL_appz00_bglt) BgL_nodez00_6215);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3430))->BgL_argsz00));
				BGl_typezd2funzd2nodez12z12zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3430))->BgL_funz00));
				{
					BgL_typez00_bglt BgL_auxz00_7156;

					{	/* Cfa/type.scm 252 */
						BgL_typez00_bglt BgL_arg3294z00_3436;
						BgL_typez00_bglt BgL_arg3295z00_3437;

						BgL_arg3294z00_3436 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_3430))->
													BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_arg3295z00_3437 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_3430)))->BgL_typez00);
						BgL_auxz00_7156 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3294z00_3436,
							BgL_arg3295z00_3437);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3430)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7156), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3430);
			}
		}
	}



/* &type-node!-sequence3140 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence3140z70zzcfa_typez00(obj_t
		BgL_envz00_6216, obj_t BgL_nodez00_6217)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 236 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3417;

				BgL_nodez00_3417 = ((BgL_sequencez00_bglt) BgL_nodez00_6217);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3417))->BgL_nodesz00));
				{	/* Cfa/type.scm 239 */
					bool_t BgL_testz00_7169;

					{	/* Cfa/type.scm 239 */
						BgL_typez00_bglt BgL_arg3291z00_3428;

						BgL_arg3291z00_3428 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3417)))->BgL_typez00);
						BgL_testz00_7169 =
							(((obj_t) BgL_arg3291z00_3428) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7169)
						{	/* Cfa/type.scm 240 */
							bool_t BgL_testz00_7174;

							{	/* Cfa/type.scm 240 */
								obj_t BgL_auxz00_7175;

								BgL_auxz00_7175 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3417))->
									BgL_nodesz00);
								BgL_testz00_7174 = PAIRP(BgL_auxz00_7175);
							}
							if (BgL_testz00_7174)
								{
									BgL_typez00_bglt BgL_auxz00_7178;

									{	/* Cfa/type.scm 241 */
										obj_t BgL_arg3287z00_3424;

										BgL_arg3287z00_3424 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3417))->
													BgL_nodesz00)));
										BgL_auxz00_7178 =
											BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_arg3287z00_3424));
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3417)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_7178), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 240 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3417)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
								}
						}
					else
						{	/* Cfa/type.scm 239 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3417);
			}
		}
	}



/* &type-node!-closure3138 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure3138z70zzcfa_typez00(obj_t
		BgL_envz00_6218, obj_t BgL_nodez00_6219)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 230 */
			{
				BgL_closurez00_bglt BgL_nodez00_3412;

				BgL_nodez00_3412 = ((BgL_closurez00_bglt) BgL_nodez00_6219);
				{	/* Cfa/type.scm 231 */
					obj_t BgL_arg3283z00_5967;

					BgL_arg3283z00_5967 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3412));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string3673z00zzcfa_typez00, BGl_string3702z00zzcfa_typez00,
							BgL_arg3283z00_5967));
				}
			}
		}
	}



/* &type-node!-var3136 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3136z70zzcfa_typez00(obj_t
		BgL_envz00_6220, obj_t BgL_nodez00_6221)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 210 */
			{
				BgL_varz00_bglt BgL_nodez00_3378;

				BgL_nodez00_3378 = ((BgL_varz00_bglt) BgL_nodez00_6221);
				{
					BgL_typez00_bglt BgL_ntypez00_3400;
					BgL_typez00_bglt BgL_vtypez00_3401;

					{	/* Cfa/type.scm 219 */
						bool_t BgL_testz00_7196;

						{	/* Cfa/type.scm 219 */
							bool_t BgL_testz00_7197;

							{	/* Cfa/type.scm 219 */
								BgL_variablez00_bglt BgL_arg3271z00_3390;

								BgL_arg3271z00_3390 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3378))->BgL_variablez00);
								{	/* Cfa/type.scm 219 */
									bool_t BgL_res3631z00_5955;

									{	/* Cfa/type.scm 219 */
										obj_t BgL_objz00_5954;

										BgL_objz00_5954 = ((obj_t) BgL_arg3271z00_3390);
										BgL_res3631z00_5955 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_5954,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_7197 = BgL_res3631z00_5955;
								}
							}
							if (BgL_testz00_7197)
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7196 =
										(
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_3378))->
															BgL_variablez00))))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7196 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_7196)
							{	/* Cfa/type.scm 220 */
								BgL_valuez00_bglt BgL_arg3265z00_3384;
								BgL_variablez00_bglt BgL_arg3266z00_3385;

								BgL_arg3265z00_3384 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) CREF(BgL_nodez00_3378))->
														BgL_variablez00)))))->BgL_valuez00);
								BgL_arg3266z00_3385 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3378))->BgL_variablez00);
								BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3265z00_3384,
									BgL_arg3266z00_3385);
							}
						else
							{	/* Cfa/type.scm 219 */
								BFALSE;
							}
					}
					{	/* Cfa/type.scm 221 */
						bool_t BgL_testz00_7212;

						{	/* Cfa/type.scm 221 */
							bool_t BgL_testz00_7213;

							{	/* Cfa/type.scm 221 */
								BgL_typez00_bglt BgL_arg3280z00_3399;

								BgL_arg3280z00_3399 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3378)))->BgL_typez00);
								BgL_testz00_7213 =
									(
									((obj_t) BgL_arg3280z00_3399) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7213)
								{	/* Cfa/type.scm 221 */
									BgL_testz00_7212 = ((bool_t) 1);
								}
							else
								{	/* Cfa/type.scm 222 */
									bool_t BgL_testz00_7218;

									{	/* Cfa/type.scm 222 */
										BgL_typez00_bglt BgL_arg3279z00_3398;

										BgL_arg3279z00_3398 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3378)))->BgL_typez00);
										BgL_testz00_7218 =
											(
											((obj_t) BgL_arg3279z00_3398) ==
											BGl_za2vectorza2z00zztype_cachez00);
									}
									if (BgL_testz00_7218)
										{	/* Cfa/type.scm 222 */
											BgL_testz00_7212 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 223 */
											BgL_typez00_bglt BgL_arg3276z00_3395;
											BgL_typez00_bglt BgL_arg3277z00_3396;

											BgL_arg3276z00_3395 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3378)))->
												BgL_typez00);
											BgL_arg3277z00_3396 =
												(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																CREF(BgL_nodez00_3378))->BgL_variablez00)))->
												BgL_typez00);
											BgL_ntypez00_3400 = BgL_arg3276z00_3395;
											BgL_vtypez00_3401 = BgL_arg3277z00_3396;
											{	/* Cfa/type.scm 213 */
												bool_t BgL__ortest_1167z00_3403;

												if (BGl_bigloozd2typezf3z21zztype_typez00
													(BgL_vtypez00_3401))
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1167z00_3403 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1167z00_3403 = ((bool_t) 1);
													}
												if (BgL__ortest_1167z00_3403)
													{	/* Cfa/type.scm 213 */
														BgL_testz00_7212 = BgL__ortest_1167z00_3403;
													}
												else
													{	/* Cfa/type.scm 214 */
														bool_t BgL__ortest_1168z00_3404;

														BgL__ortest_1168z00_3404 =
															(
															((obj_t) BgL_ntypez00_3400) ==
															BGl_za2objza2z00zztype_cachez00);
														if (BgL__ortest_1168z00_3404)
															{	/* Cfa/type.scm 214 */
																BgL_testz00_7212 = BgL__ortest_1168z00_3404;
															}
														else
															{	/* Cfa/type.scm 215 */
																bool_t BgL__ortest_1169z00_3405;

																{	/* Cfa/type.scm 215 */
																	bool_t BgL__ortest_1170z00_3408;

																	BgL__ortest_1170z00_3408 =
																		(
																		((obj_t) BgL_vtypez00_3401) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_1170z00_3408)
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1169z00_3405 =
																				BgL__ortest_1170z00_3408;
																		}
																	else
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1169z00_3405 =
																				(
																				((obj_t) BgL_vtypez00_3401) ==
																				BGl_za2epairza2z00zztype_cachez00);
																		}
																}
																if (BgL__ortest_1169z00_3405)
																	{	/* Cfa/type.scm 215 */
																		BgL_testz00_7212 = BgL__ortest_1169z00_3405;
																	}
																else
																	{	/* Cfa/type.scm 216 */
																		bool_t BgL_testz00_7239;

																		{	/* Cfa/type.scm 216 */
																			bool_t BgL_res3629z00_5951;

																			{	/* Cfa/type.scm 216 */
																				obj_t BgL_objz00_5950;

																				BgL_objz00_5950 =
																					((obj_t) BgL_vtypez00_3401);
																				BgL_res3629z00_5951 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_5950,
																					BGl_tclassz00zzobject_classz00);
																			}
																			BgL_testz00_7239 = BgL_res3629z00_5951;
																		}
																		if (BgL_testz00_7239)
																			{	/* Cfa/type.scm 216 */
																				bool_t BgL_testz00_7242;

																				{	/* Cfa/type.scm 216 */
																					bool_t BgL_res3630z00_5953;

																					{	/* Cfa/type.scm 216 */
																						obj_t BgL_objz00_5952;

																						BgL_objz00_5952 =
																							((obj_t) BgL_ntypez00_3400);
																						BgL_res3630z00_5953 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_objz00_5952,
																							BGl_tclassz00zzobject_classz00);
																					}
																					BgL_testz00_7242 =
																						BgL_res3630z00_5953;
																				}
																				if (BgL_testz00_7242)
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7212 =
																							BGl_typezd2subclasszf3z21zzobject_classz00
																							(BgL_vtypez00_3401,
																							BgL_ntypez00_3400);
																					}
																				else
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7212 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Cfa/type.scm 216 */
																				BgL_testz00_7212 = ((bool_t) 0);
																			}
																	}
															}
													}
											}
										}
								}
						}
						if (BgL_testz00_7212)
							{	/* Cfa/type.scm 221 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3378)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_3378))->
														BgL_variablez00)))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 221 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3378);
				}
			}
		}
	}



/* &type-node!-kwote3134 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote3134z70zzcfa_typez00(obj_t
		BgL_envz00_6222, obj_t BgL_nodez00_6223)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 201 */
			{
				BgL_kwotez00_bglt BgL_nodez00_3370;

				BgL_nodez00_3370 = ((BgL_kwotez00_bglt) BgL_nodez00_6223);
				{	/* Cfa/type.scm 203 */
					bool_t BgL_testz00_7252;

					{	/* Cfa/type.scm 203 */
						BgL_typez00_bglt BgL_arg3263z00_3376;

						BgL_arg3263z00_3376 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3370)))->BgL_typez00);
						BgL_testz00_7252 =
							(((obj_t) BgL_arg3263z00_3376) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7252)
						{
							BgL_typez00_bglt BgL_auxz00_7257;

							{	/* Cfa/type.scm 204 */
								obj_t BgL_arg3262z00_3375;

								BgL_arg3262z00_3375 =
									(((BgL_kwotez00_bglt) CREF(BgL_nodez00_3370))->BgL_valuez00);
								BgL_auxz00_7257 =
									BGl_getzd2typezd2kwotez00zztype_typeofz00
									(BgL_arg3262z00_3375);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3370)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_7257), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 203 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3370);
			}
		}
	}



/* &type-node!-atom3132 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom3132z70zzcfa_typez00(obj_t
		BgL_envz00_6224, obj_t BgL_nodez00_6225)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 195 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_6225));
		}
	}



/* &type-variable!-inter3128 */
	obj_t BGl_z62typezd2variablez12zd2inter3128z70zzcfa_typez00(obj_t
		BgL_envz00_6226, obj_t BgL_valuez00_6227, obj_t BgL_variablez00_6228)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 158 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-sexit3126 */
	obj_t BGl_z62typezd2variablez12zd2sexit3126z70zzcfa_typez00(obj_t
		BgL_envz00_6229, obj_t BgL_valuez00_6230, obj_t BgL_variablez00_6231)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 148 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-cvar/3124 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf23124z82zzcfa_typez00(obj_t
		BgL_envz00_6232, obj_t BgL_valuez00_6233, obj_t BgL_variablez00_6234)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 141 */
			{
				BgL_cvarz00_bglt BgL_valuez00_3348;
				obj_t BgL_variablez00_3349;

				BgL_valuez00_3348 = ((BgL_cvarz00_bglt) BgL_valuez00_6233);
				BgL_variablez00_3349 = BgL_variablez00_6234;
				{	/* Cfa/type.scm 142 */
					obj_t BgL_arg3258z00_5948;

					{	/* Cfa/type.scm 142 */
						BgL_approxz00_bglt BgL_arg3260z00_5949;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7268;

							{
								obj_t BgL_auxz00_7269;

								{	/* Cfa/type.scm 142 */
									BgL_objectz00_bglt BgL_auxz00_7270;

									BgL_auxz00_7270 = ((BgL_objectz00_bglt) BgL_valuez00_3348);
									BgL_auxz00_7269 = BGL_OBJECT_WIDENING(BgL_auxz00_7270);
								}
								BgL_auxz00_7268 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7269);
							}
							BgL_arg3260z00_5949 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_7268))->
								BgL_approxz00);
						}
						BgL_arg3258z00_5948 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3260z00_5949,
							((obj_t) BgL_valuez00_3348));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3349),
						((BgL_typez00_bglt) BgL_arg3258z00_5948));
				}
			}
		}
	}



/* &type-variable!-scnst3122 */
	obj_t BGl_z62typezd2variablez12zd2scnst3122z70zzcfa_typez00(obj_t
		BgL_envz00_6235, obj_t BgL_valuez00_6236, obj_t BgL_variablez00_6237)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 135 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-svar/3120 */
	obj_t BGl_z62typezd2variablez12zd2svarzf23120z82zzcfa_typez00(obj_t
		BgL_envz00_6238, obj_t BgL_valuez00_6239, obj_t BgL_variablez00_6240)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 128 */
			{
				BgL_svarz00_bglt BgL_valuez00_3335;
				obj_t BgL_variablez00_3336;

				BgL_valuez00_3335 = ((BgL_svarz00_bglt) BgL_valuez00_6239);
				BgL_variablez00_3336 = BgL_variablez00_6240;
				{	/* Cfa/type.scm 129 */
					obj_t BgL_arg3256z00_5945;

					{	/* Cfa/type.scm 129 */
						BgL_approxz00_bglt BgL_arg3257z00_5946;

						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_7282;

							{
								obj_t BgL_auxz00_7283;

								{	/* Cfa/type.scm 129 */
									BgL_objectz00_bglt BgL_auxz00_7284;

									BgL_auxz00_7284 = ((BgL_objectz00_bglt) BgL_valuez00_3335);
									BgL_auxz00_7283 = BGL_OBJECT_WIDENING(BgL_auxz00_7284);
								}
								BgL_auxz00_7282 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7283);
							}
							BgL_arg3257z00_5946 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_7282))->
								BgL_approxz00);
						}
						BgL_arg3256z00_5945 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3257z00_5946,
							((obj_t) BgL_valuez00_3335));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3336),
						((BgL_typez00_bglt) BgL_arg3256z00_5945));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3703z00zzcfa_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
