/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l2079za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2selec2091z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca2081z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r2103za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail2089z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s2105za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62abortzf3zd2letzd2fun2131z91zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez122068za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2app2077z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap2109zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd22101za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2closu2073z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62zc3anonymousza32296ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2co2113zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var2129z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22118zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2sequence2127z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22121zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque2075z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2189z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le2117zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2192z62zzdataflow_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2195z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32231ze3z83zzdataflow_walkz00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e2097za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2exter2083z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2setq2085z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi2087z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza32274ze3z83zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2var2071z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_zc3anonymousza32258ze3z83zzdataflow_walkz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f2093za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf32122z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v2095za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2in2111zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32194ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd22099za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2env2106z62zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2202z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2203z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2207z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2208z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2app2135z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_z62abortzf3zd2funcall2137z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62abortzf3zd2conditional2133z43zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2appzd2ly2139z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62abortzf3zd2fail2125z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2testzd2envzd2va2115zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2703z00zzdataflow_walkz00,
		BgL_bgl_string2703za700za7za7d2724za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2709z00zzdataflow_walkz00,
		BgL_bgl_string2709za700za7za7d2725za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2711z00zzdataflow_walkz00,
		BgL_bgl_string2711za700za7za7d2726za7, "abort?", 6);
	      DEFINE_STRING(BGl_string2719z00zzdataflow_walkz00,
		BgL_bgl_string2719za700za7za7d2727za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2720z00zzdataflow_walkz00,
		BgL_bgl_string2720za700za7za7d2728za7,
		"read _ dataflow_walk local/value int stamp node $epair? $pair? foreign $null? pass-started ",
		91);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2203za7622729z00, BGl_z62lambda2203z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2202za7622730z00, BGl_z62lambda2202z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2208za7622731z00, BGl_z62lambda2208z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2207za7622732z00, BGl_z62lambda2207z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2671z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2195za7622733z00, BGl_z62lambda2195z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72734za7,
		BGl_z62zc3anonymousza32194ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2192za7622735z00, BGl_z62lambda2192z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2189za7622736z00, BGl_z62lambda2189z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2737z00,
		BGl_z62dataflowzd2nodez122068za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2738z00,
		BGl_z62dataflowzd2testzd2env2106z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2739z00,
		BGl_z62dataflowzd2testzd2falsezd22118zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f32122za72740za7,
		BGl_z62abortzf32122z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2741z00,
		BGl_z62dataflowzd2nodez12zd2var2071z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2685z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2742z00,
		BGl_z62dataflowzd2nodez12zd2closu2073z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2743z00,
		BGl_z62dataflowzd2nodez12zd2seque2075z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2744z00,
		BGl_z62dataflowzd2nodez12zd2app2077z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2688z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2745z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l2079za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2746z00,
		BGl_z62dataflowzd2nodez12zd2funca2081z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2747z00,
		BGl_z62dataflowzd2nodez12zd2exter2083z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2748z00,
		BGl_z62dataflowzd2nodez12zd2setq2085z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2692z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2749z00,
		BGl_z62dataflowzd2nodez12zd2condi2087z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2693z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2750z00,
		BGl_z62dataflowzd2nodez12zd2fail2089z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2751z00,
		BGl_z62dataflowzd2nodez12zd2selec2091z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2752z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f2093za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2753z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v2095za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2754z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e2097za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2755z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd22099za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2756z00,
		BGl_z62dataflowzd2nodez12zd2makezd22101za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2757z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2758z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72759za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2760z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2700z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2761z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r2103za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2762z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s2105za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2763z00,
		BGl_z62dataflowzd2testzd2envzd2ap2109zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2704z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2764z00,
		BGl_z62dataflowzd2testzd2envzd2in2111zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2765z00,
		BGl_z62dataflowzd2testzd2envzd2co2113zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2766z00,
		BGl_z62dataflowzd2testzd2envzd2va2115zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2767z00,
		BGl_z62dataflowzd2testzd2envzd2le2117zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2768z00,
		BGl_z62dataflowzd2testzd2falsezd22121zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2769za7,
		BGl_z62abortzf3zd2fail2125z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2712z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2770za7,
		BGl_z62abortzf3zd2sequence2127z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2713z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2771za7,
		BGl_z62abortzf3zd2letzd2var2129z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2772za7,
		BGl_z62abortzf3zd2letzd2fun2131z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2773za7,
		BGl_z62abortzf3zd2conditional2133z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2774za7,
		BGl_z62abortzf3zd2app2135z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2717z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2775za7,
		BGl_z62abortzf3zd2funcall2137z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2718z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2776za7,
		BGl_z62abortzf3zd2appzd2ly2139z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2660z00zzdataflow_walkz00,
		BgL_bgl_string2660za700za7za7d2777za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2661z00zzdataflow_walkz00,
		BgL_bgl_string2661za700za7za7d2778za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2662z00zzdataflow_walkz00,
		BgL_bgl_string2662za700za7za7d2779za7, " error", 6);
	      DEFINE_STRING(BGl_string2663z00zzdataflow_walkz00,
		BgL_bgl_string2663za700za7za7d2780za7, "s", 1);
	      DEFINE_STRING(BGl_string2664z00zzdataflow_walkz00,
		BgL_bgl_string2664za700za7za7d2781za7, "", 0);
	      DEFINE_STRING(BGl_string2665z00zzdataflow_walkz00,
		BgL_bgl_string2665za700za7za7d2782za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2666z00zzdataflow_walkz00,
		BgL_bgl_string2666za700za7za7d2783za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2676z00zzdataflow_walkz00,
		BgL_bgl_string2676za700za7za7d2784za7, "dataflow-node!2068", 18);
	      DEFINE_STRING(BGl_string2678z00zzdataflow_walkz00,
		BgL_bgl_string2678za700za7za7d2785za7, "dataflow-test-env2106", 21);
	      DEFINE_STRING(BGl_string2680z00zzdataflow_walkz00,
		BgL_bgl_string2680za700za7za7d2786za7, "dataflow-test-false-2118", 24);
	      DEFINE_STRING(BGl_string2682z00zzdataflow_walkz00,
		BgL_bgl_string2682za700za7za7d2787za7, "abort?2122", 10);
	      DEFINE_STRING(BGl_string2684z00zzdataflow_walkz00,
		BgL_bgl_string2684za700za7za7d2788za7, "dataflow-node!", 14);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2789z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_3926, char *BgL_fromz00_3927)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					BGl_toplevelzd2initzd2zzdataflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_3903;

				BgL_cportz00_3903 =
					bgl_open_input_string(BGl_string2720z00zzdataflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3904;

					BgL_iz00_3904 = ((long) 11);
				BgL_loopz00_3905:
					if ((BgL_iz00_3904 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2722z00_3907;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_3909;

										BgL_locationz00_3909 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2722z00_3907 =
												BGl_readz00zz__readerz00(BgL_cportz00_3903,
												BgL_locationz00_3909);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_auxz00_3955;

									BgL_auxz00_3955 = (int) (BgL_iz00_3904);
									CNST_TABLE_SET(BgL_auxz00_3955, BgL_arg2722z00_3907);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_3910;

								BgL_auxz00_3910 = (int) ((BgL_iz00_3904 - ((long) 1)));
								{
									long BgL_iz00_3960;

									BgL_iz00_3960 = (long) (BgL_auxz00_3910);
									BgL_iz00_3904 = BgL_iz00_3960;
									goto BgL_loopz00_3905;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1560;

				BgL_headz00_1560 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1561;
					obj_t BgL_tailz00_1562;

					BgL_prevz00_1561 = BgL_headz00_1560;
					BgL_tailz00_1562 = BgL_l1z00_1;
				BgL_loopz00_1563:
					if (PAIRP(BgL_tailz00_1562))
						{
							obj_t BgL_newzd2prevzd2_1565;

							BgL_newzd2prevzd2_1565 =
								MAKE_PAIR(CAR(BgL_tailz00_1562), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1561, BgL_newzd2prevzd2_1565);
							{
								obj_t BgL_tailz00_3969;
								obj_t BgL_prevz00_3968;

								BgL_prevz00_3968 = BgL_newzd2prevzd2_1565;
								BgL_tailz00_3969 = CDR(BgL_tailz00_1562);
								BgL_tailz00_1562 = BgL_tailz00_3969;
								BgL_prevz00_1561 = BgL_prevz00_3968;
								goto BgL_loopz00_1563;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1560);
				}
			}
		}
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			{	/* Dataflow/walk.scm 45 */
				obj_t BgL_list2146z00_1600;

				{	/* Dataflow/walk.scm 45 */
					obj_t BgL_arg2147z00_1601;

					{	/* Dataflow/walk.scm 45 */
						obj_t BgL_arg2148z00_1602;

						BgL_arg2148z00_1602 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2147z00_1601 =
							MAKE_PAIR(BgL_namez00_57, BgL_arg2148z00_1602);
					}
					BgL_list2146z00_1600 =
						MAKE_PAIR(BGl_string2660z00zzdataflow_walkz00, BgL_arg2147z00_1601);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2146z00_1600);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{
				obj_t BgL_hooksz00_1606;
				obj_t BgL_hnamesz00_1607;

				BgL_hooksz00_1606 = BNIL;
				BgL_hnamesz00_1607 = BNIL;
			BgL_zc3anonymousza32149ze3z83_1608:
				if (NULLP(BgL_hooksz00_1606))
					{	/* Dataflow/walk.scm 45 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Dataflow/walk.scm 45 */
						bool_t BgL_testz00_3982;

						{	/* Dataflow/walk.scm 45 */
							obj_t BgL_fun2155z00_1614;

							BgL_fun2155z00_1614 = CAR(BgL_hooksz00_1606);
							BgL_testz00_3982 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2155z00_1614) (BgL_fun2155z00_1614,
									BEOA));
						}
						if (BgL_testz00_3982)
							{
								obj_t BgL_hnamesz00_3990;
								obj_t BgL_hooksz00_3988;

								BgL_hooksz00_3988 = CDR(BgL_hooksz00_1606);
								BgL_hnamesz00_3990 = CDR(BgL_hnamesz00_1607);
								BgL_hnamesz00_1607 = BgL_hnamesz00_3990;
								BgL_hooksz00_1606 = BgL_hooksz00_3988;
								goto BgL_zc3anonymousza32149ze3z83_1608;
							}
						else
							{	/* Dataflow/walk.scm 45 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
									BGl_string2661z00zzdataflow_walkz00, CAR(BgL_hnamesz00_1607));
							}
					}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l2023z00_1618;

				BgL_l2023z00_1618 = BgL_globalsz00_56;
			BgL_zc3anonymousza32157ze3z83_1619:
				if (PAIRP(BgL_l2023z00_1618))
					{	/* Dataflow/walk.scm 49 */
						{	/* Dataflow/walk.scm 49 */
							obj_t BgL_arg2159z00_1621;

							BgL_arg2159z00_1621 = CAR(BgL_l2023z00_1618);
							{	/* Dataflow/walk.scm 49 */
								obj_t BgL_arg2176z00_3166;

								BgL_arg2176z00_3166 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg2159z00_1621))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg2176z00_3166), BNIL);
							}
						}
						{
							obj_t BgL_l2023z00_4013;

							BgL_l2023z00_4013 = CDR(BgL_l2023z00_1618);
							BgL_l2023z00_1618 = BgL_l2023z00_4013;
							goto BgL_zc3anonymousza32157ze3z83_1619;
						}
					}
				else
					{	/* Dataflow/walk.scm 49 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 50 */
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_port2025z00_1626;

						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_res2540z00_3178;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_auxz00_4018;

								BgL_auxz00_4018 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2540z00_3178 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_4018);
							}
							BgL_port2025z00_1626 = BgL_res2540z00_3178;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port2025z00_1626);
						BGL_DISPLAY_STRING(BGl_string2662z00zzdataflow_walkz00,
							BgL_port2025z00_1626);
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg2162z00_1627;

							{	/* Dataflow/walk.scm 50 */
								bool_t BgL_testz00_4023;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 50 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4023 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4023 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_testz00_4023 = ((bool_t) 0);
									}
								if (BgL_testz00_4023)
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2162z00_1627 = BGl_string2663z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2162z00_1627 = BGl_string2664z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2162z00_1627, BgL_port2025z00_1626);
						}
						BGL_DISPLAY_STRING(BGl_string2665z00zzdataflow_walkz00,
							BgL_port2025z00_1626);
						bgl_display_char(((unsigned char) '\n'), BgL_port2025z00_1626);
					}
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_list2166z00_1631;

						BgL_list2166z00_1631 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2166z00_1631);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1635;
					obj_t BgL_hnamesz00_1636;

					BgL_hooksz00_1635 = BNIL;
					BgL_hnamesz00_1636 = BNIL;
				BgL_zc3anonymousza32167ze3z83_1637:
					if (NULLP(BgL_hooksz00_1635))
						{	/* Dataflow/walk.scm 50 */
							return BgL_globalsz00_56;
						}
					else
						{	/* Dataflow/walk.scm 50 */
							bool_t BgL_testz00_4040;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_fun2174z00_1643;

								BgL_fun2174z00_1643 = CAR(BgL_hooksz00_1635);
								BgL_testz00_4040 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2174z00_1643)
									(BgL_fun2174z00_1643, BEOA));
							}
							if (BgL_testz00_4040)
								{
									obj_t BgL_hnamesz00_4048;
									obj_t BgL_hooksz00_4046;

									BgL_hooksz00_4046 = CDR(BgL_hooksz00_1635);
									BgL_hnamesz00_4048 = CDR(BgL_hnamesz00_1636);
									BgL_hnamesz00_1636 = BgL_hnamesz00_4048;
									BgL_hooksz00_1635 = BgL_hooksz00_4046;
									goto BgL_zc3anonymousza32167ze3z83_1637;
								}
							else
								{	/* Dataflow/walk.scm 50 */
									obj_t BgL_arg2173z00_1642;

									BgL_arg2173z00_1642 = CAR(BgL_hnamesz00_1636);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2666z00zzdataflow_walkz00, BgL_arg2173z00_1642);
								}
						}
				}
		}
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3720,
		obj_t BgL_globalsz00_3721, obj_t BgL_namez00_3722)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3721,
				BgL_namez00_3722);
		}
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_97,
		obj_t BgL_envz00_98)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 299 */
			{
				obj_t BgL_l2047z00_1649;

				BgL_l2047z00_1649 = BgL_nodeza2za2_97;
			BgL_zc3anonymousza32178ze3z83_1650:
				if (PAIRP(BgL_l2047z00_1649))
					{	/* Dataflow/walk.scm 300 */
						{	/* Dataflow/walk.scm 300 */
							obj_t BgL_nz00_1652;

							BgL_nz00_1652 = CAR(BgL_l2047z00_1649);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1652), BgL_envz00_98);
						}
						{
							obj_t BgL_l2047z00_4058;

							BgL_l2047z00_4058 = CDR(BgL_l2047z00_1649);
							BgL_l2047z00_1649 = BgL_l2047z00_4058;
							goto BgL_zc3anonymousza32178ze3z83_1650;
						}
					}
				else
					{	/* Dataflow/walk.scm 300 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_98;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 36 */
				obj_t BgL_arg2186z00_1659;
				obj_t BgL_arg2188z00_1660;

				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2065z00_1694;

					BgL_v2065z00_1694 = create_vector((int) (((long) 2)));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2199z00_1695;

						BgL_arg2199z00_1695 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2668z00zzdataflow_walkz00,
							BGl_proc2667z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2065z00_1694, (int) (((long) 1)),
							BgL_arg2199z00_1695);
					}
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2204z00_1707;

						BgL_arg2204z00_1707 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2670z00zzdataflow_walkz00,
							BGl_proc2669z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v2065z00_1694, (int) (((long) 0)),
							BgL_arg2204z00_1707);
					}
					BgL_arg2186z00_1659 = BgL_v2065z00_1694;
				}
				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2066z00_1719;

					BgL_v2066z00_1719 = create_vector((int) (((long) 0)));
					BgL_arg2188z00_1660 = BgL_v2066z00_1719;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2674z00zzdataflow_walkz00,
						BGl_proc2673z00zzdataflow_walkz00, BFALSE,
						BGl_proc2672z00zzdataflow_walkz00,
						BGl_proc2671z00zzdataflow_walkz00, BgL_arg2186z00_1659,
						BgL_arg2188z00_1660), BUNSPEC);
		}}
	}



/* &lambda2195 */
	BgL_localz00_bglt BGl_z62lambda2195z62zzdataflow_walkz00(obj_t
		BgL_envz00_3731, obj_t BgL_o1116z00_3732)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1116z00_1688;

				BgL_o1116z00_1688 = ((BgL_localz00_bglt) BgL_o1116z00_3732);
				{	/* Dataflow/walk.scm 36 */
					long BgL_arg2196z00_1691;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2197z00_1692;

						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_arg2198z00_1693;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objectz00_3248;

								BgL_objectz00_3248 = ((BgL_objectz00_bglt) BgL_o1116z00_1688);
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg1825z00_3249;

									{	/* Dataflow/walk.scm 36 */
										long BgL_arg1826z00_3250;

										{	/* Dataflow/walk.scm 36 */
											long BgL_res2550z00_3252;

											BgL_res2550z00_3252 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_3248);
											BgL_arg1826z00_3250 = BgL_res2550z00_3252;
										}
										BgL_arg1825z00_3249 = (BgL_arg1826z00_3250 - OBJECT_TYPE);
									}
									BgL_arg2198z00_1693 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1825z00_3249));
							}}
							BgL_arg2197z00_1692 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2198z00_1693);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_res2552z00_3261;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_classz00_3258;

								BgL_classz00_3258 = BgL_arg2197z00_1692;
								{	/* Dataflow/walk.scm 36 */
									obj_t BgL_vectorz00_3259;
									int BgL_kz00_3260;

									BgL_vectorz00_3259 = BgL_classz00_3258;
									BgL_kz00_3260 = (int) (((long) 1));
									BgL_res2552z00_3261 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3259, BgL_kz00_3260));
							}}
							BgL_arg2196z00_1691 = BgL_res2552z00_3261;
					}}
					{	/* Dataflow/walk.scm 36 */
						BgL_objectz00_bglt BgL_objz00_3262;

						BgL_objz00_3262 = ((BgL_objectz00_bglt) BgL_o1116z00_1688);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3262, BgL_arg2196z00_1691);
				}}
				{	/* Dataflow/walk.scm 36 */
					BgL_objectz00_bglt BgL_auxz00_4087;

					BgL_auxz00_4087 = ((BgL_objectz00_bglt) BgL_o1116z00_1688);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4087, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1116z00_1688);
			}
		}
	}



/* &<anonymous:2194> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32194ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3733, obj_t BgL_new1115z00_3734)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_new1115z00_1686;

				BgL_new1115z00_1686 = ((BgL_localz00_bglt) BgL_new1115z00_3734);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1115z00_1686)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1115z00_1686)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4097;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3236;

						BgL_classz00_3236 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1089z00_3237;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_vectorz00_3238;
								int BgL_kz00_3239;

								BgL_vectorz00_3238 = BgL_classz00_3236;
								BgL_kz00_3239 = (int) (((long) 17));
								BgL__ortest_1089z00_3237 =
									VECTOR_REF(BgL_vectorz00_3238, BgL_kz00_3239);
							}
							if (CBOOL(BgL__ortest_1089z00_3237))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4097 =
										((BgL_typez00_bglt) BgL__ortest_1089z00_3237);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4097 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3236));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1115z00_1686)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4097), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4107;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3240;

						BgL_classz00_3240 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1089z00_3241;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_vectorz00_3242;
								int BgL_kz00_3243;

								BgL_vectorz00_3242 = BgL_classz00_3240;
								BgL_kz00_3243 = (int) (((long) 17));
								BgL__ortest_1089z00_3241 =
									VECTOR_REF(BgL_vectorz00_3242, BgL_kz00_3243);
							}
							if (CBOOL(BgL__ortest_1089z00_3241))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4107 =
										((BgL_valuez00_bglt) BgL__ortest_1089z00_3241);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4107 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3240));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1115z00_1686)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4107), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1115z00_1686)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1115z00_1686)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1115z00_1686)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1115z00_1686)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1115z00_1686)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1115z00_1686)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1115z00_1686)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4131;

					{
						obj_t BgL_auxz00_4132;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4133;

							BgL_auxz00_4133 = ((BgL_objectz00_bglt) BgL_new1115z00_1686);
							BgL_auxz00_4132 = BGL_OBJECT_WIDENING(BgL_auxz00_4133);
						}
						BgL_auxz00_4131 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4132);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4131))->BgL_stampz00) =
						((int) (int) (((long) 0))), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4145;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4139;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3244;

						BgL_classz00_3244 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1089z00_3245;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_vectorz00_3246;
								int BgL_kz00_3247;

								BgL_vectorz00_3246 = BgL_classz00_3244;
								BgL_kz00_3247 = (int) (((long) 17));
								BgL__ortest_1089z00_3245 =
									VECTOR_REF(BgL_vectorz00_3246, BgL_kz00_3247);
							}
							if (CBOOL(BgL__ortest_1089z00_3245))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4145 =
										((BgL_nodez00_bglt) BgL__ortest_1089z00_3245);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4145 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3244));
								}
						}
					}
					{
						obj_t BgL_auxz00_4140;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4141;

							BgL_auxz00_4141 = ((BgL_objectz00_bglt) BgL_new1115z00_1686);
							BgL_auxz00_4140 = BGL_OBJECT_WIDENING(BgL_auxz00_4141);
						}
						BgL_auxz00_4139 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4140);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4139))->BgL_nodez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4145), BUNSPEC);
				}
				return BgL_new1115z00_1686;
			}
		}
	}



/* &lambda2192 */
	BgL_localz00_bglt BGl_z62lambda2192z62zzdataflow_walkz00(obj_t
		BgL_envz00_3735, obj_t BgL_o1112z00_3736)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1112z00_1681;

				BgL_o1112z00_1681 = ((BgL_localz00_bglt) BgL_o1112z00_3736);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_tmp1113z00_1683;
					BgL_localzf2valuezf2_bglt BgL_wide1114z00_1684;

					BgL_tmp1113z00_1683 = ((BgL_localz00_bglt) BgL_o1112z00_1681);
					BgL_wide1114z00_1684 =
						((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2valuezf2_bgl))));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_auxz00_4159;
						BgL_objectz00_bglt BgL_auxz00_4157;

						BgL_auxz00_4159 = ((obj_t) BgL_wide1114z00_1684);
						BgL_auxz00_4157 = ((BgL_objectz00_bglt) BgL_tmp1113z00_1683);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4157, BgL_auxz00_4159);
					}
					{	/* Dataflow/walk.scm 36 */
						long BgL_arg2193z00_1685;

						{	/* Dataflow/walk.scm 36 */
							long BgL_res2549z00_3233;

							{	/* Dataflow/walk.scm 36 */
								obj_t BgL_classz00_3230;

								BgL_classz00_3230 = BGl_localzf2valuezf2zzdataflow_walkz00;
								{	/* Dataflow/walk.scm 36 */
									obj_t BgL_vectorz00_3231;
									int BgL_kz00_3232;

									BgL_vectorz00_3231 = BgL_classz00_3230;
									BgL_kz00_3232 = (int) (((long) 1));
									BgL_res2549z00_3233 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3231, BgL_kz00_3232));
							}}
							BgL_arg2193z00_1685 = BgL_res2549z00_3233;
						}
						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_objz00_3234;

							BgL_objz00_3234 = ((BgL_objectz00_bglt) BgL_tmp1113z00_1683);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3234, BgL_arg2193z00_1685));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1113z00_1683);
				}
			}
		}
	}



/* &lambda2189 */
	BgL_localz00_bglt BGl_z62lambda2189z62zzdataflow_walkz00(obj_t
		BgL_envz00_3737, obj_t BgL_id1099z00_3738, obj_t BgL_name1100z00_3739,
		obj_t BgL_type1101z00_3740, obj_t BgL_value1102z00_3741,
		obj_t BgL_access1103z00_3742, obj_t BgL_fastzd2alpha1104zd2_3743,
		obj_t BgL_removable1105z00_3744, obj_t BgL_occurrence1106z00_3745,
		obj_t BgL_occurrencew1107z00_3746, obj_t BgL_userzf31108zf3_3747,
		obj_t BgL_key1109z00_3748, obj_t BgL_stamp1110z00_3749,
		obj_t BgL_node1111z00_3750)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				obj_t BgL_id1099z00_1661;
				obj_t BgL_name1100z00_1662;
				BgL_typez00_bglt BgL_type1101z00_1663;
				BgL_valuez00_bglt BgL_value1102z00_1664;
				obj_t BgL_access1103z00_1665;
				obj_t BgL_fastzd2alpha1104zd2_1666;
				obj_t BgL_removable1105z00_1667;
				long BgL_occurrence1106z00_1668;
				long BgL_occurrencew1107z00_1669;
				bool_t BgL_userzf31108zf3_1670;
				long BgL_key1109z00_1671;
				int BgL_stamp1110z00_1672;
				BgL_nodez00_bglt BgL_node1111z00_1673;

				BgL_id1099z00_1661 = BgL_id1099z00_3738;
				BgL_name1100z00_1662 = BgL_name1100z00_3739;
				BgL_type1101z00_1663 = ((BgL_typez00_bglt) BgL_type1101z00_3740);
				BgL_value1102z00_1664 = ((BgL_valuez00_bglt) BgL_value1102z00_3741);
				BgL_access1103z00_1665 = BgL_access1103z00_3742;
				BgL_fastzd2alpha1104zd2_1666 = BgL_fastzd2alpha1104zd2_3743;
				BgL_removable1105z00_1667 = BgL_removable1105z00_3744;
				BgL_occurrence1106z00_1668 = (long) CINT(BgL_occurrence1106z00_3745);
				BgL_occurrencew1107z00_1669 = (long) CINT(BgL_occurrencew1107z00_3746);
				BgL_userzf31108zf3_1670 = CBOOL(BgL_userzf31108zf3_3747);
				BgL_key1109z00_1671 = (long) CINT(BgL_key1109z00_3748);
				BgL_stamp1110z00_1672 = CINT(BgL_stamp1110z00_3749);
				BgL_node1111z00_1673 = ((BgL_nodez00_bglt) BgL_node1111z00_3750);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_new1207z00_1675;

					{	/* Dataflow/walk.scm 36 */
						BgL_localz00_bglt BgL_tmp1205z00_1676;
						BgL_localzf2valuezf2_bglt BgL_wide1206z00_1677;

						{
							BgL_localz00_bglt BgL_auxz00_4170;

							{	/* Dataflow/walk.scm 36 */
								BgL_localz00_bglt BgL_new1204z00_1679;

								BgL_new1204z00_1679 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg2191z00_1680;

									{	/* Dataflow/walk.scm 36 */
										long BgL_res2547z00_3221;

										{	/* Dataflow/walk.scm 36 */
											obj_t BgL_classz00_3218;

											BgL_classz00_3218 = BGl_localz00zzast_varz00;
											{	/* Dataflow/walk.scm 36 */
												obj_t BgL_vectorz00_3219;
												int BgL_kz00_3220;

												BgL_vectorz00_3219 = BgL_classz00_3218;
												BgL_kz00_3220 = (int) (((long) 1));
												BgL_res2547z00_3221 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_3219,
														BgL_kz00_3220));
										}}
										BgL_arg2191z00_1680 = BgL_res2547z00_3221;
									}
									{	/* Dataflow/walk.scm 36 */
										BgL_objectz00_bglt BgL_objz00_3222;

										BgL_objz00_3222 =
											((BgL_objectz00_bglt) BgL_new1204z00_1679);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3222,
											BgL_arg2191z00_1680);
								}}
								{	/* Dataflow/walk.scm 36 */
									BgL_objectz00_bglt BgL_auxz00_4177;

									BgL_auxz00_4177 = ((BgL_objectz00_bglt) BgL_new1204z00_1679);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4177, BFALSE);
								}
								BgL_auxz00_4170 = BgL_new1204z00_1679;
							}
							BgL_tmp1205z00_1676 = ((BgL_localz00_bglt) BgL_auxz00_4170);
						}
						BgL_wide1206z00_1677 =
							((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_auxz00_4184;
							BgL_objectz00_bglt BgL_auxz00_4182;

							BgL_auxz00_4184 = ((obj_t) BgL_wide1206z00_1677);
							BgL_auxz00_4182 = ((BgL_objectz00_bglt) BgL_tmp1205z00_1676);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4182, BgL_auxz00_4184);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_arg2190z00_1678;

							{	/* Dataflow/walk.scm 36 */
								long BgL_res2548z00_3227;

								{	/* Dataflow/walk.scm 36 */
									obj_t BgL_classz00_3224;

									BgL_classz00_3224 = BGl_localzf2valuezf2zzdataflow_walkz00;
									{	/* Dataflow/walk.scm 36 */
										obj_t BgL_vectorz00_3225;
										int BgL_kz00_3226;

										BgL_vectorz00_3225 = BgL_classz00_3224;
										BgL_kz00_3226 = (int) (((long) 1));
										BgL_res2548z00_3227 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_3225,
												BgL_kz00_3226));
								}}
								BgL_arg2190z00_1678 = BgL_res2548z00_3227;
							}
							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objz00_3228;

								BgL_objz00_3228 = ((BgL_objectz00_bglt) BgL_tmp1205z00_1676);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3228,
										BgL_arg2190z00_1678));
						}}
						BgL_new1207z00_1675 = ((BgL_localz00_bglt) BgL_tmp1205z00_1676);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1207z00_1675)))->BgL_idz00) =
						((obj_t) BgL_id1099z00_1661), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_namez00) =
						((obj_t) BgL_name1100z00_1662), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1101z00_1663), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1102z00_1664), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_accessz00) =
						((obj_t) BgL_access1103z00_1665), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1104zd2_1666), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_removablez00) =
						((obj_t) BgL_removable1105z00_1667), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_occurrencez00) =
						((long) BgL_occurrence1106z00_1668), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1107z00_1669), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1207z00_1675)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31108zf3_1670), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1207z00_1675)))->BgL_keyz00) =
						((long) BgL_key1109z00_1671), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4216;

						{
							obj_t BgL_auxz00_4217;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4218;

								BgL_auxz00_4218 = ((BgL_objectz00_bglt) BgL_new1207z00_1675);
								BgL_auxz00_4217 = BGL_OBJECT_WIDENING(BgL_auxz00_4218);
							}
							BgL_auxz00_4216 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4217);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4216))->
								BgL_stampz00) = ((int) BgL_stamp1110z00_1672), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4223;

						{
							obj_t BgL_auxz00_4224;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4225;

								BgL_auxz00_4225 = ((BgL_objectz00_bglt) BgL_new1207z00_1675);
								BgL_auxz00_4224 = BGL_OBJECT_WIDENING(BgL_auxz00_4225);
							}
							BgL_auxz00_4223 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4224);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4223))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) BgL_node1111z00_1673), BUNSPEC);
					}
					return BgL_new1207z00_1675;
				}
			}
		}
	}



/* &lambda2208 */
	obj_t BGl_z62lambda2208z62zzdataflow_walkz00(obj_t BgL_envz00_3751,
		obj_t BgL_oz00_3752, obj_t BgL_vz00_3753)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1713;
				int BgL_vz00_1714;

				BgL_oz00_1713 = ((BgL_localz00_bglt) BgL_oz00_3752);
				BgL_vz00_1714 = CINT(BgL_vz00_3753);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4238;

					{
						obj_t BgL_auxz00_4239;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4240;

							BgL_auxz00_4240 = ((BgL_objectz00_bglt) BgL_oz00_1713);
							BgL_auxz00_4239 = BGL_OBJECT_WIDENING(BgL_auxz00_4240);
						}
						BgL_auxz00_4238 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4239);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4238))->
							BgL_stampz00) = ((int) BgL_vz00_1714), BUNSPEC);
		}}}
	}



/* &lambda2207 */
	obj_t BGl_z62lambda2207z62zzdataflow_walkz00(obj_t BgL_envz00_3754,
		obj_t BgL_oz00_3755)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1710;

				{	/* Dataflow/walk.scm 36 */
					int BgL_auxz00_4247;

					BgL_oz00_1710 = ((BgL_localz00_bglt) BgL_oz00_3755);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4248;

						{
							obj_t BgL_auxz00_4249;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4250;

								BgL_auxz00_4250 = ((BgL_objectz00_bglt) BgL_oz00_1710);
								BgL_auxz00_4249 = BGL_OBJECT_WIDENING(BgL_auxz00_4250);
							}
							BgL_auxz00_4248 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4249);
						}
						BgL_auxz00_4247 =
							(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4248))->
							BgL_stampz00);
					}
					return BINT(BgL_auxz00_4247);
				}
			}
		}
	}



/* &lambda2203 */
	obj_t BGl_z62lambda2203z62zzdataflow_walkz00(obj_t BgL_envz00_3756,
		obj_t BgL_oz00_3757, obj_t BgL_vz00_3758)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1701;
				BgL_nodez00_bglt BgL_vz00_1702;

				BgL_oz00_1701 = ((BgL_localz00_bglt) BgL_oz00_3757);
				BgL_vz00_1702 = ((BgL_nodez00_bglt) BgL_vz00_3758);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4257;

					{
						obj_t BgL_auxz00_4258;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4259;

							BgL_auxz00_4259 = ((BgL_objectz00_bglt) BgL_oz00_1701);
							BgL_auxz00_4258 = BGL_OBJECT_WIDENING(BgL_auxz00_4259);
						}
						BgL_auxz00_4257 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4258);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4257))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_vz00_1702), BUNSPEC);
				}
			}
		}
	}



/* &lambda2202 */
	BgL_nodez00_bglt BGl_z62lambda2202z62zzdataflow_walkz00(obj_t BgL_envz00_3759,
		obj_t BgL_oz00_3760)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1698;

				BgL_oz00_1698 = ((BgL_localz00_bglt) BgL_oz00_3760);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4266;

					{
						obj_t BgL_auxz00_4267;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4268;

							BgL_auxz00_4268 = ((BgL_objectz00_bglt) BgL_oz00_1698);
							BgL_auxz00_4267 = BGL_OBJECT_WIDENING(BgL_auxz00_4268);
						}
						BgL_auxz00_4266 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4267);
					}
					return
						(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4266))->BgL_nodez00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2675z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2676z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2677z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2678z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2679z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2680z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2681z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2682z00zzdataflow_walkz00);
		}
	}



/* &abort?2122 */
	obj_t BGl_z62abortzf32122z91zzdataflow_walkz00(obj_t BgL_envz00_3765,
		obj_t BgL_nodez00_3766)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 420 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &dataflow-test-false-2118 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22118zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3767, obj_t BgL_nodez00_3768)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 392 */
			return BNIL;
		}
	}



/* &dataflow-test-env2106 */
	obj_t BGl_z62dataflowzd2testzd2env2106z62zzdataflow_walkz00(obj_t
		BgL_envz00_3769, obj_t BgL_nodez00_3770)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 306 */
			return BNIL;
		}
	}



/* &dataflow-node!2068 */
	obj_t BGl_z62dataflowzd2nodez122068za2zzdataflow_walkz00(obj_t
		BgL_envz00_3771, obj_t BgL_nodez00_3772, obj_t BgL_envz00_3773)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return BgL_envz00_3773;
		}
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			{	/* Dataflow/walk.scm 68 */
				obj_t BgL_method2069z00_1741;

				{	/* Dataflow/walk.scm 68 */
					obj_t BgL_res2559z00_3292;

					{	/* Dataflow/walk.scm 68 */
						BgL_objectz00_bglt BgL_objz00_3264;

						BgL_objz00_3264 = ((BgL_objectz00_bglt) BgL_nodez00_59);
						{	/* Dataflow/walk.scm 68 */
							long BgL_objzd2classzd2numz00_3265;

							{	/* Dataflow/walk.scm 68 */
								long BgL_res2553z00_3268;

								BgL_res2553z00_3268 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3264);
								BgL_objzd2classzd2numz00_3265 = BgL_res2553z00_3268;
							}
							{	/* Dataflow/walk.scm 68 */
								obj_t BgL_arg1822z00_3266;

								BgL_arg1822z00_3266 =
									PROCEDURE_REF
									(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 68 */
									obj_t BgL_arrayz00_3269;
									int BgL_offsetz00_3270;

									BgL_arrayz00_3269 = BgL_arg1822z00_3266;
									BgL_offsetz00_3270 = (int) (BgL_objzd2classzd2numz00_3265);
									{	/* Dataflow/walk.scm 68 */
										long BgL_offsetz00_3271;

										BgL_offsetz00_3271 =
											((long) (BgL_offsetz00_3270) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 68 */
											long BgL_modz00_3272;

											{	/* Dataflow/walk.scm 68 */
												int BgL_arg1824z00_3273;

												BgL_arg1824z00_3273 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 68 */
													long BgL_res2556z00_3283;

													{	/* Dataflow/walk.scm 68 */
														long BgL_auxz00_4287;

														BgL_auxz00_4287 = (long) (BgL_arg1824z00_3273);
														BgL_res2556z00_3283 =
															(BgL_offsetz00_3271 / BgL_auxz00_4287);
													}
													BgL_modz00_3272 = BgL_res2556z00_3283;
											}}
											{	/* Dataflow/walk.scm 68 */
												long BgL_restz00_3274;

												{	/* Dataflow/walk.scm 68 */
													int BgL_arg1823z00_3275;

													BgL_arg1823z00_3275 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 68 */
														long BgL_res2558z00_3287;

														{	/* Dataflow/walk.scm 68 */
															long BgL_auxz00_4291;

															BgL_auxz00_4291 = (long) (BgL_arg1823z00_3275);
															BgL_res2558z00_3287 =
																(BgL_offsetz00_3271 % BgL_auxz00_4291);
														}
														BgL_restz00_3274 = BgL_res2558z00_3287;
												}}
												{	/* Dataflow/walk.scm 68 */

													BgL_res2559z00_3292 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3269,
															(int) (BgL_modz00_3272)),
														(int) (BgL_restz00_3274));
					}}}}}}}}
					BgL_method2069z00_1741 = BgL_res2559z00_3292;
				}
				return
					PROCEDURE_ENTRY(BgL_method2069z00_1741) (BgL_method2069z00_1741,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3774,
		obj_t BgL_nodez00_3775, obj_t BgL_envz00_3776)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3775), BgL_envz00_3776);
		}
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_99)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 306 */
			{	/* Dataflow/walk.scm 306 */
				obj_t BgL_method2107z00_1742;

				{	/* Dataflow/walk.scm 306 */
					obj_t BgL_res2566z00_3321;

					{	/* Dataflow/walk.scm 306 */
						BgL_objectz00_bglt BgL_objz00_3293;

						BgL_objz00_3293 = ((BgL_objectz00_bglt) BgL_nodez00_99);
						{	/* Dataflow/walk.scm 306 */
							long BgL_objzd2classzd2numz00_3294;

							{	/* Dataflow/walk.scm 306 */
								long BgL_res2560z00_3297;

								BgL_res2560z00_3297 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3293);
								BgL_objzd2classzd2numz00_3294 = BgL_res2560z00_3297;
							}
							{	/* Dataflow/walk.scm 306 */
								obj_t BgL_arg1822z00_3295;

								BgL_arg1822z00_3295 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 306 */
									obj_t BgL_arrayz00_3298;
									int BgL_offsetz00_3299;

									BgL_arrayz00_3298 = BgL_arg1822z00_3295;
									BgL_offsetz00_3299 = (int) (BgL_objzd2classzd2numz00_3294);
									{	/* Dataflow/walk.scm 306 */
										long BgL_offsetz00_3300;

										BgL_offsetz00_3300 =
											((long) (BgL_offsetz00_3299) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 306 */
											long BgL_modz00_3301;

											{	/* Dataflow/walk.scm 306 */
												int BgL_arg1824z00_3302;

												BgL_arg1824z00_3302 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 306 */
													long BgL_res2563z00_3312;

													{	/* Dataflow/walk.scm 306 */
														long BgL_auxz00_4314;

														BgL_auxz00_4314 = (long) (BgL_arg1824z00_3302);
														BgL_res2563z00_3312 =
															(BgL_offsetz00_3300 / BgL_auxz00_4314);
													}
													BgL_modz00_3301 = BgL_res2563z00_3312;
											}}
											{	/* Dataflow/walk.scm 306 */
												long BgL_restz00_3303;

												{	/* Dataflow/walk.scm 306 */
													int BgL_arg1823z00_3304;

													BgL_arg1823z00_3304 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 306 */
														long BgL_res2565z00_3316;

														{	/* Dataflow/walk.scm 306 */
															long BgL_auxz00_4318;

															BgL_auxz00_4318 = (long) (BgL_arg1823z00_3304);
															BgL_res2565z00_3316 =
																(BgL_offsetz00_3300 % BgL_auxz00_4318);
														}
														BgL_restz00_3303 = BgL_res2565z00_3316;
												}}
												{	/* Dataflow/walk.scm 306 */

													BgL_res2566z00_3321 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3298,
															(int) (BgL_modz00_3301)),
														(int) (BgL_restz00_3303));
					}}}}}}}}
					BgL_method2107z00_1742 = BgL_res2566z00_3321;
				}
				return
					PROCEDURE_ENTRY(BgL_method2107z00_1742) (BgL_method2107z00_1742,
					((obj_t) BgL_nodez00_99), BEOA);
			}
		}
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3777,
		obj_t BgL_nodez00_3778)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 306 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3778));
		}
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_105)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 392 */
			{	/* Dataflow/walk.scm 392 */
				obj_t BgL_method2119z00_1743;

				{	/* Dataflow/walk.scm 392 */
					obj_t BgL_res2573z00_3350;

					{	/* Dataflow/walk.scm 392 */
						BgL_objectz00_bglt BgL_objz00_3322;

						BgL_objz00_3322 = ((BgL_objectz00_bglt) BgL_nodez00_105);
						{	/* Dataflow/walk.scm 392 */
							long BgL_objzd2classzd2numz00_3323;

							{	/* Dataflow/walk.scm 392 */
								long BgL_res2567z00_3326;

								BgL_res2567z00_3326 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3322);
								BgL_objzd2classzd2numz00_3323 = BgL_res2567z00_3326;
							}
							{	/* Dataflow/walk.scm 392 */
								obj_t BgL_arg1822z00_3324;

								BgL_arg1822z00_3324 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 392 */
									obj_t BgL_arrayz00_3327;
									int BgL_offsetz00_3328;

									BgL_arrayz00_3327 = BgL_arg1822z00_3324;
									BgL_offsetz00_3328 = (int) (BgL_objzd2classzd2numz00_3323);
									{	/* Dataflow/walk.scm 392 */
										long BgL_offsetz00_3329;

										BgL_offsetz00_3329 =
											((long) (BgL_offsetz00_3328) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 392 */
											long BgL_modz00_3330;

											{	/* Dataflow/walk.scm 392 */
												int BgL_arg1824z00_3331;

												BgL_arg1824z00_3331 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 392 */
													long BgL_res2570z00_3341;

													{	/* Dataflow/walk.scm 392 */
														long BgL_auxz00_4340;

														BgL_auxz00_4340 = (long) (BgL_arg1824z00_3331);
														BgL_res2570z00_3341 =
															(BgL_offsetz00_3329 / BgL_auxz00_4340);
													}
													BgL_modz00_3330 = BgL_res2570z00_3341;
											}}
											{	/* Dataflow/walk.scm 392 */
												long BgL_restz00_3332;

												{	/* Dataflow/walk.scm 392 */
													int BgL_arg1823z00_3333;

													BgL_arg1823z00_3333 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 392 */
														long BgL_res2572z00_3345;

														{	/* Dataflow/walk.scm 392 */
															long BgL_auxz00_4344;

															BgL_auxz00_4344 = (long) (BgL_arg1823z00_3333);
															BgL_res2572z00_3345 =
																(BgL_offsetz00_3329 % BgL_auxz00_4344);
														}
														BgL_restz00_3332 = BgL_res2572z00_3345;
												}}
												{	/* Dataflow/walk.scm 392 */

													BgL_res2573z00_3350 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3327,
															(int) (BgL_modz00_3330)),
														(int) (BgL_restz00_3332));
					}}}}}}}}
					BgL_method2119z00_1743 = BgL_res2573z00_3350;
				}
				return
					PROCEDURE_ENTRY(BgL_method2119z00_1743) (BgL_method2119z00_1743,
					((obj_t) BgL_nodez00_105), BEOA);
			}
		}
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3779, obj_t BgL_nodez00_3780)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 392 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3780));
		}
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_107)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 420 */
			{	/* Dataflow/walk.scm 420 */
				obj_t BgL_method2123z00_1744;

				{	/* Dataflow/walk.scm 420 */
					obj_t BgL_res2580z00_3379;

					{	/* Dataflow/walk.scm 420 */
						BgL_objectz00_bglt BgL_objz00_3351;

						BgL_objz00_3351 = ((BgL_objectz00_bglt) BgL_nodez00_107);
						{	/* Dataflow/walk.scm 420 */
							long BgL_objzd2classzd2numz00_3352;

							{	/* Dataflow/walk.scm 420 */
								long BgL_res2574z00_3355;

								BgL_res2574z00_3355 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3351);
								BgL_objzd2classzd2numz00_3352 = BgL_res2574z00_3355;
							}
							{	/* Dataflow/walk.scm 420 */
								obj_t BgL_arg1822z00_3353;

								BgL_arg1822z00_3353 =
									PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 420 */
									obj_t BgL_arrayz00_3356;
									int BgL_offsetz00_3357;

									BgL_arrayz00_3356 = BgL_arg1822z00_3353;
									BgL_offsetz00_3357 = (int) (BgL_objzd2classzd2numz00_3352);
									{	/* Dataflow/walk.scm 420 */
										long BgL_offsetz00_3358;

										BgL_offsetz00_3358 =
											((long) (BgL_offsetz00_3357) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 420 */
											long BgL_modz00_3359;

											{	/* Dataflow/walk.scm 420 */
												int BgL_arg1824z00_3360;

												BgL_arg1824z00_3360 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 420 */
													long BgL_res2577z00_3370;

													{	/* Dataflow/walk.scm 420 */
														long BgL_auxz00_4366;

														BgL_auxz00_4366 = (long) (BgL_arg1824z00_3360);
														BgL_res2577z00_3370 =
															(BgL_offsetz00_3358 / BgL_auxz00_4366);
													}
													BgL_modz00_3359 = BgL_res2577z00_3370;
											}}
											{	/* Dataflow/walk.scm 420 */
												long BgL_restz00_3361;

												{	/* Dataflow/walk.scm 420 */
													int BgL_arg1823z00_3362;

													BgL_arg1823z00_3362 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 420 */
														long BgL_res2579z00_3374;

														{	/* Dataflow/walk.scm 420 */
															long BgL_auxz00_4370;

															BgL_auxz00_4370 = (long) (BgL_arg1823z00_3362);
															BgL_res2579z00_3374 =
																(BgL_offsetz00_3358 % BgL_auxz00_4370);
														}
														BgL_restz00_3361 = BgL_res2579z00_3374;
												}}
												{	/* Dataflow/walk.scm 420 */

													BgL_res2580z00_3379 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3356,
															(int) (BgL_modz00_3359)),
														(int) (BgL_restz00_3361));
					}}}}}}}}
					BgL_method2123z00_1744 = BgL_res2580z00_3379;
				}
				return
					PROCEDURE_ENTRY(BgL_method2123z00_1744) (BgL_method2123z00_1744,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3781,
		obj_t BgL_nodez00_3782)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 420 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3782));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2683z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2685z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2686z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2687z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2688z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2689z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2690z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2691z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2692z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2693z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2694z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2695z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2696z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2697z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2698z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2699z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2700z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2701z00zzdataflow_walkz00,
				BGl_string2684z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2702z00zzdataflow_walkz00,
				BGl_string2703z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2704z00zzdataflow_walkz00,
				BGl_string2703z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2705z00zzdataflow_walkz00,
				BGl_string2703z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2706z00zzdataflow_walkz00,
				BGl_string2703z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2707z00zzdataflow_walkz00,
				BGl_string2703z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2708z00zzdataflow_walkz00,
				BGl_string2709z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2710z00zzdataflow_walkz00, BGl_string2711z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2712z00zzdataflow_walkz00, BGl_string2711z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2713z00zzdataflow_walkz00, BGl_string2711z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2714z00zzdataflow_walkz00, BGl_string2711z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2715z00zzdataflow_walkz00,
				BGl_string2711z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2716z00zzdataflow_walkz00, BGl_string2711z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2717z00zzdataflow_walkz00, BGl_string2711z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2718z00zzdataflow_walkz00, BGl_string2711z00zzdataflow_walkz00);
		}
	}



/* &abort?-app-ly2139 */
	obj_t BGl_z62abortzf3zd2appzd2ly2139z91zzdataflow_walkz00(obj_t
		BgL_envz00_3816, obj_t BgL_nodez00_3817)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 473 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2270;

				BgL_nodez00_2270 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3817);
				{	/* Dataflow/walk.scm 475 */
					obj_t BgL__ortest_1203z00_2274;

					BgL__ortest_1203z00_2274 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2270))->BgL_funz00));
					if (CBOOL(BgL__ortest_1203z00_2274))
						{	/* Dataflow/walk.scm 475 */
							return BgL__ortest_1203z00_2274;
						}
					else
						{	/* Dataflow/walk.scm 475 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2270))->BgL_argz00));
						}
				}
			}
		}
	}



/* &abort?-funcall2137 */
	obj_t BGl_z62abortzf3zd2funcall2137z43zzdataflow_walkz00(obj_t
		BgL_envz00_3818, obj_t BgL_nodez00_3819)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 466 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2254;

				BgL_nodez00_2254 = ((BgL_funcallz00_bglt) BgL_nodez00_3819);
				{	/* Dataflow/walk.scm 468 */
					obj_t BgL__ortest_1201z00_2258;

					BgL__ortest_1201z00_2258 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2254))->BgL_funz00));
					if (CBOOL(BgL__ortest_1201z00_2258))
						{	/* Dataflow/walk.scm 468 */
							return BgL__ortest_1201z00_2258;
						}
					else
						{	/* Dataflow/walk.scm 468 */
							obj_t BgL_g2063z00_2259;

							BgL_g2063z00_2259 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2254))->BgL_argsz00);
							{
								obj_t BgL_l2061z00_2261;

								BgL_l2061z00_2261 = BgL_g2063z00_2259;
							BgL_zc3anonymousza32468ze3z83_2262:
								if (NULLP(BgL_l2061z00_2261))
									{	/* Dataflow/walk.scm 468 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 468 */
										obj_t BgL__ortest_2064z00_2264;

										{	/* Dataflow/walk.scm 468 */
											obj_t BgL_arg2471z00_2266;

											BgL_arg2471z00_2266 = CAR(BgL_l2061z00_2261);
											BgL__ortest_2064z00_2264 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2471z00_2266));
										}
										if (CBOOL(BgL__ortest_2064z00_2264))
											{	/* Dataflow/walk.scm 468 */
												return BgL__ortest_2064z00_2264;
											}
										else
											{
												obj_t BgL_l2061z00_4435;

												BgL_l2061z00_4435 = CDR(BgL_l2061z00_2261);
												BgL_l2061z00_2261 = BgL_l2061z00_4435;
												goto BgL_zc3anonymousza32468ze3z83_2262;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-app2135 */
	obj_t BGl_z62abortzf3zd2app2135z43zzdataflow_walkz00(obj_t BgL_envz00_3820,
		obj_t BgL_nodez00_3821)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 459 */
			{
				BgL_appz00_bglt BgL_nodez00_2238;

				BgL_nodez00_2238 = ((BgL_appz00_bglt) BgL_nodez00_3821);
				{	/* Dataflow/walk.scm 461 */
					obj_t BgL__ortest_1199z00_2242;

					{	/* Dataflow/walk.scm 461 */
						BgL_varz00_bglt BgL_arg2467z00_2252;

						BgL_arg2467z00_2252 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2238))->BgL_funz00);
						BgL__ortest_1199z00_2242 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							((BgL_nodez00_bglt) BgL_arg2467z00_2252));
					}
					if (CBOOL(BgL__ortest_1199z00_2242))
						{	/* Dataflow/walk.scm 461 */
							return BgL__ortest_1199z00_2242;
						}
					else
						{	/* Dataflow/walk.scm 461 */
							obj_t BgL_g2059z00_2243;

							BgL_g2059z00_2243 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2238))->BgL_argsz00);
							{
								obj_t BgL_l2057z00_2245;

								BgL_l2057z00_2245 = BgL_g2059z00_2243;
							BgL_zc3anonymousza32463ze3z83_2246:
								if (NULLP(BgL_l2057z00_2245))
									{	/* Dataflow/walk.scm 461 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 461 */
										obj_t BgL__ortest_2060z00_2248;

										{	/* Dataflow/walk.scm 461 */
											obj_t BgL_arg2466z00_2250;

											BgL_arg2466z00_2250 = CAR(BgL_l2057z00_2245);
											BgL__ortest_2060z00_2248 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2466z00_2250));
										}
										if (CBOOL(BgL__ortest_2060z00_2248))
											{	/* Dataflow/walk.scm 461 */
												return BgL__ortest_2060z00_2248;
											}
										else
											{
												obj_t BgL_l2057z00_4451;

												BgL_l2057z00_4451 = CDR(BgL_l2057z00_2245);
												BgL_l2057z00_2245 = BgL_l2057z00_4451;
												goto BgL_zc3anonymousza32463ze3z83_2246;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-conditional2133 */
	obj_t BGl_z62abortzf3zd2conditional2133z43zzdataflow_walkz00(obj_t
		BgL_envz00_3822, obj_t BgL_nodez00_3823)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 452 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2228;

				BgL_nodez00_2228 = ((BgL_conditionalz00_bglt) BgL_nodez00_3823);
				{	/* Dataflow/walk.scm 454 */
					obj_t BgL__ortest_1196z00_2232;

					BgL__ortest_1196z00_2232 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2228))->BgL_testz00));
					if (CBOOL(BgL__ortest_1196z00_2232))
						{	/* Dataflow/walk.scm 454 */
							return BgL__ortest_1196z00_2232;
						}
					else
						{	/* Dataflow/walk.scm 454 */
							obj_t BgL__andtest_1197z00_2233;

							BgL__andtest_1197z00_2233 =
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2228))->
									BgL_truez00));
							if (CBOOL(BgL__andtest_1197z00_2233))
								{	/* Dataflow/walk.scm 454 */
									return
										BGl_abortzf3zf3zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2228))->
											BgL_falsez00));
								}
							else
								{	/* Dataflow/walk.scm 454 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &abort?-let-fun2131 */
	obj_t BGl_z62abortzf3zd2letzd2fun2131z91zzdataflow_walkz00(obj_t
		BgL_envz00_3824, obj_t BgL_nodez00_3825)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 445 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2222;

				BgL_nodez00_2222 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3825);
				return
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2222))->BgL_bodyz00));
			}
		}
	}



/* &abort?-let-var2129 */
	obj_t BGl_z62abortzf3zd2letzd2var2129z91zzdataflow_walkz00(obj_t
		BgL_envz00_3826, obj_t BgL_nodez00_3827)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 438 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2205;

				BgL_nodez00_2205 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3827);
				{	/* Dataflow/walk.scm 440 */
					obj_t BgL__ortest_1193z00_2209;

					{	/* Dataflow/walk.scm 440 */
						obj_t BgL_g2055z00_2211;

						BgL_g2055z00_2211 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2205))->
							BgL_bindingsz00);
						{
							obj_t BgL_l2053z00_2213;

							BgL_l2053z00_2213 = BgL_g2055z00_2211;
						BgL_zc3anonymousza32455ze3z83_2214:
							if (NULLP(BgL_l2053z00_2213))
								{	/* Dataflow/walk.scm 440 */
									BgL__ortest_1193z00_2209 = BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 440 */
									obj_t BgL__ortest_2056z00_2216;

									{	/* Dataflow/walk.scm 440 */
										obj_t BgL_bz00_2218;

										BgL_bz00_2218 = CAR(BgL_l2053z00_2213);
										{	/* Dataflow/walk.scm 440 */
											obj_t BgL_arg2458z00_2219;

											BgL_arg2458z00_2219 = CDR(BgL_bz00_2218);
											BgL__ortest_2056z00_2216 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2458z00_2219));
										}
									}
									if (CBOOL(BgL__ortest_2056z00_2216))
										{	/* Dataflow/walk.scm 440 */
											BgL__ortest_1193z00_2209 = BgL__ortest_2056z00_2216;
										}
									else
										{
											obj_t BgL_l2053z00_4477;

											BgL_l2053z00_4477 = CDR(BgL_l2053z00_2213);
											BgL_l2053z00_2213 = BgL_l2053z00_4477;
											goto BgL_zc3anonymousza32455ze3z83_2214;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1193z00_2209))
						{	/* Dataflow/walk.scm 440 */
							return BgL__ortest_1193z00_2209;
						}
					else
						{	/* Dataflow/walk.scm 440 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2205))->
									BgL_bodyz00));
						}
				}
			}
		}
	}



/* &abort?-sequence2127 */
	obj_t BGl_z62abortzf3zd2sequence2127z43zzdataflow_walkz00(obj_t
		BgL_envz00_3828, obj_t BgL_nodez00_3829)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 432 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2192;

				BgL_nodez00_2192 = ((BgL_sequencez00_bglt) BgL_nodez00_3829);
				{	/* Dataflow/walk.scm 433 */
					obj_t BgL_g2051z00_2195;

					BgL_g2051z00_2195 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2192))->BgL_nodesz00);
					{
						obj_t BgL_l2049z00_2197;

						BgL_l2049z00_2197 = BgL_g2051z00_2195;
					BgL_zc3anonymousza32450ze3z83_2198:
						if (NULLP(BgL_l2049z00_2197))
							{	/* Dataflow/walk.scm 433 */
								return BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 433 */
								obj_t BgL__ortest_2052z00_2200;

								{	/* Dataflow/walk.scm 433 */
									obj_t BgL_arg2453z00_2202;

									BgL_arg2453z00_2202 = CAR(BgL_l2049z00_2197);
									BgL__ortest_2052z00_2200 =
										BGl_abortzf3zf3zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2453z00_2202));
								}
								if (CBOOL(BgL__ortest_2052z00_2200))
									{	/* Dataflow/walk.scm 433 */
										return BgL__ortest_2052z00_2200;
									}
								else
									{
										obj_t BgL_l2049z00_4492;

										BgL_l2049z00_4492 = CDR(BgL_l2049z00_2197);
										BgL_l2049z00_2197 = BgL_l2049z00_4492;
										goto BgL_zc3anonymousza32450ze3z83_2198;
									}
							}
					}
				}
			}
		}
	}



/* &abort?-fail2125 */
	obj_t BGl_z62abortzf3zd2fail2125z43zzdataflow_walkz00(obj_t BgL_envz00_3830,
		obj_t BgL_nodez00_3831)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 426 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &dataflow-test-false-2121 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22121zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3832, obj_t BgL_nodez00_3833)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 398 */
			{
				BgL_appz00_bglt BgL_nodez00_2154;

				BgL_nodez00_2154 = ((BgL_appz00_bglt) BgL_nodez00_3833);
				{	/* Dataflow/walk.scm 400 */
					BgL_variablez00_bglt BgL_fz00_2158;

					BgL_fz00_2158 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2154))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 401 */

						{	/* Dataflow/walk.scm 402 */
							bool_t BgL_testz00_4498;

							{	/* Dataflow/walk.scm 402 */
								bool_t BgL_testz00_4499;

								{	/* Dataflow/walk.scm 402 */
									obj_t BgL_auxz00_4500;

									BgL_auxz00_4500 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_2154))->BgL_argsz00);
									BgL_testz00_4499 = PAIRP(BgL_auxz00_4500);
								}
								if (BgL_testz00_4499)
									{	/* Dataflow/walk.scm 402 */
										if (NULLP(CDR(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_2154))->
														BgL_argsz00))))
											{	/* Dataflow/walk.scm 403 */
												bool_t BgL_testz00_4507;

												{	/* Dataflow/walk.scm 403 */
													obj_t BgL_arg2444z00_2181;

													BgL_arg2444z00_2181 =
														CAR(
														(((BgL_appz00_bglt) CREF(BgL_nodez00_2154))->
															BgL_argsz00));
													BgL_testz00_4507 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2444z00_2181,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_4507)
													{	/* Dataflow/walk.scm 404 */
														BgL_typez00_bglt BgL_arg2440z00_2177;

														{
															BgL_variablez00_bglt BgL_auxz00_4511;

															{
																BgL_varz00_bglt BgL_auxz00_4512;

																{
																	obj_t BgL_auxz00_4513;

																	{	/* Dataflow/walk.scm 404 */
																		obj_t BgL_pairz00_3666;

																		BgL_pairz00_3666 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_2154))->BgL_argsz00);
																		BgL_auxz00_4513 = CAR(BgL_pairz00_3666);
																	}
																	BgL_auxz00_4512 =
																		((BgL_varz00_bglt) BgL_auxz00_4513);
																}
																BgL_auxz00_4511 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_4512))->
																	BgL_variablez00);
															}
															BgL_arg2440z00_2177 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4511))->BgL_typez00);
														}
														BgL_testz00_4498 =
															(
															((obj_t) BgL_arg2440z00_2177) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 403 */
														BgL_testz00_4498 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 402 */
												BgL_testz00_4498 = ((bool_t) 0);
											}
									}
								else
									{	/* Dataflow/walk.scm 402 */
										BgL_testz00_4498 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_4498)
								{	/* Dataflow/walk.scm 402 */
									if (
										(((obj_t) BgL_fz00_2158) ==
											BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
										{	/* Dataflow/walk.scm 407 */
											obj_t BgL_arg2425z00_2162;

											{	/* Dataflow/walk.scm 407 */
												BgL_variablez00_bglt BgL_arg2427z00_2164;

												{
													BgL_varz00_bglt BgL_auxz00_4524;

													{
														obj_t BgL_auxz00_4525;

														{	/* Dataflow/walk.scm 407 */
															obj_t BgL_pairz00_3673;

															BgL_pairz00_3673 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_2154))->
																BgL_argsz00);
															BgL_auxz00_4525 = CAR(BgL_pairz00_3673);
														}
														BgL_auxz00_4524 =
															((BgL_varz00_bglt) BgL_auxz00_4525);
													}
													BgL_arg2427z00_2164 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4524))->
														BgL_variablez00);
												}
												BgL_arg2425z00_2162 =
													MAKE_PAIR(
													((obj_t) BgL_arg2427z00_2164),
													BGl_za2pairza2z00zztype_cachez00);
											}
											{	/* Dataflow/walk.scm 407 */
												obj_t BgL_list2426z00_2163;

												BgL_list2426z00_2163 =
													MAKE_PAIR(BgL_arg2425z00_2162, BNIL);
												return BgL_list2426z00_2163;
											}
										}
									else
										{	/* Dataflow/walk.scm 408 */
											bool_t BgL_testz00_4533;

											if (
												(((obj_t) BgL_fz00_2158) ==
													BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
												{	/* Dataflow/walk.scm 408 */
													BgL_testz00_4533 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 408 */
													BgL_testz00_4533 =
														(
														((obj_t) BgL_fz00_2158) ==
														BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
												}
											if (BgL_testz00_4533)
												{	/* Dataflow/walk.scm 409 */
													obj_t BgL_arg2431z00_2168;

													{	/* Dataflow/walk.scm 409 */
														BgL_variablez00_bglt BgL_arg2433z00_2170;

														{
															BgL_varz00_bglt BgL_auxz00_4539;

															{
																obj_t BgL_auxz00_4540;

																{	/* Dataflow/walk.scm 409 */
																	obj_t BgL_pairz00_3679;

																	BgL_pairz00_3679 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_nodez00_2154))->BgL_argsz00);
																	BgL_auxz00_4540 = CAR(BgL_pairz00_3679);
																}
																BgL_auxz00_4539 =
																	((BgL_varz00_bglt) BgL_auxz00_4540);
															}
															BgL_arg2433z00_2170 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_4539))->
																BgL_variablez00);
														}
														BgL_arg2431z00_2168 =
															MAKE_PAIR(
															((obj_t) BgL_arg2433z00_2170),
															BGl_za2bnilza2z00zztype_cachez00);
													}
													{	/* Dataflow/walk.scm 409 */
														obj_t BgL_list2432z00_2169;

														BgL_list2432z00_2169 =
															MAKE_PAIR(BgL_arg2431z00_2168, BNIL);
														return BgL_list2432z00_2169;
													}
												}
											else
												{	/* Dataflow/walk.scm 408 */
													return BNIL;
												}
										}
								}
							else
								{	/* Dataflow/walk.scm 402 */
									return BNIL;
								}
						}
					}
				}
			}
		}
	}



/* &dataflow-test-env-le2117 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le2117zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3834, obj_t BgL_nodez00_3835)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 370 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2113;

				BgL_nodez00_2113 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3835);
				{	/* Dataflow/walk.scm 372 */
					bool_t BgL_testz00_4549;

					{	/* Dataflow/walk.scm 372 */
						bool_t BgL_testz00_4550;

						{	/* Dataflow/walk.scm 372 */
							obj_t BgL_auxz00_4551;

							BgL_auxz00_4551 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2113))->
								BgL_bindingsz00);
							BgL_testz00_4550 = PAIRP(BgL_auxz00_4551);
						}
						if (BgL_testz00_4550)
							{	/* Dataflow/walk.scm 372 */
								BgL_testz00_4549 =
									NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2113))->
											BgL_bindingsz00)));
							}
						else
							{	/* Dataflow/walk.scm 372 */
								BgL_testz00_4549 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4549)
						{	/* Dataflow/walk.scm 374 */
							bool_t BgL_testz00_4557;

							{	/* Dataflow/walk.scm 374 */
								obj_t BgL_arg2417z00_2147;

								{	/* Dataflow/walk.scm 374 */
									obj_t BgL_pairz00_3600;

									BgL_pairz00_3600 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2113))->
										BgL_bindingsz00);
									BgL_arg2417z00_2147 = CDR(CAR(BgL_pairz00_3600));
								}
								BgL_testz00_4557 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2417z00_2147,
									BGl_varz00zzast_nodez00);
							}
							if (BgL_testz00_4557)
								{	/* Dataflow/walk.scm 375 */
									obj_t BgL_envz00_2119;

									BgL_envz00_2119 =
										BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2113))->
											BgL_bodyz00));
									{	/* Dataflow/walk.scm 376 */
										bool_t BgL_testz00_4564;

										if (NULLP(BgL_envz00_2119))
											{	/* Dataflow/walk.scm 376 */
												BgL_testz00_4564 = ((bool_t) 0);
											}
										else
											{	/* Dataflow/walk.scm 376 */
												if (NULLP(CDR(BgL_envz00_2119)))
													{	/* Dataflow/walk.scm 378 */
														obj_t BgL_auxz00_4570;

														{	/* Dataflow/walk.scm 378 */
															obj_t BgL_pairz00_3615;

															BgL_pairz00_3615 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_2113))->BgL_bindingsz00);
															BgL_auxz00_4570 = CAR(CAR(BgL_pairz00_3615));
														}
														BgL_testz00_4564 =
															(CAR(CAR(BgL_envz00_2119)) == BgL_auxz00_4570);
													}
												else
													{	/* Dataflow/walk.scm 377 */
														BgL_testz00_4564 = ((bool_t) 0);
													}
											}
										if (BgL_testz00_4564)
											{	/* Dataflow/walk.scm 379 */
												obj_t BgL_arg2388z00_2121;

												{	/* Dataflow/walk.scm 379 */
													BgL_variablez00_bglt BgL_arg2390z00_2123;
													obj_t BgL_arg2392z00_2124;

													{
														BgL_varz00_bglt BgL_auxz00_4577;

														{
															obj_t BgL_auxz00_4578;

															{	/* Dataflow/walk.scm 379 */
																obj_t BgL_pairz00_3619;

																BgL_pairz00_3619 =
																	(((BgL_letzd2varzd2_bglt)
																		CREF(BgL_nodez00_2113))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 379 */
																	obj_t BgL_pairz00_3622;

																	BgL_pairz00_3622 = CAR(BgL_pairz00_3619);
																	BgL_auxz00_4578 = CDR(BgL_pairz00_3622);
																}
															}
															BgL_auxz00_4577 =
																((BgL_varz00_bglt) BgL_auxz00_4578);
														}
														BgL_arg2390z00_2123 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4577))->
															BgL_variablez00);
													}
													BgL_arg2392z00_2124 = CDR(CAR(BgL_envz00_2119));
													BgL_arg2388z00_2121 =
														MAKE_PAIR(
														((obj_t) BgL_arg2390z00_2123), BgL_arg2392z00_2124);
												}
												{	/* Dataflow/walk.scm 379 */
													obj_t BgL_list2389z00_2122;

													BgL_list2389z00_2122 =
														MAKE_PAIR(BgL_arg2388z00_2121, BNIL);
													return BgL_list2389z00_2122;
												}
											}
										else
											{	/* Dataflow/walk.scm 376 */
												return BNIL;
											}
									}
								}
							else
								{	/* Dataflow/walk.scm 381 */
									bool_t BgL_testz00_4589;

									{	/* Dataflow/walk.scm 381 */
										bool_t BgL_testz00_4590;

										{	/* Dataflow/walk.scm 381 */
											BgL_nodez00_bglt BgL_arg2416z00_2146;

											BgL_arg2416z00_2146 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2113))->
												BgL_bodyz00);
											{	/* Dataflow/walk.scm 381 */
												bool_t BgL_res2642z00_3633;

												{	/* Dataflow/walk.scm 381 */
													obj_t BgL_objz00_3632;

													BgL_objz00_3632 = ((obj_t) BgL_arg2416z00_2146);
													BgL_res2642z00_3633 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3632,
														BGl_varz00zzast_nodez00);
												}
												BgL_testz00_4590 = BgL_res2642z00_3633;
											}
										}
										if (BgL_testz00_4590)
											{	/* Dataflow/walk.scm 382 */
												bool_t BgL_testz00_4594;

												{	/* Dataflow/walk.scm 382 */
													obj_t BgL_auxz00_4595;

													{	/* Dataflow/walk.scm 382 */
														obj_t BgL_pairz00_3637;

														BgL_pairz00_3637 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_2113))->BgL_bindingsz00);
														BgL_auxz00_4595 = CAR(CAR(BgL_pairz00_3637));
													}
													BgL_testz00_4594 =
														(
														((obj_t)
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt)
																			(((BgL_letzd2varzd2_bglt)
																					CREF(BgL_nodez00_2113))->
																				BgL_bodyz00))))->BgL_variablez00)) ==
														BgL_auxz00_4595);
												}
												if (BgL_testz00_4594)
													{	/* Dataflow/walk.scm 383 */
														BgL_typez00_bglt BgL_arg2408z00_2139;

														{
															BgL_variablez00_bglt BgL_auxz00_4604;

															{
																obj_t BgL_auxz00_4605;

																{	/* Dataflow/walk.scm 383 */
																	obj_t BgL_pairz00_3641;

																	BgL_pairz00_3641 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_2113))->BgL_bindingsz00);
																	{	/* Dataflow/walk.scm 383 */
																		obj_t BgL_pairz00_3644;

																		BgL_pairz00_3644 = CAR(BgL_pairz00_3641);
																		BgL_auxz00_4605 = CAR(BgL_pairz00_3644);
																	}
																}
																BgL_auxz00_4604 =
																	((BgL_variablez00_bglt) BgL_auxz00_4605);
															}
															BgL_arg2408z00_2139 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4604))->BgL_typez00);
														}
														BgL_testz00_4589 =
															(
															((obj_t) BgL_arg2408z00_2139) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 382 */
														BgL_testz00_4589 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 381 */
												BgL_testz00_4589 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4589)
										{	/* Dataflow/walk.scm 384 */
											obj_t BgL_arg2404z00_2135;

											{	/* Dataflow/walk.scm 384 */
												obj_t BgL_pairz00_3648;

												BgL_pairz00_3648 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2113))->
													BgL_bindingsz00);
												BgL_arg2404z00_2135 = CDR(CAR(BgL_pairz00_3648));
											}
											return
												BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2404z00_2135));
										}
									else
										{	/* Dataflow/walk.scm 381 */
											return BNIL;
										}
								}
						}
					else
						{	/* Dataflow/walk.scm 372 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-va2115 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va2115zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3836, obj_t BgL_nodez00_3837)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 353 */
			{
				BgL_varz00_bglt BgL_nodez00_2104;

				BgL_nodez00_2104 = ((BgL_varz00_bglt) BgL_nodez00_3837);
				{	/* Dataflow/walk.scm 355 */
					bool_t BgL_testz00_4619;

					{	/* Dataflow/walk.scm 355 */
						BgL_variablez00_bglt BgL_arg2383z00_2111;

						BgL_arg2383z00_2111 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_2104))->BgL_variablez00);
						{	/* Dataflow/walk.scm 355 */
							bool_t BgL_res2633z00_3591;

							{	/* Dataflow/walk.scm 355 */
								obj_t BgL_objz00_3590;

								BgL_objz00_3590 = ((obj_t) BgL_arg2383z00_2111);
								BgL_res2633z00_3591 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3590,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							BgL_testz00_4619 = BgL_res2633z00_3591;
						}
					}
					if (BgL_testz00_4619)
						{	/* Dataflow/walk.scm 356 */
							BgL_nodez00_bglt BgL_arg2381z00_2109;

							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_4623;

								{
									obj_t BgL_auxz00_4624;

									{	/* Dataflow/walk.scm 356 */
										BgL_objectz00_bglt BgL_auxz00_4625;

										BgL_auxz00_4625 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_2104))->
													BgL_variablez00)));
										BgL_auxz00_4624 = BGL_OBJECT_WIDENING(BgL_auxz00_4625);
									}
									BgL_auxz00_4623 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_4624);
								}
								BgL_arg2381z00_2109 =
									(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4623))->
									BgL_nodez00);
							}
							return
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
								(BgL_arg2381z00_2109);
						}
					else
						{	/* Dataflow/walk.scm 355 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-co2113 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co2113zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3838, obj_t BgL_nodez00_3839)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 344 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2090;

				BgL_nodez00_2090 = ((BgL_conditionalz00_bglt) BgL_nodez00_3839);
				{	/* Dataflow/walk.scm 346 */
					bool_t BgL_testz00_4634;

					{	/* Dataflow/walk.scm 346 */
						bool_t BgL_testz00_4635;

						{	/* Dataflow/walk.scm 346 */
							BgL_nodez00_bglt BgL_arg2379z00_2102;

							BgL_arg2379z00_2102 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2090))->
								BgL_falsez00);
							{	/* Dataflow/walk.scm 346 */
								bool_t BgL_res2632z00_3587;

								{	/* Dataflow/walk.scm 346 */
									obj_t BgL_objz00_3586;

									BgL_objz00_3586 = ((obj_t) BgL_arg2379z00_2102);
									BgL_res2632z00_3587 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_3586,
										BGl_atomz00zzast_nodez00);
								}
								BgL_testz00_4635 = BgL_res2632z00_3587;
							}
						}
						if (BgL_testz00_4635)
							{	/* Dataflow/walk.scm 346 */
								BgL_testz00_4634 =
									(
									(((BgL_atomz00_bglt) CREF(
												((BgL_atomz00_bglt)
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2090))->
														BgL_falsez00))))->BgL_valuez00) == BFALSE);
							}
						else
							{	/* Dataflow/walk.scm 346 */
								BgL_testz00_4634 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4634)
						{	/* Dataflow/walk.scm 346 */
							return
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2090))->
										BgL_testz00)),
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2090))->
										BgL_truez00)));
						}
					else
						{	/* Dataflow/walk.scm 346 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-in2111 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in2111zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3840, obj_t BgL_nodez00_3841)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 335 */
			{
				BgL_instanceofz00_bglt BgL_nodez00_2076;

				BgL_nodez00_2076 = ((BgL_instanceofz00_bglt) BgL_nodez00_3841);
				{	/* Dataflow/walk.scm 337 */
					bool_t BgL_testz00_4649;

					{	/* Dataflow/walk.scm 337 */
						obj_t BgL_arg2369z00_2087;

						{	/* Dataflow/walk.scm 337 */
							obj_t BgL_pairz00_3577;

							BgL_pairz00_3577 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_2076)))->BgL_exprza2za2);
							BgL_arg2369z00_2087 = CAR(BgL_pairz00_3577);
						}
						BgL_testz00_4649 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2369z00_2087,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4649)
						{	/* Dataflow/walk.scm 338 */
							obj_t BgL_arg2363z00_2081;

							{	/* Dataflow/walk.scm 338 */
								BgL_variablez00_bglt BgL_arg2365z00_2083;
								BgL_typez00_bglt BgL_arg2366z00_2084;

								{
									BgL_varz00_bglt BgL_auxz00_4654;

									{
										obj_t BgL_auxz00_4655;

										{	/* Dataflow/walk.scm 338 */
											obj_t BgL_pairz00_3580;

											BgL_pairz00_3580 =
												(((BgL_externz00_bglt) CREF(
														((BgL_externz00_bglt) BgL_nodez00_2076)))->
												BgL_exprza2za2);
											BgL_auxz00_4655 = CAR(BgL_pairz00_3580);
										}
										BgL_auxz00_4654 = ((BgL_varz00_bglt) BgL_auxz00_4655);
									}
									BgL_arg2365z00_2083 =
										(((BgL_varz00_bglt) CREF(BgL_auxz00_4654))->
										BgL_variablez00);
								}
								BgL_arg2366z00_2084 =
									(((BgL_instanceofz00_bglt) CREF(BgL_nodez00_2076))->
									BgL_classz00);
								BgL_arg2363z00_2081 =
									MAKE_PAIR(((obj_t) BgL_arg2365z00_2083),
									((obj_t) BgL_arg2366z00_2084));
							}
							{	/* Dataflow/walk.scm 338 */
								obj_t BgL_list2364z00_2082;

								BgL_list2364z00_2082 = MAKE_PAIR(BgL_arg2363z00_2081, BNIL);
								return BgL_list2364z00_2082;
							}
						}
					else
						{	/* Dataflow/walk.scm 337 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-ap2109 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap2109zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3842, obj_t BgL_nodez00_3843)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 312 */
			{
				BgL_appz00_bglt BgL_nodez00_2036;

				BgL_nodez00_2036 = ((BgL_appz00_bglt) BgL_nodez00_3843);
				{	/* Dataflow/walk.scm 314 */
					BgL_variablez00_bglt BgL_fz00_2040;

					BgL_fz00_2040 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2036))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 314 */
						BgL_valuez00_bglt BgL_funvz00_2041;

						BgL_funvz00_2041 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2040))->BgL_valuez00);
						{	/* Dataflow/walk.scm 315 */

							{	/* Dataflow/walk.scm 317 */
								obj_t BgL_g1185z00_2042;

								BgL_g1185z00_2042 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_2036));
								if (CBOOL(BgL_g1185z00_2042))
									{	/* Dataflow/walk.scm 320 */
										bool_t BgL_testz00_4674;

										{	/* Dataflow/walk.scm 320 */
											obj_t BgL_arg2335z00_2051;

											BgL_arg2335z00_2051 =
												CAR(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_2036))->
													BgL_argsz00));
											BgL_testz00_4674 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2335z00_2051,
												BGl_varz00zzast_nodez00);
										}
										if (BgL_testz00_4674)
											{	/* Dataflow/walk.scm 321 */
												obj_t BgL_arg2329z00_2046;

												{	/* Dataflow/walk.scm 321 */
													BgL_variablez00_bglt BgL_arg2332z00_2048;

													{
														BgL_varz00_bglt BgL_auxz00_4678;

														{
															obj_t BgL_auxz00_4679;

															{	/* Dataflow/walk.scm 321 */
																obj_t BgL_pairz00_3544;

																BgL_pairz00_3544 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2036))->
																	BgL_argsz00);
																BgL_auxz00_4679 = CAR(BgL_pairz00_3544);
															}
															BgL_auxz00_4678 =
																((BgL_varz00_bglt) BgL_auxz00_4679);
														}
														BgL_arg2332z00_2048 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4678))->
															BgL_variablez00);
													}
													BgL_arg2329z00_2046 =
														MAKE_PAIR(
														((obj_t) BgL_arg2332z00_2048), BgL_g1185z00_2042);
												}
												{	/* Dataflow/walk.scm 321 */
													obj_t BgL_list2330z00_2047;

													BgL_list2330z00_2047 =
														MAKE_PAIR(BgL_arg2329z00_2046, BNIL);
													return BgL_list2330z00_2047;
												}
											}
										else
											{	/* Dataflow/walk.scm 320 */
												return BNIL;
											}
									}
								else
									{	/* Dataflow/walk.scm 323 */
										bool_t BgL_testz00_4687;

										{	/* Dataflow/walk.scm 323 */
											bool_t BgL_testz00_4688;

											{	/* Dataflow/walk.scm 323 */
												bool_t BgL_res2621z00_3551;

												{	/* Dataflow/walk.scm 323 */
													obj_t BgL_objz00_3550;

													BgL_objz00_3550 = ((obj_t) BgL_funvz00_2041);
													BgL_res2621z00_3551 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3550,
														BGl_funz00zzast_varz00);
												}
												BgL_testz00_4688 = BgL_res2621z00_3551;
											}
											if (BgL_testz00_4688)
												{	/* Dataflow/walk.scm 323 */
													if (CBOOL(
															(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt) BgL_funvz00_2041)))->
																BgL_predicatezd2ofzd2)))
														{	/* Dataflow/walk.scm 325 */
															bool_t BgL_testz00_4695;

															{	/* Dataflow/walk.scm 325 */
																obj_t BgL_auxz00_4696;

																BgL_auxz00_4696 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2036))->
																	BgL_argsz00);
																BgL_testz00_4695 = PAIRP(BgL_auxz00_4696);
															}
															if (BgL_testz00_4695)
																{	/* Dataflow/walk.scm 325 */
																	if (NULLP(CDR(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_2036))->
																					BgL_argsz00))))
																		{	/* Dataflow/walk.scm 326 */
																			bool_t BgL_testz00_4703;

																			{	/* Dataflow/walk.scm 326 */
																				obj_t BgL_arg2356z00_2069;

																				BgL_arg2356z00_2069 =
																					CAR(
																					(((BgL_appz00_bglt)
																							CREF(BgL_nodez00_2036))->
																						BgL_argsz00));
																				BgL_testz00_4703 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_arg2356z00_2069,
																					BGl_varz00zzast_nodez00);
																			}
																			if (BgL_testz00_4703)
																				{	/* Dataflow/walk.scm 327 */
																					BgL_typez00_bglt BgL_arg2349z00_2065;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_4707;
																						{
																							BgL_varz00_bglt BgL_auxz00_4708;

																							{
																								obj_t BgL_auxz00_4709;

																								{	/* Dataflow/walk.scm 327 */
																									obj_t BgL_pairz00_3562;

																									BgL_pairz00_3562 =
																										(((BgL_appz00_bglt)
																											CREF(BgL_nodez00_2036))->
																										BgL_argsz00);
																									BgL_auxz00_4709 =
																										CAR(BgL_pairz00_3562);
																								}
																								BgL_auxz00_4708 =
																									((BgL_varz00_bglt)
																									BgL_auxz00_4709);
																							}
																							BgL_auxz00_4707 =
																								(((BgL_varz00_bglt)
																									CREF(BgL_auxz00_4708))->
																								BgL_variablez00);
																						}
																						BgL_arg2349z00_2065 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_4707))->
																							BgL_typez00);
																					}
																					BgL_testz00_4687 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg2349z00_2065);
																				}
																			else
																				{	/* Dataflow/walk.scm 326 */
																					BgL_testz00_4687 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Dataflow/walk.scm 325 */
																			BgL_testz00_4687 = ((bool_t) 0);
																		}
																}
															else
																{	/* Dataflow/walk.scm 325 */
																	BgL_testz00_4687 = ((bool_t) 0);
																}
														}
													else
														{	/* Dataflow/walk.scm 324 */
															BgL_testz00_4687 = ((bool_t) 0);
														}
												}
											else
												{	/* Dataflow/walk.scm 323 */
													BgL_testz00_4687 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_4687)
											{	/* Dataflow/walk.scm 328 */
												obj_t BgL_arg2338z00_2054;

												{	/* Dataflow/walk.scm 328 */
													BgL_variablez00_bglt BgL_arg2340z00_2056;
													obj_t BgL_arg2341z00_2057;

													{
														BgL_varz00_bglt BgL_auxz00_4716;

														{
															obj_t BgL_auxz00_4717;

															{	/* Dataflow/walk.scm 328 */
																obj_t BgL_pairz00_3569;

																BgL_pairz00_3569 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2036))->
																	BgL_argsz00);
																BgL_auxz00_4717 = CAR(BgL_pairz00_3569);
															}
															BgL_auxz00_4716 =
																((BgL_varz00_bglt) BgL_auxz00_4717);
														}
														BgL_arg2340z00_2056 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4716))->
															BgL_variablez00);
													}
													BgL_arg2341z00_2057 =
														(((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_funvz00_2041)))->
														BgL_predicatezd2ofzd2);
													BgL_arg2338z00_2054 =
														MAKE_PAIR(((obj_t) BgL_arg2340z00_2056),
														BgL_arg2341z00_2057);
												}
												{	/* Dataflow/walk.scm 328 */
													obj_t BgL_list2339z00_2055;

													BgL_list2339z00_2055 =
														MAKE_PAIR(BgL_arg2338z00_2054, BNIL);
													return BgL_list2339z00_2055;
												}
											}
										else
											{	/* Dataflow/walk.scm 323 */
												return BNIL;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &dataflow-node!-box-s2105 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s2105za2zzdataflow_walkz00(obj_t
		BgL_envz00_3844, obj_t BgL_nodez00_3845, obj_t BgL_envz00_3846)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 291 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2028;
				obj_t BgL_envz00_2029;

				BgL_nodez00_2028 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3845);
				BgL_envz00_2029 = BgL_envz00_3846;
				{	/* Dataflow/walk.scm 292 */
					BgL_varz00_bglt BgL_arg2325z00_3530;

					BgL_arg2325z00_3530 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2028))->BgL_varz00);
					{	/* Dataflow/walk.scm 292 */
						BgL_nodez00_bglt BgL_oz00_3532;
						BgL_typez00_bglt BgL_vz00_3533;

						BgL_oz00_3532 = ((BgL_nodez00_bglt) BgL_arg2325z00_3530);
						BgL_vz00_3533 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3532))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3533), BUNSPEC);
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2028))->BgL_valuez00),
					BgL_envz00_2029);
			}
		}
	}



/* &dataflow-node!-box-r2103 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r2103za2zzdataflow_walkz00(obj_t
		BgL_envz00_3847, obj_t BgL_nodez00_3848, obj_t BgL_envz00_3849)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 283 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2021;
				obj_t BgL_envz00_2022;

				BgL_nodez00_2021 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3848);
				BgL_envz00_2022 = BgL_envz00_3849;
				{	/* Dataflow/walk.scm 284 */
					BgL_varz00_bglt BgL_arg2324z00_3525;

					BgL_arg2324z00_3525 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2021))->BgL_varz00);
					{	/* Dataflow/walk.scm 284 */
						BgL_nodez00_bglt BgL_oz00_3526;
						BgL_typez00_bglt BgL_vz00_3527;

						BgL_oz00_3526 = ((BgL_nodez00_bglt) BgL_arg2324z00_3525);
						BgL_vz00_3527 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3526))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3527), BUNSPEC);
					}
				}
				return BgL_envz00_2022;
			}
		}
	}



/* &dataflow-node!-make-2101 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd22101za2zzdataflow_walkz00(obj_t
		BgL_envz00_3850, obj_t BgL_nodez00_3851, obj_t BgL_envz00_3852)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 277 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2015;
				obj_t BgL_envz00_2016;

				BgL_nodez00_2015 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3851);
				BgL_envz00_2016 = BgL_envz00_3852;
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2015))->BgL_valuez00),
					BgL_envz00_2016);
			}
		}
	}



/* &dataflow-node!-jump-2099 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd22099za2zzdataflow_walkz00(obj_t
		BgL_envz00_3853, obj_t BgL_nodez00_3854, obj_t BgL_envz00_3855)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 268 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2007;
				obj_t BgL_envz00_2008;

				BgL_nodez00_2007 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3854);
				BgL_envz00_2008 = BgL_envz00_3855;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2007))->BgL_exitz00),
					BgL_envz00_2008);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2007))->
						BgL_valuez00), BgL_envz00_2008);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-set-e2097 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e2097za2zzdataflow_walkz00(obj_t
		BgL_envz00_3856, obj_t BgL_nodez00_3857, obj_t BgL_envz00_3858)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 260 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2000;
				obj_t BgL_envz00_2001;

				BgL_nodez00_2000 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3857);
				BgL_envz00_2001 = BgL_envz00_3858;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2000))->BgL_bodyz00),
					BgL_envz00_2001);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-let-v2095 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v2095za2zzdataflow_walkz00(obj_t
		BgL_envz00_3859, obj_t BgL_nodez00_3860, obj_t BgL_envz00_3861)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 228 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1953;
				obj_t BgL_envz00_1954;

				BgL_nodez00_1953 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3860);
				BgL_envz00_1954 = BgL_envz00_3861;
				BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
					(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
				{	/* Dataflow/walk.scm 231 */
					long BgL_stampz00_1958;

					BgL_stampz00_1958 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 231 */
						obj_t BgL_envz00_1959;

						{
							obj_t BgL_bindingsz00_1983;
							obj_t BgL_envz00_1984;

							BgL_bindingsz00_1983 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1953))->
								BgL_bindingsz00);
							BgL_envz00_1984 = BgL_envz00_1954;
						BgL_zc3anonymousza32313ze3z83_1985:
							if (NULLP(BgL_bindingsz00_1983))
								{	/* Dataflow/walk.scm 234 */
									BgL_envz00_1959 = BgL_envz00_1984;
								}
							else
								{	/* Dataflow/walk.scm 236 */
									obj_t BgL_nodez00_1987;

									{	/* Dataflow/walk.scm 236 */
										obj_t BgL_pairz00_3473;

										BgL_pairz00_3473 = BgL_bindingsz00_1983;
										BgL_nodez00_1987 = CDR(CAR(BgL_pairz00_3473));
									}
									{	/* Dataflow/walk.scm 236 */
										obj_t BgL_envz00_1988;

										BgL_envz00_1988 =
											BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_nodez00_1987), BgL_envz00_1984);
										{	/* Dataflow/walk.scm 237 */

											{	/* Dataflow/walk.scm 238 */
												obj_t BgL_lz00_1989;

												{	/* Dataflow/walk.scm 238 */
													obj_t BgL_pairz00_3477;

													BgL_pairz00_3477 = BgL_bindingsz00_1983;
													BgL_lz00_1989 = CAR(CAR(BgL_pairz00_3477));
												}
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_lz00_1989)))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
													{	/* Dataflow/walk.scm 240 */
														BgL_localz00_bglt BgL_tmp1176z00_1991;

														BgL_tmp1176z00_1991 =
															((BgL_localz00_bglt) BgL_lz00_1989);
														{	/* Dataflow/walk.scm 240 */
															BgL_localz00_bglt BgL_tmp1177z00_1992;
															BgL_localzf2valuezf2_bglt BgL_wide1178z00_1993;

															BgL_tmp1177z00_1992 =
																((BgL_localz00_bglt) BgL_tmp1176z00_1991);
															BgL_wide1178z00_1993 =
																((BgL_localzf2valuezf2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_localzf2valuezf2_bgl))));
															{	/* Dataflow/walk.scm 240 */
																obj_t BgL_auxz00_4770;
																BgL_objectz00_bglt BgL_auxz00_4768;

																BgL_auxz00_4770 =
																	((obj_t) BgL_wide1178z00_1993);
																BgL_auxz00_4768 =
																	((BgL_objectz00_bglt) BgL_tmp1177z00_1992);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_4768,
																	BgL_auxz00_4770);
															}
															{	/* Dataflow/walk.scm 240 */
																long BgL_arg2316z00_1994;

																{	/* Dataflow/walk.scm 240 */
																	long BgL_res2606z00_3486;

																	{	/* Dataflow/walk.scm 240 */
																		obj_t BgL_classz00_3483;

																		BgL_classz00_3483 =
																			BGl_localzf2valuezf2zzdataflow_walkz00;
																		{	/* Dataflow/walk.scm 240 */
																			obj_t BgL_vectorz00_3484;
																			int BgL_kz00_3485;

																			BgL_vectorz00_3484 = BgL_classz00_3483;
																			BgL_kz00_3485 = (int) (((long) 1));
																			BgL_res2606z00_3486 =
																				(long)
																				CINT(VECTOR_REF(BgL_vectorz00_3484,
																					BgL_kz00_3485));
																	}}
																	BgL_arg2316z00_1994 = BgL_res2606z00_3486;
																}
																{	/* Dataflow/walk.scm 240 */
																	BgL_objectz00_bglt BgL_objz00_3487;

																	BgL_objz00_3487 =
																		((BgL_objectz00_bglt) BgL_tmp1177z00_1992);
																	((BgL_localz00_bglt)
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3487,
																			BgL_arg2316z00_1994));
															}} BgL_tmp1177z00_1992;
														}
														{	/* Dataflow/walk.scm 240 */
															BgL_localz00_bglt BgL_new1179z00_1995;

															BgL_new1179z00_1995 =
																((BgL_localz00_bglt) BgL_tmp1176z00_1991);
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4780;

																{
																	obj_t BgL_auxz00_4781;

																	{	/* Dataflow/walk.scm 240 */
																		BgL_objectz00_bglt BgL_auxz00_4782;

																		BgL_auxz00_4782 =
																			((BgL_objectz00_bglt)
																			BgL_new1179z00_1995);
																		BgL_auxz00_4781 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4782);
																	}
																	BgL_auxz00_4780 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4781);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4780))->BgL_stampz00) =
																	((int) (int) (BgL_stampz00_1958)), BUNSPEC);
															}
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4788;

																{
																	obj_t BgL_auxz00_4789;

																	{	/* Dataflow/walk.scm 240 */
																		BgL_objectz00_bglt BgL_auxz00_4790;

																		BgL_auxz00_4790 =
																			((BgL_objectz00_bglt)
																			BgL_new1179z00_1995);
																		BgL_auxz00_4789 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4790);
																	}
																	BgL_auxz00_4788 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4789);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4788))->BgL_nodez00) =
																	((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																			BgL_nodez00_1987)), BUNSPEC);
															}
															((obj_t) BgL_new1179z00_1995);
													}}
												else
													{	/* Dataflow/walk.scm 239 */
														BFALSE;
													}
											}
											{
												obj_t BgL_envz00_4799;
												obj_t BgL_bindingsz00_4797;

												BgL_bindingsz00_4797 = CDR(BgL_bindingsz00_1983);
												BgL_envz00_4799 = BgL_envz00_1988;
												BgL_envz00_1984 = BgL_envz00_4799;
												BgL_bindingsz00_1983 = BgL_bindingsz00_4797;
												goto BgL_zc3anonymousza32313ze3z83_1985;
											}
										}
									}
								}
						}
						{	/* Dataflow/walk.scm 232 */

							{	/* Dataflow/walk.scm 244 */
								obj_t BgL_arg2294z00_1961;

								BgL_arg2294z00_1961 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1953))->
										BgL_bodyz00), BgL_envz00_1959);
								{	/* Dataflow/walk.scm 246 */
									obj_t BgL_zc3anonymousza32296ze3z83_3802;

									BgL_zc3anonymousza32296ze3z83_3802 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32296ze3ze1zzdataflow_walkz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32296ze3z83_3802,
										(int) (((long) 0)), BINT(BgL_stampz00_1958));
									{	/* Dataflow/walk.scm 244 */
										obj_t BgL_list2295z00_1962;

										BgL_list2295z00_1962 = MAKE_PAIR(BgL_arg2294z00_1961, BNIL);
										return
											BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
											(BgL_zc3anonymousza32296ze3z83_3802,
											BgL_list2295z00_1962);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2296> */
	obj_t BGl_z62zc3anonymousza32296ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3862, obj_t BgL_bz00_3864)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 244 */
			{	/* Dataflow/walk.scm 246 */
				long BgL_stampz00_3863;

				BgL_stampz00_3863 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_3862, (int) (((long) 0))));
				{
					obj_t BgL_bz00_1963;

					BgL_bz00_1963 = BgL_bz00_3864;
					{	/* Dataflow/walk.scm 246 */
						bool_t BgL_testz00_4815;

						{	/* Dataflow/walk.scm 246 */
							bool_t BgL_testz00_4816;

							{	/* Dataflow/walk.scm 246 */
								obj_t BgL_arg2309z00_1978;

								BgL_arg2309z00_1978 = CAR(BgL_bz00_1963);
								BgL_testz00_4816 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2309z00_1978,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							if (BgL_testz00_4816)
								{	/* Dataflow/walk.scm 247 */
									long BgL_auxz00_4819;

									{	/* Dataflow/walk.scm 247 */
										int BgL_auxz00_4820;

										{
											BgL_localzf2valuezf2_bglt BgL_auxz00_4821;

											{
												obj_t BgL_auxz00_4822;

												{	/* Dataflow/walk.scm 247 */
													BgL_objectz00_bglt BgL_auxz00_4823;

													{
														BgL_localz00_bglt BgL_auxz00_4824;

														{	/* Dataflow/walk.scm 247 */
															obj_t BgL_pairz00_3493;

															BgL_pairz00_3493 = BgL_bz00_1963;
															BgL_auxz00_4824 =
																((BgL_localz00_bglt) CAR(BgL_pairz00_3493));
														}
														BgL_auxz00_4823 =
															((BgL_objectz00_bglt) BgL_auxz00_4824);
													}
													BgL_auxz00_4822 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4823);
												}
												BgL_auxz00_4821 =
													((BgL_localzf2valuezf2_bglt) BgL_auxz00_4822);
											}
											BgL_auxz00_4820 =
												(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4821))->
												BgL_stampz00);
										}
										BgL_auxz00_4819 = (long) (BgL_auxz00_4820);
									}
									BgL_testz00_4815 = (BgL_auxz00_4819 < BgL_stampz00_3863);
								}
							else
								{	/* Dataflow/walk.scm 246 */
									BgL_testz00_4815 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4815)
							{	/* Dataflow/walk.scm 246 */
								return BgL_bz00_1963;
							}
						else
							{	/* Dataflow/walk.scm 249 */
								bool_t BgL_testz00_4833;

								{	/* Dataflow/walk.scm 249 */
									BgL_nodez00_bglt BgL_arg2304z00_1973;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_4834;

										{
											obj_t BgL_auxz00_4835;

											{	/* Dataflow/walk.scm 249 */
												BgL_objectz00_bglt BgL_auxz00_4836;

												{
													BgL_localz00_bglt BgL_auxz00_4837;

													{	/* Dataflow/walk.scm 249 */
														obj_t BgL_pairz00_3500;

														BgL_pairz00_3500 = BgL_bz00_1963;
														BgL_auxz00_4837 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_3500));
													}
													BgL_auxz00_4836 =
														((BgL_objectz00_bglt) BgL_auxz00_4837);
												}
												BgL_auxz00_4835 = BGL_OBJECT_WIDENING(BgL_auxz00_4836);
											}
											BgL_auxz00_4834 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_4835);
										}
										BgL_arg2304z00_1973 =
											(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4834))->
											BgL_nodez00);
									}
									{	/* Dataflow/walk.scm 249 */
										bool_t BgL_res2611z00_3505;

										{	/* Dataflow/walk.scm 249 */
											obj_t BgL_objz00_3504;

											BgL_objz00_3504 = ((obj_t) BgL_arg2304z00_1973);
											BgL_res2611z00_3505 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3504,
												BGl_varz00zzast_nodez00);
										}
										BgL_testz00_4833 = BgL_res2611z00_3505;
									}
								}
								if (BgL_testz00_4833)
									{	/* Dataflow/walk.scm 250 */
										BgL_variablez00_bglt BgL_vz00_1967;

										{
											BgL_varz00_bglt BgL_auxz00_4846;

											{
												BgL_nodez00_bglt BgL_auxz00_4847;

												{
													BgL_localzf2valuezf2_bglt BgL_auxz00_4848;

													{
														obj_t BgL_auxz00_4849;

														{	/* Dataflow/walk.scm 250 */
															BgL_objectz00_bglt BgL_auxz00_4850;

															{
																BgL_localz00_bglt BgL_auxz00_4851;

																{	/* Dataflow/walk.scm 250 */
																	obj_t BgL_pairz00_3506;

																	BgL_pairz00_3506 = BgL_bz00_1963;
																	BgL_auxz00_4851 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_3506));
																}
																BgL_auxz00_4850 =
																	((BgL_objectz00_bglt) BgL_auxz00_4851);
															}
															BgL_auxz00_4849 =
																BGL_OBJECT_WIDENING(BgL_auxz00_4850);
														}
														BgL_auxz00_4848 =
															((BgL_localzf2valuezf2_bglt) BgL_auxz00_4849);
													}
													BgL_auxz00_4847 =
														(((BgL_localzf2valuezf2_bglt)
															CREF(BgL_auxz00_4848))->BgL_nodez00);
												}
												BgL_auxz00_4846 = ((BgL_varz00_bglt) BgL_auxz00_4847);
											}
											BgL_vz00_1967 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_4846))->
												BgL_variablez00);
										}
										if (
											((((BgL_variablez00_bglt) CREF(BgL_vz00_1967))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
											{	/* Dataflow/walk.scm 252 */
												obj_t BgL_arg2300z00_1969;

												BgL_arg2300z00_1969 = CDR(BgL_bz00_1963);
												return
													MAKE_PAIR(
													((obj_t) BgL_vz00_1967), BgL_arg2300z00_1969);
											}
										else
											{	/* Dataflow/walk.scm 251 */
												return BFALSE;
											}
									}
								else
									{	/* Dataflow/walk.scm 249 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-let-f2093 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f2093za2zzdataflow_walkz00(obj_t
		BgL_envz00_3865, obj_t BgL_nodez00_3866, obj_t BgL_envz00_3867)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 213 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1936;
				obj_t BgL_envz00_1937;

				BgL_nodez00_1936 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3866);
				BgL_envz00_1937 = BgL_envz00_3867;
				{	/* Dataflow/walk.scm 215 */
					obj_t BgL_g2046z00_1941;

					BgL_g2046z00_1941 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1936))->BgL_localsz00);
					{
						obj_t BgL_l2044z00_1943;

						BgL_l2044z00_1943 = BgL_g2046z00_1941;
					BgL_zc3anonymousza32287ze3z83_1944:
						if (PAIRP(BgL_l2044z00_1943))
							{	/* Dataflow/walk.scm 215 */
								{	/* Dataflow/walk.scm 216 */
									obj_t BgL_localz00_1946;

									BgL_localz00_1946 = CAR(BgL_l2044z00_1943);
									{	/* Dataflow/walk.scm 216 */
										obj_t BgL_arg2289z00_1947;

										BgL_arg2289z00_1947 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1946))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
												(BgL_nodez00_bglt) BgL_arg2289z00_1947), BNIL);
									}
								}
								{
									obj_t BgL_l2044z00_4878;

									BgL_l2044z00_4878 = CDR(BgL_l2044z00_1943);
									BgL_l2044z00_1943 = BgL_l2044z00_4878;
									goto BgL_zc3anonymousza32287ze3z83_1944;
								}
							}
						else
							{	/* Dataflow/walk.scm 215 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1936))->BgL_bodyz00),
					BgL_envz00_1937);
			}
		}
	}



/* &dataflow-node!-selec2091 */
	obj_t BGl_z62dataflowzd2nodez12zd2selec2091z70zzdataflow_walkz00(obj_t
		BgL_envz00_3868, obj_t BgL_nodez00_3869, obj_t BgL_envz00_3870)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 202 */
			{
				BgL_selectz00_bglt BgL_nodez00_1920;
				obj_t BgL_envz00_1921;

				BgL_nodez00_1920 = ((BgL_selectz00_bglt) BgL_nodez00_3869);
				BgL_envz00_1921 = BgL_envz00_3870;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1920))->BgL_testz00),
					BgL_envz00_1921);
				{	/* Dataflow/walk.scm 205 */
					obj_t BgL_g2043z00_1926;

					BgL_g2043z00_1926 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1920))->BgL_clausesz00);
					{
						obj_t BgL_l2041z00_1928;

						BgL_l2041z00_1928 = BgL_g2043z00_1926;
					BgL_zc3anonymousza32283ze3z83_1929:
						if (PAIRP(BgL_l2041z00_1928))
							{	/* Dataflow/walk.scm 205 */
								{	/* Dataflow/walk.scm 206 */
									obj_t BgL_clausez00_1931;

									BgL_clausez00_1931 = CAR(BgL_l2041z00_1928);
									{	/* Dataflow/walk.scm 206 */
										obj_t BgL_arg2285z00_1932;

										BgL_arg2285z00_1932 = CDR(BgL_clausez00_1931);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2285z00_1932),
											BgL_envz00_1921);
									}
								}
								{
									obj_t BgL_l2041z00_4892;

									BgL_l2041z00_4892 = CDR(BgL_l2041z00_1928);
									BgL_l2041z00_1928 = BgL_l2041z00_4892;
									goto BgL_zc3anonymousza32283ze3z83_1929;
								}
							}
						else
							{	/* Dataflow/walk.scm 205 */
								((bool_t) 1);
							}
					}
				}
				return BgL_envz00_1921;
			}
		}
	}



/* &dataflow-node!-fail2089 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail2089z70zzdataflow_walkz00(obj_t
		BgL_envz00_3871, obj_t BgL_nodez00_3872, obj_t BgL_envz00_3873)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 192 */
			{
				BgL_failz00_bglt BgL_nodez00_1911;
				obj_t BgL_envz00_1912;

				BgL_nodez00_1911 = ((BgL_failz00_bglt) BgL_nodez00_3872);
				BgL_envz00_1912 = BgL_envz00_3873;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1911))->BgL_procz00),
					BgL_envz00_1912);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_1911))->BgL_msgz00), BgL_envz00_1912);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_1911))->BgL_objz00), BgL_envz00_1912);
				return BgL_envz00_1912;
			}
		}
	}



/* &dataflow-node!-condi2087 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi2087z70zzdataflow_walkz00(obj_t
		BgL_envz00_3874, obj_t BgL_nodez00_3875, obj_t BgL_envz00_3876)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 169 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1870;
				obj_t BgL_envz00_1871;

				BgL_nodez00_1870 = ((BgL_conditionalz00_bglt) BgL_nodez00_3875);
				BgL_envz00_1871 = BgL_envz00_3876;
				{	/* Dataflow/walk.scm 180 */
					obj_t BgL_tenvz00_1876;

					BgL_tenvz00_1876 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1870))->BgL_testz00),
						BgL_envz00_1871);
					{	/* Dataflow/walk.scm 180 */
						obj_t BgL_truezd2envzd2_1877;

						BgL_truezd2envzd2_1877 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1870))->
									BgL_testz00)), BgL_tenvz00_1876);
						{	/* Dataflow/walk.scm 181 */
							obj_t BgL_falsezd2envzd2_1878;

							BgL_falsezd2envzd2_1878 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1870))->
										BgL_testz00)), BgL_tenvz00_1876);
							{	/* Dataflow/walk.scm 182 */

								{	/* Dataflow/walk.scm 183 */
									obj_t BgL_tenvz00_1879;
									obj_t BgL_fenvz00_1880;

									BgL_tenvz00_1879 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1870))->
											BgL_falsez00), BgL_falsezd2envzd2_1878);
									BgL_fenvz00_1880 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1870))->
											BgL_truez00), BgL_truezd2envzd2_1877);
									{	/* Dataflow/walk.scm 185 */
										bool_t BgL_testz00_4914;

										{	/* Dataflow/walk.scm 185 */
											BgL_nodez00_bglt BgL_arg2265z00_1882;

											BgL_arg2265z00_1882 =
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1870))->
												BgL_falsez00);
											BgL_testz00_4914 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg2265z00_1882));
										}
										if (BgL_testz00_4914)
											{	/* Dataflow/walk.scm 185 */
												return BgL_tenvz00_1879;
											}
										else
											{	/* Dataflow/walk.scm 185 */
												return
													BGl_zc3anonymousza32274ze3z83zzdataflow_walkz00
													(BgL_fenvz00_1880, BgL_tenvz00_1879);
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:2274> */
	obj_t BGl_zc3anonymousza32274ze3z83zzdataflow_walkz00(obj_t BgL_env2z00_3902,
		obj_t BgL_lis2037z00_1894)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 172 */
		BGl_zc3anonymousza32274ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2037z00_1894))
				{	/* Dataflow/walk.scm 172 */
					return BgL_lis2037z00_1894;
				}
			else
				{	/* Dataflow/walk.scm 172 */
					obj_t BgL_head2038z00_1897;
					obj_t BgL_tail2039z00_1898;

					BgL_head2038z00_1897 = CAR(BgL_lis2037z00_1894);
					BgL_tail2039z00_1898 = CDR(BgL_lis2037z00_1894);
					{	/* Dataflow/walk.scm 172 */
						bool_t BgL_testz00_4924;

						{	/* Dataflow/walk.scm 174 */
							obj_t BgL_c2z00_1905;

							BgL_c2z00_1905 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR
								(BgL_head2038z00_1897), BgL_env2z00_3902);
							{	/* Dataflow/walk.scm 175 */

								if (PAIRP(BgL_c2z00_1905))
									{	/* Dataflow/walk.scm 176 */
										BgL_testz00_4924 =
											(CDR(BgL_c2z00_1905) == CDR(BgL_head2038z00_1897));
									}
								else
									{	/* Dataflow/walk.scm 176 */
										BgL_testz00_4924 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_4924)
							{	/* Dataflow/walk.scm 172 */
								obj_t BgL_newzd2tail2040zd2_1900;

								BgL_newzd2tail2040zd2_1900 =
									BGl_zc3anonymousza32274ze3z83zzdataflow_walkz00
									(BgL_env2z00_3902, BgL_tail2039z00_1898);
								if ((BgL_tail2039z00_1898 == BgL_newzd2tail2040zd2_1900))
									{	/* Dataflow/walk.scm 172 */
										return BgL_lis2037z00_1894;
									}
								else
									{	/* Dataflow/walk.scm 172 */
										obj_t BgL_res2600z00_3453;

										BgL_res2600z00_3453 =
											MAKE_PAIR(BgL_head2038z00_1897,
											BgL_newzd2tail2040zd2_1900);
										return BgL_res2600z00_3453;
									}
							}
						else
							{
								obj_t BgL_lis2037z00_4936;

								BgL_lis2037z00_4936 = BgL_tail2039z00_1898;
								BgL_lis2037z00_1894 = BgL_lis2037z00_4936;
								goto BGl_zc3anonymousza32274ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-setq2085 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq2085z70zzdataflow_walkz00(obj_t
		BgL_envz00_3877, obj_t BgL_nodez00_3878, obj_t BgL_envz00_3879)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 149 */
			{
				BgL_setqz00_bglt BgL_nodez00_1833;
				obj_t BgL_envz00_1834;

				BgL_nodez00_1833 = ((BgL_setqz00_bglt) BgL_nodez00_3878);
				BgL_envz00_1834 = BgL_envz00_3879;
				{	/* Dataflow/walk.scm 157 */
					obj_t BgL_nenvz00_1839;

					BgL_nenvz00_1839 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1833))->BgL_valuez00),
						BgL_envz00_1834);
					{	/* Dataflow/walk.scm 158 */
						BgL_varz00_bglt BgL_i1169z00_1840;

						BgL_i1169z00_1840 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1833))->BgL_varz00);
						{	/* Dataflow/walk.scm 159 */
							bool_t BgL_testz00_4940;

							{	/* Dataflow/walk.scm 159 */
								BgL_variablez00_bglt BgL_arg2254z00_1850;

								BgL_arg2254z00_1850 =
									(((BgL_varz00_bglt) CREF(BgL_i1169z00_1840))->
									BgL_variablez00);
								{	/* Dataflow/walk.scm 159 */
									bool_t BgL_res2596z00_3438;

									{	/* Dataflow/walk.scm 159 */
										obj_t BgL_objz00_3437;

										BgL_objz00_3437 = ((obj_t) BgL_arg2254z00_1850);
										BgL_res2596z00_3438 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3437,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_4940 = BgL_res2596z00_3438;
								}
							}
							if (BgL_testz00_4940)
								{	/* Dataflow/walk.scm 159 */
									return
										BGl_zc3anonymousza32258ze3z83zzdataflow_walkz00(
										(((BgL_varz00_bglt) CREF(BgL_i1169z00_1840))->
											BgL_variablez00), BgL_nenvz00_1839);
								}
							else
								{	/* Dataflow/walk.scm 161 */
									BgL_typez00_bglt BgL_typz00_1843;

									BgL_typz00_1843 =
										BGl_getzd2typezd2zztype_typeofz00(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1833))->
											BgL_valuez00));
									{	/* Dataflow/walk.scm 162 */
										bool_t BgL_testz00_4948;

										if (
											(((obj_t) BgL_typz00_1843) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Dataflow/walk.scm 162 */
												BgL_testz00_4948 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 162 */
												BgL_testz00_4948 =
													(
													((obj_t) BgL_typz00_1843) ==
													BGl_za2objza2z00zztype_cachez00);
											}
										if (BgL_testz00_4948)
											{	/* Dataflow/walk.scm 162 */
												return
													BGl_zc3anonymousza32258ze3z83zzdataflow_walkz00(
													(((BgL_varz00_bglt) CREF(BgL_i1169z00_1840))->
														BgL_variablez00), BgL_nenvz00_1839);
											}
										else
											{	/* Dataflow/walk.scm 164 */
												obj_t BgL_arg2250z00_1846;

												{	/* Dataflow/walk.scm 164 */
													BgL_variablez00_bglt BgL_arg2251z00_1847;

													BgL_arg2251z00_1847 =
														(((BgL_varz00_bglt) CREF(BgL_i1169z00_1840))->
														BgL_variablez00);
													BgL_arg2250z00_1846 =
														MAKE_PAIR(((obj_t) BgL_arg2251z00_1847),
														((obj_t) BgL_typz00_1843));
												}
												return MAKE_PAIR(BgL_arg2250z00_1846, BgL_nenvz00_1839);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:2258> */
	obj_t BGl_zc3anonymousza32258ze3z83zzdataflow_walkz00(BgL_variablez00_bglt
		BgL_variablez00_3901, obj_t BgL_lis2032z00_1856)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 152 */
		BGl_zc3anonymousza32258ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2032z00_1856))
				{	/* Dataflow/walk.scm 152 */
					return BgL_lis2032z00_1856;
				}
			else
				{	/* Dataflow/walk.scm 152 */
					obj_t BgL_head2033z00_1859;
					obj_t BgL_tail2034z00_1860;

					BgL_head2033z00_1859 = CAR(BgL_lis2032z00_1856);
					BgL_tail2034z00_1860 = CDR(BgL_lis2032z00_1856);
					{	/* Dataflow/walk.scm 152 */
						bool_t BgL_testz00_4966;

						if ((CAR(BgL_head2033z00_1859) == ((obj_t) BgL_variablez00_3901)))
							{	/* Dataflow/walk.scm 153 */
								BgL_testz00_4966 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 153 */
								BgL_testz00_4966 = ((bool_t) 1);
							}
						if (BgL_testz00_4966)
							{	/* Dataflow/walk.scm 152 */
								obj_t BgL_newzd2tail2035zd2_1862;

								BgL_newzd2tail2035zd2_1862 =
									BGl_zc3anonymousza32258ze3z83zzdataflow_walkz00
									(BgL_variablez00_3901, BgL_tail2034z00_1860);
								if ((BgL_tail2034z00_1860 == BgL_newzd2tail2035zd2_1862))
									{	/* Dataflow/walk.scm 152 */
										return BgL_lis2032z00_1856;
									}
								else
									{	/* Dataflow/walk.scm 152 */
										obj_t BgL_res2595z00_3436;

										BgL_res2595z00_3436 =
											MAKE_PAIR(BgL_head2033z00_1859,
											BgL_newzd2tail2035zd2_1862);
										return BgL_res2595z00_3436;
									}
							}
						else
							{
								obj_t BgL_lis2032z00_4975;

								BgL_lis2032z00_4975 = BgL_tail2034z00_1860;
								BgL_lis2032z00_1856 = BgL_lis2032z00_4975;
								goto BGl_zc3anonymousza32258ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-exter2083 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter2083z70zzdataflow_walkz00(obj_t
		BgL_envz00_3880, obj_t BgL_nodez00_3881, obj_t BgL_envz00_3882)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 142 */
			{
				BgL_externz00_bglt BgL_nodez00_1827;
				obj_t BgL_envz00_1828;

				BgL_nodez00_1827 = ((BgL_externz00_bglt) BgL_nodez00_3881);
				BgL_envz00_1828 = BgL_envz00_3882;
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1827))->BgL_exprza2za2),
					BgL_envz00_1828);
			}
		}
	}



/* &dataflow-node!-funca2081 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca2081z70zzdataflow_walkz00(obj_t
		BgL_envz00_3883, obj_t BgL_nodez00_3884, obj_t BgL_envz00_3885)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 134 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1819;
				obj_t BgL_envz00_1820;

				BgL_nodez00_1819 = ((BgL_funcallz00_bglt) BgL_nodez00_3884);
				BgL_envz00_1820 = BgL_envz00_3885;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1819))->BgL_funz00),
					BgL_envz00_1820);
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1819))->BgL_argsz00), BgL_envz00_1820);
			}
		}
	}



/* &dataflow-node!-app-l2079 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l2079za2zzdataflow_walkz00(obj_t
		BgL_envz00_3886, obj_t BgL_nodez00_3887, obj_t BgL_envz00_3888)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 126 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1811;
				obj_t BgL_envz00_1812;

				BgL_nodez00_1811 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3887);
				BgL_envz00_1812 = BgL_envz00_3888;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1811))->BgL_funz00),
					BgL_envz00_1812);
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
							CREF(BgL_nodez00_1811))->BgL_argz00), BgL_envz00_1812);
			}
		}
	}



/* &dataflow-node!-app2077 */
	obj_t BGl_z62dataflowzd2nodez12zd2app2077z70zzdataflow_walkz00(obj_t
		BgL_envz00_3889, obj_t BgL_nodez00_3890, obj_t BgL_envz00_3891)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 110 */
			{
				BgL_appz00_bglt BgL_nodez00_1784;
				obj_t BgL_envz00_1785;

				BgL_nodez00_1784 = ((BgL_appz00_bglt) BgL_nodez00_3890);
				BgL_envz00_1785 = BgL_envz00_3891;
				{	/* Dataflow/walk.scm 112 */
					obj_t BgL_aenvz00_1789;

					BgL_aenvz00_1789 =
						BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1784))->BgL_argsz00),
						BgL_envz00_1785);
					{	/* Dataflow/walk.scm 113 */
						bool_t BgL_testz00_4991;

						{	/* Dataflow/walk.scm 113 */
							bool_t BgL_testz00_4992;

							{	/* Dataflow/walk.scm 113 */
								BgL_varz00_bglt BgL_arg2239z00_1808;

								BgL_arg2239z00_1808 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1784))->BgL_funz00);
								{	/* Dataflow/walk.scm 113 */
									bool_t BgL_res2585z00_3395;

									{	/* Dataflow/walk.scm 113 */
										obj_t BgL_objz00_3394;

										BgL_objz00_3394 = ((obj_t) BgL_arg2239z00_1808);
										BgL_res2585z00_3395 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3394,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_4992 = BgL_res2585z00_3395;
								}
							}
							if (BgL_testz00_4992)
								{	/* Dataflow/walk.scm 113 */
									BgL_variablez00_bglt BgL_arg2237z00_1806;

									BgL_arg2237z00_1806 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1784))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Dataflow/walk.scm 113 */
										bool_t BgL_res2587z00_3400;

										{	/* Dataflow/walk.scm 113 */
											obj_t BgL_objz00_3399;

											BgL_objz00_3399 = ((obj_t) BgL_arg2237z00_1806);
											BgL_res2587z00_3400 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3399,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_4991 = BgL_res2587z00_3400;
									}
								}
							else
								{	/* Dataflow/walk.scm 113 */
									BgL_testz00_4991 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_4991)
							{	/* Dataflow/walk.scm 113 */
								return
									BGl_zc3anonymousza32231ze3z83zzdataflow_walkz00
									(BgL_aenvz00_1789);
							}
						else
							{	/* Dataflow/walk.scm 113 */
								return BgL_aenvz00_1789;
							}
					}
				}
			}
		}
	}



/* <anonymous:2231> */
	obj_t BGl_zc3anonymousza32231ze3z83zzdataflow_walkz00(obj_t
		BgL_lis2027z00_1792)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 117 */
		BGl_zc3anonymousza32231ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2027z00_1792))
				{	/* Dataflow/walk.scm 117 */
					return BgL_lis2027z00_1792;
				}
			else
				{	/* Dataflow/walk.scm 117 */
					obj_t BgL_head2028z00_1795;
					obj_t BgL_tail2029z00_1796;

					BgL_head2028z00_1795 = CAR(BgL_lis2027z00_1792);
					BgL_tail2029z00_1796 = CDR(BgL_lis2027z00_1792);
					{	/* Dataflow/walk.scm 117 */
						bool_t BgL_testz00_5006;

						{	/* Dataflow/walk.scm 118 */
							obj_t BgL_vz00_1801;

							BgL_vz00_1801 = CAR(BgL_head2028z00_1795);
							{	/* Dataflow/walk.scm 119 */
								bool_t BgL__ortest_1165z00_1802;

								BgL__ortest_1165z00_1802 =
									BGl_isazf3zf3zz__objectz00(BgL_vz00_1801,
									BGl_globalz00zzast_varz00);
								if (BgL__ortest_1165z00_1802)
									{	/* Dataflow/walk.scm 119 */
										BgL_testz00_5006 = BgL__ortest_1165z00_1802;
									}
								else
									{	/* Dataflow/walk.scm 119 */
										BgL_testz00_5006 =
											(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_vz00_1801)))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
						}}}
						if (BgL_testz00_5006)
							{	/* Dataflow/walk.scm 117 */
								obj_t BgL_newzd2tail2030zd2_1798;

								BgL_newzd2tail2030zd2_1798 =
									BGl_zc3anonymousza32231ze3z83zzdataflow_walkz00
									(BgL_tail2029z00_1796);
								if ((BgL_tail2029z00_1796 == BgL_newzd2tail2030zd2_1798))
									{	/* Dataflow/walk.scm 117 */
										return BgL_lis2027z00_1792;
									}
								else
									{	/* Dataflow/walk.scm 117 */
										obj_t BgL_res2591z00_3415;

										BgL_res2591z00_3415 =
											MAKE_PAIR(BgL_head2028z00_1795,
											BgL_newzd2tail2030zd2_1798);
										return BgL_res2591z00_3415;
									}
							}
						else
							{
								obj_t BgL_lis2027z00_5018;

								BgL_lis2027z00_5018 = BgL_tail2029z00_1796;
								BgL_lis2027z00_1792 = BgL_lis2027z00_5018;
								goto BGl_zc3anonymousza32231ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-seque2075 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque2075z70zzdataflow_walkz00(obj_t
		BgL_envz00_3892, obj_t BgL_nodez00_3893, obj_t BgL_envz00_3894)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 100 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1769;
				obj_t BgL_envz00_1770;

				BgL_nodez00_1769 = ((BgL_sequencez00_bglt) BgL_nodez00_3893);
				BgL_envz00_1770 = BgL_envz00_3894;
				{	/* Dataflow/walk.scm 101 */
					obj_t BgL_g1163z00_1773;

					BgL_g1163z00_1773 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1769))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1775;
						obj_t BgL_envz00_1776;

						BgL_nodeza2za2_1775 = BgL_g1163z00_1773;
						BgL_envz00_1776 = BgL_envz00_1770;
					BgL_zc3anonymousza32225ze3z83_1777:
						if (NULLP(BgL_nodeza2za2_1775))
							{	/* Dataflow/walk.scm 103 */
								return BgL_envz00_1776;
							}
						else
							{	/* Dataflow/walk.scm 105 */
								obj_t BgL_arg2227z00_1779;
								obj_t BgL_arg2228z00_1780;

								BgL_arg2227z00_1779 = CDR(BgL_nodeza2za2_1775);
								{	/* Dataflow/walk.scm 105 */
									obj_t BgL_arg2229z00_1781;

									BgL_arg2229z00_1781 = CAR(BgL_nodeza2za2_1775);
									BgL_arg2228z00_1780 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2229z00_1781), BgL_envz00_1776);
								}
								{
									obj_t BgL_envz00_5027;
									obj_t BgL_nodeza2za2_5026;

									BgL_nodeza2za2_5026 = BgL_arg2227z00_1779;
									BgL_envz00_5027 = BgL_arg2228z00_1780;
									BgL_envz00_1776 = BgL_envz00_5027;
									BgL_nodeza2za2_1775 = BgL_nodeza2za2_5026;
									goto BgL_zc3anonymousza32225ze3z83_1777;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-closu2073 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu2073z70zzdataflow_walkz00(obj_t
		BgL_envz00_3895, obj_t BgL_nodez00_3896, obj_t BgL_envz00_3897)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 94 */
			return BgL_envz00_3897;
		}
	}



/* &dataflow-node!-var2071 */
	obj_t BGl_z62dataflowzd2nodez12zd2var2071z70zzdataflow_walkz00(obj_t
		BgL_envz00_3898, obj_t BgL_nodez00_3899, obj_t BgL_envz00_3900)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 80 */
			{
				BgL_varz00_bglt BgL_nodez00_1745;
				obj_t BgL_envz00_1746;

				BgL_nodez00_1745 = ((BgL_varz00_bglt) BgL_nodez00_3899);
				BgL_envz00_1746 = BgL_envz00_3900;
				{	/* Dataflow/walk.scm 82 */
					BgL_variablez00_bglt BgL_i1161z00_1750;

					BgL_i1161z00_1750 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1745))->BgL_variablez00);
					{	/* Dataflow/walk.scm 83 */
						bool_t BgL_testz00_5030;

						if (BGl_bigloozd2typezf3z21zztype_typez00(
								(((BgL_variablez00_bglt) CREF(BgL_i1161z00_1750))->
									BgL_typez00)))
							{	/* Dataflow/walk.scm 84 */
								bool_t BgL__ortest_1162z00_1757;

								{	/* Dataflow/walk.scm 84 */
									bool_t BgL_testz00_5034;

									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2223z00_1761;

										BgL_arg2223z00_1761 =
											(((BgL_variablez00_bglt) CREF(BgL_i1161z00_1750))->
											BgL_typez00);
										{	/* Dataflow/walk.scm 84 */
											bool_t BgL_res2581z00_3381;

											{	/* Dataflow/walk.scm 84 */
												obj_t BgL_objz00_3380;

												BgL_objz00_3380 = ((obj_t) BgL_arg2223z00_1761);
												BgL_res2581z00_3381 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_3380,
													BGl_tclassz00zzobject_classz00);
											}
											BgL_testz00_5034 = BgL_res2581z00_3381;
										}
									}
									if (BgL_testz00_5034)
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1162z00_1757 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1162z00_1757 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_1162z00_1757)
									{	/* Dataflow/walk.scm 84 */
										BgL_testz00_5030 = BgL__ortest_1162z00_1757;
									}
								else
									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2220z00_1758;
										BgL_typez00_bglt BgL_arg2221z00_1759;

										BgL_arg2220z00_1758 =
											(((BgL_variablez00_bglt) CREF(BgL_i1161z00_1750))->
											BgL_typez00);
										BgL_arg2221z00_1759 =
											(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_nodez00_1745)))->BgL_typez00);
										BgL_testz00_5030 =
											BGl_typezd2subclasszf3z21zzobject_classz00
											(BgL_arg2220z00_1758, BgL_arg2221z00_1759);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BgL_testz00_5030 = ((bool_t) 0);
							}
						if (BgL_testz00_5030)
							{	/* Dataflow/walk.scm 85 */
								obj_t BgL_bz00_1752;

								BgL_bz00_1752 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1745))->
											BgL_variablez00)), BgL_envz00_1746);
								if (PAIRP(BgL_bz00_1752))
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1745)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													CDR(BgL_bz00_1752))), BUNSPEC);
									}
								else
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1745)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1745))->
																BgL_variablez00)))->BgL_typez00)), BUNSPEC);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BFALSE;
							}
					}
				}
				return BgL_envz00_1746;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2719z00zzdataflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
