/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz121945za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1969za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1973z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1978za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1971za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1988z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62callzd2graphz12zd2app1951z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32022ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12zd2cast1959z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32049ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz121983za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2017z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2select1967z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2020z62zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2023z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1953za2zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2034z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2funcall1955z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62lambda2044z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2047z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21975z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_globalz00_bglt BGl_z62lambda2050z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2058z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2059z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2extern1957z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1980za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sequence1949z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1992z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12zd2local1990z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72286za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2287z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72288za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2289z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72290za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2291z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2035za7622292z00, BGl_z62lambda2035z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2034za7622293z00, BGl_z62lambda2034z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2023za7622294z00, BGl_z62lambda2023z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72295za7,
		BGl_z62zc3anonymousza32022ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2020za7622296z00, BGl_z62lambda2020z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2017za7622297z00, BGl_z62lambda2017z62zzeffect_cgraphz00,
		0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2059za7622298z00, BGl_z62lambda2059z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2058za7622299z00, BGl_z62lambda2058z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2050za7622300z00, BGl_z62lambda2050z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2301z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72302za7,
		BGl_z62zc3anonymousza32049ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2047za7622303z00, BGl_z62lambda2047z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2044za7622304z00, BGl_z62lambda2044z62zzeffect_cgraphz00,
		0L, BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72305za7,
		BGl_z62callzd2graphz121945za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712306za7,
		BGl_z62savezd2callz121983za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72307za7,
		BGl_z62callzd2graphz12zd2sequence1949z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2308z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72309za7,
		BGl_z62callzd2graphz12zd2app1951z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72310za7,
		BGl_z62callzd2graphz12zd2appzd2ly1953za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72311za7,
		BGl_z62callzd2graphz12zd2funcall1955z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72312za7,
		BGl_z62callzd2graphz12zd2extern1957z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72313za7,
		BGl_z62callzd2graphz12zd2cast1959z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72314za7,
		BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72315za7,
		BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72316za7,
		BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72317za7,
		BGl_z62callzd2graphz12zd2select1967z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2318z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2319z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2320z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72321za7,
		BGl_z62callzd2graphz12zd2letzd2fun1969za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72322za7,
		BGl_z62callzd2graphz12zd2letzd2var1971za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72323za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1973z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72324za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21975z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72325za7,
		BGl_z62callzd2graphz12zd2makezd2box1978za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2275z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72326za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1980za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72327za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712328za7,
		BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712329za7,
		BGl_z62savezd2callz12zd2globalzf2fr1988z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72330za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72331za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2332z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712333za7,
		BGl_z62savezd2callz12zd2local1990z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712334za7,
		BGl_z62savezd2callz12zd2localzf2fro1992z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global2335z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2336z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2337z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2338z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72339za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2340z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2341za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2342z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2343z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2344za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2345z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72346za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72347za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712348za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2349z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2350z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72351za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2352z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72353za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2354z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d22355za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72356za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72357za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72358za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2359z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2360z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2253z00zzeffect_cgraphz00,
		BgL_bgl_string2253za700za7za7e2361za7, "", 0);
	      DEFINE_STRING(BGl_string2255z00zzeffect_cgraphz00,
		BgL_bgl_string2255za700za7za7e2362za7, "call-graph!1945", 15);
	      DEFINE_STRING(BGl_string2257z00zzeffect_cgraphz00,
		BgL_bgl_string2257za700za7za7e2363za7, "save-call!1983", 14);
	      DEFINE_STRING(BGl_string2258z00zzeffect_cgraphz00,
		BgL_bgl_string2258za700za7za7e2364za7, "No method for this object", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72365za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2260z00zzeffect_cgraphz00,
		BgL_bgl_string2260za700za7za7e2366za7, "call-graph!", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2367z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72368za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2278z00zzeffect_cgraphz00,
		BgL_bgl_string2278za700za7za7e2369za7, "save-call!", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2370z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2371z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2372z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2282z00zzeffect_cgraphz00,
		BgL_bgl_string2282za700za7za7e2373za7, "effect_cgraph", 13);
	      DEFINE_STRING(BGl_string2283z00zzeffect_cgraphz00,
		BgL_bgl_string2283za700za7za7e2374za7,
		"import done save-call!1983 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72375za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2376z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2377z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2378z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2379z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72380za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2381z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72382za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72383za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72384za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2385z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2386z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2387z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2388z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2389z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72390za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72391za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2392z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72393za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2394z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2395z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72396za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2397z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72398za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2399z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2400z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72401za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3307, char *BgL_fromz00_3308)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					BGl_toplevelzd2initzd2zzeffect_cgraphz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_3109;

				BgL_cportz00_3109 =
					bgl_open_input_string(BGl_string2283z00zzeffect_cgraphz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3110;

					BgL_iz00_3110 = ((long) 9);
				BgL_loopz00_3111:
					if ((BgL_iz00_3110 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg2285z00_3113;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_3115;

										BgL_locationz00_3115 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg2285z00_3113 =
												BGl_readz00zz__readerz00(BgL_cportz00_3109,
												BgL_locationz00_3115);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_auxz00_3331;

									BgL_auxz00_3331 = (int) (BgL_iz00_3110);
									CNST_TABLE_SET(BgL_auxz00_3331, BgL_arg2285z00_3113);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_3116;

								BgL_auxz00_3116 = (int) ((BgL_iz00_3110 - ((long) 1)));
								{
									long BgL_iz00_3336;

									BgL_iz00_3336 = (long) (BgL_auxz00_3116);
									BgL_iz00_3110 = BgL_iz00_3336;
									goto BgL_loopz00_3111;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1212z00_3,
		obj_t BgL_name1213z00_4, BgL_typez00_bglt BgL_type1214z00_5,
		BgL_valuez00_bglt BgL_value1215z00_6, obj_t BgL_access1216z00_7,
		obj_t BgL_fastzd2alpha1217zd2_8, obj_t BgL_removable1218z00_9,
		long BgL_occurrence1219z00_10, long BgL_occurrencew1220z00_11,
		bool_t BgL_userzf31221zf3_12, long BgL_key1222z00_13,
		obj_t BgL_from1223z00_14)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				BgL_localz00_bglt BgL_new1145z00_3117;

				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_tmp1143z00_3118;
					BgL_localzf2fromzf2_bglt BgL_wide1144z00_3119;

					{
						BgL_localz00_bglt BgL_auxz00_3338;

						{	/* Effect/cgraph.sch 89 */
							BgL_localz00_bglt BgL_new1142z00_3120;

							BgL_new1142z00_3120 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 89 */
								long BgL_arg1998z00_3121;

								{	/* Effect/cgraph.sch 89 */
									long BgL_res2190z00_3122;

									{	/* Effect/cgraph.sch 89 */
										obj_t BgL_classz00_3123;

										BgL_classz00_3123 = BGl_localz00zzast_varz00;
										{	/* Effect/cgraph.sch 89 */
											obj_t BgL_vectorz00_3124;
											int BgL_kz00_3125;

											BgL_vectorz00_3124 = BgL_classz00_3123;
											BgL_kz00_3125 = (int) (((long) 1));
											BgL_res2190z00_3122 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_3124,
													BgL_kz00_3125));
									}}
									BgL_arg1998z00_3121 = BgL_res2190z00_3122;
								}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_objz00_3126;

									BgL_objz00_3126 = ((BgL_objectz00_bglt) BgL_new1142z00_3120);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3126,
										BgL_arg1998z00_3121);
							}}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3345;

								BgL_auxz00_3345 = ((BgL_objectz00_bglt) BgL_new1142z00_3120);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3345, BFALSE);
							}
							BgL_auxz00_3338 = BgL_new1142z00_3120;
						}
						BgL_tmp1143z00_3118 = ((BgL_localz00_bglt) BgL_auxz00_3338);
					}
					BgL_wide1144z00_3119 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 89 */
						obj_t BgL_auxz00_3352;
						BgL_objectz00_bglt BgL_auxz00_3350;

						BgL_auxz00_3352 = ((obj_t) BgL_wide1144z00_3119);
						BgL_auxz00_3350 = ((BgL_objectz00_bglt) BgL_tmp1143z00_3118);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3350, BgL_auxz00_3352);
					}
					{	/* Effect/cgraph.sch 89 */
						long BgL_arg1997z00_3127;

						{	/* Effect/cgraph.sch 89 */
							long BgL_res2191z00_3128;

							{	/* Effect/cgraph.sch 89 */
								obj_t BgL_classz00_3129;

								BgL_classz00_3129 = BGl_localzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.sch 89 */
									obj_t BgL_vectorz00_3130;
									int BgL_kz00_3131;

									BgL_vectorz00_3130 = BgL_classz00_3129;
									BgL_kz00_3131 = (int) (((long) 1));
									BgL_res2191z00_3128 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3130, BgL_kz00_3131));
							}}
							BgL_arg1997z00_3127 = BgL_res2191z00_3128;
						}
						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_objz00_3132;

							BgL_objz00_3132 = ((BgL_objectz00_bglt) BgL_tmp1143z00_3118);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3132, BgL_arg1997z00_3127));
					}}
					BgL_new1145z00_3117 = ((BgL_localz00_bglt) BgL_tmp1143z00_3118);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1145z00_3117)))->BgL_idz00) =
					((obj_t) BgL_id1212z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_namez00) =
					((obj_t) BgL_name1213z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1214z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1215z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_accessz00) =
					((obj_t) BgL_access1216z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1217zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_removablez00) =
					((obj_t) BgL_removable1218z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_occurrencez00) =
					((long) BgL_occurrence1219z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1220z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1145z00_3117)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31221zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1145z00_3117)))->BgL_keyz00) =
					((long) BgL_key1222z00_13), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3384;

					{
						obj_t BgL_auxz00_3385;

						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_auxz00_3386;

							BgL_auxz00_3386 = ((BgL_objectz00_bglt) BgL_new1145z00_3117);
							BgL_auxz00_3385 = BGL_OBJECT_WIDENING(BgL_auxz00_3386);
						}
						BgL_auxz00_3384 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3385);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3384))->BgL_fromz00) =
						((obj_t) BgL_from1223z00_14), BUNSPEC);
				}
				return BgL_new1145z00_3117;
			}
		}
	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2747, obj_t BgL_id1212z00_2748, obj_t BgL_name1213z00_2749,
		obj_t BgL_type1214z00_2750, obj_t BgL_value1215z00_2751,
		obj_t BgL_access1216z00_2752, obj_t BgL_fastzd2alpha1217zd2_2753,
		obj_t BgL_removable1218z00_2754, obj_t BgL_occurrence1219z00_2755,
		obj_t BgL_occurrencew1220z00_2756, obj_t BgL_userzf31221zf3_2757,
		obj_t BgL_key1222z00_2758, obj_t BgL_from1223z00_2759)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				obj_t BgL_id1212z00_3133;
				BgL_typez00_bglt BgL_type1214z00_3135;
				BgL_valuez00_bglt BgL_value1215z00_3136;
				long BgL_occurrence1219z00_3140;
				long BgL_occurrencew1220z00_3141;
				bool_t BgL_userzf31221zf3_3142;
				long BgL_key1222z00_3143;

				BgL_id1212z00_3133 = BgL_id1212z00_2748;
				BgL_type1214z00_3135 = ((BgL_typez00_bglt) BgL_type1214z00_2750);
				BgL_value1215z00_3136 = ((BgL_valuez00_bglt) BgL_value1215z00_2751);
				BgL_occurrence1219z00_3140 = (long) CINT(BgL_occurrence1219z00_2755);
				BgL_occurrencew1220z00_3141 = (long) CINT(BgL_occurrencew1220z00_2756);
				BgL_userzf31221zf3_3142 = CBOOL(BgL_userzf31221zf3_2757);
				BgL_key1222z00_3143 = (long) CINT(BgL_key1222z00_2758);
				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_new1145z00_3145;

					{	/* Effect/cgraph.sch 89 */
						BgL_localz00_bglt BgL_tmp1143z00_3146;
						BgL_localzf2fromzf2_bglt BgL_wide1144z00_3147;

						{
							BgL_localz00_bglt BgL_auxz00_3397;

							{	/* Effect/cgraph.sch 89 */
								BgL_localz00_bglt BgL_new1142z00_3148;

								BgL_new1142z00_3148 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.sch 89 */
									long BgL_arg1998z00_3149;

									{	/* Effect/cgraph.sch 89 */
										long BgL_res2190z00_3150;

										{	/* Effect/cgraph.sch 89 */
											obj_t BgL_classz00_3151;

											BgL_classz00_3151 = BGl_localz00zzast_varz00;
											{	/* Effect/cgraph.sch 89 */
												obj_t BgL_vectorz00_3152;
												int BgL_kz00_3153;

												BgL_vectorz00_3152 = BgL_classz00_3151;
												BgL_kz00_3153 = (int) (((long) 1));
												BgL_res2190z00_3150 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_3152,
														BgL_kz00_3153));
										}}
										BgL_arg1998z00_3149 = BgL_res2190z00_3150;
									}
									{	/* Effect/cgraph.sch 89 */
										BgL_objectz00_bglt BgL_objz00_3154;

										BgL_objz00_3154 =
											((BgL_objectz00_bglt) BgL_new1142z00_3148);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3154,
											BgL_arg1998z00_3149);
								}}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_auxz00_3404;

									BgL_auxz00_3404 = ((BgL_objectz00_bglt) BgL_new1142z00_3148);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3404, BFALSE);
								}
								BgL_auxz00_3397 = BgL_new1142z00_3148;
							}
							BgL_tmp1143z00_3146 = ((BgL_localz00_bglt) BgL_auxz00_3397);
						}
						BgL_wide1144z00_3147 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 89 */
							obj_t BgL_auxz00_3411;
							BgL_objectz00_bglt BgL_auxz00_3409;

							BgL_auxz00_3411 = ((obj_t) BgL_wide1144z00_3147);
							BgL_auxz00_3409 = ((BgL_objectz00_bglt) BgL_tmp1143z00_3146);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3409, BgL_auxz00_3411);
						}
						{	/* Effect/cgraph.sch 89 */
							long BgL_arg1997z00_3155;

							{	/* Effect/cgraph.sch 89 */
								long BgL_res2191z00_3156;

								{	/* Effect/cgraph.sch 89 */
									obj_t BgL_classz00_3157;

									BgL_classz00_3157 = BGl_localzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.sch 89 */
										obj_t BgL_vectorz00_3158;
										int BgL_kz00_3159;

										BgL_vectorz00_3158 = BgL_classz00_3157;
										BgL_kz00_3159 = (int) (((long) 1));
										BgL_res2191z00_3156 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_3158,
												BgL_kz00_3159));
								}}
								BgL_arg1997z00_3155 = BgL_res2191z00_3156;
							}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_objz00_3160;

								BgL_objz00_3160 = ((BgL_objectz00_bglt) BgL_tmp1143z00_3146);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3160,
										BgL_arg1997z00_3155));
						}}
						BgL_new1145z00_3145 = ((BgL_localz00_bglt) BgL_tmp1143z00_3146);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1145z00_3145)))->BgL_idz00) =
						((obj_t) BgL_id1212z00_3133), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_namez00) =
						((obj_t) BgL_name1213z00_2749), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1214z00_3135), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1215z00_3136), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_accessz00) =
						((obj_t) BgL_access1216z00_2752), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1217zd2_2753), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_removablez00) =
						((obj_t) BgL_removable1218z00_2754), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_occurrencez00) =
						((long) BgL_occurrence1219z00_3140), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1220z00_3141), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1145z00_3145)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31221zf3_3142), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1145z00_3145)))->BgL_keyz00) =
						((long) BgL_key1222z00_3143), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_3443;

						{
							obj_t BgL_auxz00_3444;

							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3445;

								BgL_auxz00_3445 = ((BgL_objectz00_bglt) BgL_new1145z00_3145);
								BgL_auxz00_3444 = BGL_OBJECT_WIDENING(BgL_auxz00_3445);
							}
							BgL_auxz00_3443 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3444);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3443))->BgL_fromz00) =
							((obj_t) BgL_from1223z00_2759), BUNSPEC);
					}
					return BgL_new1145z00_3145;
				}
			}
		}
	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_15)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_15,
				BGl_localzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2760,
		obj_t BgL_objz00_2761)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2761,
					BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			{	/* Effect/cgraph.sch 91 */
				obj_t BgL_classz00_2403;

				BgL_classz00_2403 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 91 */
					obj_t BgL__ortest_1089z00_2404;

					BgL__ortest_1089z00_2404 =
						VECTOR_REF(BgL_classz00_2403, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1089z00_2404))
						{	/* Effect/cgraph.sch 91 */
							return ((BgL_localz00_bglt) BgL__ortest_1089z00_2404);
						}
					else
						{	/* Effect/cgraph.sch 91 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2403));
						}
				}
			}
		}
	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2762)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_16)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3461;

				{
					obj_t BgL_auxz00_3462;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3463;

						BgL_auxz00_3463 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3462 = BGL_OBJECT_WIDENING(BgL_auxz00_3463);
					}
					BgL_auxz00_3461 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3462);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3461))->BgL_fromz00);
			}
		}
	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2763,
		obj_t BgL_oz00_2764)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3468;

				{
					obj_t BgL_auxz00_3469;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3470;

						BgL_auxz00_3470 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2764));
						BgL_auxz00_3469 = BGL_OBJECT_WIDENING(BgL_auxz00_3470);
					}
					BgL_auxz00_3468 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3469);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3468))->BgL_fromz00);
			}
		}
	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3476;

				{
					obj_t BgL_auxz00_3477;

					{	/* Effect/cgraph.sch 93 */
						BgL_objectz00_bglt BgL_auxz00_3478;

						BgL_auxz00_3478 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3477 = BGL_OBJECT_WIDENING(BgL_auxz00_3478);
					}
					BgL_auxz00_3476 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3477);
				}
				return
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3476))->BgL_fromz00) =
					((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}
	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2765, obj_t BgL_oz00_2766, obj_t BgL_vz00_2767)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{	/* Effect/cgraph.sch 93 */
				BgL_localz00_bglt BgL_oz00_3163;

				BgL_oz00_3163 = ((BgL_localz00_bglt) BgL_oz00_2766);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3484;

					{
						obj_t BgL_auxz00_3485;

						{	/* Effect/cgraph.sch 93 */
							BgL_objectz00_bglt BgL_auxz00_3486;

							BgL_auxz00_3486 = ((BgL_objectz00_bglt) BgL_oz00_3163);
							BgL_auxz00_3485 = BGL_OBJECT_WIDENING(BgL_auxz00_3486);
						}
						BgL_auxz00_3484 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3485);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3484))->BgL_fromz00) =
						((obj_t) BgL_vz00_2767), BUNSPEC);
				}
			}
		}
	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_19)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				(((BgL_localz00_bglt) CREF(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}
	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2768,
		obj_t BgL_oz00_2769)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				BINT(
				(((BgL_localz00_bglt) CREF(
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2769))))->BgL_keyz00));
		}
	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}
	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2770, obj_t BgL_oz00_2771)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2771))))->BgL_userzf3zf3));
		}
	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_23, bool_t BgL_vz00_24)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}
	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2772, obj_t BgL_oz00_2773, obj_t BgL_vz00_2774)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			{	/* Effect/cgraph.sch 97 */
				BgL_localz00_bglt BgL_oz00_3167;
				bool_t BgL_vz00_3168;

				BgL_oz00_3167 = ((BgL_localz00_bglt) BgL_oz00_2773);
				BgL_vz00_3168 = CBOOL(BgL_vz00_2774);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3167)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3168), BUNSPEC);
			}
		}
	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}
	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2775, obj_t BgL_oz00_2776)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2776))))->BgL_occurrencewz00));
		}
	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}
	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2777, obj_t BgL_oz00_2778, obj_t BgL_vz00_2779)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			{	/* Effect/cgraph.sch 99 */
				BgL_localz00_bglt BgL_oz00_3170;
				long BgL_vz00_3171;

				BgL_oz00_3170 = ((BgL_localz00_bglt) BgL_oz00_2778);
				BgL_vz00_3171 = (long) CINT(BgL_vz00_2779);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3170)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3171), BUNSPEC);
		}}
	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}
	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2780, obj_t BgL_oz00_2781)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2781))))->BgL_occurrencez00));
		}
	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}
	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2782, obj_t BgL_oz00_2783, obj_t BgL_vz00_2784)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			{	/* Effect/cgraph.sch 101 */
				BgL_localz00_bglt BgL_oz00_3173;
				long BgL_vz00_3174;

				BgL_oz00_3173 = ((BgL_localz00_bglt) BgL_oz00_2783);
				BgL_vz00_3174 = (long) CINT(BgL_vz00_2784);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3173)))->BgL_occurrencez00) =
					((long) BgL_vz00_3174), BUNSPEC);
		}}
	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}
	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2785, obj_t BgL_oz00_2786)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2786))))->BgL_removablez00);
		}
	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}
	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2787, obj_t BgL_oz00_2788, obj_t BgL_vz00_2789)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			{	/* Effect/cgraph.sch 103 */
				BgL_localz00_bglt BgL_oz00_3176;

				BgL_oz00_3176 = ((BgL_localz00_bglt) BgL_oz00_2788);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3176)))->BgL_removablez00) =
					((obj_t) BgL_vz00_2789), BUNSPEC);
			}
		}
	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}
	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2790, obj_t BgL_oz00_2791)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2791))))->BgL_fastzd2alphazd2);
		}
	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}
	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2792, obj_t BgL_oz00_2793, obj_t BgL_vz00_2794)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			{	/* Effect/cgraph.sch 105 */
				BgL_localz00_bglt BgL_oz00_3179;

				BgL_oz00_3179 = ((BgL_localz00_bglt) BgL_oz00_2793);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3179)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_2794), BUNSPEC);
			}
		}
	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}
	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2795,
		obj_t BgL_oz00_2796)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2796))))->BgL_accessz00);
		}
	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}
	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2797, obj_t BgL_oz00_2798, obj_t BgL_vz00_2799)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			{	/* Effect/cgraph.sch 107 */
				BgL_localz00_bglt BgL_oz00_3182;

				BgL_oz00_3182 = ((BgL_localz00_bglt) BgL_oz00_2798);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3182)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2799), BUNSPEC);
			}
		}
	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_40)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}
	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2800, obj_t BgL_oz00_2801)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2801))))->BgL_valuez00);
		}
	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}
	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2802, obj_t BgL_oz00_2803, obj_t BgL_vz00_2804)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			{	/* Effect/cgraph.sch 109 */
				BgL_localz00_bglt BgL_oz00_3185;
				BgL_valuez00_bglt BgL_vz00_3186;

				BgL_oz00_3185 = ((BgL_localz00_bglt) BgL_oz00_2803);
				BgL_vz00_3186 = ((BgL_valuez00_bglt) BgL_vz00_2804);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3185)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3186), BUNSPEC);
			}
		}
	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_43)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}
	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2805, obj_t BgL_oz00_2806)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2806))))->BgL_typez00);
		}
	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}
	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2807, obj_t BgL_oz00_2808, obj_t BgL_vz00_2809)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			{	/* Effect/cgraph.sch 111 */
				BgL_localz00_bglt BgL_oz00_3188;
				BgL_typez00_bglt BgL_vz00_3189;

				BgL_oz00_3188 = ((BgL_localz00_bglt) BgL_oz00_2808);
				BgL_vz00_3189 = ((BgL_typez00_bglt) BgL_vz00_2809);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3188)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3189), BUNSPEC);
			}
		}
	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}
	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2810,
		obj_t BgL_oz00_2811)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2811))))->BgL_namez00);
		}
	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}
	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2812, obj_t BgL_oz00_2813, obj_t BgL_vz00_2814)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			{	/* Effect/cgraph.sch 113 */
				BgL_localz00_bglt BgL_oz00_3191;

				BgL_oz00_3191 = ((BgL_localz00_bglt) BgL_oz00_2813);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3191)))->BgL_namez00) =
					((obj_t) BgL_vz00_2814), BUNSPEC);
			}
		}
	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}
	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2815,
		obj_t BgL_oz00_2816)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2816))))->BgL_idz00);
		}
	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1191z00_52,
		obj_t BgL_name1192z00_53, BgL_typez00_bglt BgL_type1193z00_54,
		BgL_valuez00_bglt BgL_value1194z00_55, obj_t BgL_access1195z00_56,
		obj_t BgL_fastzd2alpha1196zd2_57, obj_t BgL_removable1197z00_58,
		long BgL_occurrence1198z00_59, long BgL_occurrencew1199z00_60,
		bool_t BgL_userzf31200zf3_61, obj_t BgL_module1201z00_62,
		obj_t BgL_import1202z00_63, bool_t BgL_evaluablezf31203zf3_64,
		bool_t BgL_evalzf31204zf3_65, obj_t BgL_library1205z00_66,
		obj_t BgL_pragma1206z00_67, obj_t BgL_src1207z00_68,
		obj_t BgL_jvmzd2typezd2name1208z00_69, obj_t BgL_init1209z00_70,
		obj_t BgL_from1210z00_71)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				BgL_globalz00_bglt BgL_new1173z00_3194;

				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_tmp1171z00_3195;
					BgL_globalzf2fromzf2_bglt BgL_wide1172z00_3196;

					{
						BgL_globalz00_bglt BgL_auxz00_3600;

						{	/* Effect/cgraph.sch 118 */
							BgL_globalz00_bglt BgL_new1170z00_3197;

							BgL_new1170z00_3197 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 118 */
								long BgL_arg2001z00_3198;

								{	/* Effect/cgraph.sch 118 */
									long BgL_res2192z00_3199;

									{	/* Effect/cgraph.sch 118 */
										obj_t BgL_classz00_3200;

										BgL_classz00_3200 = BGl_globalz00zzast_varz00;
										{	/* Effect/cgraph.sch 118 */
											obj_t BgL_vectorz00_3201;
											int BgL_kz00_3202;

											BgL_vectorz00_3201 = BgL_classz00_3200;
											BgL_kz00_3202 = (int) (((long) 1));
											BgL_res2192z00_3199 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_3201,
													BgL_kz00_3202));
									}}
									BgL_arg2001z00_3198 = BgL_res2192z00_3199;
								}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_objz00_3203;

									BgL_objz00_3203 = ((BgL_objectz00_bglt) BgL_new1170z00_3197);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3203,
										BgL_arg2001z00_3198);
							}}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3607;

								BgL_auxz00_3607 = ((BgL_objectz00_bglt) BgL_new1170z00_3197);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3607, BFALSE);
							}
							BgL_auxz00_3600 = BgL_new1170z00_3197;
						}
						BgL_tmp1171z00_3195 = ((BgL_globalz00_bglt) BgL_auxz00_3600);
					}
					BgL_wide1172z00_3196 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 118 */
						obj_t BgL_auxz00_3614;
						BgL_objectz00_bglt BgL_auxz00_3612;

						BgL_auxz00_3614 = ((obj_t) BgL_wide1172z00_3196);
						BgL_auxz00_3612 = ((BgL_objectz00_bglt) BgL_tmp1171z00_3195);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3612, BgL_auxz00_3614);
					}
					{	/* Effect/cgraph.sch 118 */
						long BgL_arg2000z00_3204;

						{	/* Effect/cgraph.sch 118 */
							long BgL_res2193z00_3205;

							{	/* Effect/cgraph.sch 118 */
								obj_t BgL_classz00_3206;

								BgL_classz00_3206 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.sch 118 */
									obj_t BgL_vectorz00_3207;
									int BgL_kz00_3208;

									BgL_vectorz00_3207 = BgL_classz00_3206;
									BgL_kz00_3208 = (int) (((long) 1));
									BgL_res2193z00_3205 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_3207, BgL_kz00_3208));
							}}
							BgL_arg2000z00_3204 = BgL_res2193z00_3205;
						}
						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_objz00_3209;

							BgL_objz00_3209 = ((BgL_objectz00_bglt) BgL_tmp1171z00_3195);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3209, BgL_arg2000z00_3204));
					}}
					BgL_new1173z00_3194 = ((BgL_globalz00_bglt) BgL_tmp1171z00_3195);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1173z00_3194)))->BgL_idz00) =
					((obj_t) BgL_id1191z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_namez00) =
					((obj_t) BgL_name1192z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1193z00_54), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1194z00_55), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_accessz00) =
					((obj_t) BgL_access1195z00_56), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1196zd2_57), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_removablez00) =
					((obj_t) BgL_removable1197z00_58), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_occurrencez00) =
					((long) BgL_occurrence1198z00_59), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1199z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1173z00_3194)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31200zf3_61), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_modulez00) =
					((obj_t) BgL_module1201z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_importz00) =
					((obj_t) BgL_import1202z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31203zf3_64), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31204zf3_65), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_libraryz00) =
					((obj_t) BgL_library1205z00_66), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1206z00_67), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_srcz00) =
					((obj_t) BgL_src1207z00_68), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1208z00_69), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1173z00_3194)))->BgL_initz00) =
					((obj_t) BgL_init1209z00_70), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3662;

					{
						obj_t BgL_auxz00_3663;

						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_auxz00_3664;

							BgL_auxz00_3664 = ((BgL_objectz00_bglt) BgL_new1173z00_3194);
							BgL_auxz00_3663 = BGL_OBJECT_WIDENING(BgL_auxz00_3664);
						}
						BgL_auxz00_3662 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3663);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3662))->BgL_fromz00) =
						((obj_t) BgL_from1210z00_71), BUNSPEC);
				}
				return BgL_new1173z00_3194;
			}
		}
	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2817, obj_t BgL_id1191z00_2818, obj_t BgL_name1192z00_2819,
		obj_t BgL_type1193z00_2820, obj_t BgL_value1194z00_2821,
		obj_t BgL_access1195z00_2822, obj_t BgL_fastzd2alpha1196zd2_2823,
		obj_t BgL_removable1197z00_2824, obj_t BgL_occurrence1198z00_2825,
		obj_t BgL_occurrencew1199z00_2826, obj_t BgL_userzf31200zf3_2827,
		obj_t BgL_module1201z00_2828, obj_t BgL_import1202z00_2829,
		obj_t BgL_evaluablezf31203zf3_2830, obj_t BgL_evalzf31204zf3_2831,
		obj_t BgL_library1205z00_2832, obj_t BgL_pragma1206z00_2833,
		obj_t BgL_src1207z00_2834, obj_t BgL_jvmzd2typezd2name1208z00_2835,
		obj_t BgL_init1209z00_2836, obj_t BgL_from1210z00_2837)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				obj_t BgL_id1191z00_3210;
				BgL_typez00_bglt BgL_type1193z00_3212;
				BgL_valuez00_bglt BgL_value1194z00_3213;
				long BgL_occurrence1198z00_3217;
				long BgL_occurrencew1199z00_3218;
				bool_t BgL_userzf31200zf3_3219;
				obj_t BgL_module1201z00_3220;
				bool_t BgL_evaluablezf31203zf3_3222;
				bool_t BgL_evalzf31204zf3_3223;
				obj_t BgL_jvmzd2typezd2name1208z00_3227;

				BgL_id1191z00_3210 = BgL_id1191z00_2818;
				BgL_type1193z00_3212 = ((BgL_typez00_bglt) BgL_type1193z00_2820);
				BgL_value1194z00_3213 = ((BgL_valuez00_bglt) BgL_value1194z00_2821);
				BgL_occurrence1198z00_3217 = (long) CINT(BgL_occurrence1198z00_2825);
				BgL_occurrencew1199z00_3218 = (long) CINT(BgL_occurrencew1199z00_2826);
				BgL_userzf31200zf3_3219 = CBOOL(BgL_userzf31200zf3_2827);
				BgL_module1201z00_3220 = BgL_module1201z00_2828;
				BgL_evaluablezf31203zf3_3222 = CBOOL(BgL_evaluablezf31203zf3_2830);
				BgL_evalzf31204zf3_3223 = CBOOL(BgL_evalzf31204zf3_2831);
				BgL_jvmzd2typezd2name1208z00_3227 = BgL_jvmzd2typezd2name1208z00_2835;
				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_new1173z00_3230;

					{	/* Effect/cgraph.sch 118 */
						BgL_globalz00_bglt BgL_tmp1171z00_3231;
						BgL_globalzf2fromzf2_bglt BgL_wide1172z00_3232;

						{
							BgL_globalz00_bglt BgL_auxz00_3676;

							{	/* Effect/cgraph.sch 118 */
								BgL_globalz00_bglt BgL_new1170z00_3233;

								BgL_new1170z00_3233 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.sch 118 */
									long BgL_arg2001z00_3234;

									{	/* Effect/cgraph.sch 118 */
										long BgL_res2192z00_3235;

										{	/* Effect/cgraph.sch 118 */
											obj_t BgL_classz00_3236;

											BgL_classz00_3236 = BGl_globalz00zzast_varz00;
											{	/* Effect/cgraph.sch 118 */
												obj_t BgL_vectorz00_3237;
												int BgL_kz00_3238;

												BgL_vectorz00_3237 = BgL_classz00_3236;
												BgL_kz00_3238 = (int) (((long) 1));
												BgL_res2192z00_3235 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_3237,
														BgL_kz00_3238));
										}}
										BgL_arg2001z00_3234 = BgL_res2192z00_3235;
									}
									{	/* Effect/cgraph.sch 118 */
										BgL_objectz00_bglt BgL_objz00_3239;

										BgL_objz00_3239 =
											((BgL_objectz00_bglt) BgL_new1170z00_3233);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3239,
											BgL_arg2001z00_3234);
								}}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_auxz00_3683;

									BgL_auxz00_3683 = ((BgL_objectz00_bglt) BgL_new1170z00_3233);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3683, BFALSE);
								}
								BgL_auxz00_3676 = BgL_new1170z00_3233;
							}
							BgL_tmp1171z00_3231 = ((BgL_globalz00_bglt) BgL_auxz00_3676);
						}
						BgL_wide1172z00_3232 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 118 */
							obj_t BgL_auxz00_3690;
							BgL_objectz00_bglt BgL_auxz00_3688;

							BgL_auxz00_3690 = ((obj_t) BgL_wide1172z00_3232);
							BgL_auxz00_3688 = ((BgL_objectz00_bglt) BgL_tmp1171z00_3231);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3688, BgL_auxz00_3690);
						}
						{	/* Effect/cgraph.sch 118 */
							long BgL_arg2000z00_3240;

							{	/* Effect/cgraph.sch 118 */
								long BgL_res2193z00_3241;

								{	/* Effect/cgraph.sch 118 */
									obj_t BgL_classz00_3242;

									BgL_classz00_3242 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.sch 118 */
										obj_t BgL_vectorz00_3243;
										int BgL_kz00_3244;

										BgL_vectorz00_3243 = BgL_classz00_3242;
										BgL_kz00_3244 = (int) (((long) 1));
										BgL_res2193z00_3241 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_3243,
												BgL_kz00_3244));
								}}
								BgL_arg2000z00_3240 = BgL_res2193z00_3241;
							}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_objz00_3245;

								BgL_objz00_3245 = ((BgL_objectz00_bglt) BgL_tmp1171z00_3231);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3245,
										BgL_arg2000z00_3240));
						}}
						BgL_new1173z00_3230 = ((BgL_globalz00_bglt) BgL_tmp1171z00_3231);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1173z00_3230)))->BgL_idz00) =
						((obj_t) BgL_id1191z00_3210), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_namez00) =
						((obj_t) BgL_name1192z00_2819), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1193z00_3212), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1194z00_3213), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_accessz00) =
						((obj_t) BgL_access1195z00_2822), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1196zd2_2823), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_removablez00) =
						((obj_t) BgL_removable1197z00_2824), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_occurrencez00) =
						((long) BgL_occurrence1198z00_3217), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1199z00_3218), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1173z00_3230)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31200zf3_3219), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_modulez00) =
						((obj_t) BgL_module1201z00_3220), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_importz00) =
						((obj_t) BgL_import1202z00_2829), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31203zf3_3222), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31204zf3_3223), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_libraryz00) =
						((obj_t) BgL_library1205z00_2832), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1206z00_2833), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_srcz00) =
						((obj_t) BgL_src1207z00_2834), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1208z00_3227), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1173z00_3230)))->BgL_initz00) =
						((obj_t) BgL_init1209z00_2836), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_3738;

						{
							obj_t BgL_auxz00_3739;

							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3740;

								BgL_auxz00_3740 = ((BgL_objectz00_bglt) BgL_new1173z00_3230);
								BgL_auxz00_3739 = BGL_OBJECT_WIDENING(BgL_auxz00_3740);
							}
							BgL_auxz00_3738 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3739);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3738))->
								BgL_fromz00) = ((obj_t) BgL_from1210z00_2837), BUNSPEC);
					}
					return BgL_new1173z00_3230;
				}
			}
		}
	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_72)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_72,
				BGl_globalzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2838,
		obj_t BgL_objz00_2839)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2839,
					BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			{	/* Effect/cgraph.sch 120 */
				obj_t BgL_classz00_2447;

				BgL_classz00_2447 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 120 */
					obj_t BgL__ortest_1089z00_2448;

					BgL__ortest_1089z00_2448 =
						VECTOR_REF(BgL_classz00_2447, (int) (((long) 17)));
					if (CBOOL(BgL__ortest_1089z00_2448))
						{	/* Effect/cgraph.sch 120 */
							return ((BgL_globalz00_bglt) BgL__ortest_1089z00_2448);
						}
					else
						{	/* Effect/cgraph.sch 120 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2447));
						}
				}
			}
		}
	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2840)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_73)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3756;

				{
					obj_t BgL_auxz00_3757;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3758;

						BgL_auxz00_3758 = ((BgL_objectz00_bglt) BgL_oz00_73);
						BgL_auxz00_3757 = BGL_OBJECT_WIDENING(BgL_auxz00_3758);
					}
					BgL_auxz00_3756 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3757);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3756))->BgL_fromz00);
			}
		}
	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2841,
		obj_t BgL_oz00_2842)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3763;

				{
					obj_t BgL_auxz00_3764;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3765;

						BgL_auxz00_3765 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2842));
						BgL_auxz00_3764 = BGL_OBJECT_WIDENING(BgL_auxz00_3765);
					}
					BgL_auxz00_3763 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3764);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3763))->BgL_fromz00);
			}
		}
	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3771;

				{
					obj_t BgL_auxz00_3772;

					{	/* Effect/cgraph.sch 122 */
						BgL_objectz00_bglt BgL_auxz00_3773;

						BgL_auxz00_3773 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_3772 = BGL_OBJECT_WIDENING(BgL_auxz00_3773);
					}
					BgL_auxz00_3771 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3772);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3771))->BgL_fromz00) =
					((obj_t) BgL_vz00_75), BUNSPEC);
			}
		}
	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2843, obj_t BgL_oz00_2844, obj_t BgL_vz00_2845)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{	/* Effect/cgraph.sch 122 */
				BgL_globalz00_bglt BgL_oz00_3248;

				BgL_oz00_3248 = ((BgL_globalz00_bglt) BgL_oz00_2844);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3779;

					{
						obj_t BgL_auxz00_3780;

						{	/* Effect/cgraph.sch 122 */
							BgL_objectz00_bglt BgL_auxz00_3781;

							BgL_auxz00_3781 = ((BgL_objectz00_bglt) BgL_oz00_3248);
							BgL_auxz00_3780 = BGL_OBJECT_WIDENING(BgL_auxz00_3781);
						}
						BgL_auxz00_3779 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3780);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3779))->
							BgL_fromz00) = ((obj_t) BgL_vz00_2845), BUNSPEC);
				}
			}
		}
	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_76)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_76)))->BgL_initz00);
		}
	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2846,
		obj_t BgL_oz00_2847)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2847))))->BgL_initz00);
		}
	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_77)))->BgL_initz00) =
				((obj_t) BgL_vz00_78), BUNSPEC);
		}
	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2848, obj_t BgL_oz00_2849, obj_t BgL_vz00_2850)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			{	/* Effect/cgraph.sch 124 */
				BgL_globalz00_bglt BgL_oz00_3251;

				BgL_oz00_3251 = ((BgL_globalz00_bglt) BgL_oz00_2849);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3251)))->BgL_initz00) =
					((obj_t) BgL_vz00_2850), BUNSPEC);
			}
		}
	}



/* global/from-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_79)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_79)))->BgL_jvmzd2typezd2namez00);
		}
	}



/* &global/from-jvm-type-name */
	obj_t BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2851, obj_t BgL_oz00_2852)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2852))))->
				BgL_jvmzd2typezd2namez00);
		}
	}



/* global/from-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_80)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_81), BUNSPEC);
		}
	}



/* &global/from-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2853, obj_t BgL_oz00_2854, obj_t BgL_vz00_2855)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			{	/* Effect/cgraph.sch 126 */
				BgL_globalz00_bglt BgL_oz00_3254;
				obj_t BgL_vz00_3255;

				BgL_oz00_3254 = ((BgL_globalz00_bglt) BgL_oz00_2854);
				BgL_vz00_3255 = BgL_vz00_2855;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3254)))->
						BgL_jvmzd2typezd2namez00) = ((obj_t) BgL_vz00_3255), BUNSPEC);
			}
		}
	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_82)))->BgL_srcz00);
		}
	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2856,
		obj_t BgL_oz00_2857)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2857))))->BgL_srcz00);
		}
	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_83)))->BgL_srcz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}
	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2858, obj_t BgL_oz00_2859, obj_t BgL_vz00_2860)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			{	/* Effect/cgraph.sch 128 */
				BgL_globalz00_bglt BgL_oz00_3257;

				BgL_oz00_3257 = ((BgL_globalz00_bglt) BgL_oz00_2859);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3257)))->BgL_srcz00) =
					((obj_t) BgL_vz00_2860), BUNSPEC);
			}
		}
	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_85)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_85)))->BgL_pragmaz00);
		}
	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2861, obj_t BgL_oz00_2862)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2862))))->BgL_pragmaz00);
		}
	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}
	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2863, obj_t BgL_oz00_2864, obj_t BgL_vz00_2865)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			{	/* Effect/cgraph.sch 130 */
				BgL_globalz00_bglt BgL_oz00_3260;

				BgL_oz00_3260 = ((BgL_globalz00_bglt) BgL_oz00_2864);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3260)))->BgL_pragmaz00) =
					((obj_t) BgL_vz00_2865), BUNSPEC);
			}
		}
	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_88)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_88)))->BgL_libraryz00);
		}
	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2866, obj_t BgL_oz00_2867)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2867))))->BgL_libraryz00);
		}
	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}
	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2868, obj_t BgL_oz00_2869, obj_t BgL_vz00_2870)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			{	/* Effect/cgraph.sch 132 */
				BgL_globalz00_bglt BgL_oz00_3263;

				BgL_oz00_3263 = ((BgL_globalz00_bglt) BgL_oz00_2869);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3263)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_2870), BUNSPEC);
			}
		}
	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_91)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_91)))->BgL_evalzf3zf3);
		}
	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2871, obj_t BgL_oz00_2872)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2872))))->BgL_evalzf3zf3));
		}
	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_92, bool_t BgL_vz00_93)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_92)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_93), BUNSPEC);
		}
	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2873, obj_t BgL_oz00_2874, obj_t BgL_vz00_2875)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			{	/* Effect/cgraph.sch 134 */
				BgL_globalz00_bglt BgL_oz00_3266;
				bool_t BgL_vz00_3267;

				BgL_oz00_3266 = ((BgL_globalz00_bglt) BgL_oz00_2874);
				BgL_vz00_3267 = CBOOL(BgL_vz00_2875);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3266)))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_3267), BUNSPEC);
			}
		}
	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_94)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_94)))->BgL_evaluablezf3zf3);
		}
	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2876, obj_t BgL_oz00_2877)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2877))))->BgL_evaluablezf3zf3));
		}
	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_95, bool_t BgL_vz00_96)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_96), BUNSPEC);
		}
	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2878, obj_t BgL_oz00_2879, obj_t BgL_vz00_2880)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			{	/* Effect/cgraph.sch 136 */
				BgL_globalz00_bglt BgL_oz00_3269;
				bool_t BgL_vz00_3270;

				BgL_oz00_3269 = ((BgL_globalz00_bglt) BgL_oz00_2879);
				BgL_vz00_3270 = CBOOL(BgL_vz00_2880);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3269)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_vz00_3270), BUNSPEC);
			}
		}
	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_97)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_97)))->BgL_importz00);
		}
	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2881, obj_t BgL_oz00_2882)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2882))))->BgL_importz00);
		}
	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_importz00) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}
	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2883, obj_t BgL_oz00_2884, obj_t BgL_vz00_2885)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			{	/* Effect/cgraph.sch 138 */
				BgL_globalz00_bglt BgL_oz00_3272;

				BgL_oz00_3272 = ((BgL_globalz00_bglt) BgL_oz00_2884);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3272)))->BgL_importz00) =
					((obj_t) BgL_vz00_2885), BUNSPEC);
			}
		}
	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_100)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_100)))->BgL_modulez00);
		}
	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2886, obj_t BgL_oz00_2887)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2887))))->BgL_modulez00);
		}
	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_modulez00) =
				((obj_t) BgL_vz00_102), BUNSPEC);
		}
	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2888, obj_t BgL_oz00_2889, obj_t BgL_vz00_2890)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			{	/* Effect/cgraph.sch 140 */
				BgL_globalz00_bglt BgL_oz00_3275;
				obj_t BgL_vz00_3276;

				BgL_oz00_3275 = ((BgL_globalz00_bglt) BgL_oz00_2889);
				BgL_vz00_3276 = BgL_vz00_2890;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3275)))->BgL_modulez00) =
					((obj_t) BgL_vz00_3276), BUNSPEC);
			}
		}
	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_103)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_userzf3zf3);
		}
	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2891, obj_t BgL_oz00_2892)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2892))))->BgL_userzf3zf3));
		}
	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_104)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}
	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2893, obj_t BgL_oz00_2894, obj_t BgL_vz00_2895)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			{	/* Effect/cgraph.sch 142 */
				BgL_globalz00_bglt BgL_oz00_3278;
				bool_t BgL_vz00_3279;

				BgL_oz00_3278 = ((BgL_globalz00_bglt) BgL_oz00_2894);
				BgL_vz00_3279 = CBOOL(BgL_vz00_2895);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3278)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3279), BUNSPEC);
			}
		}
	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_106)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_occurrencewz00);
		}
	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2896, obj_t BgL_oz00_2897)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2897))))->BgL_occurrencewz00));
		}
	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_107, long BgL_vz00_108)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_107)))->BgL_occurrencewz00) =
				((long) BgL_vz00_108), BUNSPEC);
		}
	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2898, obj_t BgL_oz00_2899, obj_t BgL_vz00_2900)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			{	/* Effect/cgraph.sch 144 */
				BgL_globalz00_bglt BgL_oz00_3281;
				long BgL_vz00_3282;

				BgL_oz00_3281 = ((BgL_globalz00_bglt) BgL_oz00_2899);
				BgL_vz00_3282 = (long) CINT(BgL_vz00_2900);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3281)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3282), BUNSPEC);
		}}
	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_109)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_occurrencez00);
		}
	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2901, obj_t BgL_oz00_2902)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2902))))->BgL_occurrencez00));
		}
	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_110, long BgL_vz00_111)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_110)))->BgL_occurrencez00) =
				((long) BgL_vz00_111), BUNSPEC);
		}
	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2903, obj_t BgL_oz00_2904, obj_t BgL_vz00_2905)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			{	/* Effect/cgraph.sch 146 */
				BgL_globalz00_bglt BgL_oz00_3284;
				long BgL_vz00_3285;

				BgL_oz00_3284 = ((BgL_globalz00_bglt) BgL_oz00_2904);
				BgL_vz00_3285 = (long) CINT(BgL_vz00_2905);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3284)))->BgL_occurrencez00) =
					((long) BgL_vz00_3285), BUNSPEC);
		}}
	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_112)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_removablez00);
		}
	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2906, obj_t BgL_oz00_2907)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2907))))->BgL_removablez00);
		}
	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_113, obj_t BgL_vz00_114)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_113)))->BgL_removablez00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}
	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2908, obj_t BgL_oz00_2909, obj_t BgL_vz00_2910)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			{	/* Effect/cgraph.sch 148 */
				BgL_globalz00_bglt BgL_oz00_3287;

				BgL_oz00_3287 = ((BgL_globalz00_bglt) BgL_oz00_2909);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3287)))->BgL_removablez00) =
					((obj_t) BgL_vz00_2910), BUNSPEC);
			}
		}
	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_115)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_fastzd2alphazd2);
		}
	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2911, obj_t BgL_oz00_2912)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2912))))->BgL_fastzd2alphazd2);
		}
	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_116, obj_t BgL_vz00_117)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_117), BUNSPEC);
		}
	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2913, obj_t BgL_oz00_2914, obj_t BgL_vz00_2915)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			{	/* Effect/cgraph.sch 150 */
				BgL_globalz00_bglt BgL_oz00_3290;

				BgL_oz00_3290 = ((BgL_globalz00_bglt) BgL_oz00_2914);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3290)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_2915), BUNSPEC);
			}
		}
	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_118)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_accessz00);
		}
	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2916, obj_t BgL_oz00_2917)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2917))))->BgL_accessz00);
		}
	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_119, obj_t BgL_vz00_120)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_accessz00) =
				((obj_t) BgL_vz00_120), BUNSPEC);
		}
	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2918, obj_t BgL_oz00_2919, obj_t BgL_vz00_2920)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			{	/* Effect/cgraph.sch 152 */
				BgL_globalz00_bglt BgL_oz00_3293;

				BgL_oz00_3293 = ((BgL_globalz00_bglt) BgL_oz00_2919);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3293)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2920), BUNSPEC);
			}
		}
	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_121)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_valuez00);
		}
	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2921, obj_t BgL_oz00_2922)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2922))))->BgL_valuez00);
		}
	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_122, BgL_valuez00_bglt BgL_vz00_123)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_123), BUNSPEC);
		}
	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2923, obj_t BgL_oz00_2924, obj_t BgL_vz00_2925)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			{	/* Effect/cgraph.sch 154 */
				BgL_globalz00_bglt BgL_oz00_3296;
				BgL_valuez00_bglt BgL_vz00_3297;

				BgL_oz00_3296 = ((BgL_globalz00_bglt) BgL_oz00_2924);
				BgL_vz00_3297 = ((BgL_valuez00_bglt) BgL_vz00_2925);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3296)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3297), BUNSPEC);
			}
		}
	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_124)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_124)))->BgL_typez00);
		}
	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2926, obj_t BgL_oz00_2927)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2927))))->BgL_typez00);
		}
	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_125, BgL_typez00_bglt BgL_vz00_126)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_126), BUNSPEC);
		}
	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2928, obj_t BgL_oz00_2929, obj_t BgL_vz00_2930)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			{	/* Effect/cgraph.sch 156 */
				BgL_globalz00_bglt BgL_oz00_3299;
				BgL_typez00_bglt BgL_vz00_3300;

				BgL_oz00_3299 = ((BgL_globalz00_bglt) BgL_oz00_2929);
				BgL_vz00_3300 = ((BgL_typez00_bglt) BgL_vz00_2930);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3299)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3300), BUNSPEC);
			}
		}
	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_127)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_127)))->BgL_namez00);
		}
	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2931,
		obj_t BgL_oz00_2932)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2932))))->BgL_namez00);
		}
	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_namez00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}
	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2933, obj_t BgL_oz00_2934, obj_t BgL_vz00_2935)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			{	/* Effect/cgraph.sch 158 */
				BgL_globalz00_bglt BgL_oz00_3302;

				BgL_oz00_3302 = ((BgL_globalz00_bglt) BgL_oz00_2934);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3302)))->BgL_namez00) =
					((obj_t) BgL_vz00_2935), BUNSPEC);
			}
		}
	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_130)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_130)))->BgL_idz00);
		}
	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2936,
		obj_t BgL_oz00_2937)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2937))))->BgL_idz00);
		}
	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_133)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_PAIR(
				((obj_t) BgL_variablez00_133),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg2002z00_1366;

				BgL_arg2002z00_1366 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_133))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg2002z00_1366), BgL_variablez00_133);
			}
		}
	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_2938,
		obj_t BgL_variablez00_2939)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_2939));
		}
	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_170,
		obj_t BgL_ownerz00_171)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 198 */
			{
				obj_t BgL_l1939z00_1369;

				BgL_l1939z00_1369 = BgL_nodeza2za2_170;
			BgL_zc3anonymousza32005ze3z83_1370:
				if (PAIRP(BgL_l1939z00_1369))
					{	/* Effect/cgraph.scm 199 */
						{	/* Effect/cgraph.scm 199 */
							obj_t BgL_nodez00_1372;

							BgL_nodez00_1372 = CAR(BgL_l1939z00_1369);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1372),
								((BgL_variablez00_bglt) BgL_ownerz00_171));
						}
						{
							obj_t BgL_l1939z00_3998;

							BgL_l1939z00_3998 = CDR(BgL_l1939z00_1369);
							BgL_l1939z00_1369 = BgL_l1939z00_3998;
							goto BgL_zc3anonymousza32005ze3z83_1370;
						}
					}
				else
					{	/* Effect/cgraph.scm 199 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 243 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2940)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 243 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 254 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_2941)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 254 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 265 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2942)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 265 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}
	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_182)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			{	/* Effect/cgraph.scm 274 */
				BgL_valuez00_bglt BgL_funz00_1375;

				BgL_funz00_1375 =
					(((BgL_variablez00_bglt) CREF(BgL_vz00_182))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_funz00_1375)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 276 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_182),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 279 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Effect/cgraph.scm 279 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_PAIR(
										((obj_t) BgL_vz00_182),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 276 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_PAIR(
							((obj_t) BgL_vz00_182),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						{	/* Effect/cgraph.scm 278 */
							BgL_funz00_bglt BgL_oz00_2504;

							BgL_oz00_2504 = ((BgL_funz00_bglt) BgL_funz00_1375);
							return
								((((BgL_funz00_bglt) CREF(BgL_oz00_2504))->
									BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg2015z00_1382;
				obj_t BgL_arg2016z00_1383;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1941z00_1416;

					BgL_v1941z00_1416 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2027z00_1417;

						BgL_arg2027z00_1417 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2242z00zzeffect_cgraphz00,
							BGl_proc2241z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1941z00_1416, (int) (((long) 0)),
							BgL_arg2027z00_1417);
					}
					BgL_arg2015z00_1382 = BgL_v1941z00_1416;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1942z00_1429;

					BgL_v1942z00_1429 = create_vector((int) (((long) 0)));
					BgL_arg2016z00_1383 = BgL_v1942z00_1429;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 19676),
					BGl_proc2246z00zzeffect_cgraphz00, BGl_proc2245z00zzeffect_cgraphz00,
					BFALSE, BGl_proc2244z00zzeffect_cgraphz00,
					BGl_proc2243z00zzeffect_cgraphz00, BgL_arg2015z00_1382,
					BgL_arg2016z00_1383);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg2042z00_1438;
				obj_t BgL_arg2043z00_1439;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1943z00_1480;

					BgL_v1943z00_1480 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2055z00_1481;

						BgL_arg2055z00_1481 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2248z00zzeffect_cgraphz00,
							BGl_proc2247z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1943z00_1480, (int) (((long) 0)),
							BgL_arg2055z00_1481);
					}
					BgL_arg2042z00_1438 = BgL_v1943z00_1480;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1944z00_1493;

					BgL_v1944z00_1493 = create_vector((int) (((long) 0)));
					BgL_arg2043z00_1439 = BgL_v1944z00_1493;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)), BGl_globalz00zzast_varz00,
						((long) 6288), BGl_proc2252z00zzeffect_cgraphz00,
						BGl_proc2251z00zzeffect_cgraphz00, BFALSE,
						BGl_proc2250z00zzeffect_cgraphz00,
						BGl_proc2249z00zzeffect_cgraphz00, BgL_arg2042z00_1438,
						BgL_arg2043z00_1439), BUNSPEC);
		}}
	}



/* &lambda2050 */
	BgL_globalz00_bglt BGl_z62lambda2050z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2955, obj_t BgL_o1136z00_2956)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1136z00_1474;

				BgL_o1136z00_1474 = ((BgL_globalz00_bglt) BgL_o1136z00_2956);
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg2051z00_1477;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2052z00_1478;

						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_arg2054z00_1479;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objectz00_2591;

								BgL_objectz00_2591 = ((BgL_objectz00_bglt) BgL_o1136z00_1474);
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1825z00_2592;

									{	/* Effect/cgraph.scm 22 */
										long BgL_arg1826z00_2593;

										{	/* Effect/cgraph.scm 22 */
											long BgL_res2206z00_2595;

											BgL_res2206z00_2595 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2591);
											BgL_arg1826z00_2593 = BgL_res2206z00_2595;
										}
										BgL_arg1825z00_2592 = (BgL_arg1826z00_2593 - OBJECT_TYPE);
									}
									BgL_arg2054z00_1479 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1825z00_2592));
							}}
							BgL_arg2052z00_1478 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2054z00_1479);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_res2208z00_2604;

							{	/* Effect/cgraph.scm 22 */
								obj_t BgL_classz00_2601;

								BgL_classz00_2601 = BgL_arg2052z00_1478;
								{	/* Effect/cgraph.scm 22 */
									obj_t BgL_vectorz00_2602;
									int BgL_kz00_2603;

									BgL_vectorz00_2602 = BgL_classz00_2601;
									BgL_kz00_2603 = (int) (((long) 1));
									BgL_res2208z00_2604 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2602, BgL_kz00_2603));
							}}
							BgL_arg2051z00_1477 = BgL_res2208z00_2604;
					}}
					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_objz00_2605;

						BgL_objz00_2605 = ((BgL_objectz00_bglt) BgL_o1136z00_1474);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2605, BgL_arg2051z00_1477);
				}}
				{	/* Effect/cgraph.scm 22 */
					BgL_objectz00_bglt BgL_auxz00_4052;

					BgL_auxz00_4052 = ((BgL_objectz00_bglt) BgL_o1136z00_1474);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4052, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1136z00_1474);
			}
		}
	}



/* &<anonymous:2049> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32049ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_2957, obj_t BgL_new1135z00_2958)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_new1135z00_1472;

				BgL_new1135z00_1472 = ((BgL_globalz00_bglt) BgL_new1135z00_2958);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1135z00_1472)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1135z00_1472)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4062;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2583;

						BgL_classz00_2583 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1089z00_2584;

							{	/* Effect/cgraph.scm 22 */
								obj_t BgL_vectorz00_2585;
								int BgL_kz00_2586;

								BgL_vectorz00_2585 = BgL_classz00_2583;
								BgL_kz00_2586 = (int) (((long) 17));
								BgL__ortest_1089z00_2584 =
									VECTOR_REF(BgL_vectorz00_2585, BgL_kz00_2586);
							}
							if (CBOOL(BgL__ortest_1089z00_2584))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4062 =
										((BgL_typez00_bglt) BgL__ortest_1089z00_2584);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4062 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2583));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1135z00_1472)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4062), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4072;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2587;

						BgL_classz00_2587 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1089z00_2588;

							{	/* Effect/cgraph.scm 22 */
								obj_t BgL_vectorz00_2589;
								int BgL_kz00_2590;

								BgL_vectorz00_2589 = BgL_classz00_2587;
								BgL_kz00_2590 = (int) (((long) 17));
								BgL__ortest_1089z00_2588 =
									VECTOR_REF(BgL_vectorz00_2589, BgL_kz00_2590);
							}
							if (CBOOL(BgL__ortest_1089z00_2588))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4072 =
										((BgL_valuez00_bglt) BgL__ortest_1089z00_2588);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4072 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2587));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1135z00_1472)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4072), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1135z00_1472)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1135z00_1472)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1135z00_1472)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1135z00_1472)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1135z00_1472)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1135z00_1472)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2253z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1135z00_1472)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4113;

					{
						obj_t BgL_auxz00_4114;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4115;

							BgL_auxz00_4115 = ((BgL_objectz00_bglt) BgL_new1135z00_1472);
							BgL_auxz00_4114 = BGL_OBJECT_WIDENING(BgL_auxz00_4115);
						}
						BgL_auxz00_4113 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4114);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4113))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1135z00_1472;
			}
		}
	}



/* &lambda2047 */
	BgL_globalz00_bglt BGl_z62lambda2047z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2959, obj_t BgL_o1132z00_2960)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1132z00_1467;

				BgL_o1132z00_1467 = ((BgL_globalz00_bglt) BgL_o1132z00_2960);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_tmp1133z00_1469;
					BgL_globalzf2fromzf2_bglt BgL_wide1134z00_1470;

					BgL_tmp1133z00_1469 = ((BgL_globalz00_bglt) BgL_o1132z00_1467);
					BgL_wide1134z00_1470 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_auxz00_4125;
						BgL_objectz00_bglt BgL_auxz00_4123;

						BgL_auxz00_4125 = ((obj_t) BgL_wide1134z00_1470);
						BgL_auxz00_4123 = ((BgL_objectz00_bglt) BgL_tmp1133z00_1469);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4123, BgL_auxz00_4125);
					}
					{	/* Effect/cgraph.scm 22 */
						long BgL_arg2048z00_1471;

						{	/* Effect/cgraph.scm 22 */
							long BgL_res2205z00_2580;

							{	/* Effect/cgraph.scm 22 */
								obj_t BgL_classz00_2577;

								BgL_classz00_2577 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.scm 22 */
									obj_t BgL_vectorz00_2578;
									int BgL_kz00_2579;

									BgL_vectorz00_2578 = BgL_classz00_2577;
									BgL_kz00_2579 = (int) (((long) 1));
									BgL_res2205z00_2580 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2578, BgL_kz00_2579));
							}}
							BgL_arg2048z00_1471 = BgL_res2205z00_2580;
						}
						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_objz00_2581;

							BgL_objz00_2581 = ((BgL_objectz00_bglt) BgL_tmp1133z00_1469);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2581, BgL_arg2048z00_1471));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1133z00_1469);
				}
			}
		}
	}



/* &lambda2044 */
	BgL_globalz00_bglt BGl_z62lambda2044z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2961, obj_t BgL_id1112z00_2962, obj_t BgL_name1113z00_2963,
		obj_t BgL_type1114z00_2964, obj_t BgL_value1115z00_2965,
		obj_t BgL_access1116z00_2966, obj_t BgL_fastzd2alpha1117zd2_2967,
		obj_t BgL_removable1118z00_2968, obj_t BgL_occurrence1119z00_2969,
		obj_t BgL_occurrencew1120z00_2970, obj_t BgL_userzf31121zf3_2971,
		obj_t BgL_module1122z00_2972, obj_t BgL_import1123z00_2973,
		obj_t BgL_evaluablezf31124zf3_2974, obj_t BgL_evalzf31125zf3_2975,
		obj_t BgL_library1126z00_2976, obj_t BgL_pragma1127z00_2977,
		obj_t BgL_src1128z00_2978, obj_t BgL_jvmzd2typezd2name1129z00_2979,
		obj_t BgL_init1130z00_2980, obj_t BgL_from1131z00_2981)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				obj_t BgL_id1112z00_1440;
				obj_t BgL_name1113z00_1441;
				BgL_typez00_bglt BgL_type1114z00_1442;
				BgL_valuez00_bglt BgL_value1115z00_1443;
				obj_t BgL_access1116z00_1444;
				obj_t BgL_fastzd2alpha1117zd2_1445;
				obj_t BgL_removable1118z00_1446;
				long BgL_occurrence1119z00_1447;
				long BgL_occurrencew1120z00_1448;
				bool_t BgL_userzf31121zf3_1449;
				obj_t BgL_module1122z00_1450;
				obj_t BgL_import1123z00_1451;
				bool_t BgL_evaluablezf31124zf3_1452;
				bool_t BgL_evalzf31125zf3_1453;
				obj_t BgL_library1126z00_1454;
				obj_t BgL_pragma1127z00_1455;
				obj_t BgL_src1128z00_1456;
				obj_t BgL_jvmzd2typezd2name1129z00_1457;
				obj_t BgL_init1130z00_1458;
				obj_t BgL_from1131z00_1459;

				BgL_id1112z00_1440 = BgL_id1112z00_2962;
				BgL_name1113z00_1441 = BgL_name1113z00_2963;
				BgL_type1114z00_1442 = ((BgL_typez00_bglt) BgL_type1114z00_2964);
				BgL_value1115z00_1443 = ((BgL_valuez00_bglt) BgL_value1115z00_2965);
				BgL_access1116z00_1444 = BgL_access1116z00_2966;
				BgL_fastzd2alpha1117zd2_1445 = BgL_fastzd2alpha1117zd2_2967;
				BgL_removable1118z00_1446 = BgL_removable1118z00_2968;
				BgL_occurrence1119z00_1447 = (long) CINT(BgL_occurrence1119z00_2969);
				BgL_occurrencew1120z00_1448 = (long) CINT(BgL_occurrencew1120z00_2970);
				BgL_userzf31121zf3_1449 = CBOOL(BgL_userzf31121zf3_2971);
				BgL_module1122z00_1450 = BgL_module1122z00_2972;
				BgL_import1123z00_1451 = BgL_import1123z00_2973;
				BgL_evaluablezf31124zf3_1452 = CBOOL(BgL_evaluablezf31124zf3_2974);
				BgL_evalzf31125zf3_1453 = CBOOL(BgL_evalzf31125zf3_2975);
				BgL_library1126z00_1454 = BgL_library1126z00_2976;
				BgL_pragma1127z00_1455 = BgL_pragma1127z00_2977;
				BgL_src1128z00_1456 = BgL_src1128z00_2978;
				BgL_jvmzd2typezd2name1129z00_1457 = BgL_jvmzd2typezd2name1129z00_2979;
				BgL_init1130z00_1458 = BgL_init1130z00_2980;
				BgL_from1131z00_1459 = BgL_from1131z00_2981;
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1249z00_2559;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1247z00_2560;
						BgL_globalzf2fromzf2_bglt BgL_wide1248z00_2561;

						{
							BgL_globalz00_bglt BgL_auxz00_4136;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1246z00_2562;

								BgL_new1246z00_2562 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg2046z00_2563;

									{	/* Effect/cgraph.scm 22 */
										long BgL_res2203z00_2568;

										{	/* Effect/cgraph.scm 22 */
											obj_t BgL_classz00_2565;

											BgL_classz00_2565 = BGl_globalz00zzast_varz00;
											{	/* Effect/cgraph.scm 22 */
												obj_t BgL_vectorz00_2566;
												int BgL_kz00_2567;

												BgL_vectorz00_2566 = BgL_classz00_2565;
												BgL_kz00_2567 = (int) (((long) 1));
												BgL_res2203z00_2568 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2566,
														BgL_kz00_2567));
										}}
										BgL_arg2046z00_2563 = BgL_res2203z00_2568;
									}
									{	/* Effect/cgraph.scm 22 */
										BgL_objectz00_bglt BgL_objz00_2569;

										BgL_objz00_2569 =
											((BgL_objectz00_bglt) BgL_new1246z00_2562);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2569,
											BgL_arg2046z00_2563);
								}}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_auxz00_4143;

									BgL_auxz00_4143 = ((BgL_objectz00_bglt) BgL_new1246z00_2562);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4143, BFALSE);
								}
								BgL_auxz00_4136 = BgL_new1246z00_2562;
							}
							BgL_tmp1247z00_2560 = ((BgL_globalz00_bglt) BgL_auxz00_4136);
						}
						BgL_wide1248z00_2561 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_4150;
							BgL_objectz00_bglt BgL_auxz00_4148;

							BgL_auxz00_4150 = ((obj_t) BgL_wide1248z00_2561);
							BgL_auxz00_4148 = ((BgL_objectz00_bglt) BgL_tmp1247z00_2560);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4148, BgL_auxz00_4150);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg2045z00_2564;

							{	/* Effect/cgraph.scm 22 */
								long BgL_res2204z00_2574;

								{	/* Effect/cgraph.scm 22 */
									obj_t BgL_classz00_2571;

									BgL_classz00_2571 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.scm 22 */
										obj_t BgL_vectorz00_2572;
										int BgL_kz00_2573;

										BgL_vectorz00_2572 = BgL_classz00_2571;
										BgL_kz00_2573 = (int) (((long) 1));
										BgL_res2204z00_2574 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2572,
												BgL_kz00_2573));
								}}
								BgL_arg2045z00_2564 = BgL_res2204z00_2574;
							}
							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objz00_2575;

								BgL_objz00_2575 = ((BgL_objectz00_bglt) BgL_tmp1247z00_2560);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2575,
										BgL_arg2045z00_2564));
						}}
						BgL_new1249z00_2559 = ((BgL_globalz00_bglt) BgL_tmp1247z00_2560);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1249z00_2559)))->BgL_idz00) =
						((obj_t) BgL_id1112z00_1440), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_namez00) =
						((obj_t) BgL_name1113z00_1441), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1114z00_1442), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1115z00_1443), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_accessz00) =
						((obj_t) BgL_access1116z00_1444), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1117zd2_1445), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_removablez00) =
						((obj_t) BgL_removable1118z00_1446), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_occurrencez00) =
						((long) BgL_occurrence1119z00_1447), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1120z00_1448), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_2559)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31121zf3_1449), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_modulez00) =
						((obj_t) BgL_module1122z00_1450), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_importz00) =
						((obj_t) BgL_import1123z00_1451), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31124zf3_1452), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31125zf3_1453), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_libraryz00) =
						((obj_t) BgL_library1126z00_1454), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1127z00_1455), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_srcz00) =
						((obj_t) BgL_src1128z00_1456), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1129z00_1457), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1249z00_2559)))->BgL_initz00) =
						((obj_t) BgL_init1130z00_1458), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4198;

						{
							obj_t BgL_auxz00_4199;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_auxz00_4200;

								BgL_auxz00_4200 = ((BgL_objectz00_bglt) BgL_new1249z00_2559);
								BgL_auxz00_4199 = BGL_OBJECT_WIDENING(BgL_auxz00_4200);
							}
							BgL_auxz00_4198 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4199);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4198))->
								BgL_fromz00) = ((obj_t) BgL_from1131z00_1459), BUNSPEC);
					}
					return BgL_new1249z00_2559;
				}
			}
		}
	}



/* &lambda2059 */
	obj_t BGl_z62lambda2059z62zzeffect_cgraphz00(obj_t BgL_envz00_2982,
		obj_t BgL_oz00_2983, obj_t BgL_vz00_2984)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1487;
				obj_t BgL_vz00_1488;

				BgL_oz00_1487 = ((BgL_globalz00_bglt) BgL_oz00_2983);
				BgL_vz00_1488 = BgL_vz00_2984;
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4212;

					{
						obj_t BgL_auxz00_4213;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4214;

							BgL_auxz00_4214 = ((BgL_objectz00_bglt) BgL_oz00_1487);
							BgL_auxz00_4213 = BGL_OBJECT_WIDENING(BgL_auxz00_4214);
						}
						BgL_auxz00_4212 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4213);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4212))->
							BgL_fromz00) = ((obj_t) BgL_vz00_1488), BUNSPEC);
				}
			}
		}
	}



/* &lambda2058 */
	obj_t BGl_z62lambda2058z62zzeffect_cgraphz00(obj_t BgL_envz00_2985,
		obj_t BgL_oz00_2986)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1484;

				BgL_oz00_1484 = ((BgL_globalz00_bglt) BgL_oz00_2986);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4220;

					{
						obj_t BgL_auxz00_4221;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4222;

							BgL_auxz00_4222 = ((BgL_objectz00_bglt) BgL_oz00_1484);
							BgL_auxz00_4221 = BGL_OBJECT_WIDENING(BgL_auxz00_4222);
						}
						BgL_auxz00_4220 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4221);
					}
					return
						(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4220))->BgL_fromz00);
				}
			}
		}
	}



/* &lambda2023 */
	BgL_localz00_bglt BGl_z62lambda2023z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2987, obj_t BgL_o1110z00_2988)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1110z00_1410;

				BgL_o1110z00_1410 = ((BgL_localz00_bglt) BgL_o1110z00_2988);
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg2024z00_1413;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2025z00_1414;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_arg2026z00_1415;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objectz00_2538;

								BgL_objectz00_2538 = ((BgL_objectz00_bglt) BgL_o1110z00_1410);
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1825z00_2539;

									{	/* Effect/cgraph.scm 21 */
										long BgL_arg1826z00_2540;

										{	/* Effect/cgraph.scm 21 */
											long BgL_res2200z00_2542;

											BgL_res2200z00_2542 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2538);
											BgL_arg1826z00_2540 = BgL_res2200z00_2542;
										}
										BgL_arg1825z00_2539 = (BgL_arg1826z00_2540 - OBJECT_TYPE);
									}
									BgL_arg2026z00_1415 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1825z00_2539));
							}}
							BgL_arg2025z00_1414 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2026z00_1415);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_res2202z00_2551;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_classz00_2548;

								BgL_classz00_2548 = BgL_arg2025z00_1414;
								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_vectorz00_2549;
									int BgL_kz00_2550;

									BgL_vectorz00_2549 = BgL_classz00_2548;
									BgL_kz00_2550 = (int) (((long) 1));
									BgL_res2202z00_2551 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2549, BgL_kz00_2550));
							}}
							BgL_arg2024z00_1413 = BgL_res2202z00_2551;
					}}
					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_objz00_2552;

						BgL_objz00_2552 = ((BgL_objectz00_bglt) BgL_o1110z00_1410);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2552, BgL_arg2024z00_1413);
				}}
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_4239;

					BgL_auxz00_4239 = ((BgL_objectz00_bglt) BgL_o1110z00_1410);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4239, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1110z00_1410);
			}
		}
	}



/* &<anonymous:2022> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32022ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_2989, obj_t BgL_new1109z00_2990)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_new1109z00_1408;

				BgL_new1109z00_1408 = ((BgL_localz00_bglt) BgL_new1109z00_2990);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1109z00_1408)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1408)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4249;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2530;

						BgL_classz00_2530 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1089z00_2531;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_vectorz00_2532;
								int BgL_kz00_2533;

								BgL_vectorz00_2532 = BgL_classz00_2530;
								BgL_kz00_2533 = (int) (((long) 17));
								BgL__ortest_1089z00_2531 =
									VECTOR_REF(BgL_vectorz00_2532, BgL_kz00_2533);
							}
							if (CBOOL(BgL__ortest_1089z00_2531))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4249 =
										((BgL_typez00_bglt) BgL__ortest_1089z00_2531);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4249 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2530));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1109z00_1408)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4249), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4259;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2534;

						BgL_classz00_2534 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1089z00_2535;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_vectorz00_2536;
								int BgL_kz00_2537;

								BgL_vectorz00_2536 = BgL_classz00_2534;
								BgL_kz00_2537 = (int) (((long) 17));
								BgL__ortest_1089z00_2535 =
									VECTOR_REF(BgL_vectorz00_2536, BgL_kz00_2537);
							}
							if (CBOOL(BgL__ortest_1089z00_2535))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4259 =
										((BgL_valuez00_bglt) BgL__ortest_1089z00_2535);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4259 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2534));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1109z00_1408)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4259), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1109z00_1408)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1408)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1408)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1408)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1408)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1408)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1109z00_1408)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4283;

					{
						obj_t BgL_auxz00_4284;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4285;

							BgL_auxz00_4285 = ((BgL_objectz00_bglt) BgL_new1109z00_1408);
							BgL_auxz00_4284 = BGL_OBJECT_WIDENING(BgL_auxz00_4285);
						}
						BgL_auxz00_4283 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4284);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4283))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1109z00_1408;
			}
		}
	}



/* &lambda2020 */
	BgL_localz00_bglt BGl_z62lambda2020z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2991, obj_t BgL_o1106z00_2992)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1106z00_1403;

				BgL_o1106z00_1403 = ((BgL_localz00_bglt) BgL_o1106z00_2992);
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_tmp1107z00_1405;
					BgL_localzf2fromzf2_bglt BgL_wide1108z00_1406;

					BgL_tmp1107z00_1405 = ((BgL_localz00_bglt) BgL_o1106z00_1403);
					BgL_wide1108z00_1406 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_auxz00_4295;
						BgL_objectz00_bglt BgL_auxz00_4293;

						BgL_auxz00_4295 = ((obj_t) BgL_wide1108z00_1406);
						BgL_auxz00_4293 = ((BgL_objectz00_bglt) BgL_tmp1107z00_1405);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4293, BgL_auxz00_4295);
					}
					{	/* Effect/cgraph.scm 21 */
						long BgL_arg2021z00_1407;

						{	/* Effect/cgraph.scm 21 */
							long BgL_res2199z00_2527;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_classz00_2524;

								BgL_classz00_2524 = BGl_localzf2fromzf2zzeffect_cgraphz00;
								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_vectorz00_2525;
									int BgL_kz00_2526;

									BgL_vectorz00_2525 = BgL_classz00_2524;
									BgL_kz00_2526 = (int) (((long) 1));
									BgL_res2199z00_2527 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2525, BgL_kz00_2526));
							}}
							BgL_arg2021z00_1407 = BgL_res2199z00_2527;
						}
						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_objz00_2528;

							BgL_objz00_2528 = ((BgL_objectz00_bglt) BgL_tmp1107z00_1405);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2528, BgL_arg2021z00_1407));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1107z00_1405);
				}
			}
		}
	}



/* &lambda2017 */
	BgL_localz00_bglt BGl_z62lambda2017z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2993, obj_t BgL_id1094z00_2994, obj_t BgL_name1095z00_2995,
		obj_t BgL_type1096z00_2996, obj_t BgL_value1097z00_2997,
		obj_t BgL_access1098z00_2998, obj_t BgL_fastzd2alpha1099zd2_2999,
		obj_t BgL_removable1100z00_3000, obj_t BgL_occurrence1101z00_3001,
		obj_t BgL_occurrencew1102z00_3002, obj_t BgL_userzf31103zf3_3003,
		obj_t BgL_key1104z00_3004, obj_t BgL_from1105z00_3005)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				obj_t BgL_id1094z00_1384;
				obj_t BgL_name1095z00_1385;
				BgL_typez00_bglt BgL_type1096z00_1386;
				BgL_valuez00_bglt BgL_value1097z00_1387;
				obj_t BgL_access1098z00_1388;
				obj_t BgL_fastzd2alpha1099zd2_1389;
				obj_t BgL_removable1100z00_1390;
				long BgL_occurrence1101z00_1391;
				long BgL_occurrencew1102z00_1392;
				bool_t BgL_userzf31103zf3_1393;
				long BgL_key1104z00_1394;
				obj_t BgL_from1105z00_1395;

				BgL_id1094z00_1384 = BgL_id1094z00_2994;
				BgL_name1095z00_1385 = BgL_name1095z00_2995;
				BgL_type1096z00_1386 = ((BgL_typez00_bglt) BgL_type1096z00_2996);
				BgL_value1097z00_1387 = ((BgL_valuez00_bglt) BgL_value1097z00_2997);
				BgL_access1098z00_1388 = BgL_access1098z00_2998;
				BgL_fastzd2alpha1099zd2_1389 = BgL_fastzd2alpha1099zd2_2999;
				BgL_removable1100z00_1390 = BgL_removable1100z00_3000;
				BgL_occurrence1101z00_1391 = (long) CINT(BgL_occurrence1101z00_3001);
				BgL_occurrencew1102z00_1392 = (long) CINT(BgL_occurrencew1102z00_3002);
				BgL_userzf31103zf3_1393 = CBOOL(BgL_userzf31103zf3_3003);
				BgL_key1104z00_1394 = (long) CINT(BgL_key1104z00_3004);
				BgL_from1105z00_1395 = BgL_from1105z00_3005;
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1242z00_1397;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1240z00_1398;
						BgL_localzf2fromzf2_bglt BgL_wide1241z00_1399;

						{
							BgL_localz00_bglt BgL_auxz00_4306;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1239z00_1401;

								BgL_new1239z00_1401 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg2019z00_1402;

									{	/* Effect/cgraph.scm 21 */
										long BgL_res2197z00_2515;

										{	/* Effect/cgraph.scm 21 */
											obj_t BgL_classz00_2512;

											BgL_classz00_2512 = BGl_localz00zzast_varz00;
											{	/* Effect/cgraph.scm 21 */
												obj_t BgL_vectorz00_2513;
												int BgL_kz00_2514;

												BgL_vectorz00_2513 = BgL_classz00_2512;
												BgL_kz00_2514 = (int) (((long) 1));
												BgL_res2197z00_2515 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2513,
														BgL_kz00_2514));
										}}
										BgL_arg2019z00_1402 = BgL_res2197z00_2515;
									}
									{	/* Effect/cgraph.scm 21 */
										BgL_objectz00_bglt BgL_objz00_2516;

										BgL_objz00_2516 =
											((BgL_objectz00_bglt) BgL_new1239z00_1401);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2516,
											BgL_arg2019z00_1402);
								}}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_auxz00_4313;

									BgL_auxz00_4313 = ((BgL_objectz00_bglt) BgL_new1239z00_1401);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4313, BFALSE);
								}
								BgL_auxz00_4306 = BgL_new1239z00_1401;
							}
							BgL_tmp1240z00_1398 = ((BgL_localz00_bglt) BgL_auxz00_4306);
						}
						BgL_wide1241z00_1399 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4320;
							BgL_objectz00_bglt BgL_auxz00_4318;

							BgL_auxz00_4320 = ((obj_t) BgL_wide1241z00_1399);
							BgL_auxz00_4318 = ((BgL_objectz00_bglt) BgL_tmp1240z00_1398);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4318, BgL_auxz00_4320);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg2018z00_1400;

							{	/* Effect/cgraph.scm 21 */
								long BgL_res2198z00_2521;

								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_classz00_2518;

									BgL_classz00_2518 = BGl_localzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.scm 21 */
										obj_t BgL_vectorz00_2519;
										int BgL_kz00_2520;

										BgL_vectorz00_2519 = BgL_classz00_2518;
										BgL_kz00_2520 = (int) (((long) 1));
										BgL_res2198z00_2521 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2519,
												BgL_kz00_2520));
								}}
								BgL_arg2018z00_1400 = BgL_res2198z00_2521;
							}
							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objz00_2522;

								BgL_objz00_2522 = ((BgL_objectz00_bglt) BgL_tmp1240z00_1398);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2522,
										BgL_arg2018z00_1400));
						}}
						BgL_new1242z00_1397 = ((BgL_localz00_bglt) BgL_tmp1240z00_1398);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1242z00_1397)))->BgL_idz00) =
						((obj_t) BgL_id1094z00_1384), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_namez00) =
						((obj_t) BgL_name1095z00_1385), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1096z00_1386), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1097z00_1387), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_accessz00) =
						((obj_t) BgL_access1098z00_1388), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1099zd2_1389), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_removablez00) =
						((obj_t) BgL_removable1100z00_1390), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_occurrencez00) =
						((long) BgL_occurrence1101z00_1391), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1102z00_1392), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1242z00_1397)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31103zf3_1393), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1242z00_1397)))->BgL_keyz00) =
						((long) BgL_key1104z00_1394), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4352;

						{
							obj_t BgL_auxz00_4353;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_auxz00_4354;

								BgL_auxz00_4354 = ((BgL_objectz00_bglt) BgL_new1242z00_1397);
								BgL_auxz00_4353 = BGL_OBJECT_WIDENING(BgL_auxz00_4354);
							}
							BgL_auxz00_4352 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4353);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4352))->BgL_fromz00) =
							((obj_t) BgL_from1105z00_1395), BUNSPEC);
					}
					return BgL_new1242z00_1397;
				}
			}
		}
	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zzeffect_cgraphz00(obj_t BgL_envz00_3006,
		obj_t BgL_oz00_3007, obj_t BgL_vz00_3008)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1423;
				obj_t BgL_vz00_1424;

				BgL_oz00_1423 = ((BgL_localz00_bglt) BgL_oz00_3007);
				BgL_vz00_1424 = BgL_vz00_3008;
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4365;

					{
						obj_t BgL_auxz00_4366;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4367;

							BgL_auxz00_4367 = ((BgL_objectz00_bglt) BgL_oz00_1423);
							BgL_auxz00_4366 = BGL_OBJECT_WIDENING(BgL_auxz00_4367);
						}
						BgL_auxz00_4365 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4366);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4365))->BgL_fromz00) =
						((obj_t) BgL_vz00_1424), BUNSPEC);
				}
			}
		}
	}



/* &lambda2034 */
	obj_t BGl_z62lambda2034z62zzeffect_cgraphz00(obj_t BgL_envz00_3009,
		obj_t BgL_oz00_3010)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1420;

				BgL_oz00_1420 = ((BgL_localz00_bglt) BgL_oz00_3010);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4373;

					{
						obj_t BgL_auxz00_4374;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4375;

							BgL_auxz00_4375 = ((BgL_objectz00_bglt) BgL_oz00_1420);
							BgL_auxz00_4374 = BGL_OBJECT_WIDENING(BgL_auxz00_4375);
						}
						BgL_auxz00_4373 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4374);
					}
					return
						(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4373))->BgL_fromz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2254z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string2255z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2256z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string2257z00zzeffect_cgraphz00);
		}
	}



/* &save-call!1983 */
	obj_t BGl_z62savezd2callz121983za2zzeffect_cgraphz00(obj_t BgL_envz00_3013,
		obj_t BgL_calleez00_3014, obj_t BgL_ownerz00_3015)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 204 */
			{
				BgL_variablez00_bglt BgL_calleez00_1504;
				BgL_variablez00_bglt BgL_ownerz00_1505;

				BgL_calleez00_1504 = ((BgL_variablez00_bglt) BgL_calleez00_3014);
				BgL_ownerz00_1505 = ((BgL_variablez00_bglt) BgL_ownerz00_3015);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2258z00zzeffect_cgraphz00, ((obj_t) BgL_calleez00_1504));
		}}
	}



/* &call-graph!1945 */
	obj_t BGl_z62callzd2graphz121945za2zzeffect_cgraphz00(obj_t BgL_envz00_3016,
		obj_t BgL_nodez00_3017, obj_t BgL_ownerz00_3018)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return CNST_TABLE_REF(((long) 8));
		}
	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_134, BgL_variablez00_bglt BgL_ownerz00_135)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1947z00_1508;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res2215z00_2635;

					{	/* Effect/cgraph.scm 38 */
						BgL_objectz00_bglt BgL_objz00_2607;

						BgL_objz00_2607 = ((BgL_objectz00_bglt) BgL_nodez00_134);
						{	/* Effect/cgraph.scm 38 */
							long BgL_objzd2classzd2numz00_2608;

							{	/* Effect/cgraph.scm 38 */
								long BgL_res2209z00_2611;

								BgL_res2209z00_2611 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2607);
								BgL_objzd2classzd2numz00_2608 = BgL_res2209z00_2611;
							}
							{	/* Effect/cgraph.scm 38 */
								obj_t BgL_arg1822z00_2609;

								BgL_arg1822z00_2609 =
									PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 38 */
									obj_t BgL_arrayz00_2612;
									int BgL_offsetz00_2613;

									BgL_arrayz00_2612 = BgL_arg1822z00_2609;
									BgL_offsetz00_2613 = (int) (BgL_objzd2classzd2numz00_2608);
									{	/* Effect/cgraph.scm 38 */
										long BgL_offsetz00_2614;

										BgL_offsetz00_2614 =
											((long) (BgL_offsetz00_2613) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 38 */
											long BgL_modz00_2615;

											{	/* Effect/cgraph.scm 38 */
												int BgL_arg1824z00_2616;

												BgL_arg1824z00_2616 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 38 */
													long BgL_res2212z00_2626;

													{	/* Effect/cgraph.scm 38 */
														long BgL_auxz00_4397;

														BgL_auxz00_4397 = (long) (BgL_arg1824z00_2616);
														BgL_res2212z00_2626 =
															(BgL_offsetz00_2614 / BgL_auxz00_4397);
													}
													BgL_modz00_2615 = BgL_res2212z00_2626;
											}}
											{	/* Effect/cgraph.scm 38 */
												long BgL_restz00_2617;

												{	/* Effect/cgraph.scm 38 */
													int BgL_arg1823z00_2618;

													BgL_arg1823z00_2618 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 38 */
														long BgL_res2214z00_2630;

														{	/* Effect/cgraph.scm 38 */
															long BgL_auxz00_4401;

															BgL_auxz00_4401 = (long) (BgL_arg1823z00_2618);
															BgL_res2214z00_2630 =
																(BgL_offsetz00_2614 % BgL_auxz00_4401);
														}
														BgL_restz00_2617 = BgL_res2214z00_2630;
												}}
												{	/* Effect/cgraph.scm 38 */

													BgL_res2215z00_2635 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2612,
															(int) (BgL_modz00_2615)),
														(int) (BgL_restz00_2617));
					}}}}}}}}
					BgL_method1947z00_1508 = BgL_res2215z00_2635;
				}
				return
					PROCEDURE_ENTRY(BgL_method1947z00_1508) (BgL_method1947z00_1508,
					((obj_t) BgL_nodez00_134), ((obj_t) BgL_ownerz00_135), BEOA);
			}
		}
	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3019,
		obj_t BgL_nodez00_3020, obj_t BgL_ownerz00_3021)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_3020),
				((BgL_variablez00_bglt) BgL_ownerz00_3021));
		}
	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_172, BgL_variablez00_bglt BgL_ownerz00_173)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 204 */
			{	/* Effect/cgraph.scm 204 */
				obj_t BgL_method1984z00_1509;

				{	/* Effect/cgraph.scm 204 */
					obj_t BgL_res2222z00_2664;

					{	/* Effect/cgraph.scm 204 */
						BgL_objectz00_bglt BgL_objz00_2636;

						BgL_objz00_2636 = ((BgL_objectz00_bglt) BgL_calleez00_172);
						{	/* Effect/cgraph.scm 204 */
							long BgL_objzd2classzd2numz00_2637;

							{	/* Effect/cgraph.scm 204 */
								long BgL_res2216z00_2640;

								BgL_res2216z00_2640 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2636);
								BgL_objzd2classzd2numz00_2637 = BgL_res2216z00_2640;
							}
							{	/* Effect/cgraph.scm 204 */
								obj_t BgL_arg1822z00_2638;

								BgL_arg1822z00_2638 =
									PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 204 */
									obj_t BgL_arrayz00_2641;
									int BgL_offsetz00_2642;

									BgL_arrayz00_2641 = BgL_arg1822z00_2638;
									BgL_offsetz00_2642 = (int) (BgL_objzd2classzd2numz00_2637);
									{	/* Effect/cgraph.scm 204 */
										long BgL_offsetz00_2643;

										BgL_offsetz00_2643 =
											((long) (BgL_offsetz00_2642) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 204 */
											long BgL_modz00_2644;

											{	/* Effect/cgraph.scm 204 */
												int BgL_arg1824z00_2645;

												BgL_arg1824z00_2645 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 204 */
													long BgL_res2219z00_2655;

													{	/* Effect/cgraph.scm 204 */
														long BgL_auxz00_4426;

														BgL_auxz00_4426 = (long) (BgL_arg1824z00_2645);
														BgL_res2219z00_2655 =
															(BgL_offsetz00_2643 / BgL_auxz00_4426);
													}
													BgL_modz00_2644 = BgL_res2219z00_2655;
											}}
											{	/* Effect/cgraph.scm 204 */
												long BgL_restz00_2646;

												{	/* Effect/cgraph.scm 204 */
													int BgL_arg1823z00_2647;

													BgL_arg1823z00_2647 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 204 */
														long BgL_res2221z00_2659;

														{	/* Effect/cgraph.scm 204 */
															long BgL_auxz00_4430;

															BgL_auxz00_4430 = (long) (BgL_arg1823z00_2647);
															BgL_res2221z00_2659 =
																(BgL_offsetz00_2643 % BgL_auxz00_4430);
														}
														BgL_restz00_2646 = BgL_res2221z00_2659;
												}}
												{	/* Effect/cgraph.scm 204 */

													BgL_res2222z00_2664 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2641,
															(int) (BgL_modz00_2644)),
														(int) (BgL_restz00_2646));
					}}}}}}}}
					BgL_method1984z00_1509 = BgL_res2222z00_2664;
				}
				return
					PROCEDURE_ENTRY(BgL_method1984z00_1509) (BgL_method1984z00_1509,
					((obj_t) BgL_calleez00_172), ((obj_t) BgL_ownerz00_173), BEOA);
			}
		}
	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3022,
		obj_t BgL_calleez00_3023, obj_t BgL_ownerz00_3024)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 204 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_3023),
				((BgL_variablez00_bglt) BgL_ownerz00_3024));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2259z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc2261z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2262z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2263z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc2264z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc2265z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc2266z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2267z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc2268z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_selectz00zzast_nodez00, BGl_proc2269z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2270z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2271z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2272z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2273z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2274z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2275z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2276z00zzeffect_cgraphz00,
				BGl_string2260z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc2277z00zzeffect_cgraphz00,
				BGl_string2278z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2279z00zzeffect_cgraphz00, BGl_string2278z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc2280z00zzeffect_cgraphz00,
				BGl_string2278z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2281z00zzeffect_cgraphz00, BGl_string2278z00zzeffect_cgraphz00);
		}
	}



/* &save-call!-local/fro1992 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1992z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3046, obj_t BgL_calleez00_3047, obj_t BgL_ownerz00_3048)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 235 */
			{
				BgL_localz00_bglt BgL_calleez00_1709;
				obj_t BgL_ownerz00_1710;

				BgL_calleez00_1709 = ((BgL_localz00_bglt) BgL_calleez00_3047);
				BgL_ownerz00_1710 = BgL_ownerz00_3048;
				{	/* Effect/cgraph.scm 237 */
					bool_t BgL_testz00_4468;

					{	/* Effect/cgraph.scm 237 */
						obj_t BgL_auxz00_4469;

						{	/* Effect/cgraph.scm 237 */
							obj_t BgL_auxz00_4470;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4471;

								{
									obj_t BgL_auxz00_4472;

									{	/* Effect/cgraph.scm 237 */
										BgL_objectz00_bglt BgL_auxz00_4473;

										BgL_auxz00_4473 = ((BgL_objectz00_bglt) BgL_calleez00_1709);
										BgL_auxz00_4472 = BGL_OBJECT_WIDENING(BgL_auxz00_4473);
									}
									BgL_auxz00_4471 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4472);
								}
								BgL_auxz00_4470 =
									(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4471))->
									BgL_fromz00);
							}
							BgL_auxz00_4469 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1710,
								BgL_auxz00_4470);
						}
						BgL_testz00_4468 = CBOOL(BgL_auxz00_4469);
					}
					if (BgL_testz00_4468)
						{	/* Effect/cgraph.scm 237 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4486;
							BgL_localzf2fromzf2_bglt BgL_auxz00_4480;

							{	/* Effect/cgraph.scm 238 */
								obj_t BgL_arg2127z00_1715;

								{
									BgL_localzf2fromzf2_bglt BgL_auxz00_4487;

									{
										obj_t BgL_auxz00_4488;

										{	/* Effect/cgraph.scm 238 */
											BgL_objectz00_bglt BgL_auxz00_4489;

											BgL_auxz00_4489 =
												((BgL_objectz00_bglt) BgL_calleez00_1709);
											BgL_auxz00_4488 = BGL_OBJECT_WIDENING(BgL_auxz00_4489);
										}
										BgL_auxz00_4487 =
											((BgL_localzf2fromzf2_bglt) BgL_auxz00_4488);
									}
									BgL_arg2127z00_1715 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4487))->
										BgL_fromz00);
								}
								BgL_auxz00_4486 =
									MAKE_PAIR(BgL_ownerz00_1710, BgL_arg2127z00_1715);
							}
							{
								obj_t BgL_auxz00_4481;

								{	/* Effect/cgraph.scm 238 */
									BgL_objectz00_bglt BgL_auxz00_4482;

									BgL_auxz00_4482 = ((BgL_objectz00_bglt) BgL_calleez00_1709);
									BgL_auxz00_4481 = BGL_OBJECT_WIDENING(BgL_auxz00_4482);
								}
								BgL_auxz00_4480 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4481);
							}
							return
								((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4480))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4486), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-local1990 */
	obj_t BGl_z62savezd2callz12zd2local1990z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3049, obj_t BgL_calleez00_3050, obj_t BgL_ownerz00_3051)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 229 */
			{
				BgL_localz00_bglt BgL_calleez00_1698;
				obj_t BgL_ownerz00_1699;

				BgL_calleez00_1698 = ((BgL_localz00_bglt) BgL_calleez00_3050);
				BgL_ownerz00_1699 = BgL_ownerz00_3051;
				{	/* Effect/cgraph.scm 230 */
					BgL_localz00_bglt BgL_arg2124z00_1702;

					{	/* Effect/cgraph.scm 230 */
						BgL_localz00_bglt BgL_tmp1235z00_1704;
						BgL_localzf2fromzf2_bglt BgL_wide1236z00_1705;

						BgL_tmp1235z00_1704 = ((BgL_localz00_bglt) BgL_calleez00_1698);
						BgL_wide1236z00_1705 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 230 */
							obj_t BgL_auxz00_4501;
							BgL_objectz00_bglt BgL_auxz00_4499;

							BgL_auxz00_4501 = ((obj_t) BgL_wide1236z00_1705);
							BgL_auxz00_4499 = ((BgL_objectz00_bglt) BgL_tmp1235z00_1704);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4499, BgL_auxz00_4501);
						}
						{	/* Effect/cgraph.scm 230 */
							long BgL_arg2125z00_1706;

							{	/* Effect/cgraph.scm 230 */
								long BgL_res2240z00_2733;

								{	/* Effect/cgraph.scm 230 */
									obj_t BgL_classz00_2730;

									BgL_classz00_2730 = BGl_localzf2fromzf2zzeffect_cgraphz00;
									{	/* Effect/cgraph.scm 230 */
										obj_t BgL_vectorz00_2731;
										int BgL_kz00_2732;

										BgL_vectorz00_2731 = BgL_classz00_2730;
										BgL_kz00_2732 = (int) (((long) 1));
										BgL_res2240z00_2733 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2731,
												BgL_kz00_2732));
								}}
								BgL_arg2125z00_1706 = BgL_res2240z00_2733;
							}
							{	/* Effect/cgraph.scm 230 */
								BgL_objectz00_bglt BgL_objz00_2734;

								BgL_objz00_2734 = ((BgL_objectz00_bglt) BgL_tmp1235z00_1704);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2734,
										BgL_arg2125z00_1706));
						}} BgL_tmp1235z00_1704;
					}
					{	/* Effect/cgraph.scm 230 */
						BgL_localz00_bglt BgL_new1237z00_1707;

						BgL_new1237z00_1707 = ((BgL_localz00_bglt) BgL_calleez00_1698);
						{
							BgL_localzf2fromzf2_bglt BgL_auxz00_4511;

							{
								obj_t BgL_auxz00_4512;

								{	/* Effect/cgraph.scm 230 */
									BgL_objectz00_bglt BgL_auxz00_4513;

									BgL_auxz00_4513 = ((BgL_objectz00_bglt) BgL_new1237z00_1707);
									BgL_auxz00_4512 = BGL_OBJECT_WIDENING(BgL_auxz00_4513);
								}
								BgL_auxz00_4511 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4512);
							}
							((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4511))->
									BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2124z00_1702 = BgL_new1237z00_1707;
					}
					return
						BGl_savezd2callz12zc0zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_arg2124z00_1702),
						((BgL_variablez00_bglt) BgL_ownerz00_1699));
				}
			}
		}
	}



/* &save-call!-global/fr1988 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1988z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3052, obj_t BgL_calleez00_3053, obj_t BgL_ownerz00_3054)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 221 */
			{
				BgL_globalz00_bglt BgL_calleez00_1689;
				obj_t BgL_ownerz00_1690;

				BgL_calleez00_1689 = ((BgL_globalz00_bglt) BgL_calleez00_3053);
				BgL_ownerz00_1690 = BgL_ownerz00_3054;
				{	/* Effect/cgraph.scm 223 */
					bool_t BgL_testz00_4522;

					{	/* Effect/cgraph.scm 223 */
						obj_t BgL_auxz00_4523;

						{	/* Effect/cgraph.scm 223 */
							obj_t BgL_auxz00_4524;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4525;

								{
									obj_t BgL_auxz00_4526;

									{	/* Effect/cgraph.scm 223 */
										BgL_objectz00_bglt BgL_auxz00_4527;

										BgL_auxz00_4527 = ((BgL_objectz00_bglt) BgL_calleez00_1689);
										BgL_auxz00_4526 = BGL_OBJECT_WIDENING(BgL_auxz00_4527);
									}
									BgL_auxz00_4525 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4526);
								}
								BgL_auxz00_4524 =
									(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4525))->
									BgL_fromz00);
							}
							BgL_auxz00_4523 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1690,
								BgL_auxz00_4524);
						}
						BgL_testz00_4522 = CBOOL(BgL_auxz00_4523);
					}
					if (BgL_testz00_4522)
						{	/* Effect/cgraph.scm 223 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4540;
							BgL_globalzf2fromzf2_bglt BgL_auxz00_4534;

							{	/* Effect/cgraph.scm 224 */
								obj_t BgL_arg2122z00_1695;

								{
									BgL_globalzf2fromzf2_bglt BgL_auxz00_4541;

									{
										obj_t BgL_auxz00_4542;

										{	/* Effect/cgraph.scm 224 */
											BgL_objectz00_bglt BgL_auxz00_4543;

											BgL_auxz00_4543 =
												((BgL_objectz00_bglt) BgL_calleez00_1689);
											BgL_auxz00_4542 = BGL_OBJECT_WIDENING(BgL_auxz00_4543);
										}
										BgL_auxz00_4541 =
											((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4542);
									}
									BgL_arg2122z00_1695 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4541))->
										BgL_fromz00);
								}
								BgL_auxz00_4540 =
									MAKE_PAIR(BgL_ownerz00_1690, BgL_arg2122z00_1695);
							}
							{
								obj_t BgL_auxz00_4535;

								{	/* Effect/cgraph.scm 224 */
									BgL_objectz00_bglt BgL_auxz00_4536;

									BgL_auxz00_4536 = ((BgL_objectz00_bglt) BgL_calleez00_1689);
									BgL_auxz00_4535 = BGL_OBJECT_WIDENING(BgL_auxz00_4536);
								}
								BgL_auxz00_4534 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4535);
							}
							return
								((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4534))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4540), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-global1986 */
	obj_t BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3055, obj_t BgL_calleez00_3056, obj_t BgL_ownerz00_3057)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 209 */
			{
				BgL_globalz00_bglt BgL_calleez00_1672;
				obj_t BgL_ownerz00_1673;

				BgL_calleez00_1672 = ((BgL_globalz00_bglt) BgL_calleez00_3056);
				BgL_ownerz00_1673 = BgL_ownerz00_3057;
				{	/* Effect/cgraph.scm 210 */
					BgL_valuez00_bglt BgL_funz00_1676;

					BgL_funz00_1676 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_calleez00_1672)))->BgL_valuez00);
					{	/* Effect/cgraph.scm 211 */
						bool_t BgL_testz00_4553;

						{	/* Effect/cgraph.scm 211 */
							bool_t BgL_testz00_4554;

							{	/* Effect/cgraph.scm 211 */
								bool_t BgL_res2237z00_2717;

								{	/* Effect/cgraph.scm 211 */
									obj_t BgL_objz00_2716;

									BgL_objz00_2716 = ((obj_t) BgL_funz00_1676);
									BgL_res2237z00_2717 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2716,
										BGl_cfunz00zzast_varz00);
								}
								BgL_testz00_4554 = BgL_res2237z00_2717;
							}
							if (BgL_testz00_4554)
								{	/* Effect/cgraph.scm 211 */
									BgL_testz00_4553 = ((bool_t) 1);
								}
							else
								{	/* Effect/cgraph.scm 212 */
									bool_t BgL_testz00_4557;

									{	/* Effect/cgraph.scm 212 */
										bool_t BgL_res2238z00_2719;

										{	/* Effect/cgraph.scm 212 */
											obj_t BgL_objz00_2718;

											BgL_objz00_2718 = ((obj_t) BgL_funz00_1676);
											BgL_res2238z00_2719 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2718,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_4557 = BgL_res2238z00_2719;
									}
									if (BgL_testz00_4557)
										{	/* Effect/cgraph.scm 212 */
											BgL_testz00_4553 =
												(
												(((BgL_globalz00_bglt) CREF(BgL_calleez00_1672))->
													BgL_importz00) == CNST_TABLE_REF(((long) 9)));
										}
									else
										{	/* Effect/cgraph.scm 212 */
											BgL_testz00_4553 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_4553)
							{	/* Effect/cgraph.scm 211 */
								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1676)))->
											BgL_sidezd2effectzd2)))
									{	/* Effect/cgraph.scm 214 */
										return
											BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
											((BgL_variablez00_bglt) BgL_ownerz00_1673));
									}
								else
									{	/* Effect/cgraph.scm 214 */
										return BFALSE;
									}
							}
						else
							{	/* Effect/cgraph.scm 216 */
								BgL_globalz00_bglt BgL_arg2117z00_1679;

								{	/* Effect/cgraph.scm 216 */
									BgL_globalz00_bglt BgL_tmp1230z00_1681;
									BgL_globalzf2fromzf2_bglt BgL_wide1231z00_1682;

									BgL_tmp1230z00_1681 =
										((BgL_globalz00_bglt) BgL_calleez00_1672);
									BgL_wide1231z00_1682 =
										((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_globalzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 216 */
										obj_t BgL_auxz00_4573;
										BgL_objectz00_bglt BgL_auxz00_4571;

										BgL_auxz00_4573 = ((obj_t) BgL_wide1231z00_1682);
										BgL_auxz00_4571 =
											((BgL_objectz00_bglt) BgL_tmp1230z00_1681);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4571, BgL_auxz00_4573);
									}
									{	/* Effect/cgraph.scm 216 */
										long BgL_arg2118z00_1683;

										{	/* Effect/cgraph.scm 216 */
											long BgL_res2239z00_2727;

											{	/* Effect/cgraph.scm 216 */
												obj_t BgL_classz00_2724;

												BgL_classz00_2724 =
													BGl_globalzf2fromzf2zzeffect_cgraphz00;
												{	/* Effect/cgraph.scm 216 */
													obj_t BgL_vectorz00_2725;
													int BgL_kz00_2726;

													BgL_vectorz00_2725 = BgL_classz00_2724;
													BgL_kz00_2726 = (int) (((long) 1));
													BgL_res2239z00_2727 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2725,
															BgL_kz00_2726));
											}}
											BgL_arg2118z00_1683 = BgL_res2239z00_2727;
										}
										{	/* Effect/cgraph.scm 216 */
											BgL_objectz00_bglt BgL_objz00_2728;

											BgL_objz00_2728 =
												((BgL_objectz00_bglt) BgL_tmp1230z00_1681);
											((BgL_globalz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2728,
													BgL_arg2118z00_1683));
									}} BgL_tmp1230z00_1681;
								}
								{	/* Effect/cgraph.scm 216 */
									BgL_globalz00_bglt BgL_new1232z00_1684;

									BgL_new1232z00_1684 =
										((BgL_globalz00_bglt) BgL_calleez00_1672);
									{
										BgL_globalzf2fromzf2_bglt BgL_auxz00_4583;

										{
											obj_t BgL_auxz00_4584;

											{	/* Effect/cgraph.scm 216 */
												BgL_objectz00_bglt BgL_auxz00_4585;

												BgL_auxz00_4585 =
													((BgL_objectz00_bglt) BgL_new1232z00_1684);
												BgL_auxz00_4584 = BGL_OBJECT_WIDENING(BgL_auxz00_4585);
											}
											BgL_auxz00_4583 =
												((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4584);
										}
										((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4583))->
												BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									BgL_arg2117z00_1679 = BgL_new1232z00_1684;
								}
								return
									BGl_savezd2callz12zc0zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_arg2117z00_1679),
									((BgL_variablez00_bglt) BgL_ownerz00_1673));
							}
					}
				}
			}
		}
	}



/* &call-graph!-box-set!1982 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_3058, obj_t BgL_nodez00_3059, obj_t BgL_ownerz00_3060)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 188 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1660;
				obj_t BgL_ownerz00_1661;

				BgL_nodez00_1660 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3059);
				BgL_ownerz00_1661 = BgL_ownerz00_3060;
				{	/* Effect/cgraph.scm 190 */
					bool_t BgL_testz00_4594;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1661,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 190 */
							BgL_testz00_4594 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 190 */
							BgL_variablez00_bglt BgL_arg2110z00_1667;

							BgL_arg2110z00_1667 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1660))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 190 */
								bool_t BgL_res2235z00_2712;

								{	/* Effect/cgraph.scm 190 */
									obj_t BgL_objz00_2711;

									BgL_objz00_2711 = ((obj_t) BgL_arg2110z00_1667);
									BgL_res2235z00_2712 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2711,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_4594 = BgL_res2235z00_2712;
							}
						}
					if (BgL_testz00_4594)
						{	/* Effect/cgraph.scm 190 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1661));
						}
					else
						{	/* Effect/cgraph.scm 190 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 192 */
					BgL_varz00_bglt BgL_arg2112z00_1669;

					BgL_arg2112z00_1669 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1660))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2112z00_1669),
						((BgL_variablez00_bglt) BgL_ownerz00_1661));
				}
				{	/* Effect/cgraph.scm 193 */
					BgL_nodez00_bglt BgL_arg2113z00_1670;

					BgL_arg2113z00_1670 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1660))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2113z00_1670,
						((BgL_variablez00_bglt) BgL_ownerz00_1661));
				}
			}
		}
	}



/* &call-graph!-box-ref1980 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1980za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3061, obj_t BgL_nodez00_3062, obj_t BgL_ownerz00_3063)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 180 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1654;
				obj_t BgL_ownerz00_1655;

				BgL_nodez00_1654 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3062);
				BgL_ownerz00_1655 = BgL_ownerz00_3063;
				{	/* Effect/cgraph.scm 181 */
					BgL_varz00_bglt BgL_arg2107z00_2702;

					BgL_arg2107z00_2702 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1654))->BgL_varz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2107z00_2702),
						((BgL_variablez00_bglt) BgL_ownerz00_1655));
				}
			}
		}
	}



/* &call-graph!-make-box1978 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1978za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3064, obj_t BgL_nodez00_3065, obj_t BgL_ownerz00_3066)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 174 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1648;
				obj_t BgL_ownerz00_1649;

				BgL_nodez00_1648 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3065);
				BgL_ownerz00_1649 = BgL_ownerz00_3066;
				{	/* Effect/cgraph.scm 175 */
					BgL_nodez00_bglt BgL_arg2106z00_2698;

					BgL_arg2106z00_2698 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1648))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2106z00_2698,
						((BgL_variablez00_bglt) BgL_ownerz00_1649));
				}
			}
		}
	}



/* &call-graph!-jump-ex-1975 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21975z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3067, obj_t BgL_nodez00_3068, obj_t BgL_ownerz00_3069)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 165 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1640;
				obj_t BgL_ownerz00_1641;

				BgL_nodez00_1640 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3068);
				BgL_ownerz00_1641 = BgL_ownerz00_3069;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1641));
				{	/* Effect/cgraph.scm 168 */
					BgL_nodez00_bglt BgL_arg2104z00_1645;

					BgL_arg2104z00_1645 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1640))->
						BgL_exitz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2104z00_1645,
						((BgL_variablez00_bglt) BgL_ownerz00_1641));
				}
				{	/* Effect/cgraph.scm 169 */
					BgL_nodez00_bglt BgL_arg2105z00_1646;

					BgL_arg2105z00_1646 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1640))->
						BgL_valuez00);
					return BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2105z00_1646,
						((BgL_variablez00_bglt) BgL_ownerz00_1641));
				}
			}
		}
	}



/* &call-graph!-set-ex-i1973 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1973z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3070, obj_t BgL_nodez00_3071, obj_t BgL_ownerz00_3072)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 157 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1633;
				obj_t BgL_ownerz00_1634;

				BgL_nodez00_1633 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3071);
				BgL_ownerz00_1634 = BgL_ownerz00_3072;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1634));
				{	/* Effect/cgraph.scm 160 */
					BgL_nodez00_bglt BgL_arg2103z00_2694;

					BgL_arg2103z00_2694 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1633))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2103z00_2694,
						((BgL_variablez00_bglt) BgL_ownerz00_1634));
				}
			}
		}
	}



/* &call-graph!-let-var1971 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1971za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3073, obj_t BgL_nodez00_3074, obj_t BgL_ownerz00_3075)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 147 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1617;
				obj_t BgL_ownerz00_1618;

				{	/* Effect/cgraph.scm 148 */
					bool_t BgL_auxz00_4635;

					BgL_nodez00_1617 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3074);
					BgL_ownerz00_1618 = BgL_ownerz00_3075;
					{	/* Effect/cgraph.scm 149 */
						BgL_nodez00_bglt BgL_arg2097z00_1622;

						BgL_arg2097z00_1622 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1617))->BgL_bodyz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2097z00_1622,
							((BgL_variablez00_bglt) BgL_ownerz00_1618));
					}
					{	/* Effect/cgraph.scm 150 */
						obj_t BgL_g1938z00_1623;

						BgL_g1938z00_1623 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1617))->
							BgL_bindingsz00);
						{
							obj_t BgL_l1936z00_1625;

							BgL_l1936z00_1625 = BgL_g1938z00_1623;
						BgL_zc3anonymousza32098ze3z83_1626:
							if (PAIRP(BgL_l1936z00_1625))
								{	/* Effect/cgraph.scm 150 */
									{	/* Effect/cgraph.scm 151 */
										obj_t BgL_bindingz00_1628;

										BgL_bindingz00_1628 = CAR(BgL_l1936z00_1625);
										{	/* Effect/cgraph.scm 151 */
											obj_t BgL_arg2100z00_1629;

											BgL_arg2100z00_1629 = CDR(BgL_bindingz00_1628);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2100z00_1629),
												((BgL_variablez00_bglt) BgL_ownerz00_1618));
										}
									}
									{
										obj_t BgL_l1936z00_4647;

										BgL_l1936z00_4647 = CDR(BgL_l1936z00_1625);
										BgL_l1936z00_1625 = BgL_l1936z00_4647;
										goto BgL_zc3anonymousza32098ze3z83_1626;
									}
								}
							else
								{	/* Effect/cgraph.scm 150 */
									BgL_auxz00_4635 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4635);
				}
			}
		}
	}



/* &call-graph!-let-fun1969 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1969za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3076, obj_t BgL_nodez00_3077, obj_t BgL_ownerz00_3078)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 137 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1602;
				obj_t BgL_ownerz00_1603;

				BgL_nodez00_1602 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3077);
				BgL_ownerz00_1603 = BgL_ownerz00_3078;
				{	/* Effect/cgraph.scm 139 */
					obj_t BgL_g1935z00_1607;

					BgL_g1935z00_1607 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1602))->BgL_localsz00);
					{
						obj_t BgL_l1933z00_1609;

						BgL_l1933z00_1609 = BgL_g1935z00_1607;
					BgL_zc3anonymousza32092ze3z83_1610:
						if (PAIRP(BgL_l1933z00_1609))
							{	/* Effect/cgraph.scm 139 */
								{	/* Effect/cgraph.scm 140 */
									obj_t BgL_localz00_1612;

									BgL_localz00_1612 = CAR(BgL_l1933z00_1609);
									BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_localz00_1612));
								}
								{
									obj_t BgL_l1933z00_4657;

									BgL_l1933z00_4657 = CDR(BgL_l1933z00_1609);
									BgL_l1933z00_1609 = BgL_l1933z00_4657;
									goto BgL_zc3anonymousza32092ze3z83_1610;
								}
							}
						else
							{	/* Effect/cgraph.scm 139 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/cgraph.scm 142 */
					BgL_nodez00_bglt BgL_arg2095z00_1615;

					BgL_arg2095z00_1615 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1602))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2095z00_1615,
						((BgL_variablez00_bglt) BgL_ownerz00_1603));
				}
			}
		}
	}



/* &call-graph!-select1967 */
	obj_t BGl_z62callzd2graphz12zd2select1967z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3079, obj_t BgL_nodez00_3080, obj_t BgL_ownerz00_3081)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 127 */
			{
				BgL_selectz00_bglt BgL_nodez00_1586;
				obj_t BgL_ownerz00_1587;

				{	/* Effect/cgraph.scm 128 */
					bool_t BgL_auxz00_4663;

					BgL_nodez00_1586 = ((BgL_selectz00_bglt) BgL_nodez00_3080);
					BgL_ownerz00_1587 = BgL_ownerz00_3081;
					{	/* Effect/cgraph.scm 129 */
						BgL_nodez00_bglt BgL_arg2087z00_1591;

						BgL_arg2087z00_1591 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1586))->BgL_testz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2087z00_1591,
							((BgL_variablez00_bglt) BgL_ownerz00_1587));
					}
					{	/* Effect/cgraph.scm 130 */
						obj_t BgL_g1932z00_1592;

						BgL_g1932z00_1592 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1586))->BgL_clausesz00);
						{
							obj_t BgL_l1874z00_1594;

							BgL_l1874z00_1594 = BgL_g1932z00_1592;
						BgL_zc3anonymousza32088ze3z83_1595:
							if (PAIRP(BgL_l1874z00_1594))
								{	/* Effect/cgraph.scm 130 */
									{	/* Effect/cgraph.scm 131 */
										obj_t BgL_clausez00_1597;

										BgL_clausez00_1597 = CAR(BgL_l1874z00_1594);
										{	/* Effect/cgraph.scm 131 */
											obj_t BgL_arg2090z00_1598;

											BgL_arg2090z00_1598 = CDR(BgL_clausez00_1597);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2090z00_1598),
												((BgL_variablez00_bglt) BgL_ownerz00_1587));
										}
									}
									{
										obj_t BgL_l1874z00_4675;

										BgL_l1874z00_4675 = CDR(BgL_l1874z00_1594);
										BgL_l1874z00_1594 = BgL_l1874z00_4675;
										goto BgL_zc3anonymousza32088ze3z83_1595;
									}
								}
							else
								{	/* Effect/cgraph.scm 130 */
									BgL_auxz00_4663 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4663);
				}
			}
		}
	}



/* &call-graph!-fail1965 */
	obj_t BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3082, obj_t BgL_nodez00_3083, obj_t BgL_ownerz00_3084)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 117 */
			{
				BgL_failz00_bglt BgL_nodez00_1577;
				obj_t BgL_ownerz00_1578;

				BgL_nodez00_1577 = ((BgL_failz00_bglt) BgL_nodez00_3083);
				BgL_ownerz00_1578 = BgL_ownerz00_3084;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1578));
				{	/* Effect/cgraph.scm 120 */
					BgL_nodez00_bglt BgL_arg2084z00_1582;

					BgL_arg2084z00_1582 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1577))->BgL_procz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2084z00_1582,
						((BgL_variablez00_bglt) BgL_ownerz00_1578));
				}
				{	/* Effect/cgraph.scm 121 */
					BgL_nodez00_bglt BgL_arg2085z00_1583;

					BgL_arg2085z00_1583 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1577))->BgL_msgz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2085z00_1583,
						((BgL_variablez00_bglt) BgL_ownerz00_1578));
				}
				{	/* Effect/cgraph.scm 122 */
					BgL_nodez00_bglt BgL_arg2086z00_1584;

					BgL_arg2086z00_1584 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1577))->BgL_objz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2086z00_1584,
						((BgL_variablez00_bglt) BgL_ownerz00_1578));
				}
			}
		}
	}



/* &call-graph!-conditio1963 */
	obj_t BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3085, obj_t BgL_nodez00_3086, obj_t BgL_ownerz00_3087)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 108 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1568;
				obj_t BgL_ownerz00_1569;

				BgL_nodez00_1568 = ((BgL_conditionalz00_bglt) BgL_nodez00_3086);
				BgL_ownerz00_1569 = BgL_ownerz00_3087;
				{	/* Effect/cgraph.scm 110 */
					BgL_nodez00_bglt BgL_arg2081z00_1573;

					BgL_arg2081z00_1573 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1568))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2081z00_1573,
						((BgL_variablez00_bglt) BgL_ownerz00_1569));
				}
				{	/* Effect/cgraph.scm 111 */
					BgL_nodez00_bglt BgL_arg2082z00_1574;

					BgL_arg2082z00_1574 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1568))->BgL_truez00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2082z00_1574,
						((BgL_variablez00_bglt) BgL_ownerz00_1569));
				}
				{	/* Effect/cgraph.scm 112 */
					BgL_nodez00_bglt BgL_arg2083z00_1575;

					BgL_arg2083z00_1575 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1568))->BgL_falsez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2083z00_1575,
						((BgL_variablez00_bglt) BgL_ownerz00_1569));
				}
			}
		}
	}



/* &call-graph!-setq1961 */
	obj_t BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3088, obj_t BgL_nodez00_3089, obj_t BgL_ownerz00_3090)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 98 */
			{
				BgL_setqz00_bglt BgL_nodez00_1556;
				obj_t BgL_ownerz00_1557;

				BgL_nodez00_1556 = ((BgL_setqz00_bglt) BgL_nodez00_3089);
				BgL_ownerz00_1557 = BgL_ownerz00_3090;
				{	/* Effect/cgraph.scm 100 */
					bool_t BgL_testz00_4701;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1557,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 100 */
							BgL_testz00_4701 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 100 */
							BgL_variablez00_bglt BgL_arg2077z00_1563;

							BgL_arg2077z00_1563 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 100 */
								bool_t BgL_res2226z00_2679;

								{	/* Effect/cgraph.scm 100 */
									obj_t BgL_objz00_2678;

									BgL_objz00_2678 = ((obj_t) BgL_arg2077z00_1563);
									BgL_res2226z00_2679 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2678,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_4701 = BgL_res2226z00_2679;
							}
						}
					if (BgL_testz00_4701)
						{	/* Effect/cgraph.scm 100 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1557));
						}
					else
						{	/* Effect/cgraph.scm 100 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 102 */
					BgL_varz00_bglt BgL_arg2079z00_1565;

					BgL_arg2079z00_1565 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2079z00_1565),
						((BgL_variablez00_bglt) BgL_ownerz00_1557));
				}
				{	/* Effect/cgraph.scm 103 */
					BgL_nodez00_bglt BgL_arg2080z00_1566;

					BgL_arg2080z00_1566 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1556))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2080z00_1566,
						((BgL_variablez00_bglt) BgL_ownerz00_1557));
				}
			}
		}
	}



/* &call-graph!-cast1959 */
	obj_t BGl_z62callzd2graphz12zd2cast1959z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3091, obj_t BgL_nodez00_3092, obj_t BgL_ownerz00_3093)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 87 */
			{
				BgL_castz00_bglt BgL_nodez00_1549;
				obj_t BgL_ownerz00_1550;

				BgL_nodez00_1549 = ((BgL_castz00_bglt) BgL_nodez00_3092);
				BgL_ownerz00_1550 = BgL_ownerz00_3093;
				{	/* Effect/cgraph.scm 88 */
					BgL_nodez00_bglt BgL_arg2074z00_2672;

					BgL_arg2074z00_2672 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1549))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2074z00_2672,
						((BgL_variablez00_bglt) BgL_ownerz00_1550));
				}
			}
		}
	}



/* &call-graph!-extern1957 */
	obj_t BGl_z62callzd2graphz12zd2extern1957z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3094, obj_t BgL_nodez00_3095, obj_t BgL_ownerz00_3096)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 78 */
			{
				BgL_externz00_bglt BgL_nodez00_1541;
				obj_t BgL_ownerz00_1542;

				{	/* Effect/cgraph.scm 79 */
					bool_t BgL_auxz00_4722;

					BgL_nodez00_1541 = ((BgL_externz00_bglt) BgL_nodez00_3095);
					BgL_ownerz00_1542 = BgL_ownerz00_3096;
					if (CBOOL(
							(((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1541)))->
								BgL_sidezd2effectzd2)))
						{	/* Effect/cgraph.scm 80 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1542));
						}
					else
						{	/* Effect/cgraph.scm 80 */
							BFALSE;
						}
					BgL_auxz00_4722 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1541))->BgL_exprza2za2),
						BgL_ownerz00_1542);
					return BBOOL(BgL_auxz00_4722);
				}
			}
		}
	}



/* &call-graph!-funcall1955 */
	obj_t BGl_z62callzd2graphz12zd2funcall1955z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3097, obj_t BgL_nodez00_3098, obj_t BgL_ownerz00_3099)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 69 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1533;
				obj_t BgL_ownerz00_1534;

				{	/* Effect/cgraph.scm 70 */
					bool_t BgL_auxz00_4733;

					BgL_nodez00_1533 = ((BgL_funcallz00_bglt) BgL_nodez00_3098);
					BgL_ownerz00_1534 = BgL_ownerz00_3099;
					BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_ownerz00_1534));
					{	/* Effect/cgraph.scm 72 */
						BgL_nodez00_bglt BgL_arg2070z00_1538;

						BgL_arg2070z00_1538 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1533))->BgL_funz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2070z00_1538,
							((BgL_variablez00_bglt) BgL_ownerz00_1534));
					}
					BgL_auxz00_4733 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1533))->BgL_argsz00),
						BgL_ownerz00_1534);
					return BBOOL(BgL_auxz00_4733);
				}
			}
		}
	}



/* &call-graph!-app-ly1953 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1953za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3100, obj_t BgL_nodez00_3101, obj_t BgL_ownerz00_3102)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 60 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1525;
				obj_t BgL_ownerz00_1526;

				BgL_nodez00_1525 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3101);
				BgL_ownerz00_1526 = BgL_ownerz00_3102;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1526));
				{	/* Effect/cgraph.scm 63 */
					BgL_nodez00_bglt BgL_arg2068z00_1530;

					BgL_arg2068z00_1530 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1525))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2068z00_1530,
						((BgL_variablez00_bglt) BgL_ownerz00_1526));
				}
				{	/* Effect/cgraph.scm 64 */
					BgL_nodez00_bglt BgL_arg2069z00_1531;

					BgL_arg2069z00_1531 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1525))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2069z00_1531,
						((BgL_variablez00_bglt) BgL_ownerz00_1526));
				}
			}
		}
	}



/* &call-graph!-app1951 */
	obj_t BGl_z62callzd2graphz12zd2app1951z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3103, obj_t BgL_nodez00_3104, obj_t BgL_ownerz00_3105)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 50 */
			{
				BgL_appz00_bglt BgL_nodez00_1516;
				obj_t BgL_ownerz00_1517;

				{	/* Effect/cgraph.scm 51 */
					bool_t BgL_auxz00_4752;

					BgL_nodez00_1516 = ((BgL_appz00_bglt) BgL_nodez00_3104);
					BgL_ownerz00_1517 = BgL_ownerz00_3105;
					{	/* Effect/cgraph.scm 54 */
						BgL_variablez00_bglt BgL_arg2063z00_1521;

						BgL_arg2063z00_1521 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1516))->BgL_funz00)))->
							BgL_variablez00);
						BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg2063z00_1521,
							((BgL_variablez00_bglt) BgL_ownerz00_1517));
					}
					BgL_auxz00_4752 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1516))->BgL_argsz00),
						BgL_ownerz00_1517);
					return BBOOL(BgL_auxz00_4752);
				}
			}
		}
	}



/* &call-graph!-sequence1949 */
	obj_t BGl_z62callzd2graphz12zd2sequence1949z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3106, obj_t BgL_nodez00_3107, obj_t BgL_ownerz00_3108)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 44 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1510;
				obj_t BgL_ownerz00_1511;

				{	/* Effect/cgraph.scm 45 */
					bool_t BgL_auxz00_4761;

					BgL_nodez00_1510 = ((BgL_sequencez00_bglt) BgL_nodez00_3107);
					BgL_ownerz00_1511 = BgL_ownerz00_3108;
					BgL_auxz00_4761 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1510))->BgL_nodesz00),
						BgL_ownerz00_1511);
					return BBOOL(BgL_auxz00_4761);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2282z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2282z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2282z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2282z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2282z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2282z00zzeffect_cgraphz00));
		}
	}

#ifdef __cplusplus
}
#endif
