/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1978z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail1971za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1953za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzintegrate_nodez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1951za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1982za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1955za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1969za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1959z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2select1973za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1963za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1980za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast1965za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1961za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq1967za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00();
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref1986z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz121988z62zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1984z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1957za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom1947za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1975z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62gloz121943z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote1949za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string2314z00zzintegrate_nodez00,
		BgL_bgl_string2314za700za7za7i2344za7, "glo!1943", 8);
	      DEFINE_STRING(BGl_string2315z00zzintegrate_nodez00,
		BgL_bgl_string2315za700za7za7i2345za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2317z00zzintegrate_nodez00,
		BgL_bgl_string2317za700za7za7i2346za7, "glo!", 4);
	      DEFINE_STRING(BGl_string2338z00zzintegrate_nodez00,
		BgL_bgl_string2338za700za7za7i2347za7, "node-free", 9);
	      DEFINE_STRING(BGl_string2339z00zzintegrate_nodez00,
		BgL_bgl_string2339za700za7za7i2348za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2340z00zzintegrate_nodez00,
		BgL_bgl_string2340za700za7za7i2349za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string2341z00zzintegrate_nodez00,
		BgL_bgl_string2341za700za7za7i2350za7,
		"aux glo!1943 done (write cell-integrate) cell-integrate read ", 61);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in2351za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c2352z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g2353z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7121943za7702354za7,
		BGl_z62gloz121943z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom2355za7,
		BGl_z62gloz12zd2atom1947za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot2356za7,
		BGl_z62gloz12zd2kwote1949za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var12357za7,
		BGl_z62gloz12zd2var1951za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos2358za7,
		BGl_z62gloz12zd2closure1953za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ2359za7,
		BGl_z62gloz12zd2sequence1955za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app12360za7,
		BGl_z62gloz12zd2app1957za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza72361z00,
		BGl_z62gloz12zd2appzd2ly1959z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func2362za7,
		BGl_z62gloz12zd2funcall1961za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte2363za7,
		BGl_z62gloz12zd2extern1963za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast2364za7,
		BGl_z62gloz12zd2cast1965za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq2365za7,
		BGl_z62gloz12zd2setq1967za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond2366za7,
		BGl_z62gloz12zd2conditional1969za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail2367za7,
		BGl_z62gloz12zd2fail1971za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sele2368za7,
		BGl_z62gloz12zd2select1973za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72369z00,
		BGl_z62gloz12zd2letzd2fun1975z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72370z00,
		BGl_z62gloz12zd2letzd2var1978z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza72371z00,
		BGl_z62gloz12zd2setzd2exzd2it1980za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump2372za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1982za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make2373za7,
		BGl_z62gloz12zd2makezd2box1984z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72374z00,
		BGl_z62gloz12zd2boxzd2ref1986z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72375z00,
		BGl_z62gloz12zd2boxzd2setz121988z62zzintegrate_nodez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_3076, char *BgL_fromz00_3077)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_3064;

				BgL_cportz00_3064 =
					bgl_open_input_string(BGl_string2341z00zzintegrate_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3065;

					BgL_iz00_3065 = ((long) 5);
				BgL_loopz00_3066:
					if ((BgL_iz00_3065 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg2343z00_3068;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_3070;

										BgL_locationz00_3070 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg2343z00_3068 =
												BGl_readz00zz__readerz00(BgL_cportz00_3064,
												BgL_locationz00_3070);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_auxz00_3098;

									BgL_auxz00_3098 = (int) (BgL_iz00_3065);
									CNST_TABLE_SET(BgL_auxz00_3098, BgL_arg2343z00_3068);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_3071;

								BgL_auxz00_3071 = (int) ((BgL_iz00_3065 - ((long) 1)));
								{
									long BgL_iz00_3103;

									BgL_iz00_3103 = (long) (BgL_auxz00_3071);
									BgL_iz00_3065 = BgL_iz00_3103;
									goto BgL_loopz00_3066;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1346;

				BgL_headz00_1346 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1347;
					obj_t BgL_tailz00_1348;

					BgL_prevz00_1347 = BgL_headz00_1346;
					BgL_tailz00_1348 = BgL_l1z00_1;
				BgL_loopz00_1349:
					if (PAIRP(BgL_tailz00_1348))
						{
							obj_t BgL_newzd2prevzd2_1351;

							BgL_newzd2prevzd2_1351 =
								MAKE_PAIR(CAR(BgL_tailz00_1348), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1347, BgL_newzd2prevzd2_1351);
							{
								obj_t BgL_tailz00_3112;
								obj_t BgL_prevz00_3111;

								BgL_prevz00_3111 = BgL_newzd2prevzd2_1351;
								BgL_tailz00_3112 = CDR(BgL_tailz00_1348);
								BgL_tailz00_1348 = BgL_tailz00_3112;
								BgL_prevz00_1347 = BgL_prevz00_3111;
								goto BgL_loopz00_1349;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1346);
				}
			}
		}
	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_1354;

				BgL_funz00_1354 =
					(((BgL_variablez00_bglt) CREF(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_1355;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg2004z00_1376;

						BgL_arg2004z00_1376 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1354)))->BgL_argsz00);
						BgL_celledz00_1355 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg2004z00_1376);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_1356;

						BgL_whatzf2byza2z50_1356 =
							BGl_appendzd221011zd2zzintegrate_nodez00(BgL_celledz00_1355,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l1879z00_1358;

								BgL_l1879z00_1358 = BgL_whatzf2byza2z50_1356;
							BgL_zc3anonymousza31992ze3z83_1359:
								if (PAIRP(BgL_l1879z00_1358))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wzd2bzd2_1361;

											BgL_wzd2bzd2_1361 = CAR(BgL_l1879z00_1358);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg1995z00_1362;
												obj_t BgL_arg1996z00_1363;

												BgL_arg1995z00_1362 = CAR(BgL_wzd2bzd2_1361);
												BgL_arg1996z00_1363 = CDR(BgL_wzd2bzd2_1361);
												{	/* Integrate/node.scm 47 */
													BgL_localz00_bglt BgL_oz00_2548;

													BgL_oz00_2548 =
														((BgL_localz00_bglt) BgL_arg1995z00_1362);
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_oz00_2548)))->
															BgL_fastzd2alphazd2) =
														((obj_t) BgL_arg1996z00_1363), BUNSPEC);
												}
											}
										}
										{
											obj_t BgL_l1879z00_3128;

											BgL_l1879z00_3128 = CDR(BgL_l1879z00_1358);
											BgL_l1879z00_1358 = BgL_l1879z00_3128;
											goto BgL_zc3anonymousza31992ze3z83_1359;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1366;

								BgL_resz00_1366 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1355,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1881z00_1368;

									BgL_l1881z00_1368 = BgL_whatzf2byza2z50_1356;
								BgL_zc3anonymousza31998ze3z83_1369:
									if (PAIRP(BgL_l1881z00_1368))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wzd2bzd2_1371;

												BgL_wzd2bzd2_1371 = CAR(BgL_l1881z00_1368);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg2000z00_1372;

													BgL_arg2000z00_1372 = CAR(BgL_wzd2bzd2_1371);
													{	/* Integrate/node.scm 52 */
														BgL_localz00_bglt BgL_oz00_2556;

														BgL_oz00_2556 =
															((BgL_localz00_bglt) BgL_arg2000z00_1372);
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt) BgL_oz00_2556)))->
																BgL_fastzd2alphazd2) =
															((obj_t) BUNSPEC), BUNSPEC);
													}
												}
											}
											{
												obj_t BgL_l1881z00_3139;

												BgL_l1881z00_3139 = CDR(BgL_l1881z00_1368);
												BgL_l1881z00_1368 = BgL_l1881z00_3139;
												goto BgL_zc3anonymousza31998ze3z83_1369;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1366);
							}
						}
					}
				}
			}
		}
	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_2967, obj_t BgL_astz00_2968, obj_t BgL_integratorz00_2969,
		obj_t BgL_whatzf2byza2z50_2970)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_2968),
				((BgL_variablez00_bglt) BgL_integratorz00_2969),
				BgL_whatzf2byza2z50_2970);
		}
	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1379;
				obj_t BgL_formalsz00_1380;

				BgL_celledz00_1379 = BNIL;
				BgL_formalsz00_1380 = BgL_formalsz00_6;
			BgL_zc3anonymousza32005ze3z83_1381:
				if (NULLP(BgL_formalsz00_1380))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1379;
					}
				else
					{	/* Integrate/node.scm 63 */
						if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) CAR(BgL_formalsz00_1380))))
							{	/* Integrate/node.scm 68 */
								BgL_typez00_bglt BgL_vtypez00_1384;

								{
									BgL_variablez00_bglt BgL_auxz00_3151;

									{
										BgL_localz00_bglt BgL_auxz00_3152;

										{	/* Integrate/node.scm 68 */
											obj_t BgL_pairz00_2563;

											BgL_pairz00_2563 = BgL_formalsz00_1380;
											BgL_auxz00_3152 =
												((BgL_localz00_bglt) CAR(BgL_pairz00_2563));
										}
										BgL_auxz00_3151 = ((BgL_variablez00_bglt) BgL_auxz00_3152);
									}
									BgL_vtypez00_1384 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_3151))->
										BgL_typez00);
								}
								{	/* Integrate/node.scm 68 */
									obj_t BgL_ntypez00_1385;

									if (
										(((obj_t) BgL_vtypez00_1384) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Integrate/node.scm 70 */
											BgL_ntypez00_1385 = BGl_za2objza2z00zztype_cachez00;
										}
									else
										{	/* Integrate/node.scm 70 */
											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_1384))
												{	/* Integrate/node.scm 71 */
													BgL_ntypez00_1385 = ((obj_t) BgL_vtypez00_1384);
												}
											else
												{	/* Integrate/node.scm 72 */
													bool_t BgL_testz00_3163;

													{	/* Integrate/node.scm 72 */
														obj_t BgL_auxz00_3164;

														{
															BgL_variablez00_bglt BgL_auxz00_3165;

															{
																BgL_localz00_bglt BgL_auxz00_3166;

																{	/* Integrate/node.scm 72 */
																	obj_t BgL_pairz00_2567;

																	BgL_pairz00_2567 = BgL_formalsz00_1380;
																	BgL_auxz00_3166 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_2567));
																}
																BgL_auxz00_3165 =
																	((BgL_variablez00_bglt) BgL_auxz00_3166);
															}
															BgL_auxz00_3164 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_3165))->BgL_accessz00);
														}
														BgL_testz00_3163 =
															(BgL_auxz00_3164 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_3163)
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1385 = ((obj_t) BgL_vtypez00_1384);
														}
													else
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1385 =
																BGl_za2objza2z00zztype_cachez00;
														}
												}
										}
									{	/* Integrate/node.scm 69 */
										BgL_localz00_bglt BgL_varz00_1386;

										{	/* Integrate/node.scm 74 */
											obj_t BgL_arg2012z00_1396;

											{
												BgL_variablez00_bglt BgL_auxz00_3174;

												{
													BgL_localz00_bglt BgL_auxz00_3175;

													{	/* Integrate/node.scm 74 */
														obj_t BgL_pairz00_2570;

														BgL_pairz00_2570 = BgL_formalsz00_1380;
														BgL_auxz00_3175 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_2570));
													}
													BgL_auxz00_3174 =
														((BgL_variablez00_bglt) BgL_auxz00_3175);
												}
												BgL_arg2012z00_1396 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3174))->
													BgL_idz00);
											}
											BgL_varz00_1386 =
												BGl_makezd2localzd2svarz00zzast_localz00
												(BgL_arg2012z00_1396,
												((BgL_typez00_bglt) BgL_ntypez00_1385));
										}
										{	/* Integrate/node.scm 74 */
											obj_t BgL_ozd2nzd2_1387;

											{	/* Integrate/node.scm 75 */
												obj_t BgL_arg2011z00_1395;

												BgL_arg2011z00_1395 = CAR(BgL_formalsz00_1380);
												BgL_ozd2nzd2_1387 =
													MAKE_PAIR(BgL_arg2011z00_1395,
													((obj_t) BgL_varz00_1386));
											}
											{	/* Integrate/node.scm 75 */

												{	/* Integrate/node.scm 76 */
													obj_t BgL_vz00_2576;

													BgL_vz00_2576 = CNST_TABLE_REF(((long) 1));
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_varz00_1386)))->
															BgL_accessz00) =
														((obj_t) BgL_vz00_2576), BUNSPEC);
												}
												{	/* Integrate/node.scm 77 */
													BgL_svarz00_bglt BgL_tmp1102z00_1388;

													BgL_tmp1102z00_1388 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_varz00_1386)))->
															BgL_valuez00));
													{	/* Integrate/node.scm 77 */
														BgL_svarz00_bglt BgL_tmp1103z00_1389;
														BgL_svarzf2iinfozf2_bglt BgL_wide1104z00_1390;

														BgL_tmp1103z00_1389 =
															((BgL_svarz00_bglt) BgL_tmp1102z00_1388);
														BgL_wide1104z00_1390 =
															((BgL_svarzf2iinfozf2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_svarzf2iinfozf2_bgl))));
														{	/* Integrate/node.scm 77 */
															obj_t BgL_auxz00_3195;
															BgL_objectz00_bglt BgL_auxz00_3193;

															BgL_auxz00_3195 = ((obj_t) BgL_wide1104z00_1390);
															BgL_auxz00_3193 =
																((BgL_objectz00_bglt) BgL_tmp1103z00_1389);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3193,
																BgL_auxz00_3195);
														}
														{	/* Integrate/node.scm 77 */
															long BgL_arg2008z00_1391;

															{	/* Integrate/node.scm 77 */
																long BgL_res2242z00_2584;

																{	/* Integrate/node.scm 77 */
																	obj_t BgL_classz00_2581;

																	BgL_classz00_2581 =
																		BGl_svarzf2Iinfozf2zzintegrate_infoz00;
																	{	/* Integrate/node.scm 77 */
																		obj_t BgL_vectorz00_2582;
																		int BgL_kz00_2583;

																		BgL_vectorz00_2582 = BgL_classz00_2581;
																		BgL_kz00_2583 = (int) (((long) 1));
																		BgL_res2242z00_2584 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_2582,
																				BgL_kz00_2583));
																}}
																BgL_arg2008z00_1391 = BgL_res2242z00_2584;
															}
															{	/* Integrate/node.scm 77 */
																BgL_objectz00_bglt BgL_objz00_2585;

																BgL_objz00_2585 =
																	((BgL_objectz00_bglt) BgL_tmp1103z00_1389);
																((BgL_svarz00_bglt)
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2585,
																		BgL_arg2008z00_1391));
														}} BgL_tmp1103z00_1389;
													}
													{	/* Integrate/node.scm 77 */
														BgL_svarz00_bglt BgL_new1105z00_1392;

														BgL_new1105z00_1392 =
															((BgL_svarz00_bglt) BgL_tmp1102z00_1388);
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3205;

															{
																obj_t BgL_auxz00_3206;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3207;

																	BgL_auxz00_3207 =
																		((BgL_objectz00_bglt) BgL_new1105z00_1392);
																	BgL_auxz00_3206 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3207);
																}
																BgL_auxz00_3205 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3206);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3205))->BgL_fzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3212;

															{
																obj_t BgL_auxz00_3213;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3214;

																	BgL_auxz00_3214 =
																		((BgL_objectz00_bglt) BgL_new1105z00_1392);
																	BgL_auxz00_3213 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3214);
																}
																BgL_auxz00_3212 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3213);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3212))->BgL_uzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3219;

															{
																obj_t BgL_auxz00_3220;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3221;

																	BgL_auxz00_3221 =
																		((BgL_objectz00_bglt) BgL_new1105z00_1392);
																	BgL_auxz00_3220 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3221);
																}
																BgL_auxz00_3219 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3220);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3219))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3226;

															{
																obj_t BgL_auxz00_3227;

																{	/* Integrate/node.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_3228;

																	BgL_auxz00_3228 =
																		((BgL_objectz00_bglt) BgL_new1105z00_1392);
																	BgL_auxz00_3227 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3228);
																}
																BgL_auxz00_3226 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3227);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3226))->BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
														} BgL_new1105z00_1392;
												}}
												{	/* Integrate/node.scm 80 */
													obj_t BgL_arg2009z00_1393;
													obj_t BgL_arg2010z00_1394;

													BgL_arg2009z00_1393 =
														MAKE_PAIR(BgL_ozd2nzd2_1387, BgL_celledz00_1379);
													BgL_arg2010z00_1394 = CDR(BgL_formalsz00_1380);
													{
														obj_t BgL_formalsz00_3236;
														obj_t BgL_celledz00_3235;

														BgL_celledz00_3235 = BgL_arg2009z00_1393;
														BgL_formalsz00_3236 = BgL_arg2010z00_1394;
														BgL_formalsz00_1380 = BgL_formalsz00_3236;
														BgL_celledz00_1379 = BgL_celledz00_3235;
														goto BgL_zc3anonymousza32005ze3z83_1381;
													}
												}
											}
										}
									}
								}
							}
						else
							{
								obj_t BgL_formalsz00_3237;

								BgL_formalsz00_3237 = CDR(BgL_formalsz00_1380);
								BgL_formalsz00_1380 = BgL_formalsz00_3237;
								goto BgL_zc3anonymousza32005ze3z83_1381;
							}
					}
			}
		}
	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_7, BgL_nodez00_bglt BgL_bodyz00_8)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 85 */
			if (NULLP(BgL_celledz00_7))
				{	/* Integrate/node.scm 86 */
					return BgL_bodyz00_8;
				}
			else
				{	/* Integrate/node.scm 88 */
					obj_t BgL_locz00_1408;

					BgL_locz00_1408 =
						(((BgL_nodez00_bglt) CREF(BgL_bodyz00_8))->BgL_locz00);
					{	/* Integrate/node.scm 89 */
						BgL_letzd2varzd2_bglt BgL_new1107z00_1409;

						{	/* Integrate/node.scm 89 */
							BgL_letzd2varzd2_bglt BgL_new1106z00_1433;

							BgL_new1106z00_1433 =
								((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Integrate/node.scm 89 */
								long BgL_arg2043z00_1434;

								{	/* Integrate/node.scm 89 */
									long BgL_res2244z00_2596;

									{	/* Integrate/node.scm 89 */
										obj_t BgL_classz00_2593;

										BgL_classz00_2593 = BGl_letzd2varzd2zzast_nodez00;
										{	/* Integrate/node.scm 89 */
											obj_t BgL_vectorz00_2594;
											int BgL_kz00_2595;

											BgL_vectorz00_2594 = BgL_classz00_2593;
											BgL_kz00_2595 = (int) (((long) 1));
											BgL_res2244z00_2596 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2594,
													BgL_kz00_2595));
									}}
									BgL_arg2043z00_1434 = BgL_res2244z00_2596;
								}
								{	/* Integrate/node.scm 89 */
									BgL_objectz00_bglt BgL_objz00_2597;

									BgL_objz00_2597 = ((BgL_objectz00_bglt) BgL_new1106z00_1433);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2597,
										BgL_arg2043z00_1434);
							}}
							{	/* Integrate/node.scm 89 */
								BgL_objectz00_bglt BgL_auxz00_3248;

								BgL_auxz00_3248 = ((BgL_objectz00_bglt) BgL_new1106z00_1433);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3248, BFALSE);
							}
							BgL_new1107z00_1409 = BgL_new1106z00_1433;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1107z00_1409)))->BgL_locz00) =
							((obj_t) BgL_locz00_1408), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_3253;

							{	/* Integrate/node.scm 92 */
								BgL_typez00_bglt BgL_arg2023z00_1410;

								BgL_arg2023z00_1410 =
									(((BgL_nodez00_bglt) CREF(BgL_bodyz00_8))->BgL_typez00);
								BgL_auxz00_3253 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2023z00_1410,
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1107z00_1409)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_3253), BUNSPEC);
						}
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_new1107z00_1409)))->
								BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1107z00_1409)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3264;

							{	/* Integrate/node.scm 93 */
								obj_t BgL_head1885z00_1413;

								{	/* Integrate/node.scm 93 */
									obj_t BgL_res2247z00_2606;

									BgL_res2247z00_2606 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1885z00_1413 = BgL_res2247z00_2606;
								}
								{
									obj_t BgL_l1883z00_1415;
									obj_t BgL_tail1886z00_1416;

									BgL_l1883z00_1415 = BgL_celledz00_7;
									BgL_tail1886z00_1416 = BgL_head1885z00_1413;
								BgL_zc3anonymousza32025ze3z83_1417:
									if (NULLP(BgL_l1883z00_1415))
										{	/* Integrate/node.scm 93 */
											BgL_auxz00_3264 = CDR(BgL_head1885z00_1413);
										}
									else
										{	/* Integrate/node.scm 93 */
											obj_t BgL_newtail1887z00_1419;

											{	/* Integrate/node.scm 93 */
												obj_t BgL_arg2028z00_1421;

												{	/* Integrate/node.scm 93 */
													obj_t BgL_ozd2nzd2_1422;

													{	/* Integrate/node.scm 93 */
														obj_t BgL_pairz00_2610;

														BgL_pairz00_2610 = BgL_l1883z00_1415;
														BgL_ozd2nzd2_1422 = CAR(BgL_pairz00_2610);
													}
													{	/* Integrate/node.scm 94 */
														obj_t BgL_arg2033z00_1423;
														BgL_makezd2boxzd2_bglt BgL_arg2035z00_1424;

														{	/* Integrate/node.scm 94 */
															obj_t BgL_pairz00_2611;

															BgL_pairz00_2611 = BgL_ozd2nzd2_1422;
															BgL_arg2033z00_1423 = CDR(BgL_pairz00_2611);
														}
														{	/* Integrate/node.scm 95 */
															BgL_varz00_bglt BgL_arg2036z00_1425;
															obj_t BgL_arg2037z00_1426;

															{	/* Integrate/node.scm 95 */
																BgL_varz00_bglt BgL_new1109z00_1427;

																{	/* Integrate/node.scm 95 */
																	BgL_varz00_bglt BgL_new1108z00_1430;

																	BgL_new1108z00_1430 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Integrate/node.scm 95 */
																		long BgL_arg2042z00_1431;

																		{	/* Integrate/node.scm 95 */
																			long BgL_res2249z00_2615;

																			{	/* Integrate/node.scm 95 */
																				obj_t BgL_classz00_2612;

																				BgL_classz00_2612 =
																					BGl_varz00zzast_nodez00;
																				{	/* Integrate/node.scm 95 */
																					obj_t BgL_vectorz00_2613;
																					int BgL_kz00_2614;

																					BgL_vectorz00_2613 =
																						BgL_classz00_2612;
																					BgL_kz00_2614 = (int) (((long) 1));
																					BgL_res2249z00_2615 =
																						(long)
																						CINT(VECTOR_REF(BgL_vectorz00_2613,
																							BgL_kz00_2614));
																			}}
																			BgL_arg2042z00_1431 = BgL_res2249z00_2615;
																		}
																		{	/* Integrate/node.scm 95 */
																			BgL_objectz00_bglt BgL_objz00_2616;

																			BgL_objz00_2616 =
																				((BgL_objectz00_bglt)
																				BgL_new1108z00_1430);
																			BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2616,
																				BgL_arg2042z00_1431);
																	}}
																	{	/* Integrate/node.scm 95 */
																		BgL_objectz00_bglt BgL_auxz00_3277;

																		BgL_auxz00_3277 =
																			((BgL_objectz00_bglt)
																			BgL_new1108z00_1430);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3277,
																			BFALSE);
																	}
																	BgL_new1109z00_1427 = BgL_new1108z00_1430;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1109z00_1427)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1408), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_3282;

																	{	/* Integrate/node.scm 98 */
																		BgL_typez00_bglt BgL_arg2038z00_1428;

																		{
																			BgL_variablez00_bglt BgL_auxz00_3284;

																			{	/* Integrate/node.scm 98 */
																				obj_t BgL_pairz00_2618;

																				BgL_pairz00_2618 = BgL_ozd2nzd2_1422;
																				BgL_auxz00_3284 =
																					((BgL_variablez00_bglt)
																					CAR(BgL_pairz00_2618));
																			}
																			BgL_arg2038z00_1428 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_3284))->BgL_typez00);
																		}
																		BgL_auxz00_3282 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00
																			(BgL_arg2038z00_1428,
																			((BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00));
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1109z00_1427)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_3282),
																		BUNSPEC);
																}
																{
																	BgL_variablez00_bglt BgL_auxz00_3291;

																	{	/* Integrate/node.scm 101 */
																		obj_t BgL_pairz00_2622;

																		BgL_pairz00_2622 = BgL_ozd2nzd2_1422;
																		BgL_auxz00_3291 =
																			((BgL_variablez00_bglt)
																			CAR(BgL_pairz00_2622));
																	}
																	((((BgL_varz00_bglt)
																				CREF(BgL_new1109z00_1427))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) BgL_auxz00_3291),
																		BUNSPEC);
																}
																BgL_arg2036z00_1425 = BgL_new1109z00_1427;
															}
															{	/* Integrate/node.scm 102 */
																obj_t BgL_pairz00_2623;

																BgL_pairz00_2623 = BgL_ozd2nzd2_1422;
																BgL_arg2037z00_1426 = CAR(BgL_pairz00_2623);
															}
															BgL_arg2035z00_1424 =
																BGl_azd2makezd2cellz00zzintegrate_nodez00(
																((BgL_nodez00_bglt) BgL_arg2036z00_1425),
																((BgL_variablez00_bglt) BgL_arg2037z00_1426));
														}
														BgL_arg2028z00_1421 =
															MAKE_PAIR(BgL_arg2033z00_1423,
															((obj_t) BgL_arg2035z00_1424));
												}}
												{	/* Integrate/node.scm 93 */
													obj_t BgL_res2251z00_2626;

													BgL_res2251z00_2626 =
														MAKE_PAIR(BgL_arg2028z00_1421, BNIL);
													BgL_newtail1887z00_1419 = BgL_res2251z00_2626;
											}}
											SET_CDR(BgL_tail1886z00_1416, BgL_newtail1887z00_1419);
											{	/* Integrate/node.scm 93 */
												obj_t BgL_arg2027z00_1420;

												{	/* Integrate/node.scm 93 */
													obj_t BgL_pairz00_2629;

													BgL_pairz00_2629 = BgL_l1883z00_1415;
													BgL_arg2027z00_1420 = CDR(BgL_pairz00_2629);
												}
												{
													obj_t BgL_tail1886z00_3305;
													obj_t BgL_l1883z00_3304;

													BgL_l1883z00_3304 = BgL_arg2027z00_1420;
													BgL_tail1886z00_3305 = BgL_newtail1887z00_1419;
													BgL_tail1886z00_1416 = BgL_tail1886z00_3305;
													BgL_l1883z00_1415 = BgL_l1883z00_3304;
													goto BgL_zc3anonymousza32025ze3z83_1417;
												}
											}
										}
								}
							}
							((((BgL_letzd2varzd2_bglt) CREF(BgL_new1107z00_1409))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3264), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1107z00_1409))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_8), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1107z00_1409))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1107z00_1409);
					}
				}
		}
	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_9,
		BgL_variablez00_bglt BgL_variablez00_10)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 108 */
			{	/* Integrate/node.scm 112 */
				BgL_localz00_bglt BgL_oz00_2630;
				obj_t BgL_vz00_2631;

				BgL_oz00_2630 = ((BgL_localz00_bglt) BgL_variablez00_10);
				BgL_vz00_2631 = CNST_TABLE_REF(((long) 1));
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_2630)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2631), BUNSPEC);
			}
			{	/* Integrate/node.scm 113 */
				BgL_valuez00_bglt BgL_arg2044z00_1436;

				BgL_arg2044z00_1436 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_10))->BgL_valuez00);
				{	/* Integrate/node.scm 113 */
					BgL_svarz00_bglt BgL_oz00_2636;

					BgL_oz00_2636 = ((BgL_svarz00_bglt) BgL_arg2044z00_1436);
					{
						BgL_svarzf2iinfozf2_bglt BgL_auxz00_3316;

						{
							obj_t BgL_auxz00_3317;

							{	/* Integrate/node.scm 113 */
								BgL_objectz00_bglt BgL_auxz00_3318;

								BgL_auxz00_3318 = ((BgL_objectz00_bglt) BgL_oz00_2636);
								BgL_auxz00_3317 = BGL_OBJECT_WIDENING(BgL_auxz00_3318);
							}
							BgL_auxz00_3316 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3317);
						}
						((((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3316))->
								BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}}
			{	/* Integrate/node.scm 114 */
				BgL_makezd2boxzd2_bglt BgL_new1112z00_1437;

				{	/* Integrate/node.scm 114 */
					BgL_makezd2boxzd2_bglt BgL_new1111z00_1438;

					BgL_new1111z00_1438 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Integrate/node.scm 114 */
						long BgL_arg2045z00_1439;

						{	/* Integrate/node.scm 114 */
							long BgL_res2253z00_2642;

							{	/* Integrate/node.scm 114 */
								obj_t BgL_classz00_2639;

								BgL_classz00_2639 = BGl_makezd2boxzd2zzast_nodez00;
								{	/* Integrate/node.scm 114 */
									obj_t BgL_vectorz00_2640;
									int BgL_kz00_2641;

									BgL_vectorz00_2640 = BgL_classz00_2639;
									BgL_kz00_2641 = (int) (((long) 1));
									BgL_res2253z00_2642 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2640, BgL_kz00_2641));
							}}
							BgL_arg2045z00_1439 = BgL_res2253z00_2642;
						}
						{	/* Integrate/node.scm 114 */
							BgL_objectz00_bglt BgL_objz00_2643;

							BgL_objz00_2643 = ((BgL_objectz00_bglt) BgL_new1111z00_1438);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2643, BgL_arg2045z00_1439);
					}}
					{	/* Integrate/node.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_3329;

						BgL_auxz00_3329 = ((BgL_objectz00_bglt) BgL_new1111z00_1438);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3329, BFALSE);
					}
					BgL_new1112z00_1437 = BgL_new1111z00_1438;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1112z00_1437)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) CREF(BgL_nodez00_9))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1112z00_1437)))->
						BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
								BGl_za2cellza2z00zztype_cachez00),
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00))), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1112z00_1437)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1112z00_1437)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1112z00_1437))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_nodez00_9), BUNSPEC);
				return BgL_new1112z00_1437;
			}
		}
	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_11)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 122 */
			{	/* Integrate/node.scm 133 */
				bool_t BgL_testz00_3346;

				{	/* Integrate/node.scm 133 */
					BgL_valuez00_bglt BgL_arg2050z00_1446;

					BgL_arg2050z00_1446 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_variablez00_11)))->BgL_valuez00);
					{	/* Integrate/node.scm 133 */
						bool_t BgL_res2255z00_2649;

						{	/* Integrate/node.scm 133 */
							obj_t BgL_objz00_2648;

							BgL_objz00_2648 = ((obj_t) BgL_arg2050z00_1446);
							BgL_res2255z00_2649 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_2648,
								BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						}
						BgL_testz00_3346 = BgL_res2255z00_2649;
					}
				}
				if (BgL_testz00_3346)
					{	/* Integrate/node.scm 134 */
						bool_t BgL__ortest_1114z00_1441;

						{
							BgL_svarzf2iinfozf2_bglt BgL_auxz00_3351;

							{
								obj_t BgL_auxz00_3352;

								{	/* Integrate/node.scm 134 */
									BgL_objectz00_bglt BgL_auxz00_3353;

									BgL_auxz00_3353 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_variablez00_11)))->
												BgL_valuez00)));
									BgL_auxz00_3352 = BGL_OBJECT_WIDENING(BgL_auxz00_3353);
								}
								BgL_auxz00_3351 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3352);
							}
							BgL__ortest_1114z00_1441 =
								(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3351))->
								BgL_celledzf3zf3);
						}
						if (BgL__ortest_1114z00_1441)
							{	/* Integrate/node.scm 134 */
								return BgL__ortest_1114z00_1441;
							}
						else
							{	/* Integrate/node.scm 134 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_variablez00_11)))->
												BgL_accessz00), CNST_TABLE_REF(((long) 2)))))
									{
										BgL_svarzf2iinfozf2_bglt BgL_auxz00_3368;

										{
											obj_t BgL_auxz00_3369;

											{	/* Integrate/node.scm 136 */
												BgL_objectz00_bglt BgL_auxz00_3370;

												BgL_auxz00_3370 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_variablez00_11)))->BgL_valuez00)));
												BgL_auxz00_3369 = BGL_OBJECT_WIDENING(BgL_auxz00_3370);
											}
											BgL_auxz00_3368 =
												((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3369);
										}
										return
											(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3368))->
											BgL_kapturedzf3zf3);
									}
								else
									{	/* Integrate/node.scm 135 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 133 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_2971, obj_t BgL_variablez00_2972)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 122 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_2972)));
		}
	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_56,
		obj_t BgL_integratorz00_57)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 414 */
			{
				obj_t BgL_nodeza2za2_1448;

				BgL_nodeza2za2_1448 = BgL_nodeza2za2_56;
			BgL_zc3anonymousza32051ze3z83_1449:
				if (NULLP(BgL_nodeza2za2_1448))
					{	/* Integrate/node.scm 416 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Integrate/node.scm 416 */
						{	/* Integrate/node.scm 419 */
							BgL_nodez00_bglt BgL_arg2054z00_1451;

							{	/* Integrate/node.scm 419 */
								obj_t BgL_arg2055z00_1452;

								BgL_arg2055z00_1452 = CAR(BgL_nodeza2za2_1448);
								BgL_arg2054z00_1451 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg2055z00_1452),
									((BgL_variablez00_bglt) BgL_integratorz00_57));
							}
							{	/* Integrate/node.scm 419 */
								obj_t BgL_pairz00_2667;
								obj_t BgL_objz00_2668;

								BgL_pairz00_2667 = BgL_nodeza2za2_1448;
								BgL_objz00_2668 = ((obj_t) BgL_arg2054z00_1451);
								SET_CAR(BgL_pairz00_2667, BgL_objz00_2668);
							}
						}
						{
							obj_t BgL_nodeza2za2_3390;

							BgL_nodeza2za2_3390 = CDR(BgL_nodeza2za2_1448);
							BgL_nodeza2za2_1448 = BgL_nodeza2za2_3390;
							goto BgL_zc3anonymousza32051ze3z83_1449;
						}
					}
			}
		}
	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_58, BgL_variablez00_bglt BgL_integratorz00_59)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 425 */
			{	/* Integrate/node.scm 428 */
				BgL_valuez00_bglt BgL_funz00_1455;

				BgL_funz00_1455 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_58)))->BgL_valuez00);
				{	/* Integrate/node.scm 428 */
					obj_t BgL_obodyz00_1456;

					BgL_obodyz00_1456 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1455)))->BgL_bodyz00);
					{	/* Integrate/node.scm 429 */

						if ((((obj_t) BgL_localz00_58) == ((obj_t) BgL_integratorz00_59)))
							{	/* Integrate/node.scm 432 */
								BgL_nodez00_bglt BgL_arg2058z00_1458;

								BgL_arg2058z00_1458 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1456), BgL_integratorz00_59);
								{	/* Integrate/node.scm 432 */
									BgL_sfunz00_bglt BgL_oz00_2675;
									obj_t BgL_vz00_2676;

									BgL_oz00_2675 = ((BgL_sfunz00_bglt) BgL_funz00_1455);
									BgL_vz00_2676 = ((obj_t) BgL_arg2058z00_1458);
									return
										((((BgL_sfunz00_bglt) CREF(BgL_oz00_2675))->BgL_bodyz00) =
										((obj_t) BgL_vz00_2676), BUNSPEC);
								}
							}
						else
							{	/* Integrate/node.scm 433 */
								bool_t BgL_testz00_3405;

								{	/* Integrate/node.scm 433 */
									bool_t BgL_testz00_3406;

									{	/* Integrate/node.scm 433 */
										bool_t BgL_res2262z00_2679;

										{	/* Integrate/node.scm 433 */
											obj_t BgL_objz00_2678;

											BgL_objz00_2678 = ((obj_t) BgL_funz00_1455);
											BgL_res2262z00_2679 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2678,
												BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
										}
										BgL_testz00_3406 = BgL_res2262z00_2679;
									}
									if (BgL_testz00_3406)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3409;

											{
												obj_t BgL_auxz00_3410;

												{	/* Integrate/node.scm 433 */
													BgL_objectz00_bglt BgL_auxz00_3411;

													BgL_auxz00_3411 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_1455));
													BgL_auxz00_3410 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3411);
												}
												BgL_auxz00_3409 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3410);
											}
											BgL_testz00_3405 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3409))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 433 */
											BgL_testz00_3405 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3405)
									{	/* Integrate/node.scm 433 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 436 */
										obj_t BgL_celledz00_1460;

										{	/* Integrate/node.scm 436 */
											obj_t BgL_arg2070z00_1480;

											BgL_arg2070z00_1480 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_1455)))->
												BgL_argsz00);
											BgL_celledz00_1460 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg2070z00_1480);
										}
										{
											obj_t BgL_l1939z00_1462;

											BgL_l1939z00_1462 = BgL_celledz00_1460;
										BgL_zc3anonymousza32060ze3z83_1463:
											if (PAIRP(BgL_l1939z00_1462))
												{	/* Integrate/node.scm 437 */
													{	/* Integrate/node.scm 438 */
														obj_t BgL_wzd2bzd2_1465;

														BgL_wzd2bzd2_1465 = CAR(BgL_l1939z00_1462);
														{	/* Integrate/node.scm 438 */
															obj_t BgL_arg2062z00_1466;
															obj_t BgL_arg2063z00_1467;

															BgL_arg2062z00_1466 = CAR(BgL_wzd2bzd2_1465);
															BgL_arg2063z00_1467 = CDR(BgL_wzd2bzd2_1465);
															{	/* Integrate/node.scm 438 */
																BgL_variablez00_bglt BgL_oz00_2690;

																BgL_oz00_2690 =
																	((BgL_variablez00_bglt) BgL_arg2062z00_1466);
																((((BgL_variablez00_bglt) CREF(BgL_oz00_2690))->
																		BgL_fastzd2alphazd2) =
																	((obj_t) BgL_arg2063z00_1467), BUNSPEC);
															}
														}
													}
													{
														obj_t BgL_l1939z00_3427;

														BgL_l1939z00_3427 = CDR(BgL_l1939z00_1462);
														BgL_l1939z00_1462 = BgL_l1939z00_3427;
														goto BgL_zc3anonymousza32060ze3z83_1463;
													}
												}
											else
												{	/* Integrate/node.scm 437 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 440 */
											BgL_nodez00_bglt BgL_nbody1z00_1470;

											BgL_nbody1z00_1470 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1456),
												BgL_integratorz00_59);
											{	/* Integrate/node.scm 440 */
												BgL_nodez00_bglt BgL_nbody2z00_1471;

												BgL_nbody2z00_1471 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1460, BgL_nbody1z00_1470);
												{	/* Integrate/node.scm 441 */

													{
														obj_t BgL_l1941z00_1473;

														BgL_l1941z00_1473 = BgL_celledz00_1460;
													BgL_zc3anonymousza32066ze3z83_1474:
														if (PAIRP(BgL_l1941z00_1473))
															{	/* Integrate/node.scm 442 */
																{	/* Integrate/node.scm 443 */
																	obj_t BgL_wzd2bzd2_1476;

																	BgL_wzd2bzd2_1476 = CAR(BgL_l1941z00_1473);
																	{	/* Integrate/node.scm 443 */
																		obj_t BgL_arg2068z00_1477;

																		BgL_arg2068z00_1477 =
																			CAR(BgL_wzd2bzd2_1476);
																		{	/* Integrate/node.scm 443 */
																			BgL_variablez00_bglt BgL_oz00_2698;

																			BgL_oz00_2698 =
																				((BgL_variablez00_bglt)
																				BgL_arg2068z00_1477);
																			((((BgL_variablez00_bglt)
																						CREF(BgL_oz00_2698))->
																					BgL_fastzd2alphazd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																		}
																	}
																}
																{
																	obj_t BgL_l1941z00_3438;

																	BgL_l1941z00_3438 = CDR(BgL_l1941z00_1473);
																	BgL_l1941z00_1473 = BgL_l1941z00_3438;
																	goto BgL_zc3anonymousza32066ze3z83_1474;
																}
															}
														else
															{	/* Integrate/node.scm 442 */
																((bool_t) 1);
															}
													}
													{	/* Integrate/node.scm 445 */
														BgL_sfunz00_bglt BgL_oz00_2702;
														obj_t BgL_vz00_2703;

														BgL_oz00_2702 =
															((BgL_sfunz00_bglt) BgL_funz00_1455);
														BgL_vz00_2703 = ((obj_t) BgL_nbody2z00_1471);
														return
															((((BgL_sfunz00_bglt) CREF(BgL_oz00_2702))->
																BgL_bodyz00) =
															((obj_t) BgL_vz00_2703), BUNSPEC);
													}
												}
											}
										}
									}
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc2313z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string2314z00zzintegrate_nodez00);
		}
	}



/* &glo!1943 */
	obj_t BGl_z62gloz121943z70zzintegrate_nodez00(obj_t BgL_envz00_2974,
		obj_t BgL_nodez00_2975, obj_t BgL_integratorz00_2976)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			{
				BgL_nodez00_bglt BgL_nodez00_1483;
				BgL_variablez00_bglt BgL_integratorz00_1484;

				BgL_nodez00_1483 = ((BgL_nodez00_bglt) BgL_nodez00_2975);
				BgL_integratorz00_1484 =
					((BgL_variablez00_bglt) BgL_integratorz00_2976);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
					BGl_string2315z00zzintegrate_nodez00, ((obj_t) BgL_nodez00_1483));
		}}
	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_12, BgL_variablez00_bglt BgL_integratorz00_13)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			{	/* Integrate/node.scm 141 */
				obj_t BgL_method1944z00_1487;

				{	/* Integrate/node.scm 141 */
					obj_t BgL_res2272z00_2733;

					{	/* Integrate/node.scm 141 */
						BgL_objectz00_bglt BgL_objz00_2705;

						BgL_objz00_2705 = ((BgL_objectz00_bglt) BgL_nodez00_12);
						{	/* Integrate/node.scm 141 */
							long BgL_objzd2classzd2numz00_2706;

							{	/* Integrate/node.scm 141 */
								long BgL_res2266z00_2709;

								BgL_res2266z00_2709 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2705);
								BgL_objzd2classzd2numz00_2706 = BgL_res2266z00_2709;
							}
							{	/* Integrate/node.scm 141 */
								obj_t BgL_arg1822z00_2707;

								BgL_arg1822z00_2707 =
									PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
									(int) (((long) 1)));
								{	/* Integrate/node.scm 141 */
									obj_t BgL_arrayz00_2710;
									int BgL_offsetz00_2711;

									BgL_arrayz00_2710 = BgL_arg1822z00_2707;
									BgL_offsetz00_2711 = (int) (BgL_objzd2classzd2numz00_2706);
									{	/* Integrate/node.scm 141 */
										long BgL_offsetz00_2712;

										BgL_offsetz00_2712 =
											((long) (BgL_offsetz00_2711) - OBJECT_TYPE);
										{	/* Integrate/node.scm 141 */
											long BgL_modz00_2713;

											{	/* Integrate/node.scm 141 */
												int BgL_arg1824z00_2714;

												BgL_arg1824z00_2714 = (int) (((long) 16));
												{	/* Integrate/node.scm 141 */
													long BgL_res2269z00_2724;

													{	/* Integrate/node.scm 141 */
														long BgL_auxz00_3457;

														BgL_auxz00_3457 = (long) (BgL_arg1824z00_2714);
														BgL_res2269z00_2724 =
															(BgL_offsetz00_2712 / BgL_auxz00_3457);
													}
													BgL_modz00_2713 = BgL_res2269z00_2724;
											}}
											{	/* Integrate/node.scm 141 */
												long BgL_restz00_2715;

												{	/* Integrate/node.scm 141 */
													int BgL_arg1823z00_2716;

													BgL_arg1823z00_2716 = (int) (((long) 16));
													{	/* Integrate/node.scm 141 */
														long BgL_res2271z00_2728;

														{	/* Integrate/node.scm 141 */
															long BgL_auxz00_3461;

															BgL_auxz00_3461 = (long) (BgL_arg1823z00_2716);
															BgL_res2271z00_2728 =
																(BgL_offsetz00_2712 % BgL_auxz00_3461);
														}
														BgL_restz00_2715 = BgL_res2271z00_2728;
												}}
												{	/* Integrate/node.scm 141 */

													BgL_res2272z00_2733 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2710,
															(int) (BgL_modz00_2713)),
														(int) (BgL_restz00_2715));
					}}}}}}}}
					BgL_method1944z00_1487 = BgL_res2272z00_2733;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1944z00_1487) (BgL_method1944z00_1487,
						((obj_t) BgL_nodez00_12), ((obj_t) BgL_integratorz00_13), BEOA));
			}
		}
	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_2977,
		obj_t BgL_nodez00_2978, obj_t BgL_integratorz00_2979)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 141 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_2978),
				((BgL_variablez00_bglt) BgL_integratorz00_2979));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc2316z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2318z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc2319z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc2320z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2321z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc2322z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2323z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2324z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc2325z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc2326z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc2327z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2328z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc2329z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_selectz00zzast_nodez00,
				BGl_proc2330z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2331z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2332z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2333z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2334z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2335z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2336z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2337z00zzintegrate_nodez00,
				BGl_string2317z00zzintegrate_nodez00);
		}
	}



/* &glo!-box-set!1988 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz121988z62zzintegrate_nodez00(obj_t
		BgL_envz00_3001, obj_t BgL_nodez00_3002, obj_t BgL_integratorz00_3003)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 404 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1746;
				obj_t BgL_integratorz00_1747;

				BgL_nodez00_1746 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3002);
				BgL_integratorz00_1747 = BgL_integratorz00_3003;
				{
					BgL_varz00_bglt BgL_auxz00_3500;

					{	/* Integrate/node.scm 407 */
						BgL_varz00_bglt BgL_arg2173z00_1751;

						BgL_arg2173z00_1751 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1746))->BgL_varz00);
						BgL_auxz00_3500 =
							((BgL_varz00_bglt)
							BGl_gloz12z12zzintegrate_nodez00(
								((BgL_nodez00_bglt) BgL_arg2173z00_1751),
								((BgL_variablez00_bglt) BgL_integratorz00_1747)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1746))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3500), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3507;

					{	/* Integrate/node.scm 408 */
						BgL_nodez00_bglt BgL_arg2175z00_1752;

						BgL_arg2175z00_1752 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1746))->
							BgL_valuez00);
						BgL_auxz00_3507 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2175z00_1752,
							((BgL_variablez00_bglt) BgL_integratorz00_1747));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1746))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3507), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1746);
			}
		}
	}



/* &glo!-box-ref1986 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref1986z70zzintegrate_nodez00(obj_t
		BgL_envz00_3004, obj_t BgL_nodez00_3005, obj_t BgL_integratorz00_3006)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 395 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1739;
				obj_t BgL_integratorz00_1740;

				BgL_nodez00_1739 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3005);
				BgL_integratorz00_1740 = BgL_integratorz00_3006;
				{
					BgL_varz00_bglt BgL_auxz00_3514;

					{	/* Integrate/node.scm 397 */
						BgL_varz00_bglt BgL_arg2172z00_2937;

						BgL_arg2172z00_2937 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1739))->BgL_varz00);
						BgL_auxz00_3514 =
							((BgL_varz00_bglt)
							BGl_gloz12z12zzintegrate_nodez00(
								((BgL_nodez00_bglt) BgL_arg2172z00_2937),
								((BgL_variablez00_bglt) BgL_integratorz00_1740)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1739))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3514), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1739);
			}
		}
	}



/* &glo!-make-box1984 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1984z70zzintegrate_nodez00(obj_t
		BgL_envz00_3007, obj_t BgL_nodez00_3008, obj_t BgL_integratorz00_3009)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 387 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1732;
				obj_t BgL_integratorz00_1733;

				BgL_nodez00_1732 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3008);
				BgL_integratorz00_1733 = BgL_integratorz00_3009;
				{
					BgL_nodez00_bglt BgL_auxz00_3523;

					{	/* Integrate/node.scm 388 */
						BgL_nodez00_bglt BgL_arg2170z00_2935;

						BgL_arg2170z00_2935 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1732))->BgL_valuez00);
						BgL_auxz00_3523 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2170z00_2935,
							((BgL_variablez00_bglt) BgL_integratorz00_1733));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1732))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3523), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1732);
			}
		}
	}



/* &glo!-jump-ex-it1982 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1982za2zzintegrate_nodez00(obj_t
		BgL_envz00_3010, obj_t BgL_nodez00_3011, obj_t BgL_integratorz00_3012)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 378 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1724;
				obj_t BgL_integratorz00_1725;

				BgL_nodez00_1724 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3011);
				BgL_integratorz00_1725 = BgL_integratorz00_3012;
				{
					BgL_nodez00_bglt BgL_auxz00_3530;

					{	/* Integrate/node.scm 380 */
						BgL_nodez00_bglt BgL_arg2168z00_1729;

						BgL_arg2168z00_1729 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1724))->
							BgL_exitz00);
						BgL_auxz00_3530 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2168z00_1729,
							((BgL_variablez00_bglt) BgL_integratorz00_1725));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1724))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3530), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3535;

					{	/* Integrate/node.scm 381 */
						BgL_nodez00_bglt BgL_arg2169z00_1730;

						BgL_arg2169z00_1730 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1724))->
							BgL_valuez00);
						BgL_auxz00_3535 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2169z00_1730,
							((BgL_variablez00_bglt) BgL_integratorz00_1725));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1724))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3535), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1724);
			}
		}
	}



/* &glo!-set-ex-it1980 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it1980za2zzintegrate_nodez00(obj_t
		BgL_envz00_3013, obj_t BgL_nodez00_3014, obj_t BgL_integratorz00_3015)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 370 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1717;
				obj_t BgL_integratorz00_1718;

				BgL_nodez00_1717 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3014);
				BgL_integratorz00_1718 = BgL_integratorz00_3015;
				{
					BgL_nodez00_bglt BgL_auxz00_3542;

					{	/* Integrate/node.scm 371 */
						BgL_nodez00_bglt BgL_arg2167z00_2933;

						BgL_arg2167z00_2933 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1717))->
							BgL_bodyz00);
						BgL_auxz00_3542 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2167z00_2933,
							((BgL_variablez00_bglt) BgL_integratorz00_1718));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1717))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3542), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1717);
			}
		}
	}



/* &glo!-let-var1978 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1978z70zzintegrate_nodez00(obj_t
		BgL_envz00_3016, obj_t BgL_nodez00_3017, obj_t BgL_integratorz00_3018)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 352 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1696;
				obj_t BgL_integratorz00_1697;

				BgL_nodez00_1696 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3017);
				BgL_integratorz00_1697 = BgL_integratorz00_3018;
				{	/* Integrate/node.scm 354 */
					obj_t BgL_g1938z00_1701;

					BgL_g1938z00_1701 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1696))->BgL_bindingsz00);
					{
						obj_t BgL_l1936z00_1703;

						BgL_l1936z00_1703 = BgL_g1938z00_1701;
					BgL_zc3anonymousza32155ze3z83_1704:
						if (PAIRP(BgL_l1936z00_1703))
							{	/* Integrate/node.scm 354 */
								{	/* Integrate/node.scm 355 */
									obj_t BgL_bindingz00_1706;

									BgL_bindingz00_1706 = CAR(BgL_l1936z00_1703);
									{	/* Integrate/node.scm 355 */
										obj_t BgL_varz00_1707;
										obj_t BgL_valz00_1708;

										BgL_varz00_1707 = CAR(BgL_bindingz00_1706);
										BgL_valz00_1708 = CDR(BgL_bindingz00_1706);
										{	/* Integrate/node.scm 357 */
											BgL_nodez00_bglt BgL_arg2158z00_1709;

											BgL_arg2158z00_1709 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_valz00_1708),
												((BgL_variablez00_bglt) BgL_integratorz00_1697));
											{	/* Integrate/node.scm 357 */
												obj_t BgL_pairz00_2923;
												obj_t BgL_objz00_2924;

												BgL_pairz00_2923 = BgL_bindingz00_1706;
												BgL_objz00_2924 = ((obj_t) BgL_arg2158z00_1709);
												SET_CDR(BgL_pairz00_2923, BgL_objz00_2924);
											}
										}
										if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_1707)))
											{	/* Integrate/node.scm 358 */
												{	/* Integrate/node.scm 360 */
													BgL_localz00_bglt BgL_oz00_2925;
													BgL_typez00_bglt BgL_vz00_2926;

													BgL_oz00_2925 = ((BgL_localz00_bglt) BgL_varz00_1707);
													BgL_vz00_2926 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_oz00_2925)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_2926), BUNSPEC);
												}
												{	/* Integrate/node.scm 361 */
													BgL_makezd2boxzd2_bglt BgL_arg2160z00_1711;

													{	/* Integrate/node.scm 361 */
														obj_t BgL_arg2162z00_1712;

														BgL_arg2162z00_1712 = CDR(BgL_bindingz00_1706);
														BgL_arg2160z00_1711 =
															BGl_azd2makezd2cellz00zzintegrate_nodez00(
															((BgL_nodez00_bglt) BgL_arg2162z00_1712),
															((BgL_variablez00_bglt) BgL_varz00_1707));
													}
													{	/* Integrate/node.scm 361 */
														obj_t BgL_pairz00_2929;
														obj_t BgL_objz00_2930;

														BgL_pairz00_2929 = BgL_bindingz00_1706;
														BgL_objz00_2930 = ((obj_t) BgL_arg2160z00_1711);
														SET_CDR(BgL_pairz00_2929, BgL_objz00_2930);
													}
												}
											}
										else
											{	/* Integrate/node.scm 358 */
												BFALSE;
											}
									}
								}
								{
									obj_t BgL_l1936z00_3573;

									BgL_l1936z00_3573 = CDR(BgL_l1936z00_1703);
									BgL_l1936z00_1703 = BgL_l1936z00_3573;
									goto BgL_zc3anonymousza32155ze3z83_1704;
								}
							}
						else
							{	/* Integrate/node.scm 354 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3575;

					{	/* Integrate/node.scm 364 */
						BgL_nodez00_bglt BgL_arg2165z00_1715;

						BgL_arg2165z00_1715 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1696))->BgL_bodyz00);
						BgL_auxz00_3575 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2165z00_1715,
							((BgL_variablez00_bglt) BgL_integratorz00_1697));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1696))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3575), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1696);
			}
		}
	}



/* &glo!-let-fun1975 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1975z70zzintegrate_nodez00(obj_t
		BgL_envz00_3019, obj_t BgL_nodez00_3020, obj_t BgL_integratorz00_3021)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 341 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1681;
				obj_t BgL_integratorz00_1682;

				BgL_nodez00_1681 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3020);
				BgL_integratorz00_1682 = BgL_integratorz00_3021;
				{
					BgL_nodez00_bglt BgL_auxz00_3582;

					{	/* Integrate/node.scm 343 */
						BgL_nodez00_bglt BgL_arg2151z00_1686;

						BgL_arg2151z00_1686 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1681))->BgL_bodyz00);
						BgL_auxz00_3582 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2151z00_1686,
							((BgL_variablez00_bglt) BgL_integratorz00_1682));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1681))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3582), BUNSPEC);
				}
				{	/* Integrate/node.scm 344 */
					obj_t BgL_g1935z00_1687;

					BgL_g1935z00_1687 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1681))->BgL_localsz00);
					{
						obj_t BgL_l1933z00_1689;

						BgL_l1933z00_1689 = BgL_g1935z00_1687;
					BgL_zc3anonymousza32152ze3z83_1690:
						if (PAIRP(BgL_l1933z00_1689))
							{	/* Integrate/node.scm 344 */
								{	/* Integrate/node.scm 345 */
									obj_t BgL_localz00_1692;

									BgL_localz00_1692 = CAR(BgL_l1933z00_1689);
									BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_localz00_1692),
										((BgL_variablez00_bglt) BgL_integratorz00_1682));
								}
								{
									obj_t BgL_l1933z00_3594;

									BgL_l1933z00_3594 = CDR(BgL_l1933z00_1689);
									BgL_l1933z00_1689 = BgL_l1933z00_3594;
									goto BgL_zc3anonymousza32152ze3z83_1690;
								}
							}
						else
							{	/* Integrate/node.scm 344 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1681);
			}
		}
	}



/* &glo!-select1973 */
	BgL_nodez00_bglt BGl_z62gloz12zd2select1973za2zzintegrate_nodez00(obj_t
		BgL_envz00_3022, obj_t BgL_nodez00_3023, obj_t BgL_integratorz00_3024)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 330 */
			{
				BgL_selectz00_bglt BgL_nodez00_1664;
				obj_t BgL_integratorz00_1665;

				BgL_nodez00_1664 = ((BgL_selectz00_bglt) BgL_nodez00_3023);
				BgL_integratorz00_1665 = BgL_integratorz00_3024;
				{
					BgL_nodez00_bglt BgL_auxz00_3598;

					{	/* Integrate/node.scm 332 */
						BgL_nodez00_bglt BgL_arg2145z00_1669;

						BgL_arg2145z00_1669 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1664))->BgL_testz00);
						BgL_auxz00_3598 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2145z00_1669,
							((BgL_variablez00_bglt) BgL_integratorz00_1665));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1664))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3598), BUNSPEC);
				}
				{	/* Integrate/node.scm 333 */
					obj_t BgL_g1932z00_1670;

					BgL_g1932z00_1670 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1664))->BgL_clausesz00);
					{
						obj_t BgL_l1888z00_1672;

						BgL_l1888z00_1672 = BgL_g1932z00_1670;
					BgL_zc3anonymousza32146ze3z83_1673:
						if (PAIRP(BgL_l1888z00_1672))
							{	/* Integrate/node.scm 333 */
								{	/* Integrate/node.scm 334 */
									obj_t BgL_clausez00_1675;

									BgL_clausez00_1675 = CAR(BgL_l1888z00_1672);
									{	/* Integrate/node.scm 334 */
										BgL_nodez00_bglt BgL_arg2148z00_1676;

										{	/* Integrate/node.scm 334 */
											obj_t BgL_arg2149z00_1677;

											BgL_arg2149z00_1677 = CDR(BgL_clausez00_1675);
											BgL_arg2148z00_1676 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg2149z00_1677),
												((BgL_variablez00_bglt) BgL_integratorz00_1665));
										}
										{	/* Integrate/node.scm 334 */
											obj_t BgL_pairz00_2911;
											obj_t BgL_objz00_2912;

											BgL_pairz00_2911 = BgL_clausez00_1675;
											BgL_objz00_2912 = ((obj_t) BgL_arg2148z00_1676);
											SET_CDR(BgL_pairz00_2911, BgL_objz00_2912);
										}
									}
								}
								{
									obj_t BgL_l1888z00_3613;

									BgL_l1888z00_3613 = CDR(BgL_l1888z00_1672);
									BgL_l1888z00_1672 = BgL_l1888z00_3613;
									goto BgL_zc3anonymousza32146ze3z83_1673;
								}
							}
						else
							{	/* Integrate/node.scm 333 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1664);
			}
		}
	}



/* &glo!-fail1971 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1971za2zzintegrate_nodez00(obj_t
		BgL_envz00_3025, obj_t BgL_nodez00_3026, obj_t BgL_integratorz00_3027)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 320 */
			{
				BgL_failz00_bglt BgL_nodez00_1655;
				obj_t BgL_integratorz00_1656;

				BgL_nodez00_1655 = ((BgL_failz00_bglt) BgL_nodez00_3026);
				BgL_integratorz00_1656 = BgL_integratorz00_3027;
				{
					BgL_nodez00_bglt BgL_auxz00_3617;

					{	/* Integrate/node.scm 322 */
						BgL_nodez00_bglt BgL_arg2142z00_1660;

						BgL_arg2142z00_1660 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1655))->BgL_procz00);
						BgL_auxz00_3617 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2142z00_1660,
							((BgL_variablez00_bglt) BgL_integratorz00_1656));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1655))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3617), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3622;

					{	/* Integrate/node.scm 323 */
						BgL_nodez00_bglt BgL_arg2143z00_1661;

						BgL_arg2143z00_1661 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1655))->BgL_msgz00);
						BgL_auxz00_3622 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2143z00_1661,
							((BgL_variablez00_bglt) BgL_integratorz00_1656));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1655))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3622), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3627;

					{	/* Integrate/node.scm 324 */
						BgL_nodez00_bglt BgL_arg2144z00_1662;

						BgL_arg2144z00_1662 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1655))->BgL_objz00);
						BgL_auxz00_3627 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2144z00_1662,
							((BgL_variablez00_bglt) BgL_integratorz00_1656));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1655))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3627), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1655);
			}
		}
	}



/* &glo!-conditional1969 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1969za2zzintegrate_nodez00(obj_t
		BgL_envz00_3028, obj_t BgL_nodez00_3029, obj_t BgL_integratorz00_3030)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 310 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1646;
				obj_t BgL_integratorz00_1647;

				BgL_nodez00_1646 = ((BgL_conditionalz00_bglt) BgL_nodez00_3029);
				BgL_integratorz00_1647 = BgL_integratorz00_3030;
				{
					BgL_nodez00_bglt BgL_auxz00_3634;

					{	/* Integrate/node.scm 312 */
						BgL_nodez00_bglt BgL_arg2137z00_1651;

						BgL_arg2137z00_1651 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1646))->BgL_testz00);
						BgL_auxz00_3634 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2137z00_1651,
							((BgL_variablez00_bglt) BgL_integratorz00_1647));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1646))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3634), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3639;

					{	/* Integrate/node.scm 313 */
						BgL_nodez00_bglt BgL_arg2138z00_1652;

						BgL_arg2138z00_1652 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1646))->BgL_truez00);
						BgL_auxz00_3639 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2138z00_1652,
							((BgL_variablez00_bglt) BgL_integratorz00_1647));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1646))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3639), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3644;

					{	/* Integrate/node.scm 314 */
						BgL_nodez00_bglt BgL_arg2139z00_1653;

						BgL_arg2139z00_1653 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1646))->
							BgL_falsez00);
						BgL_auxz00_3644 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2139z00_1653,
							((BgL_variablez00_bglt) BgL_integratorz00_1647));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1646))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3644), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1646);
			}
		}
	}



/* &glo!-setq1967 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1967za2zzintegrate_nodez00(obj_t
		BgL_envz00_3031, obj_t BgL_nodez00_3032, obj_t BgL_integratorz00_3033)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 274 */
			{
				BgL_setqz00_bglt BgL_nodez00_1603;
				obj_t BgL_integratorz00_1604;

				BgL_nodez00_1603 = ((BgL_setqz00_bglt) BgL_nodez00_3032);
				BgL_integratorz00_1604 = BgL_integratorz00_3033;
				{
					BgL_nodez00_bglt BgL_auxz00_3651;

					{	/* Integrate/node.scm 276 */
						BgL_nodez00_bglt BgL_arg2115z00_1608;

						BgL_arg2115z00_1608 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1603))->BgL_valuez00);
						BgL_auxz00_3651 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2115z00_1608,
							((BgL_variablez00_bglt) BgL_integratorz00_1604));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1603))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3651), BUNSPEC);
				}
				{	/* Integrate/node.scm 277 */
					BgL_variablez00_bglt BgL_varz00_1609;

					BgL_varz00_1609 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1603))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Integrate/node.scm 278 */
						obj_t BgL_g1132z00_1610;

						BgL_g1132z00_1610 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1609))->
							BgL_fastzd2alphazd2);
						{
							BgL_variablez00_bglt BgL_varz00_1612;
							obj_t BgL_alphaz00_1613;

							BgL_varz00_1612 = BgL_varz00_1609;
							BgL_alphaz00_1613 = BgL_g1132z00_1610;
						BgL_zc3anonymousza32116ze3z83_1614:
							if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1613,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 280 */
									{	/* Integrate/node.scm 282 */
										BgL_varz00_bglt BgL_arg2118z00_1616;

										BgL_arg2118z00_1616 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1603))->BgL_varz00);
										{	/* Integrate/node.scm 282 */
											BgL_variablez00_bglt BgL_vz00_2849;

											BgL_vz00_2849 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1613));
											((((BgL_varz00_bglt) CREF(BgL_arg2118z00_1616))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) BgL_vz00_2849), BUNSPEC);
										}
									}
									{	/* Integrate/node.scm 283 */
										obj_t BgL_arg2119z00_1617;

										BgL_arg2119z00_1617 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_alphaz00_1613))))->
											BgL_fastzd2alphazd2);
										{
											obj_t BgL_alphaz00_3671;
											BgL_variablez00_bglt BgL_varz00_3668;

											BgL_varz00_3668 =
												((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_alphaz00_1613));
											BgL_alphaz00_3671 = BgL_arg2119z00_1617;
											BgL_alphaz00_1613 = BgL_alphaz00_3671;
											BgL_varz00_1612 = BgL_varz00_3668;
											goto BgL_zc3anonymousza32116ze3z83_1614;
										}
									}
								}
							else
								{	/* Integrate/node.scm 284 */
									BgL_variablez00_bglt BgL_varz00_1618;

									BgL_varz00_1618 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1603))->
													BgL_varz00)))->BgL_variablez00);
									{	/* Integrate/node.scm 285 */
										bool_t BgL_testz00_3674;

										{	/* Integrate/node.scm 285 */
											bool_t BgL_testz00_3675;

											{	/* Integrate/node.scm 285 */
												bool_t BgL_res2300z00_2860;

												{	/* Integrate/node.scm 285 */
													obj_t BgL_objz00_2859;

													BgL_objz00_2859 = ((obj_t) BgL_varz00_1618);
													BgL_res2300z00_2860 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_2859,
														BGl_localz00zzast_varz00);
												}
												BgL_testz00_3675 = BgL_res2300z00_2860;
											}
											if (BgL_testz00_3675)
												{	/* Integrate/node.scm 285 */
													BgL_testz00_3674 =
														BGl_integratezd2celledzf3z21zzintegrate_nodez00(
														((BgL_localz00_bglt) BgL_varz00_1618));
												}
											else
												{	/* Integrate/node.scm 285 */
													BgL_testz00_3674 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_3674)
											{	/* Integrate/node.scm 286 */
												BgL_localz00_bglt BgL_azd2varzd2_1620;
												obj_t BgL_locz00_1621;

												BgL_azd2varzd2_1620 =
													BGl_makezd2localzd2svarz00zzast_localz00
													(CNST_TABLE_REF(((long) 5)),
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
												BgL_locz00_1621 =
													(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_nodez00_1603)))->BgL_locz00);
												{	/* Integrate/node.scm 288 */
													BgL_localz00_bglt BgL_oz00_2863;
													obj_t BgL_vz00_2864;

													BgL_oz00_2863 = ((BgL_localz00_bglt) BgL_varz00_1618);
													BgL_vz00_2864 = CNST_TABLE_REF(((long) 1));
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_oz00_2863)))->
															BgL_accessz00) =
														((obj_t) BgL_vz00_2864), BUNSPEC);
												}
												{	/* Integrate/node.scm 289 */
													BgL_varz00_bglt BgL_arg2121z00_1622;

													BgL_arg2121z00_1622 =
														(((BgL_setqz00_bglt) CREF(BgL_nodez00_1603))->
														BgL_varz00);
													{	/* Integrate/node.scm 289 */
														BgL_nodez00_bglt BgL_oz00_2869;
														BgL_typez00_bglt BgL_vz00_2870;

														BgL_oz00_2869 =
															((BgL_nodez00_bglt) BgL_arg2121z00_1622);
														BgL_vz00_2870 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_oz00_2869))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_2870), BUNSPEC);
												}}
												{	/* Integrate/node.scm 290 */
													BgL_svarz00_bglt BgL_tmp1133z00_1623;

													BgL_tmp1133z00_1623 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_azd2varzd2_1620)))->BgL_valuez00));
													{	/* Integrate/node.scm 290 */
														BgL_svarz00_bglt BgL_tmp1134z00_1624;
														BgL_svarzf2iinfozf2_bglt BgL_wide1135z00_1625;

														BgL_tmp1134z00_1624 =
															((BgL_svarz00_bglt) BgL_tmp1133z00_1623);
														BgL_wide1135z00_1625 =
															((BgL_svarzf2iinfozf2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_svarzf2iinfozf2_bgl))));
														{	/* Integrate/node.scm 290 */
															obj_t BgL_auxz00_3700;
															BgL_objectz00_bglt BgL_auxz00_3698;

															BgL_auxz00_3700 = ((obj_t) BgL_wide1135z00_1625);
															BgL_auxz00_3698 =
																((BgL_objectz00_bglt) BgL_tmp1134z00_1624);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3698,
																BgL_auxz00_3700);
														}
														{	/* Integrate/node.scm 290 */
															long BgL_arg2122z00_1626;

															{	/* Integrate/node.scm 290 */
																long BgL_res2303z00_2878;

																{	/* Integrate/node.scm 290 */
																	obj_t BgL_classz00_2875;

																	BgL_classz00_2875 =
																		BGl_svarzf2Iinfozf2zzintegrate_infoz00;
																	{	/* Integrate/node.scm 290 */
																		obj_t BgL_vectorz00_2876;
																		int BgL_kz00_2877;

																		BgL_vectorz00_2876 = BgL_classz00_2875;
																		BgL_kz00_2877 = (int) (((long) 1));
																		BgL_res2303z00_2878 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_2876,
																				BgL_kz00_2877));
																}}
																BgL_arg2122z00_1626 = BgL_res2303z00_2878;
															}
															{	/* Integrate/node.scm 290 */
																BgL_objectz00_bglt BgL_objz00_2879;

																BgL_objz00_2879 =
																	((BgL_objectz00_bglt) BgL_tmp1134z00_1624);
																((BgL_svarz00_bglt)
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2879,
																		BgL_arg2122z00_1626));
														}} BgL_tmp1134z00_1624;
													}
													{	/* Integrate/node.scm 290 */
														BgL_svarz00_bglt BgL_new1136z00_1627;

														BgL_new1136z00_1627 =
															((BgL_svarz00_bglt) BgL_tmp1133z00_1623);
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3710;

															{
																obj_t BgL_auxz00_3711;

																{	/* Integrate/node.scm 290 */
																	BgL_objectz00_bglt BgL_auxz00_3712;

																	BgL_auxz00_3712 =
																		((BgL_objectz00_bglt) BgL_new1136z00_1627);
																	BgL_auxz00_3711 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3712);
																}
																BgL_auxz00_3710 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3711);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3710))->BgL_fzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3717;

															{
																obj_t BgL_auxz00_3718;

																{	/* Integrate/node.scm 290 */
																	BgL_objectz00_bglt BgL_auxz00_3719;

																	BgL_auxz00_3719 =
																		((BgL_objectz00_bglt) BgL_new1136z00_1627);
																	BgL_auxz00_3718 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3719);
																}
																BgL_auxz00_3717 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3718);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3717))->BgL_uzd2markzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3724;

															{
																obj_t BgL_auxz00_3725;

																{	/* Integrate/node.scm 290 */
																	BgL_objectz00_bglt BgL_auxz00_3726;

																	BgL_auxz00_3726 =
																		((BgL_objectz00_bglt) BgL_new1136z00_1627);
																	BgL_auxz00_3725 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3726);
																}
																BgL_auxz00_3724 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3725);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3724))->
																	BgL_kapturedzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														}
														{
															BgL_svarzf2iinfozf2_bglt BgL_auxz00_3731;

															{
																obj_t BgL_auxz00_3732;

																{	/* Integrate/node.scm 290 */
																	BgL_objectz00_bglt BgL_auxz00_3733;

																	BgL_auxz00_3733 =
																		((BgL_objectz00_bglt) BgL_new1136z00_1627);
																	BgL_auxz00_3732 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3733);
																}
																BgL_auxz00_3731 =
																	((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3732);
															}
															((((BgL_svarzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_3731))->BgL_celledzf3zf3) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
														} BgL_new1136z00_1627;
												}}
												{	/* Integrate/node.scm 292 */
													BgL_letzd2varzd2_bglt BgL_new1138z00_1628;

													{	/* Integrate/node.scm 292 */
														BgL_letzd2varzd2_bglt BgL_new1137z00_1639;

														BgL_new1137z00_1639 =
															((BgL_letzd2varzd2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_letzd2varzd2_bgl))));
														{	/* Integrate/node.scm 292 */
															long BgL_arg2131z00_1640;

															{	/* Integrate/node.scm 292 */
																long BgL_res2304z00_2884;

																{	/* Integrate/node.scm 292 */
																	obj_t BgL_classz00_2881;

																	BgL_classz00_2881 =
																		BGl_letzd2varzd2zzast_nodez00;
																	{	/* Integrate/node.scm 292 */
																		obj_t BgL_vectorz00_2882;
																		int BgL_kz00_2883;

																		BgL_vectorz00_2882 = BgL_classz00_2881;
																		BgL_kz00_2883 = (int) (((long) 1));
																		BgL_res2304z00_2884 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_2882,
																				BgL_kz00_2883));
																}}
																BgL_arg2131z00_1640 = BgL_res2304z00_2884;
															}
															{	/* Integrate/node.scm 292 */
																BgL_objectz00_bglt BgL_objz00_2885;

																BgL_objz00_2885 =
																	((BgL_objectz00_bglt) BgL_new1137z00_1639);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2885,
																	BgL_arg2131z00_1640);
														}}
														{	/* Integrate/node.scm 292 */
															BgL_objectz00_bglt BgL_auxz00_3744;

															BgL_auxz00_3744 =
																((BgL_objectz00_bglt) BgL_new1137z00_1639);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3744, BFALSE);
														}
														BgL_new1138z00_1628 = BgL_new1137z00_1639;
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1138z00_1628)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1621), BUNSPEC);
													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_new1138z00_1628)))->BgL_typez00) =
														((BgL_typez00_bglt)
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2unspecza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2_za2z00zztype_cachez00))), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1138z00_1628)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1138z00_1628)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_3759;

														{	/* Integrate/node.scm 295 */
															obj_t BgL_arg2123z00_1629;

															{	/* Integrate/node.scm 295 */
																BgL_nodez00_bglt BgL_arg2125z00_1631;

																BgL_arg2125z00_1631 =
																	(((BgL_setqz00_bglt) CREF(BgL_nodez00_1603))->
																	BgL_valuez00);
																BgL_arg2123z00_1629 =
																	MAKE_PAIR(((obj_t) BgL_azd2varzd2_1620),
																	((obj_t) BgL_arg2125z00_1631));
															}
															{	/* Integrate/node.scm 295 */
																obj_t BgL_list2124z00_1630;

																BgL_list2124z00_1630 =
																	MAKE_PAIR(BgL_arg2123z00_1629, BNIL);
																BgL_auxz00_3759 = BgL_list2124z00_1630;
														}}
														((((BgL_letzd2varzd2_bglt)
																	CREF(BgL_new1138z00_1628))->BgL_bindingsz00) =
															((obj_t) BgL_auxz00_3759), BUNSPEC);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_3766;

														{	/* Integrate/node.scm 296 */
															BgL_boxzd2setz12zc0_bglt BgL_new1140z00_1632;

															{	/* Integrate/node.scm 296 */
																BgL_boxzd2setz12zc0_bglt BgL_new1139z00_1637;

																BgL_new1139z00_1637 =
																	((BgL_boxzd2setz12zc0_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_boxzd2setz12zc0_bgl))));
																{	/* Integrate/node.scm 296 */
																	long BgL_arg2130z00_1638;

																	{	/* Integrate/node.scm 296 */
																		long BgL_res2306z00_2892;

																		{	/* Integrate/node.scm 296 */
																			obj_t BgL_classz00_2889;

																			BgL_classz00_2889 =
																				BGl_boxzd2setz12zc0zzast_nodez00;
																			{	/* Integrate/node.scm 296 */
																				obj_t BgL_vectorz00_2890;
																				int BgL_kz00_2891;

																				BgL_vectorz00_2890 = BgL_classz00_2889;
																				BgL_kz00_2891 = (int) (((long) 1));
																				BgL_res2306z00_2892 =
																					(long)
																					CINT(VECTOR_REF(BgL_vectorz00_2890,
																						BgL_kz00_2891));
																		}}
																		BgL_arg2130z00_1638 = BgL_res2306z00_2892;
																	}
																	{	/* Integrate/node.scm 296 */
																		BgL_objectz00_bglt BgL_objz00_2893;

																		BgL_objz00_2893 =
																			((BgL_objectz00_bglt)
																			BgL_new1139z00_1637);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2893,
																			BgL_arg2130z00_1638);
																}}
																{	/* Integrate/node.scm 296 */
																	BgL_objectz00_bglt BgL_auxz00_3773;

																	BgL_auxz00_3773 =
																		((BgL_objectz00_bglt) BgL_new1139z00_1637);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3773,
																		BFALSE);
																}
																BgL_new1140z00_1632 = BgL_new1139z00_1637;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1140z00_1632)))->BgL_locz00) =
																((obj_t) BgL_locz00_1621), BUNSPEC);
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_new1140z00_1632)))->BgL_typez00) =
																((BgL_typez00_bglt)
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2unspecza2z00zztype_cachez00),
																		((BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00))),
																BUNSPEC);
															((((BgL_boxzd2setz12zc0_bglt)
																		CREF(BgL_new1140z00_1632))->BgL_varz00) =
																((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																			CREF(BgL_nodez00_1603))->BgL_varz00)),
																BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_3785;

																{	/* Integrate/node.scm 300 */
																	BgL_varz00_bglt BgL_new1142z00_1633;

																	{	/* Integrate/node.scm 300 */
																		BgL_varz00_bglt BgL_new1141z00_1635;

																		BgL_new1141z00_1635 =
																			((BgL_varz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_varz00_bgl))));
																		{	/* Integrate/node.scm 300 */
																			long BgL_arg2127z00_1636;

																			{	/* Integrate/node.scm 300 */
																				long BgL_res2308z00_2901;

																				{	/* Integrate/node.scm 300 */
																					obj_t BgL_classz00_2898;

																					BgL_classz00_2898 =
																						BGl_varz00zzast_nodez00;
																					{	/* Integrate/node.scm 300 */
																						obj_t BgL_vectorz00_2899;
																						int BgL_kz00_2900;

																						BgL_vectorz00_2899 =
																							BgL_classz00_2898;
																						BgL_kz00_2900 = (int) (((long) 1));
																						BgL_res2308z00_2901 =
																							(long)
																							CINT(VECTOR_REF
																							(BgL_vectorz00_2899,
																								BgL_kz00_2900));
																				}}
																				BgL_arg2127z00_1636 =
																					BgL_res2308z00_2901;
																			}
																			{	/* Integrate/node.scm 300 */
																				BgL_objectz00_bglt BgL_objz00_2902;

																				BgL_objz00_2902 =
																					((BgL_objectz00_bglt)
																					BgL_new1141z00_1635);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_2902,
																					BgL_arg2127z00_1636);
																		}}
																		{	/* Integrate/node.scm 300 */
																			BgL_objectz00_bglt BgL_auxz00_3792;

																			BgL_auxz00_3792 =
																				((BgL_objectz00_bglt)
																				BgL_new1141z00_1635);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3792,
																				BFALSE);
																		}
																		BgL_new1142z00_1633 = BgL_new1141z00_1635;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1142z00_1633)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1621), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_3797;

																		{	/* Integrate/node.scm 303 */
																			BgL_typez00_bglt BgL_arg2126z00_1634;

																			BgL_arg2126z00_1634 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_azd2varzd2_1620)))->
																				BgL_typez00);
																			BgL_auxz00_3797 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(BgL_arg2126z00_1634,
																				((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00));
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1142z00_1633)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_3797),
																			BUNSPEC);
																	}
																	((((BgL_varz00_bglt)
																				CREF(BgL_new1142z00_1633))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_azd2varzd2_1620)), BUNSPEC);
																	BgL_auxz00_3785 =
																		((BgL_nodez00_bglt) BgL_new1142z00_1633);
																}
																((((BgL_boxzd2setz12zc0_bglt)
																			CREF(BgL_new1140z00_1632))->
																		BgL_valuez00) =
																	((BgL_nodez00_bglt) BgL_auxz00_3785),
																	BUNSPEC);
															}
															BgL_auxz00_3766 =
																((BgL_nodez00_bglt) BgL_new1140z00_1632);
														}
														((((BgL_letzd2varzd2_bglt)
																	CREF(BgL_new1138z00_1628))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_3766), BUNSPEC);
													}
													((((BgL_letzd2varzd2_bglt)
																CREF(BgL_new1138z00_1628))->
															BgL_removablezf3zf3) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1138z00_1628);
												}
											}
										else
											{	/* Integrate/node.scm 285 */
												return ((BgL_nodez00_bglt) BgL_nodez00_1603);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* &glo!-cast1965 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1965za2zzintegrate_nodez00(obj_t
		BgL_envz00_3034, obj_t BgL_nodez00_3035, obj_t BgL_integratorz00_3036)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 266 */
			{
				BgL_castz00_bglt BgL_nodez00_1596;
				obj_t BgL_integratorz00_1597;

				BgL_nodez00_1596 = ((BgL_castz00_bglt) BgL_nodez00_3035);
				BgL_integratorz00_1597 = BgL_integratorz00_3036;
				{	/* Integrate/node.scm 267 */
					BgL_nodez00_bglt BgL_arg2114z00_2834;

					BgL_arg2114z00_2834 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1596))->BgL_argz00);
					BGl_gloz12z12zzintegrate_nodez00(BgL_arg2114z00_2834,
						((BgL_variablez00_bglt) BgL_integratorz00_1597));
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1596);
			}
		}
	}



/* &glo!-extern1963 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1963za2zzintegrate_nodez00(obj_t
		BgL_envz00_3037, obj_t BgL_nodez00_3038, obj_t BgL_integratorz00_3039)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 258 */
			{
				BgL_externz00_bglt BgL_nodez00_1589;
				obj_t BgL_integratorz00_1590;

				BgL_nodez00_1589 = ((BgL_externz00_bglt) BgL_nodez00_3038);
				BgL_integratorz00_1590 = BgL_integratorz00_3039;
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1589))->BgL_exprza2za2),
					BgL_integratorz00_1590);
				return ((BgL_nodez00_bglt) BgL_nodez00_1589);
			}
		}
	}



/* &glo!-funcall1961 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1961za2zzintegrate_nodez00(obj_t
		BgL_envz00_3040, obj_t BgL_nodez00_3041, obj_t BgL_integratorz00_3042)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 249 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1581;
				obj_t BgL_integratorz00_1582;

				BgL_nodez00_1581 = ((BgL_funcallz00_bglt) BgL_nodez00_3041);
				BgL_integratorz00_1582 = BgL_integratorz00_3042;
				{
					BgL_nodez00_bglt BgL_auxz00_3823;

					{	/* Integrate/node.scm 251 */
						BgL_nodez00_bglt BgL_arg2111z00_1586;

						BgL_arg2111z00_1586 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1581))->BgL_funz00);
						BgL_auxz00_3823 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2111z00_1586,
							((BgL_variablez00_bglt) BgL_integratorz00_1582));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1581))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3823), BUNSPEC);
				}
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1581))->BgL_argsz00),
					BgL_integratorz00_1582);
				return ((BgL_nodez00_bglt) BgL_nodez00_1581);
			}
		}
	}



/* &glo!-app-ly1959 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1959z70zzintegrate_nodez00(obj_t
		BgL_envz00_3043, obj_t BgL_nodez00_3044, obj_t BgL_integratorz00_3045)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 240 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1573;
				obj_t BgL_integratorz00_1574;

				BgL_nodez00_1573 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3044);
				BgL_integratorz00_1574 = BgL_integratorz00_3045;
				{
					BgL_nodez00_bglt BgL_auxz00_3832;

					{	/* Integrate/node.scm 242 */
						BgL_nodez00_bglt BgL_arg2108z00_1578;

						BgL_arg2108z00_1578 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1573))->BgL_funz00);
						BgL_auxz00_3832 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2108z00_1578,
							((BgL_variablez00_bglt) BgL_integratorz00_1574));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1573))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3832), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3837;

					{	/* Integrate/node.scm 243 */
						BgL_nodez00_bglt BgL_arg2110z00_1579;

						BgL_arg2110z00_1579 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1573))->BgL_argz00);
						BgL_auxz00_3837 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2110z00_1579,
							((BgL_variablez00_bglt) BgL_integratorz00_1574));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1573))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3837), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1573);
			}
		}
	}



/* &glo!-app1957 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1957za2zzintegrate_nodez00(obj_t
		BgL_envz00_3046, obj_t BgL_nodez00_3047, obj_t BgL_integratorz00_3048)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 199 */
			{
				BgL_appz00_bglt BgL_nodez00_1526;
				obj_t BgL_integratorz00_1527;

				BgL_nodez00_1526 = ((BgL_appz00_bglt) BgL_nodez00_3047);
				BgL_integratorz00_1527 = BgL_integratorz00_3048;
				{	/* Integrate/node.scm 201 */
					BgL_variablez00_bglt BgL_funz00_1531;

					BgL_funz00_1531 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1526))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Integrate/node.scm 201 */
						BgL_valuez00_bglt BgL_infoz00_1532;

						BgL_infoz00_1532 =
							(((BgL_variablez00_bglt) CREF(BgL_funz00_1531))->BgL_valuez00);
						{	/* Integrate/node.scm 202 */

							{	/* Integrate/node.scm 204 */
								bool_t BgL_testz00_3847;

								{	/* Integrate/node.scm 204 */
									bool_t BgL_testz00_3848;

									{	/* Integrate/node.scm 204 */
										bool_t BgL_res2283z00_2785;

										{	/* Integrate/node.scm 204 */
											obj_t BgL_objz00_2784;

											BgL_objz00_2784 = ((obj_t) BgL_funz00_1531);
											BgL_res2283z00_2785 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2784,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_3848 = BgL_res2283z00_2785;
									}
									if (BgL_testz00_3848)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3851;

											{
												obj_t BgL_auxz00_3852;

												{	/* Integrate/node.scm 204 */
													BgL_objectz00_bglt BgL_auxz00_3853;

													BgL_auxz00_3853 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_1532));
													BgL_auxz00_3852 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3853);
												}
												BgL_auxz00_3851 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3852);
											}
											BgL_testz00_3847 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3851))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 204 */
											BgL_testz00_3847 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3847)
									{	/* Integrate/node.scm 206 */
										BgL_varz00_bglt BgL_arg2082z00_1534;

										{	/* Integrate/node.scm 206 */
											BgL_varz00_bglt BgL_new1122z00_1535;

											{	/* Integrate/node.scm 206 */
												BgL_varz00_bglt BgL_new1120z00_1537;

												BgL_new1120z00_1537 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Integrate/node.scm 206 */
													long BgL_arg2084z00_1538;

													{	/* Integrate/node.scm 206 */
														long BgL_res2285z00_2792;

														{	/* Integrate/node.scm 206 */
															obj_t BgL_classz00_2789;

															BgL_classz00_2789 = BGl_varz00zzast_nodez00;
															{	/* Integrate/node.scm 206 */
																obj_t BgL_vectorz00_2790;
																int BgL_kz00_2791;

																BgL_vectorz00_2790 = BgL_classz00_2789;
																BgL_kz00_2791 = (int) (((long) 1));
																BgL_res2285z00_2792 =
																	(long) CINT(VECTOR_REF(BgL_vectorz00_2790,
																		BgL_kz00_2791));
														}}
														BgL_arg2084z00_1538 = BgL_res2285z00_2792;
													}
													{	/* Integrate/node.scm 206 */
														BgL_objectz00_bglt BgL_objz00_2793;

														BgL_objz00_2793 =
															((BgL_objectz00_bglt) BgL_new1120z00_1537);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2793,
															BgL_arg2084z00_1538);
												}}
												{	/* Integrate/node.scm 206 */
													BgL_objectz00_bglt BgL_auxz00_3865;

													BgL_auxz00_3865 =
														((BgL_objectz00_bglt) BgL_new1120z00_1537);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3865, BFALSE);
												}
												BgL_new1122z00_1535 = BgL_new1120z00_1537;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1122z00_1535)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_nodez00_1526)))->BgL_locz00)), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_3872;

												{	/* Integrate/node.scm 208 */
													obj_t BgL_arg2083z00_1536;

													BgL_arg2083z00_1536 =
														BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
														((BgL_localz00_bglt) BgL_funz00_1531));
													BgL_auxz00_3872 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_arg2083z00_1536)))->
														BgL_typez00);
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1122z00_1535)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_3872), BUNSPEC);
											}
											((((BgL_varz00_bglt) CREF(BgL_new1122z00_1535))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
															((BgL_localz00_bglt) BgL_funz00_1531)))),
												BUNSPEC);
											BgL_arg2082z00_1534 = BgL_new1122z00_1535;
										}
										((((BgL_appz00_bglt) CREF(BgL_nodez00_1526))->BgL_funz00) =
											((BgL_varz00_bglt) BgL_arg2082z00_1534), BUNSPEC);
									}
								else
									{	/* Integrate/node.scm 204 */
										BFALSE;
									}
							}
							{
								obj_t BgL_nodesz00_1542;

								BgL_nodesz00_1542 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1526))->BgL_argsz00);
							BgL_zc3anonymousza32087ze3z83_1543:
								if (NULLP(BgL_nodesz00_1542))
									{	/* Integrate/node.scm 213 */
										CNST_TABLE_REF(((long) 3));
									}
								else
									{	/* Integrate/node.scm 213 */
										{	/* Integrate/node.scm 216 */
											BgL_nodez00_bglt BgL_arg2089z00_1545;

											{	/* Integrate/node.scm 216 */
												obj_t BgL_arg2090z00_1546;

												BgL_arg2090z00_1546 = CAR(BgL_nodesz00_1542);
												BgL_arg2089z00_1545 =
													BGl_gloz12z12zzintegrate_nodez00(
													((BgL_nodez00_bglt) BgL_arg2090z00_1546),
													((BgL_variablez00_bglt) BgL_integratorz00_1527));
											}
											{	/* Integrate/node.scm 216 */
												obj_t BgL_pairz00_2804;
												obj_t BgL_objz00_2805;

												BgL_pairz00_2804 = BgL_nodesz00_1542;
												BgL_objz00_2805 = ((obj_t) BgL_arg2089z00_1545);
												SET_CAR(BgL_pairz00_2804, BgL_objz00_2805);
											}
										}
										{
											obj_t BgL_nodesz00_3893;

											BgL_nodesz00_3893 = CDR(BgL_nodesz00_1542);
											BgL_nodesz00_1542 = BgL_nodesz00_3893;
											goto BgL_zc3anonymousza32087ze3z83_1543;
										}
									}
							}
							{	/* Integrate/node.scm 218 */
								bool_t BgL_testz00_3896;

								{	/* Integrate/node.scm 218 */
									bool_t BgL_testz00_3897;

									{	/* Integrate/node.scm 218 */
										bool_t BgL_res2288z00_2808;

										{	/* Integrate/node.scm 218 */
											obj_t BgL_objz00_2807;

											BgL_objz00_2807 = ((obj_t) BgL_funz00_1531);
											BgL_res2288z00_2808 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2807,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_3897 = BgL_res2288z00_2808;
									}
									if (BgL_testz00_3897)
										{	/* Integrate/node.scm 218 */
											BgL_testz00_3896 = ((bool_t) 1);
										}
									else
										{	/* Integrate/node.scm 218 */
											bool_t BgL_testz00_3900;

											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3901;

												{
													obj_t BgL_auxz00_3902;

													{	/* Integrate/node.scm 218 */
														BgL_objectz00_bglt BgL_auxz00_3903;

														BgL_auxz00_3903 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_1532));
														BgL_auxz00_3902 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3903);
													}
													BgL_auxz00_3901 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3902);
												}
												BgL_testz00_3900 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3901))->
													BgL_gzf3zf3);
											}
											if (BgL_testz00_3900)
												{	/* Integrate/node.scm 218 */
													BgL_testz00_3896 = ((bool_t) 0);
												}
											else
												{	/* Integrate/node.scm 218 */
													BgL_testz00_3896 = ((bool_t) 1);
												}
										}
								}
								if (BgL_testz00_3896)
									{	/* Integrate/node.scm 218 */
										BFALSE;
									}
								else
									{	/* Integrate/node.scm 221 */
										obj_t BgL_g1123z00_1550;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3909;

											{
												obj_t BgL_auxz00_3910;

												{	/* Integrate/node.scm 222 */
													BgL_objectz00_bglt BgL_auxz00_3911;

													BgL_auxz00_3911 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_1532));
													BgL_auxz00_3910 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3911);
												}
												BgL_auxz00_3909 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3910);
											}
											BgL_g1123z00_1550 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3909))->
												BgL_kapturedz00);
										}
										{
											obj_t BgL_newzd2actualszd2_1553;
											obj_t BgL_kapturedz00_1554;

											BgL_newzd2actualszd2_1553 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1526))->
												BgL_argsz00);
											BgL_kapturedz00_1554 = BgL_g1123z00_1550;
										BgL_zc3anonymousza32094ze3z83_1555:
											if (NULLP(BgL_kapturedz00_1554))
												{	/* Integrate/node.scm 223 */
													((((BgL_appz00_bglt) CREF(BgL_nodez00_1526))->
															BgL_argsz00) =
														((obj_t) BgL_newzd2actualszd2_1553), BUNSPEC);
												}
											else
												{	/* Integrate/node.scm 225 */
													obj_t BgL_kapz00_1557;

													BgL_kapz00_1557 = CAR(BgL_kapturedz00_1554);
													{	/* Integrate/node.scm 225 */
														obj_t BgL_alphaz00_1558;

														BgL_alphaz00_1558 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_kapz00_1557))))->
															BgL_fastzd2alphazd2);
														{	/* Integrate/node.scm 226 */
															obj_t BgL_varz00_1559;

															if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1558,
																	BGl_localz00zzast_varz00))
																{	/* Integrate/node.scm 227 */
																	BgL_varz00_1559 = BgL_alphaz00_1558;
																}
															else
																{	/* Integrate/node.scm 227 */
																	BgL_varz00_1559 = BgL_kapz00_1557;
																}
															{	/* Integrate/node.scm 227 */

																{	/* Integrate/node.scm 228 */
																	obj_t BgL_arg2097z00_1560;
																	obj_t BgL_arg2099z00_1561;

																	{	/* Integrate/node.scm 228 */
																		BgL_varz00_bglt BgL_arg2100z00_1562;

																		{	/* Integrate/node.scm 228 */
																			BgL_varz00_bglt BgL_new1126z00_1563;

																			{	/* Integrate/node.scm 228 */
																				BgL_varz00_bglt BgL_new1125z00_1565;

																				BgL_new1125z00_1565 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Integrate/node.scm 228 */
																					long BgL_arg2103z00_1566;

																					{	/* Integrate/node.scm 228 */
																						long BgL_res2292z00_2824;

																						{	/* Integrate/node.scm 228 */
																							obj_t BgL_classz00_2821;

																							BgL_classz00_2821 =
																								BGl_varz00zzast_nodez00;
																							{	/* Integrate/node.scm 228 */
																								obj_t BgL_vectorz00_2822;
																								int BgL_kz00_2823;

																								BgL_vectorz00_2822 =
																									BgL_classz00_2821;
																								BgL_kz00_2823 =
																									(int) (((long) 1));
																								BgL_res2292z00_2824 =
																									(long)
																									CINT(VECTOR_REF
																									(BgL_vectorz00_2822,
																										BgL_kz00_2823));
																						}}
																						BgL_arg2103z00_1566 =
																							BgL_res2292z00_2824;
																					}
																					{	/* Integrate/node.scm 228 */
																						BgL_objectz00_bglt BgL_objz00_2825;

																						BgL_objz00_2825 =
																							((BgL_objectz00_bglt)
																							BgL_new1125z00_1565);
																						BGL_OBJECT_CLASS_NUM_SET
																							(BgL_objz00_2825,
																							BgL_arg2103z00_1566);
																				}}
																				{	/* Integrate/node.scm 228 */
																					BgL_objectz00_bglt BgL_auxz00_3932;

																					BgL_auxz00_3932 =
																						((BgL_objectz00_bglt)
																						BgL_new1125z00_1565);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3932, BFALSE);
																				}
																				BgL_new1126z00_1563 =
																					BgL_new1125z00_1565;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1126z00_1563)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1526)))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_3939;

																				{	/* Integrate/node.scm 231 */
																					BgL_typez00_bglt BgL_arg2101z00_1564;

																					BgL_arg2101z00_1564 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_varz00_1559)))->
																						BgL_typez00);
																					BgL_auxz00_3939 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(BgL_arg2101z00_1564,
																						((BgL_typez00_bglt)
																							BGl_za2_za2z00zztype_cachez00));
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1126z00_1563)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_3939),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1126z00_1563))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1559)), BUNSPEC);
																			BgL_arg2100z00_1562 = BgL_new1126z00_1563;
																		}
																		BgL_arg2097z00_1560 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg2100z00_1562),
																			BgL_newzd2actualszd2_1553);
																	}
																	BgL_arg2099z00_1561 =
																		CDR(BgL_kapturedz00_1554);
																	{
																		obj_t BgL_kapturedz00_3952;
																		obj_t BgL_newzd2actualszd2_3951;

																		BgL_newzd2actualszd2_3951 =
																			BgL_arg2097z00_1560;
																		BgL_kapturedz00_3952 = BgL_arg2099z00_1561;
																		BgL_kapturedz00_1554 = BgL_kapturedz00_3952;
																		BgL_newzd2actualszd2_1553 =
																			BgL_newzd2actualszd2_3951;
																		goto BgL_zc3anonymousza32094ze3z83_1555;
																	}
																}
															}
														}
													}
												}
										}
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1526);
						}
					}
				}
			}
		}
	}



/* &glo!-sequence1955 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1955za2zzintegrate_nodez00(obj_t
		BgL_envz00_3049, obj_t BgL_nodez00_3050, obj_t BgL_integratorz00_3051)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 191 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1519;
				obj_t BgL_integratorz00_1520;

				BgL_nodez00_1519 = ((BgL_sequencez00_bglt) BgL_nodez00_3050);
				BgL_integratorz00_1520 = BgL_integratorz00_3051;
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1519))->BgL_nodesz00),
					BgL_integratorz00_1520);
				return ((BgL_nodez00_bglt) BgL_nodez00_1519);
			}
		}
	}



/* &glo!-closure1953 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1953za2zzintegrate_nodez00(obj_t
		BgL_envz00_3052, obj_t BgL_nodez00_3053, obj_t BgL_integratorz00_3054)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 185 */
			{
				BgL_closurez00_bglt BgL_nodez00_1513;
				obj_t BgL_integratorz00_1514;

				BgL_nodez00_1513 = ((BgL_closurez00_bglt) BgL_nodez00_3053);
				BgL_integratorz00_1514 = BgL_integratorz00_3054;
				{	/* Integrate/node.scm 186 */
					obj_t BgL_arg2079z00_2772;

					BgL_arg2079z00_2772 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1513));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2338z00zzintegrate_nodez00,
							BGl_string2339z00zzintegrate_nodez00, BgL_arg2079z00_2772));
				}
			}
		}
	}



/* &glo!-var1951 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1951za2zzintegrate_nodez00(obj_t
		BgL_envz00_3055, obj_t BgL_nodez00_3056, obj_t BgL_integratorz00_3057)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 158 */
			{
				BgL_varz00_bglt BgL_nodez00_1498;
				obj_t BgL_integratorz00_1499;

				BgL_nodez00_1498 = ((BgL_varz00_bglt) BgL_nodez00_3056);
				BgL_integratorz00_1499 = BgL_integratorz00_3057;
				{	/* Integrate/node.scm 159 */
					BgL_variablez00_bglt BgL_variablez00_1502;

					BgL_variablez00_1502 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1498))->BgL_variablez00);
					{	/* Integrate/node.scm 159 */
						obj_t BgL_alphaz00_1503;

						BgL_alphaz00_1503 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1502))->
							BgL_fastzd2alphazd2);
						{	/* Integrate/node.scm 160 */

							if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1503,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 162 */
									{	/* Integrate/node.scm 163 */
										BgL_variablez00_bglt BgL_vz00_2742;

										BgL_vz00_2742 =
											((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_alphaz00_1503));
										((((BgL_varz00_bglt) CREF(BgL_nodez00_1498))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) BgL_vz00_2742), BUNSPEC);
									}
									{	/* Integrate/node.scm 164 */
										BgL_typez00_bglt BgL_arg2074z00_1505;

										BgL_arg2074z00_1505 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_alphaz00_1503))))->
											BgL_typez00);
										{	/* Integrate/node.scm 164 */
											BgL_nodez00_bglt BgL_oz00_2747;

											BgL_oz00_2747 = ((BgL_nodez00_bglt) BgL_nodez00_1498);
											((((BgL_nodez00_bglt) CREF(BgL_oz00_2747))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg2074z00_1505), BUNSPEC);
										}
									}
									return
										BGl_gloz12z12zzintegrate_nodez00(
										((BgL_nodez00_bglt) BgL_nodez00_1498),
										((BgL_variablez00_bglt) BgL_integratorz00_1499));
								}
							else
								{	/* Integrate/node.scm 166 */
									bool_t BgL_testz00_3980;

									{	/* Integrate/node.scm 166 */
										bool_t BgL_res2276z00_2751;

										{	/* Integrate/node.scm 166 */
											obj_t BgL_objz00_2750;

											BgL_objz00_2750 = ((obj_t) BgL_variablez00_1502);
											BgL_res2276z00_2751 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2750,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_3980 = BgL_res2276z00_2751;
									}
									if (BgL_testz00_3980)
										{	/* Integrate/node.scm 166 */
											return ((BgL_nodez00_bglt) BgL_nodez00_1498);
										}
									else
										{	/* Integrate/node.scm 166 */
											if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
													((BgL_localz00_bglt) BgL_variablez00_1502)))
												{	/* Integrate/node.scm 168 */
													{	/* Integrate/node.scm 169 */
														BgL_localz00_bglt BgL_oz00_2752;
														obj_t BgL_vz00_2753;

														BgL_oz00_2752 =
															((BgL_localz00_bglt) BgL_variablez00_1502);
														BgL_vz00_2753 = CNST_TABLE_REF(((long) 1));
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt) BgL_oz00_2752)))->
																BgL_accessz00) =
															((obj_t) BgL_vz00_2753), BUNSPEC);
													}
													{	/* Integrate/node.scm 174 */
														BgL_nodez00_bglt BgL_oz00_2755;
														BgL_typez00_bglt BgL_vz00_2756;

														BgL_oz00_2755 =
															((BgL_nodez00_bglt) BgL_nodez00_1498);
														BgL_vz00_2756 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_oz00_2755))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_2756), BUNSPEC);
													}
													{	/* Integrate/node.scm 175 */
														BgL_boxzd2refzd2_bglt BgL_new1117z00_1508;

														{	/* Integrate/node.scm 175 */
															BgL_boxzd2refzd2_bglt BgL_new1116z00_1510;

															BgL_new1116z00_1510 =
																((BgL_boxzd2refzd2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_boxzd2refzd2_bgl))));
															{	/* Integrate/node.scm 175 */
																long BgL_arg2078z00_1511;

																{	/* Integrate/node.scm 175 */
																	long BgL_res2277z00_2761;

																	{	/* Integrate/node.scm 175 */
																		obj_t BgL_classz00_2758;

																		BgL_classz00_2758 =
																			BGl_boxzd2refzd2zzast_nodez00;
																		{	/* Integrate/node.scm 175 */
																			obj_t BgL_vectorz00_2759;
																			int BgL_kz00_2760;

																			BgL_vectorz00_2759 = BgL_classz00_2758;
																			BgL_kz00_2760 = (int) (((long) 1));
																			BgL_res2277z00_2761 =
																				(long)
																				CINT(VECTOR_REF(BgL_vectorz00_2759,
																					BgL_kz00_2760));
																	}}
																	BgL_arg2078z00_1511 = BgL_res2277z00_2761;
																}
																{	/* Integrate/node.scm 175 */
																	BgL_objectz00_bglt BgL_objz00_2762;

																	BgL_objz00_2762 =
																		((BgL_objectz00_bglt) BgL_new1116z00_1510);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2762,
																		BgL_arg2078z00_1511);
															}}
															{	/* Integrate/node.scm 175 */
																BgL_objectz00_bglt BgL_auxz00_4000;

																BgL_auxz00_4000 =
																	((BgL_objectz00_bglt) BgL_new1116z00_1510);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_4000,
																	BFALSE);
															}
															BgL_new1117z00_1508 = BgL_new1116z00_1510;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1117z00_1508)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		CREF(((BgL_nodez00_bglt)
																				BgL_nodez00_1498)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1117z00_1508)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		CREF((((BgL_varz00_bglt)
																					CREF(BgL_nodez00_1498))->
																				BgL_variablez00)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1117z00_1508)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1117z00_1508)))->BgL_keyz00) =
															((obj_t) BINT(((long) -1))), BUNSPEC);
														((((BgL_boxzd2refzd2_bglt)
																	CREF(BgL_new1117z00_1508))->BgL_varz00) =
															((BgL_varz00_bglt) BgL_nodez00_1498), BUNSPEC);
														return ((BgL_nodez00_bglt) BgL_new1117z00_1508);
													}
												}
											else
												{	/* Integrate/node.scm 168 */
													return ((BgL_nodez00_bglt) BgL_nodez00_1498);
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* &glo!-kwote1949 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1949za2zzintegrate_nodez00(obj_t
		BgL_envz00_3058, obj_t BgL_nodez00_3059, obj_t BgL_integratorz00_3060)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 152 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3059));
		}
	}



/* &glo!-atom1947 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1947za2zzintegrate_nodez00(obj_t
		BgL_envz00_3061, obj_t BgL_nodez00_3062, obj_t BgL_integratorz00_3063)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 146 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3062));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554), BSTRING_TO_STRING(BGl_string2340z00zzintegrate_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
