/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol2641z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2643z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2645z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2647z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2649z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2651z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2653z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2655z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2657z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2659z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2661z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static obj_t BGl_symbol2663z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza31317ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2615z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_symbol2624z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2627z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2629z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol2631z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2633z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2635z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2637z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2639z00zz__evaluatez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2614z00zz__evaluatez00,
		BgL_bgl_string2614za700za7za7_2666za7, "", 0);
	      DEFINE_STRING(BGl_string2616z00zz__evaluatez00,
		BgL_bgl_string2616za700za7za7_2667za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2617z00zz__evaluatez00,
		BgL_bgl_string2617za700za7za7_2668za7, "eval", 4);
	      DEFINE_STRING(BGl_string2618z00zz__evaluatez00,
		BgL_bgl_string2618za700za7za7_2669za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string2619z00zz__evaluatez00,
		BgL_bgl_string2619za700za7za7_2670za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2620z00zz__evaluatez00,
		BgL_bgl_string2620za700za7za7_2671za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2621z00zz__evaluatez00,
		BgL_bgl_string2621za700za7za7_2672za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2622z00zz__evaluatez00,
		BgL_bgl_string2622za700za7za7_2673za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2623z00zz__evaluatez00,
		BgL_bgl_string2623za700za7za7_2674za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2625z00zz__evaluatez00,
		BgL_bgl_string2625za700za7za7_2675za7, " ", 1);
	      DEFINE_STRING(BGl_string2626z00zz__evaluatez00,
		BgL_bgl_string2626za700za7za7_2676za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2628z00zz__evaluatez00,
		BgL_bgl_string2628za700za7za7_2677za7, "module", 6);
	      DEFINE_STRING(BGl_string2630z00zz__evaluatez00,
		BgL_bgl_string2630za700za7za7_2678za7, "@", 1);
	      DEFINE_STRING(BGl_string2632z00zz__evaluatez00,
		BgL_bgl_string2632za700za7za7_2679za7, "->", 2);
	      DEFINE_STRING(BGl_string2634z00zz__evaluatez00,
		BgL_bgl_string2634za700za7za7_2680za7, "trap", 4);
	      DEFINE_STRING(BGl_string2636z00zz__evaluatez00,
		BgL_bgl_string2636za700za7za7_2681za7, "quote", 5);
	      DEFINE_STRING(BGl_string2638z00zz__evaluatez00,
		BgL_bgl_string2638za700za7za7_2682za7, "if", 2);
	      DEFINE_STRING(BGl_string2640z00zz__evaluatez00,
		BgL_bgl_string2640za700za7za7_2683za7, "or", 2);
	      DEFINE_STRING(BGl_string2642z00zz__evaluatez00,
		BgL_bgl_string2642za700za7za7_2684za7, "and", 3);
	      DEFINE_STRING(BGl_string2644z00zz__evaluatez00,
		BgL_bgl_string2644za700za7za7_2685za7, "begin", 5);
	      DEFINE_STRING(BGl_string2646z00zz__evaluatez00,
		BgL_bgl_string2646za700za7za7_2686za7, "let", 3);
	      DEFINE_STRING(BGl_string2648z00zz__evaluatez00,
		BgL_bgl_string2648za700za7za7_2687za7, "let*", 4);
	      DEFINE_STRING(BGl_string2650z00zz__evaluatez00,
		BgL_bgl_string2650za700za7za7_2688za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2652z00zz__evaluatez00,
		BgL_bgl_string2652za700za7za7_2689za7, "set!", 4);
	      DEFINE_STRING(BGl_string2654z00zz__evaluatez00,
		BgL_bgl_string2654za700za7za7_2690za7, "define", 6);
	      DEFINE_STRING(BGl_string2656z00zz__evaluatez00,
		BgL_bgl_string2656za700za7za7_2691za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2658z00zz__evaluatez00,
		BgL_bgl_string2658za700za7za7_2692za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2660z00zz__evaluatez00,
		BgL_bgl_string2660za700za7za7_2693za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2662z00zz__evaluatez00,
		BgL_bgl_string2662za700za7za7_2694za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2664z00zz__evaluatez00,
		BgL_bgl_string2664za700za7za7_2695za7, "\\@", 2);
	      DEFINE_STRING(BGl_string2665z00zz__evaluatez00,
		BgL_bgl_string2665za700za7za7_2696za7, "__evaluate", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2697z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat2698z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za72699za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4137, char *BgL_fromz00_4138)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2615z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2616z00zz__evaluatez00);
			BGl_symbol2624z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluatez00);
			BGl_symbol2627z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2628z00zz__evaluatez00);
			BGl_symbol2629z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2630z00zz__evaluatez00);
			BGl_symbol2631z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2632z00zz__evaluatez00);
			BGl_symbol2633z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2634z00zz__evaluatez00);
			BGl_symbol2635z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2636z00zz__evaluatez00);
			BGl_symbol2637z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2638z00zz__evaluatez00);
			BGl_symbol2639z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2640z00zz__evaluatez00);
			BGl_symbol2641z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2642z00zz__evaluatez00);
			BGl_symbol2643z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2644z00zz__evaluatez00);
			BGl_symbol2645z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2646z00zz__evaluatez00);
			BGl_symbol2647z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2648z00zz__evaluatez00);
			BGl_symbol2649z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2650z00zz__evaluatez00);
			BGl_symbol2651z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2652z00zz__evaluatez00);
			BGl_symbol2653z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2654z00zz__evaluatez00);
			BGl_symbol2655z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2656z00zz__evaluatez00);
			BGl_symbol2657z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2658z00zz__evaluatez00);
			BGl_symbol2659z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2660z00zz__evaluatez00);
			BGl_symbol2661z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2662z00zz__evaluatez00);
			return (BGl_symbol2663z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2664z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_670;

				BgL_headz00_670 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2169;
					obj_t BgL_tailz00_2170;

					BgL_prevz00_2169 = BgL_headz00_670;
					BgL_tailz00_2170 = BgL_l1z00_1;
				BgL_loopz00_2168:
					if (PAIRP(BgL_tailz00_2170))
						{
							obj_t BgL_newzd2prevzd2_2176;

							BgL_newzd2prevzd2_2176 =
								MAKE_PAIR(CAR(BgL_tailz00_2170), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2169, BgL_newzd2prevzd2_2176);
							{
								obj_t BgL_tailz00_4172;
								obj_t BgL_prevz00_4171;

								BgL_prevz00_4171 = BgL_newzd2prevzd2_2176;
								BgL_tailz00_4172 = CDR(BgL_tailz00_2170);
								BgL_tailz00_2170 = BgL_tailz00_4172;
								BgL_prevz00_2169 = BgL_prevz00_4171;
								goto BgL_loopz00_2168;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_670);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 72 */
				obj_t BgL_stringz00_678;

				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_res2322z00_2188;

					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_arg2248z00_2187;

						BgL_arg2248z00_2187 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2322z00_2188 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2248z00_2187);
					}
					BgL_stringz00_678 = BgL_res2322z00_2188;
				}
				{	/* Eval/evaluate.scm 72 */
					long BgL_lenz00_679;

					BgL_lenz00_679 = STRING_LENGTH(BgL_stringz00_678);
					{	/* Eval/evaluate.scm 73 */

						{
							long BgL_walkerz00_681;

							BgL_walkerz00_681 = ((long) 0);
						BgL_zc3anonymousza31261ze3z83_682:
							if ((BgL_walkerz00_681 == BgL_lenz00_679))
								{	/* Eval/evaluate.scm 76 */
									return MAKE_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 78 */
									bool_t BgL_testz00_4181;

									if (
										(STRING_REF(BgL_stringz00_678,
												BgL_walkerz00_681) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 78 */
											if ((BgL_walkerz00_681 < (BgL_lenz00_679 - ((long) 1))))
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4181 =
														(STRING_REF(BgL_stringz00_678,
															(BgL_walkerz00_681 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4181 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 78 */
											BgL_testz00_4181 = ((bool_t) 0);
										}
									if (BgL_testz00_4181)
										{	/* Eval/evaluate.scm 81 */
											obj_t BgL_arg1265z00_685;
											obj_t BgL_arg1267z00_686;

											{	/* Eval/evaluate.scm 81 */
												obj_t BgL_arg1268z00_687;

												BgL_arg1268z00_687 =
													c_substring(BgL_stringz00_678, ((long) 0),
													BgL_walkerz00_681);
												BgL_arg1265z00_685 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1268z00_687));
											}
											{	/* Eval/evaluate.scm 82 */
												obj_t BgL_arg1269z00_688;

												{	/* Eval/evaluate.scm 82 */
													long BgL_arg1270z00_689;

													BgL_arg1270z00_689 = (BgL_walkerz00_681 + ((long) 2));
													{	/* Ieee/string.scm 179 */
														long BgL_endz00_692;

														BgL_endz00_692 = STRING_LENGTH(BgL_stringz00_678);
														{	/* Ieee/string.scm 179 */

															BgL_arg1269z00_688 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_678, BgL_arg1270z00_689,
																BgL_endz00_692);
												}}}
												BgL_arg1267z00_686 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1269z00_688));
											}
											return MAKE_PAIR(BgL_arg1265z00_685, BgL_arg1267z00_686);
										}
									else
										{
											long BgL_walkerz00_4200;

											BgL_walkerz00_4200 = (BgL_walkerz00_681 + ((long) 1));
											BgL_walkerz00_681 = BgL_walkerz00_4200;
											goto BgL_zc3anonymousza31261ze3z83_682;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			{	/* Eval/evaluate.scm 90 */
				obj_t BgL_sz00_701;

				BgL_sz00_701 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 91 */
					obj_t BgL_bpz00_702;

					BgL_bpz00_702 = VECTOR_REF(BgL_sz00_701, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 92 */
						obj_t BgL_rz00_703;

						BgL_rz00_703 =
							make_vector(CINT(BgL_bpz00_702),
							BGl_string2614z00zz__evaluatez00);
						{
							long BgL_iz00_2245;

							BgL_iz00_2245 = ((long) 0);
						BgL_recz00_2244:
							if ((BgL_iz00_2245 < (long) CINT(BgL_bpz00_702)))
								{	/* Eval/evaluate.scm 93 */
									VECTOR_SET(BgL_rz00_703,
										(int) (BgL_iz00_2245),
										VECTOR_REF(BgL_sz00_701, (int) (BgL_iz00_2245)));
									{
										long BgL_iz00_4214;

										BgL_iz00_4214 = (BgL_iz00_2245 + ((long) 1));
										BgL_iz00_2245 = BgL_iz00_4214;
										goto BgL_recz00_2244;
									}
								}
							else
								{	/* Eval/evaluate.scm 93 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_703;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4087)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			{	/* Eval/evaluate.scm 103 */
				obj_t BgL_sz00_711;

				BgL_sz00_711 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 104 */
					obj_t BgL_bpz00_712;

					BgL_bpz00_712 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_2274;

						{	/* Eval/evaluate.scm 105 */
							bool_t BgL_auxz00_4220;

							BgL_iz00_2274 = ((long) 0);
						BgL_recz00_2273:
							if ((BgL_iz00_2274 < (long) CINT(BgL_bpz00_712)))
								{	/* Eval/evaluate.scm 105 */
									VECTOR_SET(BgL_sz00_711,
										(int) (BgL_iz00_2274),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_2274)));
									{
										long BgL_iz00_4228;

										BgL_iz00_4228 = (BgL_iz00_2274 + ((long) 1));
										BgL_iz00_2274 = BgL_iz00_4228;
										goto BgL_recz00_2273;
									}
								}
							else
								{	/* Eval/evaluate.scm 105 */
									BgL_auxz00_4220 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_4220);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4088, obj_t BgL_vz00_4089)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4089);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_5,
		obj_t BgL_envz00_6, obj_t BgL_locz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			{	/* Eval/evaluate.scm 114 */
				BgL_ev_exprz00_bglt BgL_astz00_720;

				{	/* Eval/evaluate.scm 114 */
					obj_t BgL_arg1318z00_736;

					BgL_arg1318z00_736 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_5, BNIL, BgL_envz00_6,
						BFALSE, BGl_symbol2615z00zz__evaluatez00, BgL_locz00_7,
						((bool_t) 1));
					BgL_astz00_720 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1318z00_736));
				}
				{	/* Eval/evaluate.scm 115 */
					bool_t BgL_testz00_4235;

					{	/* Eval/evaluate.scm 115 */
						int BgL_arg1308z00_724;

						BgL_arg1308z00_724 = bgl_debug();
						BgL_testz00_4235 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1308z00_724),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4235)
						{	/* Eval/evaluate.scm 115 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_720), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 115 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_720);
				{	/* Eval/evaluate.scm 117 */
					int BgL_nz00_725;

					BgL_nz00_725 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_720);
					{	/* Eval/evaluate.scm 118 */
						obj_t BgL_fz00_726;

						BgL_fz00_726 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_720);
						{	/* Eval/evaluate.scm 119 */
							obj_t BgL_sz00_727;

							BgL_sz00_727 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 120 */
								obj_t BgL_bpz00_728;

								BgL_bpz00_728 = VECTOR_REF(BgL_sz00_727, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 121 */
									obj_t BgL_val1063z00_729;

									BgL_val1063z00_729 =
										BGl_zc3exitza31317ze3z83zz__evaluatez00(BgL_sz00_727,
										BgL_fz00_726);
									VECTOR_SET(BgL_sz00_727, (int) (((long) 0)), BgL_bpz00_728);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val1063z00_729)))
										{	/* Eval/evaluate.scm 123 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val1063z00_729), CDR(BgL_val1063z00_729));
										}
									else
										{	/* Eval/evaluate.scm 123 */
											return BgL_val1063z00_729;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:1317> */
	obj_t BGl_zc3exitza31317ze3z83zz__evaluatez00(obj_t BgL_sz00_4116,
		obj_t BgL_fz00_4115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 123 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1064z00_734;

			if (SET_EXIT(BgL_an_exit1064z00_734))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1064z00_734 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 123 */

						PUSH_EXIT(BgL_an_exit1064z00_734, ((long) 0));
						{	/* Eval/evaluate.scm 122 */
							obj_t BgL_val1065z00_735;

							BgL_val1065z00_735 =
								PROCEDURE_ENTRY(BgL_fz00_4115) (BgL_fz00_4115, BgL_sz00_4116,
								BEOA);
							POP_EXIT();
							return BgL_val1065z00_735;
						}
					}
				}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4090,
		obj_t BgL_sexpz00_4091, obj_t BgL_envz00_4092, obj_t BgL_locz00_4093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4091, BgL_envz00_4092,
				BgL_locz00_4093);
		}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_8,
		obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 128 */
			{	/* Eval/evaluate.scm 129 */
				obj_t BgL__ortest_1066z00_2299;

				BgL__ortest_1066z00_2299 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_8);
				if (CBOOL(BgL__ortest_1066z00_2299))
					{	/* Eval/evaluate.scm 129 */
						return BgL__ortest_1066z00_2299;
					}
				else
					{	/* Eval/evaluate.scm 129 */
						return BgL_locz00_9;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_16,
		obj_t BgL_localsz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 148 */
			{
				obj_t BgL_lz00_741;

				BgL_lz00_741 = BgL_localsz00_17;
			BgL_zc3anonymousza31319ze3z83_742:
				if (NULLP(BgL_lz00_741))
					{	/* Eval/evaluate.scm 150 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 152 */
						obj_t BgL_rvz00_744;

						BgL_rvz00_744 = CAR(BgL_lz00_741);
						if (
							(BgL_vz00_16 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_744)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 154 */
								return BgL_rvz00_744;
							}
						else
							{
								obj_t BgL_lz00_4276;

								BgL_lz00_4276 = CDR(BgL_lz00_741);
								BgL_lz00_741 = BgL_lz00_4276;
								goto BgL_zc3anonymousza31319ze3z83_742;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_18,
		obj_t BgL_localsz00_19, obj_t BgL_globalsz00_20, obj_t BgL_tailzf3zf3_21,
		obj_t BgL_wherez00_22, obj_t BgL_locz00_23, bool_t BgL_topzf3zf3_24)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 161 */
			{	/* Eval/evaluate.scm 162 */
				obj_t BgL_locz00_750;

				{	/* Eval/evaluate.scm 162 */
					obj_t BgL__ortest_1066z00_2308;

					BgL__ortest_1066z00_2308 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_18);
					if (CBOOL(BgL__ortest_1066z00_2308))
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_750 = BgL__ortest_1066z00_2308;
						}
					else
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_750 = BgL_locz00_23;
						}
				}
				{
					obj_t BgL_e1z00_754;
					obj_t BgL_rz00_755;

					if (NULLP(BgL_lz00_18))
						{
							BgL_ev_littz00_bglt BgL_auxz00_4283;

							{	/* Eval/evaluate.scm 165 */
								BgL_ev_littz00_bglt BgL_new1071z00_766;

								{	/* Eval/evaluate.scm 165 */
									BgL_ev_littz00_bglt BgL_new1070z00_767;

									BgL_new1070z00_767 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 165 */
										long BgL_arg1331z00_768;

										{	/* Eval/evaluate.scm 165 */
											long BgL_res2343z00_2312;

											{	/* Eval/evaluate.scm 165 */
												obj_t BgL_classz00_2309;

												BgL_classz00_2309 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 165 */
													obj_t BgL_vectorz00_2310;
													int BgL_kz00_2311;

													BgL_vectorz00_2310 = BgL_classz00_2309;
													BgL_kz00_2311 = (int) (((long) 1));
													BgL_res2343z00_2312 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2310,
															BgL_kz00_2311));
											}}
											BgL_arg1331z00_768 = BgL_res2343z00_2312;
										}
										{	/* Eval/evaluate.scm 165 */
											BgL_objectz00_bglt BgL_objz00_2313;

											BgL_objz00_2313 =
												((BgL_objectz00_bglt) BgL_new1070z00_767);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2313,
												BgL_arg1331z00_768);
									}}
									{	/* Eval/evaluate.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_4290;

										BgL_auxz00_4290 = ((BgL_objectz00_bglt) BgL_new1070z00_767);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4290, BFALSE);
									}
									BgL_new1071z00_766 = BgL_new1070z00_767;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1071z00_766))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_4283 = BgL_new1071z00_766;
							}
							return ((obj_t) BgL_auxz00_4283);
						}
					else
						{	/* Eval/evaluate.scm 163 */
							if (PAIRP(BgL_lz00_18))
								{	/* Eval/evaluate.scm 163 */
									if (NULLP(CDR(BgL_lz00_18)))
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1327z00_762;

											BgL_arg1327z00_762 = CAR(BgL_lz00_18);
											{	/* Eval/evaluate.scm 163 */
												obj_t BgL_arg1332z00_2337;

												{	/* Eval/evaluate.scm 163 */
													obj_t BgL__ortest_1066z00_2340;

													BgL__ortest_1066z00_2340 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1327z00_762);
													if (CBOOL(BgL__ortest_1066z00_2340))
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1332z00_2337 = BgL__ortest_1066z00_2340;
														}
													else
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1332z00_2337 = BgL_locz00_750;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1327z00_762,
													BgL_localsz00_19, BgL_globalsz00_20,
													BgL_tailzf3zf3_21, BgL_wherez00_22,
													BgL_arg1332z00_2337, BgL_topzf3zf3_24);
											}
										}
									else
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1328z00_763;
											obj_t BgL_arg1329z00_764;

											BgL_arg1328z00_763 = CAR(BgL_lz00_18);
											BgL_arg1329z00_764 = CDR(BgL_lz00_18);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_4307;

												BgL_e1z00_754 = BgL_arg1328z00_763;
												BgL_rz00_755 = BgL_arg1329z00_764;
												{	/* Eval/evaluate.scm 170 */
													BgL_ev_prog2z00_bglt BgL_new1073z00_770;

													{	/* Eval/evaluate.scm 170 */
														BgL_ev_prog2z00_bglt BgL_new1072z00_772;

														BgL_new1072z00_772 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 170 */
															long BgL_arg1334z00_773;

															{	/* Eval/evaluate.scm 170 */
																long BgL_res2344z00_2322;

																{	/* Eval/evaluate.scm 170 */
																	obj_t BgL_classz00_2319;

																	BgL_classz00_2319 =
																		BGl_ev_prog2z00zz__evaluate_typesz00;
																	{	/* Eval/evaluate.scm 170 */
																		obj_t BgL_vectorz00_2320;
																		int BgL_kz00_2321;

																		BgL_vectorz00_2320 = BgL_classz00_2319;
																		BgL_kz00_2321 = (int) (((long) 1));
																		BgL_res2344z00_2322 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_2320,
																				BgL_kz00_2321));
																}}
																BgL_arg1334z00_773 = BgL_res2344z00_2322;
															}
															{	/* Eval/evaluate.scm 170 */
																BgL_objectz00_bglt BgL_objz00_2323;

																BgL_objz00_2323 =
																	((BgL_objectz00_bglt) BgL_new1072z00_772);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2323,
																	BgL_arg1334z00_773);
														}}
														{	/* Eval/evaluate.scm 170 */
															BgL_objectz00_bglt BgL_auxz00_4314;

															BgL_auxz00_4314 =
																((BgL_objectz00_bglt) BgL_new1072z00_772);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4314, BFALSE);
														}
														BgL_new1073z00_770 = BgL_new1072z00_772;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_4317;

														{	/* Eval/evaluate.scm 171 */
															obj_t BgL_arg1333z00_771;

															{	/* Eval/evaluate.scm 171 */
																obj_t BgL__ortest_1066z00_2327;

																BgL__ortest_1066z00_2327 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_754);
																if (CBOOL(BgL__ortest_1066z00_2327))
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1333z00_771 =
																			BgL__ortest_1066z00_2327;
																	}
																else
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1333z00_771 = BgL_locz00_750;
																	}
															}
															BgL_auxz00_4317 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_754,
																	BgL_localsz00_19, BgL_globalsz00_20, BFALSE,
																	BgL_wherez00_22, BgL_arg1333z00_771,
																	BgL_topzf3zf3_24));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1073z00_770))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_4317), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1073z00_770))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_755,
																	BgL_localsz00_19, BgL_globalsz00_20,
																	BgL_tailzf3zf3_21, BgL_wherez00_22,
																	BgL_locz00_750, BgL_topzf3zf3_24))), BUNSPEC);
													BgL_auxz00_4307 = BgL_new1073z00_770;
												}
												return ((obj_t) BgL_auxz00_4307);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 163 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_750,
										BGl_string2617z00zz__evaluatez00,
										BGl_string2618z00zz__evaluatez00, BgL_lz00_18);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_25,
		obj_t BgL_localsz00_26, obj_t BgL_globalsz00_27, obj_t BgL_tailzf3zf3_28,
		obj_t BgL_wherez00_29, obj_t BgL_locz00_30, bool_t BgL_topzf3zf3_31)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 179 */
			{	/* Eval/evaluate.scm 180 */
				obj_t BgL_lz00_774;

				BgL_lz00_774 = CDR(BgL_ez00_25);
				{	/* Eval/evaluate.scm 180 */
					obj_t BgL_vz00_775;

					BgL_vz00_775 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_774),
						BgL_localsz00_26);
					{	/* Eval/evaluate.scm 181 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_775,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 183 */
								BgL_ev_varz00_bglt BgL_i1074z00_777;

								BgL_i1074z00_777 = ((BgL_ev_varz00_bglt) BgL_vz00_775);
								{	/* Eval/evaluate.scm 184 */
									obj_t BgL_g1075z00_778;
									obj_t BgL_g1076z00_779;

									BgL_g1075z00_778 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1074z00_777))->
											BgL_typez00));
									BgL_g1076z00_779 = CDR(BgL_lz00_774);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_781;
										obj_t BgL_klassz00_782;
										obj_t BgL_fieldsz00_783;

										BgL_nodez00_781 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_775));
										BgL_klassz00_782 = BgL_g1075z00_778;
										BgL_fieldsz00_783 = BgL_g1076z00_779;
									BgL_zc3anonymousza31336ze3z83_784:
										if (NULLP(BgL_fieldsz00_783))
											{	/* Eval/evaluate.scm 188 */
												return ((obj_t) BgL_nodez00_781);
											}
										else
											{	/* Eval/evaluate.scm 188 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_782))
													{	/* Eval/evaluate.scm 191 */
														obj_t BgL_fieldz00_787;

														BgL_fieldz00_787 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_782, CAR(BgL_fieldsz00_783));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_787))
															{	/* Eval/evaluate.scm 193 */
																BgL_ev_appz00_bglt BgL_nodez00_789;

																BgL_nodez00_789 =
																	BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																	(BgL_fieldz00_787, BgL_nodez00_781,
																	BgL_locz00_30, BgL_tailzf3zf3_28);
																{	/* Eval/evaluate.scm 196 */
																	obj_t BgL_arg1340z00_790;
																	obj_t BgL_arg1341z00_791;

																	BgL_arg1340z00_790 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_787);
																	BgL_arg1341z00_791 = CDR(BgL_fieldsz00_783);
																	{
																		obj_t BgL_fieldsz00_4353;
																		obj_t BgL_klassz00_4352;
																		BgL_ev_exprz00_bglt BgL_nodez00_4350;

																		BgL_nodez00_4350 =
																			((BgL_ev_exprz00_bglt) BgL_nodez00_789);
																		BgL_klassz00_4352 = BgL_arg1340z00_790;
																		BgL_fieldsz00_4353 = BgL_arg1341z00_791;
																		BgL_fieldsz00_783 = BgL_fieldsz00_4353;
																		BgL_klassz00_782 = BgL_klassz00_4352;
																		BgL_nodez00_781 = BgL_nodez00_4350;
																		goto BgL_zc3anonymousza31336ze3z83_784;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 198 */
																obj_t BgL_arg1343z00_792;
																obj_t BgL_arg1344z00_793;

																BgL_arg1343z00_792 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1074z00_777))->BgL_typez00);
																{	/* Eval/evaluate.scm 199 */
																	obj_t BgL_arg1345z00_794;
																	obj_t BgL_arg1347z00_795;

																	BgL_arg1345z00_794 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1074z00_777))->BgL_typez00);
																	BgL_arg1347z00_795 = CAR(BgL_fieldsz00_783);
																	{	/* Eval/evaluate.scm 199 */
																		obj_t BgL_list1348z00_796;

																		{	/* Eval/evaluate.scm 199 */
																			obj_t BgL_arg1349z00_797;

																			BgL_arg1349z00_797 =
																				MAKE_PAIR(BgL_arg1347z00_795, BNIL);
																			BgL_list1348z00_796 =
																				MAKE_PAIR(BgL_arg1345z00_794,
																				BgL_arg1349z00_797);
																		}
																		BgL_arg1344z00_793 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2619z00zz__evaluatez00,
																			BgL_list1348z00_796);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_30, BgL_arg1343z00_792,
																	BgL_arg1344z00_793, BgL_ez00_25);
															}
													}
												else
													{	/* Eval/evaluate.scm 202 */
														obj_t BgL_arg1351z00_799;

														{	/* Eval/evaluate.scm 202 */
															obj_t BgL__ortest_1077z00_800;

															BgL__ortest_1077z00_800 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1074z00_777))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1077z00_800))
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1351z00_799 = BgL__ortest_1077z00_800;
																}
															else
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1351z00_799 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1074z00_777))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_30, BgL_arg1351z00_799,
															BGl_string2620z00zz__evaluatez00, BgL_ez00_25);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 204 */
								obj_t BgL_arg1355z00_803;

								{	/* Eval/evaluate.scm 204 */
									obj_t BgL_pairz00_2351;

									BgL_pairz00_2351 = BgL_ez00_25;
									BgL_arg1355z00_803 = CAR(CDR(BgL_pairz00_2351));
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_30,
									BgL_arg1355z00_803, BGl_string2621z00zz__evaluatez00,
									BgL_ez00_25);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_32,
		obj_t BgL_e2z00_33, obj_t BgL_ez00_34, obj_t BgL_localsz00_35,
		obj_t BgL_globalsz00_36, obj_t BgL_tailzf3zf3_37, obj_t BgL_wherez00_38,
		obj_t BgL_locz00_39, bool_t BgL_topzf3zf3_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 209 */
			{	/* Eval/evaluate.scm 210 */
				obj_t BgL_vz00_805;

				BgL_vz00_805 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_32), BgL_localsz00_35);
				{	/* Eval/evaluate.scm 210 */
					obj_t BgL_e2z00_806;

					BgL_e2z00_806 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_33, BgL_localsz00_35,
						BgL_globalsz00_36, BFALSE, BgL_wherez00_38, BgL_locz00_39,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 211 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_805,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 213 */
								BgL_ev_varz00_bglt BgL_i1078z00_808;

								BgL_i1078z00_808 = ((BgL_ev_varz00_bglt) BgL_vz00_805);
								{	/* Eval/evaluate.scm 214 */
									obj_t BgL_g1079z00_809;
									obj_t BgL_g1080z00_810;

									BgL_g1079z00_809 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1078z00_808))->
											BgL_typez00));
									BgL_g1080z00_810 = CDR(BgL_lz00_32);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_812;
										obj_t BgL_klassz00_813;
										obj_t BgL_fieldsz00_814;

										BgL_nodez00_812 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_805));
										BgL_klassz00_813 = BgL_g1079z00_809;
										BgL_fieldsz00_814 = BgL_g1080z00_810;
									BgL_zc3anonymousza31358ze3z83_815:
										if (NULLP(BgL_fieldsz00_814))
											{	/* Eval/evaluate.scm 218 */
												return ((obj_t) BgL_nodez00_812);
											}
										else
											{	/* Eval/evaluate.scm 218 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_813))
													{	/* Eval/evaluate.scm 221 */
														obj_t BgL_fieldz00_818;

														BgL_fieldz00_818 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_813, CAR(BgL_fieldsz00_814));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_818))
															{	/* Eval/evaluate.scm 222 */
																if (NULLP(CDR(BgL_fieldsz00_814)))
																	{	/* Eval/evaluate.scm 223 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_818))
																			{	/* Eval/evaluate.scm 226 */
																				obj_t BgL_arg1364z00_822;

																				{	/* Eval/evaluate.scm 226 */
																					obj_t BgL_list1365z00_823;

																					{	/* Eval/evaluate.scm 226 */
																						obj_t BgL_arg1366z00_824;

																						BgL_arg1366z00_824 =
																							MAKE_PAIR(BgL_e2z00_806, BNIL);
																						BgL_list1365z00_823 =
																							MAKE_PAIR(
																							((obj_t) BgL_nodez00_812),
																							BgL_arg1366z00_824);
																					}
																					BgL_arg1364z00_822 =
																						BgL_list1365z00_823;
																				}
																				return
																					((obj_t)
																					BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00
																					(BgL_fieldz00_818, BgL_arg1364z00_822,
																						BgL_locz00_39, BgL_tailzf3zf3_37));
																			}
																		else
																			{	/* Eval/evaluate.scm 224 */
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_39,
																					CAR(BgL_fieldsz00_814),
																					BGl_string2622z00zz__evaluatez00,
																					BgL_ez00_34);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 230 */
																		BgL_ev_appz00_bglt BgL_nodez00_826;

																		BgL_nodez00_826 =
																			BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																			(BgL_fieldz00_818, BgL_nodez00_812,
																			BgL_locz00_39, BgL_tailzf3zf3_37);
																		{	/* Eval/evaluate.scm 233 */
																			obj_t BgL_arg1368z00_827;
																			obj_t BgL_arg1369z00_828;

																			BgL_arg1368z00_827 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_818);
																			BgL_arg1369z00_828 =
																				CDR(BgL_fieldsz00_814);
																			{
																				obj_t BgL_fieldsz00_4407;
																				obj_t BgL_klassz00_4406;
																				BgL_ev_exprz00_bglt BgL_nodez00_4404;

																				BgL_nodez00_4404 =
																					((BgL_ev_exprz00_bglt)
																					BgL_nodez00_826);
																				BgL_klassz00_4406 = BgL_arg1368z00_827;
																				BgL_fieldsz00_4407 = BgL_arg1369z00_828;
																				BgL_fieldsz00_814 = BgL_fieldsz00_4407;
																				BgL_klassz00_813 = BgL_klassz00_4406;
																				BgL_nodez00_812 = BgL_nodez00_4404;
																				goto BgL_zc3anonymousza31358ze3z83_815;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 235 */
																obj_t BgL_arg1371z00_830;
																obj_t BgL_arg1372z00_831;

																BgL_arg1371z00_830 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1078z00_808))->BgL_typez00);
																{	/* Eval/evaluate.scm 236 */
																	obj_t BgL_arg1373z00_832;
																	obj_t BgL_arg1374z00_833;

																	BgL_arg1373z00_832 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1078z00_808))->BgL_typez00);
																	BgL_arg1374z00_833 = CAR(BgL_fieldsz00_814);
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_list1375z00_834;

																		{	/* Eval/evaluate.scm 236 */
																			obj_t BgL_arg1376z00_835;

																			BgL_arg1376z00_835 =
																				MAKE_PAIR(BgL_arg1374z00_833, BNIL);
																			BgL_list1375z00_834 =
																				MAKE_PAIR(BgL_arg1373z00_832,
																				BgL_arg1376z00_835);
																		}
																		BgL_arg1372z00_831 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2619z00zz__evaluatez00,
																			BgL_list1375z00_834);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_39, BgL_arg1371z00_830,
																	BgL_arg1372z00_831, BgL_ez00_34);
															}
													}
												else
													{	/* Eval/evaluate.scm 240 */
														obj_t BgL_arg1378z00_837;

														{	/* Eval/evaluate.scm 240 */
															obj_t BgL__ortest_1081z00_838;

															BgL__ortest_1081z00_838 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1078z00_808))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1081z00_838))
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1378z00_837 = BgL__ortest_1081z00_838;
																}
															else
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1378z00_837 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1078z00_808))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_39, BgL_arg1378z00_837,
															BGl_string2620z00zz__evaluatez00, BgL_ez00_34);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 212 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_39,
									CAR(BgL_lz00_32), BGl_string2621z00zz__evaluatez00,
									BgL_ez00_34);
							}
					}
				}
			}
		}
	}



/* make-class-field-ref */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t
		BgL_fieldz00_41, BgL_ev_exprz00_bglt BgL_argz00_42, obj_t BgL_locz00_43,
		obj_t BgL_tailzf3zf3_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 246 */
			{	/* Eval/evaluate.scm 247 */
				obj_t BgL_getz00_843;

				BgL_getz00_843 =
					BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_41);
				{	/* Eval/evaluate.scm 248 */
					BgL_ev_appz00_bglt BgL_new1083z00_844;

					{	/* Eval/evaluate.scm 248 */
						BgL_ev_appz00_bglt BgL_new1082z00_849;

						BgL_new1082z00_849 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 248 */
							long BgL_arg1387z00_850;

							{	/* Eval/evaluate.scm 248 */
								long BgL_res2352z00_2372;

								{	/* Eval/evaluate.scm 248 */
									obj_t BgL_classz00_2369;

									BgL_classz00_2369 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 248 */
										obj_t BgL_vectorz00_2370;
										int BgL_kz00_2371;

										BgL_vectorz00_2370 = BgL_classz00_2369;
										BgL_kz00_2371 = (int) (((long) 1));
										BgL_res2352z00_2372 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2370,
												BgL_kz00_2371));
								}}
								BgL_arg1387z00_850 = BgL_res2352z00_2372;
							}
							{	/* Eval/evaluate.scm 248 */
								BgL_objectz00_bglt BgL_objz00_2373;

								BgL_objz00_2373 = ((BgL_objectz00_bglt) BgL_new1082z00_849);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2373, BgL_arg1387z00_850);
						}}
						{	/* Eval/evaluate.scm 248 */
							BgL_objectz00_bglt BgL_auxz00_4431;

							BgL_auxz00_4431 = ((BgL_objectz00_bglt) BgL_new1082z00_849);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4431, BFALSE);
						}
						BgL_new1083z00_844 = BgL_new1082z00_849;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_844))->BgL_locz00) =
						((obj_t) BgL_locz00_43), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4435;

						{	/* Eval/evaluate.scm 250 */
							BgL_ev_littz00_bglt BgL_new1085z00_845;

							{	/* Eval/evaluate.scm 250 */
								BgL_ev_littz00_bglt BgL_new1084z00_846;

								BgL_new1084z00_846 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 250 */
									long BgL_arg1383z00_847;

									{	/* Eval/evaluate.scm 250 */
										long BgL_res2353z00_2378;

										{	/* Eval/evaluate.scm 250 */
											obj_t BgL_classz00_2375;

											BgL_classz00_2375 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 250 */
												obj_t BgL_vectorz00_2376;
												int BgL_kz00_2377;

												BgL_vectorz00_2376 = BgL_classz00_2375;
												BgL_kz00_2377 = (int) (((long) 1));
												BgL_res2353z00_2378 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2376,
														BgL_kz00_2377));
										}}
										BgL_arg1383z00_847 = BgL_res2353z00_2378;
									}
									{	/* Eval/evaluate.scm 250 */
										BgL_objectz00_bglt BgL_objz00_2379;

										BgL_objz00_2379 = ((BgL_objectz00_bglt) BgL_new1084z00_846);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2379,
											BgL_arg1383z00_847);
								}}
								{	/* Eval/evaluate.scm 250 */
									BgL_objectz00_bglt BgL_auxz00_4442;

									BgL_auxz00_4442 = ((BgL_objectz00_bglt) BgL_new1084z00_846);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4442, BFALSE);
								}
								BgL_new1085z00_845 = BgL_new1084z00_846;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1085z00_845))->
									BgL_valuez00) = ((obj_t) BgL_getz00_843), BUNSPEC);
							BgL_auxz00_4435 = ((BgL_ev_exprz00_bglt) BgL_new1085z00_845);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_844))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4435), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_4448;

						{	/* Eval/evaluate.scm 251 */
							obj_t BgL_list1384z00_848;

							BgL_list1384z00_848 = MAKE_PAIR(((obj_t) BgL_argz00_42), BNIL);
							BgL_auxz00_4448 = BgL_list1384z00_848;
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_844))->BgL_argsz00) =
							((obj_t) BgL_auxz00_4448), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_844))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_44), BUNSPEC);
					return BgL_new1083z00_844;
				}
			}
		}
	}



/* make-class-field-set */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t
		BgL_fieldz00_45, obj_t BgL_argsz00_46, obj_t BgL_locz00_47,
		obj_t BgL_tailzf3zf3_48)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 257 */
			{	/* Eval/evaluate.scm 258 */
				obj_t BgL_setz00_851;

				BgL_setz00_851 =
					BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_45);
				{	/* Eval/evaluate.scm 259 */
					BgL_ev_appz00_bglt BgL_new1087z00_852;

					{	/* Eval/evaluate.scm 259 */
						BgL_ev_appz00_bglt BgL_new1086z00_856;

						BgL_new1086z00_856 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 259 */
							long BgL_arg1389z00_857;

							{	/* Eval/evaluate.scm 259 */
								long BgL_res2355z00_2386;

								{	/* Eval/evaluate.scm 259 */
									obj_t BgL_classz00_2383;

									BgL_classz00_2383 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 259 */
										obj_t BgL_vectorz00_2384;
										int BgL_kz00_2385;

										BgL_vectorz00_2384 = BgL_classz00_2383;
										BgL_kz00_2385 = (int) (((long) 1));
										BgL_res2355z00_2386 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2384,
												BgL_kz00_2385));
								}}
								BgL_arg1389z00_857 = BgL_res2355z00_2386;
							}
							{	/* Eval/evaluate.scm 259 */
								BgL_objectz00_bglt BgL_objz00_2387;

								BgL_objz00_2387 = ((BgL_objectz00_bglt) BgL_new1086z00_856);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2387, BgL_arg1389z00_857);
						}}
						{	/* Eval/evaluate.scm 259 */
							BgL_objectz00_bglt BgL_auxz00_4460;

							BgL_auxz00_4460 = ((BgL_objectz00_bglt) BgL_new1086z00_856);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4460, BFALSE);
						}
						BgL_new1087z00_852 = BgL_new1086z00_856;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_852))->BgL_locz00) =
						((obj_t) BgL_locz00_47), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4464;

						{	/* Eval/evaluate.scm 261 */
							BgL_ev_littz00_bglt BgL_new1089z00_853;

							{	/* Eval/evaluate.scm 261 */
								BgL_ev_littz00_bglt BgL_new1088z00_854;

								BgL_new1088z00_854 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 261 */
									long BgL_arg1388z00_855;

									{	/* Eval/evaluate.scm 261 */
										long BgL_res2356z00_2392;

										{	/* Eval/evaluate.scm 261 */
											obj_t BgL_classz00_2389;

											BgL_classz00_2389 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 261 */
												obj_t BgL_vectorz00_2390;
												int BgL_kz00_2391;

												BgL_vectorz00_2390 = BgL_classz00_2389;
												BgL_kz00_2391 = (int) (((long) 1));
												BgL_res2356z00_2392 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2390,
														BgL_kz00_2391));
										}}
										BgL_arg1388z00_855 = BgL_res2356z00_2392;
									}
									{	/* Eval/evaluate.scm 261 */
										BgL_objectz00_bglt BgL_objz00_2393;

										BgL_objz00_2393 = ((BgL_objectz00_bglt) BgL_new1088z00_854);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2393,
											BgL_arg1388z00_855);
								}}
								{	/* Eval/evaluate.scm 261 */
									BgL_objectz00_bglt BgL_auxz00_4471;

									BgL_auxz00_4471 = ((BgL_objectz00_bglt) BgL_new1088z00_854);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4471, BFALSE);
								}
								BgL_new1089z00_853 = BgL_new1088z00_854;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1089z00_853))->
									BgL_valuez00) = ((obj_t) BgL_setz00_851), BUNSPEC);
							BgL_auxz00_4464 = ((BgL_ev_exprz00_bglt) BgL_new1089z00_853);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_852))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4464), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_852))->BgL_argsz00) =
						((obj_t) BgL_argsz00_46), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_852))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_48), BUNSPEC);
					return BgL_new1087z00_852;
				}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_49, obj_t BgL_localsz00_50,
		obj_t BgL_globalsz00_51, obj_t BgL_tailzf3zf3_52, obj_t BgL_wherez00_53,
		obj_t BgL_locz00_54, bool_t BgL_topzf3zf3_55)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 268 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_864;
				obj_t BgL_bahz00_866;
				obj_t BgL_lz00_871;
				obj_t BgL_funz00_873;
				obj_t BgL_argsz00_874;
				obj_t BgL_ez00_876;
				obj_t BgL_pz00_880;
				obj_t BgL_tz00_881;
				obj_t BgL_oz00_882;
				obj_t BgL_pz00_884;
				obj_t BgL_tz00_885;
				obj_t BgL_argsz00_887;
				obj_t BgL_argsz00_889;
				obj_t BgL_bindsz00_893;
				obj_t BgL_bodyz00_894;
				obj_t BgL_bindsz00_896;
				obj_t BgL_bodyz00_897;
				obj_t BgL_bindsz00_899;
				obj_t BgL_bodyz00_900;
				obj_t BgL_lz00_906;
				obj_t BgL_e2z00_907;
				obj_t BgL_vz00_909;
				obj_t BgL_ez00_910;
				obj_t BgL_gvz00_913;
				obj_t BgL_formalsz00_914;
				obj_t BgL_bodyz00_915;
				obj_t BgL_gvz00_917;
				obj_t BgL_gez00_918;
				obj_t BgL_vz00_920;
				obj_t BgL_bodyz00_921;
				obj_t BgL_ez00_923;
				obj_t BgL_bodyz00_924;
				obj_t BgL_hz00_926;
				obj_t BgL_bodyz00_927;
				obj_t BgL_fz00_932;
				obj_t BgL_argsz00_933;

				if (PAIRP(BgL_ez00_49))
					{	/* Eval/evaluate.scm 319 */
						if ((CAR(BgL_ez00_49) == BGl_symbol2627z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 319 */
								BgL_bahz00_866 = CDR(BgL_ez00_49);
								if (BgL_topzf3zf3_55)
									{	/* Eval/evaluate.scm 331 */
										obj_t BgL_arg1958z00_1577;

										{	/* Eval/evaluate.scm 331 */
											obj_t BgL_arg1959z00_1578;

											{	/* Eval/evaluate.scm 331 */
												obj_t BgL_arg1960z00_1579;

												{	/* Eval/evaluate.scm 331 */
													obj_t BgL__ortest_1066z00_2479;

													BgL__ortest_1066z00_2479 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_ez00_49);
													if (CBOOL(BgL__ortest_1066z00_2479))
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1960z00_1579 = BgL__ortest_1066z00_2479;
														}
													else
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1960z00_1579 = BgL_locz00_54;
														}
												}
												BgL_arg1959z00_1578 =
													BGl_evmodulez00zz__evmodulez00(BgL_ez00_49,
													BgL_arg1960z00_1579);
											}
											BgL_arg1958z00_1577 =
												BGl_expandz00zz__expandz00(BgL_arg1959z00_1578);
										}
										{
											bool_t BgL_topzf3zf3_4493;
											obj_t BgL_wherez00_4492;
											obj_t BgL_tailzf3zf3_4491;
											obj_t BgL_ez00_4490;

											BgL_ez00_4490 = BgL_arg1958z00_1577;
											BgL_tailzf3zf3_4491 = BgL_wherez00_53;
											BgL_wherez00_4492 = BFALSE;
											BgL_topzf3zf3_4493 = ((bool_t) 1);
											BgL_topzf3zf3_55 = BgL_topzf3zf3_4493;
											BgL_wherez00_53 = BgL_wherez00_4492;
											BgL_tailzf3zf3_52 = BgL_tailzf3zf3_4491;
											BgL_ez00_49 = BgL_ez00_4490;
											goto BGl_convz00zz__evaluatez00;
										}
									}
								else
									{	/* Eval/evaluate.scm 330 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_54,
											BGl_string2617z00zz__evaluatez00,
											BGl_string2626z00zz__evaluatez00, BgL_ez00_49);
									}
							}
						else
							{	/* Eval/evaluate.scm 319 */
								obj_t BgL_cdrzd2226zd2_940;

								BgL_cdrzd2226zd2_940 = CDR(BgL_ez00_49);
								if ((CAR(BgL_ez00_49) == BGl_symbol2629z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 319 */
										if (PAIRP(BgL_cdrzd2226zd2_940))
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd2229zd2_943;
												obj_t BgL_cdrzd2230zd2_944;

												BgL_carzd2229zd2_943 = CAR(BgL_cdrzd2226zd2_940);
												BgL_cdrzd2230zd2_944 = CDR(BgL_cdrzd2226zd2_940);
												if (SYMBOLP(BgL_carzd2229zd2_943))
													{	/* Eval/evaluate.scm 319 */
														if (PAIRP(BgL_cdrzd2230zd2_944))
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd2234zd2_947;

																BgL_carzd2234zd2_947 =
																	CAR(BgL_cdrzd2230zd2_944);
																if (SYMBOLP(BgL_carzd2234zd2_947))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2230zd2_944)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_idz00_3106;
																				obj_t BgL_modnamez00_3107;

																				BgL_idz00_3106 = BgL_carzd2229zd2_943;
																				BgL_modnamez00_3107 =
																					BgL_carzd2234zd2_947;
																				{	/* Eval/evaluate.scm 319 */
																					BgL_ev_globalz00_bglt
																						BgL_new1103z00_3108;
																					{	/* Eval/evaluate.scm 319 */
																						BgL_ev_globalz00_bglt
																							BgL_new1101z00_3109;
																						BgL_new1101z00_3109 =
																							((BgL_ev_globalz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_globalz00_bgl))));
																						{	/* Eval/evaluate.scm 319 */
																							long BgL_arg1961z00_3110;

																							{	/* Eval/evaluate.scm 319 */
																								long BgL_res2449z00_3114;

																								{	/* Eval/evaluate.scm 319 */
																									obj_t BgL_classz00_3111;

																									BgL_classz00_3111 =
																										BGl_ev_globalz00zz__evaluate_typesz00;
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_vectorz00_3112;
																										int BgL_kz00_3113;

																										BgL_vectorz00_3112 =
																											BgL_classz00_3111;
																										BgL_kz00_3113 =
																											(int) (((long) 1));
																										BgL_res2449z00_3114 =
																											(long)
																											CINT(VECTOR_REF
																											(BgL_vectorz00_3112,
																												BgL_kz00_3113));
																								}}
																								BgL_arg1961z00_3110 =
																									BgL_res2449z00_3114;
																							}
																							{	/* Eval/evaluate.scm 319 */
																								BgL_objectz00_bglt
																									BgL_objz00_3115;
																								BgL_objz00_3115 =
																									((BgL_objectz00_bglt)
																									BgL_new1101z00_3109);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_3115,
																									BgL_arg1961z00_3110);
																						}}
																						{	/* Eval/evaluate.scm 319 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4520;
																							BgL_auxz00_4520 =
																								((BgL_objectz00_bglt)
																								BgL_new1101z00_3109);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_4520, BFALSE);
																						}
																						BgL_new1103z00_3108 =
																							BgL_new1101z00_3109;
																					}
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1103z00_3108))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_54), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1103z00_3108))->
																							BgL_namez00) =
																						((obj_t) BgL_idz00_3106), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1103z00_3108))->
																							BgL_modz00) =
																						((obj_t)
																							BGl_evalzd2findzd2modulez00zz__evmodulez00
																							(BgL_modnamez00_3107)), BUNSPEC);
																					return ((obj_t) BgL_new1103z00_3108);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_carzd2277zd2_950;

																				BgL_carzd2277zd2_950 = CAR(BgL_ez00_49);
																				if (SYMBOLP(BgL_carzd2277zd2_950))
																					{	/* Eval/evaluate.scm 319 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2277zd2_950,
																									BgL_localsz00_50)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4534;
																								BgL_funz00_873 =
																									BgL_carzd2277zd2_950;
																								BgL_argsz00_874 =
																									BgL_cdrzd2226zd2_940;
																							BgL_tagzd2134zd2_875:
																								{	/* Eval/evaluate.scm 346 */
																									obj_t BgL_funz00_1597;
																									obj_t BgL_argsz00_1598;

																									{	/* Eval/evaluate.scm 346 */
																										obj_t BgL_arg2082z00_2538;

																										{	/* Eval/evaluate.scm 346 */
																											obj_t
																												BgL__ortest_1066z00_2541;
																											BgL__ortest_1066z00_2541 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_873);
																											if (CBOOL
																												(BgL__ortest_1066z00_2541))
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2082z00_2538 =
																														BgL__ortest_1066z00_2541;
																												}
																											else
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2082z00_2538 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1597 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_873,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2082z00_2538,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1598 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_874);
																									{	/* Eval/evaluate.scm 347 */
																										BgL_ev_appz00_bglt
																											BgL_new1105z00_1599;
																										{	/* Eval/evaluate.scm 347 */
																											BgL_ev_appz00_bglt
																												BgL_new1104z00_1600;
																											BgL_new1104z00_1600 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 347 */
																												long
																													BgL_arg1970z00_1601;
																												{	/* Eval/evaluate.scm 347 */
																													long
																														BgL_res2382z00_2547;
																													{	/* Eval/evaluate.scm 347 */
																														obj_t
																															BgL_classz00_2544;
																														BgL_classz00_2544 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 347 */
																															obj_t
																																BgL_vectorz00_2545;
																															int BgL_kz00_2546;

																															BgL_vectorz00_2545
																																=
																																BgL_classz00_2544;
																															BgL_kz00_2546 =
																																(int) (((long)
																																	1));
																															BgL_res2382z00_2547
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2545,
																																	BgL_kz00_2546));
																													}}
																													BgL_arg1970z00_1601 =
																														BgL_res2382z00_2547;
																												}
																												{	/* Eval/evaluate.scm 347 */
																													BgL_objectz00_bglt
																														BgL_objz00_2548;
																													BgL_objz00_2548 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1104z00_1600);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2548,
																														BgL_arg1970z00_1601);
																											}}
																											{	/* Eval/evaluate.scm 347 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4546;
																												BgL_auxz00_4546 =
																													((BgL_objectz00_bglt)
																													BgL_new1104z00_1600);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4546,
																													BFALSE);
																											}
																											BgL_new1105z00_1599 =
																												BgL_new1104z00_1600;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1599))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1599))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1597)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1599))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1598),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1599))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4534 =
																											BgL_new1105z00_1599;
																								}}
																								return
																									((obj_t) BgL_auxz00_4534);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4555;
																								BgL_fz00_932 =
																									BgL_carzd2277zd2_950;
																								BgL_argsz00_933 =
																									BgL_cdrzd2226zd2_940;
																							BgL_tagzd2155zd2_934:
																								{	/* Eval/evaluate.scm 470 */
																									obj_t BgL_funz00_1802;
																									obj_t BgL_argsz00_1803;

																									{	/* Eval/evaluate.scm 470 */
																										obj_t BgL_arg2082z00_3074;

																										{	/* Eval/evaluate.scm 470 */
																											obj_t
																												BgL__ortest_1066z00_3077;
																											BgL__ortest_1066z00_3077 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_932);
																											if (CBOOL
																												(BgL__ortest_1066z00_3077))
																												{	/* Eval/evaluate.scm 470 */
																													BgL_arg2082z00_3074 =
																														BgL__ortest_1066z00_3077;
																												}
																											else
																												{	/* Eval/evaluate.scm 470 */
																													BgL_arg2082z00_3074 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1802 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_932,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2082z00_3074,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1803 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_933);
																									{	/* Eval/evaluate.scm 471 */
																										BgL_ev_appz00_bglt
																											BgL_new1151z00_1804;
																										{	/* Eval/evaluate.scm 471 */
																											BgL_ev_appz00_bglt
																												BgL_new1150z00_1805;
																											BgL_new1150z00_1805 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 471 */
																												long
																													BgL_arg2076z00_1806;
																												{	/* Eval/evaluate.scm 471 */
																													long
																														BgL_res2442z00_3083;
																													{	/* Eval/evaluate.scm 471 */
																														obj_t
																															BgL_classz00_3080;
																														BgL_classz00_3080 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 471 */
																															obj_t
																																BgL_vectorz00_3081;
																															int BgL_kz00_3082;

																															BgL_vectorz00_3081
																																=
																																BgL_classz00_3080;
																															BgL_kz00_3082 =
																																(int) (((long)
																																	1));
																															BgL_res2442z00_3083
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_3081,
																																	BgL_kz00_3082));
																													}}
																													BgL_arg2076z00_1806 =
																														BgL_res2442z00_3083;
																												}
																												{	/* Eval/evaluate.scm 471 */
																													BgL_objectz00_bglt
																														BgL_objz00_3084;
																													BgL_objz00_3084 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1150z00_1805);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_3084,
																														BgL_arg2076z00_1806);
																											}}
																											{	/* Eval/evaluate.scm 471 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4567;
																												BgL_auxz00_4567 =
																													((BgL_objectz00_bglt)
																													BgL_new1150z00_1805);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4567,
																													BFALSE);
																											}
																											BgL_new1151z00_1804 =
																												BgL_new1150z00_1805;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1151z00_1804))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1151z00_1804))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1802)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1151z00_1804))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1803),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1151z00_1804))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4555 =
																											BgL_new1151z00_1804;
																								}}
																								return
																									((obj_t) BgL_auxz00_4555);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4576;

																						{
																							obj_t BgL_argsz00_4578;
																							obj_t BgL_fz00_4577;

																							BgL_fz00_4577 =
																								BgL_carzd2277zd2_950;
																							BgL_argsz00_4578 =
																								BgL_cdrzd2226zd2_940;
																							BgL_argsz00_933 =
																								BgL_argsz00_4578;
																							BgL_fz00_932 = BgL_fz00_4577;
																							goto BgL_tagzd2155zd2_934;
																						}
																						return ((obj_t) BgL_auxz00_4576);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_carzd2878zd2_960;

																		BgL_carzd2878zd2_960 = CAR(BgL_ez00_49);
																		if (SYMBOLP(BgL_carzd2878zd2_960))
																			{	/* Eval/evaluate.scm 319 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd2878zd2_960,
																							BgL_localsz00_50)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4586;

																						{
																							obj_t BgL_argsz00_4588;
																							obj_t BgL_funz00_4587;

																							BgL_funz00_4587 =
																								BgL_carzd2878zd2_960;
																							BgL_argsz00_4588 =
																								BgL_cdrzd2226zd2_940;
																							BgL_argsz00_874 =
																								BgL_argsz00_4588;
																							BgL_funz00_873 = BgL_funz00_4587;
																							goto BgL_tagzd2134zd2_875;
																						}
																						return ((obj_t) BgL_auxz00_4586);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4590;

																						{
																							obj_t BgL_argsz00_4592;
																							obj_t BgL_fz00_4591;

																							BgL_fz00_4591 =
																								BgL_carzd2878zd2_960;
																							BgL_argsz00_4592 =
																								BgL_cdrzd2226zd2_940;
																							BgL_argsz00_933 =
																								BgL_argsz00_4592;
																							BgL_fz00_932 = BgL_fz00_4591;
																							goto BgL_tagzd2155zd2_934;
																						}
																						return ((obj_t) BgL_auxz00_4590);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4594;

																				{
																					obj_t BgL_argsz00_4596;
																					obj_t BgL_fz00_4595;

																					BgL_fz00_4595 = BgL_carzd2878zd2_960;
																					BgL_argsz00_4596 =
																						BgL_cdrzd2226zd2_940;
																					BgL_argsz00_933 = BgL_argsz00_4596;
																					BgL_fz00_932 = BgL_fz00_4595;
																					goto BgL_tagzd2155zd2_934;
																				}
																				return ((obj_t) BgL_auxz00_4594);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd21479zd2_969;

																BgL_carzd21479zd2_969 = CAR(BgL_ez00_49);
																if (SYMBOLP(BgL_carzd21479zd2_969))
																	{	/* Eval/evaluate.scm 319 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21479zd2_969,
																					BgL_localsz00_50)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4604;

																				{
																					obj_t BgL_argsz00_4606;
																					obj_t BgL_funz00_4605;

																					BgL_funz00_4605 =
																						BgL_carzd21479zd2_969;
																					BgL_argsz00_4606 =
																						BgL_cdrzd2226zd2_940;
																					BgL_argsz00_874 = BgL_argsz00_4606;
																					BgL_funz00_873 = BgL_funz00_4605;
																					goto BgL_tagzd2134zd2_875;
																				}
																				return ((obj_t) BgL_auxz00_4604);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4608;

																				{
																					obj_t BgL_argsz00_4610;
																					obj_t BgL_fz00_4609;

																					BgL_fz00_4609 = BgL_carzd21479zd2_969;
																					BgL_argsz00_4610 =
																						BgL_cdrzd2226zd2_940;
																					BgL_argsz00_933 = BgL_argsz00_4610;
																					BgL_fz00_932 = BgL_fz00_4609;
																					goto BgL_tagzd2155zd2_934;
																				}
																				return ((obj_t) BgL_auxz00_4608);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4612;

																		{
																			obj_t BgL_argsz00_4614;
																			obj_t BgL_fz00_4613;

																			BgL_fz00_4613 = BgL_carzd21479zd2_969;
																			BgL_argsz00_4614 = BgL_cdrzd2226zd2_940;
																			BgL_argsz00_933 = BgL_argsz00_4614;
																			BgL_fz00_932 = BgL_fz00_4613;
																			goto BgL_tagzd2155zd2_934;
																		}
																		return ((obj_t) BgL_auxz00_4612);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														obj_t BgL_carzd22080zd2_978;

														BgL_carzd22080zd2_978 = CAR(BgL_ez00_49);
														if (SYMBOLP(BgL_carzd22080zd2_978))
															{	/* Eval/evaluate.scm 319 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22080zd2_978, BgL_localsz00_50)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4622;

																		{
																			obj_t BgL_argsz00_4624;
																			obj_t BgL_funz00_4623;

																			BgL_funz00_4623 = BgL_carzd22080zd2_978;
																			BgL_argsz00_4624 = BgL_cdrzd2226zd2_940;
																			BgL_argsz00_874 = BgL_argsz00_4624;
																			BgL_funz00_873 = BgL_funz00_4623;
																			goto BgL_tagzd2134zd2_875;
																		}
																		return ((obj_t) BgL_auxz00_4622);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4626;

																		{
																			obj_t BgL_argsz00_4628;
																			obj_t BgL_fz00_4627;

																			BgL_fz00_4627 = BgL_carzd22080zd2_978;
																			BgL_argsz00_4628 = BgL_cdrzd2226zd2_940;
																			BgL_argsz00_933 = BgL_argsz00_4628;
																			BgL_fz00_932 = BgL_fz00_4627;
																			goto BgL_tagzd2155zd2_934;
																		}
																		return ((obj_t) BgL_auxz00_4626);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4630;

																{
																	obj_t BgL_argsz00_4632;
																	obj_t BgL_fz00_4631;

																	BgL_fz00_4631 = BgL_carzd22080zd2_978;
																	BgL_argsz00_4632 = BgL_cdrzd2226zd2_940;
																	BgL_argsz00_933 = BgL_argsz00_4632;
																	BgL_fz00_932 = BgL_fz00_4631;
																	goto BgL_tagzd2155zd2_934;
																}
																return ((obj_t) BgL_auxz00_4630);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd22681zd2_987;

												BgL_carzd22681zd2_987 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd22681zd2_987))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd22681zd2_987, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4640;

																{
																	obj_t BgL_argsz00_4642;
																	obj_t BgL_funz00_4641;

																	BgL_funz00_4641 = BgL_carzd22681zd2_987;
																	BgL_argsz00_4642 = BgL_cdrzd2226zd2_940;
																	BgL_argsz00_874 = BgL_argsz00_4642;
																	BgL_funz00_873 = BgL_funz00_4641;
																	goto BgL_tagzd2134zd2_875;
																}
																return ((obj_t) BgL_auxz00_4640);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4644;

																{
																	obj_t BgL_argsz00_4646;
																	obj_t BgL_fz00_4645;

																	BgL_fz00_4645 = BgL_carzd22681zd2_987;
																	BgL_argsz00_4646 = BgL_cdrzd2226zd2_940;
																	BgL_argsz00_933 = BgL_argsz00_4646;
																	BgL_fz00_932 = BgL_fz00_4645;
																	goto BgL_tagzd2155zd2_934;
																}
																return ((obj_t) BgL_auxz00_4644);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_4648;

														{
															obj_t BgL_argsz00_4650;
															obj_t BgL_fz00_4649;

															BgL_fz00_4649 = BgL_carzd22681zd2_987;
															BgL_argsz00_4650 = BgL_cdrzd2226zd2_940;
															BgL_argsz00_933 = BgL_argsz00_4650;
															BgL_fz00_932 = BgL_fz00_4649;
															goto BgL_tagzd2155zd2_934;
														}
														return ((obj_t) BgL_auxz00_4648);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 319 */
										if ((CAR(BgL_ez00_49) == BGl_symbol2631z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 319 */
												BgL_lz00_871 = BgL_cdrzd2226zd2_940;
												{	/* Eval/evaluate.scm 339 */
													bool_t BgL_testz00_4655;

													if (PAIRP(BgL_lz00_871))
														{	/* Eval/evaluate.scm 339 */
															bool_t BgL_testz00_4658;

															{	/* Eval/evaluate.scm 339 */
																obj_t BgL_auxz00_4659;

																BgL_auxz00_4659 = CDR(BgL_lz00_871);
																BgL_testz00_4658 = PAIRP(BgL_auxz00_4659);
															}
															if (BgL_testz00_4658)
																{
																	obj_t BgL_l1183z00_2519;
																	bool_t BgL_lv1184z00_2520;

																	BgL_l1183z00_2519 = BgL_lz00_871;
																	BgL_lv1184z00_2520 = ((bool_t) 1);
																BgL_zc3anonymousza31965ze3z83_2518:
																	if (NULLP(BgL_l1183z00_2519))
																		{	/* Eval/evaluate.scm 339 */
																			BgL_testz00_4655 = BgL_lv1184z00_2520;
																		}
																	else
																		{	/* Eval/evaluate.scm 339 */
																			bool_t BgL_nvz00_2527;

																			{	/* Eval/evaluate.scm 339 */
																				obj_t BgL_auxz00_4664;

																				BgL_auxz00_4664 =
																					CAR(BgL_l1183z00_2519);
																				BgL_nvz00_2527 =
																					SYMBOLP(BgL_auxz00_4664);
																			}
																			if (BgL_nvz00_2527)
																				{
																					bool_t BgL_lv1184z00_4670;
																					obj_t BgL_l1183z00_4668;

																					BgL_l1183z00_4668 =
																						CDR(BgL_l1183z00_2519);
																					BgL_lv1184z00_4670 = BgL_nvz00_2527;
																					BgL_lv1184z00_2520 =
																						BgL_lv1184z00_4670;
																					BgL_l1183z00_2519 = BgL_l1183z00_4668;
																					goto
																						BgL_zc3anonymousza31965ze3z83_2518;
																				}
																			else
																				{	/* Eval/evaluate.scm 339 */
																					BgL_testz00_4655 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 339 */
																	BgL_testz00_4655 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 339 */
															BgL_testz00_4655 = ((bool_t) 0);
														}
													if (BgL_testz00_4655)
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_49, BgL_localsz00_50,
																BgL_globalsz00_51, BgL_tailzf3zf3_52,
																BgL_wherez00_53, BgL_locz00_54,
																BgL_topzf3zf3_55);
														}
													else
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_54,
																BGl_string2617z00zz__evaluatez00,
																BGl_string2623z00zz__evaluatez00, BgL_ez00_49);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd23285zd2_998;

												BgL_carzd23285zd2_998 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd23285zd2_998))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23285zd2_998, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4679;

																{
																	obj_t BgL_argsz00_4681;
																	obj_t BgL_funz00_4680;

																	BgL_funz00_4680 = BgL_carzd23285zd2_998;
																	BgL_argsz00_4681 = BgL_cdrzd2226zd2_940;
																	BgL_argsz00_874 = BgL_argsz00_4681;
																	BgL_funz00_873 = BgL_funz00_4680;
																	goto BgL_tagzd2134zd2_875;
																}
																return ((obj_t) BgL_auxz00_4679);
															}
														else
															{	/* Eval/evaluate.scm 319 */
																if (
																	(BgL_carzd23285zd2_998 ==
																		BGl_symbol2633z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd2226zd2_940))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd2226zd2_940)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1461z00_1006;

																						BgL_arg1461z00_1006 =
																							CAR(BgL_cdrzd2226zd2_940);
																						{
																							BgL_ev_trapz00_bglt
																								BgL_auxz00_4691;
																							BgL_ez00_876 =
																								BgL_arg1461z00_1006;
																						BgL_tagzd2135zd2_877:
																							{	/* Eval/evaluate.scm 353 */
																								BgL_ev_trapz00_bglt
																									BgL_new1107z00_1602;
																								{	/* Eval/evaluate.scm 353 */
																									BgL_ev_trapz00_bglt
																										BgL_new1106z00_1603;
																									BgL_new1106z00_1603 =
																										((BgL_ev_trapz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_trapz00_bgl))));
																									{	/* Eval/evaluate.scm 353 */
																										long BgL_arg1971z00_1604;

																										{	/* Eval/evaluate.scm 353 */
																											long BgL_res2383z00_2553;

																											{	/* Eval/evaluate.scm 353 */
																												obj_t BgL_classz00_2550;

																												BgL_classz00_2550 =
																													BGl_ev_trapz00zz__evaluate_typesz00;
																												{	/* Eval/evaluate.scm 353 */
																													obj_t
																														BgL_vectorz00_2551;
																													int BgL_kz00_2552;

																													BgL_vectorz00_2551 =
																														BgL_classz00_2550;
																													BgL_kz00_2552 =
																														(int) (((long) 1));
																													BgL_res2383z00_2553 =
																														(long)
																														CINT(VECTOR_REF
																														(BgL_vectorz00_2551,
																															BgL_kz00_2552));
																											}}
																											BgL_arg1971z00_1604 =
																												BgL_res2383z00_2553;
																										}
																										{	/* Eval/evaluate.scm 353 */
																											BgL_objectz00_bglt
																												BgL_objz00_2554;
																											BgL_objz00_2554 =
																												((BgL_objectz00_bglt)
																												BgL_new1106z00_1603);
																											BGL_OBJECT_CLASS_NUM_SET
																												(BgL_objz00_2554,
																												BgL_arg1971z00_1604);
																									}}
																									{	/* Eval/evaluate.scm 353 */
																										BgL_objectz00_bglt
																											BgL_auxz00_4698;
																										BgL_auxz00_4698 =
																											((BgL_objectz00_bglt)
																											BgL_new1106z00_1603);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_4698, BFALSE);
																									}
																									BgL_new1107z00_1602 =
																										BgL_new1106z00_1603;
																								}
																								{
																									BgL_ev_exprz00_bglt
																										BgL_auxz00_4701;
																									{	/* Eval/evaluate.scm 354 */
																										obj_t BgL_arg2082z00_2557;

																										{	/* Eval/evaluate.scm 354 */
																											obj_t
																												BgL__ortest_1066z00_2560;
																											BgL__ortest_1066z00_2560 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_ez00_876);
																											if (CBOOL
																												(BgL__ortest_1066z00_2560))
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2082z00_2557 =
																														BgL__ortest_1066z00_2560;
																												}
																											else
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2082z00_2557 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_auxz00_4701 =
																											((BgL_ev_exprz00_bglt)
																											BGl_convz00zz__evaluatez00
																											(BgL_ez00_876,
																												BgL_localsz00_50,
																												BgL_globalsz00_51,
																												BFALSE, BgL_wherez00_53,
																												BgL_arg2082z00_2557,
																												((bool_t) 0)));
																									}
																									((((BgL_ev_hookz00_bglt) CREF(
																													((BgL_ev_hookz00_bglt)
																														BgL_new1107z00_1602)))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_auxz00_4701),
																										BUNSPEC);
																								}
																								BgL_auxz00_4691 =
																									BgL_new1107z00_1602;
																							}
																							return ((obj_t) BgL_auxz00_4691);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1462z00_1007;
																						obj_t BgL_arg1463z00_1008;

																						BgL_arg1462z00_1007 =
																							CAR(BgL_ez00_49);
																						BgL_arg1463z00_1008 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4712;
																							{
																								obj_t BgL_argsz00_4714;
																								obj_t BgL_fz00_4713;

																								BgL_fz00_4713 =
																									BgL_arg1462z00_1007;
																								BgL_argsz00_4714 =
																									BgL_arg1463z00_1008;
																								BgL_argsz00_933 =
																									BgL_argsz00_4714;
																								BgL_fz00_932 = BgL_fz00_4713;
																								goto BgL_tagzd2155zd2_934;
																							}
																							return ((obj_t) BgL_auxz00_4712);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1465z00_1010;
																				obj_t BgL_arg1466z00_1011;

																				BgL_arg1465z00_1010 = CAR(BgL_ez00_49);
																				BgL_arg1466z00_1011 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_4718;

																					{
																						obj_t BgL_argsz00_4720;
																						obj_t BgL_fz00_4719;

																						BgL_fz00_4719 = BgL_arg1465z00_1010;
																						BgL_argsz00_4720 =
																							BgL_arg1466z00_1011;
																						BgL_argsz00_933 = BgL_argsz00_4720;
																						BgL_fz00_932 = BgL_fz00_4719;
																						goto BgL_tagzd2155zd2_934;
																					}
																					return ((obj_t) BgL_auxz00_4718);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_cdrzd23854zd2_1012;

																		BgL_cdrzd23854zd2_1012 = CDR(BgL_ez00_49);
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2635z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd23854zd2_1012))
																					{	/* Eval/evaluate.scm 319 */
																						if (NULLP(CDR
																								(BgL_cdrzd23854zd2_1012)))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1470z00_1016;

																								BgL_arg1470z00_1016 =
																									CAR(BgL_cdrzd23854zd2_1012);
																								{	/* Eval/evaluate.scm 319 */
																									BgL_ev_littz00_bglt
																										BgL_new1109z00_3184;
																									{	/* Eval/evaluate.scm 319 */
																										BgL_ev_littz00_bglt
																											BgL_new1108z00_3185;
																										BgL_new1108z00_3185 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 319 */
																											long BgL_arg1972z00_3186;

																											{	/* Eval/evaluate.scm 319 */
																												long
																													BgL_res2460z00_3190;
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_classz00_3187;
																													BgL_classz00_3187 =
																														BGl_ev_littz00zz__evaluate_typesz00;
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_vectorz00_3188;
																														int BgL_kz00_3189;

																														BgL_vectorz00_3188 =
																															BgL_classz00_3187;
																														BgL_kz00_3189 =
																															(int) (((long)
																																1));
																														BgL_res2460z00_3190
																															=
																															(long)
																															CINT(VECTOR_REF
																															(BgL_vectorz00_3188,
																																BgL_kz00_3189));
																												}}
																												BgL_arg1972z00_3186 =
																													BgL_res2460z00_3190;
																											}
																											{	/* Eval/evaluate.scm 319 */
																												BgL_objectz00_bglt
																													BgL_objz00_3191;
																												BgL_objz00_3191 =
																													((BgL_objectz00_bglt)
																													BgL_new1108z00_3185);
																												BGL_OBJECT_CLASS_NUM_SET
																													(BgL_objz00_3191,
																													BgL_arg1972z00_3186);
																										}}
																										{	/* Eval/evaluate.scm 319 */
																											BgL_objectz00_bglt
																												BgL_auxz00_4738;
																											BgL_auxz00_4738 =
																												((BgL_objectz00_bglt)
																												BgL_new1108z00_3185);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_4738,
																												BFALSE);
																										}
																										BgL_new1109z00_3184 =
																											BgL_new1108z00_3185;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1109z00_3184))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1470z00_1016),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1109z00_3184);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1473z00_1017;

																								BgL_arg1473z00_1017 =
																									CAR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4744;
																									{
																										obj_t BgL_argsz00_4746;
																										obj_t BgL_fz00_4745;

																										BgL_fz00_4745 =
																											BgL_arg1473z00_1017;
																										BgL_argsz00_4746 =
																											BgL_cdrzd23854zd2_1012;
																										BgL_argsz00_933 =
																											BgL_argsz00_4746;
																										BgL_fz00_932 =
																											BgL_fz00_4745;
																										goto BgL_tagzd2155zd2_934;
																									}
																									return
																										((obj_t) BgL_auxz00_4744);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1477z00_1020;

																						BgL_arg1477z00_1020 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4749;
																							{
																								obj_t BgL_argsz00_4751;
																								obj_t BgL_fz00_4750;

																								BgL_fz00_4750 =
																									BgL_arg1477z00_1020;
																								BgL_argsz00_4751 =
																									BgL_cdrzd23854zd2_1012;
																								BgL_argsz00_933 =
																									BgL_argsz00_4751;
																								BgL_fz00_932 = BgL_fz00_4750;
																								goto BgL_tagzd2155zd2_934;
																							}
																							return ((obj_t) BgL_auxz00_4749);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2637z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						if (PAIRP(BgL_cdrzd23854zd2_1012))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd24367zd2_1025;

																								BgL_cdrzd24367zd2_1025 =
																									CDR(BgL_cdrzd23854zd2_1012);
																								if (PAIRP
																									(BgL_cdrzd24367zd2_1025))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd24372zd2_1027;
																										BgL_cdrzd24372zd2_1027 =
																											CDR
																											(BgL_cdrzd24367zd2_1025);
																										if (PAIRP
																											(BgL_cdrzd24372zd2_1027))
																											{	/* Eval/evaluate.scm 319 */
																												if (NULLP(CDR
																														(BgL_cdrzd24372zd2_1027)))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1484z00_1030;
																														obj_t
																															BgL_arg1485z00_1031;
																														obj_t
																															BgL_arg1486z00_1032;
																														BgL_arg1484z00_1030
																															=
																															CAR
																															(BgL_cdrzd23854zd2_1012);
																														BgL_arg1485z00_1031
																															=
																															CAR
																															(BgL_cdrzd24367zd2_1025);
																														BgL_arg1486z00_1032
																															=
																															CAR
																															(BgL_cdrzd24372zd2_1027);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_4770;
																															BgL_pz00_880 =
																																BgL_arg1484z00_1030;
																															BgL_tz00_881 =
																																BgL_arg1485z00_1031;
																															BgL_oz00_882 =
																																BgL_arg1486z00_1032;
																														BgL_tagzd2137zd2_883:
																															{	/* Eval/evaluate.scm 359 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1111z00_1608;
																																{	/* Eval/evaluate.scm 359 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1110z00_1612;
																																	BgL_new1110z00_1612
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 359 */
																																		long
																																			BgL_arg1976z00_1613;
																																		{	/* Eval/evaluate.scm 359 */
																																			long
																																				BgL_res2385z00_2575;
																																			{	/* Eval/evaluate.scm 359 */
																																				obj_t
																																					BgL_classz00_2572;
																																				BgL_classz00_2572
																																					=
																																					BGl_ev_ifz00zz__evaluate_typesz00;
																																				{	/* Eval/evaluate.scm 359 */
																																					obj_t
																																						BgL_vectorz00_2573;
																																					int
																																						BgL_kz00_2574;
																																					BgL_vectorz00_2573
																																						=
																																						BgL_classz00_2572;
																																					BgL_kz00_2574
																																						=
																																						(int)
																																						(((long) 1));
																																					BgL_res2385z00_2575
																																						=
																																						(long)
																																						CINT
																																						(VECTOR_REF
																																						(BgL_vectorz00_2573,
																																							BgL_kz00_2574));
																																			}}
																																			BgL_arg1976z00_1613
																																				=
																																				BgL_res2385z00_2575;
																																		}
																																		{	/* Eval/evaluate.scm 359 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_2576;
																																			BgL_objz00_2576
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1110z00_1612);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_2576,
																																				BgL_arg1976z00_1613);
																																	}}
																																	{	/* Eval/evaluate.scm 359 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_4777;
																																		BgL_auxz00_4777
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1110z00_1612);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_4777,
																																			BFALSE);
																																	}
																																	BgL_new1111z00_1608
																																		=
																																		BgL_new1110z00_1612;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4780;
																																	{	/* Eval/evaluate.scm 360 */
																																		obj_t
																																			BgL_arg1973z00_1609;
																																		{	/* Eval/evaluate.scm 360 */
																																			obj_t
																																				BgL__ortest_1066z00_2580;
																																			BgL__ortest_1066z00_2580
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_880);
																																			if (CBOOL
																																				(BgL__ortest_1066z00_2580))
																																				{	/* Eval/evaluate.scm 360 */
																																					BgL_arg1973z00_1609
																																						=
																																						BgL__ortest_1066z00_2580;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 360 */
																																					BgL_arg1973z00_1609
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4780
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_880,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BFALSE,
																																				BgL_wherez00_53,
																																				BgL_arg1973z00_1609,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1608))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4780), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4787;
																																	{	/* Eval/evaluate.scm 361 */
																																		obj_t
																																			BgL_arg1974z00_1610;
																																		{	/* Eval/evaluate.scm 361 */
																																			obj_t
																																				BgL__ortest_1066z00_2585;
																																			BgL__ortest_1066z00_2585
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_881);
																																			if (CBOOL
																																				(BgL__ortest_1066z00_2585))
																																				{	/* Eval/evaluate.scm 361 */
																																					BgL_arg1974z00_1610
																																						=
																																						BgL__ortest_1066z00_2585;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 361 */
																																					BgL_arg1974z00_1610
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4787
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_881,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1974z00_1610,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1608))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4787), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4794;
																																	{	/* Eval/evaluate.scm 362 */
																																		obj_t
																																			BgL_arg1975z00_1611;
																																		{	/* Eval/evaluate.scm 362 */
																																			obj_t
																																				BgL__ortest_1066z00_2590;
																																			BgL__ortest_1066z00_2590
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_882);
																																			if (CBOOL
																																				(BgL__ortest_1066z00_2590))
																																				{	/* Eval/evaluate.scm 362 */
																																					BgL_arg1975z00_1611
																																						=
																																						BgL__ortest_1066z00_2590;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 362 */
																																					BgL_arg1975z00_1611
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4794
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_882,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1975z00_1611,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1608))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4794), BUNSPEC);
																																}
																																BgL_auxz00_4770
																																	=
																																	BgL_new1111z00_1608;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4770);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1487z00_1033;
																														obj_t
																															BgL_arg1488z00_1034;
																														BgL_arg1487z00_1033
																															=
																															CAR(BgL_ez00_49);
																														BgL_arg1488z00_1034
																															=
																															CDR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_4804;
																															{
																																obj_t
																																	BgL_argsz00_4806;
																																obj_t
																																	BgL_fz00_4805;
																																BgL_fz00_4805 =
																																	BgL_arg1487z00_1033;
																																BgL_argsz00_4806
																																	=
																																	BgL_arg1488z00_1034;
																																BgL_argsz00_933
																																	=
																																	BgL_argsz00_4806;
																																BgL_fz00_932 =
																																	BgL_fz00_4805;
																																goto
																																	BgL_tagzd2155zd2_934;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4804);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd24622zd2_1036;
																												BgL_cdrzd24622zd2_1036 =
																													CDR(BgL_ez00_49);
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_cdrzd24628zd2_1037;
																													BgL_cdrzd24628zd2_1037
																														=
																														CDR
																														(BgL_cdrzd24622zd2_1036);
																													if (NULLP(CDR
																															(BgL_cdrzd24628zd2_1037)))
																														{	/* Eval/evaluate.scm 319 */
																															obj_t
																																BgL_arg1491z00_1039;
																															obj_t
																																BgL_arg1492z00_1040;
																															BgL_arg1491z00_1039
																																=
																																CAR
																																(BgL_cdrzd24622zd2_1036);
																															BgL_arg1492z00_1040
																																=
																																CAR
																																(BgL_cdrzd24628zd2_1037);
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_4815;
																																BgL_pz00_884 =
																																	BgL_arg1491z00_1039;
																																BgL_tz00_885 =
																																	BgL_arg1492z00_1040;
																															BgL_tagzd2138zd2_886:
																																{	/* Eval/evaluate.scm 364 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1113z00_1614;
																																	{	/* Eval/evaluate.scm 364 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1112z00_1618;
																																		BgL_new1112z00_1618
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BREF
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 364 */
																																			long
																																				BgL_arg1980z00_1619;
																																			{	/* Eval/evaluate.scm 364 */
																																				long
																																					BgL_res2386z00_2596;
																																				{	/* Eval/evaluate.scm 364 */
																																					obj_t
																																						BgL_classz00_2593;
																																					BgL_classz00_2593
																																						=
																																						BGl_ev_ifz00zz__evaluate_typesz00;
																																					{	/* Eval/evaluate.scm 364 */
																																						obj_t
																																							BgL_vectorz00_2594;
																																						int
																																							BgL_kz00_2595;
																																						BgL_vectorz00_2594
																																							=
																																							BgL_classz00_2593;
																																						BgL_kz00_2595
																																							=
																																							(int)
																																							(((long) 1));
																																						BgL_res2386z00_2596
																																							=
																																							(long)
																																							CINT
																																							(VECTOR_REF
																																							(BgL_vectorz00_2594,
																																								BgL_kz00_2595));
																																				}}
																																				BgL_arg1980z00_1619
																																					=
																																					BgL_res2386z00_2596;
																																			}
																																			{	/* Eval/evaluate.scm 364 */
																																				BgL_objectz00_bglt
																																					BgL_objz00_2597;
																																				BgL_objz00_2597
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					BgL_new1112z00_1618);
																																				BGL_OBJECT_CLASS_NUM_SET
																																					(BgL_objz00_2597,
																																					BgL_arg1980z00_1619);
																																		}}
																																		{	/* Eval/evaluate.scm 364 */
																																			BgL_objectz00_bglt
																																				BgL_auxz00_4822;
																																			BgL_auxz00_4822
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1112z00_1618);
																																			BGL_OBJECT_WIDENING_SET
																																				(BgL_auxz00_4822,
																																				BFALSE);
																																		}
																																		BgL_new1113z00_1614
																																			=
																																			BgL_new1112z00_1618;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4825;
																																		{	/* Eval/evaluate.scm 365 */
																																			obj_t
																																				BgL_arg1977z00_1615;
																																			{	/* Eval/evaluate.scm 365 */
																																				obj_t
																																					BgL__ortest_1066z00_2601;
																																				BgL__ortest_1066z00_2601
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_884);
																																				if (CBOOL(BgL__ortest_1066z00_2601))
																																					{	/* Eval/evaluate.scm 365 */
																																						BgL_arg1977z00_1615
																																							=
																																							BgL__ortest_1066z00_2601;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 365 */
																																						BgL_arg1977z00_1615
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4825
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_884,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BFALSE,
																																					BgL_wherez00_53,
																																					BgL_arg1977z00_1615,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1113z00_1614))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4825), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4832;
																																		{	/* Eval/evaluate.scm 366 */
																																			obj_t
																																				BgL_arg1978z00_1616;
																																			{	/* Eval/evaluate.scm 366 */
																																				obj_t
																																					BgL__ortest_1066z00_2606;
																																				BgL__ortest_1066z00_2606
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_885);
																																				if (CBOOL(BgL__ortest_1066z00_2606))
																																					{	/* Eval/evaluate.scm 366 */
																																						BgL_arg1978z00_1616
																																							=
																																							BgL__ortest_1066z00_2606;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 366 */
																																						BgL_arg1978z00_1616
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4832
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_885,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BgL_tailzf3zf3_52,
																																					BgL_wherez00_53,
																																					BgL_arg1978z00_1616,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1113z00_1614))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4832), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4839;
																																		{	/* Eval/evaluate.scm 367 */
																																			obj_t
																																				BgL_arg1979z00_1617;
																																			{	/* Eval/evaluate.scm 367 */
																																				obj_t
																																					BgL__ortest_1066z00_2611;
																																				BgL__ortest_1066z00_2611
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1066z00_2611))
																																					{	/* Eval/evaluate.scm 367 */
																																						BgL_arg1979z00_1617
																																							=
																																							BgL__ortest_1066z00_2611;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 367 */
																																						BgL_arg1979z00_1617
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4839
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_49,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BgL_tailzf3zf3_52,
																																					BgL_wherez00_53,
																																					BgL_arg1979z00_1617,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1113z00_1614))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4839), BUNSPEC);
																																	}
																																	BgL_auxz00_4815
																																		=
																																		BgL_new1113z00_1614;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_4815);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 319 */
																															obj_t
																																BgL_arg1493z00_1041;
																															BgL_arg1493z00_1041
																																=
																																CAR
																																(BgL_ez00_49);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_4848;
																																{
																																	obj_t
																																		BgL_argsz00_4850;
																																	obj_t
																																		BgL_fz00_4849;
																																	BgL_fz00_4849
																																		=
																																		BgL_arg1493z00_1041;
																																	BgL_argsz00_4850
																																		=
																																		BgL_cdrzd24622zd2_1036;
																																	BgL_argsz00_933
																																		=
																																		BgL_argsz00_4850;
																																	BgL_fz00_932 =
																																		BgL_fz00_4849;
																																	goto
																																		BgL_tagzd2155zd2_934;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_4848);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1498z00_1044;
																										obj_t BgL_arg1499z00_1045;

																										BgL_arg1498z00_1044 =
																											CAR(BgL_ez00_49);
																										BgL_arg1499z00_1045 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_4854;
																											{
																												obj_t BgL_argsz00_4856;
																												obj_t BgL_fz00_4855;

																												BgL_fz00_4855 =
																													BgL_arg1498z00_1044;
																												BgL_argsz00_4856 =
																													BgL_arg1499z00_1045;
																												BgL_argsz00_933 =
																													BgL_argsz00_4856;
																												BgL_fz00_932 =
																													BgL_fz00_4855;
																												goto
																													BgL_tagzd2155zd2_934;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4854);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1500z00_1046;
																								obj_t BgL_arg1501z00_1047;

																								BgL_arg1500z00_1046 =
																									CAR(BgL_ez00_49);
																								BgL_arg1501z00_1047 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4860;
																									{
																										obj_t BgL_argsz00_4862;
																										obj_t BgL_fz00_4861;

																										BgL_fz00_4861 =
																											BgL_arg1500z00_1046;
																										BgL_argsz00_4862 =
																											BgL_arg1501z00_1047;
																										BgL_argsz00_933 =
																											BgL_argsz00_4862;
																										BgL_fz00_932 =
																											BgL_fz00_4861;
																										goto BgL_tagzd2155zd2_934;
																									}
																									return
																										((obj_t) BgL_auxz00_4860);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2639z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1503z00_1049;

																								BgL_arg1503z00_1049 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_orz00_bglt
																										BgL_auxz00_4868;
																									BgL_argsz00_887 =
																										BgL_arg1503z00_1049;
																								BgL_tagzd2139zd2_888:
																									{	/* Eval/evaluate.scm 369 */
																										BgL_ev_orz00_bglt
																											BgL_new1115z00_1620;
																										{	/* Eval/evaluate.scm 369 */
																											BgL_ev_orz00_bglt
																												BgL_new1114z00_1621;
																											BgL_new1114z00_1621 =
																												((BgL_ev_orz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_orz00_bgl))));
																											{	/* Eval/evaluate.scm 369 */
																												long
																													BgL_arg1981z00_1622;
																												{	/* Eval/evaluate.scm 369 */
																													long
																														BgL_res2387z00_2617;
																													{	/* Eval/evaluate.scm 369 */
																														obj_t
																															BgL_classz00_2614;
																														BgL_classz00_2614 =
																															BGl_ev_orz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 369 */
																															obj_t
																																BgL_vectorz00_2615;
																															int BgL_kz00_2616;

																															BgL_vectorz00_2615
																																=
																																BgL_classz00_2614;
																															BgL_kz00_2616 =
																																(int) (((long)
																																	1));
																															BgL_res2387z00_2617
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2615,
																																	BgL_kz00_2616));
																													}}
																													BgL_arg1981z00_1622 =
																														BgL_res2387z00_2617;
																												}
																												{	/* Eval/evaluate.scm 369 */
																													BgL_objectz00_bglt
																														BgL_objz00_2618;
																													BgL_objz00_2618 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1114z00_1621);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2618,
																														BgL_arg1981z00_1622);
																											}}
																											{	/* Eval/evaluate.scm 369 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4875;
																												BgL_auxz00_4875 =
																													((BgL_objectz00_bglt)
																													BgL_new1114z00_1621);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4875,
																													BFALSE);
																											}
																											BgL_new1115z00_1620 =
																												BgL_new1114z00_1621;
																										}
																										((((BgL_ev_listz00_bglt)
																													CREF((
																															(BgL_ev_listz00_bglt)
																															BgL_new1115z00_1620)))->
																												BgL_argsz00) =
																											((obj_t)
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_53,
																													BgL_globalsz00_51,
																													BgL_localsz00_50,
																													BgL_locz00_54,
																													BgL_argsz00_887)),
																											BUNSPEC);
																										BgL_auxz00_4868 =
																											BgL_new1115z00_1620;
																									}
																									return
																										((obj_t) BgL_auxz00_4868);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2641z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1505z00_1051;

																										BgL_arg1505z00_1051 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_andz00_bglt
																												BgL_auxz00_4886;
																											BgL_argsz00_889 =
																												BgL_arg1505z00_1051;
																										BgL_tagzd2140zd2_890:
																											{	/* Eval/evaluate.scm 372 */
																												BgL_ev_andz00_bglt
																													BgL_new1117z00_1623;
																												{	/* Eval/evaluate.scm 372 */
																													BgL_ev_andz00_bglt
																														BgL_new1116z00_1624;
																													BgL_new1116z00_1624 =
																														(
																														(BgL_ev_andz00_bglt)
																														BREF(GC_MALLOC
																															(sizeof(struct
																																	BgL_ev_andz00_bgl))));
																													{	/* Eval/evaluate.scm 372 */
																														long
																															BgL_arg1982z00_1625;
																														{	/* Eval/evaluate.scm 372 */
																															long
																																BgL_res2388z00_2623;
																															{	/* Eval/evaluate.scm 372 */
																																obj_t
																																	BgL_classz00_2620;
																																BgL_classz00_2620
																																	=
																																	BGl_ev_andz00zz__evaluate_typesz00;
																																{	/* Eval/evaluate.scm 372 */
																																	obj_t
																																		BgL_vectorz00_2621;
																																	int
																																		BgL_kz00_2622;
																																	BgL_vectorz00_2621
																																		=
																																		BgL_classz00_2620;
																																	BgL_kz00_2622
																																		=
																																		(int) ((
																																			(long)
																																			1));
																																	BgL_res2388z00_2623
																																		=
																																		(long)
																																		CINT
																																		(VECTOR_REF
																																		(BgL_vectorz00_2621,
																																			BgL_kz00_2622));
																															}}
																															BgL_arg1982z00_1625
																																=
																																BgL_res2388z00_2623;
																														}
																														{	/* Eval/evaluate.scm 372 */
																															BgL_objectz00_bglt
																																BgL_objz00_2624;
																															BgL_objz00_2624 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1116z00_1624);
																															BGL_OBJECT_CLASS_NUM_SET
																																(BgL_objz00_2624,
																																BgL_arg1982z00_1625);
																													}}
																													{	/* Eval/evaluate.scm 372 */
																														BgL_objectz00_bglt
																															BgL_auxz00_4893;
																														BgL_auxz00_4893 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1116z00_1624);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_auxz00_4893,
																															BFALSE);
																													}
																													BgL_new1117z00_1623 =
																														BgL_new1116z00_1624;
																												}
																												((((BgL_ev_listz00_bglt)
																															CREF((
																																	(BgL_ev_listz00_bglt)
																																	BgL_new1117z00_1623)))->
																														BgL_argsz00) =
																													((obj_t)
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_53,
																															BgL_globalsz00_51,
																															BgL_localsz00_50,
																															BgL_locz00_54,
																															BgL_argsz00_889)),
																													BUNSPEC);
																												BgL_auxz00_4886 =
																													BgL_new1117z00_1623;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4886);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										if (
																											(CAR(BgL_ez00_49) ==
																												BGl_symbol2643z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_49),
																													BgL_localsz00_50,
																													BgL_globalsz00_51,
																													BgL_tailzf3zf3_52,
																													BgL_wherez00_53,
																													BgL_locz00_54,
																													BgL_topzf3zf3_55);
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd25372zd2_1054;
																												BgL_cdrzd25372zd2_1054 =
																													CDR(BgL_ez00_49);
																												if ((CAR(BgL_ez00_49) ==
																														BGl_symbol2645z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd25372zd2_1054))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1510z00_1057;
																																obj_t
																																	BgL_arg1513z00_1058;
																																BgL_arg1510z00_1057
																																	=
																																	CAR
																																	(BgL_cdrzd25372zd2_1054);
																																BgL_arg1513z00_1058
																																	=
																																	CDR
																																	(BgL_cdrzd25372zd2_1054);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_4913;
																																	BgL_bindsz00_893
																																		=
																																		BgL_arg1510z00_1057;
																																	BgL_bodyz00_894
																																		=
																																		BgL_arg1513z00_1058;
																																BgL_tagzd2142zd2_895:
																																	{	/* Eval/evaluate.scm 377 */
																																		obj_t
																																			BgL_varsz00_1626;
																																		if (NULLP
																																			(BgL_bindsz00_893))
																																			{	/* Eval/evaluate.scm 377 */
																																				BgL_varsz00_1626
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 377 */
																																				obj_t
																																					BgL_head1189z00_1647;
																																				{	/* Eval/evaluate.scm 377 */
																																					obj_t
																																						BgL_res2390z00_2630;
																																					BgL_res2390z00_2630
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1189z00_1647
																																						=
																																						BgL_res2390z00_2630;
																																				}
																																				{
																																					obj_t
																																						BgL_l1187z00_1649;
																																					obj_t
																																						BgL_tail1190z00_1650;
																																					BgL_l1187z00_1649
																																						=
																																						BgL_bindsz00_893;
																																					BgL_tail1190z00_1650
																																						=
																																						BgL_head1189z00_1647;
																																				BgL_zc3anonymousza31992ze3z83_1651:
																																					if (NULLP(BgL_l1187z00_1649))
																																						{	/* Eval/evaluate.scm 377 */
																																							BgL_varsz00_1626
																																								=
																																								CDR
																																								(BgL_head1189z00_1647);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 377 */
																																							obj_t
																																								BgL_newtail1191z00_1653;
																																							{	/* Eval/evaluate.scm 377 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg1996z00_1655;
																																								{	/* Eval/evaluate.scm 377 */
																																									obj_t
																																										BgL_bz00_1656;
																																									BgL_bz00_1656
																																										=
																																										CAR
																																										(BgL_l1187z00_1649);
																																									{	/* Eval/evaluate.scm 378 */
																																										obj_t
																																											BgL_iz00_1657;
																																										BgL_iz00_1657
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(CAR
																																											(BgL_bz00_1656));
																																										{	/* Eval/evaluate.scm 379 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1119z00_1658;
																																											{	/* Eval/evaluate.scm 379 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1118z00_1659;
																																												BgL_new1118z00_1659
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 379 */
																																													long
																																														BgL_arg1997z00_1660;
																																													{	/* Eval/evaluate.scm 379 */
																																														long
																																															BgL_res2392z00_2639;
																																														{	/* Eval/evaluate.scm 379 */
																																															obj_t
																																																BgL_classz00_2636;
																																															BgL_classz00_2636
																																																=
																																																BGl_ev_varz00zz__evaluate_typesz00;
																																															{	/* Eval/evaluate.scm 379 */
																																																obj_t
																																																	BgL_vectorz00_2637;
																																																int
																																																	BgL_kz00_2638;
																																																BgL_vectorz00_2637
																																																	=
																																																	BgL_classz00_2636;
																																																BgL_kz00_2638
																																																	=
																																																	(int)
																																																	(
																																																	((long) 1));
																																																BgL_res2392z00_2639
																																																	=
																																																	(long)
																																																	CINT
																																																	(VECTOR_REF
																																																	(BgL_vectorz00_2637,
																																																		BgL_kz00_2638));
																																														}}
																																														BgL_arg1997z00_1660
																																															=
																																															BgL_res2392z00_2639;
																																													}
																																													{	/* Eval/evaluate.scm 379 */
																																														BgL_objectz00_bglt
																																															BgL_objz00_2640;
																																														BgL_objz00_2640
																																															=
																																															(
																																															(BgL_objectz00_bglt)
																																															BgL_new1118z00_1659);
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(BgL_objz00_2640,
																																															BgL_arg1997z00_1660);
																																												}}
																																												{	/* Eval/evaluate.scm 379 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_4929;
																																													BgL_auxz00_4929
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1118z00_1659);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_4929,
																																														BFALSE);
																																												}
																																												BgL_new1119z00_1658
																																													=
																																													BgL_new1118z00_1659;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1119z00_1658))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1657)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1119z00_1658))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1119z00_1658))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1657)), BUNSPEC);
																																											BgL_arg1996z00_1655
																																												=
																																												BgL_new1119z00_1658;
																																								}}}
																																								{	/* Eval/evaluate.scm 377 */
																																									obj_t
																																										BgL_res2393z00_2646;
																																									{	/* Eval/evaluate.scm 377 */
																																										obj_t
																																											BgL_obj1z00_2644;
																																										BgL_obj1z00_2644
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg1996z00_1655);
																																										BgL_res2393z00_2646
																																											=
																																											MAKE_PAIR
																																											(BgL_obj1z00_2644,
																																											BNIL);
																																									}
																																									BgL_newtail1191z00_1653
																																										=
																																										BgL_res2393z00_2646;
																																							}}
																																							SET_CDR
																																								(BgL_tail1190z00_1650,
																																								BgL_newtail1191z00_1653);
																																							{
																																								obj_t
																																									BgL_tail1190z00_4942;
																																								obj_t
																																									BgL_l1187z00_4940;
																																								BgL_l1187z00_4940
																																									=
																																									CDR
																																									(BgL_l1187z00_1649);
																																								BgL_tail1190z00_4942
																																									=
																																									BgL_newtail1191z00_1653;
																																								BgL_tail1190z00_1650
																																									=
																																									BgL_tail1190z00_4942;
																																								BgL_l1187z00_1649
																																									=
																																									BgL_l1187z00_4940;
																																								goto
																																									BgL_zc3anonymousza31992ze3z83_1651;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 383 */
																																			BgL_ev_letz00_bglt
																																				BgL_new1122z00_1627;
																																			{	/* Eval/evaluate.scm 383 */
																																				BgL_ev_letz00_bglt
																																					BgL_new1120z00_1643;
																																				BgL_new1120z00_1643
																																					=
																																					(
																																					(BgL_ev_letz00_bglt)
																																					BREF
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_ev_letz00_bgl))));
																																				{	/* Eval/evaluate.scm 383 */
																																					long
																																						BgL_arg1990z00_1644;
																																					{	/* Eval/evaluate.scm 383 */
																																						long
																																							BgL_res2394z00_2653;
																																						{	/* Eval/evaluate.scm 383 */
																																							obj_t
																																								BgL_classz00_2650;
																																							BgL_classz00_2650
																																								=
																																								BGl_ev_letz00zz__evaluate_typesz00;
																																							{	/* Eval/evaluate.scm 383 */
																																								obj_t
																																									BgL_vectorz00_2651;
																																								int
																																									BgL_kz00_2652;
																																								BgL_vectorz00_2651
																																									=
																																									BgL_classz00_2650;
																																								BgL_kz00_2652
																																									=
																																									(int)
																																									(
																																									((long) 1));
																																								BgL_res2394z00_2653
																																									=
																																									(long)
																																									CINT
																																									(VECTOR_REF
																																									(BgL_vectorz00_2651,
																																										BgL_kz00_2652));
																																						}}
																																						BgL_arg1990z00_1644
																																							=
																																							BgL_res2394z00_2653;
																																					}
																																					{	/* Eval/evaluate.scm 383 */
																																						BgL_objectz00_bglt
																																							BgL_objz00_2654;
																																						BgL_objz00_2654
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							BgL_new1120z00_1643);
																																						BGL_OBJECT_CLASS_NUM_SET
																																							(BgL_objz00_2654,
																																							BgL_arg1990z00_1644);
																																				}}
																																				{	/* Eval/evaluate.scm 383 */
																																					BgL_objectz00_bglt
																																						BgL_auxz00_4949;
																																					BgL_auxz00_4949
																																						=
																																						(
																																						(BgL_objectz00_bglt)
																																						BgL_new1120z00_1643);
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_auxz00_4949,
																																						BFALSE);
																																				}
																																				BgL_new1122z00_1627
																																					=
																																					BgL_new1120z00_1643;
																																			}
																																			((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1122z00_1627)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1626), BUNSPEC);
																																			{
																																				obj_t
																																					BgL_auxz00_4954;
																																				if (NULLP(BgL_bindsz00_893))
																																					{	/* Eval/evaluate.scm 385 */
																																						BgL_auxz00_4954
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 385 */
																																						obj_t
																																							BgL_head1194z00_1630;
																																						{	/* Eval/evaluate.scm 385 */
																																							obj_t
																																								BgL_res2396z00_2660;
																																							BgL_res2396z00_2660
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1194z00_1630
																																								=
																																								BgL_res2396z00_2660;
																																						}
																																						{
																																							obj_t
																																								BgL_l1192z00_2713;
																																							obj_t
																																								BgL_tail1195z00_2714;
																																							BgL_l1192z00_2713
																																								=
																																								BgL_bindsz00_893;
																																							BgL_tail1195z00_2714
																																								=
																																								BgL_head1194z00_1630;
																																						BgL_zc3anonymousza31984ze3z83_2712:
																																							if (NULLP(BgL_l1192z00_2713))
																																								{	/* Eval/evaluate.scm 385 */
																																									BgL_auxz00_4954
																																										=
																																										CDR
																																										(BgL_head1194z00_1630);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 385 */
																																									obj_t
																																										BgL_newtail1196z00_2722;
																																									{	/* Eval/evaluate.scm 385 */
																																										obj_t
																																											BgL_arg1987z00_2723;
																																										{	/* Eval/evaluate.scm 385 */
																																											obj_t
																																												BgL_bz00_2724;
																																											{	/* Eval/evaluate.scm 385 */
																																												obj_t
																																													BgL_pairz00_2730;
																																												BgL_pairz00_2730
																																													=
																																													BgL_l1192z00_2713;
																																												BgL_bz00_2724
																																													=
																																													CAR
																																													(BgL_pairz00_2730);
																																											}
																																											{	/* Eval/evaluate.scm 385 */
																																												obj_t
																																													BgL_arg1988z00_2725;
																																												{	/* Eval/evaluate.scm 385 */
																																													obj_t
																																														BgL_pairz00_2731;
																																													BgL_pairz00_2731
																																														=
																																														BgL_bz00_2724;
																																													{	/* Eval/evaluate.scm 385 */
																																														obj_t
																																															BgL_pairz00_2734;
																																														BgL_pairz00_2734
																																															=
																																															CDR
																																															(BgL_pairz00_2731);
																																														BgL_arg1988z00_2725
																																															=
																																															CAR
																																															(BgL_pairz00_2734);
																																													}
																																												}
																																												{	/* Eval/evaluate.scm 385 */
																																													obj_t
																																														BgL_arg2082z00_2736;
																																													BgL_arg2082z00_2736
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg1988z00_2725,
																																														BgL_locz00_54);
																																													BgL_arg1987z00_2723
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_53,
																																														BgL_globalsz00_51,
																																														BgL_localsz00_50,
																																														BgL_arg1988z00_2725,
																																														BgL_arg2082z00_2736);
																																												}
																																											}
																																										}
																																										{	/* Eval/evaluate.scm 385 */
																																											obj_t
																																												BgL_res2402z00_2739;
																																											BgL_res2402z00_2739
																																												=
																																												MAKE_PAIR
																																												(BgL_arg1987z00_2723,
																																												BNIL);
																																											BgL_newtail1196z00_2722
																																												=
																																												BgL_res2402z00_2739;
																																										}
																																									}
																																									SET_CDR
																																										(BgL_tail1195z00_2714,
																																										BgL_newtail1196z00_2722);
																																									{	/* Eval/evaluate.scm 385 */
																																										obj_t
																																											BgL_arg1986z00_2726;
																																										{	/* Eval/evaluate.scm 385 */
																																											obj_t
																																												BgL_pairz00_2742;
																																											BgL_pairz00_2742
																																												=
																																												BgL_l1192z00_2713;
																																											BgL_arg1986z00_2726
																																												=
																																												CDR
																																												(BgL_pairz00_2742);
																																										}
																																										{
																																											obj_t
																																												BgL_tail1195z00_4971;
																																											obj_t
																																												BgL_l1192z00_4970;
																																											BgL_l1192z00_4970
																																												=
																																												BgL_arg1986z00_2726;
																																											BgL_tail1195z00_4971
																																												=
																																												BgL_newtail1196z00_2722;
																																											BgL_tail1195z00_2714
																																												=
																																												BgL_tail1195z00_4971;
																																											BgL_l1192z00_2713
																																												=
																																												BgL_l1192z00_4970;
																																											goto
																																												BgL_zc3anonymousza31984ze3z83_2712;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1122z00_1627)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4954), BUNSPEC);
																																			}
																																			{
																																				BgL_ev_exprz00_bglt
																																					BgL_auxz00_4973;
																																				{	/* Eval/evaluate.scm 386 */
																																					obj_t
																																						BgL_arg1989z00_1642;
																																					BgL_arg1989z00_1642
																																						=
																																						BGl_appendzd221011zd2zz__evaluatez00
																																						(BgL_varsz00_1626,
																																						BgL_localsz00_50);
																																					BgL_auxz00_4973
																																						=
																																						(
																																						(BgL_ev_exprz00_bglt)
																																						BGl_convzd2beginzd2zz__evaluatez00
																																						(BgL_bodyz00_894,
																																							BgL_arg1989z00_1642,
																																							BgL_globalsz00_51,
																																							BgL_tailzf3zf3_52,
																																							BgL_wherez00_53,
																																							BgL_locz00_54,
																																							((bool_t) 0)));
																																				}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1122z00_1627)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4973), BUNSPEC);
																																			}
																																			((((BgL_ev_letz00_bglt) CREF(BgL_new1122z00_1627))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																			BgL_auxz00_4913
																																				=
																																				BgL_new1122z00_1627;
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4913);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1516z00_1059;
																																BgL_arg1516z00_1059
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_4982;
																																	{
																																		obj_t
																																			BgL_argsz00_4984;
																																		obj_t
																																			BgL_fz00_4983;
																																		BgL_fz00_4983
																																			=
																																			BgL_arg1516z00_1059;
																																		BgL_argsz00_4984
																																			=
																																			BgL_cdrzd25372zd2_1054;
																																		BgL_argsz00_933
																																			=
																																			BgL_argsz00_4984;
																																		BgL_fz00_932
																																			=
																																			BgL_fz00_4983;
																																		goto
																																			BgL_tagzd2155zd2_934;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4982);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														if (
																															(CAR(BgL_ez00_49)
																																==
																																BGl_symbol2647z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd25372zd2_1054))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1520z00_1064;
																																		obj_t
																																			BgL_arg1521z00_1065;
																																		BgL_arg1520z00_1064
																																			=
																																			CAR
																																			(BgL_cdrzd25372zd2_1054);
																																		BgL_arg1521z00_1065
																																			=
																																			CDR
																																			(BgL_cdrzd25372zd2_1054);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_4993;
																																			BgL_bindsz00_896
																																				=
																																				BgL_arg1520z00_1064;
																																			BgL_bodyz00_897
																																				=
																																				BgL_arg1521z00_1065;
																																		BgL_tagzd2143zd2_898:
																																			{	/* Eval/evaluate.scm 394 */
																																				obj_t
																																					BgL_varsz00_1664;
																																				obj_t
																																					BgL_blocz00_1665;
																																				if (NULLP(BgL_bindsz00_896))
																																					{	/* Eval/evaluate.scm 394 */
																																						BgL_varsz00_1664
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 394 */
																																						obj_t
																																							BgL_head1199z00_1673;
																																						{	/* Eval/evaluate.scm 394 */
																																							obj_t
																																								BgL_res2406z00_2797;
																																							BgL_res2406z00_2797
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1199z00_1673
																																								=
																																								BgL_res2406z00_2797;
																																						}
																																						{
																																							obj_t
																																								BgL_l1197z00_1675;
																																							obj_t
																																								BgL_tail1200z00_1676;
																																							BgL_l1197z00_1675
																																								=
																																								BgL_bindsz00_896;
																																							BgL_tail1200z00_1676
																																								=
																																								BgL_head1199z00_1673;
																																						BgL_zc3anonymousza32004ze3z83_1677:
																																							if (NULLP(BgL_l1197z00_1675))
																																								{	/* Eval/evaluate.scm 394 */
																																									BgL_varsz00_1664
																																										=
																																										CDR
																																										(BgL_head1199z00_1673);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 394 */
																																									obj_t
																																										BgL_newtail1201z00_1679;
																																									{	/* Eval/evaluate.scm 394 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2007z00_1681;
																																										{	/* Eval/evaluate.scm 394 */
																																											obj_t
																																												BgL_bz00_1682;
																																											BgL_bz00_1682
																																												=
																																												CAR
																																												(BgL_l1197z00_1675);
																																											{	/* Eval/evaluate.scm 395 */
																																												obj_t
																																													BgL_iz00_1683;
																																												BgL_iz00_1683
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_1682));
																																												{	/* Eval/evaluate.scm 396 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1125z00_1684;
																																													{	/* Eval/evaluate.scm 396 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1123z00_1685;
																																														BgL_new1123z00_1685
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 396 */
																																															long
																																																BgL_arg2008z00_1686;
																																															{	/* Eval/evaluate.scm 396 */
																																																long
																																																	BgL_res2408z00_2806;
																																																{	/* Eval/evaluate.scm 396 */
																																																	obj_t
																																																		BgL_classz00_2803;
																																																	BgL_classz00_2803
																																																		=
																																																		BGl_ev_varz00zz__evaluate_typesz00;
																																																	{	/* Eval/evaluate.scm 396 */
																																																		obj_t
																																																			BgL_vectorz00_2804;
																																																		int
																																																			BgL_kz00_2805;
																																																		BgL_vectorz00_2804
																																																			=
																																																			BgL_classz00_2803;
																																																		BgL_kz00_2805
																																																			=
																																																			(int)
																																																			(
																																																			((long) 1));
																																																		BgL_res2408z00_2806
																																																			=
																																																			(long)
																																																			CINT
																																																			(VECTOR_REF
																																																			(BgL_vectorz00_2804,
																																																				BgL_kz00_2805));
																																																}}
																																																BgL_arg2008z00_1686
																																																	=
																																																	BgL_res2408z00_2806;
																																															}
																																															{	/* Eval/evaluate.scm 396 */
																																																BgL_objectz00_bglt
																																																	BgL_objz00_2807;
																																																BgL_objz00_2807
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1123z00_1685);
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(BgL_objz00_2807,
																																																	BgL_arg2008z00_1686);
																																														}}
																																														{	/* Eval/evaluate.scm 396 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_5009;
																																															BgL_auxz00_5009
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1123z00_1685);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_5009,
																																																BFALSE);
																																														}
																																														BgL_new1125z00_1684
																																															=
																																															BgL_new1123z00_1685;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1125z00_1684))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1683)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1125z00_1684))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1125z00_1684))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1683)), BUNSPEC);
																																													BgL_arg2007z00_1681
																																														=
																																														BgL_new1125z00_1684;
																																										}}}
																																										{	/* Eval/evaluate.scm 394 */
																																											obj_t
																																												BgL_res2409z00_2813;
																																											{	/* Eval/evaluate.scm 394 */
																																												obj_t
																																													BgL_obj1z00_2811;
																																												BgL_obj1z00_2811
																																													=
																																													(
																																													(obj_t)
																																													BgL_arg2007z00_1681);
																																												BgL_res2409z00_2813
																																													=
																																													MAKE_PAIR
																																													(BgL_obj1z00_2811,
																																													BNIL);
																																											}
																																											BgL_newtail1201z00_1679
																																												=
																																												BgL_res2409z00_2813;
																																									}}
																																									SET_CDR
																																										(BgL_tail1200z00_1676,
																																										BgL_newtail1201z00_1679);
																																									{
																																										obj_t
																																											BgL_tail1200z00_5022;
																																										obj_t
																																											BgL_l1197z00_5020;
																																										BgL_l1197z00_5020
																																											=
																																											CDR
																																											(BgL_l1197z00_1675);
																																										BgL_tail1200z00_5022
																																											=
																																											BgL_newtail1201z00_1679;
																																										BgL_tail1200z00_1676
																																											=
																																											BgL_tail1200z00_5022;
																																										BgL_l1197z00_1675
																																											=
																																											BgL_l1197z00_5020;
																																										goto
																																											BgL_zc3anonymousza32004ze3z83_1677;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 400 */
																																					obj_t
																																						BgL__ortest_1066z00_2819;
																																					BgL__ortest_1066z00_2819
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_896);
																																					if (CBOOL(BgL__ortest_1066z00_2819))
																																						{	/* Eval/evaluate.scm 400 */
																																							BgL_blocz00_1665
																																								=
																																								BgL__ortest_1066z00_2819;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 400 */
																																							BgL_blocz00_1665
																																								=
																																								BgL_locz00_54;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 401 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1127z00_1666;
																																					{	/* Eval/evaluate.scm 401 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1126z00_1669;
																																						BgL_new1126z00_1669
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 401 */
																																							long
																																								BgL_arg2002z00_1670;
																																							{	/* Eval/evaluate.scm 401 */
																																								long
																																									BgL_res2410z00_2823;
																																								{	/* Eval/evaluate.scm 401 */
																																									obj_t
																																										BgL_classz00_2820;
																																									BgL_classz00_2820
																																										=
																																										BGl_ev_letza2za2zz__evaluate_typesz00;
																																									{	/* Eval/evaluate.scm 401 */
																																										obj_t
																																											BgL_vectorz00_2821;
																																										int
																																											BgL_kz00_2822;
																																										BgL_vectorz00_2821
																																											=
																																											BgL_classz00_2820;
																																										BgL_kz00_2822
																																											=
																																											(int)
																																											(
																																											((long) 1));
																																										BgL_res2410z00_2823
																																											=
																																											(long)
																																											CINT
																																											(VECTOR_REF
																																											(BgL_vectorz00_2821,
																																												BgL_kz00_2822));
																																								}}
																																								BgL_arg2002z00_1670
																																									=
																																									BgL_res2410z00_2823;
																																							}
																																							{	/* Eval/evaluate.scm 401 */
																																								BgL_objectz00_bglt
																																									BgL_objz00_2824;
																																								BgL_objz00_2824
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_new1126z00_1669);
																																								BGL_OBJECT_CLASS_NUM_SET
																																									(BgL_objz00_2824,
																																									BgL_arg2002z00_1670);
																																						}}
																																						{	/* Eval/evaluate.scm 401 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_5032;
																																							BgL_auxz00_5032
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1126z00_1669);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_5032,
																																								BFALSE);
																																						}
																																						BgL_new1127z00_1666
																																							=
																																							BgL_new1126z00_1669;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1127z00_1666)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1664), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1127z00_1666)))->BgL_valsz00) = ((obj_t) BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_53, BgL_globalsz00_51, BgL_bindsz00_896, BgL_varsz00_1664, BgL_localsz00_50, BgL_blocz00_1665)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_5040;
																																						{	/* Eval/evaluate.scm 404 */
																																							obj_t
																																								BgL_arg2000z00_1667;
																																							{	/* Eval/evaluate.scm 404 */
																																								obj_t
																																									BgL_arg2001z00_1668;
																																								BgL_arg2001z00_1668
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_1664);
																																								BgL_arg2000z00_1667
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2001z00_1668,
																																									BgL_localsz00_50);
																																							}
																																							BgL_auxz00_5040
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_897,
																																									BgL_arg2000z00_1667,
																																									BgL_globalsz00_51,
																																									BgL_tailzf3zf3_52,
																																									BgL_wherez00_53,
																																									BgL_locz00_54,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1127z00_1666)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5040), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1127z00_1666))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_4993
																																						=
																																						BgL_new1127z00_1666;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4993);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1522z00_1066;
																																		obj_t
																																			BgL_arg1523z00_1067;
																																		BgL_arg1522z00_1066
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		BgL_arg1523z00_1067
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5051;
																																			{
																																				obj_t
																																					BgL_argsz00_5053;
																																				obj_t
																																					BgL_fz00_5052;
																																				BgL_fz00_5052
																																					=
																																					BgL_arg1522z00_1066;
																																				BgL_argsz00_5053
																																					=
																																					BgL_arg1523z00_1067;
																																				BgL_argsz00_933
																																					=
																																					BgL_argsz00_5053;
																																				BgL_fz00_932
																																					=
																																					BgL_fz00_5052;
																																				goto
																																					BgL_tagzd2155zd2_934;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5051);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_cdrzd25688zd2_1068;
																																BgL_cdrzd25688zd2_1068
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																if ((CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2649z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd25688zd2_1068))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1526z00_1071;
																																				obj_t
																																					BgL_arg1527z00_1072;
																																				BgL_arg1526z00_1071
																																					=
																																					CAR
																																					(BgL_cdrzd25688zd2_1068);
																																				BgL_arg1527z00_1072
																																					=
																																					CDR
																																					(BgL_cdrzd25688zd2_1068);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_5063;
																																					BgL_bindsz00_899
																																						=
																																						BgL_arg1526z00_1071;
																																					BgL_bodyz00_900
																																						=
																																						BgL_arg1527z00_1072;
																																				BgL_tagzd2144zd2_901:
																																					{	/* Eval/evaluate.scm 406 */
																																						obj_t
																																							BgL_varsz00_1704;
																																						if (NULLP(BgL_bindsz00_899))
																																							{	/* Eval/evaluate.scm 406 */
																																								BgL_varsz00_1704
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 406 */
																																								obj_t
																																									BgL_head1204z00_1732;
																																								{	/* Eval/evaluate.scm 406 */
																																									obj_t
																																										BgL_res2413z00_2867;
																																									BgL_res2413z00_2867
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1204z00_1732
																																										=
																																										BgL_res2413z00_2867;
																																								}
																																								{
																																									obj_t
																																										BgL_l1202z00_1734;
																																									obj_t
																																										BgL_tail1205z00_1735;
																																									BgL_l1202z00_1734
																																										=
																																										BgL_bindsz00_899;
																																									BgL_tail1205z00_1735
																																										=
																																										BgL_head1204z00_1732;
																																								BgL_zc3anonymousza32038ze3z83_1736:
																																									if (NULLP(BgL_l1202z00_1734))
																																										{	/* Eval/evaluate.scm 406 */
																																											BgL_varsz00_1704
																																												=
																																												CDR
																																												(BgL_head1204z00_1732);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 406 */
																																											obj_t
																																												BgL_newtail1206z00_1738;
																																											{	/* Eval/evaluate.scm 406 */
																																												BgL_ev_varz00_bglt
																																													BgL_arg2042z00_1740;
																																												{	/* Eval/evaluate.scm 406 */
																																													obj_t
																																														BgL_bz00_1741;
																																													BgL_bz00_1741
																																														=
																																														CAR
																																														(BgL_l1202z00_1734);
																																													{	/* Eval/evaluate.scm 407 */
																																														obj_t
																																															BgL_iz00_1742;
																																														BgL_iz00_1742
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(CAR
																																															(BgL_bz00_1741));
																																														{	/* Eval/evaluate.scm 408 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1129z00_1743;
																																															{	/* Eval/evaluate.scm 408 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1128z00_1744;
																																																BgL_new1128z00_1744
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 408 */
																																																	long
																																																		BgL_arg2043z00_1745;
																																																	{	/* Eval/evaluate.scm 408 */
																																																		long
																																																			BgL_res2415z00_2876;
																																																		{	/* Eval/evaluate.scm 408 */
																																																			obj_t
																																																				BgL_classz00_2873;
																																																			BgL_classz00_2873
																																																				=
																																																				BGl_ev_varz00zz__evaluate_typesz00;
																																																			{	/* Eval/evaluate.scm 408 */
																																																				obj_t
																																																					BgL_vectorz00_2874;
																																																				int
																																																					BgL_kz00_2875;
																																																				BgL_vectorz00_2874
																																																					=
																																																					BgL_classz00_2873;
																																																				BgL_kz00_2875
																																																					=
																																																					(int)
																																																					(
																																																					((long) 1));
																																																				BgL_res2415z00_2876
																																																					=
																																																					(long)
																																																					CINT
																																																					(VECTOR_REF
																																																					(BgL_vectorz00_2874,
																																																						BgL_kz00_2875));
																																																		}}
																																																		BgL_arg2043z00_1745
																																																			=
																																																			BgL_res2415z00_2876;
																																																	}
																																																	{	/* Eval/evaluate.scm 408 */
																																																		BgL_objectz00_bglt
																																																			BgL_objz00_2877;
																																																		BgL_objz00_2877
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1128z00_1744);
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(BgL_objz00_2877,
																																																			BgL_arg2043z00_1745);
																																																}}
																																																{	/* Eval/evaluate.scm 408 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_5079;
																																																	BgL_auxz00_5079
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1128z00_1744);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_5079,
																																																		BFALSE);
																																																}
																																																BgL_new1129z00_1743
																																																	=
																																																	BgL_new1128z00_1744;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1129z00_1743))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1742)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1129z00_1743))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1129z00_1743))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1742)), BUNSPEC);
																																															BgL_arg2042z00_1740
																																																=
																																																BgL_new1129z00_1743;
																																												}}}
																																												{	/* Eval/evaluate.scm 406 */
																																													obj_t
																																														BgL_res2416z00_2883;
																																													{	/* Eval/evaluate.scm 406 */
																																														obj_t
																																															BgL_obj1z00_2881;
																																														BgL_obj1z00_2881
																																															=
																																															(
																																															(obj_t)
																																															BgL_arg2042z00_1740);
																																														BgL_res2416z00_2883
																																															=
																																															MAKE_PAIR
																																															(BgL_obj1z00_2881,
																																															BNIL);
																																													}
																																													BgL_newtail1206z00_1738
																																														=
																																														BgL_res2416z00_2883;
																																											}}
																																											SET_CDR
																																												(BgL_tail1205z00_1735,
																																												BgL_newtail1206z00_1738);
																																											{
																																												obj_t
																																													BgL_tail1205z00_5092;
																																												obj_t
																																													BgL_l1202z00_5090;
																																												BgL_l1202z00_5090
																																													=
																																													CDR
																																													(BgL_l1202z00_1734);
																																												BgL_tail1205z00_5092
																																													=
																																													BgL_newtail1206z00_1738;
																																												BgL_tail1205z00_1735
																																													=
																																													BgL_tail1205z00_5092;
																																												BgL_l1202z00_1734
																																													=
																																													BgL_l1202z00_5090;
																																												goto
																																													BgL_zc3anonymousza32038ze3z83_1736;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 406 */
																																							obj_t
																																								BgL_localsz00_1705;
																																							BgL_localsz00_1705
																																								=
																																								BGl_appendzd221011zd2zz__evaluatez00
																																								(BgL_varsz00_1704,
																																								BgL_localsz00_50);
																																							{	/* Eval/evaluate.scm 412 */
																																								obj_t
																																									BgL_blocz00_1706;
																																								{	/* Eval/evaluate.scm 413 */
																																									obj_t
																																										BgL__ortest_1066z00_2889;
																																									BgL__ortest_1066z00_2889
																																										=
																																										BGl_getzd2sourcezd2locationz00zz__readerz00
																																										(BgL_bindsz00_899);
																																									if (CBOOL(BgL__ortest_1066z00_2889))
																																										{	/* Eval/evaluate.scm 413 */
																																											BgL_blocz00_1706
																																												=
																																												BgL__ortest_1066z00_2889;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 413 */
																																											BgL_blocz00_1706
																																												=
																																												BgL_locz00_54;
																																										}
																																								}
																																								{	/* Eval/evaluate.scm 413 */

																																									{	/* Eval/evaluate.scm 414 */
																																										BgL_ev_letrecz00_bglt
																																											BgL_new1131z00_1707;
																																										{	/* Eval/evaluate.scm 414 */
																																											BgL_ev_letrecz00_bglt
																																												BgL_new1130z00_1728;
																																											BgL_new1130z00_1728
																																												=
																																												(
																																												(BgL_ev_letrecz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_letrecz00_bgl))));
																																											{	/* Eval/evaluate.scm 414 */
																																												long
																																													BgL_arg2036z00_1729;
																																												{	/* Eval/evaluate.scm 414 */
																																													long
																																														BgL_res2417z00_2893;
																																													{	/* Eval/evaluate.scm 414 */
																																														obj_t
																																															BgL_classz00_2890;
																																														BgL_classz00_2890
																																															=
																																															BGl_ev_letrecz00zz__evaluate_typesz00;
																																														{	/* Eval/evaluate.scm 414 */
																																															obj_t
																																																BgL_vectorz00_2891;
																																															int
																																																BgL_kz00_2892;
																																															BgL_vectorz00_2891
																																																=
																																																BgL_classz00_2890;
																																															BgL_kz00_2892
																																																=
																																																(int)
																																																(
																																																((long) 1));
																																															BgL_res2417z00_2893
																																																=
																																																(long)
																																																CINT
																																																(VECTOR_REF
																																																(BgL_vectorz00_2891,
																																																	BgL_kz00_2892));
																																													}}
																																													BgL_arg2036z00_1729
																																														=
																																														BgL_res2417z00_2893;
																																												}
																																												{	/* Eval/evaluate.scm 414 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_2894;
																																													BgL_objz00_2894
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1130z00_1728);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(BgL_objz00_2894,
																																														BgL_arg2036z00_1729);
																																											}}
																																											{	/* Eval/evaluate.scm 414 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_5103;
																																												BgL_auxz00_5103
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_new1130z00_1728);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_5103,
																																													BFALSE);
																																											}
																																											BgL_new1131z00_1707
																																												=
																																												BgL_new1130z00_1728;
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_1707)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1704), BUNSPEC);
																																										{
																																											obj_t
																																												BgL_auxz00_5108;
																																											if (NULLP(BgL_bindsz00_899))
																																												{	/* Eval/evaluate.scm 416 */
																																													BgL_auxz00_5108
																																														=
																																														BNIL;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 416 */
																																													obj_t
																																														BgL_head1209z00_1710;
																																													{	/* Eval/evaluate.scm 416 */
																																														obj_t
																																															BgL_res2419z00_2900;
																																														BgL_res2419z00_2900
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_head1209z00_1710
																																															=
																																															BgL_res2419z00_2900;
																																													}
																																													{
																																														obj_t
																																															BgL_l1207z00_1712;
																																														obj_t
																																															BgL_tail1210z00_1713;
																																														BgL_l1207z00_1712
																																															=
																																															BgL_bindsz00_899;
																																														BgL_tail1210z00_1713
																																															=
																																															BgL_head1209z00_1710;
																																													BgL_zc3anonymousza32021ze3z83_1714:
																																														if (NULLP(BgL_l1207z00_1712))
																																															{	/* Eval/evaluate.scm 416 */
																																																BgL_auxz00_5108
																																																	=
																																																	CDR
																																																	(BgL_head1209z00_1710);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 416 */
																																																obj_t
																																																	BgL_newtail1211z00_1716;
																																																{	/* Eval/evaluate.scm 416 */
																																																	obj_t
																																																		BgL_arg2024z00_1718;
																																																	{	/* Eval/evaluate.scm 416 */
																																																		obj_t
																																																			BgL_bz00_1719;
																																																		{	/* Eval/evaluate.scm 416 */
																																																			obj_t
																																																				BgL_pairz00_2904;
																																																			BgL_pairz00_2904
																																																				=
																																																				BgL_l1207z00_1712;
																																																			BgL_bz00_1719
																																																				=
																																																				CAR
																																																				(BgL_pairz00_2904);
																																																		}
																																																		{	/* Eval/evaluate.scm 417 */
																																																			obj_t
																																																				BgL_arg2025z00_1720;
																																																			obj_t
																																																				BgL_arg2026z00_1721;
																																																			obj_t
																																																				BgL_arg2027z00_1722;
																																																			{	/* Eval/evaluate.scm 417 */
																																																				obj_t
																																																					BgL_pairz00_2905;
																																																				BgL_pairz00_2905
																																																					=
																																																					BgL_bz00_1719;
																																																				{	/* Eval/evaluate.scm 417 */
																																																					obj_t
																																																						BgL_pairz00_2908;
																																																					BgL_pairz00_2908
																																																						=
																																																						CDR
																																																						(BgL_pairz00_2905);
																																																					BgL_arg2025z00_1720
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2908);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 417 */
																																																				obj_t
																																																					BgL_arg2028z00_1723;
																																																				{	/* Eval/evaluate.scm 417 */
																																																					obj_t
																																																						BgL_pairz00_2909;
																																																					BgL_pairz00_2909
																																																						=
																																																						BgL_bz00_1719;
																																																					BgL_arg2028z00_1723
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2909);
																																																				}
																																																				{	/* Eval/evaluate.scm 417 */
																																																					obj_t
																																																						BgL_list2029z00_1724;
																																																					{	/* Eval/evaluate.scm 417 */
																																																						obj_t
																																																							BgL_arg2033z00_1725;
																																																						{	/* Eval/evaluate.scm 417 */
																																																							obj_t
																																																								BgL_arg2035z00_1726;
																																																							BgL_arg2035z00_1726
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_wherez00_53,
																																																								BNIL);
																																																							BgL_arg2033z00_1725
																																																								=
																																																								MAKE_PAIR
																																																								(BGl_symbol2624z00zz__evaluatez00,
																																																								BgL_arg2035z00_1726);
																																																						}
																																																						BgL_list2029z00_1724
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2028z00_1723,
																																																							BgL_arg2033z00_1725);
																																																					}
																																																					BgL_arg2026z00_1721
																																																						=
																																																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																						(BgL_list2029z00_1724);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 417 */
																																																				obj_t
																																																					BgL__ortest_1066z00_2912;
																																																				BgL__ortest_1066z00_2912
																																																					=
																																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																																					(BgL_bz00_1719);
																																																				if (CBOOL(BgL__ortest_1066z00_2912))
																																																					{	/* Eval/evaluate.scm 417 */
																																																						BgL_arg2027z00_1722
																																																							=
																																																							BgL__ortest_1066z00_2912;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 417 */
																																																						BgL_arg2027z00_1722
																																																							=
																																																							BgL_blocz00_1706;
																																																					}
																																																			}
																																																			BgL_arg2024z00_1718
																																																				=
																																																				BGl_convz00zz__evaluatez00
																																																				(BgL_arg2025z00_1720,
																																																				BgL_localsz00_1705,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_arg2026z00_1721,
																																																				BgL_arg2027z00_1722,
																																																				((bool_t) 0));
																																																		}
																																																	}
																																																	{	/* Eval/evaluate.scm 416 */
																																																		obj_t
																																																			BgL_res2421z00_2915;
																																																		BgL_res2421z00_2915
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg2024z00_1718,
																																																			BNIL);
																																																		BgL_newtail1211z00_1716
																																																			=
																																																			BgL_res2421z00_2915;
																																																	}
																																																}
																																																SET_CDR
																																																	(BgL_tail1210z00_1713,
																																																	BgL_newtail1211z00_1716);
																																																{	/* Eval/evaluate.scm 416 */
																																																	obj_t
																																																		BgL_arg2023z00_1717;
																																																	{	/* Eval/evaluate.scm 416 */
																																																		obj_t
																																																			BgL_pairz00_2918;
																																																		BgL_pairz00_2918
																																																			=
																																																			BgL_l1207z00_1712;
																																																		BgL_arg2023z00_1717
																																																			=
																																																			CDR
																																																			(BgL_pairz00_2918);
																																																	}
																																																	{
																																																		obj_t
																																																			BgL_tail1210z00_5132;
																																																		obj_t
																																																			BgL_l1207z00_5131;
																																																		BgL_l1207z00_5131
																																																			=
																																																			BgL_arg2023z00_1717;
																																																		BgL_tail1210z00_5132
																																																			=
																																																			BgL_newtail1211z00_1716;
																																																		BgL_tail1210z00_1713
																																																			=
																																																			BgL_tail1210z00_5132;
																																																		BgL_l1207z00_1712
																																																			=
																																																			BgL_l1207z00_5131;
																																																		goto
																																																			BgL_zc3anonymousza32021ze3z83_1714;
																																																	}
																																																}
																																															}
																																													}
																																												}
																																											((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_1707)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5108), BUNSPEC);
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_1707)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_900, BgL_localsz00_1705, BgL_globalsz00_51, BgL_tailzf3zf3_52, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																										BgL_auxz00_5063
																																											=
																																											BgL_new1131z00_1707;
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5063);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1528z00_1073;
																																				BgL_arg1528z00_1073
																																					=
																																					CAR
																																					(BgL_ez00_49);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_5140;
																																					{
																																						obj_t
																																							BgL_argsz00_5142;
																																						obj_t
																																							BgL_fz00_5141;
																																						BgL_fz00_5141
																																							=
																																							BgL_arg1528z00_1073;
																																						BgL_argsz00_5142
																																							=
																																							BgL_cdrzd25688zd2_1068;
																																						BgL_argsz00_933
																																							=
																																							BgL_argsz00_5142;
																																						BgL_fz00_932
																																							=
																																							BgL_fz00_5141;
																																						goto
																																							BgL_tagzd2155zd2_934;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5140);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		if (
																																			(CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2651z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd25688zd2_1068))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_carzd25826zd2_1078;
																																						obj_t
																																							BgL_cdrzd25827zd2_1079;
																																						BgL_carzd25826zd2_1078
																																							=
																																							CAR
																																							(BgL_cdrzd25688zd2_1068);
																																						BgL_cdrzd25827zd2_1079
																																							=
																																							CDR
																																							(BgL_cdrzd25688zd2_1068);
																																						if (PAIRP(BgL_carzd25826zd2_1078))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd25831zd2_1081;
																																								BgL_cdrzd25831zd2_1081
																																									=
																																									CDR
																																									(BgL_carzd25826zd2_1078);
																																								if ((CAR(BgL_carzd25826zd2_1078) == BGl_symbol2629z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd25831zd2_1081))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_carzd25834zd2_1084;
																																												obj_t
																																													BgL_cdrzd25835zd2_1085;
																																												BgL_carzd25834zd2_1084
																																													=
																																													CAR
																																													(BgL_cdrzd25831zd2_1081);
																																												BgL_cdrzd25835zd2_1085
																																													=
																																													CDR
																																													(BgL_cdrzd25831zd2_1081);
																																												if (SYMBOLP(BgL_carzd25834zd2_1084))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd25835zd2_1085))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_carzd25839zd2_1088;
																																																BgL_carzd25839zd2_1088
																																																	=
																																																	CAR
																																																	(BgL_cdrzd25835zd2_1085);
																																																if (SYMBOLP(BgL_carzd25839zd2_1088))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd25835zd2_1085)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (PAIRP(BgL_cdrzd25827zd2_1079))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						if (NULLP(CDR(BgL_cdrzd25827zd2_1079)))
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg1542z00_1093;
																																																								BgL_arg1542z00_1093
																																																									=
																																																									CAR
																																																									(BgL_cdrzd25827zd2_1079);
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_idz00_3289;
																																																									obj_t
																																																										BgL_modnamez00_3290;
																																																									BgL_idz00_3289
																																																										=
																																																										BgL_carzd25834zd2_1084;
																																																									BgL_modnamez00_3290
																																																										=
																																																										BgL_carzd25839zd2_1088;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1133z00_3292;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_ev_setglobalz00_bglt
																																																												BgL_new1132z00_3293;
																																																											BgL_new1132z00_3293
																																																												=
																																																												(
																																																												(BgL_ev_setglobalz00_bglt)
																																																												BREF
																																																												(GC_MALLOC
																																																													(sizeof
																																																														(struct
																																																															BgL_ev_setglobalz00_bgl))));
																																																											{	/* Eval/evaluate.scm 319 */
																																																												long
																																																													BgL_arg2045z00_3294;
																																																												{	/* Eval/evaluate.scm 319 */
																																																													long
																																																														BgL_res2478z00_3298;
																																																													{	/* Eval/evaluate.scm 319 */
																																																														obj_t
																																																															BgL_classz00_3295;
																																																														BgL_classz00_3295
																																																															=
																																																															BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																														{	/* Eval/evaluate.scm 319 */
																																																															obj_t
																																																																BgL_vectorz00_3296;
																																																															int
																																																																BgL_kz00_3297;
																																																															BgL_vectorz00_3296
																																																																=
																																																																BgL_classz00_3295;
																																																															BgL_kz00_3297
																																																																=
																																																																(int)
																																																																(
																																																																((long) 1));
																																																															BgL_res2478z00_3298
																																																																=
																																																																(long)
																																																																CINT
																																																																(VECTOR_REF
																																																																(BgL_vectorz00_3296,
																																																																	BgL_kz00_3297));
																																																													}}
																																																													BgL_arg2045z00_3294
																																																														=
																																																														BgL_res2478z00_3298;
																																																												}
																																																												{	/* Eval/evaluate.scm 319 */
																																																													BgL_objectz00_bglt
																																																														BgL_objz00_3299;
																																																													BgL_objz00_3299
																																																														=
																																																														(
																																																														(BgL_objectz00_bglt)
																																																														BgL_new1132z00_3293);
																																																													BGL_OBJECT_CLASS_NUM_SET
																																																														(BgL_objz00_3299,
																																																														BgL_arg2045z00_3294);
																																																											}}
																																																											{	/* Eval/evaluate.scm 319 */
																																																												BgL_objectz00_bglt
																																																													BgL_auxz00_5183;
																																																												BgL_auxz00_5183
																																																													=
																																																													(
																																																													(BgL_objectz00_bglt)
																																																													BgL_new1132z00_3293);
																																																												BGL_OBJECT_WIDENING_SET
																																																													(BgL_auxz00_5183,
																																																													BFALSE);
																																																											}
																																																											BgL_new1133z00_3292
																																																												=
																																																												BgL_new1132z00_3293;
																																																										}
																																																										{
																																																											BgL_ev_exprz00_bglt
																																																												BgL_auxz00_5186;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_arg2082z00_3302;
																																																												BgL_arg2082z00_3302
																																																													=
																																																													BGl_getzd2locationzd2zz__evaluatez00
																																																													(BgL_arg1542z00_1093,
																																																													BgL_locz00_54);
																																																												BgL_auxz00_5186
																																																													=
																																																													(
																																																													(BgL_ev_exprz00_bglt)
																																																													BGl_uconvzf2loczf2zz__evaluatez00
																																																													(BgL_wherez00_53,
																																																														BgL_globalsz00_51,
																																																														BgL_localsz00_50,
																																																														BgL_arg1542z00_1093,
																																																														BgL_arg2082z00_3302));
																																																											}
																																																											((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1133z00_3292)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5186), BUNSPEC);
																																																										}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1133z00_3292))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1133z00_3292))->BgL_namez00) = ((obj_t) BgL_idz00_3289), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1133z00_3292))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3290)), BUNSPEC);
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_new1133z00_3292);
																																																									}
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 319 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_54,
																																																									BGl_string2617z00zz__evaluatez00,
																																																									BGl_string2623z00zz__evaluatez00,
																																																									BgL_ez00_49);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2617z00zz__evaluatez00,
																																																							BGl_string2623z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd25939zd2_1095;
																																																				BgL_cdrzd25939zd2_1095
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_cdrzd25943zd2_1096;
																																																					BgL_cdrzd25943zd2_1096
																																																						=
																																																						CDR
																																																						(BgL_cdrzd25939zd2_1095);
																																																					if (PAIRP(BgL_cdrzd25943zd2_1096))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							if (NULLP(CDR(BgL_cdrzd25943zd2_1096)))
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_arg1546z00_1099;
																																																									obj_t
																																																										BgL_arg1547z00_1100;
																																																									BgL_arg1546z00_1099
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25939zd2_1095);
																																																									BgL_arg1547z00_1100
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25943zd2_1096);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_5208;
																																																										BgL_vz00_909
																																																											=
																																																											BgL_arg1546z00_1099;
																																																										BgL_ez00_910
																																																											=
																																																											BgL_arg1547z00_1100;
																																																									BgL_tagzd2147zd2_911:
																																																										{	/* Eval/evaluate.scm 430 */
																																																											obj_t
																																																												BgL_cvz00_1765;
																																																											obj_t
																																																												BgL_ez00_1766;
																																																											BgL_cvz00_1765
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_909,
																																																												BgL_localsz00_50);
																																																											{	/* Eval/evaluate.scm 430 */
																																																												obj_t
																																																													BgL_arg2082z00_2984;
																																																												{	/* Eval/evaluate.scm 430 */
																																																													obj_t
																																																														BgL__ortest_1066z00_2987;
																																																													BgL__ortest_1066z00_2987
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_910);
																																																													if (CBOOL(BgL__ortest_1066z00_2987))
																																																														{	/* Eval/evaluate.scm 430 */
																																																															BgL_arg2082z00_2984
																																																																=
																																																																BgL__ortest_1066z00_2987;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 430 */
																																																															BgL_arg2082z00_2984
																																																																=
																																																																BgL_locz00_54;
																																																														}
																																																												}
																																																												BgL_ez00_1766
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_910,
																																																													BgL_localsz00_50,
																																																													BgL_globalsz00_51,
																																																													BFALSE,
																																																													BgL_wherez00_53,
																																																													BgL_arg2082z00_2984,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_1765))
																																																												{	/* Eval/evaluate.scm 432 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1135z00_1767;
																																																													{	/* Eval/evaluate.scm 432 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1134z00_1768;
																																																														BgL_new1134z00_1768
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 432 */
																																																															long
																																																																BgL_arg2055z00_1769;
																																																															{	/* Eval/evaluate.scm 432 */
																																																																long
																																																																	BgL_res2431z00_2993;
																																																																{	/* Eval/evaluate.scm 432 */
																																																																	obj_t
																																																																		BgL_classz00_2990;
																																																																	BgL_classz00_2990
																																																																		=
																																																																		BGl_ev_setlocalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 432 */
																																																																		obj_t
																																																																			BgL_vectorz00_2991;
																																																																		int
																																																																			BgL_kz00_2992;
																																																																		BgL_vectorz00_2991
																																																																			=
																																																																			BgL_classz00_2990;
																																																																		BgL_kz00_2992
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2431z00_2993
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2991,
																																																																				BgL_kz00_2992));
																																																																}}
																																																																BgL_arg2055z00_1769
																																																																	=
																																																																	BgL_res2431z00_2993;
																																																															}
																																																															{	/* Eval/evaluate.scm 432 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2994;
																																																																BgL_objz00_2994
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1134z00_1768);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2994,
																																																																	BgL_arg2055z00_1769);
																																																														}}
																																																														{	/* Eval/evaluate.scm 432 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5222;
																																																															BgL_auxz00_5222
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1134z00_1768);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5222,
																																																																BFALSE);
																																																														}
																																																														BgL_new1135z00_1767
																																																															=
																																																															BgL_new1134z00_1768;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1135z00_1767)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1766)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1135z00_1767))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_1765)), BUNSPEC);
																																																													BgL_auxz00_5208
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1135z00_1767);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 435 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1137z00_1770;
																																																													{	/* Eval/evaluate.scm 435 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1136z00_1772;
																																																														BgL_new1136z00_1772
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 435 */
																																																															long
																																																																BgL_arg2057z00_1773;
																																																															{	/* Eval/evaluate.scm 435 */
																																																																long
																																																																	BgL_res2432z00_2999;
																																																																{	/* Eval/evaluate.scm 435 */
																																																																	obj_t
																																																																		BgL_classz00_2996;
																																																																	BgL_classz00_2996
																																																																		=
																																																																		BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 435 */
																																																																		obj_t
																																																																			BgL_vectorz00_2997;
																																																																		int
																																																																			BgL_kz00_2998;
																																																																		BgL_vectorz00_2997
																																																																			=
																																																																			BgL_classz00_2996;
																																																																		BgL_kz00_2998
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2432z00_2999
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2997,
																																																																				BgL_kz00_2998));
																																																																}}
																																																																BgL_arg2057z00_1773
																																																																	=
																																																																	BgL_res2432z00_2999;
																																																															}
																																																															{	/* Eval/evaluate.scm 435 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_3000;
																																																																BgL_objz00_3000
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1136z00_1772);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_3000,
																																																																	BgL_arg2057z00_1773);
																																																														}}
																																																														{	/* Eval/evaluate.scm 435 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5237;
																																																															BgL_auxz00_5237
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1136z00_1772);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5237,
																																																																BFALSE);
																																																														}
																																																														BgL_new1137z00_1770
																																																															=
																																																															BgL_new1136z00_1772;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1137z00_1770)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1766)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_1770))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_1770))->BgL_namez00) = ((obj_t) BgL_vz00_909), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_5245;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																															{	/* Eval/evaluate.scm 438 */
																																																																BgL_auxz00_5245
																																																																	=
																																																																	BgL_globalsz00_51;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 438 */
																																																																BgL_auxz00_5245
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_1770))->BgL_modz00) = ((obj_t) BgL_auxz00_5245), BUNSPEC);
																																																													}
																																																													BgL_auxz00_5208
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1137z00_1770);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_5208);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 319 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_54,
																																																										BGl_string2617z00zz__evaluatez00,
																																																										BGl_string2623z00zz__evaluatez00,
																																																										BgL_ez00_49);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2617z00zz__evaluatez00,
																																																								BGl_string2623z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd25992zd2_1103;
																																																		BgL_cdrzd25992zd2_1103
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd25996zd2_1104;
																																																			BgL_cdrzd25996zd2_1104
																																																				=
																																																				CDR
																																																				(BgL_cdrzd25992zd2_1103);
																																																			if (PAIRP(BgL_cdrzd25996zd2_1104))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd25996zd2_1104)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1552z00_1107;
																																																							obj_t
																																																								BgL_arg1557z00_1108;
																																																							BgL_arg1552z00_1107
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25992zd2_1103);
																																																							BgL_arg1557z00_1108
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25996zd2_1104);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5263;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5265;
																																																									obj_t
																																																										BgL_vz00_5264;
																																																									BgL_vz00_5264
																																																										=
																																																										BgL_arg1552z00_1107;
																																																									BgL_ez00_5265
																																																										=
																																																										BgL_arg1557z00_1108;
																																																									BgL_ez00_910
																																																										=
																																																										BgL_ez00_5265;
																																																									BgL_vz00_909
																																																										=
																																																										BgL_vz00_5264;
																																																									goto
																																																										BgL_tagzd2147zd2_911;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5263);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2617z00zz__evaluatez00,
																																																								BGl_string2623z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BGl_string2623z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26045zd2_1110;
																																																BgL_cdrzd26045zd2_1110
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd26049zd2_1111;
																																																	BgL_cdrzd26049zd2_1111
																																																		=
																																																		CDR
																																																		(BgL_cdrzd26045zd2_1110);
																																																	if (PAIRP(BgL_cdrzd26049zd2_1111))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd26049zd2_1111)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1561z00_1114;
																																																					obj_t
																																																						BgL_arg1565z00_1115;
																																																					BgL_arg1561z00_1114
																																																						=
																																																						CAR
																																																						(BgL_cdrzd26045zd2_1110);
																																																					BgL_arg1565z00_1115
																																																						=
																																																						CAR
																																																						(BgL_cdrzd26049zd2_1111);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5278;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5280;
																																																							obj_t
																																																								BgL_vz00_5279;
																																																							BgL_vz00_5279
																																																								=
																																																								BgL_arg1561z00_1114;
																																																							BgL_ez00_5280
																																																								=
																																																								BgL_arg1565z00_1115;
																																																							BgL_ez00_910
																																																								=
																																																								BgL_ez00_5280;
																																																							BgL_vz00_909
																																																								=
																																																								BgL_vz00_5279;
																																																							goto
																																																								BgL_tagzd2147zd2_911;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5278);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BGl_string2623z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BGl_string2623z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd26098zd2_1117;
																																														BgL_cdrzd26098zd2_1117
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd26102zd2_1118;
																																															BgL_cdrzd26102zd2_1118
																																																=
																																																CDR
																																																(BgL_cdrzd26098zd2_1117);
																																															if (PAIRP(BgL_cdrzd26102zd2_1118))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd26102zd2_1118)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1569z00_1121;
																																																			obj_t
																																																				BgL_arg1572z00_1122;
																																																			BgL_arg1569z00_1121
																																																				=
																																																				CAR
																																																				(BgL_cdrzd26098zd2_1117);
																																																			BgL_arg1572z00_1122
																																																				=
																																																				CAR
																																																				(BgL_cdrzd26102zd2_1118);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5293;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5295;
																																																					obj_t
																																																						BgL_vz00_5294;
																																																					BgL_vz00_5294
																																																						=
																																																						BgL_arg1569z00_1121;
																																																					BgL_ez00_5295
																																																						=
																																																						BgL_arg1572z00_1122;
																																																					BgL_ez00_910
																																																						=
																																																						BgL_ez00_5295;
																																																					BgL_vz00_909
																																																						=
																																																						BgL_vz00_5294;
																																																					goto
																																																						BgL_tagzd2147zd2_911;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5293);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BGl_string2623z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BGl_string2623z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26151zd2_1124;
																																												BgL_cdrzd26151zd2_1124
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd26155zd2_1125;
																																													BgL_cdrzd26155zd2_1125
																																														=
																																														CDR
																																														(BgL_cdrzd26151zd2_1124);
																																													if (PAIRP(BgL_cdrzd26155zd2_1125))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd26155zd2_1125)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1576z00_1128;
																																																	obj_t
																																																		BgL_arg1577z00_1129;
																																																	BgL_arg1576z00_1128
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26151zd2_1124);
																																																	BgL_arg1577z00_1129
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26155zd2_1125);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5308;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5310;
																																																			obj_t
																																																				BgL_vz00_5309;
																																																			BgL_vz00_5309
																																																				=
																																																				BgL_arg1576z00_1128;
																																																			BgL_ez00_5310
																																																				=
																																																				BgL_arg1577z00_1129;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_5310;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_5309;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5308);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BGl_string2623z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2617z00zz__evaluatez00,
																																																BGl_string2623z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd26193zd2_1131;
																																										BgL_cdrzd26193zd2_1131
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_carzd26196zd2_1132;
																																											obj_t
																																												BgL_cdrzd26197zd2_1133;
																																											BgL_carzd26196zd2_1132
																																												=
																																												CAR
																																												(BgL_cdrzd26193zd2_1131);
																																											BgL_cdrzd26197zd2_1133
																																												=
																																												CDR
																																												(BgL_cdrzd26193zd2_1131);
																																											if ((CAR(BgL_carzd26196zd2_1132) == BGl_symbol2631z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (PAIRP(BgL_cdrzd26197zd2_1133))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd26197zd2_1133)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	BgL_lz00_906
																																																		=
																																																		CDR
																																																		(BgL_carzd26196zd2_1132);
																																																	BgL_e2z00_907
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26197zd2_1133);
																																																BgL_tagzd2146zd2_908:
																																																	{	/* Eval/evaluate.scm 426 */
																																																		bool_t
																																																			BgL_testz00_5325;
																																																		if (PAIRP(BgL_lz00_906))
																																																			{	/* Eval/evaluate.scm 426 */
																																																				bool_t
																																																					BgL_testz00_5328;
																																																				{	/* Eval/evaluate.scm 426 */
																																																					obj_t
																																																						BgL_auxz00_5329;
																																																					BgL_auxz00_5329
																																																						=
																																																						CDR
																																																						(BgL_lz00_906);
																																																					BgL_testz00_5328
																																																						=
																																																						PAIRP
																																																						(BgL_auxz00_5329);
																																																				}
																																																				if (BgL_testz00_5328)
																																																					{
																																																						obj_t
																																																							BgL_l1212z00_2965;
																																																						bool_t
																																																							BgL_lv1213z00_2966;
																																																						BgL_l1212z00_2965
																																																							=
																																																							BgL_lz00_906;
																																																						BgL_lv1213z00_2966
																																																							=
																																																							(
																																																							(bool_t)
																																																							1);
																																																					BgL_zc3anonymousza32049ze3z83_2964:
																																																						if (NULLP(BgL_l1212z00_2965))
																																																							{	/* Eval/evaluate.scm 426 */
																																																								BgL_testz00_5325
																																																									=
																																																									BgL_lv1213z00_2966;
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 426 */
																																																								bool_t
																																																									BgL_nvz00_2973;
																																																								{	/* Eval/evaluate.scm 426 */
																																																									obj_t
																																																										BgL_auxz00_5334;
																																																									BgL_auxz00_5334
																																																										=
																																																										CAR
																																																										(BgL_l1212z00_2965);
																																																									BgL_nvz00_2973
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_5334);
																																																								}
																																																								if (BgL_nvz00_2973)
																																																									{
																																																										bool_t
																																																											BgL_lv1213z00_5340;
																																																										obj_t
																																																											BgL_l1212z00_5338;
																																																										BgL_l1212z00_5338
																																																											=
																																																											CDR
																																																											(BgL_l1212z00_2965);
																																																										BgL_lv1213z00_5340
																																																											=
																																																											BgL_nvz00_2973;
																																																										BgL_lv1213z00_2966
																																																											=
																																																											BgL_lv1213z00_5340;
																																																										BgL_l1212z00_2965
																																																											=
																																																											BgL_l1212z00_5338;
																																																										goto
																																																											BgL_zc3anonymousza32049ze3z83_2964;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 426 */
																																																										BgL_testz00_5325
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 426 */
																																																						BgL_testz00_5325
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 426 */
																																																				BgL_testz00_5325
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_5325)
																																																			{	/* Eval/evaluate.scm 426 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_906,
																																																					BgL_e2z00_907,
																																																					BgL_ez00_49,
																																																					BgL_localsz00_50,
																																																					BgL_globalsz00_51,
																																																					BgL_tailzf3zf3_52,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					BgL_topzf3zf3_55);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 426 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2617z00zz__evaluatez00,
																																																					BGl_string2623z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BGl_string2623z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2617z00zz__evaluatez00,
																																																BGl_string2623z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd26263zd2_1141;
																																													BgL_cdrzd26263zd2_1141
																																														=
																																														CDR
																																														(BgL_cdrzd26193zd2_1131);
																																													if (PAIRP(BgL_cdrzd26263zd2_1141))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd26263zd2_1141)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1588z00_1144;
																																																	obj_t
																																																		BgL_arg1589z00_1145;
																																																	BgL_arg1588z00_1144
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26193zd2_1131);
																																																	BgL_arg1589z00_1145
																																																		=
																																																		CAR
																																																		(BgL_cdrzd26263zd2_1141);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5355;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5357;
																																																			obj_t
																																																				BgL_vz00_5356;
																																																			BgL_vz00_5356
																																																				=
																																																				BgL_arg1588z00_1144;
																																																			BgL_ez00_5357
																																																				=
																																																				BgL_arg1589z00_1145;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_5357;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_5356;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5355);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BGl_string2623z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2617z00zz__evaluatez00,
																																																BGl_string2623z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26312zd2_1149;
																																								BgL_cdrzd26312zd2_1149
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_cdrzd26316zd2_1150;
																																									BgL_cdrzd26316zd2_1150
																																										=
																																										CDR
																																										(BgL_cdrzd26312zd2_1149);
																																									if (PAIRP(BgL_cdrzd26316zd2_1150))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (NULLP(CDR(BgL_cdrzd26316zd2_1150)))
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_arg1595z00_1153;
																																													obj_t
																																														BgL_arg1596z00_1154;
																																													BgL_arg1595z00_1153
																																														=
																																														CAR
																																														(BgL_cdrzd26312zd2_1149);
																																													BgL_arg1596z00_1154
																																														=
																																														CAR
																																														(BgL_cdrzd26316zd2_1150);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_5370;
																																														{
																																															obj_t
																																																BgL_ez00_5372;
																																															obj_t
																																																BgL_vz00_5371;
																																															BgL_vz00_5371
																																																=
																																																BgL_arg1595z00_1153;
																																															BgL_ez00_5372
																																																=
																																																BgL_arg1596z00_1154;
																																															BgL_ez00_910
																																																=
																																																BgL_ez00_5372;
																																															BgL_vz00_909
																																																=
																																																BgL_vz00_5371;
																																															goto
																																																BgL_tagzd2147zd2_911;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_5370);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2617z00zz__evaluatez00,
																																														BGl_string2623z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2617z00zz__evaluatez00,
																																												BGl_string2623z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_54,
																																							BGl_string2617z00zz__evaluatez00,
																																							BGl_string2623z00zz__evaluatez00,
																																							BgL_ez00_49);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_cdrzd26419zd2_1156;
																																				BgL_cdrzd26419zd2_1156
																																					=
																																					CDR
																																					(BgL_ez00_49);
																																				if ((CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2653z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd26419zd2_1156))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26424zd2_1159;
																																								BgL_cdrzd26424zd2_1159
																																									=
																																									CDR
																																									(BgL_cdrzd26419zd2_1156);
																																								if (PAIRP(BgL_cdrzd26424zd2_1159))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd26428zd2_1161;
																																										BgL_carzd26428zd2_1161
																																											=
																																											CAR
																																											(BgL_cdrzd26424zd2_1159);
																																										if (PAIRP(BgL_carzd26428zd2_1161))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26433zd2_1163;
																																												BgL_cdrzd26433zd2_1163
																																													=
																																													CDR
																																													(BgL_carzd26428zd2_1161);
																																												if ((CAR(BgL_carzd26428zd2_1161) == BGl_symbol2655z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd26433zd2_1163))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26437zd2_1166;
																																																BgL_cdrzd26437zd2_1166
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26433zd2_1163);
																																																if (PAIRP(BgL_cdrzd26437zd2_1166))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd26437zd2_1166)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd26424zd2_1159)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1607z00_1170;
																																																						obj_t
																																																							BgL_arg1608z00_1171;
																																																						obj_t
																																																							BgL_arg1609z00_1172;
																																																						BgL_arg1607z00_1170
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26419zd2_1156);
																																																						BgL_arg1608z00_1171
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26433zd2_1163);
																																																						BgL_arg1609z00_1172
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26437zd2_1166);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5407;
																																																							BgL_gvz00_913
																																																								=
																																																								BgL_arg1607z00_1170;
																																																							BgL_formalsz00_914
																																																								=
																																																								BgL_arg1608z00_1171;
																																																							BgL_bodyz00_915
																																																								=
																																																								BgL_arg1609z00_1172;
																																																						BgL_tagzd2149zd2_916:
																																																							{	/* Eval/evaluate.scm 443 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1139z00_1774;
																																																								{	/* Eval/evaluate.scm 443 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1138z00_1777;
																																																									BgL_new1138z00_1777
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 443 */
																																																										long
																																																											BgL_arg2060z00_1778;
																																																										{	/* Eval/evaluate.scm 443 */
																																																											long
																																																												BgL_res2433z00_3005;
																																																											{	/* Eval/evaluate.scm 443 */
																																																												obj_t
																																																													BgL_classz00_3002;
																																																												BgL_classz00_3002
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 443 */
																																																													obj_t
																																																														BgL_vectorz00_3003;
																																																													int
																																																														BgL_kz00_3004;
																																																													BgL_vectorz00_3003
																																																														=
																																																														BgL_classz00_3002;
																																																													BgL_kz00_3004
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2433z00_3005
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_3003,
																																																															BgL_kz00_3004));
																																																											}}
																																																											BgL_arg2060z00_1778
																																																												=
																																																												BgL_res2433z00_3005;
																																																										}
																																																										{	/* Eval/evaluate.scm 443 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3006;
																																																											BgL_objz00_3006
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1138z00_1777);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3006,
																																																												BgL_arg2060z00_1778);
																																																									}}
																																																									{	/* Eval/evaluate.scm 443 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5414;
																																																										BgL_auxz00_5414
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1138z00_1777);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5414,
																																																											BFALSE);
																																																									}
																																																									BgL_new1139z00_1774
																																																										=
																																																										BgL_new1138z00_1777;
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1139z00_1774)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2lambdazd2zz__evaluatez00(BgL_globalsz00_51, BgL_localsz00_50, BgL_locz00_54, BgL_ez00_49, BgL_formalsz00_914, BgL_bodyz00_915, BgL_gvz00_913))), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1774)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5423;
																																																									{	/* Eval/evaluate.scm 445 */
																																																										obj_t
																																																											BgL_arg2058z00_1775;
																																																										BgL_arg2058z00_1775
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_913);
																																																										BgL_auxz00_5423
																																																											=
																																																											CAR
																																																											(BgL_arg2058z00_1775);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1774)))->BgL_namez00) = ((obj_t) BgL_auxz00_5423), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5428;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 446 */
																																																											BgL_auxz00_5428
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 446 */
																																																											BgL_auxz00_5428
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1774)))->BgL_modz00) = ((obj_t) BgL_auxz00_5428), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5407
																																																									=
																																																									BgL_new1139z00_1774;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5407);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1610z00_1173;
																																																						BgL_arg1610z00_1173
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5436;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5438;
																																																								obj_t
																																																									BgL_fz00_5437;
																																																								BgL_fz00_5437
																																																									=
																																																									BgL_arg1610z00_1173;
																																																								BgL_argsz00_5438
																																																									=
																																																									BgL_cdrzd26419zd2_1156;
																																																								BgL_argsz00_933
																																																									=
																																																									BgL_argsz00_5438;
																																																								BgL_fz00_932
																																																									=
																																																									BgL_fz00_5437;
																																																								goto
																																																									BgL_tagzd2155zd2_934;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5436);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd26511zd2_1177;
																																																				BgL_cdrzd26511zd2_1177
																																																					=
																																																					CDR
																																																					(BgL_cdrzd26419zd2_1156);
																																																				if (NULLP(CDR(BgL_cdrzd26511zd2_1177)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1614z00_1179;
																																																						obj_t
																																																							BgL_arg1615z00_1180;
																																																						BgL_arg1614z00_1179
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26419zd2_1156);
																																																						BgL_arg1615z00_1180
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26511zd2_1177);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5446;
																																																							BgL_gvz00_917
																																																								=
																																																								BgL_arg1614z00_1179;
																																																							BgL_gez00_918
																																																								=
																																																								BgL_arg1615z00_1180;
																																																						BgL_tagzd2150zd2_919:
																																																							{	/* Eval/evaluate.scm 449 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1141z00_1779;
																																																								{	/* Eval/evaluate.scm 449 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1140z00_1782;
																																																									BgL_new1140z00_1782
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 449 */
																																																										long
																																																											BgL_arg2063z00_1783;
																																																										{	/* Eval/evaluate.scm 449 */
																																																											long
																																																												BgL_res2434z00_3012;
																																																											{	/* Eval/evaluate.scm 449 */
																																																												obj_t
																																																													BgL_classz00_3009;
																																																												BgL_classz00_3009
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 449 */
																																																													obj_t
																																																														BgL_vectorz00_3010;
																																																													int
																																																														BgL_kz00_3011;
																																																													BgL_vectorz00_3010
																																																														=
																																																														BgL_classz00_3009;
																																																													BgL_kz00_3011
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2434z00_3012
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_3010,
																																																															BgL_kz00_3011));
																																																											}}
																																																											BgL_arg2063z00_1783
																																																												=
																																																												BgL_res2434z00_3012;
																																																										}
																																																										{	/* Eval/evaluate.scm 449 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3013;
																																																											BgL_objz00_3013
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1140z00_1782);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3013,
																																																												BgL_arg2063z00_1783);
																																																									}}
																																																									{	/* Eval/evaluate.scm 449 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5453;
																																																										BgL_auxz00_5453
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1140z00_1782);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5453,
																																																											BFALSE);
																																																									}
																																																									BgL_new1141z00_1779
																																																										=
																																																										BgL_new1140z00_1782;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5456;
																																																									{	/* Eval/evaluate.scm 453 */
																																																										obj_t
																																																											BgL_arg2082z00_3016;
																																																										{	/* Eval/evaluate.scm 453 */
																																																											obj_t
																																																												BgL__ortest_1066z00_3019;
																																																											BgL__ortest_1066z00_3019
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_gez00_918);
																																																											if (CBOOL(BgL__ortest_1066z00_3019))
																																																												{	/* Eval/evaluate.scm 453 */
																																																													BgL_arg2082z00_3016
																																																														=
																																																														BgL__ortest_1066z00_3019;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 453 */
																																																													BgL_arg2082z00_3016
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5456
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_gez00_918,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2082z00_3016,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1141z00_1779)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5456), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1141z00_1779)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5466;
																																																									{	/* Eval/evaluate.scm 451 */
																																																										obj_t
																																																											BgL_arg2061z00_1780;
																																																										BgL_arg2061z00_1780
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_917);
																																																										BgL_auxz00_5466
																																																											=
																																																											CAR
																																																											(BgL_arg2061z00_1780);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1141z00_1779)))->BgL_namez00) = ((obj_t) BgL_auxz00_5466), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5471;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 452 */
																																																											BgL_auxz00_5471
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 452 */
																																																											BgL_auxz00_5471
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1141z00_1779)))->BgL_modz00) = ((obj_t) BgL_auxz00_5471), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5446
																																																									=
																																																									BgL_new1141z00_1779;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5446);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1616z00_1181;
																																																						obj_t
																																																							BgL_arg1617z00_1182;
																																																						BgL_arg1616z00_1181
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1617z00_1182
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5480;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5482;
																																																								obj_t
																																																									BgL_fz00_5481;
																																																								BgL_fz00_5481
																																																									=
																																																									BgL_arg1616z00_1181;
																																																								BgL_argsz00_5482
																																																									=
																																																									BgL_arg1617z00_1182;
																																																								BgL_argsz00_933
																																																									=
																																																									BgL_argsz00_5482;
																																																								BgL_fz00_932
																																																									=
																																																									BgL_fz00_5481;
																																																								goto
																																																									BgL_tagzd2155zd2_934;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5480);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd26574zd2_1186;
																																																		BgL_cdrzd26574zd2_1186
																																																			=
																																																			CDR
																																																			(BgL_cdrzd26419zd2_1156);
																																																		if (NULLP(CDR(BgL_cdrzd26574zd2_1186)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1621z00_1188;
																																																				obj_t
																																																					BgL_arg1622z00_1189;
																																																				BgL_arg1621z00_1188
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26419zd2_1156);
																																																				BgL_arg1622z00_1189
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26574zd2_1186);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5490;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5492;
																																																						obj_t
																																																							BgL_gvz00_5491;
																																																						BgL_gvz00_5491
																																																							=
																																																							BgL_arg1621z00_1188;
																																																						BgL_gez00_5492
																																																							=
																																																							BgL_arg1622z00_1189;
																																																						BgL_gez00_918
																																																							=
																																																							BgL_gez00_5492;
																																																						BgL_gvz00_917
																																																							=
																																																							BgL_gvz00_5491;
																																																						goto
																																																							BgL_tagzd2150zd2_919;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5490);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1623z00_1190;
																																																				obj_t
																																																					BgL_arg1624z00_1191;
																																																				BgL_arg1623z00_1190
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1624z00_1191
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5496;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5498;
																																																						obj_t
																																																							BgL_fz00_5497;
																																																						BgL_fz00_5497
																																																							=
																																																							BgL_arg1623z00_1190;
																																																						BgL_argsz00_5498
																																																							=
																																																							BgL_arg1624z00_1191;
																																																						BgL_argsz00_933
																																																							=
																																																							BgL_argsz00_5498;
																																																						BgL_fz00_932
																																																							=
																																																							BgL_fz00_5497;
																																																						goto
																																																							BgL_tagzd2155zd2_934;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5496);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26637zd2_1194;
																																																BgL_cdrzd26637zd2_1194
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26419zd2_1156);
																																																if (NULLP(CDR(BgL_cdrzd26637zd2_1194)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1627z00_1196;
																																																		obj_t
																																																			BgL_arg1628z00_1197;
																																																		BgL_arg1627z00_1196
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26419zd2_1156);
																																																		BgL_arg1628z00_1197
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26637zd2_1194);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5506;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5508;
																																																				obj_t
																																																					BgL_gvz00_5507;
																																																				BgL_gvz00_5507
																																																					=
																																																					BgL_arg1627z00_1196;
																																																				BgL_gez00_5508
																																																					=
																																																					BgL_arg1628z00_1197;
																																																				BgL_gez00_918
																																																					=
																																																					BgL_gez00_5508;
																																																				BgL_gvz00_917
																																																					=
																																																					BgL_gvz00_5507;
																																																				goto
																																																					BgL_tagzd2150zd2_919;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5506);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1629z00_1198;
																																																		obj_t
																																																			BgL_arg1630z00_1199;
																																																		BgL_arg1629z00_1198
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1630z00_1199
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5512;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5514;
																																																				obj_t
																																																					BgL_fz00_5513;
																																																				BgL_fz00_5513
																																																					=
																																																					BgL_arg1629z00_1198;
																																																				BgL_argsz00_5514
																																																					=
																																																					BgL_arg1630z00_1199;
																																																				BgL_argsz00_933
																																																					=
																																																					BgL_argsz00_5514;
																																																				BgL_fz00_932
																																																					=
																																																					BgL_fz00_5513;
																																																				goto
																																																					BgL_tagzd2155zd2_934;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5512);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd26700zd2_1202;
																																														BgL_cdrzd26700zd2_1202
																																															=
																																															CDR
																																															(BgL_cdrzd26419zd2_1156);
																																														if (NULLP(CDR(BgL_cdrzd26700zd2_1202)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1633z00_1204;
																																																obj_t
																																																	BgL_arg1634z00_1205;
																																																BgL_arg1633z00_1204
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26419zd2_1156);
																																																BgL_arg1634z00_1205
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26700zd2_1202);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_5522;
																																																	{
																																																		obj_t
																																																			BgL_gez00_5524;
																																																		obj_t
																																																			BgL_gvz00_5523;
																																																		BgL_gvz00_5523
																																																			=
																																																			BgL_arg1633z00_1204;
																																																		BgL_gez00_5524
																																																			=
																																																			BgL_arg1634z00_1205;
																																																		BgL_gez00_918
																																																			=
																																																			BgL_gez00_5524;
																																																		BgL_gvz00_917
																																																			=
																																																			BgL_gvz00_5523;
																																																		goto
																																																			BgL_tagzd2150zd2_919;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5522);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1635z00_1206;
																																																obj_t
																																																	BgL_arg1636z00_1207;
																																																BgL_arg1635z00_1206
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1636z00_1207
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5528;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5530;
																																																		obj_t
																																																			BgL_fz00_5529;
																																																		BgL_fz00_5529
																																																			=
																																																			BgL_arg1635z00_1206;
																																																		BgL_argsz00_5530
																																																			=
																																																			BgL_arg1636z00_1207;
																																																		BgL_argsz00_933
																																																			=
																																																			BgL_argsz00_5530;
																																																		BgL_fz00_932
																																																			=
																																																			BgL_fz00_5529;
																																																		goto
																																																			BgL_tagzd2155zd2_934;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5528);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26763zd2_1211;
																																												BgL_cdrzd26763zd2_1211
																																													=
																																													CDR
																																													(BgL_cdrzd26419zd2_1156);
																																												if (NULLP(CDR(BgL_cdrzd26763zd2_1211)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1641z00_1213;
																																														obj_t
																																															BgL_arg1642z00_1214;
																																														BgL_arg1641z00_1213
																																															=
																																															CAR
																																															(BgL_cdrzd26419zd2_1156);
																																														BgL_arg1642z00_1214
																																															=
																																															CAR
																																															(BgL_cdrzd26763zd2_1211);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_5538;
																																															{
																																																obj_t
																																																	BgL_gez00_5540;
																																																obj_t
																																																	BgL_gvz00_5539;
																																																BgL_gvz00_5539
																																																	=
																																																	BgL_arg1641z00_1213;
																																																BgL_gez00_5540
																																																	=
																																																	BgL_arg1642z00_1214;
																																																BgL_gez00_918
																																																	=
																																																	BgL_gez00_5540;
																																																BgL_gvz00_917
																																																	=
																																																	BgL_gvz00_5539;
																																																goto
																																																	BgL_tagzd2150zd2_919;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5538);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1643z00_1215;
																																														obj_t
																																															BgL_arg1644z00_1216;
																																														BgL_arg1643z00_1215
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1644z00_1216
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5544;
																																															{
																																																obj_t
																																																	BgL_argsz00_5546;
																																																obj_t
																																																	BgL_fz00_5545;
																																																BgL_fz00_5545
																																																	=
																																																	BgL_arg1643z00_1215;
																																																BgL_argsz00_5546
																																																	=
																																																	BgL_arg1644z00_1216;
																																																BgL_argsz00_933
																																																	=
																																																	BgL_argsz00_5546;
																																																BgL_fz00_932
																																																	=
																																																	BgL_fz00_5545;
																																																goto
																																																	BgL_tagzd2155zd2_934;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5544);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1646z00_1218;
																																										BgL_arg1646z00_1218
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5549;
																																											{
																																												obj_t
																																													BgL_argsz00_5551;
																																												obj_t
																																													BgL_fz00_5550;
																																												BgL_fz00_5550
																																													=
																																													BgL_arg1646z00_1218;
																																												BgL_argsz00_5551
																																													=
																																													BgL_cdrzd26419zd2_1156;
																																												BgL_argsz00_933
																																													=
																																													BgL_argsz00_5551;
																																												BgL_fz00_932
																																													=
																																													BgL_fz00_5550;
																																												goto
																																													BgL_tagzd2155zd2_934;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5549);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1648z00_1220;
																																								BgL_arg1648z00_1220
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_5554;
																																									{
																																										obj_t
																																											BgL_argsz00_5556;
																																										obj_t
																																											BgL_fz00_5555;
																																										BgL_fz00_5555
																																											=
																																											BgL_arg1648z00_1220;
																																										BgL_argsz00_5556
																																											=
																																											BgL_cdrzd26419zd2_1156;
																																										BgL_argsz00_933
																																											=
																																											BgL_argsz00_5556;
																																										BgL_fz00_932
																																											=
																																											BgL_fz00_5555;
																																										goto
																																											BgL_tagzd2155zd2_934;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_5554);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2657z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd26419zd2_1156))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd26931zd2_1225;
																																										BgL_carzd26931zd2_1225
																																											=
																																											CAR
																																											(BgL_cdrzd26419zd2_1156);
																																										if (PAIRP(BgL_carzd26931zd2_1225))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (NULLP(CDR(BgL_carzd26931zd2_1225)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1654z00_1228;
																																														obj_t
																																															BgL_arg1655z00_1229;
																																														BgL_arg1654z00_1228
																																															=
																																															CAR
																																															(BgL_carzd26931zd2_1225);
																																														BgL_arg1655z00_1229
																																															=
																																															CDR
																																															(BgL_cdrzd26419zd2_1156);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_5571;
																																															BgL_vz00_920
																																																=
																																																BgL_arg1654z00_1228;
																																															BgL_bodyz00_921
																																																=
																																																BgL_arg1655z00_1229;
																																														BgL_tagzd2151zd2_922:
																																															{	/* Eval/evaluate.scm 455 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_1784;
																																																{	/* Eval/evaluate.scm 455 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1143z00_1789;
																																																	{	/* Eval/evaluate.scm 455 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1142z00_1790;
																																																		BgL_new1142z00_1790
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 455 */
																																																			long
																																																				BgL_arg2068z00_1791;
																																																			{	/* Eval/evaluate.scm 455 */
																																																				long
																																																					BgL_res2435z00_3026;
																																																				{	/* Eval/evaluate.scm 455 */
																																																					obj_t
																																																						BgL_classz00_3023;
																																																					BgL_classz00_3023
																																																						=
																																																						BGl_ev_varz00zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 455 */
																																																						obj_t
																																																							BgL_vectorz00_3024;
																																																						int
																																																							BgL_kz00_3025;
																																																						BgL_vectorz00_3024
																																																							=
																																																							BgL_classz00_3023;
																																																						BgL_kz00_3025
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2435z00_3026
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_3024,
																																																								BgL_kz00_3025));
																																																				}}
																																																				BgL_arg2068z00_1791
																																																					=
																																																					BgL_res2435z00_3026;
																																																			}
																																																			{	/* Eval/evaluate.scm 455 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_3027;
																																																				BgL_objz00_3027
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1142z00_1790);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_3027,
																																																					BgL_arg2068z00_1791);
																																																		}}
																																																		{	/* Eval/evaluate.scm 455 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5578;
																																																			BgL_auxz00_5578
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1142z00_1790);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5578,
																																																				BFALSE);
																																																		}
																																																		BgL_new1143z00_1789
																																																			=
																																																			BgL_new1142z00_1790;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1143z00_1789))->BgL_namez00) = ((obj_t) BgL_vz00_920), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1143z00_1789))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1143z00_1789))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_1784
																																																		=
																																																		BgL_new1143z00_1789;
																																																}
																																																{	/* Eval/evaluate.scm 456 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1145z00_1785;
																																																	{	/* Eval/evaluate.scm 456 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1144z00_1787;
																																																		BgL_new1144z00_1787
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 456 */
																																																			long
																																																				BgL_arg2067z00_1788;
																																																			{	/* Eval/evaluate.scm 456 */
																																																				long
																																																					BgL_res2436z00_3032;
																																																				{	/* Eval/evaluate.scm 456 */
																																																					obj_t
																																																						BgL_classz00_3029;
																																																					BgL_classz00_3029
																																																						=
																																																						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 456 */
																																																						obj_t
																																																							BgL_vectorz00_3030;
																																																						int
																																																							BgL_kz00_3031;
																																																						BgL_vectorz00_3030
																																																							=
																																																							BgL_classz00_3029;
																																																						BgL_kz00_3031
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2436z00_3032
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_3030,
																																																								BgL_kz00_3031));
																																																				}}
																																																				BgL_arg2067z00_1788
																																																					=
																																																					BgL_res2436z00_3032;
																																																			}
																																																			{	/* Eval/evaluate.scm 456 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_3033;
																																																				BgL_objz00_3033
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1144z00_1787);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_3033,
																																																					BgL_arg2067z00_1788);
																																																		}}
																																																		{	/* Eval/evaluate.scm 456 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5590;
																																																			BgL_auxz00_5590
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1144z00_1787);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5590,
																																																				BFALSE);
																																																		}
																																																		BgL_new1145z00_1785
																																																			=
																																																			BgL_new1144z00_1787;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1145z00_1785))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_1784), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_5594;
																																																		{	/* Eval/evaluate.scm 458 */
																																																			obj_t
																																																				BgL_arg2065z00_1786;
																																																			BgL_arg2065z00_1786
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_1784), BgL_localsz00_50);
																																																			BgL_auxz00_5594
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_921,
																																																					BgL_arg2065z00_1786,
																																																					BgL_globalsz00_51,
																																																					BFALSE,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1145z00_1785))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5594), BUNSPEC);
																																																	}
																																																	BgL_auxz00_5571
																																																		=
																																																		BgL_new1145z00_1785;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5571);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1657z00_1230;
																																														obj_t
																																															BgL_arg1658z00_1231;
																																														BgL_arg1657z00_1230
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1658z00_1231
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5603;
																																															{
																																																obj_t
																																																	BgL_argsz00_5605;
																																																obj_t
																																																	BgL_fz00_5604;
																																																BgL_fz00_5604
																																																	=
																																																	BgL_arg1657z00_1230;
																																																BgL_argsz00_5605
																																																	=
																																																	BgL_arg1658z00_1231;
																																																BgL_argsz00_933
																																																	=
																																																	BgL_argsz00_5605;
																																																BgL_fz00_932
																																																	=
																																																	BgL_fz00_5604;
																																																goto
																																																	BgL_tagzd2155zd2_934;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5603);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1660z00_1233;
																																												obj_t
																																													BgL_arg1661z00_1234;
																																												BgL_arg1660z00_1233
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1661z00_1234
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5609;
																																													{
																																														obj_t
																																															BgL_argsz00_5611;
																																														obj_t
																																															BgL_fz00_5610;
																																														BgL_fz00_5610
																																															=
																																															BgL_arg1660z00_1233;
																																														BgL_argsz00_5611
																																															=
																																															BgL_arg1661z00_1234;
																																														BgL_argsz00_933
																																															=
																																															BgL_argsz00_5611;
																																														BgL_fz00_932
																																															=
																																															BgL_fz00_5610;
																																														goto
																																															BgL_tagzd2155zd2_934;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5609);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1662z00_1235;
																																										obj_t
																																											BgL_arg1663z00_1236;
																																										BgL_arg1662z00_1235
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1663z00_1236
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5615;
																																											{
																																												obj_t
																																													BgL_argsz00_5617;
																																												obj_t
																																													BgL_fz00_5616;
																																												BgL_fz00_5616
																																													=
																																													BgL_arg1662z00_1235;
																																												BgL_argsz00_5617
																																													=
																																													BgL_arg1663z00_1236;
																																												BgL_argsz00_933
																																													=
																																													BgL_argsz00_5617;
																																												BgL_fz00_932
																																													=
																																													BgL_fz00_5616;
																																												goto
																																													BgL_tagzd2155zd2_934;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5615);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd27034zd2_1237;
																																								BgL_cdrzd27034zd2_1237
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2659z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd27034zd2_1237))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1666z00_1240;
																																												obj_t
																																													BgL_arg1667z00_1241;
																																												BgL_arg1666z00_1240
																																													=
																																													CAR
																																													(BgL_cdrzd27034zd2_1237);
																																												BgL_arg1667z00_1241
																																													=
																																													CDR
																																													(BgL_cdrzd27034zd2_1237);
																																												{
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_auxz00_5627;
																																													BgL_ez00_923
																																														=
																																														BgL_arg1666z00_1240;
																																													BgL_bodyz00_924
																																														=
																																														BgL_arg1667z00_1241;
																																												BgL_tagzd2152zd2_925:
																																													{	/* Eval/evaluate.scm 460 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1147z00_1792;
																																														{	/* Eval/evaluate.scm 460 */
																																															BgL_ev_unwindzd2protectzd2_bglt
																																																BgL_new1146z00_1793;
																																															BgL_new1146z00_1793
																																																=
																																																(
																																																(BgL_ev_unwindzd2protectzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_unwindzd2protectzd2_bgl))));
																																															{	/* Eval/evaluate.scm 460 */
																																																long
																																																	BgL_arg2069z00_1794;
																																																{	/* Eval/evaluate.scm 460 */
																																																	long
																																																		BgL_res2437z00_3038;
																																																	{	/* Eval/evaluate.scm 460 */
																																																		obj_t
																																																			BgL_classz00_3035;
																																																		BgL_classz00_3035
																																																			=
																																																			BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
																																																		{	/* Eval/evaluate.scm 460 */
																																																			obj_t
																																																				BgL_vectorz00_3036;
																																																			int
																																																				BgL_kz00_3037;
																																																			BgL_vectorz00_3036
																																																				=
																																																				BgL_classz00_3035;
																																																			BgL_kz00_3037
																																																				=
																																																				(int)
																																																				(
																																																				((long) 1));
																																																			BgL_res2437z00_3038
																																																				=
																																																				(long)
																																																				CINT
																																																				(VECTOR_REF
																																																				(BgL_vectorz00_3036,
																																																					BgL_kz00_3037));
																																																	}}
																																																	BgL_arg2069z00_1794
																																																		=
																																																		BgL_res2437z00_3038;
																																																}
																																																{	/* Eval/evaluate.scm 460 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_3039;
																																																	BgL_objz00_3039
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1146z00_1793);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(BgL_objz00_3039,
																																																		BgL_arg2069z00_1794);
																																															}}
																																															{	/* Eval/evaluate.scm 460 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_5634;
																																																BgL_auxz00_5634
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1146z00_1793);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_5634,
																																																	BFALSE);
																																															}
																																															BgL_new1147z00_1792
																																																=
																																																BgL_new1146z00_1793;
																																														}
																																														{
																																															BgL_ev_exprz00_bglt
																																																BgL_auxz00_5637;
																																															{	/* Eval/evaluate.scm 461 */
																																																obj_t
																																																	BgL_arg2082z00_3042;
																																																{	/* Eval/evaluate.scm 461 */
																																																	obj_t
																																																		BgL__ortest_1066z00_3045;
																																																	BgL__ortest_1066z00_3045
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_ez00_923);
																																																	if (CBOOL(BgL__ortest_1066z00_3045))
																																																		{	/* Eval/evaluate.scm 461 */
																																																			BgL_arg2082z00_3042
																																																				=
																																																				BgL__ortest_1066z00_3045;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 461 */
																																																			BgL_arg2082z00_3042
																																																				=
																																																				BgL_locz00_54;
																																																		}
																																																}
																																																BgL_auxz00_5637
																																																	=
																																																	(
																																																	(BgL_ev_exprz00_bglt)
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_ez00_923,
																																																		BgL_localsz00_50,
																																																		BgL_globalsz00_51,
																																																		BFALSE,
																																																		BgL_wherez00_53,
																																																		BgL_arg2082z00_3042,
																																																		((bool_t) 0)));
																																															}
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1147z00_1792))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5637), BUNSPEC);
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1147z00_1792))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_924, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																														BgL_auxz00_5627
																																															=
																																															BgL_new1147z00_1792;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5627);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1668z00_1242;
																																												BgL_arg1668z00_1242
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5649;
																																													{
																																														obj_t
																																															BgL_argsz00_5651;
																																														obj_t
																																															BgL_fz00_5650;
																																														BgL_fz00_5650
																																															=
																																															BgL_arg1668z00_1242;
																																														BgL_argsz00_5651
																																															=
																																															BgL_cdrzd27034zd2_1237;
																																														BgL_argsz00_933
																																															=
																																															BgL_argsz00_5651;
																																														BgL_fz00_932
																																															=
																																															BgL_fz00_5650;
																																														goto
																																															BgL_tagzd2155zd2_934;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5649);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2661z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd27034zd2_1237))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1672z00_1247;
																																														obj_t
																																															BgL_arg1673z00_1248;
																																														BgL_arg1672z00_1247
																																															=
																																															CAR
																																															(BgL_cdrzd27034zd2_1237);
																																														BgL_arg1673z00_1248
																																															=
																																															CDR
																																															(BgL_cdrzd27034zd2_1237);
																																														{
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_auxz00_5660;
																																															BgL_hz00_926
																																																=
																																																BgL_arg1672z00_1247;
																																															BgL_bodyz00_927
																																																=
																																																BgL_arg1673z00_1248;
																																														BgL_tagzd2153zd2_928:
																																															{	/* Eval/evaluate.scm 464 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1149z00_1795;
																																																{	/* Eval/evaluate.scm 464 */
																																																	BgL_ev_withzd2handlerzd2_bglt
																																																		BgL_new1148z00_1796;
																																																	BgL_new1148z00_1796
																																																		=
																																																		(
																																																		(BgL_ev_withzd2handlerzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_withzd2handlerzd2_bgl))));
																																																	{	/* Eval/evaluate.scm 464 */
																																																		long
																																																			BgL_arg2070z00_1797;
																																																		{	/* Eval/evaluate.scm 464 */
																																																			long
																																																				BgL_res2438z00_3051;
																																																			{	/* Eval/evaluate.scm 464 */
																																																				obj_t
																																																					BgL_classz00_3048;
																																																				BgL_classz00_3048
																																																					=
																																																					BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
																																																				{	/* Eval/evaluate.scm 464 */
																																																					obj_t
																																																						BgL_vectorz00_3049;
																																																					int
																																																						BgL_kz00_3050;
																																																					BgL_vectorz00_3049
																																																						=
																																																						BgL_classz00_3048;
																																																					BgL_kz00_3050
																																																						=
																																																						(int)
																																																						(
																																																						((long) 1));
																																																					BgL_res2438z00_3051
																																																						=
																																																						(long)
																																																						CINT
																																																						(VECTOR_REF
																																																						(BgL_vectorz00_3049,
																																																							BgL_kz00_3050));
																																																			}}
																																																			BgL_arg2070z00_1797
																																																				=
																																																				BgL_res2438z00_3051;
																																																		}
																																																		{	/* Eval/evaluate.scm 464 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_3052;
																																																			BgL_objz00_3052
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1148z00_1796);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(BgL_objz00_3052,
																																																				BgL_arg2070z00_1797);
																																																	}}
																																																	{	/* Eval/evaluate.scm 464 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_5667;
																																																		BgL_auxz00_5667
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1148z00_1796);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_5667,
																																																			BFALSE);
																																																	}
																																																	BgL_new1149z00_1795
																																																		=
																																																		BgL_new1148z00_1796;
																																																}
																																																{
																																																	BgL_ev_exprz00_bglt
																																																		BgL_auxz00_5670;
																																																	{	/* Eval/evaluate.scm 465 */
																																																		obj_t
																																																			BgL_arg2082z00_3055;
																																																		{	/* Eval/evaluate.scm 465 */
																																																			obj_t
																																																				BgL__ortest_1066z00_3058;
																																																			BgL__ortest_1066z00_3058
																																																				=
																																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																																				(BgL_hz00_926);
																																																			if (CBOOL(BgL__ortest_1066z00_3058))
																																																				{	/* Eval/evaluate.scm 465 */
																																																					BgL_arg2082z00_3055
																																																						=
																																																						BgL__ortest_1066z00_3058;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 465 */
																																																					BgL_arg2082z00_3055
																																																						=
																																																						BgL_locz00_54;
																																																				}
																																																		}
																																																		BgL_auxz00_5670
																																																			=
																																																			(
																																																			(BgL_ev_exprz00_bglt)
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_hz00_926,
																																																				BgL_localsz00_50,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_wherez00_53,
																																																				BgL_arg2082z00_3055,
																																																				((bool_t) 0)));
																																																	}
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1149z00_1795))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5670), BUNSPEC);
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1149z00_1795))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_927, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																BgL_auxz00_5660
																																																	=
																																																	BgL_new1149z00_1795;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5660);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1674z00_1249;
																																														obj_t
																																															BgL_arg1675z00_1250;
																																														BgL_arg1674z00_1249
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1675z00_1250
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5683;
																																															{
																																																obj_t
																																																	BgL_argsz00_5685;
																																																obj_t
																																																	BgL_fz00_5684;
																																																BgL_fz00_5684
																																																	=
																																																	BgL_arg1674z00_1249;
																																																BgL_argsz00_5685
																																																	=
																																																	BgL_arg1675z00_1250;
																																																BgL_argsz00_933
																																																	=
																																																	BgL_argsz00_5685;
																																																BgL_fz00_932
																																																	=
																																																	BgL_fz00_5684;
																																																goto
																																																	BgL_tagzd2155zd2_934;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5683);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd27098zd2_1251;
																																												BgL_cdrzd27098zd2_1251
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2655z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd27098zd2_1251))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd27102zd2_1254;
																																																BgL_cdrzd27102zd2_1254
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27098zd2_1251);
																																																if (PAIRP(BgL_cdrzd27102zd2_1254))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd27102zd2_1254)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1680z00_1257;
																																																				obj_t
																																																					BgL_arg1681z00_1258;
																																																				BgL_arg1680z00_1257
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27098zd2_1251);
																																																				BgL_arg1681z00_1258
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27102zd2_1254);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg2071z00_3502;
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg2072z00_3503;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg2073z00_3504;
																																																							obj_t
																																																								BgL_arg2074z00_3505;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2515z00_3508;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3506;
																																																									BgL_symbolz00_3506
																																																										=
																																																										BGl_symbol2663z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2248z00_3507;
																																																										BgL_arg2248z00_3507
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3506);
																																																										BgL_res2515z00_3508
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2248z00_3507);
																																																									}
																																																								}
																																																								BgL_arg2073z00_3504
																																																									=
																																																									BgL_res2515z00_3508;
																																																							}
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2516z00_3511;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3509;
																																																									BgL_symbolz00_3509
																																																										=
																																																										BgL_wherez00_53;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2248z00_3510;
																																																										BgL_arg2248z00_3510
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3509);
																																																										BgL_res2516z00_3511
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2248z00_3510);
																																																									}
																																																								}
																																																								BgL_arg2074z00_3505
																																																									=
																																																									BgL_res2516z00_3511;
																																																							}
																																																							BgL_arg2072z00_3503
																																																								=
																																																								string_append
																																																								(BgL_arg2073z00_3504,
																																																								BgL_arg2074z00_3505);
																																																						}
																																																						BgL_arg2071z00_3502
																																																							=
																																																							string_to_symbol
																																																							(BSTRING_TO_STRING
																																																							(BgL_arg2072z00_3503));
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_51,
																																																							BgL_localsz00_50,
																																																							BgL_locz00_54,
																																																							BgL_ez00_49,
																																																							BgL_arg1680z00_1257,
																																																							BgL_arg1681z00_1258,
																																																							BgL_arg2071z00_3502));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1682z00_1259;
																																																				BgL_arg1682z00_1259
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5711;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5713;
																																																						obj_t
																																																							BgL_fz00_5712;
																																																						BgL_fz00_5712
																																																							=
																																																							BgL_arg1682z00_1259;
																																																						BgL_argsz00_5713
																																																							=
																																																							BgL_cdrzd27098zd2_1251;
																																																						BgL_argsz00_933
																																																							=
																																																							BgL_argsz00_5713;
																																																						BgL_fz00_932
																																																							=
																																																							BgL_fz00_5712;
																																																						goto
																																																							BgL_tagzd2155zd2_934;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5711);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1686z00_1262;
																																																		BgL_arg1686z00_1262
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5716;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5718;
																																																				obj_t
																																																					BgL_fz00_5717;
																																																				BgL_fz00_5717
																																																					=
																																																					BgL_arg1686z00_1262;
																																																				BgL_argsz00_5718
																																																					=
																																																					BgL_cdrzd27098zd2_1251;
																																																				BgL_argsz00_933
																																																					=
																																																					BgL_argsz00_5718;
																																																				BgL_fz00_932
																																																					=
																																																					BgL_fz00_5717;
																																																				goto
																																																					BgL_tagzd2155zd2_934;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5716);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1688z00_1264;
																																																BgL_arg1688z00_1264
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5721;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5723;
																																																		obj_t
																																																			BgL_fz00_5722;
																																																		BgL_fz00_5722
																																																			=
																																																			BgL_arg1688z00_1264;
																																																		BgL_argsz00_5723
																																																			=
																																																			BgL_cdrzd27098zd2_1251;
																																																		BgL_argsz00_933
																																																			=
																																																			BgL_argsz00_5723;
																																																		BgL_fz00_932
																																																			=
																																																			BgL_fz00_5722;
																																																		goto
																																																			BgL_tagzd2155zd2_934;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5721);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1690z00_1266;
																																														BgL_arg1690z00_1266
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5726;
																																															{
																																																obj_t
																																																	BgL_argsz00_5728;
																																																obj_t
																																																	BgL_fz00_5727;
																																																BgL_fz00_5727
																																																	=
																																																	BgL_arg1690z00_1266;
																																																BgL_argsz00_5728
																																																	=
																																																	BgL_cdrzd27098zd2_1251;
																																																BgL_argsz00_933
																																																	=
																																																	BgL_argsz00_5728;
																																																BgL_fz00_932
																																																	=
																																																	BgL_fz00_5727;
																																																goto
																																																	BgL_tagzd2155zd2_934;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5726);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														if (
															(BgL_carzd23285zd2_998 ==
																BGl_symbol2633z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 319 */
																if (PAIRP(BgL_cdrzd2226zd2_940))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2226zd2_940)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1710z00_1288;

																				BgL_arg1710z00_1288 =
																					CAR(BgL_cdrzd2226zd2_940);
																				{
																					BgL_ev_trapz00_bglt BgL_auxz00_5738;

																					{
																						obj_t BgL_ez00_5739;

																						BgL_ez00_5739 = BgL_arg1710z00_1288;
																						BgL_ez00_876 = BgL_ez00_5739;
																						goto BgL_tagzd2135zd2_877;
																					}
																					return ((obj_t) BgL_auxz00_5738);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1711z00_1289;
																				obj_t BgL_arg1712z00_1290;

																				BgL_arg1711z00_1289 = CAR(BgL_ez00_49);
																				BgL_arg1712z00_1290 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5743;

																					{
																						obj_t BgL_argsz00_5745;
																						obj_t BgL_fz00_5744;

																						BgL_fz00_5744 = BgL_arg1711z00_1289;
																						BgL_argsz00_5745 =
																							BgL_arg1712z00_1290;
																						BgL_argsz00_933 = BgL_argsz00_5745;
																						BgL_fz00_932 = BgL_fz00_5744;
																						goto BgL_tagzd2155zd2_934;
																					}
																					return ((obj_t) BgL_auxz00_5743);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_arg1714z00_1292;
																		obj_t BgL_arg1715z00_1293;

																		BgL_arg1714z00_1292 = CAR(BgL_ez00_49);
																		BgL_arg1715z00_1293 = CDR(BgL_ez00_49);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_5749;

																			{
																				obj_t BgL_argsz00_5751;
																				obj_t BgL_fz00_5750;

																				BgL_fz00_5750 = BgL_arg1714z00_1292;
																				BgL_argsz00_5751 = BgL_arg1715z00_1293;
																				BgL_argsz00_933 = BgL_argsz00_5751;
																				BgL_fz00_932 = BgL_fz00_5750;
																				goto BgL_tagzd2155zd2_934;
																			}
																			return ((obj_t) BgL_auxz00_5749);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_cdrzd27701zd2_1294;

																BgL_cdrzd27701zd2_1294 = CDR(BgL_ez00_49);
																if (
																	(CAR(BgL_ez00_49) ==
																		BGl_symbol2635z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd27701zd2_1294))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd27701zd2_1294)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1720z00_1298;

																						BgL_arg1720z00_1298 =
																							CAR(BgL_cdrzd27701zd2_1294);
																						{	/* Eval/evaluate.scm 319 */
																							BgL_ev_littz00_bglt
																								BgL_new1109z00_3543;
																							{	/* Eval/evaluate.scm 319 */
																								BgL_ev_littz00_bglt
																									BgL_new1108z00_3544;
																								BgL_new1108z00_3544 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 319 */
																									long BgL_arg1972z00_3545;

																									{	/* Eval/evaluate.scm 319 */
																										long BgL_res2522z00_3549;

																										{	/* Eval/evaluate.scm 319 */
																											obj_t BgL_classz00_3546;

																											BgL_classz00_3546 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_vectorz00_3547;
																												int BgL_kz00_3548;

																												BgL_vectorz00_3547 =
																													BgL_classz00_3546;
																												BgL_kz00_3548 =
																													(int) (((long) 1));
																												BgL_res2522z00_3549 =
																													(long)
																													CINT(VECTOR_REF
																													(BgL_vectorz00_3547,
																														BgL_kz00_3548));
																										}}
																										BgL_arg1972z00_3545 =
																											BgL_res2522z00_3549;
																									}
																									{	/* Eval/evaluate.scm 319 */
																										BgL_objectz00_bglt
																											BgL_objz00_3550;
																										BgL_objz00_3550 =
																											((BgL_objectz00_bglt)
																											BgL_new1108z00_3544);
																										BGL_OBJECT_CLASS_NUM_SET
																											(BgL_objz00_3550,
																											BgL_arg1972z00_3545);
																								}}
																								{	/* Eval/evaluate.scm 319 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5769;
																									BgL_auxz00_5769 =
																										((BgL_objectz00_bglt)
																										BgL_new1108z00_3544);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_5769, BFALSE);
																								}
																								BgL_new1109z00_3543 =
																									BgL_new1108z00_3544;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1109z00_3543))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1720z00_1298),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1109z00_3543);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1721z00_1299;

																						BgL_arg1721z00_1299 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5775;
																							{
																								obj_t BgL_argsz00_5777;
																								obj_t BgL_fz00_5776;

																								BgL_fz00_5776 =
																									BgL_arg1721z00_1299;
																								BgL_argsz00_5777 =
																									BgL_cdrzd27701zd2_1294;
																								BgL_argsz00_933 =
																									BgL_argsz00_5777;
																								BgL_fz00_932 = BgL_fz00_5776;
																								goto BgL_tagzd2155zd2_934;
																							}
																							return ((obj_t) BgL_auxz00_5775);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1724z00_1302;

																				BgL_arg1724z00_1302 = CAR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5780;

																					{
																						obj_t BgL_argsz00_5782;
																						obj_t BgL_fz00_5781;

																						BgL_fz00_5781 = BgL_arg1724z00_1302;
																						BgL_argsz00_5782 =
																							BgL_cdrzd27701zd2_1294;
																						BgL_argsz00_933 = BgL_argsz00_5782;
																						BgL_fz00_932 = BgL_fz00_5781;
																						goto BgL_tagzd2155zd2_934;
																					}
																					return ((obj_t) BgL_auxz00_5780);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2637z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd27701zd2_1294))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_cdrzd28214zd2_1307;

																						BgL_cdrzd28214zd2_1307 =
																							CDR(BgL_cdrzd27701zd2_1294);
																						if (PAIRP(BgL_cdrzd28214zd2_1307))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd28219zd2_1309;

																								BgL_cdrzd28219zd2_1309 =
																									CDR(BgL_cdrzd28214zd2_1307);
																								if (PAIRP
																									(BgL_cdrzd28219zd2_1309))
																									{	/* Eval/evaluate.scm 319 */
																										if (NULLP(CDR
																												(BgL_cdrzd28219zd2_1309)))
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1731z00_1312;
																												obj_t
																													BgL_arg1732z00_1313;
																												obj_t
																													BgL_arg1733z00_1314;
																												BgL_arg1731z00_1312 =
																													CAR
																													(BgL_cdrzd27701zd2_1294);
																												BgL_arg1732z00_1313 =
																													CAR
																													(BgL_cdrzd28214zd2_1307);
																												BgL_arg1733z00_1314 =
																													CAR
																													(BgL_cdrzd28219zd2_1309);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_5801;
																													{
																														obj_t BgL_oz00_5804;
																														obj_t BgL_tz00_5803;
																														obj_t BgL_pz00_5802;

																														BgL_pz00_5802 =
																															BgL_arg1731z00_1312;
																														BgL_tz00_5803 =
																															BgL_arg1732z00_1313;
																														BgL_oz00_5804 =
																															BgL_arg1733z00_1314;
																														BgL_oz00_882 =
																															BgL_oz00_5804;
																														BgL_tz00_881 =
																															BgL_tz00_5803;
																														BgL_pz00_880 =
																															BgL_pz00_5802;
																														goto
																															BgL_tagzd2137zd2_883;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5801);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1735z00_1315;
																												obj_t
																													BgL_arg1736z00_1316;
																												BgL_arg1735z00_1315 =
																													CAR(BgL_ez00_49);
																												BgL_arg1736z00_1316 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_5808;
																													{
																														obj_t
																															BgL_argsz00_5810;
																														obj_t BgL_fz00_5809;

																														BgL_fz00_5809 =
																															BgL_arg1735z00_1315;
																														BgL_argsz00_5810 =
																															BgL_arg1736z00_1316;
																														BgL_argsz00_933 =
																															BgL_argsz00_5810;
																														BgL_fz00_932 =
																															BgL_fz00_5809;
																														goto
																															BgL_tagzd2155zd2_934;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5808);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd28469zd2_1318;
																										BgL_cdrzd28469zd2_1318 =
																											CDR(BgL_ez00_49);
																										{	/* Eval/evaluate.scm 319 */
																											obj_t
																												BgL_cdrzd28475zd2_1319;
																											BgL_cdrzd28475zd2_1319 =
																												CDR
																												(BgL_cdrzd28469zd2_1318);
																											if (NULLP(CDR
																													(BgL_cdrzd28475zd2_1319)))
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_arg1740z00_1321;
																													obj_t
																														BgL_arg1742z00_1322;
																													BgL_arg1740z00_1321 =
																														CAR
																														(BgL_cdrzd28469zd2_1318);
																													BgL_arg1742z00_1322 =
																														CAR
																														(BgL_cdrzd28475zd2_1319);
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_5819;
																														{
																															obj_t
																																BgL_tz00_5821;
																															obj_t
																																BgL_pz00_5820;
																															BgL_pz00_5820 =
																																BgL_arg1740z00_1321;
																															BgL_tz00_5821 =
																																BgL_arg1742z00_1322;
																															BgL_tz00_885 =
																																BgL_tz00_5821;
																															BgL_pz00_884 =
																																BgL_pz00_5820;
																															goto
																																BgL_tagzd2138zd2_886;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_5819);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_arg1743z00_1323;
																													BgL_arg1743z00_1323 =
																														CAR(BgL_ez00_49);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_5824;
																														{
																															obj_t
																																BgL_argsz00_5826;
																															obj_t
																																BgL_fz00_5825;
																															BgL_fz00_5825 =
																																BgL_arg1743z00_1323;
																															BgL_argsz00_5826 =
																																BgL_cdrzd28469zd2_1318;
																															BgL_argsz00_933 =
																																BgL_argsz00_5826;
																															BgL_fz00_932 =
																																BgL_fz00_5825;
																															goto
																																BgL_tagzd2155zd2_934;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_5824);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1746z00_1326;
																								obj_t BgL_arg1747z00_1327;

																								BgL_arg1746z00_1326 =
																									CAR(BgL_ez00_49);
																								BgL_arg1747z00_1327 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5830;
																									{
																										obj_t BgL_argsz00_5832;
																										obj_t BgL_fz00_5831;

																										BgL_fz00_5831 =
																											BgL_arg1746z00_1326;
																										BgL_argsz00_5832 =
																											BgL_arg1747z00_1327;
																										BgL_argsz00_933 =
																											BgL_argsz00_5832;
																										BgL_fz00_932 =
																											BgL_fz00_5831;
																										goto BgL_tagzd2155zd2_934;
																									}
																									return
																										((obj_t) BgL_auxz00_5830);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1748z00_1328;
																						obj_t BgL_arg1750z00_1329;

																						BgL_arg1748z00_1328 =
																							CAR(BgL_ez00_49);
																						BgL_arg1750z00_1329 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5836;
																							{
																								obj_t BgL_argsz00_5838;
																								obj_t BgL_fz00_5837;

																								BgL_fz00_5837 =
																									BgL_arg1748z00_1328;
																								BgL_argsz00_5838 =
																									BgL_arg1750z00_1329;
																								BgL_argsz00_933 =
																									BgL_argsz00_5838;
																								BgL_fz00_932 = BgL_fz00_5837;
																								goto BgL_tagzd2155zd2_934;
																							}
																							return ((obj_t) BgL_auxz00_5836);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2639z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1752z00_1331;

																						BgL_arg1752z00_1331 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_orz00_bglt BgL_auxz00_5844;

																							{
																								obj_t BgL_argsz00_5845;

																								BgL_argsz00_5845 =
																									BgL_arg1752z00_1331;
																								BgL_argsz00_887 =
																									BgL_argsz00_5845;
																								goto BgL_tagzd2139zd2_888;
																							}
																							return ((obj_t) BgL_auxz00_5844);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2641z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1754z00_1333;

																								BgL_arg1754z00_1333 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_andz00_bglt
																										BgL_auxz00_5851;
																									{
																										obj_t BgL_argsz00_5852;

																										BgL_argsz00_5852 =
																											BgL_arg1754z00_1333;
																										BgL_argsz00_889 =
																											BgL_argsz00_5852;
																										goto BgL_tagzd2140zd2_890;
																									}
																									return
																										((obj_t) BgL_auxz00_5851);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2643z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_49),
																											BgL_localsz00_50,
																											BgL_globalsz00_51,
																											BgL_tailzf3zf3_52,
																											BgL_wherez00_53,
																											BgL_locz00_54,
																											BgL_topzf3zf3_55);
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd29219zd2_1336;
																										BgL_cdrzd29219zd2_1336 =
																											CDR(BgL_ez00_49);
																										if ((CAR(BgL_ez00_49) ==
																												BGl_symbol2645z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												if (PAIRP
																													(BgL_cdrzd29219zd2_1336))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1759z00_1339;
																														obj_t
																															BgL_arg1760z00_1340;
																														BgL_arg1759z00_1339
																															=
																															CAR
																															(BgL_cdrzd29219zd2_1336);
																														BgL_arg1760z00_1340
																															=
																															CDR
																															(BgL_cdrzd29219zd2_1336);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_5867;
																															{
																																obj_t
																																	BgL_bodyz00_5869;
																																obj_t
																																	BgL_bindsz00_5868;
																																BgL_bindsz00_5868
																																	=
																																	BgL_arg1759z00_1339;
																																BgL_bodyz00_5869
																																	=
																																	BgL_arg1760z00_1340;
																																BgL_bodyz00_894
																																	=
																																	BgL_bodyz00_5869;
																																BgL_bindsz00_893
																																	=
																																	BgL_bindsz00_5868;
																																goto
																																	BgL_tagzd2142zd2_895;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5867);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1761z00_1341;
																														BgL_arg1761z00_1341
																															=
																															CAR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5872;
																															{
																																obj_t
																																	BgL_argsz00_5874;
																																obj_t
																																	BgL_fz00_5873;
																																BgL_fz00_5873 =
																																	BgL_arg1761z00_1341;
																																BgL_argsz00_5874
																																	=
																																	BgL_cdrzd29219zd2_1336;
																																BgL_argsz00_933
																																	=
																																	BgL_argsz00_5874;
																																BgL_fz00_932 =
																																	BgL_fz00_5873;
																																goto
																																	BgL_tagzd2155zd2_934;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5872);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												if (
																													(CAR(BgL_ez00_49) ==
																														BGl_symbol2647z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd29219zd2_1336))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1765z00_1346;
																																obj_t
																																	BgL_arg1766z00_1347;
																																BgL_arg1765z00_1346
																																	=
																																	CAR
																																	(BgL_cdrzd29219zd2_1336);
																																BgL_arg1766z00_1347
																																	=
																																	CDR
																																	(BgL_cdrzd29219zd2_1336);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_5883;
																																	{
																																		obj_t
																																			BgL_bodyz00_5885;
																																		obj_t
																																			BgL_bindsz00_5884;
																																		BgL_bindsz00_5884
																																			=
																																			BgL_arg1765z00_1346;
																																		BgL_bodyz00_5885
																																			=
																																			BgL_arg1766z00_1347;
																																		BgL_bodyz00_897
																																			=
																																			BgL_bodyz00_5885;
																																		BgL_bindsz00_896
																																			=
																																			BgL_bindsz00_5884;
																																		goto
																																			BgL_tagzd2143zd2_898;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5883);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1767z00_1348;
																																obj_t
																																	BgL_arg1768z00_1349;
																																BgL_arg1767z00_1348
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																BgL_arg1768z00_1349
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5889;
																																	{
																																		obj_t
																																			BgL_argsz00_5891;
																																		obj_t
																																			BgL_fz00_5890;
																																		BgL_fz00_5890
																																			=
																																			BgL_arg1767z00_1348;
																																		BgL_argsz00_5891
																																			=
																																			BgL_arg1768z00_1349;
																																		BgL_argsz00_933
																																			=
																																			BgL_argsz00_5891;
																																		BgL_fz00_932
																																			=
																																			BgL_fz00_5890;
																																		goto
																																			BgL_tagzd2155zd2_934;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5889);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_cdrzd29535zd2_1350;
																														BgL_cdrzd29535zd2_1350
																															=
																															CDR(BgL_ez00_49);
																														if ((CAR
																																(BgL_ez00_49) ==
																																BGl_symbol2649z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd29535zd2_1350))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1772z00_1353;
																																		obj_t
																																			BgL_arg1773z00_1354;
																																		BgL_arg1772z00_1353
																																			=
																																			CAR
																																			(BgL_cdrzd29535zd2_1350);
																																		BgL_arg1773z00_1354
																																			=
																																			CDR
																																			(BgL_cdrzd29535zd2_1350);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_5901;
																																			{
																																				obj_t
																																					BgL_bodyz00_5903;
																																				obj_t
																																					BgL_bindsz00_5902;
																																				BgL_bindsz00_5902
																																					=
																																					BgL_arg1772z00_1353;
																																				BgL_bodyz00_5903
																																					=
																																					BgL_arg1773z00_1354;
																																				BgL_bodyz00_900
																																					=
																																					BgL_bodyz00_5903;
																																				BgL_bindsz00_899
																																					=
																																					BgL_bindsz00_5902;
																																				goto
																																					BgL_tagzd2144zd2_901;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5901);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1774z00_1355;
																																		BgL_arg1774z00_1355
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5906;
																																			{
																																				obj_t
																																					BgL_argsz00_5908;
																																				obj_t
																																					BgL_fz00_5907;
																																				BgL_fz00_5907
																																					=
																																					BgL_arg1774z00_1355;
																																				BgL_argsz00_5908
																																					=
																																					BgL_cdrzd29535zd2_1350;
																																				BgL_argsz00_933
																																					=
																																					BgL_argsz00_5908;
																																				BgL_fz00_932
																																					=
																																					BgL_fz00_5907;
																																				goto
																																					BgL_tagzd2155zd2_934;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5906);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																if (
																																	(CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2651z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd29535zd2_1350))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_carzd29673zd2_1360;
																																				obj_t
																																					BgL_cdrzd29674zd2_1361;
																																				BgL_carzd29673zd2_1360
																																					=
																																					CAR
																																					(BgL_cdrzd29535zd2_1350);
																																				BgL_cdrzd29674zd2_1361
																																					=
																																					CDR
																																					(BgL_cdrzd29535zd2_1350);
																																				if (PAIRP(BgL_carzd29673zd2_1360))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd29678zd2_1363;
																																						BgL_cdrzd29678zd2_1363
																																							=
																																							CDR
																																							(BgL_carzd29673zd2_1360);
																																						if (
																																							(CAR
																																								(BgL_carzd29673zd2_1360)
																																								==
																																								BGl_symbol2629z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd29678zd2_1363))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd29681zd2_1366;
																																										obj_t
																																											BgL_cdrzd29682zd2_1367;
																																										BgL_carzd29681zd2_1366
																																											=
																																											CAR
																																											(BgL_cdrzd29678zd2_1363);
																																										BgL_cdrzd29682zd2_1367
																																											=
																																											CDR
																																											(BgL_cdrzd29678zd2_1363);
																																										if (SYMBOLP(BgL_carzd29681zd2_1366))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd29682zd2_1367))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_carzd29686zd2_1370;
																																														BgL_carzd29686zd2_1370
																																															=
																																															CAR
																																															(BgL_cdrzd29682zd2_1367);
																																														if (SYMBOLP(BgL_carzd29686zd2_1370))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd29682zd2_1367)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (PAIRP(BgL_cdrzd29674zd2_1361))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd29674zd2_1361)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1788z00_1375;
																																																						BgL_arg1788z00_1375
																																																							=
																																																							CAR
																																																							(BgL_cdrzd29674zd2_1361);
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_idz00_3648;
																																																							obj_t
																																																								BgL_modnamez00_3649;
																																																							BgL_idz00_3648
																																																								=
																																																								BgL_carzd29681zd2_1366;
																																																							BgL_modnamez00_3649
																																																								=
																																																								BgL_carzd29686zd2_1370;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1133z00_3651;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1132z00_3652;
																																																									BgL_new1132z00_3652
																																																										=
																																																										(
																																																										(BgL_ev_setglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_setglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 319 */
																																																										long
																																																											BgL_arg2045z00_3653;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											long
																																																												BgL_res2540z00_3657;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_classz00_3654;
																																																												BgL_classz00_3654
																																																													=
																																																													BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 319 */
																																																													obj_t
																																																														BgL_vectorz00_3655;
																																																													int
																																																														BgL_kz00_3656;
																																																													BgL_vectorz00_3655
																																																														=
																																																														BgL_classz00_3654;
																																																													BgL_kz00_3656
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2540z00_3657
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_3655,
																																																															BgL_kz00_3656));
																																																											}}
																																																											BgL_arg2045z00_3653
																																																												=
																																																												BgL_res2540z00_3657;
																																																										}
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3658;
																																																											BgL_objz00_3658
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1132z00_3652);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3658,
																																																												BgL_arg2045z00_3653);
																																																									}}
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5949;
																																																										BgL_auxz00_5949
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1132z00_3652);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5949,
																																																											BFALSE);
																																																									}
																																																									BgL_new1133z00_3651
																																																										=
																																																										BgL_new1132z00_3652;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5952;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2082z00_3661;
																																																										BgL_arg2082z00_3661
																																																											=
																																																											BGl_getzd2locationzd2zz__evaluatez00
																																																											(BgL_arg1788z00_1375,
																																																											BgL_locz00_54);
																																																										BgL_auxz00_5952
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_uconvzf2loczf2zz__evaluatez00
																																																											(BgL_wherez00_53,
																																																												BgL_globalsz00_51,
																																																												BgL_localsz00_50,
																																																												BgL_arg1788z00_1375,
																																																												BgL_arg2082z00_3661));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1133z00_3651)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5952), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1133z00_3651))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1133z00_3651))->BgL_namez00) = ((obj_t) BgL_idz00_3648), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1133z00_3651))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3649)), BUNSPEC);
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_new1133z00_3651);
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2617z00zz__evaluatez00,
																																																							BGl_string2623z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2617z00zz__evaluatez00,
																																																					BGl_string2623z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd29786zd2_1377;
																																																		BgL_cdrzd29786zd2_1377
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd29790zd2_1378;
																																																			BgL_cdrzd29790zd2_1378
																																																				=
																																																				CDR
																																																				(BgL_cdrzd29786zd2_1377);
																																																			if (PAIRP(BgL_cdrzd29790zd2_1378))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd29790zd2_1378)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1792z00_1381;
																																																							obj_t
																																																								BgL_arg1793z00_1382;
																																																							BgL_arg1792z00_1381
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29786zd2_1377);
																																																							BgL_arg1793z00_1382
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29790zd2_1378);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5974;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5976;
																																																									obj_t
																																																										BgL_vz00_5975;
																																																									BgL_vz00_5975
																																																										=
																																																										BgL_arg1792z00_1381;
																																																									BgL_ez00_5976
																																																										=
																																																										BgL_arg1793z00_1382;
																																																									BgL_ez00_910
																																																										=
																																																										BgL_ez00_5976;
																																																									BgL_vz00_909
																																																										=
																																																										BgL_vz00_5975;
																																																									goto
																																																										BgL_tagzd2147zd2_911;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5974);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2617z00zz__evaluatez00,
																																																								BGl_string2623z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BGl_string2623z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd29839zd2_1385;
																																																BgL_cdrzd29839zd2_1385
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd29843zd2_1386;
																																																	BgL_cdrzd29843zd2_1386
																																																		=
																																																		CDR
																																																		(BgL_cdrzd29839zd2_1385);
																																																	if (PAIRP(BgL_cdrzd29843zd2_1386))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd29843zd2_1386)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1798z00_1389;
																																																					obj_t
																																																						BgL_arg1799z00_1390;
																																																					BgL_arg1798z00_1389
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29839zd2_1385);
																																																					BgL_arg1799z00_1390
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29843zd2_1386);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5989;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5991;
																																																							obj_t
																																																								BgL_vz00_5990;
																																																							BgL_vz00_5990
																																																								=
																																																								BgL_arg1798z00_1389;
																																																							BgL_ez00_5991
																																																								=
																																																								BgL_arg1799z00_1390;
																																																							BgL_ez00_910
																																																								=
																																																								BgL_ez00_5991;
																																																							BgL_vz00_909
																																																								=
																																																								BgL_vz00_5990;
																																																							goto
																																																								BgL_tagzd2147zd2_911;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5989);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2617z00zz__evaluatez00,
																																																						BGl_string2623z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BGl_string2623z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd29892zd2_1392;
																																														BgL_cdrzd29892zd2_1392
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd29896zd2_1393;
																																															BgL_cdrzd29896zd2_1393
																																																=
																																																CDR
																																																(BgL_cdrzd29892zd2_1392);
																																															if (PAIRP(BgL_cdrzd29896zd2_1393))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd29896zd2_1393)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1803z00_1396;
																																																			obj_t
																																																				BgL_arg1804z00_1397;
																																																			BgL_arg1803z00_1396
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29892zd2_1392);
																																																			BgL_arg1804z00_1397
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29896zd2_1393);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6004;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6006;
																																																					obj_t
																																																						BgL_vz00_6005;
																																																					BgL_vz00_6005
																																																						=
																																																						BgL_arg1803z00_1396;
																																																					BgL_ez00_6006
																																																						=
																																																						BgL_arg1804z00_1397;
																																																					BgL_ez00_910
																																																						=
																																																						BgL_ez00_6006;
																																																					BgL_vz00_909
																																																						=
																																																						BgL_vz00_6005;
																																																					goto
																																																						BgL_tagzd2147zd2_911;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6004);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2617z00zz__evaluatez00,
																																																				BGl_string2623z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BGl_string2623z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd29945zd2_1399;
																																												BgL_cdrzd29945zd2_1399
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd29949zd2_1400;
																																													BgL_cdrzd29949zd2_1400
																																														=
																																														CDR
																																														(BgL_cdrzd29945zd2_1399);
																																													if (PAIRP(BgL_cdrzd29949zd2_1400))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd29949zd2_1400)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1808z00_1403;
																																																	obj_t
																																																		BgL_arg1809z00_1404;
																																																	BgL_arg1808z00_1403
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29945zd2_1399);
																																																	BgL_arg1809z00_1404
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29949zd2_1400);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6019;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6021;
																																																			obj_t
																																																				BgL_vz00_6020;
																																																			BgL_vz00_6020
																																																				=
																																																				BgL_arg1808z00_1403;
																																																			BgL_ez00_6021
																																																				=
																																																				BgL_arg1809z00_1404;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_6021;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_6020;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6019);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2617z00zz__evaluatez00,
																																																		BGl_string2623z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2617z00zz__evaluatez00,
																																																BGl_string2623z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd29998zd2_1406;
																																										BgL_cdrzd29998zd2_1406
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd210002zd2_1407;
																																											BgL_cdrzd210002zd2_1407
																																												=
																																												CDR
																																												(BgL_cdrzd29998zd2_1406);
																																											if (PAIRP(BgL_cdrzd210002zd2_1407))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd210002zd2_1407)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1813z00_1410;
																																															obj_t
																																																BgL_arg1814z00_1411;
																																															BgL_arg1813z00_1410
																																																=
																																																CAR
																																																(BgL_cdrzd29998zd2_1406);
																																															BgL_arg1814z00_1411
																																																=
																																																CAR
																																																(BgL_cdrzd210002zd2_1407);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6034;
																																																{
																																																	obj_t
																																																		BgL_ez00_6036;
																																																	obj_t
																																																		BgL_vz00_6035;
																																																	BgL_vz00_6035
																																																		=
																																																		BgL_arg1813z00_1410;
																																																	BgL_ez00_6036
																																																		=
																																																		BgL_arg1814z00_1411;
																																																	BgL_ez00_910
																																																		=
																																																		BgL_ez00_6036;
																																																	BgL_vz00_909
																																																		=
																																																		BgL_vz00_6035;
																																																	goto
																																																		BgL_tagzd2147zd2_911;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6034);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2617z00zz__evaluatez00,
																																																BGl_string2623z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2617z00zz__evaluatez00,
																																														BGl_string2623z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd210040zd2_1413;
																																								BgL_cdrzd210040zd2_1413
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_carzd210043zd2_1414;
																																									obj_t
																																										BgL_cdrzd210044zd2_1415;
																																									BgL_carzd210043zd2_1414
																																										=
																																										CAR
																																										(BgL_cdrzd210040zd2_1413);
																																									BgL_cdrzd210044zd2_1415
																																										=
																																										CDR
																																										(BgL_cdrzd210040zd2_1413);
																																									if ((CAR(BgL_carzd210043zd2_1414) == BGl_symbol2631z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (PAIRP(BgL_cdrzd210044zd2_1415))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd210044zd2_1415)))
																																														{
																																															obj_t
																																																BgL_e2z00_6053;
																																															obj_t
																																																BgL_lz00_6051;
																																															BgL_lz00_6051
																																																=
																																																CDR
																																																(BgL_carzd210043zd2_1414);
																																															BgL_e2z00_6053
																																																=
																																																CAR
																																																(BgL_cdrzd210044zd2_1415);
																																															BgL_e2z00_907
																																																=
																																																BgL_e2z00_6053;
																																															BgL_lz00_906
																																																=
																																																BgL_lz00_6051;
																																															goto
																																																BgL_tagzd2146zd2_908;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2617z00zz__evaluatez00,
																																																BGl_string2623z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2617z00zz__evaluatez00,
																																														BGl_string2623z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd210110zd2_1423;
																																											BgL_cdrzd210110zd2_1423
																																												=
																																												CDR
																																												(BgL_cdrzd210040zd2_1413);
																																											if (PAIRP(BgL_cdrzd210110zd2_1423))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd210110zd2_1423)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1824z00_1426;
																																															obj_t
																																																BgL_arg1825z00_1427;
																																															BgL_arg1824z00_1426
																																																=
																																																CAR
																																																(BgL_cdrzd210040zd2_1413);
																																															BgL_arg1825z00_1427
																																																=
																																																CAR
																																																(BgL_cdrzd210110zd2_1423);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6065;
																																																{
																																																	obj_t
																																																		BgL_ez00_6067;
																																																	obj_t
																																																		BgL_vz00_6066;
																																																	BgL_vz00_6066
																																																		=
																																																		BgL_arg1824z00_1426;
																																																	BgL_ez00_6067
																																																		=
																																																		BgL_arg1825z00_1427;
																																																	BgL_ez00_910
																																																		=
																																																		BgL_ez00_6067;
																																																	BgL_vz00_909
																																																		=
																																																		BgL_vz00_6066;
																																																	goto
																																																		BgL_tagzd2147zd2_911;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6065);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2617z00zz__evaluatez00,
																																																BGl_string2623z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2617z00zz__evaluatez00,
																																														BGl_string2623z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd210159zd2_1431;
																																						BgL_cdrzd210159zd2_1431
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						{	/* Eval/evaluate.scm 319 */
																																							obj_t
																																								BgL_cdrzd210163zd2_1432;
																																							BgL_cdrzd210163zd2_1432
																																								=
																																								CDR
																																								(BgL_cdrzd210159zd2_1431);
																																							if (PAIRP(BgL_cdrzd210163zd2_1432))
																																								{	/* Eval/evaluate.scm 319 */
																																									if (NULLP(CDR(BgL_cdrzd210163zd2_1432)))
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_arg1834z00_1435;
																																											obj_t
																																												BgL_arg1835z00_1436;
																																											BgL_arg1834z00_1435
																																												=
																																												CAR
																																												(BgL_cdrzd210159zd2_1431);
																																											BgL_arg1835z00_1436
																																												=
																																												CAR
																																												(BgL_cdrzd210163zd2_1432);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_6080;
																																												{
																																													obj_t
																																														BgL_ez00_6082;
																																													obj_t
																																														BgL_vz00_6081;
																																													BgL_vz00_6081
																																														=
																																														BgL_arg1834z00_1435;
																																													BgL_ez00_6082
																																														=
																																														BgL_arg1835z00_1436;
																																													BgL_ez00_910
																																														=
																																														BgL_ez00_6082;
																																													BgL_vz00_909
																																														=
																																														BgL_vz00_6081;
																																													goto
																																														BgL_tagzd2147zd2_911;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_6080);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2617z00zz__evaluatez00,
																																												BGl_string2623z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 319 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_54,
																																										BGl_string2617z00zz__evaluatez00,
																																										BGl_string2623z00zz__evaluatez00,
																																										BgL_ez00_49);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_54,
																																					BGl_string2617z00zz__evaluatez00,
																																					BGl_string2623z00zz__evaluatez00,
																																					BgL_ez00_49);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_cdrzd210266zd2_1438;
																																		BgL_cdrzd210266zd2_1438
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		if ((CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2653z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd210266zd2_1438))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd210271zd2_1441;
																																						BgL_cdrzd210271zd2_1441
																																							=
																																							CDR
																																							(BgL_cdrzd210266zd2_1438);
																																						if (PAIRP(BgL_cdrzd210271zd2_1441))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd210275zd2_1443;
																																								BgL_carzd210275zd2_1443
																																									=
																																									CAR
																																									(BgL_cdrzd210271zd2_1441);
																																								if (PAIRP(BgL_carzd210275zd2_1443))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd210280zd2_1445;
																																										BgL_cdrzd210280zd2_1445
																																											=
																																											CDR
																																											(BgL_carzd210275zd2_1443);
																																										if ((CAR(BgL_carzd210275zd2_1443) == BGl_symbol2655z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd210280zd2_1445))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd210284zd2_1448;
																																														BgL_cdrzd210284zd2_1448
																																															=
																																															CDR
																																															(BgL_cdrzd210280zd2_1445);
																																														if (PAIRP(BgL_cdrzd210284zd2_1448))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd210284zd2_1448)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd210271zd2_1441)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1846z00_1452;
																																																				obj_t
																																																					BgL_arg1847z00_1453;
																																																				obj_t
																																																					BgL_arg1848z00_1454;
																																																				BgL_arg1846z00_1452
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210266zd2_1438);
																																																				BgL_arg1847z00_1453
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210280zd2_1445);
																																																				BgL_arg1848z00_1454
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210284zd2_1448);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6117;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6120;
																																																						obj_t
																																																							BgL_formalsz00_6119;
																																																						obj_t
																																																							BgL_gvz00_6118;
																																																						BgL_gvz00_6118
																																																							=
																																																							BgL_arg1846z00_1452;
																																																						BgL_formalsz00_6119
																																																							=
																																																							BgL_arg1847z00_1453;
																																																						BgL_bodyz00_6120
																																																							=
																																																							BgL_arg1848z00_1454;
																																																						BgL_bodyz00_915
																																																							=
																																																							BgL_bodyz00_6120;
																																																						BgL_formalsz00_914
																																																							=
																																																							BgL_formalsz00_6119;
																																																						BgL_gvz00_913
																																																							=
																																																							BgL_gvz00_6118;
																																																						goto
																																																							BgL_tagzd2149zd2_916;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6117);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1849z00_1455;
																																																				BgL_arg1849z00_1455
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6123;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6125;
																																																						obj_t
																																																							BgL_fz00_6124;
																																																						BgL_fz00_6124
																																																							=
																																																							BgL_arg1849z00_1455;
																																																						BgL_argsz00_6125
																																																							=
																																																							BgL_cdrzd210266zd2_1438;
																																																						BgL_argsz00_933
																																																							=
																																																							BgL_argsz00_6125;
																																																						BgL_fz00_932
																																																							=
																																																							BgL_fz00_6124;
																																																						goto
																																																							BgL_tagzd2155zd2_934;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6123);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd210358zd2_1459;
																																																		BgL_cdrzd210358zd2_1459
																																																			=
																																																			CDR
																																																			(BgL_cdrzd210266zd2_1438);
																																																		if (NULLP(CDR(BgL_cdrzd210358zd2_1459)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1853z00_1461;
																																																				obj_t
																																																					BgL_arg1854z00_1462;
																																																				BgL_arg1853z00_1461
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210266zd2_1438);
																																																				BgL_arg1854z00_1462
																																																					=
																																																					CAR
																																																					(BgL_cdrzd210358zd2_1459);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6133;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6135;
																																																						obj_t
																																																							BgL_gvz00_6134;
																																																						BgL_gvz00_6134
																																																							=
																																																							BgL_arg1853z00_1461;
																																																						BgL_gez00_6135
																																																							=
																																																							BgL_arg1854z00_1462;
																																																						BgL_gez00_918
																																																							=
																																																							BgL_gez00_6135;
																																																						BgL_gvz00_917
																																																							=
																																																							BgL_gvz00_6134;
																																																						goto
																																																							BgL_tagzd2150zd2_919;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6133);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1855z00_1463;
																																																				obj_t
																																																					BgL_arg1856z00_1464;
																																																				BgL_arg1855z00_1463
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1856z00_1464
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6139;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6141;
																																																						obj_t
																																																							BgL_fz00_6140;
																																																						BgL_fz00_6140
																																																							=
																																																							BgL_arg1855z00_1463;
																																																						BgL_argsz00_6141
																																																							=
																																																							BgL_arg1856z00_1464;
																																																						BgL_argsz00_933
																																																							=
																																																							BgL_argsz00_6141;
																																																						BgL_fz00_932
																																																							=
																																																							BgL_fz00_6140;
																																																						goto
																																																							BgL_tagzd2155zd2_934;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6139);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd210421zd2_1468;
																																																BgL_cdrzd210421zd2_1468
																																																	=
																																																	CDR
																																																	(BgL_cdrzd210266zd2_1438);
																																																if (NULLP(CDR(BgL_cdrzd210421zd2_1468)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1860z00_1470;
																																																		obj_t
																																																			BgL_arg1861z00_1471;
																																																		BgL_arg1860z00_1470
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210266zd2_1438);
																																																		BgL_arg1861z00_1471
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210421zd2_1468);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6149;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6151;
																																																				obj_t
																																																					BgL_gvz00_6150;
																																																				BgL_gvz00_6150
																																																					=
																																																					BgL_arg1860z00_1470;
																																																				BgL_gez00_6151
																																																					=
																																																					BgL_arg1861z00_1471;
																																																				BgL_gez00_918
																																																					=
																																																					BgL_gez00_6151;
																																																				BgL_gvz00_917
																																																					=
																																																					BgL_gvz00_6150;
																																																				goto
																																																					BgL_tagzd2150zd2_919;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6149);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1863z00_1472;
																																																		obj_t
																																																			BgL_arg1864z00_1473;
																																																		BgL_arg1863z00_1472
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1864z00_1473
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6155;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6157;
																																																				obj_t
																																																					BgL_fz00_6156;
																																																				BgL_fz00_6156
																																																					=
																																																					BgL_arg1863z00_1472;
																																																				BgL_argsz00_6157
																																																					=
																																																					BgL_arg1864z00_1473;
																																																				BgL_argsz00_933
																																																					=
																																																					BgL_argsz00_6157;
																																																				BgL_fz00_932
																																																					=
																																																					BgL_fz00_6156;
																																																				goto
																																																					BgL_tagzd2155zd2_934;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6155);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd210484zd2_1476;
																																														BgL_cdrzd210484zd2_1476
																																															=
																																															CDR
																																															(BgL_cdrzd210266zd2_1438);
																																														if (NULLP(CDR(BgL_cdrzd210484zd2_1476)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1867z00_1478;
																																																obj_t
																																																	BgL_arg1868z00_1479;
																																																BgL_arg1867z00_1478
																																																	=
																																																	CAR
																																																	(BgL_cdrzd210266zd2_1438);
																																																BgL_arg1868z00_1479
																																																	=
																																																	CAR
																																																	(BgL_cdrzd210484zd2_1476);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6165;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6167;
																																																		obj_t
																																																			BgL_gvz00_6166;
																																																		BgL_gvz00_6166
																																																			=
																																																			BgL_arg1867z00_1478;
																																																		BgL_gez00_6167
																																																			=
																																																			BgL_arg1868z00_1479;
																																																		BgL_gez00_918
																																																			=
																																																			BgL_gez00_6167;
																																																		BgL_gvz00_917
																																																			=
																																																			BgL_gvz00_6166;
																																																		goto
																																																			BgL_tagzd2150zd2_919;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6165);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1870z00_1480;
																																																obj_t
																																																	BgL_arg1871z00_1481;
																																																BgL_arg1870z00_1480
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1871z00_1481
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6171;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6173;
																																																		obj_t
																																																			BgL_fz00_6172;
																																																		BgL_fz00_6172
																																																			=
																																																			BgL_arg1870z00_1480;
																																																		BgL_argsz00_6173
																																																			=
																																																			BgL_arg1871z00_1481;
																																																		BgL_argsz00_933
																																																			=
																																																			BgL_argsz00_6173;
																																																		BgL_fz00_932
																																																			=
																																																			BgL_fz00_6172;
																																																		goto
																																																			BgL_tagzd2155zd2_934;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6171);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd210547zd2_1484;
																																												BgL_cdrzd210547zd2_1484
																																													=
																																													CDR
																																													(BgL_cdrzd210266zd2_1438);
																																												if (NULLP(CDR(BgL_cdrzd210547zd2_1484)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1874z00_1486;
																																														obj_t
																																															BgL_arg1875z00_1487;
																																														BgL_arg1874z00_1486
																																															=
																																															CAR
																																															(BgL_cdrzd210266zd2_1438);
																																														BgL_arg1875z00_1487
																																															=
																																															CAR
																																															(BgL_cdrzd210547zd2_1484);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6181;
																																															{
																																																obj_t
																																																	BgL_gez00_6183;
																																																obj_t
																																																	BgL_gvz00_6182;
																																																BgL_gvz00_6182
																																																	=
																																																	BgL_arg1874z00_1486;
																																																BgL_gez00_6183
																																																	=
																																																	BgL_arg1875z00_1487;
																																																BgL_gez00_918
																																																	=
																																																	BgL_gez00_6183;
																																																BgL_gvz00_917
																																																	=
																																																	BgL_gvz00_6182;
																																																goto
																																																	BgL_tagzd2150zd2_919;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6181);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1876z00_1488;
																																														obj_t
																																															BgL_arg1877z00_1489;
																																														BgL_arg1876z00_1488
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1877z00_1489
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6187;
																																															{
																																																obj_t
																																																	BgL_argsz00_6189;
																																																obj_t
																																																	BgL_fz00_6188;
																																																BgL_fz00_6188
																																																	=
																																																	BgL_arg1876z00_1488;
																																																BgL_argsz00_6189
																																																	=
																																																	BgL_arg1877z00_1489;
																																																BgL_argsz00_933
																																																	=
																																																	BgL_argsz00_6189;
																																																BgL_fz00_932
																																																	=
																																																	BgL_fz00_6188;
																																																goto
																																																	BgL_tagzd2155zd2_934;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6187);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd210610zd2_1493;
																																										BgL_cdrzd210610zd2_1493
																																											=
																																											CDR
																																											(BgL_cdrzd210266zd2_1438);
																																										if (NULLP(CDR(BgL_cdrzd210610zd2_1493)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1881z00_1495;
																																												obj_t
																																													BgL_arg1882z00_1496;
																																												BgL_arg1881z00_1495
																																													=
																																													CAR
																																													(BgL_cdrzd210266zd2_1438);
																																												BgL_arg1882z00_1496
																																													=
																																													CAR
																																													(BgL_cdrzd210610zd2_1493);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_6197;
																																													{
																																														obj_t
																																															BgL_gez00_6199;
																																														obj_t
																																															BgL_gvz00_6198;
																																														BgL_gvz00_6198
																																															=
																																															BgL_arg1881z00_1495;
																																														BgL_gez00_6199
																																															=
																																															BgL_arg1882z00_1496;
																																														BgL_gez00_918
																																															=
																																															BgL_gez00_6199;
																																														BgL_gvz00_917
																																															=
																																															BgL_gvz00_6198;
																																														goto
																																															BgL_tagzd2150zd2_919;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6197);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1883z00_1497;
																																												obj_t
																																													BgL_arg1885z00_1498;
																																												BgL_arg1883z00_1497
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1885z00_1498
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6203;
																																													{
																																														obj_t
																																															BgL_argsz00_6205;
																																														obj_t
																																															BgL_fz00_6204;
																																														BgL_fz00_6204
																																															=
																																															BgL_arg1883z00_1497;
																																														BgL_argsz00_6205
																																															=
																																															BgL_arg1885z00_1498;
																																														BgL_argsz00_933
																																															=
																																															BgL_argsz00_6205;
																																														BgL_fz00_932
																																															=
																																															BgL_fz00_6204;
																																														goto
																																															BgL_tagzd2155zd2_934;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6203);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1888z00_1500;
																																								BgL_arg1888z00_1500
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6208;
																																									{
																																										obj_t
																																											BgL_argsz00_6210;
																																										obj_t
																																											BgL_fz00_6209;
																																										BgL_fz00_6209
																																											=
																																											BgL_arg1888z00_1500;
																																										BgL_argsz00_6210
																																											=
																																											BgL_cdrzd210266zd2_1438;
																																										BgL_argsz00_933
																																											=
																																											BgL_argsz00_6210;
																																										BgL_fz00_932
																																											=
																																											BgL_fz00_6209;
																																										goto
																																											BgL_tagzd2155zd2_934;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6208);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_arg1890z00_1502;
																																						BgL_arg1890z00_1502
																																							=
																																							CAR
																																							(BgL_ez00_49);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_6213;
																																							{
																																								obj_t
																																									BgL_argsz00_6215;
																																								obj_t
																																									BgL_fz00_6214;
																																								BgL_fz00_6214
																																									=
																																									BgL_arg1890z00_1502;
																																								BgL_argsz00_6215
																																									=
																																									BgL_cdrzd210266zd2_1438;
																																								BgL_argsz00_933
																																									=
																																									BgL_argsz00_6215;
																																								BgL_fz00_932
																																									=
																																									BgL_fz00_6214;
																																								goto
																																									BgL_tagzd2155zd2_934;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_6213);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				if (
																																					(CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2657z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd210266zd2_1438))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd210778zd2_1507;
																																								BgL_carzd210778zd2_1507
																																									=
																																									CAR
																																									(BgL_cdrzd210266zd2_1438);
																																								if (PAIRP(BgL_carzd210778zd2_1507))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (NULLP(CDR(BgL_carzd210778zd2_1507)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1896z00_1510;
																																												obj_t
																																													BgL_arg1897z00_1511;
																																												BgL_arg1896z00_1510
																																													=
																																													CAR
																																													(BgL_carzd210778zd2_1507);
																																												BgL_arg1897z00_1511
																																													=
																																													CDR
																																													(BgL_cdrzd210266zd2_1438);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_6230;
																																													{
																																														obj_t
																																															BgL_bodyz00_6232;
																																														obj_t
																																															BgL_vz00_6231;
																																														BgL_vz00_6231
																																															=
																																															BgL_arg1896z00_1510;
																																														BgL_bodyz00_6232
																																															=
																																															BgL_arg1897z00_1511;
																																														BgL_bodyz00_921
																																															=
																																															BgL_bodyz00_6232;
																																														BgL_vz00_920
																																															=
																																															BgL_vz00_6231;
																																														goto
																																															BgL_tagzd2151zd2_922;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6230);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1898z00_1512;
																																												obj_t
																																													BgL_arg1899z00_1513;
																																												BgL_arg1898z00_1512
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1899z00_1513
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6236;
																																													{
																																														obj_t
																																															BgL_argsz00_6238;
																																														obj_t
																																															BgL_fz00_6237;
																																														BgL_fz00_6237
																																															=
																																															BgL_arg1898z00_1512;
																																														BgL_argsz00_6238
																																															=
																																															BgL_arg1899z00_1513;
																																														BgL_argsz00_933
																																															=
																																															BgL_argsz00_6238;
																																														BgL_fz00_932
																																															=
																																															BgL_fz00_6237;
																																														goto
																																															BgL_tagzd2155zd2_934;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6236);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1901z00_1515;
																																										obj_t
																																											BgL_arg1902z00_1516;
																																										BgL_arg1901z00_1515
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1902z00_1516
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6242;
																																											{
																																												obj_t
																																													BgL_argsz00_6244;
																																												obj_t
																																													BgL_fz00_6243;
																																												BgL_fz00_6243
																																													=
																																													BgL_arg1901z00_1515;
																																												BgL_argsz00_6244
																																													=
																																													BgL_arg1902z00_1516;
																																												BgL_argsz00_933
																																													=
																																													BgL_argsz00_6244;
																																												BgL_fz00_932
																																													=
																																													BgL_fz00_6243;
																																												goto
																																													BgL_tagzd2155zd2_934;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6242);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1903z00_1517;
																																								obj_t
																																									BgL_arg1904z00_1518;
																																								BgL_arg1903z00_1517
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								BgL_arg1904z00_1518
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6248;
																																									{
																																										obj_t
																																											BgL_argsz00_6250;
																																										obj_t
																																											BgL_fz00_6249;
																																										BgL_fz00_6249
																																											=
																																											BgL_arg1903z00_1517;
																																										BgL_argsz00_6250
																																											=
																																											BgL_arg1904z00_1518;
																																										BgL_argsz00_933
																																											=
																																											BgL_argsz00_6250;
																																										BgL_fz00_932
																																											=
																																											BgL_fz00_6249;
																																										goto
																																											BgL_tagzd2155zd2_934;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6248);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd210881zd2_1519;
																																						BgL_cdrzd210881zd2_1519
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2659z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd210881zd2_1519))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1907z00_1522;
																																										obj_t
																																											BgL_arg1908z00_1523;
																																										BgL_arg1907z00_1522
																																											=
																																											CAR
																																											(BgL_cdrzd210881zd2_1519);
																																										BgL_arg1908z00_1523
																																											=
																																											CDR
																																											(BgL_cdrzd210881zd2_1519);
																																										{
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_auxz00_6260;
																																											{
																																												obj_t
																																													BgL_bodyz00_6262;
																																												obj_t
																																													BgL_ez00_6261;
																																												BgL_ez00_6261
																																													=
																																													BgL_arg1907z00_1522;
																																												BgL_bodyz00_6262
																																													=
																																													BgL_arg1908z00_1523;
																																												BgL_bodyz00_924
																																													=
																																													BgL_bodyz00_6262;
																																												BgL_ez00_923
																																													=
																																													BgL_ez00_6261;
																																												goto
																																													BgL_tagzd2152zd2_925;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6260);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1909z00_1524;
																																										BgL_arg1909z00_1524
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6265;
																																											{
																																												obj_t
																																													BgL_argsz00_6267;
																																												obj_t
																																													BgL_fz00_6266;
																																												BgL_fz00_6266
																																													=
																																													BgL_arg1909z00_1524;
																																												BgL_argsz00_6267
																																													=
																																													BgL_cdrzd210881zd2_1519;
																																												BgL_argsz00_933
																																													=
																																													BgL_argsz00_6267;
																																												BgL_fz00_932
																																													=
																																													BgL_fz00_6266;
																																												goto
																																													BgL_tagzd2155zd2_934;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6265);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2661z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd210881zd2_1519))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1913z00_1529;
																																												obj_t
																																													BgL_arg1914z00_1530;
																																												BgL_arg1913z00_1529
																																													=
																																													CAR
																																													(BgL_cdrzd210881zd2_1519);
																																												BgL_arg1914z00_1530
																																													=
																																													CDR
																																													(BgL_cdrzd210881zd2_1519);
																																												{
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_auxz00_6276;
																																													{
																																														obj_t
																																															BgL_bodyz00_6278;
																																														obj_t
																																															BgL_hz00_6277;
																																														BgL_hz00_6277
																																															=
																																															BgL_arg1913z00_1529;
																																														BgL_bodyz00_6278
																																															=
																																															BgL_arg1914z00_1530;
																																														BgL_bodyz00_927
																																															=
																																															BgL_bodyz00_6278;
																																														BgL_hz00_926
																																															=
																																															BgL_hz00_6277;
																																														goto
																																															BgL_tagzd2153zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6276);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1915z00_1531;
																																												obj_t
																																													BgL_arg1916z00_1532;
																																												BgL_arg1915z00_1531
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1916z00_1532
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6282;
																																													{
																																														obj_t
																																															BgL_argsz00_6284;
																																														obj_t
																																															BgL_fz00_6283;
																																														BgL_fz00_6283
																																															=
																																															BgL_arg1915z00_1531;
																																														BgL_argsz00_6284
																																															=
																																															BgL_arg1916z00_1532;
																																														BgL_argsz00_933
																																															=
																																															BgL_argsz00_6284;
																																														BgL_fz00_932
																																															=
																																															BgL_fz00_6283;
																																														goto
																																															BgL_tagzd2155zd2_934;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6282);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd210945zd2_1533;
																																										BgL_cdrzd210945zd2_1533
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2655z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd210945zd2_1533))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd210949zd2_1536;
																																														BgL_cdrzd210949zd2_1536
																																															=
																																															CDR
																																															(BgL_cdrzd210945zd2_1533);
																																														if (PAIRP(BgL_cdrzd210949zd2_1536))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd210949zd2_1536)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1921z00_1539;
																																																		obj_t
																																																			BgL_arg1922z00_1540;
																																																		BgL_arg1921z00_1539
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210945zd2_1533);
																																																		BgL_arg1922z00_1540
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210949zd2_1536);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg2071z00_3861;
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg2072z00_3862;
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg2073z00_3863;
																																																					obj_t
																																																						BgL_arg2074z00_3864;
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_res2577z00_3867;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_symbolz00_3865;
																																																							BgL_symbolz00_3865
																																																								=
																																																								BGl_symbol2663z00zz__evaluatez00;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg2248z00_3866;
																																																								BgL_arg2248z00_3866
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3865);
																																																								BgL_res2577z00_3867
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2248z00_3866);
																																																							}
																																																						}
																																																						BgL_arg2073z00_3863
																																																							=
																																																							BgL_res2577z00_3867;
																																																					}
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_res2578z00_3870;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_symbolz00_3868;
																																																							BgL_symbolz00_3868
																																																								=
																																																								BgL_wherez00_53;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg2248z00_3869;
																																																								BgL_arg2248z00_3869
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3868);
																																																								BgL_res2578z00_3870
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2248z00_3869);
																																																							}
																																																						}
																																																						BgL_arg2074z00_3864
																																																							=
																																																							BgL_res2578z00_3870;
																																																					}
																																																					BgL_arg2072z00_3862
																																																						=
																																																						string_append
																																																						(BgL_arg2073z00_3863,
																																																						BgL_arg2074z00_3864);
																																																				}
																																																				BgL_arg2071z00_3861
																																																					=
																																																					string_to_symbol
																																																					(BSTRING_TO_STRING
																																																					(BgL_arg2072z00_3862));
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BGl_convzd2lambdazd2zz__evaluatez00
																																																				(BgL_globalsz00_51,
																																																					BgL_localsz00_50,
																																																					BgL_locz00_54,
																																																					BgL_ez00_49,
																																																					BgL_arg1921z00_1539,
																																																					BgL_arg1922z00_1540,
																																																					BgL_arg2071z00_3861));
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1923z00_1541;
																																																		BgL_arg1923z00_1541
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6310;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6312;
																																																				obj_t
																																																					BgL_fz00_6311;
																																																				BgL_fz00_6311
																																																					=
																																																					BgL_arg1923z00_1541;
																																																				BgL_argsz00_6312
																																																					=
																																																					BgL_cdrzd210945zd2_1533;
																																																				BgL_argsz00_933
																																																					=
																																																					BgL_argsz00_6312;
																																																				BgL_fz00_932
																																																					=
																																																					BgL_fz00_6311;
																																																				goto
																																																					BgL_tagzd2155zd2_934;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6310);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1926z00_1544;
																																																BgL_arg1926z00_1544
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6315;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6317;
																																																		obj_t
																																																			BgL_fz00_6316;
																																																		BgL_fz00_6316
																																																			=
																																																			BgL_arg1926z00_1544;
																																																		BgL_argsz00_6317
																																																			=
																																																			BgL_cdrzd210945zd2_1533;
																																																		BgL_argsz00_933
																																																			=
																																																			BgL_argsz00_6317;
																																																		BgL_fz00_932
																																																			=
																																																			BgL_fz00_6316;
																																																		goto
																																																			BgL_tagzd2155zd2_934;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6315);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1928z00_1546;
																																														BgL_arg1928z00_1546
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6320;
																																															{
																																																obj_t
																																																	BgL_argsz00_6322;
																																																obj_t
																																																	BgL_fz00_6321;
																																																BgL_fz00_6321
																																																	=
																																																	BgL_arg1928z00_1546;
																																																BgL_argsz00_6322
																																																	=
																																																	BgL_cdrzd210945zd2_1533;
																																																BgL_argsz00_933
																																																	=
																																																	BgL_argsz00_6322;
																																																BgL_fz00_932
																																																	=
																																																	BgL_fz00_6321;
																																																goto
																																																	BgL_tagzd2155zd2_934;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6320);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1931z00_1548;
																																												BgL_arg1931z00_1548
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6325;
																																													{
																																														obj_t
																																															BgL_argsz00_6327;
																																														obj_t
																																															BgL_fz00_6326;
																																														BgL_fz00_6326
																																															=
																																															BgL_arg1931z00_1548;
																																														BgL_argsz00_6327
																																															=
																																															BgL_cdrzd210945zd2_1533;
																																														BgL_argsz00_933
																																															=
																																															BgL_argsz00_6327;
																																														BgL_fz00_932
																																															=
																																															BgL_fz00_6326;
																																														goto
																																															BgL_tagzd2155zd2_934;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6325);
																																												}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 319 */
						BgL_xz00_864 = BgL_ez00_49;
						if (SYMBOLP(BgL_xz00_864))
							{	/* Eval/evaluate.scm 322 */
								obj_t BgL__ortest_1096z00_1569;

								BgL__ortest_1096z00_1569 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_864,
									BgL_localsz00_50);
								if (CBOOL(BgL__ortest_1096z00_1569))
									{	/* Eval/evaluate.scm 322 */
										return BgL__ortest_1096z00_1569;
									}
								else
									{	/* Eval/evaluate.scm 323 */
										BgL_ev_globalz00_bglt BgL_new1098z00_1570;

										{	/* Eval/evaluate.scm 323 */
											BgL_ev_globalz00_bglt BgL_new1097z00_1572;

											BgL_new1097z00_1572 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 323 */
												long BgL_arg1955z00_1573;

												{	/* Eval/evaluate.scm 323 */
													long BgL_res2371z00_2468;

													{	/* Eval/evaluate.scm 323 */
														obj_t BgL_classz00_2465;

														BgL_classz00_2465 =
															BGl_ev_globalz00zz__evaluate_typesz00;
														{	/* Eval/evaluate.scm 323 */
															obj_t BgL_vectorz00_2466;
															int BgL_kz00_2467;

															BgL_vectorz00_2466 = BgL_classz00_2465;
															BgL_kz00_2467 = (int) (((long) 1));
															BgL_res2371z00_2468 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_2466,
																	BgL_kz00_2467));
													}}
													BgL_arg1955z00_1573 = BgL_res2371z00_2468;
												}
												{	/* Eval/evaluate.scm 323 */
													BgL_objectz00_bglt BgL_objz00_2469;

													BgL_objz00_2469 =
														((BgL_objectz00_bglt) BgL_new1097z00_1572);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2469,
														BgL_arg1955z00_1573);
											}}
											{	/* Eval/evaluate.scm 323 */
												BgL_objectz00_bglt BgL_auxz00_6340;

												BgL_auxz00_6340 =
													((BgL_objectz00_bglt) BgL_new1097z00_1572);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_6340, BFALSE);
											}
											BgL_new1098z00_1570 = BgL_new1097z00_1572;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1570))->
												BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1570))->
												BgL_namez00) = ((obj_t) BgL_xz00_864), BUNSPEC);
										{
											obj_t BgL_auxz00_6345;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6345 = BgL_globalsz00_51;
												}
											else
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6345 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1570))->
													BgL_modz00) = ((obj_t) BgL_auxz00_6345), BUNSPEC);
										}
										return ((obj_t) BgL_new1098z00_1570);
									}
							}
						else
							{	/* Eval/evaluate.scm 327 */
								BgL_ev_littz00_bglt BgL_new1100z00_1574;

								{	/* Eval/evaluate.scm 327 */
									BgL_ev_littz00_bglt BgL_new1099z00_1575;

									BgL_new1099z00_1575 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 327 */
										long BgL_arg1956z00_1576;

										{	/* Eval/evaluate.scm 327 */
											long BgL_res2372z00_2474;

											{	/* Eval/evaluate.scm 327 */
												obj_t BgL_classz00_2471;

												BgL_classz00_2471 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 327 */
													obj_t BgL_vectorz00_2472;
													int BgL_kz00_2473;

													BgL_vectorz00_2472 = BgL_classz00_2471;
													BgL_kz00_2473 = (int) (((long) 1));
													BgL_res2372z00_2474 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2472,
															BgL_kz00_2473));
											}}
											BgL_arg1956z00_1576 = BgL_res2372z00_2474;
										}
										{	/* Eval/evaluate.scm 327 */
											BgL_objectz00_bglt BgL_objz00_2475;

											BgL_objz00_2475 =
												((BgL_objectz00_bglt) BgL_new1099z00_1575);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2475,
												BgL_arg1956z00_1576);
									}}
									{	/* Eval/evaluate.scm 327 */
										BgL_objectz00_bglt BgL_auxz00_6357;

										BgL_auxz00_6357 =
											((BgL_objectz00_bglt) BgL_new1099z00_1575);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6357, BFALSE);
									}
									BgL_new1100z00_1574 = BgL_new1099z00_1575;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1100z00_1574))->
										BgL_valuez00) = ((obj_t) BgL_xz00_864), BUNSPEC);
								return ((obj_t) BgL_new1100z00_1574);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_4101,
		obj_t BgL_globalsz00_4100, obj_t BgL_localsz00_4099, obj_t BgL_locz00_4098,
		obj_t BgL_esz00_1822)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 283 */
			if (NULLP(BgL_esz00_1822))
				{	/* Eval/evaluate.scm 284 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 286 */
					obj_t BgL_ez00_1825;

					BgL_ez00_1825 = CAR(BgL_esz00_1822);
					{	/* Eval/evaluate.scm 287 */
						obj_t BgL_arg2086z00_1826;
						obj_t BgL_arg2087z00_1827;

						{	/* Eval/evaluate.scm 287 */
							obj_t BgL_arg2088z00_1828;

							{	/* Eval/evaluate.scm 287 */
								obj_t BgL__ortest_1067z00_2407;

								BgL__ortest_1067z00_2407 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_1825);
								if (CBOOL(BgL__ortest_1067z00_2407))
									{	/* Eval/evaluate.scm 287 */
										BgL_arg2088z00_1828 = BgL__ortest_1067z00_2407;
									}
								else
									{	/* Eval/evaluate.scm 287 */
										obj_t BgL__ortest_1068z00_2408;

										BgL__ortest_1068z00_2408 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_1822);
										if (CBOOL(BgL__ortest_1068z00_2408))
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2088z00_1828 = BgL__ortest_1068z00_2408;
											}
										else
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2088z00_1828 = BgL_locz00_4098;
											}
									}
							}
							BgL_arg2086z00_1826 =
								BGl_convz00zz__evaluatez00(BgL_ez00_1825, BgL_localsz00_4099,
								BgL_globalsz00_4100, BFALSE, BgL_wherez00_4101,
								BgL_arg2088z00_1828, ((bool_t) 0));
						}
						BgL_arg2087z00_1827 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_4101, BgL_globalsz00_4100,
							BgL_localsz00_4099, BgL_locz00_4098, CDR(BgL_esz00_1822));
						return MAKE_PAIR(BgL_arg2086z00_1826, BgL_arg2087z00_1827);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_4103,
		obj_t BgL_globalsz00_4102, obj_t BgL_lz00_2827, obj_t BgL_varsz00_2828,
		obj_t BgL_localsz00_2829, obj_t BgL_locz00_2830)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 393 */
			if (NULLP(BgL_lz00_2827))
				{	/* Eval/evaluate.scm 403 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 403 */
					obj_t BgL_locz00_2841;

					{	/* Eval/evaluate.scm 403 */
						obj_t BgL__ortest_1066z00_2853;

						BgL__ortest_1066z00_2853 =
							BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_2827);
						if (CBOOL(BgL__ortest_1066z00_2853))
							{	/* Eval/evaluate.scm 403 */
								BgL_locz00_2841 = BgL__ortest_1066z00_2853;
							}
						else
							{	/* Eval/evaluate.scm 403 */
								BgL_locz00_2841 = BgL_locz00_2830;
							}
					}
					{	/* Eval/evaluate.scm 403 */
						obj_t BgL_arg2012z00_2842;
						obj_t BgL_arg2013z00_2843;

						{	/* Eval/evaluate.scm 403 */
							obj_t BgL_arg2015z00_2844;

							{	/* Eval/evaluate.scm 403 */
								obj_t BgL_pairz00_2854;

								BgL_pairz00_2854 = BgL_lz00_2827;
								BgL_arg2015z00_2844 = CAR(CDR(CAR(BgL_pairz00_2854)));
							}
							BgL_arg2012z00_2842 =
								BGl_convz00zz__evaluatez00(BgL_arg2015z00_2844,
								BgL_localsz00_2829, BgL_globalsz00_4102, BFALSE,
								BgL_wherez00_4103, BgL_locz00_2841, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 403 */
							obj_t BgL_arg2016z00_2845;
							obj_t BgL_arg2017z00_2846;
							obj_t BgL_arg2018z00_2847;

							BgL_arg2016z00_2845 = CDR(BgL_lz00_2827);
							BgL_arg2017z00_2846 = CDR(BgL_varsz00_2828);
							BgL_arg2018z00_2847 =
								MAKE_PAIR(CAR(BgL_varsz00_2828), BgL_localsz00_2829);
							BgL_arg2013z00_2843 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_4103,
								BgL_globalsz00_4102, BgL_arg2016z00_2845, BgL_arg2017z00_2846,
								BgL_arg2018z00_2847, BgL_locz00_2841);
						}
						return MAKE_PAIR(BgL_arg2012z00_2842, BgL_arg2013z00_2843);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_4107, obj_t BgL_localsz00_4106, obj_t BgL_locz00_4105,
		obj_t BgL_ez00_4104, obj_t BgL_formalsz00_1831, obj_t BgL_bodyz00_1832,
		obj_t BgL_wherez00_1833)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 301 */
			{
				obj_t BgL_lz00_1862;

				{	/* Eval/evaluate.scm 303 */
					obj_t BgL_varsz00_1836;

					BgL_lz00_1862 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_1831, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_1866;
						obj_t BgL_flatz00_1867;
						long BgL_arityz00_1868;

						BgL_rz00_1866 = BgL_lz00_1862;
						BgL_flatz00_1867 = BNIL;
						BgL_arityz00_1868 = ((long) 0);
					BgL_zc3anonymousza32103ze3z83_1869:
						if (NULLP(BgL_rz00_1866))
							{	/* Eval/evaluate.scm 296 */
								obj_t BgL_val0_1174z00_1871;

								BgL_val0_1174z00_1871 = bgl_reverse_bang(BgL_flatz00_1867);
								{	/* Eval/evaluate.scm 296 */
									int BgL_res2359z00_2413;

									{	/* Eval/evaluate.scm 296 */
										int BgL_auxz00_6393;

										BgL_auxz00_6393 = (int) (((long) 2));
										BgL_res2359z00_2413 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_6393);
									} BgL_res2359z00_2413;
								}
								{	/* Eval/evaluate.scm 296 */
									obj_t BgL_auxz00_6398;
									int BgL_auxz00_6396;

									BgL_auxz00_6398 = BINT(BgL_arityz00_1868);
									BgL_auxz00_6396 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_6396, BgL_auxz00_6398);
								}
								BgL_varsz00_1836 = BgL_val0_1174z00_1871;
							}
						else
							{	/* Eval/evaluate.scm 295 */
								if (PAIRP(BgL_rz00_1866))
									{	/* Eval/evaluate.scm 300 */
										obj_t BgL_arg2106z00_1874;
										obj_t BgL_arg2107z00_1875;
										long BgL_arg2108z00_1876;

										BgL_arg2106z00_1874 = CDR(BgL_rz00_1866);
										BgL_arg2107z00_1875 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_1866)), BgL_flatz00_1867);
										BgL_arg2108z00_1876 = (BgL_arityz00_1868 + ((long) 1));
										{
											long BgL_arityz00_6410;
											obj_t BgL_flatz00_6409;
											obj_t BgL_rz00_6408;

											BgL_rz00_6408 = BgL_arg2106z00_1874;
											BgL_flatz00_6409 = BgL_arg2107z00_1875;
											BgL_arityz00_6410 = BgL_arg2108z00_1876;
											BgL_arityz00_1868 = BgL_arityz00_6410;
											BgL_flatz00_1867 = BgL_flatz00_6409;
											BgL_rz00_1866 = BgL_rz00_6408;
											goto BgL_zc3anonymousza32103ze3z83_1869;
										}
									}
								else
									{	/* Eval/evaluate.scm 298 */
										obj_t BgL_val0_1176z00_1879;
										long BgL_val1_1177z00_1880;

										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_arg2112z00_1881;

											BgL_arg2112z00_1881 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_1866), BgL_flatz00_1867);
											BgL_val0_1176z00_1879 =
												bgl_reverse_bang(BgL_arg2112z00_1881);
										}
										BgL_val1_1177z00_1880 = (((long) -1) - BgL_arityz00_1868);
										{	/* Eval/evaluate.scm 298 */
											int BgL_res2363z00_2427;

											{	/* Eval/evaluate.scm 298 */
												int BgL_auxz00_6415;

												BgL_auxz00_6415 = (int) (((long) 2));
												BgL_res2363z00_2427 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_6415);
											} BgL_res2363z00_2427;
										}
										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_auxz00_6420;
											int BgL_auxz00_6418;

											BgL_auxz00_6420 = BINT(BgL_val1_1177z00_1880);
											BgL_auxz00_6418 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_6418, BgL_auxz00_6420);
										}
										BgL_varsz00_1836 = BgL_val0_1176z00_1879;
					}}}
					{	/* Eval/evaluate.scm 305 */
						obj_t BgL_arityz00_1837;

						{	/* Eval/evaluate.scm 305 */
							int BgL_auxz00_6424;

							BgL_auxz00_6424 = (int) (((long) 1));
							BgL_arityz00_1837 = BGL_MVALUES_VAL(BgL_auxz00_6424);
						}
						{	/* Eval/evaluate.scm 305 */
							obj_t BgL_varsz00_1838;
							obj_t BgL_bodyz00_1839;
							obj_t BgL_nlocz00_1840;

							if (NULLP(BgL_varsz00_1836))
								{	/* Eval/evaluate.scm 305 */
									BgL_varsz00_1838 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 305 */
									obj_t BgL_head1180z00_1847;

									{	/* Eval/evaluate.scm 305 */
										obj_t BgL_res2365z00_2435;

										BgL_res2365z00_2435 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1180z00_1847 = BgL_res2365z00_2435;
									}
									{
										obj_t BgL_l1178z00_1849;
										obj_t BgL_tail1181z00_1850;

										BgL_l1178z00_1849 = BgL_varsz00_1836;
										BgL_tail1181z00_1850 = BgL_head1180z00_1847;
									BgL_zc3anonymousza32094ze3z83_1851:
										if (NULLP(BgL_l1178z00_1849))
											{	/* Eval/evaluate.scm 305 */
												BgL_varsz00_1838 = CDR(BgL_head1180z00_1847);
											}
										else
											{	/* Eval/evaluate.scm 305 */
												obj_t BgL_newtail1182z00_1853;

												{	/* Eval/evaluate.scm 305 */
													BgL_ev_varz00_bglt BgL_arg2099z00_1855;

													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_vz00_1856;

														BgL_vz00_1856 = CAR(BgL_l1178z00_1849);
														{	/* Eval/evaluate.scm 306 */
															BgL_ev_varz00_bglt BgL_new1093z00_1857;

															{	/* Eval/evaluate.scm 306 */
																BgL_ev_varz00_bglt BgL_new1091z00_1858;

																BgL_new1091z00_1858 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 306 */
																	long BgL_arg2100z00_1859;

																	{	/* Eval/evaluate.scm 306 */
																		long BgL_res2367z00_2443;

																		{	/* Eval/evaluate.scm 306 */
																			obj_t BgL_classz00_2440;

																			BgL_classz00_2440 =
																				BGl_ev_varz00zz__evaluate_typesz00;
																			{	/* Eval/evaluate.scm 306 */
																				obj_t BgL_vectorz00_2441;
																				int BgL_kz00_2442;

																				BgL_vectorz00_2441 = BgL_classz00_2440;
																				BgL_kz00_2442 = (int) (((long) 1));
																				BgL_res2367z00_2443 =
																					(long)
																					CINT(VECTOR_REF(BgL_vectorz00_2441,
																						BgL_kz00_2442));
																		}}
																		BgL_arg2100z00_1859 = BgL_res2367z00_2443;
																	}
																	{	/* Eval/evaluate.scm 306 */
																		BgL_objectz00_bglt BgL_objz00_2444;

																		BgL_objz00_2444 =
																			((BgL_objectz00_bglt)
																			BgL_new1091z00_1858);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2444,
																			BgL_arg2100z00_1859);
																}}
																{	/* Eval/evaluate.scm 306 */
																	BgL_objectz00_bglt BgL_auxz00_6440;

																	BgL_auxz00_6440 =
																		((BgL_objectz00_bglt) BgL_new1091z00_1858);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_6440,
																		BFALSE);
																}
																BgL_new1093z00_1857 = BgL_new1091z00_1858;
															}
															{
																obj_t BgL_auxz00_6443;

																{	/* Eval/evaluate.scm 307 */
																	obj_t BgL_pairz00_2446;

																	BgL_pairz00_2446 = BgL_vz00_1856;
																	BgL_auxz00_6443 = CAR(BgL_pairz00_2446);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1857))->BgL_namez00) =
																	((obj_t) BgL_auxz00_6443), BUNSPEC);
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1093z00_1857))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															{
																obj_t BgL_auxz00_6447;

																{	/* Eval/evaluate.scm 308 */
																	obj_t BgL_pairz00_2447;

																	BgL_pairz00_2447 = BgL_vz00_1856;
																	BgL_auxz00_6447 = CDR(BgL_pairz00_2447);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1857))->BgL_typez00) =
																	((obj_t) BgL_auxz00_6447), BUNSPEC);
															}
															BgL_arg2099z00_1855 = BgL_new1093z00_1857;
													}}
													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_res2368z00_2450;

														{	/* Eval/evaluate.scm 305 */
															obj_t BgL_obj1z00_2448;

															BgL_obj1z00_2448 = ((obj_t) BgL_arg2099z00_1855);
															BgL_res2368z00_2450 =
																MAKE_PAIR(BgL_obj1z00_2448, BNIL);
														}
														BgL_newtail1182z00_1853 = BgL_res2368z00_2450;
												}}
												SET_CDR(BgL_tail1181z00_1850, BgL_newtail1182z00_1853);
												{
													obj_t BgL_tail1181z00_6455;
													obj_t BgL_l1178z00_6453;

													BgL_l1178z00_6453 = CDR(BgL_l1178z00_1849);
													BgL_tail1181z00_6455 = BgL_newtail1182z00_1853;
													BgL_tail1181z00_1850 = BgL_tail1181z00_6455;
													BgL_l1178z00_1849 = BgL_l1178z00_6453;
													goto BgL_zc3anonymousza32094ze3z83_1851;
												}
											}
									}
								}
							BgL_bodyz00_1839 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4104, BgL_formalsz00_1831, BgL_bodyz00_1832,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 311 */
								obj_t BgL__ortest_1066z00_2456;

								BgL__ortest_1066z00_2456 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_1832);
								if (CBOOL(BgL__ortest_1066z00_2456))
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1840 = BgL__ortest_1066z00_2456;
									}
								else
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1840 = BgL_locz00_4105;
									}
							}
							{	/* Eval/evaluate.scm 312 */
								BgL_ev_absz00_bglt BgL_new1095z00_1841;

								{	/* Eval/evaluate.scm 312 */
									BgL_ev_absz00_bglt BgL_new1094z00_1843;

									BgL_new1094z00_1843 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 312 */
										long BgL_arg2092z00_1844;

										{	/* Eval/evaluate.scm 312 */
											long BgL_res2369z00_2460;

											{	/* Eval/evaluate.scm 312 */
												obj_t BgL_classz00_2457;

												BgL_classz00_2457 = BGl_ev_absz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 312 */
													obj_t BgL_vectorz00_2458;
													int BgL_kz00_2459;

													BgL_vectorz00_2458 = BgL_classz00_2457;
													BgL_kz00_2459 = (int) (((long) 1));
													BgL_res2369z00_2460 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2458,
															BgL_kz00_2459));
											}}
											BgL_arg2092z00_1844 = BgL_res2369z00_2460;
										}
										{	/* Eval/evaluate.scm 312 */
											BgL_objectz00_bglt BgL_objz00_2461;

											BgL_objz00_2461 =
												((BgL_objectz00_bglt) BgL_new1094z00_1843);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2461,
												BgL_arg2092z00_1844);
									}}
									{	/* Eval/evaluate.scm 312 */
										BgL_objectz00_bglt BgL_auxz00_6466;

										BgL_auxz00_6466 =
											((BgL_objectz00_bglt) BgL_new1094z00_1843);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6466, BFALSE);
									}
									BgL_new1095z00_1841 = BgL_new1094z00_1843;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_locz00) = ((obj_t) BgL_locz00_4105), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_1833), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_1837), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_1838), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_6473;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg2091z00_1842;

										BgL_arg2091z00_1842 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_1838,
											BgL_localsz00_4106);
										BgL_auxz00_6473 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_1839,
												BgL_arg2091z00_1842, BgL_globalsz00_4107, BTRUE,
												BgL_wherez00_1833, BgL_nlocz00_1840, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_6473), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1841))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1095z00_1841;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_4114,
		obj_t BgL_globalsz00_4113, obj_t BgL_localsz00_4112, obj_t BgL_ez00_1813,
		obj_t BgL_locz00_1814)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 277 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_1813, BgL_localsz00_4112,
				BgL_globalsz00_4113, BFALSE, BgL_wherez00_4114, BgL_locz00_1814,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2665z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
