/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62main5491z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5493z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5495z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1682zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32299ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5497z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5499z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letrec1668zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33596ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33563ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33458ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33296ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33864ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1656zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_trap1642zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33548ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32958ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33793ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32975ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33922ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33671ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33744ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32217ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33583ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5601z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33656ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5603z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5605z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5607z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5609z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32072ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32218ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33957ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33851ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33835ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5611z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5613z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33479ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5615z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5617z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal1652zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5619z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1672z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol5621z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33569ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1650zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5623z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5625z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5627z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5629z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32946ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5631z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5633z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32091ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33055ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32148ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33200ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32042ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33765ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32116ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33944ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_zc3exitza33677ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33499ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32360ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33589ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5663z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33325ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33074ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33857ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza31986ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5678z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32184ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33785ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33696ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5680z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5682z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5684z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33092ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33206ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33892ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33223ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1658zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33402ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33046ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32634ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_var1644zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33169ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62run5500z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5502z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5504z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5506z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5508z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33704ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33242ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33064ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5510z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33985ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5512z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5514z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5516z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5518z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32741ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33616ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33421ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33316ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32069ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5520z62zz__evaluate_compz00(obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run5522z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5524z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5526z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5528z62zz__evaluate_compz00(obj_t, obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33366ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33082ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5530z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5532z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_z62run5534z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32654ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33261ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32833ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33335ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32088ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32745ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1676zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33726ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32908ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5501z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32657ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5503z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5505z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5507z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5509z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32357ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32763ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33816ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5511z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33638ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5513z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5515z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main5517z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5519z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32853ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5521z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5523z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5525z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5527z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5529z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33088ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32781ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5531z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5533z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33445ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33178ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62comp1639z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_zc3exitza33608ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33284ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1646zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33747ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31965ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33358ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1670z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33926ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33464ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33838ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33716ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33376ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza32010ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1674z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33806ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33628ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32949ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33912ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32877ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21666z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_zc3exitza33485ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33396ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1654zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32895ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32951ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33100ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32985ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_zc3exitza32936ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl_zc3exitza33738ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol5539z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol5541z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5543z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5549z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33208ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33894ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_zc3exitza33829ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol5557z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5559z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32261ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza32955ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol5561z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5564z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5567z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5569z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza32213ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5571z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol5573z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5575z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5577z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5579z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33791ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33759ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5581z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5583z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5585z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32531ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5587z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5589z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33106ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33954ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5591z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5593z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5595z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33512ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5597z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33245ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5599z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_prog21662zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33123ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33882ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_zc3exitza33302ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33140ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza32144ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33531ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32413ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33053ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33070ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33975ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33428ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33322ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33160ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_zc3exitza33217ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32181ze3z83zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_zc3exitza33129ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_goto1678zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_let1664zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33268ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33146ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza33552ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33341ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33236ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5450z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5452z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5454z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5456z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5458z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32751ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32646ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33286ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33415ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_global1648zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5460z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run5462z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5464z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5466z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5468z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33505ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33254ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32258ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62run5470z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5472z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5474z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5476z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5478z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32753ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33166ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5480z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5482z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5484z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5486z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32843ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5488z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33572ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32827ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33523ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5490z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5492z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5494z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5496z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5498z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33468ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33702ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33184ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1680zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33614ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5449z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5451z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33542ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5453z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33364ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5455z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5457z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5459z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5461z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, long);
	static obj_t BGl_z62main5463z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5465z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5467z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5469z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33488ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33722ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_and1660zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5471z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33382ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5473z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5475z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33439ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5477z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5479z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32017ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33772ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33812ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33650ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5481z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33634ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5483z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33529ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5485z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33278ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5487z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5489z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31991ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33684ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75688z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5689z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75690za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5600z00zz__evaluate_compz00,
		BgL_bgl_string5600za700za7za7_5691za7, ">fx", 3);
	      DEFINE_STRING(BGl_string5602z00zz__evaluate_compz00,
		BgL_bgl_string5602za700za7za7_5692za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string5604z00zz__evaluate_compz00,
		BgL_bgl_string5604za700za7za7_5693za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string5606z00zz__evaluate_compz00,
		BgL_bgl_string5606za700za7za7_5694za7, "=fx", 3);
	      DEFINE_STRING(BGl_string5608z00zz__evaluate_compz00,
		BgL_bgl_string5608za700za7za7_5695za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5610z00zz__evaluate_compz00,
		BgL_bgl_string5610za700za7za7_5696za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5612z00zz__evaluate_compz00,
		BgL_bgl_string5612za700za7za7_5697za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5614z00zz__evaluate_compz00,
		BgL_bgl_string5614za700za7za7_5698za7, "*fl", 3);
	      DEFINE_STRING(BGl_string5616z00zz__evaluate_compz00,
		BgL_bgl_string5616za700za7za7_5699za7, "/fl", 3);
	      DEFINE_STRING(BGl_string5618z00zz__evaluate_compz00,
		BgL_bgl_string5618za700za7za7_5700za7, "<fl", 3);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5620z00zz__evaluate_compz00,
		BgL_bgl_string5620za700za7za7_5701za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5622z00zz__evaluate_compz00,
		BgL_bgl_string5622za700za7za7_5702za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string5624z00zz__evaluate_compz00,
		BgL_bgl_string5624za700za7za7_5703za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string5626z00zz__evaluate_compz00,
		BgL_bgl_string5626za700za7za7_5704za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5628z00zz__evaluate_compz00,
		BgL_bgl_string5628za700za7za7_5705za7, "car", 3);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5630z00zz__evaluate_compz00,
		BgL_bgl_string5630za700za7za7_5706za7, "pair", 4);
	      DEFINE_STRING(BGl_string5632z00zz__evaluate_compz00,
		BgL_bgl_string5632za700za7za7_5707za7, "cdr", 3);
	      DEFINE_STRING(BGl_string5634z00zz__evaluate_compz00,
		BgL_bgl_string5634za700za7za7_5708za7, "cadr", 4);
	      DEFINE_STRING(BGl_string5636z00zz__evaluate_compz00,
		BgL_bgl_string5636za700za7za7_5709za7, "comp1639", 8);
	      DEFINE_STRING(BGl_string5637z00zz__evaluate_compz00,
		BgL_bgl_string5637za700za7za7_5710za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string5638z00zz__evaluate_compz00,
		BgL_bgl_string5638za700za7za7_5711za7, "&comp", 5);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5640z00zz__evaluate_compz00,
		BgL_bgl_string5640za700za7za7_5712za7, "comp", 4);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5661z00zz__evaluate_compz00,
		BgL_bgl_string5661za700za7za7_5713za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5662z00zz__evaluate_compz00,
		BgL_bgl_string5662za700za7za7_5714za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string5664z00zz__evaluate_compz00,
		BgL_bgl_string5664za700za7za7_5715za7, "notyet", 6);
	      DEFINE_STRING(BGl_string5665z00zz__evaluate_compz00,
		BgL_bgl_string5665za700za7za7_5716za7, "set!", 4);
	      DEFINE_STRING(BGl_string5666z00zz__evaluate_compz00,
		BgL_bgl_string5666za700za7za7_5717za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5667z00zz__evaluate_compz00,
		BgL_bgl_string5667za700za7za7_5718za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5668z00zz__evaluate_compz00,
		BgL_bgl_string5668za700za7za7_5719za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5669z00zz__evaluate_compz00,
		BgL_bgl_string5669za700za7za7_5720za7, "Uninitialized variable", 22);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5721z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5679z00zz__evaluate_compz00,
		BgL_bgl_string5679za700za7za7_5722za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5681z00zz__evaluate_compz00,
		BgL_bgl_string5681za700za7za7_5723za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string5683z00zz__evaluate_compz00,
		BgL_bgl_string5683za700za7za7_5724za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string5685z00zz__evaluate_compz00,
		BgL_bgl_string5685za700za7za7_5725za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string5686z00zz__evaluate_compz00,
		BgL_bgl_string5686za700za7za7_5726za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string5687z00zz__evaluate_compz00,
		BgL_bgl_string5687za700za7za7_5727za7, "__evaluate_comp", 15);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5540z00zz__evaluate_compz00,
		BgL_bgl_string5540za700za7za7_5728za7, "all", 3);
	      DEFINE_STRING(BGl_string5542z00zz__evaluate_compz00,
		BgL_bgl_string5542za700za7za7_5729za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5544z00zz__evaluate_compz00,
		BgL_bgl_string5544za700za7za7_5730za7, "bounce", 6);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5545z00zz__evaluate_compz00,
		BgL_bgl_string5545za700za7za7_5731za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5546z00zz__evaluate_compz00,
		BgL_bgl_string5546za700za7za7_5732za7, " in ", 4);
	      DEFINE_STRING(BGl_string5547z00zz__evaluate_compz00,
		BgL_bgl_string5547za700za7za7_5733za7, "eval", 4);
	      DEFINE_STRING(BGl_string5548z00zz__evaluate_compz00,
		BgL_bgl_string5548za700za7za7_5734za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string5550z00zz__evaluate_compz00,
		BgL_bgl_string5550za700za7za7_5735za7, "at", 2);
	      DEFINE_STRING(BGl_string5551z00zz__evaluate_compz00,
		BgL_bgl_string5551za700za7za7_5736za7, "", 0);
	      DEFINE_STRING(BGl_string5552z00zz__evaluate_compz00,
		BgL_bgl_string5552za700za7za7_5737za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5553z00zz__evaluate_compz00,
		BgL_bgl_string5553za700za7za7_5738za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5554z00zz__evaluate_compz00,
		BgL_bgl_string5554za700za7za7_5739za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string5555z00zz__evaluate_compz00,
		BgL_bgl_string5555za700za7za7_5740za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5556z00zz__evaluate_compz00,
		BgL_bgl_string5556za700za7za7_5741za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5558z00zz__evaluate_compz00,
		BgL_bgl_string5558za700za7za7_5742za7, "mcell", 5);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5635z00zz__evaluate_compz00,
		BgL_bgl_za762comp1639za762za7za75743z00,
		BGl_z62comp1639z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5560z00zz__evaluate_compz00,
		BgL_bgl_string5560za700za7za7_5744za7, "internal", 8);
	      DEFINE_STRING(BGl_string5562z00zz__evaluate_compz00,
		BgL_bgl_string5562za700za7za7_5745za7, "impossible", 10);
	      DEFINE_STRING(BGl_string5563z00zz__evaluate_compz00,
		BgL_bgl_string5563za700za7za7_5746za7, "procedure", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5639z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra5747z00,
		BGl_z62compzd2ev_trap1642zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5565z00zz__evaluate_compz00,
		BgL_bgl_string5565za700za7za7_5748za7, "user", 4);
	      DEFINE_STRING(BGl_string5566z00zz__evaluate_compz00,
		BgL_bgl_string5566za700za7za7_5749za7, "invalid byte code", 17);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5568z00zz__evaluate_compz00,
		BgL_bgl_string5568za700za7za7_5750za7, "+", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5641z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var5751z00,
		BGl_z62compzd2ev_var1644zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5642z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5752z00,
		BGl_z62compzd2ev_setlocal1646zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5643z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo5753z00,
		BGl_z62compzd2ev_global1648zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5644z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5754z00,
		BGl_z62compzd2ev_setglobal1650zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5645z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5755z00,
		BGl_z62compzd2ev_defglobal1652zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5570z00zz__evaluate_compz00,
		BgL_bgl_string5570za700za7za7_5756za7, "number", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5646z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5757z00,
		BGl_z62compzd2ev_litt1654zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5647z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15758z00,
		BGl_z62compzd2ev_if1656zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5572z00zz__evaluate_compz00,
		BgL_bgl_string5572za700za7za7_5759za7, "-", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5648z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15760z00,
		BGl_z62compzd2ev_or1658zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5649z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5761z00,
		BGl_z62compzd2ev_and1660zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5574z00zz__evaluate_compz00,
		BgL_bgl_string5574za700za7za7_5762za7, "*", 1);
	      DEFINE_STRING(BGl_string5576z00zz__evaluate_compz00,
		BgL_bgl_string5576za700za7za7_5763za7, "/", 1);
	      DEFINE_STRING(BGl_string5578z00zz__evaluate_compz00,
		BgL_bgl_string5578za700za7za7_5764za7, "<", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5650z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5765z00,
		BGl_z62compzd2ev_prog21662zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5651z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5766z00,
		BGl_z62compzd2ev_let1664zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5652z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5767z00,
		BGl_z62compzd2ev_letza21666z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5653z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5768z00,
		BGl_z62compzd2ev_letrec1668zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5654z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5769z00,
		BGl_z62compzd2ev_bindzd2exit1670z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5655z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5770z00,
		BGl_z62compzd2ev_unwindzd2prote1672z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5580z00zz__evaluate_compz00,
		BgL_bgl_string5580za700za7za7_5771za7, ">", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5656z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5772z00,
		BGl_z62compzd2ev_withzd2handler1674z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5657z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5773z00,
		BGl_z62compzd2ev_labels1676zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5582z00zz__evaluate_compz00,
		BgL_bgl_string5582za700za7za7_5774za7, "<=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5658z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5775z00,
		BGl_z62compzd2ev_goto1678zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5659z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5776z00,
		BGl_z62compzd2ev_app1680zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5584z00zz__evaluate_compz00,
		BgL_bgl_string5584za700za7za7_5777za7, ">=", 2);
	      DEFINE_STRING(BGl_string5586z00zz__evaluate_compz00,
		BgL_bgl_string5586za700za7za7_5778za7, "=", 1);
	      DEFINE_STRING(BGl_string5588z00zz__evaluate_compz00,
		BgL_bgl_string5588za700za7za7_5779za7, "+fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5660z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5780z00,
		BGl_z62compzd2ev_abs1682zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5590z00zz__evaluate_compz00,
		BgL_bgl_string5590za700za7za7_5781za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5592z00zz__evaluate_compz00,
		BgL_bgl_string5592za700za7za7_5782za7, "-fx", 3);
	      DEFINE_STRING(BGl_string5594z00zz__evaluate_compz00,
		BgL_bgl_string5594za700za7za7_5783za7, "*fx", 3);
	      DEFINE_STRING(BGl_string5596z00zz__evaluate_compz00,
		BgL_bgl_string5596za700za7za7_5784za7, "/fx", 3);
	      DEFINE_STRING(BGl_string5598z00zz__evaluate_compz00,
		BgL_bgl_string5598za700za7za7_5785za7, "<fx", 3);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5670z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75786za7,
		BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5671z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75787za7,
		BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5672z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75788za7,
		BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5673z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75789za7,
		BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5674z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75790za7,
		BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5675z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75791za7,
		BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5676z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75792za7,
		BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5677z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75793za7,
		BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_17716, char *BgL_fromz00_17717)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5539z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5540z00zz__evaluate_compz00);
			BGl_symbol5541z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5542z00zz__evaluate_compz00);
			BGl_symbol5543z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5544z00zz__evaluate_compz00);
			BGl_symbol5549z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5550z00zz__evaluate_compz00);
			BGl_symbol5557z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5558z00zz__evaluate_compz00);
			BGl_symbol5559z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5560z00zz__evaluate_compz00);
			BGl_symbol5561z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5562z00zz__evaluate_compz00);
			BGl_symbol5564z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5565z00zz__evaluate_compz00);
			BGl_symbol5567z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5568z00zz__evaluate_compz00);
			BGl_symbol5569z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5570z00zz__evaluate_compz00);
			BGl_symbol5571z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5572z00zz__evaluate_compz00);
			BGl_symbol5573z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5574z00zz__evaluate_compz00);
			BGl_symbol5575z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5576z00zz__evaluate_compz00);
			BGl_symbol5577z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5578z00zz__evaluate_compz00);
			BGl_symbol5579z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5580z00zz__evaluate_compz00);
			BGl_symbol5581z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5582z00zz__evaluate_compz00);
			BGl_symbol5583z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5584z00zz__evaluate_compz00);
			BGl_symbol5585z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5586z00zz__evaluate_compz00);
			BGl_symbol5587z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5588z00zz__evaluate_compz00);
			BGl_symbol5589z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5590z00zz__evaluate_compz00);
			BGl_symbol5591z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5592z00zz__evaluate_compz00);
			BGl_symbol5593z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5594z00zz__evaluate_compz00);
			BGl_symbol5595z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5596z00zz__evaluate_compz00);
			BGl_symbol5597z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5598z00zz__evaluate_compz00);
			BGl_symbol5599z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5600z00zz__evaluate_compz00);
			BGl_symbol5601z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5602z00zz__evaluate_compz00);
			BGl_symbol5603z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5604z00zz__evaluate_compz00);
			BGl_symbol5605z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5606z00zz__evaluate_compz00);
			BGl_symbol5607z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5608z00zz__evaluate_compz00);
			BGl_symbol5609z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5610z00zz__evaluate_compz00);
			BGl_symbol5611z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5612z00zz__evaluate_compz00);
			BGl_symbol5613z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5614z00zz__evaluate_compz00);
			BGl_symbol5615z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5616z00zz__evaluate_compz00);
			BGl_symbol5617z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5618z00zz__evaluate_compz00);
			BGl_symbol5619z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5620z00zz__evaluate_compz00);
			BGl_symbol5621z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5622z00zz__evaluate_compz00);
			BGl_symbol5623z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5624z00zz__evaluate_compz00);
			BGl_symbol5625z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5626z00zz__evaluate_compz00);
			BGl_symbol5627z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5628z00zz__evaluate_compz00);
			BGl_symbol5629z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5630z00zz__evaluate_compz00);
			BGl_symbol5631z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5632z00zz__evaluate_compz00);
			BGl_symbol5633z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5634z00zz__evaluate_compz00);
			BGl_symbol5663z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5664z00zz__evaluate_compz00);
			BGl_symbol5678z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5679z00zz__evaluate_compz00);
			BGl_symbol5680z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5681z00zz__evaluate_compz00);
			BGl_symbol5682z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5683z00zz__evaluate_compz00);
			return (BGl_symbol5684z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5685z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 101 */
				BGL_LONGLONG_T BgL_arg1713z00_902;

				{	/* Eval/evaluate_comp.scm 101 */
					BGL_LONGLONG_T BgL_res4318z00_5739;

					BgL_res4318z00_5739 = LONG_TO_LLONG(((long) 0));
					BgL_arg1713z00_902 = BgL_res4318z00_5739;
				}
				{	/* Eval/evaluate_comp.scm 101 */
					obj_t BgL_list1714z00_903;

					{	/* Eval/evaluate_comp.scm 101 */
						obj_t BgL_arg1715z00_904;

						BgL_arg1715z00_904 =
							MAKE_PAIR(make_bllong(BgL_arg1713z00_902), BNIL);
						BgL_list1714z00_903 =
							MAKE_PAIR(BGl_symbol5539z00zz__evaluate_compz00,
							BgL_arg1715z00_904);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1714z00_903;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 =
				(long) CINT(BGl_2za2za2zz__r4_numbers_6_5z00(BINT(((long) 8)),
					BINT(((long) 1024))));
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5541z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5543z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_905;

				BgL_headz00_905 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_5771;
					obj_t BgL_tailz00_5772;

					BgL_prevz00_5771 = BgL_headz00_905;
					BgL_tailz00_5772 = BgL_l1z00_1;
				BgL_loopz00_5770:
					if (PAIRP(BgL_tailz00_5772))
						{
							obj_t BgL_newzd2prevzd2_5778;

							BgL_newzd2prevzd2_5778 =
								MAKE_PAIR(CAR(BgL_tailz00_5772), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_5771, BgL_newzd2prevzd2_5778);
							{
								obj_t BgL_tailz00_17792;
								obj_t BgL_prevz00_17791;

								BgL_prevz00_17791 = BgL_newzd2prevzd2_5778;
								BgL_tailz00_17792 = CDR(BgL_tailz00_5772);
								BgL_tailz00_5772 = BgL_tailz00_17792;
								BgL_prevz00_5771 = BgL_prevz00_17791;
								goto BgL_loopz00_5770;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_905);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 119 */
			{	/* Eval/evaluate_comp.scm 120 */
				BGL_LONGLONG_T BgL_arg1735z00_933;

				{	/* Eval/evaluate_comp.scm 120 */
					BGL_LONGLONG_T BgL_res4327z00_5789;

					BgL_res4327z00_5789 = LONG_TO_LLONG(((long) 0));
					BgL_arg1735z00_933 = BgL_res4327z00_5789;
				}
				{	/* Eval/evaluate_comp.scm 120 */
					obj_t BgL_list1736z00_934;

					{	/* Eval/evaluate_comp.scm 120 */
						obj_t BgL_arg1737z00_935;

						BgL_arg1737z00_935 =
							MAKE_PAIR(make_bllong(BgL_arg1735z00_933), BNIL);
						BgL_list1736z00_934 =
							MAKE_PAIR(BGl_symbol5539z00zz__evaluate_compz00,
							BgL_arg1737z00_935);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1736z00_934, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			{	/* Eval/evaluate_comp.scm 129 */
				obj_t BgL_v1z00_937;
				obj_t BgL_v2z00_938;

				BgL_v1z00_937 = CAR(BgL_t1z00_4);
				BgL_v2z00_938 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 130 */
					bool_t BgL_testz00_17801;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_937))
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17801 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_938);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17801 = ((bool_t) 0);
						}
					if (BgL_testz00_17801)
						{	/* Eval/evaluate_comp.scm 130 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_937, BgL_v2z00_938);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_937),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_938));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_943)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 128 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_943))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_943), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 125 */
					if (SYMBOLP(BgL_vz00_943))
						{	/* Eval/evaluate_comp.scm 126 */
							obj_t BgL_res4330z00_5796;

							{	/* Eval/evaluate_comp.scm 126 */
								obj_t BgL_symbolz00_5794;

								BgL_symbolz00_5794 = BgL_vz00_943;
								{	/* Eval/evaluate_comp.scm 126 */
									obj_t BgL_arg4130z00_5795;

									BgL_arg4130z00_5795 = SYMBOL_TO_STRING(BgL_symbolz00_5794);
									BgL_res4330z00_5796 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg4130z00_5795);
								}
							}
							return BgL_res4330z00_5796;
						}
					else
						{	/* Eval/evaluate_comp.scm 126 */
							if (STRINGP(BgL_vz00_943))
								{	/* Eval/evaluate_comp.scm 127 */
									return BgL_vz00_943;
								}
							else
								{	/* Eval/evaluate_comp.scm 127 */
									return BGl_string5545z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_15649,
		obj_t BgL_t1z00_15650, obj_t BgL_t2z00_15651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_15650,
					BgL_t2z00_15651));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 134 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_952)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 136 */
				obj_t BgL_arg1750z00_954;
				obj_t BgL_arg1751z00_955;

				BgL_arg1750z00_954 = CDR(BgL_tz00_952);
				{	/* Eval/evaluate_comp.scm 136 */
					obj_t BgL_arg1752z00_956;

					{	/* Eval/evaluate_comp.scm 136 */
						obj_t BgL_pairz00_5805;

						BgL_pairz00_5805 = BgL_tz00_952;
						BgL_arg1752z00_956 = CDR(CDR(BgL_pairz00_5805));
					}
					BgL_arg1751z00_955 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1752z00_956);
				}
				SET_CDR(BgL_arg1750z00_954, BgL_arg1751z00_955);
			}
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_g1541z00_957;

				{	/* Eval/evaluate_comp.scm 137 */
					obj_t BgL_pairz00_5811;

					BgL_pairz00_5811 = BgL_tz00_952;
					BgL_g1541z00_957 = CDR(CDR(BgL_pairz00_5811));
				}
				{
					obj_t BgL_l1539z00_5831;

					BgL_l1539z00_5831 = BgL_g1541z00_957;
				BgL_zc3anonymousza31753ze3z83_5830:
					if (PAIRP(BgL_l1539z00_5831))
						{	/* Eval/evaluate_comp.scm 137 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l1539z00_5831));
							{
								obj_t BgL_l1539z00_17833;

								BgL_l1539z00_17833 = CDR(BgL_l1539z00_5831);
								BgL_l1539z00_5831 = BgL_l1539z00_17833;
								goto BgL_zc3anonymousza31753ze3z83_5830;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 137 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 143 */
			{
				obj_t BgL_lz00_5869;
				long BgL_nz00_5870;

				BgL_lz00_5869 = BgL_lz00_7;
				BgL_nz00_5870 = ((long) 0);
			BgL_walkz00_5868:
				if (NULLP(BgL_lz00_5869))
					{	/* Eval/evaluate_comp.scm 148 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 148 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_5869)))
							{	/* Eval/evaluate_comp.scm 148 */
								return BINT(BgL_nz00_5870);
							}
						else
							{
								long BgL_nz00_17843;
								obj_t BgL_lz00_17841;

								BgL_lz00_17841 = CDR(BgL_lz00_5869);
								BgL_nz00_17843 = (BgL_nz00_5870 + ((long) 1));
								BgL_nz00_5870 = BgL_nz00_17843;
								BgL_lz00_5869 = BgL_lz00_17841;
								goto BgL_walkz00_5868;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 150 */
			{	/* Eval/evaluate_comp.scm 151 */
				obj_t BgL__ortest_1074z00_976;

				BgL__ortest_1074z00_976 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1074z00_976))
					{	/* Eval/evaluate_comp.scm 151 */
						return BgL__ortest_1074z00_976;
					}
				else
					{	/* Eval/evaluate_comp.scm 151 */
						obj_t BgL_arg1762z00_977;

						{	/* Eval/evaluate_comp.scm 151 */
							obj_t BgL_arg1763z00_978;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 151 */
									BgL_arg1763z00_978 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_head1544z00_984;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1774z00_996;

										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_arg1776z00_997;

											BgL_arg1776z00_997 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1776z00_997,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1774z00_996 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1776z00_997)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1774z00_996 = BgL_arg1776z00_997;
												}
										}
										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_res4343z00_5896;

											BgL_res4343z00_5896 = MAKE_PAIR(BgL_arg1774z00_996, BNIL);
											BgL_head1544z00_984 = BgL_res4343z00_5896;
										}
									}
									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_g1548z00_985;

										BgL_g1548z00_985 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1542z00_5932;
											obj_t BgL_tail1545z00_5933;

											BgL_l1542z00_5932 = BgL_g1548z00_985;
											BgL_tail1545z00_5933 = BgL_head1544z00_984;
										BgL_zc3anonymousza31768ze3z83_5931:
											if (NULLP(BgL_l1542z00_5932))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1763z00_978 = BgL_head1544z00_984;
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													obj_t BgL_newtail1546z00_5940;

													{	/* Eval/evaluate_comp.scm 151 */
														obj_t BgL_arg1772z00_5941;

														BgL_arg1772z00_5941 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1542z00_5932));
														{	/* Eval/evaluate_comp.scm 151 */
															obj_t BgL_res4349z00_5949;

															BgL_res4349z00_5949 =
																MAKE_PAIR(BgL_arg1772z00_5941, BNIL);
															BgL_newtail1546z00_5940 = BgL_res4349z00_5949;
														}
													}
													SET_CDR(BgL_tail1545z00_5933,
														BgL_newtail1546z00_5940);
													{
														obj_t BgL_tail1545z00_17865;
														obj_t BgL_l1542z00_17863;

														BgL_l1542z00_17863 = CDR(BgL_l1542z00_5932);
														BgL_tail1545z00_17865 = BgL_newtail1546z00_5940;
														BgL_tail1545z00_5933 = BgL_tail1545z00_17865;
														BgL_l1542z00_5932 = BgL_l1542z00_17863;
														goto BgL_zc3anonymousza31768ze3z83_5931;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 151 */
								obj_t BgL_list1764z00_979;

								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_arg1765z00_980;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1766z00_981;

										BgL_arg1766z00_981 = MAKE_PAIR(BgL_arg1763z00_978, BNIL);
										BgL_arg1765z00_980 =
											MAKE_PAIR(BGl_string5546z00zz__evaluate_compz00,
											BgL_arg1766z00_981);
									}
									BgL_list1764z00_979 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg1765z00_980);
								}
								BgL_arg1762z00_977 = BgL_list1764z00_979;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5547z00zz__evaluate_compz00,
							BGl_string5548z00zz__evaluate_compz00, BgL_arg1762z00_977);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 175 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 176 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 176 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 180 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 181 */
					obj_t BgL_cdrzd2177zd2_1023;

					BgL_cdrzd2177zd2_1023 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5549z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 181 */
							if (PAIRP(BgL_cdrzd2177zd2_1023))
								{	/* Eval/evaluate_comp.scm 181 */
									obj_t BgL_cdrzd2181zd2_1026;

									BgL_cdrzd2181zd2_1026 = CDR(BgL_cdrzd2177zd2_1023);
									if (PAIRP(BgL_cdrzd2181zd2_1026))
										{	/* Eval/evaluate_comp.scm 181 */
											if (NULLP(CDR(BgL_cdrzd2181zd2_1026)))
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2177zd2_1023),
														CAR(BgL_cdrzd2181zd2_1026));
												}
											else
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 181 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 181 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 181 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 181 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 193 */
			{	/* Eval/evaluate_comp.scm 194 */
				obj_t BgL_stkz00_1040;

				BgL_stkz00_1040 =
					make_vector(
					(int) (BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00),
					BGl_string5551z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1040, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1040;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			{	/* Eval/evaluate_comp.scm 199 */
				obj_t BgL_sz00_1041;

				{	/* Eval/evaluate_comp.scm 199 */
					obj_t BgL_auxz00_17901;

					BgL_auxz00_17901 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1041 = BGL_ENV_EVSTATE(BgL_auxz00_17901);
				}
				if (VECTORP(BgL_sz00_1041))
					{	/* Eval/evaluate_comp.scm 200 */
						return BgL_sz00_1041;
					}
				else
					{	/* Eval/evaluate_comp.scm 201 */
						obj_t BgL_statez00_1043;

						BgL_statez00_1043 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_auxz00_17907;

							BgL_auxz00_17907 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_17907, BgL_statez00_1043);
						}
						return BgL_statez00_1043;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_15652)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_15653,
		obj_t BgL_ez00_15654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			{	/* Eval/evaluate_comp.scm 262 */
				BgL_ev_exprz00_bglt BgL_auxz00_17912;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_15654,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 262 */
						BgL_auxz00_17912 = ((BgL_ev_exprz00_bglt) BgL_ez00_15654);
					}
				else
					{
						obj_t BgL_auxz00_17916;

						BgL_auxz00_17916 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5552z00zz__evaluate_compz00, BINT(((long) 6592)),
							BGl_string5553z00zz__evaluate_compz00,
							BGl_string5554z00zz__evaluate_compz00, BgL_ez00_15654);
						FAILURE(BgL_auxz00_17916, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_17912);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 320 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 322 */
					BgL_ev_globalz00_bglt BgL_i1089z00_1093;

					BgL_i1089z00_1093 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
					{	/* Eval/evaluate_comp.scm 323 */
						obj_t BgL_gz00_1094;

						BgL_gz00_1094 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_1093))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_1093))->BgL_namez00));
						if (CBOOL(BgL_gz00_1094))
							{	/* Eval/evaluate_comp.scm 324 */
								return VECTOR_REF(BgL_gz00_1094, (int) (((long) 2)));
							}
						else
							{	/* Eval/evaluate_comp.scm 324 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 321 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_80, obj_t BgL_argsz00_81, obj_t BgL_boxesz00_82, long BgL_spz00_83,
		obj_t BgL_locz00_84)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 588 */
			{
				obj_t BgL_lz00_1113;
				obj_t BgL_bsz00_1114;
				long BgL_spz00_1115;

				BgL_lz00_1113 = BgL_argsz00_81;
				BgL_bsz00_1114 = BgL_boxesz00_82;
				BgL_spz00_1115 = BgL_spz00_83;
			BgL_zc3anonymousza31862ze3z83_1116:
				if (NULLP(BgL_lz00_1113))
					{	/* Eval/evaluate_comp.scm 590 */
						if (NULLP(BgL_bsz00_1114))
							{	/* Eval/evaluate_comp.scm 591 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 594 */
								obj_t BgL_arg1865z00_1119;

								{	/* Eval/evaluate_comp.scm 594 */
									long BgL_arg1866z00_1120;
									long BgL_arg1867z00_1121;

									BgL_arg1866z00_1120 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1867z00_1121 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 593 */
										obj_t BgL_list1868z00_1122;

										{	/* Eval/evaluate_comp.scm 593 */
											obj_t BgL_arg1870z00_1123;

											BgL_arg1870z00_1123 =
												MAKE_PAIR(BINT(BgL_arg1867z00_1121), BNIL);
											BgL_list1868z00_1122 =
												MAKE_PAIR(BINT(BgL_arg1866z00_1120),
												BgL_arg1870z00_1123);
										}
										BgL_arg1865z00_1119 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5555z00zz__evaluate_compz00,
											BgL_list1868z00_1122);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5547z00zz__evaluate_compz00,
									BGl_string5556z00zz__evaluate_compz00, BgL_arg1865z00_1119);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 590 */
						if (NULLP(BgL_bsz00_1114))
							{	/* Eval/evaluate_comp.scm 598 */
								obj_t BgL_arg1872z00_1125;

								{	/* Eval/evaluate_comp.scm 598 */
									long BgL_arg1873z00_1126;
									long BgL_arg1874z00_1127;

									BgL_arg1873z00_1126 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1874z00_1127 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 597 */
										obj_t BgL_list1875z00_1128;

										{	/* Eval/evaluate_comp.scm 597 */
											obj_t BgL_arg1876z00_1129;

											BgL_arg1876z00_1129 =
												MAKE_PAIR(BINT(BgL_arg1874z00_1127), BNIL);
											BgL_list1875z00_1128 =
												MAKE_PAIR(BINT(BgL_arg1873z00_1126),
												BgL_arg1876z00_1129);
										}
										BgL_arg1872z00_1125 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5555z00zz__evaluate_compz00,
											BgL_list1875z00_1128);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5547z00zz__evaluate_compz00,
									BGl_string5556z00zz__evaluate_compz00, BgL_arg1872z00_1125);
							}
						else
							{	/* Eval/evaluate_comp.scm 595 */
								{	/* Eval/evaluate_comp.scm 601 */
									obj_t BgL_arg1877z00_1130;

									{	/* Eval/evaluate_comp.scm 601 */
										obj_t BgL_vz00_1131;

										{	/* Eval/evaluate_comp.scm 601 */
											obj_t BgL_fun1879z00_1133;

											BgL_fun1879z00_1133 = CAR(BgL_lz00_1113);
											BgL_vz00_1131 =
												PROCEDURE_ENTRY(BgL_fun1879z00_1133)
												(BgL_fun1879z00_1133, BgL_sz00_80, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 602 */
											bool_t BgL_testz00_17959;

											{	/* Eval/evaluate_comp.scm 602 */
												obj_t BgL_pairz00_6024;

												BgL_pairz00_6024 = BgL_bsz00_1114;
												BgL_testz00_17959 = CBOOL(CAR(BgL_pairz00_6024));
											}
											if (BgL_testz00_17959)
												{	/* Eval/evaluate_comp.scm 603 */
													obj_t BgL_newz00_6026;

													BgL_newz00_6026 =
														create_struct(BGl_symbol5557z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 603 */
														int BgL_auxz00_17964;

														BgL_auxz00_17964 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_6026, BgL_auxz00_17964,
															BgL_vz00_1131);
													}
													BgL_arg1877z00_1130 = BgL_newz00_6026;
												}
											else
												{	/* Eval/evaluate_comp.scm 602 */
													BgL_arg1877z00_1130 = BgL_vz00_1131;
												}
										}
									}
									VECTOR_SET(BgL_sz00_80,
										(int) (BgL_spz00_1115), BgL_arg1877z00_1130);
								}
								{
									long BgL_spz00_17973;
									obj_t BgL_bsz00_17971;
									obj_t BgL_lz00_17969;

									BgL_lz00_17969 = CDR(BgL_lz00_1113);
									BgL_bsz00_17971 = CDR(BgL_bsz00_1114);
									BgL_spz00_17973 = (BgL_spz00_1115 + ((long) 1));
									BgL_spz00_1115 = BgL_spz00_17973;
									BgL_bsz00_1114 = BgL_bsz00_17971;
									BgL_lz00_1113 = BgL_lz00_17969;
									goto BgL_zc3anonymousza31862ze3z83_1116;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_86,
		obj_t BgL_l2z00_87)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 610 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_86))
				{	/* Eval/evaluate_comp.scm 611 */
					return BgL_l2z00_87;
				}
			else
				{	/* Eval/evaluate_comp.scm 611 */
					if ((CAR(BgL_l1z00_86) == CAR(BgL_l2z00_87)))
						{
							obj_t BgL_l2z00_17983;
							obj_t BgL_l1z00_17981;

							BgL_l1z00_17981 = CDR(BgL_l1z00_86);
							BgL_l2z00_17983 = CDR(BgL_l2z00_87);
							BgL_l2z00_87 = BgL_l2z00_17983;
							BgL_l1z00_86 = BgL_l1z00_17981;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 612 */
							return
								BGl_errorz00zz__errorz00(BGl_string5547z00zz__evaluate_compz00,
								BGl_symbol5559z00zz__evaluate_compz00,
								BGl_symbol5561z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_91,
		obj_t BgL_sz00_92, obj_t BgL_bpz00_93)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 634 */
			{	/* Eval/evaluate_comp.scm 635 */
				obj_t BgL_savedzd2bpzd2_1151;

				BgL_savedzd2bpzd2_1151 = VECTOR_REF(BgL_sz00_92, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_92, (int) (((long) 0)), BgL_bpz00_93);
				{
					obj_t BgL_fz00_1153;

					BgL_fz00_1153 = BgL_fz00_91;
				BgL_zc3anonymousza31896ze3z83_1154:
					{	/* Eval/evaluate_comp.scm 638 */
						obj_t BgL_rz00_1155;

						BgL_rz00_1155 =
							PROCEDURE_ENTRY(BgL_fz00_1153) (BgL_fz00_1153, BgL_sz00_92, BEOA);
						{	/* Eval/evaluate_comp.scm 639 */
							bool_t BgL_testz00_17994;

							if (PROCEDUREP(BgL_rz00_1155))
								{	/* Eval/evaluate_comp.scm 639 */
									obj_t BgL_arg1899z00_1158;

									BgL_arg1899z00_1158 = PROCEDURE_ATTR(BgL_rz00_1155);
									if (STRUCTP(BgL_arg1899z00_1158))
										{	/* Eval/evaluate_comp.scm 639 */
											BgL_testz00_17994 =
												(STRUCT_KEY(BgL_arg1899z00_1158) ==
												BGl_symbol5543z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 639 */
											BgL_testz00_17994 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 639 */
									BgL_testz00_17994 = ((bool_t) 0);
								}
							if (BgL_testz00_17994)
								{
									obj_t BgL_fz00_18002;

									BgL_fz00_18002 = BgL_rz00_1155;
									BgL_fz00_1153 = BgL_fz00_18002;
									goto BgL_zc3anonymousza31896ze3z83_1154;
								}
							else
								{	/* Eval/evaluate_comp.scm 639 */
									VECTOR_SET(BgL_sz00_92,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1151);
									return BgL_rz00_1155;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_115,
		obj_t BgL_stkz00_116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 653 */
			if (NULLP(BgL_eza2za2_115))
				{	/* Eval/evaluate_comp.scm 655 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 657 */
					obj_t BgL_arg1910z00_1170;
					obj_t BgL_arg1911z00_1171;

					{	/* Eval/evaluate_comp.scm 657 */
						obj_t BgL_arg1912z00_1172;

						BgL_arg1912z00_1172 = CAR(BgL_eza2za2_115);
						BgL_arg1910z00_1170 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1912z00_1172), BgL_stkz00_116);
					}
					{	/* Eval/evaluate_comp.scm 658 */
						obj_t BgL_arg1913z00_1173;
						obj_t BgL_arg1914z00_1174;

						BgL_arg1913z00_1173 = CDR(BgL_eza2za2_115);
						{	/* Eval/evaluate_comp.scm 658 */
							obj_t BgL_arg1915z00_1175;

							BgL_arg1915z00_1175 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1914z00_1174 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_116,
								BgL_arg1915z00_1175);
						}
						BgL_arg1911z00_1171 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1913z00_1173,
							BgL_arg1914z00_1174);
					}
					return MAKE_PAIR(BgL_arg1910z00_1170, BgL_arg1911z00_1171);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_17697,
		obj_t BgL_lz00_1177, long BgL_iz00_1178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 661 */
			if (NULLP(BgL_lz00_1177))
				{	/* Eval/evaluate_comp.scm 662 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 662 */
					if ((BgL_iz00_1178 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 663 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1177,
								BgL_stkz00_17697);
						}
					else
						{	/* Eval/evaluate_comp.scm 664 */
							obj_t BgL_arg1919z00_1182;
							obj_t BgL_arg1920z00_1183;

							{	/* Eval/evaluate_comp.scm 664 */
								obj_t BgL_arg1921z00_1184;

								BgL_arg1921z00_1184 = CAR(BgL_lz00_1177);
								BgL_arg1919z00_1182 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1921z00_1184),
									BgL_stkz00_17697);
							}
							BgL_arg1920z00_1183 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_17697,
								CDR(BgL_lz00_1177), (BgL_iz00_1178 - ((long) 1)));
							return MAKE_PAIR(BgL_arg1919z00_1182, BgL_arg1920z00_1183);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_120,
		obj_t BgL_fz00_121, obj_t BgL_argsz00_122, obj_t BgL_bpz00_123,
		long BgL_siza7eza7_124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 667 */
			{	/* Eval/evaluate_comp.scm 669 */
				obj_t BgL_argsz00_1188;

				if (NULLP(BgL_argsz00_122))
					{	/* Eval/evaluate_comp.scm 669 */
						BgL_argsz00_1188 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 669 */
						obj_t BgL_head1596z00_1193;

						{	/* Eval/evaluate_comp.scm 669 */
							obj_t BgL_res4382z00_6145;

							BgL_res4382z00_6145 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1596z00_1193 = BgL_res4382z00_6145;
						}
						{
							obj_t BgL_l1594z00_6179;
							obj_t BgL_tail1597z00_6180;

							BgL_l1594z00_6179 = BgL_argsz00_122;
							BgL_tail1597z00_6180 = BgL_head1596z00_1193;
						BgL_zc3anonymousza31926ze3z83_6178:
							if (NULLP(BgL_l1594z00_6179))
								{	/* Eval/evaluate_comp.scm 669 */
									BgL_argsz00_1188 = CDR(BgL_head1596z00_1193);
								}
							else
								{	/* Eval/evaluate_comp.scm 669 */
									obj_t BgL_newtail1598z00_6187;

									{	/* Eval/evaluate_comp.scm 669 */
										obj_t BgL_arg1929z00_6188;

										{	/* Eval/evaluate_comp.scm 669 */
											obj_t BgL_az00_6189;

											BgL_az00_6189 = CAR(BgL_l1594z00_6179);
											BgL_arg1929z00_6188 =
												PROCEDURE_ENTRY(BgL_az00_6189) (BgL_az00_6189,
												BgL_sz00_120, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 669 */
											obj_t BgL_res4388z00_6197;

											BgL_res4388z00_6197 =
												MAKE_PAIR(BgL_arg1929z00_6188, BNIL);
											BgL_newtail1598z00_6187 = BgL_res4388z00_6197;
										}
									}
									SET_CDR(BgL_tail1597z00_6180, BgL_newtail1598z00_6187);
									{
										obj_t BgL_tail1597z00_18042;
										obj_t BgL_l1594z00_18040;

										BgL_l1594z00_18040 = CDR(BgL_l1594z00_6179);
										BgL_tail1597z00_18042 = BgL_newtail1598z00_6187;
										BgL_tail1597z00_6180 = BgL_tail1597z00_18042;
										BgL_l1594z00_6179 = BgL_l1594z00_18040;
										goto BgL_zc3anonymousza31926ze3z83_6178;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 670 */
					long BgL_arg1924z00_1189;

					BgL_arg1924z00_1189 =
						((long) CINT(BgL_bpz00_123) + BgL_siza7eza7_124);
					VECTOR_SET(BgL_sz00_120,
						(int) (((long) 0)), BINT(BgL_arg1924z00_1189));
				}
				{	/* Eval/evaluate_comp.scm 671 */
					obj_t BgL_za2za2resza2za2z00_1190;

					BgL_za2za2resza2za2z00_1190 = apply(BgL_fz00_121, BgL_argsz00_1188);
					VECTOR_SET(BgL_sz00_120, (int) (((long) 0)), BgL_bpz00_123);
					return BgL_za2za2resza2za2z00_1190;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_128, obj_t BgL_sz00_129, obj_t BgL_argsz00_130,
		obj_t BgL_spz00_131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 680 */
			{	/* Eval/evaluate_comp.scm 681 */
				long BgL_g1142z00_1214;

				BgL_g1142z00_1214 = (((long) -1) - (long) CINT(BgL_arityz00_128));
				{
					obj_t BgL_lz00_1216;
					obj_t BgL_spz00_1217;
					long BgL_nz00_1218;

					BgL_lz00_1216 = BgL_argsz00_130;
					BgL_spz00_1217 = BgL_spz00_131;
					BgL_nz00_1218 = BgL_g1142z00_1214;
				BgL_zc3anonymousza31937ze3z83_1219:
					if ((BgL_nz00_1218 == ((long) 0)))
						{
							obj_t BgL_lz00_6308;
							obj_t BgL_rz00_6309;

							BgL_lz00_6308 = BgL_lz00_1216;
							BgL_rz00_6309 = BNIL;
						BgL_rec2z00_6307:
							if (NULLP(BgL_lz00_6308))
								{	/* Eval/evaluate_comp.scm 683 */
									return
										VECTOR_SET(BgL_sz00_129,
										CINT(BgL_spz00_1217), bgl_reverse_bang(BgL_rz00_6309));
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									obj_t BgL_arg1942z00_6318;
									obj_t BgL_arg1943z00_6319;

									BgL_arg1942z00_6318 = CDR(BgL_lz00_6308);
									{	/* Eval/evaluate_comp.scm 683 */
										obj_t BgL_arg1944z00_6320;

										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_fun1945z00_6321;

											BgL_fun1945z00_6321 = CAR(BgL_lz00_6308);
											BgL_arg1944z00_6320 =
												PROCEDURE_ENTRY(BgL_fun1945z00_6321)
												(BgL_fun1945z00_6321, BgL_sz00_129, BEOA);
										}
										BgL_arg1943z00_6319 =
											MAKE_PAIR(BgL_arg1944z00_6320, BgL_rz00_6309);
									}
									{
										obj_t BgL_rz00_18069;
										obj_t BgL_lz00_18068;

										BgL_lz00_18068 = BgL_arg1942z00_6318;
										BgL_rz00_18069 = BgL_arg1943z00_6319;
										BgL_rz00_6309 = BgL_rz00_18069;
										BgL_lz00_6308 = BgL_lz00_18068;
										goto BgL_rec2z00_6307;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 682 */
							{	/* Eval/evaluate_comp.scm 687 */
								obj_t BgL_arg1946z00_1233;

								{	/* Eval/evaluate_comp.scm 687 */
									obj_t BgL_fun1948z00_1234;

									BgL_fun1948z00_1234 = CAR(BgL_lz00_1216);
									BgL_arg1946z00_1233 =
										PROCEDURE_ENTRY(BgL_fun1948z00_1234) (BgL_fun1948z00_1234,
										BgL_sz00_129, BEOA);
								}
								VECTOR_SET(BgL_sz00_129,
									CINT(BgL_spz00_1217), BgL_arg1946z00_1233);
							}
							{	/* Eval/evaluate_comp.scm 688 */
								obj_t BgL_arg1949z00_1235;
								long BgL_arg1950z00_1236;
								long BgL_arg1951z00_1237;

								BgL_arg1949z00_1235 = CDR(BgL_lz00_1216);
								BgL_arg1950z00_1236 =
									((long) CINT(BgL_spz00_1217) + ((long) 1));
								BgL_arg1951z00_1237 = (BgL_nz00_1218 - ((long) 1));
								{
									long BgL_nz00_18084;
									obj_t BgL_spz00_18082;
									obj_t BgL_lz00_18081;

									BgL_lz00_18081 = BgL_arg1949z00_1235;
									BgL_spz00_18082 = BINT(BgL_arg1950z00_1236);
									BgL_nz00_18084 = BgL_arg1951z00_1237;
									BgL_nz00_1218 = BgL_nz00_18084;
									BgL_spz00_1217 = BgL_spz00_18082;
									BgL_lz00_1216 = BgL_lz00_18081;
									goto BgL_zc3anonymousza31937ze3z83_1219;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_132,
		obj_t BgL_stkz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 725 */
			{
				obj_t BgL_lz00_1240;
				obj_t BgL_stkz00_1241;

				BgL_lz00_1240 = BgL_argsz00_132;
				BgL_stkz00_1241 = BgL_stkz00_133;
			BgL_zc3anonymousza31952ze3z83_1242:
				{	/* Eval/evaluate_comp.scm 729 */
					bool_t BgL_testz00_18085;

					if (NULLP(BgL_lz00_1240))
						{	/* Eval/evaluate_comp.scm 729 */
							BgL_testz00_18085 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 729 */
							BgL_testz00_18085 = NULLP(BgL_stkz00_1241);
						}
					if (BgL_testz00_18085)
						{	/* Eval/evaluate_comp.scm 729 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 731 */
							bool_t BgL_testz00_18089;

							{	/* Eval/evaluate_comp.scm 731 */
								obj_t BgL_g1601z00_1247;

								BgL_g1601z00_1247 = CDR(BgL_lz00_1240);
								{
									obj_t BgL_l1599z00_1249;

									{	/* Eval/evaluate_comp.scm 731 */
										obj_t BgL_auxz00_18091;

										BgL_l1599z00_1249 = BgL_g1601z00_1247;
									BgL_zc3anonymousza31957ze3z83_1250:
										if (NULLP(BgL_l1599z00_1249))
											{	/* Eval/evaluate_comp.scm 731 */
												BgL_auxz00_18091 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 731 */
												obj_t BgL__ortest_1602z00_1252;

												{	/* Eval/evaluate_comp.scm 731 */
													obj_t BgL_ez00_1254;

													BgL_ez00_1254 = CAR(BgL_l1599z00_1249);
													{	/* Eval/evaluate_comp.scm 731 */
														obj_t BgL_arg1960z00_1255;
														obj_t BgL_arg1961z00_1256;

														BgL_arg1960z00_1255 = CAR(BgL_stkz00_1241);
														BgL_arg1961z00_1256 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1254), BNIL);
														BgL__ortest_1602z00_1252 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1960z00_1255, BgL_arg1961z00_1256);
													}
												}
												if (CBOOL(BgL__ortest_1602z00_1252))
													{	/* Eval/evaluate_comp.scm 731 */
														BgL_auxz00_18091 = BgL__ortest_1602z00_1252;
													}
												else
													{
														obj_t BgL_l1599z00_18101;

														BgL_l1599z00_18101 = CDR(BgL_l1599z00_1249);
														BgL_l1599z00_1249 = BgL_l1599z00_18101;
														goto BgL_zc3anonymousza31957ze3z83_1250;
													}
											}
										BgL_testz00_18089 = CBOOL(BgL_auxz00_18091);
									}
								}
							}
							if (BgL_testz00_18089)
								{	/* Eval/evaluate_comp.scm 731 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_18106;
									obj_t BgL_lz00_18104;

									BgL_lz00_18104 = CDR(BgL_lz00_1240);
									BgL_stkz00_18106 = CDR(BgL_stkz00_1241);
									BgL_stkz00_1241 = BgL_stkz00_18106;
									BgL_lz00_1240 = BgL_lz00_18104;
									goto BgL_zc3anonymousza31952ze3z83_1242;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_134, obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 735 */
			{	/* Eval/evaluate_comp.scm 737 */
				long BgL_siza7eza7_1261;
				long BgL_nbargsz00_1262;
				obj_t BgL_fz00_1263;
				obj_t BgL_symbzd2funzd2_1264;

				BgL_siza7eza7_1261 = bgl_list_length(BgL_stkz00_135);
				BgL_nbargsz00_1262 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00));
				BgL_fz00_1263 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_funz00),
					BgL_stkz00_135);
				BgL_symbzd2funzd2_1264 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_134))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 739 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
								BgL_stkz00_135))
							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_argsz00_1267;

								BgL_argsz00_1267 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_stkz00_135);
								{	/* Eval/evaluate_comp.scm 746 */
									obj_t BgL_zc3anonymousza31965ze3z83_15655;

									BgL_zc3anonymousza31965ze3z83_15655 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31965ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_15655,
										(int) (((long) 0)), BgL_fz00_1263);
									PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_15655,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_15655,
										(int) (((long) 2)), BgL_symbzd2funzd2_1264);
									PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_15655,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1262));
									PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_15655,
										(int) (((long) 4)), BgL_argsz00_1267);
									PROCEDURE_SET(BgL_zc3anonymousza31965ze3z83_15655,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1261));
									return BgL_zc3anonymousza31965ze3z83_15655;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_argsz00_1308;

								BgL_argsz00_1308 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_135,
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_siza7eza7_1261);
								{	/* Eval/evaluate_comp.scm 754 */
									obj_t BgL_zc3anonymousza31991ze3z83_15656;

									BgL_zc3anonymousza31991ze3z83_15656 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31991ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza31991ze3z83_15656,
										(int) (((long) 0)), BgL_fz00_1263);
									PROCEDURE_SET(BgL_zc3anonymousza31991ze3z83_15656,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31991ze3z83_15656,
										(int) (((long) 2)), BgL_symbzd2funzd2_1264);
									PROCEDURE_SET(BgL_zc3anonymousza31991ze3z83_15656,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1262));
									PROCEDURE_SET(BgL_zc3anonymousza31991ze3z83_15656,
										(int) (((long) 4)), BgL_argsz00_1308);
									return BgL_zc3anonymousza31991ze3z83_15656;
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 740 */
						obj_t BgL_argsz00_1347;

						BgL_argsz00_1347 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
							BgL_stkz00_135);
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_zc3anonymousza32017ze3z83_15657;

							BgL_zc3anonymousza32017ze3z83_15657 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32017ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 6)));
							PROCEDURE_SET(BgL_zc3anonymousza32017ze3z83_15657,
								(int) (((long) 0)), BgL_fz00_1263);
							PROCEDURE_SET(BgL_zc3anonymousza32017ze3z83_15657,
								(int) (((long) 1)), ((obj_t) BgL_ez00_134));
							PROCEDURE_SET(BgL_zc3anonymousza32017ze3z83_15657,
								(int) (((long) 2)), BgL_symbzd2funzd2_1264);
							PROCEDURE_SET(BgL_zc3anonymousza32017ze3z83_15657,
								(int) (((long) 3)), BINT(BgL_nbargsz00_1262));
							PROCEDURE_SET(BgL_zc3anonymousza32017ze3z83_15657,
								(int) (((long) 4)), BgL_argsz00_1347);
							PROCEDURE_SET(BgL_zc3anonymousza32017ze3z83_15657,
								(int) (((long) 5)), BINT(BgL_siza7eza7_1261));
							return BgL_zc3anonymousza32017ze3z83_15657;
						}
					}
			}
		}
	}



/* &<anonymous:1965> */
	obj_t BGl_z62zc3anonymousza31965ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15658, obj_t BgL_sz00_15665)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 746 */
			{	/* Eval/evaluate_comp.scm 746 */
				obj_t BgL_fz00_15659;
				BgL_ev_appz00_bglt BgL_i1147z00_15660;
				obj_t BgL_symbzd2funzd2_15661;
				long BgL_nbargsz00_15662;
				obj_t BgL_argsz00_15663;
				long BgL_siza7eza7_15664;

				BgL_fz00_15659 = PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 0)));
				BgL_i1147z00_15660 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 1))));
				BgL_symbzd2funzd2_15661 =
					PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 2)));
				BgL_nbargsz00_15662 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 3))));
				BgL_argsz00_15663 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 4))));
				BgL_siza7eza7_15664 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15658, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1268;

					BgL_sz00_1268 = BgL_sz00_15665;
					{	/* Eval/evaluate_comp.scm 746 */
						obj_t BgL_bpz00_1270;

						BgL_bpz00_1270 = VECTOR_REF(BgL_sz00_1268, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 746 */
							obj_t BgL_fz00_1271;

							BgL_fz00_1271 =
								PROCEDURE_ENTRY(BgL_fz00_15659) (BgL_fz00_15659, BgL_sz00_1268,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1271))
								{	/* Eval/evaluate_comp.scm 746 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 746 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15660))->
											BgL_locz00), BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1271);
								}
							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_ufz00_1274;

								BgL_ufz00_1274 = PROCEDURE_ATTR(BgL_fz00_1271);
								{	/* Eval/evaluate_comp.scm 746 */
									bool_t BgL_testz00_18205;

									if (STRUCTP(BgL_ufz00_1274))
										{	/* Eval/evaluate_comp.scm 746 */
											BgL_testz00_18205 =
												(STRUCT_KEY(BgL_ufz00_1274) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 746 */
											BgL_testz00_18205 = ((bool_t) 0);
										}
									if (BgL_testz00_18205)
										{	/* Eval/evaluate_comp.scm 746 */
											obj_t BgL_arityz00_1276;
											obj_t BgL_runz00_1277;
											obj_t BgL_sfz00_1278;

											BgL_arityz00_1276 =
												STRUCT_REF(BgL_ufz00_1274, (int) (((long) 0)));
											BgL_runz00_1277 =
												STRUCT_REF(BgL_ufz00_1274, (int) (((long) 1)));
											BgL_sfz00_1278 =
												STRUCT_REF(BgL_ufz00_1274, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 746 */
												long BgL_spz00_1279;

												BgL_spz00_1279 =
													((long) CINT(BgL_bpz00_1270) + BgL_siza7eza7_15664);
												if (
													((long) CINT(BgL_arityz00_1276) ==
														BgL_nbargsz00_15662))
													{	/* Eval/evaluate_comp.scm 746 */
														{
															obj_t BgL_lz00_6383;
															long BgL_spz00_6384;

															BgL_lz00_6383 = BgL_argsz00_15663;
															BgL_spz00_6384 = BgL_spz00_1279;
														BgL_recz00_6382:
															if (NULLP(BgL_lz00_6383))
																{	/* Eval/evaluate_comp.scm 749 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 749 */
																	{	/* Eval/evaluate_comp.scm 749 */
																		obj_t BgL_arg1932z00_6391;

																		{	/* Eval/evaluate_comp.scm 749 */
																			obj_t BgL_fun1933z00_6392;

																			BgL_fun1933z00_6392 = CAR(BgL_lz00_6383);
																			BgL_arg1932z00_6391 =
																				PROCEDURE_ENTRY(BgL_fun1933z00_6392)
																				(BgL_fun1933z00_6392, BgL_sz00_1268,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1268,
																			(int) (BgL_spz00_6384),
																			BgL_arg1932z00_6391);
																	}
																	{
																		long BgL_spz00_18232;
																		obj_t BgL_lz00_18230;

																		BgL_lz00_18230 = CDR(BgL_lz00_6383);
																		BgL_spz00_18232 =
																			(BgL_spz00_6384 + ((long) 1));
																		BgL_spz00_6384 = BgL_spz00_18232;
																		BgL_lz00_6383 = BgL_lz00_18230;
																		goto BgL_recz00_6382;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 750 */
															long BgL_arg1970z00_1281;

															BgL_arg1970z00_1281 =
																(BgL_spz00_1279 + BgL_nbargsz00_15662);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1268, BgL_bpz00_1270, BgL_sz00_1268,
																BINT(BgL_spz00_1279),
																BINT(BgL_arg1970z00_1281));
													}}
												else
													{	/* Eval/evaluate_comp.scm 746 */
														bool_t BgL_testz00_18238;

														if (((long) CINT(BgL_arityz00_1276) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 746 */
																BgL_testz00_18238 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 746 */
																BgL_testz00_18238 =
																	(
																	(long) CINT(BgL_arityz00_1276) <
																	(((long) -1) - BgL_nbargsz00_15662));
															}
														if (BgL_testz00_18238)
															{	/* Eval/evaluate_comp.scm 746 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1147z00_15660))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1274,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15662),
																	CINT(BgL_arityz00_1276));
															}
														else
															{	/* Eval/evaluate_comp.scm 746 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1276, BgL_sz00_1268,
																	BgL_argsz00_15663, BINT(BgL_spz00_1279));
																{	/* Eval/evaluate_comp.scm 752 */
																	long BgL_arg1974z00_1285;

																	BgL_arg1974z00_1285 =
																		(BgL_spz00_1279 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1276)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1268, BgL_bpz00_1270,
																		BgL_sz00_1268, BINT(BgL_spz00_1279),
																		BINT(BgL_arg1974z00_1285));
													}}}
												{	/* Eval/evaluate_comp.scm 746 */
													obj_t BgL_auxz00_18261;
													obj_t BgL_auxz00_18259;

													BgL_auxz00_18261 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15660))->
														BgL_locz00);
													BgL_auxz00_18259 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18259,
														BgL_auxz00_18261);
												}
												{	/* Eval/evaluate_comp.scm 746 */
													bool_t BgL_testz00_18264;

													{	/* Eval/evaluate_comp.scm 746 */
														int BgL_arg1908z00_6431;

														BgL_arg1908z00_6431 = VECTOR_LENGTH(BgL_sz00_1268);
														BgL_testz00_18264 =
															(
															((long) CINT(BgL_bpz00_1270) +
																(long) CINT(BgL_sfz00_1278)) <
															(long) (BgL_arg1908z00_6431));
													}
													if (BgL_testz00_18264)
														{	/* Eval/evaluate_comp.scm 746 */
															return BgL_runz00_1277;
														}
													else
														{	/* Eval/evaluate_comp.scm 746 */
															obj_t BgL_nsz00_1292;

															BgL_nsz00_1292 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 746 */
																long BgL_arg1980z00_1294;

																BgL_arg1980z00_1294 =
																	(
																	(long) CINT(BgL_bpz00_1270) +
																	BgL_nbargsz00_15662);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1292, BINT(((long) 2)),
																	BgL_sz00_1268, BgL_bpz00_1270,
																	BINT(BgL_arg1980z00_1294));
															}
															VECTOR_SET(BgL_nsz00_1292,
																(int) (((long) 1)), BgL_sz00_1268);
															{	/* Eval/evaluate_comp.scm 746 */
																obj_t BgL_auxz00_18279;

																BgL_auxz00_18279 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18279,
																	BgL_nsz00_1292);
															}
															{	/* Eval/evaluate_comp.scm 746 */
																obj_t BgL_val1151z00_1296;

																BgL_val1151z00_1296 =
																	BGl_zc3exitza31986ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1292, BgL_runz00_1277);
																{	/* Eval/evaluate_comp.scm 746 */
																	obj_t BgL_auxz00_18283;

																	BgL_auxz00_18283 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18283,
																		BgL_sz00_1268);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1151z00_1296)))
																	{	/* Eval/evaluate_comp.scm 746 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1151z00_1296),
																			CDR(BgL_val1151z00_1296));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 746 */
																		return BgL_val1151z00_1296;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 746 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1271,
													(int) (BgL_nbargsz00_15662)))
												{	/* Eval/evaluate_comp.scm 746 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1268, BgL_fz00_1271, BgL_argsz00_15663,
														BgL_bpz00_1270, BgL_siza7eza7_15664);
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15660))->
															BgL_locz00), BgL_symbzd2funzd2_15661,
														(int) (BgL_nbargsz00_15662),
														PROCEDURE_ARITY(BgL_fz00_1271));
		}}}}}}}}}
	}



/* <exit:1986> */
	obj_t BGl_zc3exitza31986ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17696,
		obj_t BgL_runz00_17695)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 746 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1152z00_1302;

			if (SET_EXIT(BgL_an_exit1152z00_1302))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1152z00_1302 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 746 */

						PUSH_EXIT(BgL_an_exit1152z00_1302, ((long) 0));
						{	/* Eval/evaluate_comp.scm 746 */
							obj_t BgL_val1153z00_1303;

							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_savedzd2bpzd2_6450;

								BgL_savedzd2bpzd2_6450 =
									VECTOR_REF(BgL_nsz00_17696, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17696,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6457;

									BgL_fz00_6457 = BgL_runz00_17695;
								BgL_recz00_6456:
									{	/* Eval/evaluate_comp.scm 746 */
										obj_t BgL_rz00_6458;

										BgL_rz00_6458 =
											PROCEDURE_ENTRY(BgL_fz00_6457) (BgL_fz00_6457,
											BgL_nsz00_17696, BEOA);
										{	/* Eval/evaluate_comp.scm 746 */
											bool_t BgL_testz00_18312;

											if (PROCEDUREP(BgL_rz00_6458))
												{	/* Eval/evaluate_comp.scm 746 */
													obj_t BgL_arg1899z00_6463;

													BgL_arg1899z00_6463 = PROCEDURE_ATTR(BgL_rz00_6458);
													if (STRUCTP(BgL_arg1899z00_6463))
														{	/* Eval/evaluate_comp.scm 746 */
															BgL_testz00_18312 =
																(STRUCT_KEY(BgL_arg1899z00_6463) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 746 */
															BgL_testz00_18312 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													BgL_testz00_18312 = ((bool_t) 0);
												}
											if (BgL_testz00_18312)
												{
													obj_t BgL_fz00_18320;

													BgL_fz00_18320 = BgL_rz00_6458;
													BgL_fz00_6457 = BgL_fz00_18320;
													goto BgL_recz00_6456;
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													VECTOR_SET(BgL_nsz00_17696,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6450);
													BgL_val1153z00_1303 = BgL_rz00_6458;
							}}}}}
							POP_EXIT();
							return BgL_val1153z00_1303;
						}
					}
				}
		}
	}



/* &<anonymous:1991> */
	obj_t BGl_z62zc3anonymousza31991ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15666, obj_t BgL_sz00_15672)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 754 */
			{	/* Eval/evaluate_comp.scm 754 */
				obj_t BgL_fz00_15667;
				BgL_ev_appz00_bglt BgL_i1147z00_15668;
				obj_t BgL_symbzd2funzd2_15669;
				long BgL_nbargsz00_15670;
				obj_t BgL_argsz00_15671;

				BgL_fz00_15667 = PROCEDURE_REF(BgL_envz00_15666, (int) (((long) 0)));
				BgL_i1147z00_15668 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15666, (int) (((long) 1))));
				BgL_symbzd2funzd2_15669 =
					PROCEDURE_REF(BgL_envz00_15666, (int) (((long) 2)));
				BgL_nbargsz00_15670 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15666, (int) (((long) 3))));
				BgL_argsz00_15671 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15666, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1309;

					BgL_sz00_1309 = BgL_sz00_15672;
					{	/* Eval/evaluate_comp.scm 754 */
						obj_t BgL_bpz00_1311;

						BgL_bpz00_1311 = VECTOR_REF(BgL_sz00_1309, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 754 */
							obj_t BgL_fz00_1312;

							BgL_fz00_1312 =
								PROCEDURE_ENTRY(BgL_fz00_15667) (BgL_fz00_15667, BgL_sz00_1309,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1312))
								{	/* Eval/evaluate_comp.scm 754 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 754 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15668))->
											BgL_locz00), BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1312);
								}
							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_ufz00_1315;

								BgL_ufz00_1315 = PROCEDURE_ATTR(BgL_fz00_1312);
								{	/* Eval/evaluate_comp.scm 754 */
									bool_t BgL_testz00_18348;

									if (STRUCTP(BgL_ufz00_1315))
										{	/* Eval/evaluate_comp.scm 754 */
											BgL_testz00_18348 =
												(STRUCT_KEY(BgL_ufz00_1315) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 754 */
											BgL_testz00_18348 = ((bool_t) 0);
										}
									if (BgL_testz00_18348)
										{	/* Eval/evaluate_comp.scm 754 */
											obj_t BgL_arityz00_1317;
											obj_t BgL_runz00_1318;
											obj_t BgL_sfz00_1319;

											BgL_arityz00_1317 =
												STRUCT_REF(BgL_ufz00_1315, (int) (((long) 0)));
											BgL_runz00_1318 =
												STRUCT_REF(BgL_ufz00_1315, (int) (((long) 1)));
											BgL_sfz00_1319 =
												STRUCT_REF(BgL_ufz00_1315, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1317) == BgL_nbargsz00_15670))
												{
													obj_t BgL_lz00_6509;
													obj_t BgL_spz00_6510;

													{	/* Eval/evaluate_comp.scm 757 */
														bool_t BgL_auxz00_18362;

														BgL_lz00_6509 = BgL_argsz00_15671;
														BgL_spz00_6510 = BgL_bpz00_1311;
													BgL_recz00_6508:
														if (NULLP(BgL_lz00_6509))
															{	/* Eval/evaluate_comp.scm 757 */
																BgL_auxz00_18362 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 757 */
																{	/* Eval/evaluate_comp.scm 757 */
																	obj_t BgL_arg1932z00_6517;

																	{	/* Eval/evaluate_comp.scm 757 */
																		obj_t BgL_fun1933z00_6518;

																		BgL_fun1933z00_6518 = CAR(BgL_lz00_6509);
																		BgL_arg1932z00_6517 =
																			PROCEDURE_ENTRY(BgL_fun1933z00_6518)
																			(BgL_fun1933z00_6518, BgL_sz00_1309,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1309,
																		CINT(BgL_spz00_6510), BgL_arg1932z00_6517);
																}
																{	/* Eval/evaluate_comp.scm 757 */
																	obj_t BgL_arg1935z00_6519;
																	long BgL_arg1936z00_6520;

																	BgL_arg1935z00_6519 = CDR(BgL_lz00_6509);
																	BgL_arg1936z00_6520 =
																		((long) CINT(BgL_spz00_6510) + ((long) 1));
																	{
																		obj_t BgL_spz00_18376;
																		obj_t BgL_lz00_18375;

																		BgL_lz00_18375 = BgL_arg1935z00_6519;
																		BgL_spz00_18376 = BINT(BgL_arg1936z00_6520);
																		BgL_spz00_6510 = BgL_spz00_18376;
																		BgL_lz00_6509 = BgL_lz00_18375;
																		goto BgL_recz00_6508;
																	}
																}
															}
														BBOOL(BgL_auxz00_18362);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													bool_t BgL_testz00_18379;

													if (((long) CINT(BgL_arityz00_1317) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18379 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18379 =
																(
																(long) CINT(BgL_arityz00_1317) <
																(((long) -1) - BgL_nbargsz00_15670));
														}
													if (BgL_testz00_18379)
														{	/* Eval/evaluate_comp.scm 754 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1147z00_15668))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1315, (int) (((long) 3))),
																(int) (BgL_nbargsz00_15670),
																CINT(BgL_arityz00_1317));
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1317, BgL_sz00_1309,
																BgL_argsz00_15671, BgL_bpz00_1311);
														}
												}
											{	/* Eval/evaluate_comp.scm 754 */
												obj_t BgL_auxz00_18395;
												obj_t BgL_auxz00_18393;

												BgL_auxz00_18395 =
													(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15668))->
													BgL_locz00);
												BgL_auxz00_18393 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18393,
													BgL_auxz00_18395);
											}
											{	/* Eval/evaluate_comp.scm 754 */
												bool_t BgL_testz00_18398;

												{	/* Eval/evaluate_comp.scm 754 */
													int BgL_arg1908z00_6548;

													BgL_arg1908z00_6548 = VECTOR_LENGTH(BgL_sz00_1309);
													BgL_testz00_18398 =
														(
														((long) CINT(BgL_bpz00_1311) +
															(long) CINT(BgL_sfz00_1319)) <
														(long) (BgL_arg1908z00_6548));
												}
												if (BgL_testz00_18398)
													{	/* Eval/evaluate_comp.scm 754 */
														return BgL_runz00_1318;
													}
												else
													{	/* Eval/evaluate_comp.scm 754 */
														obj_t BgL_nsz00_1330;

														BgL_nsz00_1330 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 754 */
															long BgL_arg2004z00_1332;

															BgL_arg2004z00_1332 =
																(
																(long) CINT(BgL_bpz00_1311) +
																BgL_nbargsz00_15670);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1330, BINT(((long) 2)),
																BgL_sz00_1309, BgL_bpz00_1311,
																BINT(BgL_arg2004z00_1332));
														}
														VECTOR_SET(BgL_nsz00_1330,
															(int) (((long) 1)), BgL_sz00_1309);
														{	/* Eval/evaluate_comp.scm 754 */
															obj_t BgL_auxz00_18413;

															BgL_auxz00_18413 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18413,
																BgL_nsz00_1330);
														}
														{	/* Eval/evaluate_comp.scm 754 */
															obj_t BgL_val1154z00_1334;

															BgL_val1154z00_1334 =
																BGl_zc3exitza32010ze3z83zz__evaluate_compz00
																(BgL_nsz00_1330, BgL_runz00_1318);
															{	/* Eval/evaluate_comp.scm 754 */
																obj_t BgL_auxz00_18417;

																BgL_auxz00_18417 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18417,
																	BgL_sz00_1309);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1154z00_1334)))
																{	/* Eval/evaluate_comp.scm 754 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1154z00_1334),
																		CDR(BgL_val1154z00_1334));
																}
															else
																{	/* Eval/evaluate_comp.scm 754 */
																	return BgL_val1154z00_1334;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 754 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1312,
													(int) (BgL_nbargsz00_15670)))
												{	/* Eval/evaluate_comp.scm 754 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1309, BgL_fz00_1312, BgL_argsz00_15671,
														BgL_bpz00_1311, BgL_nbargsz00_15670);
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15668))->
															BgL_locz00), BgL_symbzd2funzd2_15669,
														(int) (BgL_nbargsz00_15670),
														PROCEDURE_ARITY(BgL_fz00_1312));
		}}}}}}}}}
	}



/* <exit:2010> */
	obj_t BGl_zc3exitza32010ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17694,
		obj_t BgL_runz00_17693)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 754 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1155z00_1340;

			if (SET_EXIT(BgL_an_exit1155z00_1340))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1155z00_1340 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 754 */

						PUSH_EXIT(BgL_an_exit1155z00_1340, ((long) 0));
						{	/* Eval/evaluate_comp.scm 754 */
							obj_t BgL_val1156z00_1341;

							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_savedzd2bpzd2_6567;

								BgL_savedzd2bpzd2_6567 =
									VECTOR_REF(BgL_nsz00_17694, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17694,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6574;

									BgL_fz00_6574 = BgL_runz00_17693;
								BgL_recz00_6573:
									{	/* Eval/evaluate_comp.scm 754 */
										obj_t BgL_rz00_6575;

										BgL_rz00_6575 =
											PROCEDURE_ENTRY(BgL_fz00_6574) (BgL_fz00_6574,
											BgL_nsz00_17694, BEOA);
										{	/* Eval/evaluate_comp.scm 754 */
											bool_t BgL_testz00_18446;

											if (PROCEDUREP(BgL_rz00_6575))
												{	/* Eval/evaluate_comp.scm 754 */
													obj_t BgL_arg1899z00_6580;

													BgL_arg1899z00_6580 = PROCEDURE_ATTR(BgL_rz00_6575);
													if (STRUCTP(BgL_arg1899z00_6580))
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18446 =
																(STRUCT_KEY(BgL_arg1899z00_6580) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18446 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													BgL_testz00_18446 = ((bool_t) 0);
												}
											if (BgL_testz00_18446)
												{
													obj_t BgL_fz00_18454;

													BgL_fz00_18454 = BgL_rz00_6575;
													BgL_fz00_6574 = BgL_fz00_18454;
													goto BgL_recz00_6573;
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													VECTOR_SET(BgL_nsz00_17694,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6567);
													BgL_val1156z00_1341 = BgL_rz00_6575;
							}}}}}
							POP_EXIT();
							return BgL_val1156z00_1341;
						}
					}
				}
		}
	}



/* &<anonymous:2017> */
	obj_t BGl_z62zc3anonymousza32017ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15673, obj_t BgL_sz00_15680)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 740 */
			{	/* Eval/evaluate_comp.scm 740 */
				obj_t BgL_fz00_15674;
				BgL_ev_appz00_bglt BgL_i1147z00_15675;
				obj_t BgL_symbzd2funzd2_15676;
				long BgL_nbargsz00_15677;
				obj_t BgL_argsz00_15678;
				long BgL_siza7eza7_15679;

				BgL_fz00_15674 = PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 0)));
				BgL_i1147z00_15675 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 1))));
				BgL_symbzd2funzd2_15676 =
					PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 2)));
				BgL_nbargsz00_15677 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 3))));
				BgL_argsz00_15678 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 4))));
				BgL_siza7eza7_15679 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15673, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1348;

					BgL_sz00_1348 = BgL_sz00_15680;
					{	/* Eval/evaluate_comp.scm 740 */
						obj_t BgL_bpz00_1350;

						BgL_bpz00_1350 = VECTOR_REF(BgL_sz00_1348, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_fz00_1351;

							BgL_fz00_1351 =
								PROCEDURE_ENTRY(BgL_fz00_15674) (BgL_fz00_15674, BgL_sz00_1348,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1351))
								{	/* Eval/evaluate_comp.scm 740 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 740 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15675))->
											BgL_locz00), BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1351);
								}
							{	/* Eval/evaluate_comp.scm 740 */
								obj_t BgL_ufz00_1354;

								BgL_ufz00_1354 = PROCEDURE_ATTR(BgL_fz00_1351);
								{	/* Eval/evaluate_comp.scm 740 */
									bool_t BgL_testz00_18485;

									if (STRUCTP(BgL_ufz00_1354))
										{	/* Eval/evaluate_comp.scm 740 */
											BgL_testz00_18485 =
												(STRUCT_KEY(BgL_ufz00_1354) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 740 */
											BgL_testz00_18485 = ((bool_t) 0);
										}
									if (BgL_testz00_18485)
										{	/* Eval/evaluate_comp.scm 740 */
											obj_t BgL_arityz00_1356;
											obj_t BgL_runz00_1357;
											obj_t BgL_sfz00_1358;

											BgL_arityz00_1356 =
												STRUCT_REF(BgL_ufz00_1354, (int) (((long) 0)));
											BgL_runz00_1357 =
												STRUCT_REF(BgL_ufz00_1354, (int) (((long) 1)));
											BgL_sfz00_1358 =
												STRUCT_REF(BgL_ufz00_1354, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 740 */
												long BgL_spz00_1359;

												BgL_spz00_1359 =
													((long) CINT(BgL_bpz00_1350) + BgL_siza7eza7_15679);
												if (
													((long) CINT(BgL_arityz00_1356) ==
														BgL_nbargsz00_15677))
													{
														obj_t BgL_lz00_6626;
														long BgL_spz00_6627;

														{	/* Eval/evaluate_comp.scm 743 */
															bool_t BgL_auxz00_18501;

															BgL_lz00_6626 = BgL_argsz00_15678;
															BgL_spz00_6627 = BgL_spz00_1359;
														BgL_recz00_6625:
															if (NULLP(BgL_lz00_6626))
																{	/* Eval/evaluate_comp.scm 743 */
																	BgL_auxz00_18501 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 743 */
																	{	/* Eval/evaluate_comp.scm 743 */
																		obj_t BgL_arg1932z00_6634;

																		{	/* Eval/evaluate_comp.scm 743 */
																			obj_t BgL_fun1933z00_6635;

																			BgL_fun1933z00_6635 = CAR(BgL_lz00_6626);
																			BgL_arg1932z00_6634 =
																				PROCEDURE_ENTRY(BgL_fun1933z00_6635)
																				(BgL_fun1933z00_6635, BgL_sz00_1348,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1348,
																			(int) (BgL_spz00_6627),
																			BgL_arg1932z00_6634);
																	}
																	{
																		long BgL_spz00_18513;
																		obj_t BgL_lz00_18511;

																		BgL_lz00_18511 = CDR(BgL_lz00_6626);
																		BgL_spz00_18513 =
																			(BgL_spz00_6627 + ((long) 1));
																		BgL_spz00_6627 = BgL_spz00_18513;
																		BgL_lz00_6626 = BgL_lz00_18511;
																		goto BgL_recz00_6625;
																	}
																}
															BBOOL(BgL_auxz00_18501);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 740 */
														bool_t BgL_testz00_18516;

														if (((long) CINT(BgL_arityz00_1356) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 740 */
																BgL_testz00_18516 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 740 */
																BgL_testz00_18516 =
																	(
																	(long) CINT(BgL_arityz00_1356) <
																	(((long) -1) - BgL_nbargsz00_15677));
															}
														if (BgL_testz00_18516)
															{	/* Eval/evaluate_comp.scm 740 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1147z00_15675))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1354,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15677),
																	CINT(BgL_arityz00_1356));
															}
														else
															{	/* Eval/evaluate_comp.scm 740 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1356, BgL_sz00_1348,
																	BgL_argsz00_15678, BINT(BgL_spz00_1359));
															}
													}
												{	/* Eval/evaluate_comp.scm 740 */
													obj_t BgL_auxz00_18533;
													obj_t BgL_auxz00_18531;

													BgL_auxz00_18533 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15675))->
														BgL_locz00);
													BgL_auxz00_18531 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18531,
														BgL_auxz00_18533);
												}
												{	/* Eval/evaluate_comp.scm 740 */
													bool_t BgL_testz00_18536;

													{	/* Eval/evaluate_comp.scm 740 */
														int BgL_arg1908z00_6665;

														BgL_arg1908z00_6665 = VECTOR_LENGTH(BgL_sz00_1348);
														BgL_testz00_18536 =
															(
															(BgL_spz00_1359 +
																(long) CINT(BgL_sfz00_1358)) <
															(long) (BgL_arg1908z00_6665));
													}
													if (BgL_testz00_18536)
														{	/* Eval/evaluate_comp.scm 740 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1357, BgL_sz00_1348,
																BINT(BgL_spz00_1359));
														}
													else
														{	/* Eval/evaluate_comp.scm 740 */
															obj_t BgL_nsz00_1369;

															BgL_nsz00_1369 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 740 */
																long BgL_arg2033z00_1371;

																BgL_arg2033z00_1371 =
																	(BgL_spz00_1359 + BgL_nbargsz00_15677);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1369, BINT(((long) 2)),
																	BgL_sz00_1348, BINT(BgL_spz00_1359),
																	BINT(BgL_arg2033z00_1371));
															}
															VECTOR_SET(BgL_nsz00_1369,
																(int) (((long) 1)), BgL_sz00_1348);
															{	/* Eval/evaluate_comp.scm 740 */
																obj_t BgL_auxz00_18552;

																BgL_auxz00_18552 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18552,
																	BgL_nsz00_1369);
															}
															{	/* Eval/evaluate_comp.scm 740 */
																obj_t BgL_val1148z00_1373;

																BgL_val1148z00_1373 =
																	BGl_zc3exitza32042ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1369, BgL_runz00_1357);
																{	/* Eval/evaluate_comp.scm 740 */
																	obj_t BgL_auxz00_18556;

																	BgL_auxz00_18556 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18556,
																		BgL_sz00_1348);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1148z00_1373)))
																	{	/* Eval/evaluate_comp.scm 740 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1148z00_1373),
																			CDR(BgL_val1148z00_1373));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 740 */
																		return BgL_val1148z00_1373;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 740 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1351,
													(int) (BgL_nbargsz00_15677)))
												{	/* Eval/evaluate_comp.scm 740 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1348, BgL_fz00_1351, BgL_argsz00_15678,
														BgL_bpz00_1350, BgL_siza7eza7_15679);
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1147z00_15675))->
															BgL_locz00), BgL_symbzd2funzd2_15676,
														(int) (BgL_nbargsz00_15677),
														PROCEDURE_ARITY(BgL_fz00_1351));
		}}}}}}}}}
	}



/* <exit:2042> */
	obj_t BGl_zc3exitza32042ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17692,
		obj_t BgL_runz00_17691)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 740 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1149z00_1379;

			if (SET_EXIT(BgL_an_exit1149z00_1379))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1149z00_1379 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 740 */

						PUSH_EXIT(BgL_an_exit1149z00_1379, ((long) 0));
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_val1150z00_1380;

							{	/* Eval/evaluate_comp.scm 740 */
								obj_t BgL_savedzd2bpzd2_6683;

								BgL_savedzd2bpzd2_6683 =
									VECTOR_REF(BgL_nsz00_17692, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17692,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6690;

									BgL_fz00_6690 = BgL_runz00_17691;
								BgL_recz00_6689:
									{	/* Eval/evaluate_comp.scm 740 */
										obj_t BgL_rz00_6691;

										BgL_rz00_6691 =
											PROCEDURE_ENTRY(BgL_fz00_6690) (BgL_fz00_6690,
											BgL_nsz00_17692, BEOA);
										{	/* Eval/evaluate_comp.scm 740 */
											bool_t BgL_testz00_18585;

											if (PROCEDUREP(BgL_rz00_6691))
												{	/* Eval/evaluate_comp.scm 740 */
													obj_t BgL_arg1899z00_6696;

													BgL_arg1899z00_6696 = PROCEDURE_ATTR(BgL_rz00_6691);
													if (STRUCTP(BgL_arg1899z00_6696))
														{	/* Eval/evaluate_comp.scm 740 */
															BgL_testz00_18585 =
																(STRUCT_KEY(BgL_arg1899z00_6696) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 740 */
															BgL_testz00_18585 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													BgL_testz00_18585 = ((bool_t) 0);
												}
											if (BgL_testz00_18585)
												{
													obj_t BgL_fz00_18593;

													BgL_fz00_18593 = BgL_rz00_6691;
													BgL_fz00_6690 = BgL_fz00_18593;
													goto BgL_recz00_6689;
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													VECTOR_SET(BgL_nsz00_17692,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6683);
													BgL_val1150z00_1380 = BgL_rz00_6691;
							}}}}}
							POP_EXIT();
							return BgL_val1150z00_1380;
						}
					}
				}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_136,
		BgL_ev_exprz00_bglt BgL_vfunz00_137, obj_t BgL_symbzd2funzd2_138,
		obj_t BgL_funz00_139, obj_t BgL_tailzf3zf3_140, obj_t BgL_stkz00_141,
		long BgL_siza7eza7_142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1388;

				BgL_cfunz00_1388 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_137,
					((long) 0), BgL_locz00_136, BgL_symbzd2funzd2_138);
				if (CBOOL(BgL_cfunz00_1388))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32051ze3z83_15681;

						BgL_zc3anonymousza32051ze3z83_15681 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_15681,
							(int) (((long) 0)), BINT(BgL_siza7eza7_142));
						PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_15681,
							(int) (((long) 1)), BgL_cfunz00_1388);
						return BgL_zc3anonymousza32051ze3z83_15681;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_140))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32052ze3z83_15682;

								BgL_zc3anonymousza32052ze3z83_15682 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32052ze3z83_15682,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32052ze3z83_15682,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32052ze3z83_15682,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32052ze3z83_15682,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32052ze3z83_15682;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32072ze3z83_15683;

								BgL_zc3anonymousza32072ze3z83_15683 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32072ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32072ze3z83_15683,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32072ze3z83_15683,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32072ze3z83_15683,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32072ze3z83_15683,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32072ze3z83_15683;
							}
					}
			}
		}
	}



/* &<anonymous:2051> */
	obj_t BGl_z62zc3anonymousza32051ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15684, obj_t BgL_sz00_15687)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				long BgL_siza7eza7_15685;
				obj_t BgL_cfunz00_15686;

				BgL_siza7eza7_15685 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15684, (int) (((long) 0))));
				BgL_cfunz00_15686 = PROCEDURE_REF(BgL_envz00_15684, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1389;

					BgL_sz00_1389 = BgL_sz00_15687;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1391;

						BgL_bpz00_1391 = VECTOR_REF(BgL_sz00_1389, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */

							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1392;

								BgL_nbpz00_1392 =
									((long) CINT(BgL_bpz00_1391) + BgL_siza7eza7_15685);
								VECTOR_SET(BgL_sz00_1389,
									(int) (((long) 0)), BINT(BgL_nbpz00_1392));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1393;

									BgL_rz00_1393 =
										PROCEDURE_ENTRY(BgL_cfunz00_15686) (BgL_cfunz00_15686,
										BEOA);
									VECTOR_SET(BgL_sz00_1389, (int) (((long) 0)), BgL_bpz00_1391);
									return BgL_rz00_1393;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2052> */
	obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15688, obj_t BgL_sz00_15693)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15689;
				obj_t BgL_locz00_15690;
				obj_t BgL_symbzd2funzd2_15691;
				long BgL_siza7eza7_15692;

				BgL_funz00_15689 = PROCEDURE_REF(BgL_envz00_15688, (int) (((long) 0)));
				BgL_locz00_15690 = PROCEDURE_REF(BgL_envz00_15688, (int) (((long) 1)));
				BgL_symbzd2funzd2_15691 =
					PROCEDURE_REF(BgL_envz00_15688, (int) (((long) 2)));
				BgL_siza7eza7_15692 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15688, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1394;

					BgL_sz00_1394 = BgL_sz00_15693;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1396;

						BgL_bpz00_1396 = VECTOR_REF(BgL_sz00_1394, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1397;

							BgL_fz00_1397 =
								PROCEDURE_ENTRY(BgL_funz00_15689) (BgL_funz00_15689,
								BgL_sz00_1394, BEOA);
							if (PROCEDUREP(BgL_fz00_1397))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15690,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1397);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1399;

								BgL_ufz00_1399 = PROCEDURE_ATTR(BgL_fz00_1397);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18670;

									if (STRUCTP(BgL_ufz00_1399))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18670 =
												(STRUCT_KEY(BgL_ufz00_1399) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18670 = ((bool_t) 0);
										}
									if (BgL_testz00_18670)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1401;
											obj_t BgL_runz00_1402;
											obj_t BgL_sfz00_1403;

											BgL_arityz00_1401 =
												STRUCT_REF(BgL_ufz00_1399, (int) (((long) 0)));
											BgL_runz00_1402 =
												STRUCT_REF(BgL_ufz00_1399, (int) (((long) 1)));
											BgL_sfz00_1403 =
												STRUCT_REF(BgL_ufz00_1399, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1401) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 842 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1401))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1401))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2057z00_1409;

																		BgL_arg2057z00_1409 =
																			(
																			(long) CINT(BgL_bpz00_1396) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1394,
																			(int) (BgL_arg2057z00_1409), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15690,
																		STRUCT_REF(BgL_ufz00_1399,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1401));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15690, STRUCT_REF(BgL_ufz00_1399,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1401));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_18702;

												BgL_auxz00_18702 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18702,
													BgL_locz00_15690);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_18705;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1908z00_6774;

													BgL_arg1908z00_6774 = VECTOR_LENGTH(BgL_sz00_1394);
													BgL_testz00_18705 =
														(
														((long) CINT(BgL_bpz00_1396) +
															(long) CINT(BgL_sfz00_1403)) <
														(long) (BgL_arg1908z00_6774));
												}
												if (BgL_testz00_18705)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1402;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1415;

														BgL_nsz00_1415 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2062z00_1417;

															BgL_arg2062z00_1417 =
																((long) CINT(BgL_bpz00_1396) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1415, BINT(((long) 2)),
																BgL_sz00_1394, BgL_bpz00_1396,
																BINT(BgL_arg2062z00_1417));
														}
														VECTOR_SET(BgL_nsz00_1415,
															(int) (((long) 1)), BgL_sz00_1394);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_18720;

															BgL_auxz00_18720 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18720,
																BgL_nsz00_1415);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1168z00_1419;

															BgL_val1168z00_1419 =
																BGl_zc3exitza32069ze3z83zz__evaluate_compz00
																(BgL_nsz00_1415, BgL_runz00_1402);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_18724;

																BgL_auxz00_18724 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18724,
																	BgL_sz00_1394);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1168z00_1419)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1168z00_1419),
																		CDR(BgL_val1168z00_1419));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1168z00_1419;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1397,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1428;

													BgL_nbpz00_1428 =
														((long) CINT(BgL_bpz00_1396) + BgL_siza7eza7_15692);
													VECTOR_SET(BgL_sz00_1394,
														(int) (((long) 0)), BINT(BgL_nbpz00_1428));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1429;

														BgL_rz00_1429 =
															PROCEDURE_ENTRY(BgL_fz00_1397) (BgL_fz00_1397,
															BEOA);
														VECTOR_SET(BgL_sz00_1394, (int) (((long) 0)),
															BgL_bpz00_1396);
														return BgL_rz00_1429;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15690, BgL_symbzd2funzd2_15691,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1397));
		}}}}}}}}}
	}



/* <exit:2069> */
	obj_t BGl_zc3exitza32069ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17690,
		obj_t BgL_runz00_17689)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1169z00_1425;

			if (SET_EXIT(BgL_an_exit1169z00_1425))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1169z00_1425 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1169z00_1425, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1170z00_1426;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_6793;

								BgL_savedzd2bpzd2_6793 =
									VECTOR_REF(BgL_nsz00_17690, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17690,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6800;

									BgL_fz00_6800 = BgL_runz00_17689;
								BgL_recz00_6799:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_6801;

										BgL_rz00_6801 =
											PROCEDURE_ENTRY(BgL_fz00_6800) (BgL_fz00_6800,
											BgL_nsz00_17690, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_18761;

											if (PROCEDUREP(BgL_rz00_6801))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_6806;

													BgL_arg1899z00_6806 = PROCEDURE_ATTR(BgL_rz00_6801);
													if (STRUCTP(BgL_arg1899z00_6806))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18761 =
																(STRUCT_KEY(BgL_arg1899z00_6806) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18761 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_18761 = ((bool_t) 0);
												}
											if (BgL_testz00_18761)
												{
													obj_t BgL_fz00_18769;

													BgL_fz00_18769 = BgL_rz00_6801;
													BgL_fz00_6800 = BgL_fz00_18769;
													goto BgL_recz00_6799;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17690,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6793);
													BgL_val1170z00_1426 = BgL_rz00_6801;
							}}}}}
							POP_EXIT();
							return BgL_val1170z00_1426;
						}
					}
				}
		}
	}



/* &<anonymous:2072> */
	obj_t BGl_z62zc3anonymousza32072ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15694, obj_t BgL_sz00_15699)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15695;
				obj_t BgL_locz00_15696;
				obj_t BgL_symbzd2funzd2_15697;
				long BgL_siza7eza7_15698;

				BgL_funz00_15695 = PROCEDURE_REF(BgL_envz00_15694, (int) (((long) 0)));
				BgL_locz00_15696 = PROCEDURE_REF(BgL_envz00_15694, (int) (((long) 1)));
				BgL_symbzd2funzd2_15697 =
					PROCEDURE_REF(BgL_envz00_15694, (int) (((long) 2)));
				BgL_siza7eza7_15698 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15694, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1431;

					BgL_sz00_1431 = BgL_sz00_15699;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1433;

						BgL_bpz00_1433 = VECTOR_REF(BgL_sz00_1431, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1434;

							BgL_fz00_1434 =
								PROCEDURE_ENTRY(BgL_funz00_15695) (BgL_funz00_15695,
								BgL_sz00_1431, BEOA);
							if (PROCEDUREP(BgL_fz00_1434))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15696,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1434);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1436;

								BgL_ufz00_1436 = PROCEDURE_ATTR(BgL_fz00_1434);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18792;

									if (STRUCTP(BgL_ufz00_1436))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18792 =
												(STRUCT_KEY(BgL_ufz00_1436) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18792 = ((bool_t) 0);
										}
									if (BgL_testz00_18792)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1438;
											obj_t BgL_runz00_1439;
											obj_t BgL_sfz00_1440;

											BgL_arityz00_1438 =
												STRUCT_REF(BgL_ufz00_1436, (int) (((long) 0)));
											BgL_runz00_1439 =
												STRUCT_REF(BgL_ufz00_1436, (int) (((long) 1)));
											BgL_sfz00_1440 =
												STRUCT_REF(BgL_ufz00_1436, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1441;

												BgL_spz00_1441 =
													((long) CINT(BgL_bpz00_1433) + BgL_siza7eza7_15698);
												if (((long) CINT(BgL_arityz00_1438) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 842 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1438))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1438))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2077z00_1446;

																			BgL_arg2077z00_1446 =
																				(BgL_spz00_1441 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1431,
																				(int) (BgL_arg2077z00_1446), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15696,
																			STRUCT_REF(BgL_ufz00_1436,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1438));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15696, STRUCT_REF(BgL_ufz00_1436,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1438));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_18825;

													BgL_auxz00_18825 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18825,
														BgL_locz00_15696);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_18828;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1908z00_6882;

														BgL_arg1908z00_6882 = VECTOR_LENGTH(BgL_sz00_1431);
														BgL_testz00_18828 =
															(
															(BgL_spz00_1441 +
																(long) CINT(BgL_sfz00_1440)) <
															(long) (BgL_arg1908z00_6882));
													}
													if (BgL_testz00_18828)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1439, BgL_sz00_1431,
																BINT(BgL_spz00_1441));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1452;

															BgL_nsz00_1452 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2082z00_1454;

																BgL_arg2082z00_1454 =
																	(BgL_spz00_1441 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1452, BINT(((long) 2)),
																	BgL_sz00_1431, BINT(BgL_spz00_1441),
																	BINT(BgL_arg2082z00_1454));
															}
															VECTOR_SET(BgL_nsz00_1452,
																(int) (((long) 1)), BgL_sz00_1431);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_18844;

																BgL_auxz00_18844 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18844,
																	BgL_nsz00_1452);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1173z00_1456;

																BgL_val1173z00_1456 =
																	BGl_zc3exitza32088ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1452, BgL_runz00_1439);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_18848;

																	BgL_auxz00_18848 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18848,
																		BgL_sz00_1431);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1173z00_1456)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1173z00_1456),
																			CDR(BgL_val1173z00_1456));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1173z00_1456;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1434,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1465;

													BgL_nbpz00_1465 =
														((long) CINT(BgL_bpz00_1433) + BgL_siza7eza7_15698);
													VECTOR_SET(BgL_sz00_1431,
														(int) (((long) 0)), BINT(BgL_nbpz00_1465));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1466;

														BgL_rz00_1466 =
															PROCEDURE_ENTRY(BgL_fz00_1434) (BgL_fz00_1434,
															BEOA);
														VECTOR_SET(BgL_sz00_1431, (int) (((long) 0)),
															BgL_bpz00_1433);
														return BgL_rz00_1466;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15696, BgL_symbzd2funzd2_15697,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1434));
		}}}}}}}}}
	}



/* <exit:2088> */
	obj_t BGl_zc3exitza32088ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17688,
		obj_t BgL_runz00_17687)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1174z00_1462;

			if (SET_EXIT(BgL_an_exit1174z00_1462))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1174z00_1462 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1174z00_1462, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1175z00_1463;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_6900;

								BgL_savedzd2bpzd2_6900 =
									VECTOR_REF(BgL_nsz00_17688, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17688,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6907;

									BgL_fz00_6907 = BgL_runz00_17687;
								BgL_recz00_6906:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_6908;

										BgL_rz00_6908 =
											PROCEDURE_ENTRY(BgL_fz00_6907) (BgL_fz00_6907,
											BgL_nsz00_17688, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_18885;

											if (PROCEDUREP(BgL_rz00_6908))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_6913;

													BgL_arg1899z00_6913 = PROCEDURE_ATTR(BgL_rz00_6908);
													if (STRUCTP(BgL_arg1899z00_6913))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18885 =
																(STRUCT_KEY(BgL_arg1899z00_6913) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18885 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_18885 = ((bool_t) 0);
												}
											if (BgL_testz00_18885)
												{
													obj_t BgL_fz00_18893;

													BgL_fz00_18893 = BgL_rz00_6908;
													BgL_fz00_6907 = BgL_fz00_18893;
													goto BgL_recz00_6906;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17688,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6900);
													BgL_val1175z00_1463 = BgL_rz00_6908;
							}}}}}
							POP_EXIT();
							return BgL_val1175z00_1463;
						}
					}
				}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_143,
		BgL_ev_exprz00_bglt BgL_vfunz00_144, obj_t BgL_symbzd2funzd2_145,
		obj_t BgL_funz00_146, obj_t BgL_tailzf3zf3_147, obj_t BgL_stkz00_148,
		long BgL_siza7eza7_149, obj_t BgL_a1z00_150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1468;

				BgL_cfunz00_1468 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_144,
					((long) 1), BgL_locz00_143, BgL_symbzd2funzd2_145);
				if (CBOOL(BgL_cfunz00_1468))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32091ze3z83_15700;

						BgL_zc3anonymousza32091ze3z83_15700 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32091ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32091ze3z83_15700,
							(int) (((long) 0)), BgL_a1z00_150);
						PROCEDURE_SET(BgL_zc3anonymousza32091ze3z83_15700,
							(int) (((long) 1)), BINT(BgL_siza7eza7_149));
						PROCEDURE_SET(BgL_zc3anonymousza32091ze3z83_15700,
							(int) (((long) 2)), BgL_cfunz00_1468);
						return BgL_zc3anonymousza32091ze3z83_15700;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_147))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32092ze3z83_15701;

								BgL_zc3anonymousza32092ze3z83_15701 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_15701,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_15701,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_15701,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_15701,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32092ze3z83_15701,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32092ze3z83_15701;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32119ze3z83_15702;

								BgL_zc3anonymousza32119ze3z83_15702 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_15702,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_15702,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_15702,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_15702,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32119ze3z83_15702,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32119ze3z83_15702;
							}
					}
			}
		}
	}



/* &<anonymous:2091> */
	obj_t BGl_z62zc3anonymousza32091ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15703, obj_t BgL_sz00_15707)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15704;
				long BgL_siza7eza7_15705;
				obj_t BgL_cfunz00_15706;

				BgL_a1z00_15704 = PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 0)));
				BgL_siza7eza7_15705 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 1))));
				BgL_cfunz00_15706 = PROCEDURE_REF(BgL_envz00_15703, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1469;

					BgL_sz00_1469 = BgL_sz00_15707;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1471;

						BgL_bpz00_1471 = VECTOR_REF(BgL_sz00_1469, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1472;

							BgL_a1z00_1472 =
								PROCEDURE_ENTRY(BgL_a1z00_15704) (BgL_a1z00_15704,
								BgL_sz00_1469, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1473;

								BgL_nbpz00_1473 =
									((long) CINT(BgL_bpz00_1471) + BgL_siza7eza7_15705);
								VECTOR_SET(BgL_sz00_1469,
									(int) (((long) 0)), BINT(BgL_nbpz00_1473));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1474;

									BgL_rz00_1474 =
										PROCEDURE_ENTRY(BgL_cfunz00_15706) (BgL_cfunz00_15706,
										BgL_a1z00_1472, BEOA);
									VECTOR_SET(BgL_sz00_1469, (int) (((long) 0)), BgL_bpz00_1471);
									return BgL_rz00_1474;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2092> */
	obj_t BGl_z62zc3anonymousza32092ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15708, obj_t BgL_sz00_15714)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15709;
				obj_t BgL_a1z00_15710;
				obj_t BgL_locz00_15711;
				obj_t BgL_symbzd2funzd2_15712;
				long BgL_siza7eza7_15713;

				BgL_funz00_15709 = PROCEDURE_REF(BgL_envz00_15708, (int) (((long) 0)));
				BgL_a1z00_15710 = PROCEDURE_REF(BgL_envz00_15708, (int) (((long) 1)));
				BgL_locz00_15711 = PROCEDURE_REF(BgL_envz00_15708, (int) (((long) 2)));
				BgL_symbzd2funzd2_15712 =
					PROCEDURE_REF(BgL_envz00_15708, (int) (((long) 3)));
				BgL_siza7eza7_15713 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15708, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1475;

					BgL_sz00_1475 = BgL_sz00_15714;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1477;

						BgL_bpz00_1477 = VECTOR_REF(BgL_sz00_1475, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1478;
							obj_t BgL_a1z00_1479;

							BgL_fz00_1478 =
								PROCEDURE_ENTRY(BgL_funz00_15709) (BgL_funz00_15709,
								BgL_sz00_1475, BEOA);
							BgL_a1z00_1479 =
								PROCEDURE_ENTRY(BgL_a1z00_15710) (BgL_a1z00_15710,
								BgL_sz00_1475, BEOA);
							if (PROCEDUREP(BgL_fz00_1478))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15711,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1478);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1481;

								BgL_ufz00_1481 = PROCEDURE_ATTR(BgL_fz00_1478);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18989;

									if (STRUCTP(BgL_ufz00_1481))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18989 =
												(STRUCT_KEY(BgL_ufz00_1481) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18989 = ((bool_t) 0);
										}
									if (BgL_testz00_18989)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1483;
											obj_t BgL_runz00_1484;
											obj_t BgL_sfz00_1485;

											BgL_arityz00_1483 =
												STRUCT_REF(BgL_ufz00_1481, (int) (((long) 0)));
											BgL_runz00_1484 =
												STRUCT_REF(BgL_ufz00_1481, (int) (((long) 1)));
											BgL_sfz00_1485 =
												STRUCT_REF(BgL_ufz00_1481, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1483) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_arg2097z00_1488;

													BgL_arg2097z00_1488 =
														((long) CINT(BgL_bpz00_1477) + ((long) 0));
													VECTOR_SET(BgL_sz00_1475,
														(int) (BgL_arg2097z00_1488), BgL_a1z00_1479);
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1483))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1483))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2099z00_1492;
																		obj_t BgL_arg2100z00_1493;

																		BgL_arg2099z00_1492 =
																			(
																			(long) CINT(BgL_bpz00_1477) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2101z00_1494;

																			BgL_list2101z00_1494 =
																				MAKE_PAIR(BgL_a1z00_1479, BNIL);
																			BgL_arg2100z00_1493 =
																				BgL_list2101z00_1494;
																		}
																		VECTOR_SET(BgL_sz00_1475,
																			(int) (BgL_arg2099z00_1492),
																			BgL_arg2100z00_1493);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2103z00_1495;

																		BgL_arg2103z00_1495 =
																			(
																			(long) CINT(BgL_bpz00_1477) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1475,
																			(int) (BgL_arg2103z00_1495),
																			BgL_a1z00_1479);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2104z00_1496;

																		BgL_arg2104z00_1496 =
																			(
																			(long) CINT(BgL_bpz00_1477) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1475,
																			(int) (BgL_arg2104z00_1496), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15711,
																		STRUCT_REF(BgL_ufz00_1481,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1483));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15711, STRUCT_REF(BgL_ufz00_1481,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1483));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_19034;

												BgL_auxz00_19034 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19034,
													BgL_locz00_15711);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_19037;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1908z00_7020;

													BgL_arg1908z00_7020 = VECTOR_LENGTH(BgL_sz00_1475);
													BgL_testz00_19037 =
														(
														((long) CINT(BgL_bpz00_1477) +
															(long) CINT(BgL_sfz00_1485)) <
														(long) (BgL_arg1908z00_7020));
												}
												if (BgL_testz00_19037)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1484;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1502;

														BgL_nsz00_1502 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2110z00_1504;

															BgL_arg2110z00_1504 =
																((long) CINT(BgL_bpz00_1477) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1502, BINT(((long) 2)),
																BgL_sz00_1475, BgL_bpz00_1477,
																BINT(BgL_arg2110z00_1504));
														}
														VECTOR_SET(BgL_nsz00_1502,
															(int) (((long) 1)), BgL_sz00_1475);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19052;

															BgL_auxz00_19052 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19052,
																BgL_nsz00_1502);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1178z00_1506;

															BgL_val1178z00_1506 =
																BGl_zc3exitza32116ze3z83zz__evaluate_compz00
																(BgL_nsz00_1502, BgL_runz00_1484);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19056;

																BgL_auxz00_19056 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19056,
																	BgL_sz00_1475);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1178z00_1506)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1178z00_1506),
																		CDR(BgL_val1178z00_1506));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1178z00_1506;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1478,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1515;

													BgL_nbpz00_1515 =
														((long) CINT(BgL_bpz00_1477) + BgL_siza7eza7_15713);
													VECTOR_SET(BgL_sz00_1475,
														(int) (((long) 0)), BINT(BgL_nbpz00_1515));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1516;

														BgL_rz00_1516 =
															PROCEDURE_ENTRY(BgL_fz00_1478) (BgL_fz00_1478,
															BgL_a1z00_1479, BEOA);
														VECTOR_SET(BgL_sz00_1475, (int) (((long) 0)),
															BgL_bpz00_1477);
														return BgL_rz00_1516;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15711, BgL_symbzd2funzd2_15712,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1478));
		}}}}}}}}}
	}



/* <exit:2116> */
	obj_t BGl_zc3exitza32116ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17686,
		obj_t BgL_runz00_17685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1179z00_1512;

			if (SET_EXIT(BgL_an_exit1179z00_1512))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1179z00_1512 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1179z00_1512, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1180z00_1513;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7039;

								BgL_savedzd2bpzd2_7039 =
									VECTOR_REF(BgL_nsz00_17686, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17686,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7046;

									BgL_fz00_7046 = BgL_runz00_17685;
								BgL_recz00_7045:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7047;

										BgL_rz00_7047 =
											PROCEDURE_ENTRY(BgL_fz00_7046) (BgL_fz00_7046,
											BgL_nsz00_17686, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19094;

											if (PROCEDUREP(BgL_rz00_7047))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_7052;

													BgL_arg1899z00_7052 = PROCEDURE_ATTR(BgL_rz00_7047);
													if (STRUCTP(BgL_arg1899z00_7052))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19094 =
																(STRUCT_KEY(BgL_arg1899z00_7052) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19094 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19094 = ((bool_t) 0);
												}
											if (BgL_testz00_19094)
												{
													obj_t BgL_fz00_19102;

													BgL_fz00_19102 = BgL_rz00_7047;
													BgL_fz00_7046 = BgL_fz00_19102;
													goto BgL_recz00_7045;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17686,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7039);
													BgL_val1180z00_1513 = BgL_rz00_7047;
							}}}}}
							POP_EXIT();
							return BgL_val1180z00_1513;
						}
					}
				}
		}
	}



/* &<anonymous:2119> */
	obj_t BGl_z62zc3anonymousza32119ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15715, obj_t BgL_sz00_15721)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15716;
				obj_t BgL_a1z00_15717;
				obj_t BgL_locz00_15718;
				obj_t BgL_symbzd2funzd2_15719;
				long BgL_siza7eza7_15720;

				BgL_funz00_15716 = PROCEDURE_REF(BgL_envz00_15715, (int) (((long) 0)));
				BgL_a1z00_15717 = PROCEDURE_REF(BgL_envz00_15715, (int) (((long) 1)));
				BgL_locz00_15718 = PROCEDURE_REF(BgL_envz00_15715, (int) (((long) 2)));
				BgL_symbzd2funzd2_15719 =
					PROCEDURE_REF(BgL_envz00_15715, (int) (((long) 3)));
				BgL_siza7eza7_15720 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15715, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1518;

					BgL_sz00_1518 = BgL_sz00_15721;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1520;

						BgL_bpz00_1520 = VECTOR_REF(BgL_sz00_1518, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1521;
							obj_t BgL_a1z00_1522;

							BgL_fz00_1521 =
								PROCEDURE_ENTRY(BgL_funz00_15716) (BgL_funz00_15716,
								BgL_sz00_1518, BEOA);
							BgL_a1z00_1522 =
								PROCEDURE_ENTRY(BgL_a1z00_15717) (BgL_a1z00_15717,
								BgL_sz00_1518, BEOA);
							if (PROCEDUREP(BgL_fz00_1521))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15718,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1521);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1524;

								BgL_ufz00_1524 = PROCEDURE_ATTR(BgL_fz00_1521);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19131;

									if (STRUCTP(BgL_ufz00_1524))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19131 =
												(STRUCT_KEY(BgL_ufz00_1524) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19131 = ((bool_t) 0);
										}
									if (BgL_testz00_19131)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1526;
											obj_t BgL_runz00_1527;
											obj_t BgL_sfz00_1528;

											BgL_arityz00_1526 =
												STRUCT_REF(BgL_ufz00_1524, (int) (((long) 0)));
											BgL_runz00_1527 =
												STRUCT_REF(BgL_ufz00_1524, (int) (((long) 1)));
											BgL_sfz00_1528 =
												STRUCT_REF(BgL_ufz00_1524, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1529;

												BgL_spz00_1529 =
													((long) CINT(BgL_bpz00_1520) + BgL_siza7eza7_15720);
												if (((long) CINT(BgL_arityz00_1526) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2123z00_1531;

														BgL_arg2123z00_1531 = (BgL_spz00_1529 + ((long) 0));
														VECTOR_SET(BgL_sz00_1518,
															(int) (BgL_arg2123z00_1531), BgL_a1z00_1522);
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1526))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1526))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2125z00_1535;
																			obj_t BgL_arg2126z00_1536;

																			BgL_arg2125z00_1535 =
																				(BgL_spz00_1529 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2127z00_1537;

																				BgL_list2127z00_1537 =
																					MAKE_PAIR(BgL_a1z00_1522, BNIL);
																				BgL_arg2126z00_1536 =
																					BgL_list2127z00_1537;
																			}
																			VECTOR_SET(BgL_sz00_1518,
																				(int) (BgL_arg2125z00_1535),
																				BgL_arg2126z00_1536);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2130z00_1538;

																			BgL_arg2130z00_1538 =
																				(BgL_spz00_1529 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1518,
																				(int) (BgL_arg2130z00_1538),
																				BgL_a1z00_1522);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2131z00_1539;

																			BgL_arg2131z00_1539 =
																				(BgL_spz00_1529 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1518,
																				(int) (BgL_arg2131z00_1539), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15718,
																			STRUCT_REF(BgL_ufz00_1524,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1526));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15718, STRUCT_REF(BgL_ufz00_1524,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1526));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_19174;

													BgL_auxz00_19174 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19174,
														BgL_locz00_15718);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_19177;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1908z00_7148;

														BgL_arg1908z00_7148 = VECTOR_LENGTH(BgL_sz00_1518);
														BgL_testz00_19177 =
															(
															(BgL_spz00_1529 +
																(long) CINT(BgL_sfz00_1528)) <
															(long) (BgL_arg1908z00_7148));
													}
													if (BgL_testz00_19177)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1527, BgL_sz00_1518,
																BINT(BgL_spz00_1529));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1545;

															BgL_nsz00_1545 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2137z00_1547;

																BgL_arg2137z00_1547 =
																	(BgL_spz00_1529 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1545, BINT(((long) 2)),
																	BgL_sz00_1518, BINT(BgL_spz00_1529),
																	BINT(BgL_arg2137z00_1547));
															}
															VECTOR_SET(BgL_nsz00_1545,
																(int) (((long) 1)), BgL_sz00_1518);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19193;

																BgL_auxz00_19193 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19193,
																	BgL_nsz00_1545);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1183z00_1549;

																BgL_val1183z00_1549 =
																	BGl_zc3exitza32144ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1545, BgL_runz00_1527);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_19197;

																	BgL_auxz00_19197 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19197,
																		BgL_sz00_1518);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1183z00_1549)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1183z00_1549),
																			CDR(BgL_val1183z00_1549));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1183z00_1549;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1521,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1558;

													BgL_nbpz00_1558 =
														((long) CINT(BgL_bpz00_1520) + BgL_siza7eza7_15720);
													VECTOR_SET(BgL_sz00_1518,
														(int) (((long) 0)), BINT(BgL_nbpz00_1558));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1559;

														BgL_rz00_1559 =
															PROCEDURE_ENTRY(BgL_fz00_1521) (BgL_fz00_1521,
															BgL_a1z00_1522, BEOA);
														VECTOR_SET(BgL_sz00_1518, (int) (((long) 0)),
															BgL_bpz00_1520);
														return BgL_rz00_1559;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15718, BgL_symbzd2funzd2_15719,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1521));
		}}}}}}}}}
	}



/* <exit:2144> */
	obj_t BGl_zc3exitza32144ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17684,
		obj_t BgL_runz00_17683)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1184z00_1555;

			if (SET_EXIT(BgL_an_exit1184z00_1555))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1184z00_1555 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1184z00_1555, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1185z00_1556;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7166;

								BgL_savedzd2bpzd2_7166 =
									VECTOR_REF(BgL_nsz00_17684, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17684,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7173;

									BgL_fz00_7173 = BgL_runz00_17683;
								BgL_recz00_7172:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7174;

										BgL_rz00_7174 =
											PROCEDURE_ENTRY(BgL_fz00_7173) (BgL_fz00_7173,
											BgL_nsz00_17684, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19235;

											if (PROCEDUREP(BgL_rz00_7174))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_7179;

													BgL_arg1899z00_7179 = PROCEDURE_ATTR(BgL_rz00_7174);
													if (STRUCTP(BgL_arg1899z00_7179))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19235 =
																(STRUCT_KEY(BgL_arg1899z00_7179) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19235 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19235 = ((bool_t) 0);
												}
											if (BgL_testz00_19235)
												{
													obj_t BgL_fz00_19243;

													BgL_fz00_19243 = BgL_rz00_7174;
													BgL_fz00_7173 = BgL_fz00_19243;
													goto BgL_recz00_7172;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17684,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7166);
													BgL_val1185z00_1556 = BgL_rz00_7174;
							}}}}}
							POP_EXIT();
							return BgL_val1185z00_1556;
						}
					}
				}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_151,
		BgL_ev_exprz00_bglt BgL_vfunz00_152, obj_t BgL_symbzd2funzd2_153,
		obj_t BgL_funz00_154, obj_t BgL_tailzf3zf3_155, obj_t BgL_stkz00_156,
		long BgL_siza7eza7_157, obj_t BgL_a1z00_158, obj_t BgL_a2z00_159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1561;

				BgL_cfunz00_1561 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_152,
					((long) 2), BgL_locz00_151, BgL_symbzd2funzd2_153);
				if (CBOOL(BgL_cfunz00_1561))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32147ze3z83_15722;

						BgL_zc3anonymousza32147ze3z83_15722 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_15722,
							(int) (((long) 0)), BgL_a1z00_158);
						PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_15722,
							(int) (((long) 1)), BgL_a2z00_159);
						PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_15722,
							(int) (((long) 2)), BINT(BgL_siza7eza7_157));
						PROCEDURE_SET(BgL_zc3anonymousza32147ze3z83_15722,
							(int) (((long) 3)), BgL_cfunz00_1561);
						return BgL_zc3anonymousza32147ze3z83_15722;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_155))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32148ze3z83_15723;

								BgL_zc3anonymousza32148ze3z83_15723 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32148ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32148ze3z83_15723,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32148ze3z83_15723,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32148ze3z83_15723,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32148ze3z83_15723,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32148ze3z83_15723,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32148ze3z83_15723,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32148ze3z83_15723;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32184ze3z83_15724;

								BgL_zc3anonymousza32184ze3z83_15724 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32184ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_15724,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_15724,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_15724,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_15724,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_15724,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32184ze3z83_15724,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32184ze3z83_15724;
							}
					}
			}
		}
	}



/* &<anonymous:2147> */
	obj_t BGl_z62zc3anonymousza32147ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15725, obj_t BgL_sz00_15730)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15726;
				obj_t BgL_a2z00_15727;
				long BgL_siza7eza7_15728;
				obj_t BgL_cfunz00_15729;

				BgL_a1z00_15726 = PROCEDURE_REF(BgL_envz00_15725, (int) (((long) 0)));
				BgL_a2z00_15727 = PROCEDURE_REF(BgL_envz00_15725, (int) (((long) 1)));
				BgL_siza7eza7_15728 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15725, (int) (((long) 2))));
				BgL_cfunz00_15729 = PROCEDURE_REF(BgL_envz00_15725, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1562;

					BgL_sz00_1562 = BgL_sz00_15730;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1564;

						BgL_bpz00_1564 = VECTOR_REF(BgL_sz00_1562, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1565;
							obj_t BgL_a2z00_1566;

							BgL_a1z00_1565 =
								PROCEDURE_ENTRY(BgL_a1z00_15726) (BgL_a1z00_15726,
								BgL_sz00_1562, BEOA);
							BgL_a2z00_1566 =
								PROCEDURE_ENTRY(BgL_a2z00_15727) (BgL_a2z00_15727,
								BgL_sz00_1562, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1567;

								BgL_nbpz00_1567 =
									((long) CINT(BgL_bpz00_1564) + BgL_siza7eza7_15728);
								VECTOR_SET(BgL_sz00_1562,
									(int) (((long) 0)), BINT(BgL_nbpz00_1567));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1568;

									BgL_rz00_1568 =
										PROCEDURE_ENTRY(BgL_cfunz00_15729) (BgL_cfunz00_15729,
										BgL_a1z00_1565, BgL_a2z00_1566, BEOA);
									VECTOR_SET(BgL_sz00_1562, (int) (((long) 0)), BgL_bpz00_1564);
									return BgL_rz00_1568;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2148> */
	obj_t BGl_z62zc3anonymousza32148ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15731, obj_t BgL_sz00_15738)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15732;
				obj_t BgL_a1z00_15733;
				obj_t BgL_a2z00_15734;
				obj_t BgL_locz00_15735;
				obj_t BgL_symbzd2funzd2_15736;
				long BgL_siza7eza7_15737;

				BgL_funz00_15732 = PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 0)));
				BgL_a1z00_15733 = PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 1)));
				BgL_a2z00_15734 = PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 2)));
				BgL_locz00_15735 = PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 3)));
				BgL_symbzd2funzd2_15736 =
					PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 4)));
				BgL_siza7eza7_15737 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15731, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1569;

					BgL_sz00_1569 = BgL_sz00_15738;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1571;

						BgL_bpz00_1571 = VECTOR_REF(BgL_sz00_1569, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1572;
							obj_t BgL_a1z00_1573;
							obj_t BgL_a2z00_1574;

							BgL_fz00_1572 =
								PROCEDURE_ENTRY(BgL_funz00_15732) (BgL_funz00_15732,
								BgL_sz00_1569, BEOA);
							BgL_a1z00_1573 =
								PROCEDURE_ENTRY(BgL_a1z00_15733) (BgL_a1z00_15733,
								BgL_sz00_1569, BEOA);
							BgL_a2z00_1574 =
								PROCEDURE_ENTRY(BgL_a2z00_15734) (BgL_a2z00_15734,
								BgL_sz00_1569, BEOA);
							if (PROCEDUREP(BgL_fz00_1572))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15735,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1572);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1576;

								BgL_ufz00_1576 = PROCEDURE_ATTR(BgL_fz00_1572);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19358;

									if (STRUCTP(BgL_ufz00_1576))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19358 =
												(STRUCT_KEY(BgL_ufz00_1576) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19358 = ((bool_t) 0);
										}
									if (BgL_testz00_19358)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1578;
											obj_t BgL_runz00_1579;
											obj_t BgL_sfz00_1580;

											BgL_arityz00_1578 =
												STRUCT_REF(BgL_ufz00_1576, (int) (((long) 0)));
											BgL_runz00_1579 =
												STRUCT_REF(BgL_ufz00_1576, (int) (((long) 1)));
											BgL_sfz00_1580 =
												STRUCT_REF(BgL_ufz00_1576, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1578) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2152z00_1583;

														BgL_arg2152z00_1583 =
															((long) CINT(BgL_bpz00_1571) + ((long) 0));
														VECTOR_SET(BgL_sz00_1569,
															(int) (BgL_arg2152z00_1583), BgL_a1z00_1573);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2153z00_1584;

														BgL_arg2153z00_1584 =
															((long) CINT(BgL_bpz00_1571) + ((long) 1));
														VECTOR_SET(BgL_sz00_1569,
															(int) (BgL_arg2153z00_1584), BgL_a2z00_1574);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1578))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1578))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2155z00_1588;
																		obj_t BgL_arg2156z00_1589;

																		BgL_arg2155z00_1588 =
																			(
																			(long) CINT(BgL_bpz00_1571) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2157z00_1590;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2158z00_1591;

																				BgL_arg2158z00_1591 =
																					MAKE_PAIR(BgL_a2z00_1574, BNIL);
																				BgL_list2157z00_1590 =
																					MAKE_PAIR(BgL_a1z00_1573,
																					BgL_arg2158z00_1591);
																			}
																			BgL_arg2156z00_1589 =
																				BgL_list2157z00_1590;
																		}
																		VECTOR_SET(BgL_sz00_1569,
																			(int) (BgL_arg2155z00_1588),
																			BgL_arg2156z00_1589);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2159z00_1592;

																		BgL_arg2159z00_1592 =
																			(
																			(long) CINT(BgL_bpz00_1571) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1569,
																			(int) (BgL_arg2159z00_1592),
																			BgL_a1z00_1573);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2160z00_1593;
																		obj_t BgL_arg2162z00_1594;

																		BgL_arg2160z00_1593 =
																			(
																			(long) CINT(BgL_bpz00_1571) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2163z00_1595;

																			BgL_list2163z00_1595 =
																				MAKE_PAIR(BgL_a2z00_1574, BNIL);
																			BgL_arg2162z00_1594 =
																				BgL_list2163z00_1595;
																		}
																		VECTOR_SET(BgL_sz00_1569,
																			(int) (BgL_arg2160z00_1593),
																			BgL_arg2162z00_1594);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2165z00_1596;

																		BgL_arg2165z00_1596 =
																			(
																			(long) CINT(BgL_bpz00_1571) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1569,
																			(int) (BgL_arg2165z00_1596),
																			BgL_a1z00_1573);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2167z00_1597;

																		BgL_arg2167z00_1597 =
																			(
																			(long) CINT(BgL_bpz00_1571) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1569,
																			(int) (BgL_arg2167z00_1597),
																			BgL_a2z00_1574);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2168z00_1598;

																		BgL_arg2168z00_1598 =
																			(
																			(long) CINT(BgL_bpz00_1571) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1569,
																			(int) (BgL_arg2168z00_1598), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15735,
																		STRUCT_REF(BgL_ufz00_1576,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1578));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15735, STRUCT_REF(BgL_ufz00_1576,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1578));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_19421;

												BgL_auxz00_19421 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19421,
													BgL_locz00_15735);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_19424;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1908z00_7312;

													BgL_arg1908z00_7312 = VECTOR_LENGTH(BgL_sz00_1569);
													BgL_testz00_19424 =
														(
														((long) CINT(BgL_bpz00_1571) +
															(long) CINT(BgL_sfz00_1580)) <
														(long) (BgL_arg1908z00_7312));
												}
												if (BgL_testz00_19424)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1579;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1604;

														BgL_nsz00_1604 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2175z00_1606;

															BgL_arg2175z00_1606 =
																((long) CINT(BgL_bpz00_1571) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1604, BINT(((long) 2)),
																BgL_sz00_1569, BgL_bpz00_1571,
																BINT(BgL_arg2175z00_1606));
														}
														VECTOR_SET(BgL_nsz00_1604,
															(int) (((long) 1)), BgL_sz00_1569);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19439;

															BgL_auxz00_19439 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19439,
																BgL_nsz00_1604);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1188z00_1608;

															BgL_val1188z00_1608 =
																BGl_zc3exitza32181ze3z83zz__evaluate_compz00
																(BgL_nsz00_1604, BgL_runz00_1579);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19443;

																BgL_auxz00_19443 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19443,
																	BgL_sz00_1569);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1188z00_1608)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1188z00_1608),
																		CDR(BgL_val1188z00_1608));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1188z00_1608;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1572,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1617;

													BgL_nbpz00_1617 =
														((long) CINT(BgL_bpz00_1571) + BgL_siza7eza7_15737);
													VECTOR_SET(BgL_sz00_1569,
														(int) (((long) 0)), BINT(BgL_nbpz00_1617));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1618;

														BgL_rz00_1618 =
															PROCEDURE_ENTRY(BgL_fz00_1572) (BgL_fz00_1572,
															BgL_a1z00_1573, BgL_a2z00_1574, BEOA);
														VECTOR_SET(BgL_sz00_1569, (int) (((long) 0)),
															BgL_bpz00_1571);
														return BgL_rz00_1618;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15735, BgL_symbzd2funzd2_15736,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1572));
		}}}}}}}}}
	}



/* <exit:2181> */
	obj_t BGl_zc3exitza32181ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17682,
		obj_t BgL_runz00_17681)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1189z00_1614;

			if (SET_EXIT(BgL_an_exit1189z00_1614))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1189z00_1614 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1189z00_1614, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1190z00_1615;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7331;

								BgL_savedzd2bpzd2_7331 =
									VECTOR_REF(BgL_nsz00_17682, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17682,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7338;

									BgL_fz00_7338 = BgL_runz00_17681;
								BgL_recz00_7337:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7339;

										BgL_rz00_7339 =
											PROCEDURE_ENTRY(BgL_fz00_7338) (BgL_fz00_7338,
											BgL_nsz00_17682, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19482;

											if (PROCEDUREP(BgL_rz00_7339))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_7344;

													BgL_arg1899z00_7344 = PROCEDURE_ATTR(BgL_rz00_7339);
													if (STRUCTP(BgL_arg1899z00_7344))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19482 =
																(STRUCT_KEY(BgL_arg1899z00_7344) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19482 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19482 = ((bool_t) 0);
												}
											if (BgL_testz00_19482)
												{
													obj_t BgL_fz00_19490;

													BgL_fz00_19490 = BgL_rz00_7339;
													BgL_fz00_7338 = BgL_fz00_19490;
													goto BgL_recz00_7337;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17682,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7331);
													BgL_val1190z00_1615 = BgL_rz00_7339;
							}}}}}
							POP_EXIT();
							return BgL_val1190z00_1615;
						}
					}
				}
		}
	}



/* &<anonymous:2184> */
	obj_t BGl_z62zc3anonymousza32184ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15739, obj_t BgL_sz00_15746)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15740;
				obj_t BgL_a1z00_15741;
				obj_t BgL_a2z00_15742;
				obj_t BgL_locz00_15743;
				obj_t BgL_symbzd2funzd2_15744;
				long BgL_siza7eza7_15745;

				BgL_funz00_15740 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 0)));
				BgL_a1z00_15741 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 1)));
				BgL_a2z00_15742 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 2)));
				BgL_locz00_15743 = PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 3)));
				BgL_symbzd2funzd2_15744 =
					PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 4)));
				BgL_siza7eza7_15745 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15739, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1620;

					BgL_sz00_1620 = BgL_sz00_15746;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1622;

						BgL_bpz00_1622 = VECTOR_REF(BgL_sz00_1620, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1623;
							obj_t BgL_a1z00_1624;
							obj_t BgL_a2z00_1625;

							BgL_fz00_1623 =
								PROCEDURE_ENTRY(BgL_funz00_15740) (BgL_funz00_15740,
								BgL_sz00_1620, BEOA);
							BgL_a1z00_1624 =
								PROCEDURE_ENTRY(BgL_a1z00_15741) (BgL_a1z00_15741,
								BgL_sz00_1620, BEOA);
							BgL_a2z00_1625 =
								PROCEDURE_ENTRY(BgL_a2z00_15742) (BgL_a2z00_15742,
								BgL_sz00_1620, BEOA);
							if (PROCEDUREP(BgL_fz00_1623))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15743,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1623);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1627;

								BgL_ufz00_1627 = PROCEDURE_ATTR(BgL_fz00_1623);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19525;

									if (STRUCTP(BgL_ufz00_1627))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19525 =
												(STRUCT_KEY(BgL_ufz00_1627) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19525 = ((bool_t) 0);
										}
									if (BgL_testz00_19525)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1629;
											obj_t BgL_runz00_1630;
											obj_t BgL_sfz00_1631;

											BgL_arityz00_1629 =
												STRUCT_REF(BgL_ufz00_1627, (int) (((long) 0)));
											BgL_runz00_1630 =
												STRUCT_REF(BgL_ufz00_1627, (int) (((long) 1)));
											BgL_sfz00_1631 =
												STRUCT_REF(BgL_ufz00_1627, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1632;

												BgL_spz00_1632 =
													((long) CINT(BgL_bpz00_1622) + BgL_siza7eza7_15745);
												if (((long) CINT(BgL_arityz00_1629) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2188z00_1634;

															BgL_arg2188z00_1634 =
																(BgL_spz00_1632 + ((long) 0));
															VECTOR_SET(BgL_sz00_1620,
																(int) (BgL_arg2188z00_1634), BgL_a1z00_1624);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2189z00_1635;

															BgL_arg2189z00_1635 =
																(BgL_spz00_1632 + ((long) 1));
															VECTOR_SET(BgL_sz00_1620,
																(int) (BgL_arg2189z00_1635), BgL_a2z00_1625);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1629))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1629))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2191z00_1639;
																			obj_t BgL_arg2193z00_1640;

																			BgL_arg2191z00_1639 =
																				(BgL_spz00_1632 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2194z00_1641;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2195z00_1642;

																					BgL_arg2195z00_1642 =
																						MAKE_PAIR(BgL_a2z00_1625, BNIL);
																					BgL_list2194z00_1641 =
																						MAKE_PAIR(BgL_a1z00_1624,
																						BgL_arg2195z00_1642);
																				}
																				BgL_arg2193z00_1640 =
																					BgL_list2194z00_1641;
																			}
																			VECTOR_SET(BgL_sz00_1620,
																				(int) (BgL_arg2191z00_1639),
																				BgL_arg2193z00_1640);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2196z00_1643;

																			BgL_arg2196z00_1643 =
																				(BgL_spz00_1632 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1620,
																				(int) (BgL_arg2196z00_1643),
																				BgL_a1z00_1624);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2197z00_1644;
																			obj_t BgL_arg2198z00_1645;

																			BgL_arg2197z00_1644 =
																				(BgL_spz00_1632 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2199z00_1646;

																				BgL_list2199z00_1646 =
																					MAKE_PAIR(BgL_a2z00_1625, BNIL);
																				BgL_arg2198z00_1645 =
																					BgL_list2199z00_1646;
																			}
																			VECTOR_SET(BgL_sz00_1620,
																				(int) (BgL_arg2197z00_1644),
																				BgL_arg2198z00_1645);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2200z00_1647;

																			BgL_arg2200z00_1647 =
																				(BgL_spz00_1632 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1620,
																				(int) (BgL_arg2200z00_1647),
																				BgL_a1z00_1624);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2201z00_1648;

																			BgL_arg2201z00_1648 =
																				(BgL_spz00_1632 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1620,
																				(int) (BgL_arg2201z00_1648),
																				BgL_a2z00_1625);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2202z00_1649;

																			BgL_arg2202z00_1649 =
																				(BgL_spz00_1632 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1620,
																				(int) (BgL_arg2202z00_1649), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15743,
																			STRUCT_REF(BgL_ufz00_1627,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1629));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15743, STRUCT_REF(BgL_ufz00_1627,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1629));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_19582;

													BgL_auxz00_19582 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19582,
														BgL_locz00_15743);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_19585;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1908z00_7466;

														BgL_arg1908z00_7466 = VECTOR_LENGTH(BgL_sz00_1620);
														BgL_testz00_19585 =
															(
															(BgL_spz00_1632 +
																(long) CINT(BgL_sfz00_1631)) <
															(long) (BgL_arg1908z00_7466));
													}
													if (BgL_testz00_19585)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1630, BgL_sz00_1620,
																BINT(BgL_spz00_1632));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1655;

															BgL_nsz00_1655 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2207z00_1657;

																BgL_arg2207z00_1657 =
																	(BgL_spz00_1632 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1655, BINT(((long) 2)),
																	BgL_sz00_1620, BINT(BgL_spz00_1632),
																	BINT(BgL_arg2207z00_1657));
															}
															VECTOR_SET(BgL_nsz00_1655,
																(int) (((long) 1)), BgL_sz00_1620);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19601;

																BgL_auxz00_19601 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19601,
																	BgL_nsz00_1655);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1193z00_1659;

																BgL_val1193z00_1659 =
																	BGl_zc3exitza32213ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1655, BgL_runz00_1630);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_19605;

																	BgL_auxz00_19605 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19605,
																		BgL_sz00_1620);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1193z00_1659)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1193z00_1659),
																			CDR(BgL_val1193z00_1659));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1193z00_1659;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1623,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1668;

													BgL_nbpz00_1668 =
														((long) CINT(BgL_bpz00_1622) + BgL_siza7eza7_15745);
													VECTOR_SET(BgL_sz00_1620,
														(int) (((long) 0)), BINT(BgL_nbpz00_1668));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1669;

														BgL_rz00_1669 =
															PROCEDURE_ENTRY(BgL_fz00_1623) (BgL_fz00_1623,
															BgL_a1z00_1624, BgL_a2z00_1625, BEOA);
														VECTOR_SET(BgL_sz00_1620, (int) (((long) 0)),
															BgL_bpz00_1622);
														return BgL_rz00_1669;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15743, BgL_symbzd2funzd2_15744,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1623));
		}}}}}}}}}
	}



/* <exit:2213> */
	obj_t BGl_zc3exitza32213ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17680,
		obj_t BgL_runz00_17679)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1194z00_1665;

			if (SET_EXIT(BgL_an_exit1194z00_1665))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1194z00_1665 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1194z00_1665, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1195z00_1666;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7484;

								BgL_savedzd2bpzd2_7484 =
									VECTOR_REF(BgL_nsz00_17680, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17680,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7491;

									BgL_fz00_7491 = BgL_runz00_17679;
								BgL_recz00_7490:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7492;

										BgL_rz00_7492 =
											PROCEDURE_ENTRY(BgL_fz00_7491) (BgL_fz00_7491,
											BgL_nsz00_17680, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19644;

											if (PROCEDUREP(BgL_rz00_7492))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_7497;

													BgL_arg1899z00_7497 = PROCEDURE_ATTR(BgL_rz00_7492);
													if (STRUCTP(BgL_arg1899z00_7497))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19644 =
																(STRUCT_KEY(BgL_arg1899z00_7497) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19644 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19644 = ((bool_t) 0);
												}
											if (BgL_testz00_19644)
												{
													obj_t BgL_fz00_19652;

													BgL_fz00_19652 = BgL_rz00_7492;
													BgL_fz00_7491 = BgL_fz00_19652;
													goto BgL_recz00_7490;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17680,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7484);
													BgL_val1195z00_1666 = BgL_rz00_7492;
							}}}}}
							POP_EXIT();
							return BgL_val1195z00_1666;
						}
					}
				}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_160,
		BgL_ev_exprz00_bglt BgL_vfunz00_161, obj_t BgL_symbzd2funzd2_162,
		obj_t BgL_funz00_163, obj_t BgL_tailzf3zf3_164, obj_t BgL_stkz00_165,
		long BgL_siza7eza7_166, obj_t BgL_a1z00_167, obj_t BgL_a2z00_168,
		obj_t BgL_a3z00_169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1671;

				BgL_cfunz00_1671 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_161,
					((long) 3), BgL_locz00_160, BgL_symbzd2funzd2_162);
				if (CBOOL(BgL_cfunz00_1671))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32217ze3z83_15747;

						BgL_zc3anonymousza32217ze3z83_15747 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32217ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 5)));
						PROCEDURE_SET(BgL_zc3anonymousza32217ze3z83_15747,
							(int) (((long) 0)), BgL_a1z00_167);
						PROCEDURE_SET(BgL_zc3anonymousza32217ze3z83_15747,
							(int) (((long) 1)), BgL_a2z00_168);
						PROCEDURE_SET(BgL_zc3anonymousza32217ze3z83_15747,
							(int) (((long) 2)), BgL_a3z00_169);
						PROCEDURE_SET(BgL_zc3anonymousza32217ze3z83_15747,
							(int) (((long) 3)), BINT(BgL_siza7eza7_166));
						PROCEDURE_SET(BgL_zc3anonymousza32217ze3z83_15747,
							(int) (((long) 4)), BgL_cfunz00_1671);
						return BgL_zc3anonymousza32217ze3z83_15747;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_164))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32218ze3z83_15748;

								BgL_zc3anonymousza32218ze3z83_15748 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32218ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_15748,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_15748,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_15748,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_15748,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_15748,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_15748,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32218ze3z83_15748,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32218ze3z83_15748;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32261ze3z83_15749;

								BgL_zc3anonymousza32261ze3z83_15749 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32261ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32261ze3z83_15749,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32261ze3z83_15749,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32261ze3z83_15749,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32261ze3z83_15749,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32261ze3z83_15749,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32261ze3z83_15749,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32261ze3z83_15749,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32261ze3z83_15749;
							}
					}
			}
		}
	}



/* &<anonymous:2217> */
	obj_t BGl_z62zc3anonymousza32217ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15750, obj_t BgL_sz00_15756)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15751;
				obj_t BgL_a2z00_15752;
				obj_t BgL_a3z00_15753;
				long BgL_siza7eza7_15754;
				obj_t BgL_cfunz00_15755;

				BgL_a1z00_15751 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 0)));
				BgL_a2z00_15752 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 1)));
				BgL_a3z00_15753 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 2)));
				BgL_siza7eza7_15754 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 3))));
				BgL_cfunz00_15755 = PROCEDURE_REF(BgL_envz00_15750, (int) (((long) 4)));
				{
					obj_t BgL_sz00_1672;

					BgL_sz00_1672 = BgL_sz00_15756;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1674;

						BgL_bpz00_1674 = VECTOR_REF(BgL_sz00_1672, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1675;
							obj_t BgL_a2z00_1676;
							obj_t BgL_a3z00_1677;

							BgL_a1z00_1675 =
								PROCEDURE_ENTRY(BgL_a1z00_15751) (BgL_a1z00_15751,
								BgL_sz00_1672, BEOA);
							BgL_a2z00_1676 =
								PROCEDURE_ENTRY(BgL_a2z00_15752) (BgL_a2z00_15752,
								BgL_sz00_1672, BEOA);
							BgL_a3z00_1677 =
								PROCEDURE_ENTRY(BgL_a3z00_15753) (BgL_a3z00_15753,
								BgL_sz00_1672, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1678;

								BgL_nbpz00_1678 =
									((long) CINT(BgL_bpz00_1674) + BgL_siza7eza7_15754);
								VECTOR_SET(BgL_sz00_1672,
									(int) (((long) 0)), BINT(BgL_nbpz00_1678));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1679;

									BgL_rz00_1679 =
										PROCEDURE_ENTRY(BgL_cfunz00_15755) (BgL_cfunz00_15755,
										BgL_a1z00_1675, BgL_a2z00_1676, BgL_a3z00_1677, BEOA);
									VECTOR_SET(BgL_sz00_1672, (int) (((long) 0)), BgL_bpz00_1674);
									return BgL_rz00_1679;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2218> */
	obj_t BGl_z62zc3anonymousza32218ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15757, obj_t BgL_sz00_15765)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15758;
				obj_t BgL_a1z00_15759;
				obj_t BgL_a2z00_15760;
				obj_t BgL_a3z00_15761;
				obj_t BgL_locz00_15762;
				obj_t BgL_symbzd2funzd2_15763;
				long BgL_siza7eza7_15764;

				BgL_funz00_15758 = PROCEDURE_REF(BgL_envz00_15757, (int) (((long) 0)));
				BgL_a1z00_15759 = PROCEDURE_REF(BgL_envz00_15757, (int) (((long) 1)));
				BgL_a2z00_15760 = PROCEDURE_REF(BgL_envz00_15757, (int) (((long) 2)));
				BgL_a3z00_15761 = PROCEDURE_REF(BgL_envz00_15757, (int) (((long) 3)));
				BgL_locz00_15762 = PROCEDURE_REF(BgL_envz00_15757, (int) (((long) 4)));
				BgL_symbzd2funzd2_15763 =
					PROCEDURE_REF(BgL_envz00_15757, (int) (((long) 5)));
				BgL_siza7eza7_15764 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15757, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1680;

					BgL_sz00_1680 = BgL_sz00_15765;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1682;

						BgL_bpz00_1682 = VECTOR_REF(BgL_sz00_1680, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1683;
							obj_t BgL_a1z00_1684;
							obj_t BgL_a2z00_1685;
							obj_t BgL_a3z00_1686;

							BgL_fz00_1683 =
								PROCEDURE_ENTRY(BgL_funz00_15758) (BgL_funz00_15758,
								BgL_sz00_1680, BEOA);
							BgL_a1z00_1684 =
								PROCEDURE_ENTRY(BgL_a1z00_15759) (BgL_a1z00_15759,
								BgL_sz00_1680, BEOA);
							BgL_a2z00_1685 =
								PROCEDURE_ENTRY(BgL_a2z00_15760) (BgL_a2z00_15760,
								BgL_sz00_1680, BEOA);
							BgL_a3z00_1686 =
								PROCEDURE_ENTRY(BgL_a3z00_15761) (BgL_a3z00_15761,
								BgL_sz00_1680, BEOA);
							if (PROCEDUREP(BgL_fz00_1683))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15762,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1683);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1688;

								BgL_ufz00_1688 = PROCEDURE_ATTR(BgL_fz00_1683);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19786;

									if (STRUCTP(BgL_ufz00_1688))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19786 =
												(STRUCT_KEY(BgL_ufz00_1688) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19786 = ((bool_t) 0);
										}
									if (BgL_testz00_19786)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1690;
											obj_t BgL_runz00_1691;
											obj_t BgL_sfz00_1692;

											BgL_arityz00_1690 =
												STRUCT_REF(BgL_ufz00_1688, (int) (((long) 0)));
											BgL_runz00_1691 =
												STRUCT_REF(BgL_ufz00_1688, (int) (((long) 1)));
											BgL_sfz00_1692 =
												STRUCT_REF(BgL_ufz00_1688, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1690) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2222z00_1695;

														BgL_arg2222z00_1695 =
															((long) CINT(BgL_bpz00_1682) + ((long) 0));
														VECTOR_SET(BgL_sz00_1680,
															(int) (BgL_arg2222z00_1695), BgL_a1z00_1684);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2223z00_1696;

														BgL_arg2223z00_1696 =
															((long) CINT(BgL_bpz00_1682) + ((long) 1));
														VECTOR_SET(BgL_sz00_1680,
															(int) (BgL_arg2223z00_1696), BgL_a2z00_1685);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2224z00_1697;

														BgL_arg2224z00_1697 =
															((long) CINT(BgL_bpz00_1682) + ((long) 2));
														VECTOR_SET(BgL_sz00_1680,
															(int) (BgL_arg2224z00_1697), BgL_a3z00_1686);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1690))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1690))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2226z00_1701;
																		obj_t BgL_arg2227z00_1702;

																		BgL_arg2226z00_1701 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2228z00_1703;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2229z00_1704;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2230z00_1705;

																					BgL_arg2230z00_1705 =
																						MAKE_PAIR(BgL_a3z00_1686, BNIL);
																					BgL_arg2229z00_1704 =
																						MAKE_PAIR(BgL_a2z00_1685,
																						BgL_arg2230z00_1705);
																				}
																				BgL_list2228z00_1703 =
																					MAKE_PAIR(BgL_a1z00_1684,
																					BgL_arg2229z00_1704);
																			}
																			BgL_arg2227z00_1702 =
																				BgL_list2228z00_1703;
																		}
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2226z00_1701),
																			BgL_arg2227z00_1702);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2231z00_1706;

																		BgL_arg2231z00_1706 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2231z00_1706),
																			BgL_a1z00_1684);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2232z00_1707;
																		obj_t BgL_arg2233z00_1708;

																		BgL_arg2232z00_1707 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2234z00_1709;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2235z00_1710;

																				BgL_arg2235z00_1710 =
																					MAKE_PAIR(BgL_a3z00_1686, BNIL);
																				BgL_list2234z00_1709 =
																					MAKE_PAIR(BgL_a2z00_1685,
																					BgL_arg2235z00_1710);
																			}
																			BgL_arg2233z00_1708 =
																				BgL_list2234z00_1709;
																		}
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2232z00_1707),
																			BgL_arg2233z00_1708);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2236z00_1711;

																		BgL_arg2236z00_1711 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2236z00_1711),
																			BgL_a1z00_1684);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2237z00_1712;

																		BgL_arg2237z00_1712 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2237z00_1712),
																			BgL_a2z00_1685);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2238z00_1713;
																		obj_t BgL_arg2239z00_1714;

																		BgL_arg2238z00_1713 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2240z00_1715;

																			BgL_list2240z00_1715 =
																				MAKE_PAIR(BgL_a3z00_1686, BNIL);
																			BgL_arg2239z00_1714 =
																				BgL_list2240z00_1715;
																		}
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2238z00_1713),
																			BgL_arg2239z00_1714);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2241z00_1716;

																		BgL_arg2241z00_1716 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2241z00_1716),
																			BgL_a1z00_1684);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2243z00_1717;

																		BgL_arg2243z00_1717 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2243z00_1717),
																			BgL_a2z00_1685);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2244z00_1718;

																		BgL_arg2244z00_1718 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2244z00_1718),
																			BgL_a3z00_1686);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2245z00_1719;

																		BgL_arg2245z00_1719 =
																			(
																			(long) CINT(BgL_bpz00_1682) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1680,
																			(int) (BgL_arg2245z00_1719), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15762,
																		STRUCT_REF(BgL_ufz00_1688,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_1690));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15762, STRUCT_REF(BgL_ufz00_1688,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_1690));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_19872;

												BgL_auxz00_19872 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19872,
													BgL_locz00_15762);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_19875;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1908z00_7662;

													BgL_arg1908z00_7662 = VECTOR_LENGTH(BgL_sz00_1680);
													BgL_testz00_19875 =
														(
														((long) CINT(BgL_bpz00_1682) +
															(long) CINT(BgL_sfz00_1692)) <
														(long) (BgL_arg1908z00_7662));
												}
												if (BgL_testz00_19875)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1691;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1725;

														BgL_nsz00_1725 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2251z00_1727;

															BgL_arg2251z00_1727 =
																((long) CINT(BgL_bpz00_1682) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1725, BINT(((long) 2)),
																BgL_sz00_1680, BgL_bpz00_1682,
																BINT(BgL_arg2251z00_1727));
														}
														VECTOR_SET(BgL_nsz00_1725,
															(int) (((long) 1)), BgL_sz00_1680);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19890;

															BgL_auxz00_19890 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19890,
																BgL_nsz00_1725);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1198z00_1729;

															BgL_val1198z00_1729 =
																BGl_zc3exitza32258ze3z83zz__evaluate_compz00
																(BgL_nsz00_1725, BgL_runz00_1691);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19894;

																BgL_auxz00_19894 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19894,
																	BgL_sz00_1680);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1198z00_1729)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1198z00_1729),
																		CDR(BgL_val1198z00_1729));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1198z00_1729;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1683,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1738;

													BgL_nbpz00_1738 =
														((long) CINT(BgL_bpz00_1682) + BgL_siza7eza7_15764);
													VECTOR_SET(BgL_sz00_1680,
														(int) (((long) 0)), BINT(BgL_nbpz00_1738));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1739;

														BgL_rz00_1739 =
															PROCEDURE_ENTRY(BgL_fz00_1683) (BgL_fz00_1683,
															BgL_a1z00_1684, BgL_a2z00_1685, BgL_a3z00_1686,
															BEOA);
														VECTOR_SET(BgL_sz00_1680, (int) (((long) 0)),
															BgL_bpz00_1682);
														return BgL_rz00_1739;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15762, BgL_symbzd2funzd2_15763,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1683));
		}}}}}}}}}
	}



/* <exit:2258> */
	obj_t BGl_zc3exitza32258ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17678,
		obj_t BgL_runz00_17677)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1199z00_1735;

			if (SET_EXIT(BgL_an_exit1199z00_1735))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1199z00_1735 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1199z00_1735, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1200z00_1736;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7681;

								BgL_savedzd2bpzd2_7681 =
									VECTOR_REF(BgL_nsz00_17678, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17678,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7688;

									BgL_fz00_7688 = BgL_runz00_17677;
								BgL_recz00_7687:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7689;

										BgL_rz00_7689 =
											PROCEDURE_ENTRY(BgL_fz00_7688) (BgL_fz00_7688,
											BgL_nsz00_17678, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19934;

											if (PROCEDUREP(BgL_rz00_7689))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_7694;

													BgL_arg1899z00_7694 = PROCEDURE_ATTR(BgL_rz00_7689);
													if (STRUCTP(BgL_arg1899z00_7694))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19934 =
																(STRUCT_KEY(BgL_arg1899z00_7694) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19934 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19934 = ((bool_t) 0);
												}
											if (BgL_testz00_19934)
												{
													obj_t BgL_fz00_19942;

													BgL_fz00_19942 = BgL_rz00_7689;
													BgL_fz00_7688 = BgL_fz00_19942;
													goto BgL_recz00_7687;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17678,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7681);
													BgL_val1200z00_1736 = BgL_rz00_7689;
							}}}}}
							POP_EXIT();
							return BgL_val1200z00_1736;
						}
					}
				}
		}
	}



/* &<anonymous:2261> */
	obj_t BGl_z62zc3anonymousza32261ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15766, obj_t BgL_sz00_15774)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15767;
				obj_t BgL_a1z00_15768;
				obj_t BgL_a2z00_15769;
				obj_t BgL_a3z00_15770;
				obj_t BgL_locz00_15771;
				obj_t BgL_symbzd2funzd2_15772;
				long BgL_siza7eza7_15773;

				BgL_funz00_15767 = PROCEDURE_REF(BgL_envz00_15766, (int) (((long) 0)));
				BgL_a1z00_15768 = PROCEDURE_REF(BgL_envz00_15766, (int) (((long) 1)));
				BgL_a2z00_15769 = PROCEDURE_REF(BgL_envz00_15766, (int) (((long) 2)));
				BgL_a3z00_15770 = PROCEDURE_REF(BgL_envz00_15766, (int) (((long) 3)));
				BgL_locz00_15771 = PROCEDURE_REF(BgL_envz00_15766, (int) (((long) 4)));
				BgL_symbzd2funzd2_15772 =
					PROCEDURE_REF(BgL_envz00_15766, (int) (((long) 5)));
				BgL_siza7eza7_15773 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15766, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1741;

					BgL_sz00_1741 = BgL_sz00_15774;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1743;

						BgL_bpz00_1743 = VECTOR_REF(BgL_sz00_1741, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1744;
							obj_t BgL_a1z00_1745;
							obj_t BgL_a2z00_1746;
							obj_t BgL_a3z00_1747;

							BgL_fz00_1744 =
								PROCEDURE_ENTRY(BgL_funz00_15767) (BgL_funz00_15767,
								BgL_sz00_1741, BEOA);
							BgL_a1z00_1745 =
								PROCEDURE_ENTRY(BgL_a1z00_15768) (BgL_a1z00_15768,
								BgL_sz00_1741, BEOA);
							BgL_a2z00_1746 =
								PROCEDURE_ENTRY(BgL_a2z00_15769) (BgL_a2z00_15769,
								BgL_sz00_1741, BEOA);
							BgL_a3z00_1747 =
								PROCEDURE_ENTRY(BgL_a3z00_15770) (BgL_a3z00_15770,
								BgL_sz00_1741, BEOA);
							if (PROCEDUREP(BgL_fz00_1744))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15771,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1744);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1749;

								BgL_ufz00_1749 = PROCEDURE_ATTR(BgL_fz00_1744);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19983;

									if (STRUCTP(BgL_ufz00_1749))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19983 =
												(STRUCT_KEY(BgL_ufz00_1749) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19983 = ((bool_t) 0);
										}
									if (BgL_testz00_19983)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1751;
											obj_t BgL_runz00_1752;
											obj_t BgL_sfz00_1753;

											BgL_arityz00_1751 =
												STRUCT_REF(BgL_ufz00_1749, (int) (((long) 0)));
											BgL_runz00_1752 =
												STRUCT_REF(BgL_ufz00_1749, (int) (((long) 1)));
											BgL_sfz00_1753 =
												STRUCT_REF(BgL_ufz00_1749, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1754;

												BgL_spz00_1754 =
													((long) CINT(BgL_bpz00_1743) + BgL_siza7eza7_15773);
												if (((long) CINT(BgL_arityz00_1751) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2265z00_1756;

															BgL_arg2265z00_1756 =
																(BgL_spz00_1754 + ((long) 0));
															VECTOR_SET(BgL_sz00_1741,
																(int) (BgL_arg2265z00_1756), BgL_a1z00_1745);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2266z00_1757;

															BgL_arg2266z00_1757 =
																(BgL_spz00_1754 + ((long) 1));
															VECTOR_SET(BgL_sz00_1741,
																(int) (BgL_arg2266z00_1757), BgL_a2z00_1746);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2267z00_1758;

															BgL_arg2267z00_1758 =
																(BgL_spz00_1754 + ((long) 2));
															VECTOR_SET(BgL_sz00_1741,
																(int) (BgL_arg2267z00_1758), BgL_a3z00_1747);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1751))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1751))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2269z00_1762;
																			obj_t BgL_arg2270z00_1763;

																			BgL_arg2269z00_1762 =
																				(BgL_spz00_1754 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2271z00_1764;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2272z00_1765;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2273z00_1766;

																						BgL_arg2273z00_1766 =
																							MAKE_PAIR(BgL_a3z00_1747, BNIL);
																						BgL_arg2272z00_1765 =
																							MAKE_PAIR(BgL_a2z00_1746,
																							BgL_arg2273z00_1766);
																					}
																					BgL_list2271z00_1764 =
																						MAKE_PAIR(BgL_a1z00_1745,
																						BgL_arg2272z00_1765);
																				}
																				BgL_arg2270z00_1763 =
																					BgL_list2271z00_1764;
																			}
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2269z00_1762),
																				BgL_arg2270z00_1763);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2274z00_1767;

																			BgL_arg2274z00_1767 =
																				(BgL_spz00_1754 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2274z00_1767),
																				BgL_a1z00_1745);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2275z00_1768;
																			obj_t BgL_arg2276z00_1769;

																			BgL_arg2275z00_1768 =
																				(BgL_spz00_1754 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2277z00_1770;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2278z00_1771;

																					BgL_arg2278z00_1771 =
																						MAKE_PAIR(BgL_a3z00_1747, BNIL);
																					BgL_list2277z00_1770 =
																						MAKE_PAIR(BgL_a2z00_1746,
																						BgL_arg2278z00_1771);
																				}
																				BgL_arg2276z00_1769 =
																					BgL_list2277z00_1770;
																			}
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2275z00_1768),
																				BgL_arg2276z00_1769);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2279z00_1772;

																			BgL_arg2279z00_1772 =
																				(BgL_spz00_1754 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2279z00_1772),
																				BgL_a1z00_1745);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2280z00_1773;

																			BgL_arg2280z00_1773 =
																				(BgL_spz00_1754 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2280z00_1773),
																				BgL_a2z00_1746);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2281z00_1774;
																			obj_t BgL_arg2282z00_1775;

																			BgL_arg2281z00_1774 =
																				(BgL_spz00_1754 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2283z00_1776;

																				BgL_list2283z00_1776 =
																					MAKE_PAIR(BgL_a3z00_1747, BNIL);
																				BgL_arg2282z00_1775 =
																					BgL_list2283z00_1776;
																			}
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2281z00_1774),
																				BgL_arg2282z00_1775);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2284z00_1777;

																			BgL_arg2284z00_1777 =
																				(BgL_spz00_1754 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2284z00_1777),
																				BgL_a1z00_1745);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2285z00_1778;

																			BgL_arg2285z00_1778 =
																				(BgL_spz00_1754 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2285z00_1778),
																				BgL_a2z00_1746);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2286z00_1779;

																			BgL_arg2286z00_1779 =
																				(BgL_spz00_1754 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2286z00_1779),
																				BgL_a3z00_1747);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2287z00_1780;

																			BgL_arg2287z00_1780 =
																				(BgL_spz00_1754 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1741,
																				(int) (BgL_arg2287z00_1780), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15771,
																			STRUCT_REF(BgL_ufz00_1749,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_1751));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15771, STRUCT_REF(BgL_ufz00_1749,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_1751));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_20058;

													BgL_auxz00_20058 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20058,
														BgL_locz00_15771);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_20061;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1908z00_7848;

														BgL_arg1908z00_7848 = VECTOR_LENGTH(BgL_sz00_1741);
														BgL_testz00_20061 =
															(
															(BgL_spz00_1754 +
																(long) CINT(BgL_sfz00_1753)) <
															(long) (BgL_arg1908z00_7848));
													}
													if (BgL_testz00_20061)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1752, BgL_sz00_1741,
																BINT(BgL_spz00_1754));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1786;

															BgL_nsz00_1786 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2292z00_1788;

																BgL_arg2292z00_1788 =
																	(BgL_spz00_1754 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1786, BINT(((long) 2)),
																	BgL_sz00_1741, BINT(BgL_spz00_1754),
																	BINT(BgL_arg2292z00_1788));
															}
															VECTOR_SET(BgL_nsz00_1786,
																(int) (((long) 1)), BgL_sz00_1741);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20077;

																BgL_auxz00_20077 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20077,
																	BgL_nsz00_1786);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1203z00_1790;

																BgL_val1203z00_1790 =
																	BGl_zc3exitza32299ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1786, BgL_runz00_1752);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_20081;

																	BgL_auxz00_20081 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20081,
																		BgL_sz00_1741);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1203z00_1790)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1203z00_1790),
																			CDR(BgL_val1203z00_1790));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1203z00_1790;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1744,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1799;

													BgL_nbpz00_1799 =
														((long) CINT(BgL_bpz00_1743) + BgL_siza7eza7_15773);
													VECTOR_SET(BgL_sz00_1741,
														(int) (((long) 0)), BINT(BgL_nbpz00_1799));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1800;

														BgL_rz00_1800 =
															PROCEDURE_ENTRY(BgL_fz00_1744) (BgL_fz00_1744,
															BgL_a1z00_1745, BgL_a2z00_1746, BgL_a3z00_1747,
															BEOA);
														VECTOR_SET(BgL_sz00_1741, (int) (((long) 0)),
															BgL_bpz00_1743);
														return BgL_rz00_1800;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15771, BgL_symbzd2funzd2_15772,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1744));
		}}}}}}}}}
	}



/* <exit:2299> */
	obj_t BGl_zc3exitza32299ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17676,
		obj_t BgL_runz00_17675)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1204z00_1796;

			if (SET_EXIT(BgL_an_exit1204z00_1796))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1204z00_1796 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1204z00_1796, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1205z00_1797;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7866;

								BgL_savedzd2bpzd2_7866 =
									VECTOR_REF(BgL_nsz00_17676, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17676,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7873;

									BgL_fz00_7873 = BgL_runz00_17675;
								BgL_recz00_7872:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7874;

										BgL_rz00_7874 =
											PROCEDURE_ENTRY(BgL_fz00_7873) (BgL_fz00_7873,
											BgL_nsz00_17676, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20121;

											if (PROCEDUREP(BgL_rz00_7874))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_7879;

													BgL_arg1899z00_7879 = PROCEDURE_ATTR(BgL_rz00_7874);
													if (STRUCTP(BgL_arg1899z00_7879))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20121 =
																(STRUCT_KEY(BgL_arg1899z00_7879) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20121 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20121 = ((bool_t) 0);
												}
											if (BgL_testz00_20121)
												{
													obj_t BgL_fz00_20129;

													BgL_fz00_20129 = BgL_rz00_7874;
													BgL_fz00_7873 = BgL_fz00_20129;
													goto BgL_recz00_7872;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17676,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7866);
													BgL_val1205z00_1797 = BgL_rz00_7874;
							}}}}}
							POP_EXIT();
							return BgL_val1205z00_1797;
						}
					}
				}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_170,
		BgL_ev_exprz00_bglt BgL_vfunz00_171, obj_t BgL_symbzd2funzd2_172,
		obj_t BgL_funz00_173, obj_t BgL_tailzf3zf3_174, obj_t BgL_stkz00_175,
		long BgL_siza7eza7_176, obj_t BgL_a1z00_177, obj_t BgL_a2z00_178,
		obj_t BgL_a3z00_179, obj_t BgL_a4z00_180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1802;

				BgL_cfunz00_1802 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_171,
					((long) 4), BgL_locz00_170, BgL_symbzd2funzd2_172);
				if (CBOOL(BgL_cfunz00_1802))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32302ze3z83_15775;

						BgL_zc3anonymousza32302ze3z83_15775 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 6)));
						PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_15775,
							(int) (((long) 0)), BgL_a1z00_177);
						PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_15775,
							(int) (((long) 1)), BgL_a2z00_178);
						PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_15775,
							(int) (((long) 2)), BgL_a3z00_179);
						PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_15775,
							(int) (((long) 3)), BgL_a4z00_180);
						PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_15775,
							(int) (((long) 4)), BINT(BgL_siza7eza7_176));
						PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_15775,
							(int) (((long) 5)), BgL_cfunz00_1802);
						return BgL_zc3anonymousza32302ze3z83_15775;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_174))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32303ze3z83_15776;

								BgL_zc3anonymousza32303ze3z83_15776 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32303ze3z83_15776,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32303ze3z83_15776;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32360ze3z83_15777;

								BgL_zc3anonymousza32360ze3z83_15777 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32360ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32360ze3z83_15777,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32360ze3z83_15777;
							}
					}
			}
		}
	}



/* &<anonymous:2302> */
	obj_t BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15778, obj_t BgL_sz00_15785)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15779;
				obj_t BgL_a2z00_15780;
				obj_t BgL_a3z00_15781;
				obj_t BgL_a4z00_15782;
				long BgL_siza7eza7_15783;
				obj_t BgL_cfunz00_15784;

				BgL_a1z00_15779 = PROCEDURE_REF(BgL_envz00_15778, (int) (((long) 0)));
				BgL_a2z00_15780 = PROCEDURE_REF(BgL_envz00_15778, (int) (((long) 1)));
				BgL_a3z00_15781 = PROCEDURE_REF(BgL_envz00_15778, (int) (((long) 2)));
				BgL_a4z00_15782 = PROCEDURE_REF(BgL_envz00_15778, (int) (((long) 3)));
				BgL_siza7eza7_15783 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15778, (int) (((long) 4))));
				BgL_cfunz00_15784 = PROCEDURE_REF(BgL_envz00_15778, (int) (((long) 5)));
				{
					obj_t BgL_sz00_1803;

					BgL_sz00_1803 = BgL_sz00_15785;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1805;

						BgL_bpz00_1805 = VECTOR_REF(BgL_sz00_1803, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1806;
							obj_t BgL_a2z00_1807;
							obj_t BgL_a3z00_1808;
							obj_t BgL_a4z00_1809;

							BgL_a1z00_1806 =
								PROCEDURE_ENTRY(BgL_a1z00_15779) (BgL_a1z00_15779,
								BgL_sz00_1803, BEOA);
							BgL_a2z00_1807 =
								PROCEDURE_ENTRY(BgL_a2z00_15780) (BgL_a2z00_15780,
								BgL_sz00_1803, BEOA);
							BgL_a3z00_1808 =
								PROCEDURE_ENTRY(BgL_a3z00_15781) (BgL_a3z00_15781,
								BgL_sz00_1803, BEOA);
							BgL_a4z00_1809 =
								PROCEDURE_ENTRY(BgL_a4z00_15782) (BgL_a4z00_15782,
								BgL_sz00_1803, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1810;

								BgL_nbpz00_1810 =
									((long) CINT(BgL_bpz00_1805) + BgL_siza7eza7_15783);
								VECTOR_SET(BgL_sz00_1803,
									(int) (((long) 0)), BINT(BgL_nbpz00_1810));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1811;

									BgL_rz00_1811 =
										PROCEDURE_ENTRY(BgL_cfunz00_15784) (BgL_cfunz00_15784,
										BgL_a1z00_1806, BgL_a2z00_1807, BgL_a3z00_1808,
										BgL_a4z00_1809, BEOA);
									VECTOR_SET(BgL_sz00_1803, (int) (((long) 0)), BgL_bpz00_1805);
									return BgL_rz00_1811;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2303> */
	obj_t BGl_z62zc3anonymousza32303ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15786, obj_t BgL_sz00_15795)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15787;
				obj_t BgL_a1z00_15788;
				obj_t BgL_a2z00_15789;
				obj_t BgL_a3z00_15790;
				obj_t BgL_a4z00_15791;
				obj_t BgL_locz00_15792;
				obj_t BgL_symbzd2funzd2_15793;
				long BgL_siza7eza7_15794;

				BgL_funz00_15787 = PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 0)));
				BgL_a1z00_15788 = PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 1)));
				BgL_a2z00_15789 = PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 2)));
				BgL_a3z00_15790 = PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 3)));
				BgL_a4z00_15791 = PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 4)));
				BgL_locz00_15792 = PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 5)));
				BgL_symbzd2funzd2_15793 =
					PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 6)));
				BgL_siza7eza7_15794 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1812;

					BgL_sz00_1812 = BgL_sz00_15795;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1814;

						BgL_bpz00_1814 = VECTOR_REF(BgL_sz00_1812, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1815;
							obj_t BgL_a1z00_1816;
							obj_t BgL_a2z00_1817;
							obj_t BgL_a3z00_1818;
							obj_t BgL_a4z00_1819;

							BgL_fz00_1815 =
								PROCEDURE_ENTRY(BgL_funz00_15787) (BgL_funz00_15787,
								BgL_sz00_1812, BEOA);
							BgL_a1z00_1816 =
								PROCEDURE_ENTRY(BgL_a1z00_15788) (BgL_a1z00_15788,
								BgL_sz00_1812, BEOA);
							BgL_a2z00_1817 =
								PROCEDURE_ENTRY(BgL_a2z00_15789) (BgL_a2z00_15789,
								BgL_sz00_1812, BEOA);
							BgL_a3z00_1818 =
								PROCEDURE_ENTRY(BgL_a3z00_15790) (BgL_a3z00_15790,
								BgL_sz00_1812, BEOA);
							BgL_a4z00_1819 =
								PROCEDURE_ENTRY(BgL_a4z00_15791) (BgL_a4z00_15791,
								BgL_sz00_1812, BEOA);
							if (PROCEDUREP(BgL_fz00_1815))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15792,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1815);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1821;

								BgL_ufz00_1821 = PROCEDURE_ATTR(BgL_fz00_1815);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_20282;

									if (STRUCTP(BgL_ufz00_1821))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20282 =
												(STRUCT_KEY(BgL_ufz00_1821) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20282 = ((bool_t) 0);
										}
									if (BgL_testz00_20282)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1823;
											obj_t BgL_runz00_1824;
											obj_t BgL_sfz00_1825;

											BgL_arityz00_1823 =
												STRUCT_REF(BgL_ufz00_1821, (int) (((long) 0)));
											BgL_runz00_1824 =
												STRUCT_REF(BgL_ufz00_1821, (int) (((long) 1)));
											BgL_sfz00_1825 =
												STRUCT_REF(BgL_ufz00_1821, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1823) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2307z00_1828;

														BgL_arg2307z00_1828 =
															((long) CINT(BgL_bpz00_1814) + ((long) 0));
														VECTOR_SET(BgL_sz00_1812,
															(int) (BgL_arg2307z00_1828), BgL_a1z00_1816);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2308z00_1829;

														BgL_arg2308z00_1829 =
															((long) CINT(BgL_bpz00_1814) + ((long) 1));
														VECTOR_SET(BgL_sz00_1812,
															(int) (BgL_arg2308z00_1829), BgL_a2z00_1817);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2309z00_1830;

														BgL_arg2309z00_1830 =
															((long) CINT(BgL_bpz00_1814) + ((long) 2));
														VECTOR_SET(BgL_sz00_1812,
															(int) (BgL_arg2309z00_1830), BgL_a3z00_1818);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2311z00_1831;

														BgL_arg2311z00_1831 =
															((long) CINT(BgL_bpz00_1814) + ((long) 3));
														VECTOR_SET(BgL_sz00_1812,
															(int) (BgL_arg2311z00_1831), BgL_a4z00_1819);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1823))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1823))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2313z00_1835;
																		obj_t BgL_arg2314z00_1836;

																		BgL_arg2313z00_1835 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2315z00_1837;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2316z00_1838;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2317z00_1839;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2318z00_1840;

																						BgL_arg2318z00_1840 =
																							MAKE_PAIR(BgL_a4z00_1819, BNIL);
																						BgL_arg2317z00_1839 =
																							MAKE_PAIR(BgL_a3z00_1818,
																							BgL_arg2318z00_1840);
																					}
																					BgL_arg2316z00_1838 =
																						MAKE_PAIR(BgL_a2z00_1817,
																						BgL_arg2317z00_1839);
																				}
																				BgL_list2315z00_1837 =
																					MAKE_PAIR(BgL_a1z00_1816,
																					BgL_arg2316z00_1838);
																			}
																			BgL_arg2314z00_1836 =
																				BgL_list2315z00_1837;
																		}
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2313z00_1835),
																			BgL_arg2314z00_1836);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2319z00_1841;

																		BgL_arg2319z00_1841 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2319z00_1841),
																			BgL_a1z00_1816);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2320z00_1842;
																		obj_t BgL_arg2321z00_1843;

																		BgL_arg2320z00_1842 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2322z00_1844;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2324z00_1845;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2325z00_1846;

																					BgL_arg2325z00_1846 =
																						MAKE_PAIR(BgL_a4z00_1819, BNIL);
																					BgL_arg2324z00_1845 =
																						MAKE_PAIR(BgL_a3z00_1818,
																						BgL_arg2325z00_1846);
																				}
																				BgL_list2322z00_1844 =
																					MAKE_PAIR(BgL_a2z00_1817,
																					BgL_arg2324z00_1845);
																			}
																			BgL_arg2321z00_1843 =
																				BgL_list2322z00_1844;
																		}
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2320z00_1842),
																			BgL_arg2321z00_1843);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2326z00_1847;

																		BgL_arg2326z00_1847 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2326z00_1847),
																			BgL_a1z00_1816);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2327z00_1848;

																		BgL_arg2327z00_1848 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2327z00_1848),
																			BgL_a2z00_1817);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2329z00_1849;
																		obj_t BgL_arg2330z00_1850;

																		BgL_arg2329z00_1849 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2331z00_1851;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2332z00_1852;

																				BgL_arg2332z00_1852 =
																					MAKE_PAIR(BgL_a4z00_1819, BNIL);
																				BgL_list2331z00_1851 =
																					MAKE_PAIR(BgL_a3z00_1818,
																					BgL_arg2332z00_1852);
																			}
																			BgL_arg2330z00_1850 =
																				BgL_list2331z00_1851;
																		}
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2329z00_1849),
																			BgL_arg2330z00_1850);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2333z00_1853;

																		BgL_arg2333z00_1853 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2333z00_1853),
																			BgL_a1z00_1816);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2334z00_1854;

																		BgL_arg2334z00_1854 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2334z00_1854),
																			BgL_a2z00_1817);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2335z00_1855;

																		BgL_arg2335z00_1855 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2335z00_1855),
																			BgL_a3z00_1818);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2336z00_1856;
																		obj_t BgL_arg2337z00_1857;

																		BgL_arg2336z00_1856 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2338z00_1858;

																			BgL_list2338z00_1858 =
																				MAKE_PAIR(BgL_a4z00_1819, BNIL);
																			BgL_arg2337z00_1857 =
																				BgL_list2338z00_1858;
																		}
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2336z00_1856),
																			BgL_arg2337z00_1857);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2339z00_1859;

																		BgL_arg2339z00_1859 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2339z00_1859),
																			BgL_a1z00_1816);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2340z00_1860;

																		BgL_arg2340z00_1860 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2340z00_1860),
																			BgL_a2z00_1817);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2341z00_1861;

																		BgL_arg2341z00_1861 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2341z00_1861),
																			BgL_a3z00_1818);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2342z00_1862;

																		BgL_arg2342z00_1862 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2342z00_1862),
																			BgL_a4z00_1819);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2343z00_1863;

																		BgL_arg2343z00_1863 =
																			(
																			(long) CINT(BgL_bpz00_1814) + ((long) 4));
																		VECTOR_SET(BgL_sz00_1812,
																			(int) (BgL_arg2343z00_1863), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15792,
																		STRUCT_REF(BgL_ufz00_1821,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_1823));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15792, STRUCT_REF(BgL_ufz00_1821,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_1823));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_20396;

												BgL_auxz00_20396 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20396,
													BgL_locz00_15792);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_20399;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1908z00_8082;

													BgL_arg1908z00_8082 = VECTOR_LENGTH(BgL_sz00_1812);
													BgL_testz00_20399 =
														(
														((long) CINT(BgL_bpz00_1814) +
															(long) CINT(BgL_sfz00_1825)) <
														(long) (BgL_arg1908z00_8082));
												}
												if (BgL_testz00_20399)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1824;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1869;

														BgL_nsz00_1869 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2348z00_1871;

															BgL_arg2348z00_1871 =
																((long) CINT(BgL_bpz00_1814) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1869, BINT(((long) 2)),
																BgL_sz00_1812, BgL_bpz00_1814,
																BINT(BgL_arg2348z00_1871));
														}
														VECTOR_SET(BgL_nsz00_1869,
															(int) (((long) 1)), BgL_sz00_1812);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_20414;

															BgL_auxz00_20414 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_20414,
																BgL_nsz00_1869);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1208z00_1873;

															BgL_val1208z00_1873 =
																BGl_zc3exitza32357ze3z83zz__evaluate_compz00
																(BgL_nsz00_1869, BgL_runz00_1824);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20418;

																BgL_auxz00_20418 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20418,
																	BgL_sz00_1812);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1208z00_1873)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1208z00_1873),
																		CDR(BgL_val1208z00_1873));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1208z00_1873;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1815,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1882;

													BgL_nbpz00_1882 =
														((long) CINT(BgL_bpz00_1814) + BgL_siza7eza7_15794);
													VECTOR_SET(BgL_sz00_1812,
														(int) (((long) 0)), BINT(BgL_nbpz00_1882));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1883;

														BgL_rz00_1883 =
															PROCEDURE_ENTRY(BgL_fz00_1815) (BgL_fz00_1815,
															BgL_a1z00_1816, BgL_a2z00_1817, BgL_a3z00_1818,
															BgL_a4z00_1819, BEOA);
														VECTOR_SET(BgL_sz00_1812, (int) (((long) 0)),
															BgL_bpz00_1814);
														return BgL_rz00_1883;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15792, BgL_symbzd2funzd2_15793,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1815));
		}}}}}}}}}
	}



/* <exit:2357> */
	obj_t BGl_zc3exitza32357ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17674,
		obj_t BgL_runz00_17673)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1209z00_1879;

			if (SET_EXIT(BgL_an_exit1209z00_1879))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1209z00_1879 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1209z00_1879, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1210z00_1880;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_8101;

								BgL_savedzd2bpzd2_8101 =
									VECTOR_REF(BgL_nsz00_17674, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17674,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8108;

									BgL_fz00_8108 = BgL_runz00_17673;
								BgL_recz00_8107:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_8109;

										BgL_rz00_8109 =
											PROCEDURE_ENTRY(BgL_fz00_8108) (BgL_fz00_8108,
											BgL_nsz00_17674, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20459;

											if (PROCEDUREP(BgL_rz00_8109))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_8114;

													BgL_arg1899z00_8114 = PROCEDURE_ATTR(BgL_rz00_8109);
													if (STRUCTP(BgL_arg1899z00_8114))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20459 =
																(STRUCT_KEY(BgL_arg1899z00_8114) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20459 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20459 = ((bool_t) 0);
												}
											if (BgL_testz00_20459)
												{
													obj_t BgL_fz00_20467;

													BgL_fz00_20467 = BgL_rz00_8109;
													BgL_fz00_8108 = BgL_fz00_20467;
													goto BgL_recz00_8107;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17674,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8101);
													BgL_val1210z00_1880 = BgL_rz00_8109;
							}}}}}
							POP_EXIT();
							return BgL_val1210z00_1880;
						}
					}
				}
		}
	}



/* &<anonymous:2360> */
	obj_t BGl_z62zc3anonymousza32360ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15796, obj_t BgL_sz00_15805)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15797;
				obj_t BgL_a1z00_15798;
				obj_t BgL_a2z00_15799;
				obj_t BgL_a3z00_15800;
				obj_t BgL_a4z00_15801;
				obj_t BgL_locz00_15802;
				obj_t BgL_symbzd2funzd2_15803;
				long BgL_siza7eza7_15804;

				BgL_funz00_15797 = PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 0)));
				BgL_a1z00_15798 = PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 1)));
				BgL_a2z00_15799 = PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 2)));
				BgL_a3z00_15800 = PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 3)));
				BgL_a4z00_15801 = PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 4)));
				BgL_locz00_15802 = PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 5)));
				BgL_symbzd2funzd2_15803 =
					PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 6)));
				BgL_siza7eza7_15804 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15796, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1885;

					BgL_sz00_1885 = BgL_sz00_15805;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1887;

						BgL_bpz00_1887 = VECTOR_REF(BgL_sz00_1885, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1888;
							obj_t BgL_a1z00_1889;
							obj_t BgL_a2z00_1890;
							obj_t BgL_a3z00_1891;
							obj_t BgL_a4z00_1892;

							BgL_fz00_1888 =
								PROCEDURE_ENTRY(BgL_funz00_15797) (BgL_funz00_15797,
								BgL_sz00_1885, BEOA);
							BgL_a1z00_1889 =
								PROCEDURE_ENTRY(BgL_a1z00_15798) (BgL_a1z00_15798,
								BgL_sz00_1885, BEOA);
							BgL_a2z00_1890 =
								PROCEDURE_ENTRY(BgL_a2z00_15799) (BgL_a2z00_15799,
								BgL_sz00_1885, BEOA);
							BgL_a3z00_1891 =
								PROCEDURE_ENTRY(BgL_a3z00_15800) (BgL_a3z00_15800,
								BgL_sz00_1885, BEOA);
							BgL_a4z00_1892 =
								PROCEDURE_ENTRY(BgL_a4z00_15801) (BgL_a4z00_15801,
								BgL_sz00_1885, BEOA);
							if (PROCEDUREP(BgL_fz00_1888))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15802,
										BGl_string5547z00zz__evaluate_compz00,
										BGl_string5563z00zz__evaluate_compz00, BgL_fz00_1888);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1894;

								BgL_ufz00_1894 = PROCEDURE_ATTR(BgL_fz00_1888);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_20514;

									if (STRUCTP(BgL_ufz00_1894))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20514 =
												(STRUCT_KEY(BgL_ufz00_1894) ==
												BGl_symbol5564z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20514 = ((bool_t) 0);
										}
									if (BgL_testz00_20514)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1896;
											obj_t BgL_runz00_1897;
											obj_t BgL_sfz00_1898;

											BgL_arityz00_1896 =
												STRUCT_REF(BgL_ufz00_1894, (int) (((long) 0)));
											BgL_runz00_1897 =
												STRUCT_REF(BgL_ufz00_1894, (int) (((long) 1)));
											BgL_sfz00_1898 =
												STRUCT_REF(BgL_ufz00_1894, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1899;

												BgL_spz00_1899 =
													((long) CINT(BgL_bpz00_1887) + BgL_siza7eza7_15804);
												if (((long) CINT(BgL_arityz00_1896) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2364z00_1901;

															BgL_arg2364z00_1901 =
																(BgL_spz00_1899 + ((long) 0));
															VECTOR_SET(BgL_sz00_1885,
																(int) (BgL_arg2364z00_1901), BgL_a1z00_1889);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2365z00_1902;

															BgL_arg2365z00_1902 =
																(BgL_spz00_1899 + ((long) 1));
															VECTOR_SET(BgL_sz00_1885,
																(int) (BgL_arg2365z00_1902), BgL_a2z00_1890);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2366z00_1903;

															BgL_arg2366z00_1903 =
																(BgL_spz00_1899 + ((long) 2));
															VECTOR_SET(BgL_sz00_1885,
																(int) (BgL_arg2366z00_1903), BgL_a3z00_1891);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2367z00_1904;

															BgL_arg2367z00_1904 =
																(BgL_spz00_1899 + ((long) 3));
															VECTOR_SET(BgL_sz00_1885,
																(int) (BgL_arg2367z00_1904), BgL_a4z00_1892);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1896))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1896))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2369z00_1908;
																			obj_t BgL_arg2370z00_1909;

																			BgL_arg2369z00_1908 =
																				(BgL_spz00_1899 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2371z00_1910;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2372z00_1911;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2373z00_1912;

																						{	/* Eval/evaluate_comp.scm 842 */
																							obj_t BgL_arg2374z00_1913;

																							BgL_arg2374z00_1913 =
																								MAKE_PAIR(BgL_a4z00_1892, BNIL);
																							BgL_arg2373z00_1912 =
																								MAKE_PAIR(BgL_a3z00_1891,
																								BgL_arg2374z00_1913);
																						}
																						BgL_arg2372z00_1911 =
																							MAKE_PAIR(BgL_a2z00_1890,
																							BgL_arg2373z00_1912);
																					}
																					BgL_list2371z00_1910 =
																						MAKE_PAIR(BgL_a1z00_1889,
																						BgL_arg2372z00_1911);
																				}
																				BgL_arg2370z00_1909 =
																					BgL_list2371z00_1910;
																			}
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2369z00_1908),
																				BgL_arg2370z00_1909);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2375z00_1914;

																			BgL_arg2375z00_1914 =
																				(BgL_spz00_1899 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2375z00_1914),
																				BgL_a1z00_1889);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2376z00_1915;
																			obj_t BgL_arg2377z00_1916;

																			BgL_arg2376z00_1915 =
																				(BgL_spz00_1899 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2378z00_1917;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2379z00_1918;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2380z00_1919;

																						BgL_arg2380z00_1919 =
																							MAKE_PAIR(BgL_a4z00_1892, BNIL);
																						BgL_arg2379z00_1918 =
																							MAKE_PAIR(BgL_a3z00_1891,
																							BgL_arg2380z00_1919);
																					}
																					BgL_list2378z00_1917 =
																						MAKE_PAIR(BgL_a2z00_1890,
																						BgL_arg2379z00_1918);
																				}
																				BgL_arg2377z00_1916 =
																					BgL_list2378z00_1917;
																			}
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2376z00_1915),
																				BgL_arg2377z00_1916);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2381z00_1920;

																			BgL_arg2381z00_1920 =
																				(BgL_spz00_1899 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2381z00_1920),
																				BgL_a1z00_1889);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2382z00_1921;

																			BgL_arg2382z00_1921 =
																				(BgL_spz00_1899 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2382z00_1921),
																				BgL_a2z00_1890);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2383z00_1922;
																			obj_t BgL_arg2384z00_1923;

																			BgL_arg2383z00_1922 =
																				(BgL_spz00_1899 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2385z00_1924;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2386z00_1925;

																					BgL_arg2386z00_1925 =
																						MAKE_PAIR(BgL_a4z00_1892, BNIL);
																					BgL_list2385z00_1924 =
																						MAKE_PAIR(BgL_a3z00_1891,
																						BgL_arg2386z00_1925);
																				}
																				BgL_arg2384z00_1923 =
																					BgL_list2385z00_1924;
																			}
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2383z00_1922),
																				BgL_arg2384z00_1923);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2388z00_1926;

																			BgL_arg2388z00_1926 =
																				(BgL_spz00_1899 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2388z00_1926),
																				BgL_a1z00_1889);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2389z00_1927;

																			BgL_arg2389z00_1927 =
																				(BgL_spz00_1899 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2389z00_1927),
																				BgL_a2z00_1890);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2390z00_1928;

																			BgL_arg2390z00_1928 =
																				(BgL_spz00_1899 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2390z00_1928),
																				BgL_a3z00_1891);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2392z00_1929;
																			obj_t BgL_arg2393z00_1930;

																			BgL_arg2392z00_1929 =
																				(BgL_spz00_1899 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2394z00_1931;

																				BgL_list2394z00_1931 =
																					MAKE_PAIR(BgL_a4z00_1892, BNIL);
																				BgL_arg2393z00_1930 =
																					BgL_list2394z00_1931;
																			}
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2392z00_1929),
																				BgL_arg2393z00_1930);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2396z00_1932;

																			BgL_arg2396z00_1932 =
																				(BgL_spz00_1899 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2396z00_1932),
																				BgL_a1z00_1889);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2397z00_1933;

																			BgL_arg2397z00_1933 =
																				(BgL_spz00_1899 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2397z00_1933),
																				BgL_a2z00_1890);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2399z00_1934;

																			BgL_arg2399z00_1934 =
																				(BgL_spz00_1899 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2399z00_1934),
																				BgL_a3z00_1891);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2400z00_1935;

																			BgL_arg2400z00_1935 =
																				(BgL_spz00_1899 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2400z00_1935),
																				BgL_a4z00_1892);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2401z00_1936;

																			BgL_arg2401z00_1936 =
																				(BgL_spz00_1899 + ((long) 4));
																			VECTOR_SET(BgL_sz00_1885,
																				(int) (BgL_arg2401z00_1936), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15802,
																			STRUCT_REF(BgL_ufz00_1894,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_1896));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15802, STRUCT_REF(BgL_ufz00_1894,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_1896));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_20611;

													BgL_auxz00_20611 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20611,
														BgL_locz00_15802);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_20614;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1908z00_8306;

														BgL_arg1908z00_8306 = VECTOR_LENGTH(BgL_sz00_1885);
														BgL_testz00_20614 =
															(
															(BgL_spz00_1899 +
																(long) CINT(BgL_sfz00_1898)) <
															(long) (BgL_arg1908z00_8306));
													}
													if (BgL_testz00_20614)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1897, BgL_sz00_1885,
																BINT(BgL_spz00_1899));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1942;

															BgL_nsz00_1942 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2406z00_1944;

																BgL_arg2406z00_1944 =
																	(BgL_spz00_1899 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1942, BINT(((long) 2)),
																	BgL_sz00_1885, BINT(BgL_spz00_1899),
																	BINT(BgL_arg2406z00_1944));
															}
															VECTOR_SET(BgL_nsz00_1942,
																(int) (((long) 1)), BgL_sz00_1885);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20630;

																BgL_auxz00_20630 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20630,
																	BgL_nsz00_1942);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1213z00_1946;

																BgL_val1213z00_1946 =
																	BGl_zc3exitza32413ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1942, BgL_runz00_1897);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_20634;

																	BgL_auxz00_20634 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20634,
																		BgL_sz00_1885);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1213z00_1946)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1213z00_1946),
																			CDR(BgL_val1213z00_1946));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1213z00_1946;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1888,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1955;

													BgL_nbpz00_1955 =
														((long) CINT(BgL_bpz00_1887) + BgL_siza7eza7_15804);
													VECTOR_SET(BgL_sz00_1885,
														(int) (((long) 0)), BINT(BgL_nbpz00_1955));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1956;

														BgL_rz00_1956 =
															PROCEDURE_ENTRY(BgL_fz00_1888) (BgL_fz00_1888,
															BgL_a1z00_1889, BgL_a2z00_1890, BgL_a3z00_1891,
															BgL_a4z00_1892, BEOA);
														VECTOR_SET(BgL_sz00_1885, (int) (((long) 0)),
															BgL_bpz00_1887);
														return BgL_rz00_1956;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15802, BgL_symbzd2funzd2_15803,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1888));
		}}}}}}}}}
	}



/* <exit:2413> */
	obj_t BGl_zc3exitza32413ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17672,
		obj_t BgL_runz00_17671)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1214z00_1952;

			if (SET_EXIT(BgL_an_exit1214z00_1952))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1214z00_1952 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1214z00_1952, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1215z00_1953;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_8324;

								BgL_savedzd2bpzd2_8324 =
									VECTOR_REF(BgL_nsz00_17672, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17672,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8331;

									BgL_fz00_8331 = BgL_runz00_17671;
								BgL_recz00_8330:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_8332;

										BgL_rz00_8332 =
											PROCEDURE_ENTRY(BgL_fz00_8331) (BgL_fz00_8331,
											BgL_nsz00_17672, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20675;

											if (PROCEDUREP(BgL_rz00_8332))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1899z00_8337;

													BgL_arg1899z00_8337 = PROCEDURE_ATTR(BgL_rz00_8332);
													if (STRUCTP(BgL_arg1899z00_8337))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20675 =
																(STRUCT_KEY(BgL_arg1899z00_8337) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20675 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20675 = ((bool_t) 0);
												}
											if (BgL_testz00_20675)
												{
													obj_t BgL_fz00_20683;

													BgL_fz00_20683 = BgL_rz00_8332;
													BgL_fz00_8331 = BgL_fz00_20683;
													goto BgL_recz00_8330;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17672,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8324);
													BgL_val1215z00_1953 = BgL_rz00_8332;
							}}}}}
							POP_EXIT();
							return BgL_val1215z00_1953;
						}
					}
				}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_181, long BgL_nbargsz00_182, obj_t BgL_locz00_183,
		obj_t BgL_symbzd2funzd2_184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 845 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_181), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 848 */
					BgL_ev_globalz00_bglt BgL_i1216z00_1959;

					BgL_i1216z00_1959 = ((BgL_ev_globalz00_bglt) BgL_funz00_181);
					{	/* Eval/evaluate_comp.scm 849 */
						obj_t BgL_gz00_1960;

						BgL_gz00_1960 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1216z00_1959))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1216z00_1959))->BgL_namez00));
						if (CBOOL(BgL_gz00_1960))
							{	/* Eval/evaluate_comp.scm 851 */
								bool_t BgL_testz00_20696;

								{	/* Eval/evaluate_comp.scm 851 */
									int BgL_arg2420z00_1965;

									{	/* Eval/evaluate_comp.scm 851 */
										int BgL_res4702z00_8364;

										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_evalzd2globalzd2_8361;

											BgL_evalzd2globalzd2_8361 = BgL_gz00_1960;
											{	/* Eval/evaluate_comp.scm 851 */
												int BgL_kz00_8363;

												BgL_kz00_8363 = (int) (((long) 0));
												BgL_res4702z00_8364 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_8361,
														BgL_kz00_8363));
										}}
										BgL_arg2420z00_1965 = BgL_res4702z00_8364;
									}
									BgL_testz00_20696 =
										((long) (BgL_arg2420z00_1965) == ((long) 0));
								}
								if (BgL_testz00_20696)
									{	/* Eval/evaluate_comp.scm 852 */
										obj_t BgL_valz00_1962;

										BgL_valz00_1962 =
											VECTOR_REF(BgL_gz00_1960, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 853 */
											bool_t BgL_testz00_20704;

											if (PROCEDUREP(BgL_valz00_1962))
												{	/* Eval/evaluate_comp.scm 853 */
													BgL_testz00_20704 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_1962,
														(int) (BgL_nbargsz00_182));
												}
											else
												{	/* Eval/evaluate_comp.scm 853 */
													BgL_testz00_20704 = ((bool_t) 0);
												}
											if (BgL_testz00_20704)
												{	/* Eval/evaluate_comp.scm 853 */
													return BgL_valz00_1962;
												}
											else
												{	/* Eval/evaluate_comp.scm 853 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 851 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 850 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 856 */
					bool_t BgL_testz00_20709;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_181), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 857 */
							obj_t BgL_auxz00_20713;

							BgL_auxz00_20713 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_181)))->BgL_valuez00);
							BgL_testz00_20709 = PROCEDUREP(BgL_auxz00_20713);
						}
					else
						{	/* Eval/evaluate_comp.scm 856 */
							BgL_testz00_20709 = ((bool_t) 0);
						}
					if (BgL_testz00_20709)
						{	/* Eval/evaluate_comp.scm 858 */
							BgL_ev_littz00_bglt BgL_i1218z00_1969;

							BgL_i1218z00_1969 = ((BgL_ev_littz00_bglt) BgL_funz00_181);
							if (PROCEDURE_CORRECT_ARITYP(
									(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1969))->
										BgL_valuez00), (int) (BgL_nbargsz00_182)))
								{	/* Eval/evaluate_comp.scm 859 */
									return
										(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1969))->
										BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 859 */
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_183,
										BgL_symbzd2funzd2_184, (int) (BgL_nbargsz00_182),
										PROCEDURE_ARITY((((BgL_ev_littz00_bglt)
													CREF(BgL_i1218z00_1969))->BgL_valuez00)));
						}}
					else
						{	/* Eval/evaluate_comp.scm 856 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_185, obj_t BgL_stkz00_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 864 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 869 */
					BgL_ev_littz00_bglt BgL_i1219z00_1979;

					BgL_i1219z00_1979 = ((BgL_ev_littz00_bglt) BgL_exprz00_185);
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1979))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 870 */
							obj_t BgL_v1603z00_1981;

							BgL_v1603z00_1981 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 870 */
								double BgL_arg2432z00_1982;

								BgL_arg2432z00_1982 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1979))->
											BgL_valuez00)));
								{	/* Eval/evaluate_comp.scm 870 */
									int BgL_kz00_8380;
									obj_t BgL_objz00_8381;

									BgL_kz00_8380 = (int) (((long) 1));
									BgL_objz00_8381 = DOUBLE_TO_REAL(BgL_arg2432z00_1982);
									VECTOR_SET(BgL_v1603z00_1981, BgL_kz00_8380, BgL_objz00_8381);
							}}
							VECTOR_SET(BgL_v1603z00_1981,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v1603z00_1981;
						}
					else
						{	/* Eval/evaluate_comp.scm 871 */
							bool_t BgL_testz00_20744;

							{	/* Eval/evaluate_comp.scm 871 */
								obj_t BgL_auxz00_20745;

								BgL_auxz00_20745 =
									(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1979))->
									BgL_valuez00);
								BgL_testz00_20744 = REALP(BgL_auxz00_20745);
							}
							if (BgL_testz00_20744)
								{	/* Eval/evaluate_comp.scm 871 */
									obj_t BgL_v1604z00_1985;

									BgL_v1604z00_1985 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1604z00_1985,
										(int) (((long) 1)),
										(((BgL_ev_littz00_bglt) CREF(BgL_i1219z00_1979))->
											BgL_valuez00));
									VECTOR_SET(BgL_v1604z00_1985, (int) (((long) 0)),
										BINT(((long) 1)));
									return BgL_v1604z00_1985;
								}
							else
								{	/* Eval/evaluate_comp.scm 872 */
									obj_t BgL_v1605z00_1987;

									BgL_v1605z00_1987 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 872 */
										obj_t BgL_arg2436z00_1988;

										BgL_arg2436z00_1988 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_185)),
											BgL_stkz00_186);
										VECTOR_SET(BgL_v1605z00_1987, (int) (((long) 1)),
											BgL_arg2436z00_1988);
									}
									VECTOR_SET(BgL_v1605z00_1987,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v1605z00_1987;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 868 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 874 */
							BgL_ev_varz00_bglt BgL_i1220z00_1992;

							BgL_i1220z00_1992 = ((BgL_ev_varz00_bglt) BgL_exprz00_185);
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(BgL_i1220z00_1992))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 876 */
									obj_t BgL_v1606z00_1994;

									BgL_v1606z00_1994 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1606z00_1994,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1606z00_1994, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v1606z00_1994;
								}
							else
								{	/* Eval/evaluate_comp.scm 877 */
									obj_t BgL_v1607z00_1996;

									BgL_v1607z00_1996 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1607z00_1996,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1607z00_1996, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v1607z00_1996;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 873 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 879 */
									BgL_ev_globalz00_bglt BgL_i1221z00_1999;

									BgL_i1221z00_1999 = ((BgL_ev_globalz00_bglt) BgL_exprz00_185);
									{	/* Eval/evaluate_comp.scm 880 */
										obj_t BgL_gz00_2000;

										BgL_gz00_2000 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1221z00_1999))->
												BgL_modz00),
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1221z00_1999))->
												BgL_namez00));
										if (CBOOL(BgL_gz00_2000))
											{	/* Eval/evaluate_comp.scm 882 */
												bool_t BgL_testz00_20796;

												{	/* Eval/evaluate_comp.scm 882 */
													int BgL_arg2445z00_2004;

													{	/* Eval/evaluate_comp.scm 882 */
														int BgL_res4709z00_8414;

														{	/* Eval/evaluate_comp.scm 882 */
															obj_t BgL_evalzd2globalzd2_8411;

															BgL_evalzd2globalzd2_8411 = BgL_gz00_2000;
															{	/* Eval/evaluate_comp.scm 882 */
																int BgL_kz00_8413;

																BgL_kz00_8413 = (int) (((long) 0));
																BgL_res4709z00_8414 =
																	CINT(VECTOR_REF(BgL_evalzd2globalzd2_8411,
																		BgL_kz00_8413));
														}}
														BgL_arg2445z00_2004 = BgL_res4709z00_8414;
													}
													BgL_testz00_20796 =
														(BINT(BgL_arg2445z00_2004) == BINT(((long) 1)));
												}
												if (BgL_testz00_20796)
													{	/* Eval/evaluate_comp.scm 883 */
														obj_t BgL_v1608z00_2002;

														BgL_v1608z00_2002 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1608z00_2002,
															(int) (((long) 1)), BgL_gz00_2000);
														VECTOR_SET(BgL_v1608z00_2002,
															(int) (((long) 0)), BINT(((long) 4)));
														return BgL_v1608z00_2002;
													}
												else
													{	/* Eval/evaluate_comp.scm 884 */
														obj_t BgL_v1609z00_2003;

														BgL_v1609z00_2003 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1609z00_2003,
															(int) (((long) 1)), BgL_gz00_2000);
														VECTOR_SET(BgL_v1609z00_2003,
															(int) (((long) 0)), BINT(((long) 5)));
														return BgL_v1609z00_2003;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 885 */
												obj_t BgL_v1610z00_2005;

												BgL_v1610z00_2005 = create_vector((int) (((long) 2)));
												{	/* Eval/evaluate_comp.scm 885 */
													obj_t BgL_arg2446z00_2006;

													BgL_arg2446z00_2006 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt)
															((BgL_ev_globalz00_bglt) BgL_exprz00_185)),
														BgL_stkz00_186);
													VECTOR_SET(BgL_v1610z00_2005, (int) (((long) 1)),
														BgL_arg2446z00_2006);
												}
												VECTOR_SET(BgL_v1610z00_2005,
													(int) (((long) 0)), BINT(((long) 0)));
												return BgL_v1610z00_2005;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 878 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 887 */
											BgL_ev_appz00_bglt BgL_i1222z00_2010;

											BgL_i1222z00_2010 =
												((BgL_ev_appz00_bglt) BgL_exprz00_185);
											{	/* Eval/evaluate_comp.scm 888 */
												obj_t BgL_fvalz00_2011;

												BgL_fvalz00_2011 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1222z00_2010))->
														BgL_funz00));
												if ((BgL_fvalz00_2011 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 891 */
														obj_t BgL_v1611z00_2013;

														BgL_v1611z00_2013 =
															create_vector((int) (((long) 3)));
														{	/* Eval/evaluate_comp.scm 891 */
															obj_t BgL_arg2451z00_2014;

															{	/* Eval/evaluate_comp.scm 891 */
																obj_t BgL_arg2452z00_2015;

																{	/* Eval/evaluate_comp.scm 891 */
																	obj_t BgL_pairz00_8433;

																	BgL_pairz00_8433 =
																		(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1222z00_2010))->BgL_argsz00);
																	BgL_arg2452z00_2015 =
																		CAR(CDR(BgL_pairz00_8433));
																}
																BgL_arg2451z00_2014 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg2452z00_2015, BgL_stkz00_186);
															}
															VECTOR_SET(BgL_v1611z00_2013,
																(int) (((long) 2)), BgL_arg2451z00_2014);
														}
														VECTOR_SET(BgL_v1611z00_2013,
															(int) (((long) 1)),
															BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
															(CAR((((BgL_ev_appz00_bglt)
																			CREF(BgL_i1222z00_2010))->BgL_argsz00)),
																BgL_stkz00_186));
														VECTOR_SET(BgL_v1611z00_2013, (int) (((long) 0)),
															BINT(((long) 6)));
														return BgL_v1611z00_2013;
													}
												else
													{	/* Eval/evaluate_comp.scm 890 */
														if (
															(BgL_fvalz00_2011 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 893 */
																obj_t BgL_v1612z00_2021;

																BgL_v1612z00_2021 =
																	create_vector((int) (((long) 3)));
																{	/* Eval/evaluate_comp.scm 893 */
																	obj_t BgL_arg2458z00_2022;

																	{	/* Eval/evaluate_comp.scm 893 */
																		obj_t BgL_arg2459z00_2023;

																		{	/* Eval/evaluate_comp.scm 893 */
																			obj_t BgL_pairz00_8449;

																			BgL_pairz00_8449 =
																				(((BgL_ev_appz00_bglt)
																					CREF(BgL_i1222z00_2010))->
																				BgL_argsz00);
																			BgL_arg2459z00_2023 =
																				CAR(CDR(BgL_pairz00_8449));
																		}
																		BgL_arg2458z00_2022 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg2459z00_2023, BgL_stkz00_186);
																	}
																	VECTOR_SET(BgL_v1612z00_2021,
																		(int) (((long) 2)), BgL_arg2458z00_2022);
																}
																VECTOR_SET(BgL_v1612z00_2021,
																	(int) (((long) 1)),
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(CAR((((BgL_ev_appz00_bglt)
																					CREF(BgL_i1222z00_2010))->
																				BgL_argsz00)), BgL_stkz00_186));
																VECTOR_SET(BgL_v1612z00_2021,
																	(int) (((long) 0)), BINT(((long) 7)));
																return BgL_v1612z00_2021;
															}
														else
															{	/* Eval/evaluate_comp.scm 892 */
																if (
																	(BgL_fvalz00_2011 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 895 */
																		obj_t BgL_v1613z00_2029;

																		BgL_v1613z00_2029 =
																			create_vector((int) (((long) 3)));
																		{	/* Eval/evaluate_comp.scm 895 */
																			obj_t BgL_arg2465z00_2030;

																			{	/* Eval/evaluate_comp.scm 895 */
																				obj_t BgL_arg2466z00_2031;

																				{	/* Eval/evaluate_comp.scm 895 */
																					obj_t BgL_pairz00_8465;

																					BgL_pairz00_8465 =
																						(((BgL_ev_appz00_bglt)
																							CREF(BgL_i1222z00_2010))->
																						BgL_argsz00);
																					BgL_arg2466z00_2031 =
																						CAR(CDR(BgL_pairz00_8465));
																				}
																				BgL_arg2465z00_2030 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg2466z00_2031, BgL_stkz00_186);
																			}
																			VECTOR_SET(BgL_v1613z00_2029,
																				(int) (((long) 2)),
																				BgL_arg2465z00_2030);
																		}
																		VECTOR_SET(BgL_v1613z00_2029,
																			(int) (((long) 1)),
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(CAR((((BgL_ev_appz00_bglt)
																							CREF(BgL_i1222z00_2010))->
																						BgL_argsz00)), BgL_stkz00_186));
																		VECTOR_SET(BgL_v1613z00_2029,
																			(int) (((long) 0)), BINT(((long) 8)));
																		return BgL_v1613z00_2029;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 894 */
																		if (
																			(BgL_fvalz00_2011 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 897 */
																				obj_t BgL_v1614z00_2037;

																				BgL_v1614z00_2037 =
																					create_vector((int) (((long) 3)));
																				{	/* Eval/evaluate_comp.scm 897 */
																					obj_t BgL_arg2472z00_2038;

																					{	/* Eval/evaluate_comp.scm 897 */
																						obj_t BgL_arg2473z00_2039;

																						{	/* Eval/evaluate_comp.scm 897 */
																							obj_t BgL_pairz00_8481;

																							BgL_pairz00_8481 =
																								(((BgL_ev_appz00_bglt)
																									CREF(BgL_i1222z00_2010))->
																								BgL_argsz00);
																							BgL_arg2473z00_2039 =
																								CAR(CDR(BgL_pairz00_8481));
																						}
																						BgL_arg2472z00_2038 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg2473z00_2039,
																							BgL_stkz00_186);
																					}
																					VECTOR_SET(BgL_v1614z00_2037,
																						(int) (((long) 2)),
																						BgL_arg2472z00_2038);
																				}
																				VECTOR_SET(BgL_v1614z00_2037,
																					(int) (((long) 1)),
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(CAR((((BgL_ev_appz00_bglt)
																									CREF(BgL_i1222z00_2010))->
																								BgL_argsz00)), BgL_stkz00_186));
																				VECTOR_SET(BgL_v1614z00_2037,
																					(int) (((long) 0)), BINT(((long) 9)));
																				return BgL_v1614z00_2037;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 896 */
																				if (
																					(BgL_fvalz00_2011 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 899 */
																						obj_t BgL_v1615z00_2045;

																						BgL_v1615z00_2045 =
																							create_vector((int) (((long) 2)));
																						{	/* Eval/evaluate_comp.scm 899 */
																							obj_t BgL_arg2479z00_2046;

																							{	/* Eval/evaluate_comp.scm 899 */
																								obj_t BgL_arg2480z00_2047;

																								BgL_arg2480z00_2047 =
																									CAR(
																									(((BgL_ev_appz00_bglt)
																											CREF(BgL_i1222z00_2010))->
																										BgL_argsz00));
																								BgL_arg2479z00_2046 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2480z00_2047),
																									BgL_stkz00_186);
																							}
																							VECTOR_SET(BgL_v1615z00_2045,
																								(int) (((long) 1)),
																								BgL_arg2479z00_2046);
																						}
																						VECTOR_SET(BgL_v1615z00_2045,
																							(int) (((long) 0)),
																							BINT(((long) 10)));
																						return BgL_v1615z00_2045;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 898 */
																						if (
																							(BgL_fvalz00_2011 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 901 */
																								obj_t BgL_v1616z00_2050;

																								BgL_v1616z00_2050 =
																									create_vector(
																									(int) (((long) 3)));
																								{	/* Eval/evaluate_comp.scm 901 */
																									obj_t BgL_arg2483z00_2051;

																									{	/* Eval/evaluate_comp.scm 901 */
																										obj_t BgL_arg2484z00_2052;

																										{	/* Eval/evaluate_comp.scm 901 */
																											obj_t BgL_pairz00_8504;

																											BgL_pairz00_8504 =
																												(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1222z00_2010))->
																												BgL_argsz00);
																											BgL_arg2484z00_2052 =
																												CAR(CDR
																												(BgL_pairz00_8504));
																										}
																										BgL_arg2483z00_2051 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2484z00_2052),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1616z00_2050,
																										(int) (((long) 2)),
																										BgL_arg2483z00_2051);
																								}
																								{	/* Eval/evaluate_comp.scm 901 */
																									obj_t BgL_arg2486z00_2054;

																									{	/* Eval/evaluate_comp.scm 901 */
																										obj_t BgL_arg2487z00_2055;

																										BgL_arg2487z00_2055 =
																											CAR(
																											(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1222z00_2010))->
																												BgL_argsz00));
																										BgL_arg2486z00_2054 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2487z00_2055),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1616z00_2050,
																										(int) (((long) 1)),
																										BgL_arg2486z00_2054);
																								}
																								VECTOR_SET(BgL_v1616z00_2050,
																									(int) (((long) 0)),
																									BINT(((long) 11)));
																								return BgL_v1616z00_2050;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 903 */
																								obj_t BgL_v1617z00_2057;

																								BgL_v1617z00_2057 =
																									create_vector(
																									(int) (((long) 2)));
																								{	/* Eval/evaluate_comp.scm 903 */
																									obj_t BgL_arg2489z00_2058;

																									BgL_arg2489z00_2058 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt) (
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_185)),
																										BgL_stkz00_186);
																									VECTOR_SET(BgL_v1617z00_2057,
																										(int) (((long) 1)),
																										BgL_arg2489z00_2058);
																								}
																								VECTOR_SET(BgL_v1617z00_2057,
																									(int) (((long) 0)),
																									BINT(((long) 0)));
																								return BgL_v1617z00_2057;
																							}
																					}
																			}
																	}
															}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 904 */
											obj_t BgL_v1618z00_2060;

											BgL_v1618z00_2060 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 904 */
												obj_t BgL_arg2491z00_2061;

												BgL_arg2491z00_2061 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_185),
													BgL_stkz00_186);
												VECTOR_SET(BgL_v1618z00_2060, (int) (((long) 1)),
													BgL_arg2491z00_2061);
											}
											VECTOR_SET(BgL_v1618z00_2060,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1618z00_2060;
										}
								}
						}
				}
		}
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_187,
		obj_t BgL_sz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 906 */
			return
				REAL_TO_DOUBLE(BGl_Ez00zz__evaluate_compz00(BgL_sz00_188,
					BgL_bcz00_187));
		}
	}



/* E */
	obj_t BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_17670, obj_t BgL_bcz00_2066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 921 */
			{	/* Eval/evaluate_comp.scm 908 */
				obj_t BgL_aux1224z00_2069;

				BgL_aux1224z00_2069 = VECTOR_REF(BgL_bcz00_2066, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1224z00_2069))
					{	/* Eval/evaluate_comp.scm 908 */
						switch ((long) CINT(BgL_aux1224z00_2069))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 909 */
									obj_t BgL_fun2495z00_2071;

									BgL_fun2495z00_2071 =
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2495z00_2071) (BgL_fun2495z00_2071,
										BgL_sz00_17670, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 911 */
									long BgL_arg2496z00_2072;

									{	/* Eval/evaluate_comp.scm 911 */
										obj_t BgL_arg2497z00_2073;
										obj_t BgL_arg2498z00_2074;

										BgL_arg2497z00_2073 =
											VECTOR_REF(BgL_sz00_17670, (int) (((long) 0)));
										BgL_arg2498z00_2074 =
											VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1)));
										BgL_arg2496z00_2072 =
											(
											(long) CINT(BgL_arg2497z00_2073) +
											(long) CINT(BgL_arg2498z00_2074));
									}
									return
										VECTOR_REF(BgL_sz00_17670, (int) (BgL_arg2496z00_2072));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 912 */
									obj_t BgL_arg2499z00_2075;

									{	/* Eval/evaluate_comp.scm 912 */
										long BgL_arg2500z00_2076;

										{	/* Eval/evaluate_comp.scm 912 */
											obj_t BgL_arg2501z00_2077;
											obj_t BgL_arg2502z00_2078;

											BgL_arg2501z00_2077 =
												VECTOR_REF(BgL_sz00_17670, (int) (((long) 0)));
											BgL_arg2502z00_2078 =
												VECTOR_REF(BgL_sz00_17670, (int) (((long) 1)));
											BgL_arg2500z00_2076 =
												(
												(long) CINT(BgL_arg2501z00_2077) +
												(long) CINT(BgL_arg2502z00_2078));
										}
										BgL_arg2499z00_2075 =
											VECTOR_REF(BgL_sz00_17670, (int) (BgL_arg2500z00_2076));
									}
									return STRUCT_REF(BgL_arg2499z00_2075, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2503z00_2079;

									{	/* Eval/evaluate_comp.scm 913 */
										obj_t BgL_arg2504z00_2080;

										BgL_arg2504z00_2080 =
											VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1)));
										BgL_arg2503z00_2079 =
											VECTOR_REF(BgL_arg2504z00_2080, (int) (((long) 2)));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2503z00_2079);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 914 */
									obj_t BgL_arg2505z00_2081;

									BgL_arg2505z00_2081 =
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1)));
									return VECTOR_REF(BgL_arg2505z00_2081, (int) (((long) 2)));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 915 */
									obj_t BgL_arg2506z00_2082;
									obj_t BgL_arg2508z00_2083;

									BgL_arg2506z00_2082 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1))));
									BgL_arg2508z00_2083 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2506z00_2082) +
											REAL_TO_DOUBLE(BgL_arg2508z00_2083)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 916 */
									obj_t BgL_arg2511z00_2086;
									obj_t BgL_arg2512z00_2087;

									BgL_arg2511z00_2086 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1))));
									BgL_arg2512z00_2087 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2511z00_2086) -
											REAL_TO_DOUBLE(BgL_arg2512z00_2087)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 917 */
									obj_t BgL_arg2515z00_2090;
									obj_t BgL_arg2516z00_2091;

									BgL_arg2515z00_2090 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1))));
									BgL_arg2516z00_2091 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2515z00_2090) *
											REAL_TO_DOUBLE(BgL_arg2516z00_2091)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_arg2519z00_2094;
									obj_t BgL_arg2520z00_2095;

									BgL_arg2519z00_2094 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1))));
									BgL_arg2520z00_2095 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17670,
										VECTOR_REF(BgL_bcz00_2066, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2519z00_2094) /
											REAL_TO_DOUBLE(BgL_arg2520z00_2095)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 919 */
									obj_t BgL_arg2523z00_2098;

									{	/* Eval/evaluate_comp.scm 919 */
										obj_t BgL_fun2524z00_2099;

										BgL_fun2524z00_2099 =
											VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1)));
										BgL_arg2523z00_2098 =
											PROCEDURE_ENTRY(BgL_fun2524z00_2099) (BgL_fun2524z00_2099,
											BgL_sz00_17670, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2523z00_2098)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 920 */
									obj_t BgL_arg2525z00_2100;
									obj_t BgL_arg2526z00_2101;

									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_fun2527z00_2102;

										BgL_fun2527z00_2102 =
											VECTOR_REF(BgL_bcz00_2066, (int) (((long) 1)));
										BgL_arg2525z00_2100 =
											PROCEDURE_ENTRY(BgL_fun2527z00_2102) (BgL_fun2527z00_2102,
											BgL_sz00_17670, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_fun2528z00_2103;

										BgL_fun2528z00_2103 =
											VECTOR_REF(BgL_bcz00_2066, (int) (((long) 2)));
										BgL_arg2526z00_2101 =
											PROCEDURE_ENTRY(BgL_fun2528z00_2103) (BgL_fun2528z00_2103,
											BgL_sz00_17670, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 920 */
										double BgL_auxz00_21060;

										{	/* Eval/evaluate_comp.scm 920 */
											long BgL_auxz00_21061;

											BgL_auxz00_21061 = (long) CINT(BgL_arg2526z00_2101);
											BgL_auxz00_21060 =
												BGL_F64VREF(BgL_arg2525z00_2100, BgL_auxz00_21061);
										}
										return DOUBLE_TO_REAL(BgL_auxz00_21060);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string5547z00zz__evaluate_compz00,
									BGl_string5566z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_2066, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 908 */
						return
							BGl_errorz00zz__errorz00(BGl_string5547z00zz__evaluate_compz00,
							BGl_string5566z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_2066,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_189, obj_t BgL_stkz00_190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 924 */
			{	/* Eval/evaluate_comp.scm 926 */
				obj_t BgL_fvalz00_2107;

				BgL_fvalz00_2107 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_189))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 927 */
					bool_t BgL_testz00_21075;

					if (
						(BgL_fvalz00_2107 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 927 */
							BgL_testz00_21075 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 927 */
							if (
								(BgL_fvalz00_2107 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 927 */
									BgL_testz00_21075 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 927 */
									if (
										(BgL_fvalz00_2107 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 927 */
											BgL_testz00_21075 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 927 */
											BgL_testz00_21075 =
												(BgL_fvalz00_2107 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_21075)
						{	/* Eval/evaluate_comp.scm 928 */
							obj_t BgL_bcz00_2109;

							BgL_bcz00_2109 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_189), BgL_stkz00_190);
							{	/* Eval/evaluate_comp.scm 929 */
								obj_t BgL_zc3anonymousza32531ze3z83_15823;

								BgL_zc3anonymousza32531ze3z83_15823 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32531ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_15823,
									(int) (((long) 0)), BgL_bcz00_2109);
								return BgL_zc3anonymousza32531ze3z83_15823;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 927 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2531> */
	obj_t BGl_z62zc3anonymousza32531ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15824, obj_t BgL_sz00_15826)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 929 */
			{	/* Eval/evaluate_comp.scm 929 */
				obj_t BgL_bcz00_15825;

				BgL_bcz00_15825 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15824, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2110;

					{	/* Eval/evaluate_comp.scm 929 */
						double BgL_auxz00_21093;

						BgL_sz00_2110 = BgL_sz00_15826;
						{	/* Eval/evaluate_comp.scm 929 */
							obj_t BgL_bpz00_8612;

							BgL_bpz00_8612 = VECTOR_REF(BgL_sz00_2110, (int) (((long) 0)));
							BgL_auxz00_21093 =
								BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_15825,
								BgL_sz00_2110);
						}
						return DOUBLE_TO_REAL(BgL_auxz00_21093);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_191,
		BgL_ev_exprz00_bglt BgL_funz00_192, obj_t BgL_argsz00_193,
		obj_t BgL_stkz00_194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 956 */
				obj_t BgL_valz00_2117;

				BgL_valz00_2117 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_192);
				if (CBOOL(BgL_valz00_2117))
					{	/* Eval/evaluate_comp.scm 958 */
						long BgL_nz00_2118;

						BgL_nz00_2118 = bgl_list_length(BgL_argsz00_193);
						{	/* Eval/evaluate_comp.scm 959 */
							obj_t BgL__ortest_1230z00_2119;

							if ((BgL_nz00_2118 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 960 */
									obj_t BgL_a1z00_2410;

									BgL_a1z00_2410 = CAR(BgL_argsz00_193);
									if (
										(BgL_valz00_2117 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 961 */
											obj_t BgL_a1z00_2412;

											BgL_a1z00_2412 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_2410), BgL_stkz00_194);
											{	/* Eval/evaluate_comp.scm 961 */
												obj_t BgL_zc3anonymousza32651ze3z83_15856;

												BgL_zc3anonymousza32651ze3z83_15856 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_15856,
													(int) (((long) 0)), BgL_a1z00_2412);
												PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_15856,
													(int) (((long) 1)), BgL_locz00_191);
												BgL__ortest_1230z00_2119 =
													BgL_zc3anonymousza32651ze3z83_15856;
										}}
									else
										{	/* Eval/evaluate_comp.scm 961 */
											if (
												(BgL_valz00_2117 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 961 */
													obj_t BgL_a1z00_2419;

													BgL_a1z00_2419 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2410),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 961 */
														obj_t BgL_zc3anonymousza32654ze3z83_15857;

														BgL_zc3anonymousza32654ze3z83_15857 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32654ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32654ze3z83_15857,
															(int) (((long) 0)), BgL_a1z00_2419);
														PROCEDURE_SET(BgL_zc3anonymousza32654ze3z83_15857,
															(int) (((long) 1)), BgL_locz00_191);
														BgL__ortest_1230z00_2119 =
															BgL_zc3anonymousza32654ze3z83_15857;
												}}
											else
												{	/* Eval/evaluate_comp.scm 961 */
													if (
														(BgL_valz00_2117 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 961 */
															obj_t BgL_a1z00_2426;

															BgL_a1z00_2426 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2410),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 961 */
																obj_t BgL_zc3anonymousza32657ze3z83_15858;

																BgL_zc3anonymousza32657ze3z83_15858 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32657ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32657ze3z83_15858,
																	(int) (((long) 0)), BgL_a1z00_2426);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32657ze3z83_15858,
																	(int) (((long) 1)), BgL_locz00_191);
																BgL__ortest_1230z00_2119 =
																	BgL_zc3anonymousza32657ze3z83_15858;
														}}
													else
														{	/* Eval/evaluate_comp.scm 961 */
															BgL__ortest_1230z00_2119 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 959 */
									BgL__ortest_1230z00_2119 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1230z00_2119))
								{	/* Eval/evaluate_comp.scm 959 */
									return BgL__ortest_1230z00_2119;
								}
							else
								{	/* Eval/evaluate_comp.scm 959 */
									if ((BgL_nz00_2118 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 963 */
											obj_t BgL_a1z00_2121;
											obj_t BgL_a2z00_2122;

											BgL_a1z00_2121 = CAR(BgL_argsz00_193);
											{	/* Eval/evaluate_comp.scm 963 */
												obj_t BgL_pairz00_8647;

												BgL_pairz00_8647 = BgL_argsz00_193;
												BgL_a2z00_2122 = CAR(CDR(BgL_pairz00_8647));
											}
											if (
												(BgL_valz00_2117 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 964 */
													obj_t BgL_a1z00_2124;
													obj_t BgL_a2z00_2125;

													BgL_a1z00_2124 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2121),
														BgL_stkz00_194);
													BgL_a2z00_2125 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2122),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 964 */
														obj_t BgL_zc3anonymousza32538ze3z83_15827;

														BgL_zc3anonymousza32538ze3z83_15827 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32538ze3z83_15827,
															(int) (((long) 0)), BgL_a1z00_2124);
														PROCEDURE_SET(BgL_zc3anonymousza32538ze3z83_15827,
															(int) (((long) 1)), BgL_a2z00_2125);
														PROCEDURE_SET(BgL_zc3anonymousza32538ze3z83_15827,
															(int) (((long) 2)), BgL_locz00_191);
														return BgL_zc3anonymousza32538ze3z83_15827;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 964 */
													if (
														(BgL_valz00_2117 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 964 */
															obj_t BgL_a1z00_2134;
															obj_t BgL_a2z00_2135;

															BgL_a1z00_2134 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2121),
																BgL_stkz00_194);
															BgL_a2z00_2135 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2122),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 964 */
																obj_t BgL_zc3anonymousza32542ze3z83_15828;

																BgL_zc3anonymousza32542ze3z83_15828 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32542ze3z83_15828,
																	(int) (((long) 0)), BgL_a1z00_2134);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32542ze3z83_15828,
																	(int) (((long) 1)), BgL_a2z00_2135);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32542ze3z83_15828,
																	(int) (((long) 2)), BgL_locz00_191);
																return BgL_zc3anonymousza32542ze3z83_15828;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 964 */
															if (
																(BgL_valz00_2117 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 964 */
																	obj_t BgL_a1z00_2144;
																	obj_t BgL_a2z00_2145;

																	BgL_a1z00_2144 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2121),
																		BgL_stkz00_194);
																	BgL_a2z00_2145 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2122),
																		BgL_stkz00_194);
																	{	/* Eval/evaluate_comp.scm 964 */
																		obj_t BgL_zc3anonymousza32546ze3z83_15829;

																		BgL_zc3anonymousza32546ze3z83_15829 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32546ze3z83_15829,
																			(int) (((long) 0)), BgL_a1z00_2144);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32546ze3z83_15829,
																			(int) (((long) 1)), BgL_a2z00_2145);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32546ze3z83_15829,
																			(int) (((long) 2)), BgL_locz00_191);
																		return BgL_zc3anonymousza32546ze3z83_15829;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 964 */
																	if (
																		(BgL_valz00_2117 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 964 */
																			obj_t BgL_a1z00_2154;
																			obj_t BgL_a2z00_2155;

																			BgL_a1z00_2154 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2121),
																				BgL_stkz00_194);
																			BgL_a2z00_2155 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2122),
																				BgL_stkz00_194);
																			{	/* Eval/evaluate_comp.scm 964 */
																				obj_t
																					BgL_zc3anonymousza32550ze3z83_15830;
																				BgL_zc3anonymousza32550ze3z83_15830 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32550ze3z83_15830,
																					(int) (((long) 0)), BgL_a1z00_2154);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32550ze3z83_15830,
																					(int) (((long) 1)), BgL_a2z00_2155);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32550ze3z83_15830,
																					(int) (((long) 2)), BgL_locz00_191);
																				return
																					BgL_zc3anonymousza32550ze3z83_15830;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 964 */
																			if (
																				(BgL_valz00_2117 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 964 */
																					obj_t BgL_a1z00_2164;
																					obj_t BgL_a2z00_2165;

																					BgL_a1z00_2164 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2121), BgL_stkz00_194);
																					BgL_a2z00_2165 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2122), BgL_stkz00_194);
																					{	/* Eval/evaluate_comp.scm 964 */
																						obj_t
																							BgL_zc3anonymousza32554ze3z83_15831;
																						BgL_zc3anonymousza32554ze3z83_15831
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32554ze3z83_15831,
																							(int) (((long) 0)),
																							BgL_a1z00_2164);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32554ze3z83_15831,
																							(int) (((long) 1)),
																							BgL_a2z00_2165);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32554ze3z83_15831,
																							(int) (((long) 2)),
																							BgL_locz00_191);
																						return
																							BgL_zc3anonymousza32554ze3z83_15831;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 964 */
																					if (
																						(BgL_valz00_2117 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 964 */
																							obj_t BgL_a1z00_2174;
																							obj_t BgL_a2z00_2175;

																							BgL_a1z00_2174 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2121),
																								BgL_stkz00_194);
																							BgL_a2z00_2175 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2122),
																								BgL_stkz00_194);
																							{	/* Eval/evaluate_comp.scm 964 */
																								obj_t
																									BgL_zc3anonymousza32558ze3z83_15832;
																								BgL_zc3anonymousza32558ze3z83_15832
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32558ze3z83_15832,
																									(int) (((long) 0)),
																									BgL_a1z00_2174);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32558ze3z83_15832,
																									(int) (((long) 1)),
																									BgL_a2z00_2175);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32558ze3z83_15832,
																									(int) (((long) 2)),
																									BgL_locz00_191);
																								return
																									BgL_zc3anonymousza32558ze3z83_15832;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 964 */
																							if (
																								(BgL_valz00_2117 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 964 */
																									obj_t BgL_a1z00_2184;
																									obj_t BgL_a2z00_2185;

																									BgL_a1z00_2184 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2121),
																										BgL_stkz00_194);
																									BgL_a2z00_2185 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2122),
																										BgL_stkz00_194);
																									{	/* Eval/evaluate_comp.scm 964 */
																										obj_t
																											BgL_zc3anonymousza32562ze3z83_15833;
																										BgL_zc3anonymousza32562ze3z83_15833
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32562ze3z83_15833,
																											(int) (((long) 0)),
																											BgL_a1z00_2184);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32562ze3z83_15833,
																											(int) (((long) 1)),
																											BgL_a2z00_2185);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32562ze3z83_15833,
																											(int) (((long) 2)),
																											BgL_locz00_191);
																										return
																											BgL_zc3anonymousza32562ze3z83_15833;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 964 */
																									if (
																										(BgL_valz00_2117 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 964 */
																											obj_t BgL_a1z00_2194;
																											obj_t BgL_a2z00_2195;

																											BgL_a1z00_2194 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2121),
																												BgL_stkz00_194);
																											BgL_a2z00_2195 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2122),
																												BgL_stkz00_194);
																											{	/* Eval/evaluate_comp.scm 964 */
																												obj_t
																													BgL_zc3anonymousza32566ze3z83_15834;
																												BgL_zc3anonymousza32566ze3z83_15834
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32566ze3z83_15834,
																													(int) (((long) 0)),
																													BgL_a1z00_2194);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32566ze3z83_15834,
																													(int) (((long) 1)),
																													BgL_a2z00_2195);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32566ze3z83_15834,
																													(int) (((long) 2)),
																													BgL_locz00_191);
																												return
																													BgL_zc3anonymousza32566ze3z83_15834;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 964 */
																											if (
																												(BgL_valz00_2117 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 964 */
																													obj_t BgL_a1z00_2204;
																													obj_t BgL_a2z00_2205;

																													BgL_a1z00_2204 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																													BgL_a2z00_2205 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																													{	/* Eval/evaluate_comp.scm 964 */
																														obj_t
																															BgL_zc3anonymousza32570ze3z83_15835;
																														BgL_zc3anonymousza32570ze3z83_15835
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32570ze3z83_15835,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2204);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32570ze3z83_15835,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2205);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32570ze3z83_15835,
																															(int) (((long)
																																	2)),
																															BgL_locz00_191);
																														return
																															BgL_zc3anonymousza32570ze3z83_15835;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 964 */
																													if (
																														(BgL_valz00_2117 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 964 */
																															obj_t
																																BgL_a1z00_2214;
																															obj_t
																																BgL_a2z00_2215;
																															BgL_a1z00_2214 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																															BgL_a2z00_2215 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																															{	/* Eval/evaluate_comp.scm 964 */
																																obj_t
																																	BgL_zc3anonymousza32574ze3z83_15836;
																																BgL_zc3anonymousza32574ze3z83_15836
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32574ze3z83_15836,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2214);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32574ze3z83_15836,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2215);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32574ze3z83_15836,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_191);
																																return
																																	BgL_zc3anonymousza32574ze3z83_15836;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 964 */
																															if (
																																(BgL_valz00_2117
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 964 */
																																	obj_t
																																		BgL_a1z00_2224;
																																	obj_t
																																		BgL_a2z00_2225;
																																	BgL_a1z00_2224
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																	BgL_a2z00_2225
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																	{	/* Eval/evaluate_comp.scm 964 */
																																		obj_t
																																			BgL_zc3anonymousza32578ze3z83_15837;
																																		BgL_zc3anonymousza32578ze3z83_15837
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32578ze3z83_15837,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2224);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32578ze3z83_15837,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2225);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32578ze3z83_15837,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_191);
																																		return
																																			BgL_zc3anonymousza32578ze3z83_15837;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 964 */
																																	if (
																																		(BgL_valz00_2117
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 964 */
																																			obj_t
																																				BgL_a1z00_2234;
																																			obj_t
																																				BgL_a2z00_2235;
																																			BgL_a1z00_2234
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																			BgL_a2z00_2235
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																			{	/* Eval/evaluate_comp.scm 964 */
																																				obj_t
																																					BgL_zc3anonymousza32582ze3z83_15838;
																																				BgL_zc3anonymousza32582ze3z83_15838
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32582ze3z83_15838,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2234);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32582ze3z83_15838,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2235);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32582ze3z83_15838,
																																					(int)
																																					(((long) 2)), BgL_locz00_191);
																																				return
																																					BgL_zc3anonymousza32582ze3z83_15838;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 964 */
																																			if (
																																				(BgL_valz00_2117
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 964 */
																																					obj_t
																																						BgL_a1z00_2244;
																																					obj_t
																																						BgL_a2z00_2245;
																																					BgL_a1z00_2244
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																					BgL_a2z00_2245
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																					{	/* Eval/evaluate_comp.scm 964 */
																																						obj_t
																																							BgL_zc3anonymousza32586ze3z83_15839;
																																						BgL_zc3anonymousza32586ze3z83_15839
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32586ze3z83_15839,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2244);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32586ze3z83_15839,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2245);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32586ze3z83_15839,
																																							(int)
																																							(((long) 2)), BgL_locz00_191);
																																						return
																																							BgL_zc3anonymousza32586ze3z83_15839;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 964 */
																																					if (
																																						(BgL_valz00_2117
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 964 */
																																							obj_t
																																								BgL_a1z00_2254;
																																							obj_t
																																								BgL_a2z00_2255;
																																							BgL_a1z00_2254
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																							BgL_a2z00_2255
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																							{	/* Eval/evaluate_comp.scm 964 */
																																								obj_t
																																									BgL_zc3anonymousza32590ze3z83_15840;
																																								BgL_zc3anonymousza32590ze3z83_15840
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32590ze3z83_15840,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2254);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32590ze3z83_15840,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2255);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32590ze3z83_15840,
																																									(int)
																																									(((long) 2)), BgL_locz00_191);
																																								return
																																									BgL_zc3anonymousza32590ze3z83_15840;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 964 */
																																							if ((BgL_valz00_2117 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 964 */
																																									obj_t
																																										BgL_a1z00_2264;
																																									obj_t
																																										BgL_a2z00_2265;
																																									BgL_a1z00_2264
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																									BgL_a2z00_2265
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																									{	/* Eval/evaluate_comp.scm 964 */
																																										obj_t
																																											BgL_zc3anonymousza32594ze3z83_15841;
																																										BgL_zc3anonymousza32594ze3z83_15841
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32594ze3z83_15841,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2264);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32594ze3z83_15841,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2265);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32594ze3z83_15841,
																																											(int)
																																											(((long) 2)), BgL_locz00_191);
																																										return
																																											BgL_zc3anonymousza32594ze3z83_15841;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 964 */
																																									if ((BgL_valz00_2117 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 964 */
																																											obj_t
																																												BgL_a1z00_2274;
																																											obj_t
																																												BgL_a2z00_2275;
																																											BgL_a1z00_2274
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																											BgL_a2z00_2275
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																											{	/* Eval/evaluate_comp.scm 964 */
																																												obj_t
																																													BgL_zc3anonymousza32598ze3z83_15842;
																																												BgL_zc3anonymousza32598ze3z83_15842
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32598ze3z83_15842,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2274);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32598ze3z83_15842,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2275);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32598ze3z83_15842,
																																													(int)
																																													(((long) 2)), BgL_locz00_191);
																																												return
																																													BgL_zc3anonymousza32598ze3z83_15842;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 964 */
																																											if ((BgL_valz00_2117 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 964 */
																																													obj_t
																																														BgL_a1z00_2284;
																																													obj_t
																																														BgL_a2z00_2285;
																																													BgL_a1z00_2284
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																													BgL_a2z00_2285
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																													{	/* Eval/evaluate_comp.scm 964 */
																																														obj_t
																																															BgL_zc3anonymousza32602ze3z83_15843;
																																														BgL_zc3anonymousza32602ze3z83_15843
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32602ze3z83_15843,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2284);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32602ze3z83_15843,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2285);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32602ze3z83_15843,
																																															(int)
																																															(((long) 2)), BgL_locz00_191);
																																														return
																																															BgL_zc3anonymousza32602ze3z83_15843;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 964 */
																																													if ((BgL_valz00_2117 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 964 */
																																															obj_t
																																																BgL_a1z00_2294;
																																															obj_t
																																																BgL_a2z00_2295;
																																															BgL_a1z00_2294
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																															BgL_a2z00_2295
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																															{	/* Eval/evaluate_comp.scm 964 */
																																																obj_t
																																																	BgL_zc3anonymousza32606ze3z83_15844;
																																																BgL_zc3anonymousza32606ze3z83_15844
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32606ze3z83_15844,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2294);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32606ze3z83_15844,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2295);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32606ze3z83_15844,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_191);
																																																return
																																																	BgL_zc3anonymousza32606ze3z83_15844;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 964 */
																																															if ((BgL_valz00_2117 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 964 */
																																																	obj_t
																																																		BgL_a1z00_2304;
																																																	obj_t
																																																		BgL_a2z00_2305;
																																																	BgL_a1z00_2304
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																	BgL_a2z00_2305
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																	{	/* Eval/evaluate_comp.scm 964 */
																																																		obj_t
																																																			BgL_zc3anonymousza32610ze3z83_15845;
																																																		BgL_zc3anonymousza32610ze3z83_15845
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32610ze3z83_15845,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2304);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32610ze3z83_15845,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2305);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32610ze3z83_15845,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_191);
																																																		return
																																																			BgL_zc3anonymousza32610ze3z83_15845;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 964 */
																																																	if ((BgL_valz00_2117 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																			obj_t
																																																				BgL_a1z00_2314;
																																																			obj_t
																																																				BgL_a2z00_2315;
																																																			BgL_a1z00_2314
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																			BgL_a2z00_2315
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																			{	/* Eval/evaluate_comp.scm 964 */
																																																				obj_t
																																																					BgL_zc3anonymousza32614ze3z83_15846;
																																																				BgL_zc3anonymousza32614ze3z83_15846
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32614ze3z83_15846,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2314);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32614ze3z83_15846,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2315);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32614ze3z83_15846,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_191);
																																																				return
																																																					BgL_zc3anonymousza32614ze3z83_15846;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																			if ((BgL_valz00_2117 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																					obj_t
																																																						BgL_a1z00_2324;
																																																					obj_t
																																																						BgL_a2z00_2325;
																																																					BgL_a1z00_2324
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																					BgL_a2z00_2325
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																					{	/* Eval/evaluate_comp.scm 964 */
																																																						obj_t
																																																							BgL_zc3anonymousza32618ze3z83_15847;
																																																						BgL_zc3anonymousza32618ze3z83_15847
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32618ze3z83_15847,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2324);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32618ze3z83_15847,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2325);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32618ze3z83_15847,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_191);
																																																						return
																																																							BgL_zc3anonymousza32618ze3z83_15847;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																					if ((BgL_valz00_2117 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 964 */
																																																							obj_t
																																																								BgL_a1z00_2334;
																																																							obj_t
																																																								BgL_a2z00_2335;
																																																							BgL_a1z00_2334
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																							BgL_a2z00_2335
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																							{	/* Eval/evaluate_comp.scm 964 */
																																																								obj_t
																																																									BgL_zc3anonymousza32622ze3z83_15848;
																																																								BgL_zc3anonymousza32622ze3z83_15848
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32622ze3z83_15848,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2334);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32622ze3z83_15848,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2335);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32622ze3z83_15848,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_191);
																																																								return
																																																									BgL_zc3anonymousza32622ze3z83_15848;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 964 */
																																																							if ((BgL_valz00_2117 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 964 */
																																																									obj_t
																																																										BgL_a1z00_2344;
																																																									obj_t
																																																										BgL_a2z00_2345;
																																																									BgL_a1z00_2344
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																									BgL_a2z00_2345
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																									{	/* Eval/evaluate_comp.scm 964 */
																																																										obj_t
																																																											BgL_zc3anonymousza32626ze3z83_15849;
																																																										BgL_zc3anonymousza32626ze3z83_15849
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32626ze3z83_15849,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2344);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32626ze3z83_15849,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2345);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32626ze3z83_15849,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_191);
																																																										return
																																																											BgL_zc3anonymousza32626ze3z83_15849;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 964 */
																																																									if ((BgL_valz00_2117 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 964 */
																																																											obj_t
																																																												BgL_a1z00_2354;
																																																											obj_t
																																																												BgL_a2z00_2355;
																																																											BgL_a1z00_2354
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																											BgL_a2z00_2355
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																											{	/* Eval/evaluate_comp.scm 964 */
																																																												obj_t
																																																													BgL_zc3anonymousza32630ze3z83_15850;
																																																												BgL_zc3anonymousza32630ze3z83_15850
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32630ze3z83_15850,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2354);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32630ze3z83_15850,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2355);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32630ze3z83_15850,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_191);
																																																												return
																																																													BgL_zc3anonymousza32630ze3z83_15850;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 964 */
																																																											if ((BgL_valz00_2117 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 964 */
																																																													obj_t
																																																														BgL_a1z00_2364;
																																																													obj_t
																																																														BgL_a2z00_2365;
																																																													BgL_a1z00_2364
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																													BgL_a2z00_2365
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																													{	/* Eval/evaluate_comp.scm 964 */
																																																														obj_t
																																																															BgL_zc3anonymousza32634ze3z83_15851;
																																																														BgL_zc3anonymousza32634ze3z83_15851
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32634ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32634ze3z83_15851,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_2364);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32634ze3z83_15851,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_2365);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32634ze3z83_15851,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_191);
																																																														return
																																																															BgL_zc3anonymousza32634ze3z83_15851;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 964 */
																																																													if ((BgL_valz00_2117 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 964 */
																																																															obj_t
																																																																BgL_a1z00_2374;
																																																															obj_t
																																																																BgL_a2z00_2375;
																																																															BgL_a1z00_2374
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																															BgL_a2z00_2375
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																															{	/* Eval/evaluate_comp.scm 964 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32638ze3z83_15852;
																																																																BgL_zc3anonymousza32638ze3z83_15852
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32638ze3z83_15852,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_2374);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32638ze3z83_15852,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_2375);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32638ze3z83_15852,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_191);
																																																																return
																																																																	BgL_zc3anonymousza32638ze3z83_15852;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 964 */
																																																															if ((BgL_valz00_2117 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 964 */
																																																																	obj_t
																																																																		BgL_a1z00_2384;
																																																																	obj_t
																																																																		BgL_a2z00_2385;
																																																																	BgL_a1z00_2384
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																																	BgL_a2z00_2385
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																																	{	/* Eval/evaluate_comp.scm 964 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32642ze3z83_15853;
																																																																		BgL_zc3anonymousza32642ze3z83_15853
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32642ze3z83_15853,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_2384);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32642ze3z83_15853,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_2385);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32642ze3z83_15853,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_191);
																																																																		return
																																																																			BgL_zc3anonymousza32642ze3z83_15853;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 964 */
																																																																	if ((BgL_valz00_2117 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																																			obj_t
																																																																				BgL_a1z00_2394;
																																																																			obj_t
																																																																				BgL_a2z00_2395;
																																																																			BgL_a1z00_2394
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																																			BgL_a2z00_2395
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																																			{	/* Eval/evaluate_comp.scm 964 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32646ze3z83_15854;
																																																																				BgL_zc3anonymousza32646ze3z83_15854
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32646ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32646ze3z83_15854,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_2394);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32646ze3z83_15854,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_2395);
																																																																				return
																																																																					BgL_zc3anonymousza32646ze3z83_15854;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																																			if ((BgL_valz00_2117 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																																					obj_t
																																																																						BgL_a1z00_2402;
																																																																					obj_t
																																																																						BgL_a2z00_2403;
																																																																					BgL_a1z00_2402
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2121), BgL_stkz00_194);
																																																																					BgL_a2z00_2403
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2122), BgL_stkz00_194);
																																																																					{	/* Eval/evaluate_comp.scm 964 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32648ze3z83_15855;
																																																																						BgL_zc3anonymousza32648ze3z83_15855
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32648ze3z83_15855,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_2402);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32648ze3z83_15855,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_2403);
																																																																						return
																																																																							BgL_zc3anonymousza32648ze3z83_15855;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 962 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 957 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2538> */
	obj_t BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15859, obj_t BgL_sz00_15863)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15860;
				obj_t BgL_a2z00_15861;
				obj_t BgL_locz00_15862;

				BgL_a1z00_15860 = PROCEDURE_REF(BgL_envz00_15859, (int) (((long) 0)));
				BgL_a2z00_15861 = PROCEDURE_REF(BgL_envz00_15859, (int) (((long) 1)));
				BgL_locz00_15862 = PROCEDURE_REF(BgL_envz00_15859, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2126;

					BgL_sz00_2126 = BgL_sz00_15863;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2128;

						BgL_bpz00_2128 = VECTOR_REF(BgL_sz00_2126, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2129;
							obj_t BgL_a2z00_2130;

							BgL_a1z00_2129 =
								PROCEDURE_ENTRY(BgL_a1z00_15860) (BgL_a1z00_15860,
								BgL_sz00_2126, BEOA);
							BgL_a2z00_2130 =
								PROCEDURE_ENTRY(BgL_a2z00_15861) (BgL_a2z00_15861,
								BgL_sz00_2126, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2129))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5567z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2129,
										BgL_locz00_15862);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2130))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5567z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2130,
										BgL_locz00_15862);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2129,
								BgL_a2z00_2130);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2542> */
	obj_t BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15864, obj_t BgL_sz00_15868)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15865;
				obj_t BgL_a2z00_15866;
				obj_t BgL_locz00_15867;

				BgL_a1z00_15865 = PROCEDURE_REF(BgL_envz00_15864, (int) (((long) 0)));
				BgL_a2z00_15866 = PROCEDURE_REF(BgL_envz00_15864, (int) (((long) 1)));
				BgL_locz00_15867 = PROCEDURE_REF(BgL_envz00_15864, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2136;

					BgL_sz00_2136 = BgL_sz00_15868;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2138;

						BgL_bpz00_2138 = VECTOR_REF(BgL_sz00_2136, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2139;
							obj_t BgL_a2z00_2140;

							BgL_a1z00_2139 =
								PROCEDURE_ENTRY(BgL_a1z00_15865) (BgL_a1z00_15865,
								BgL_sz00_2136, BEOA);
							BgL_a2z00_2140 =
								PROCEDURE_ENTRY(BgL_a2z00_15866) (BgL_a2z00_15866,
								BgL_sz00_2136, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2139))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5571z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2139,
										BgL_locz00_15867);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2140))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5571z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2140,
										BgL_locz00_15867);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2139,
								BgL_a2z00_2140);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2546> */
	obj_t BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15869, obj_t BgL_sz00_15873)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15870;
				obj_t BgL_a2z00_15871;
				obj_t BgL_locz00_15872;

				BgL_a1z00_15870 = PROCEDURE_REF(BgL_envz00_15869, (int) (((long) 0)));
				BgL_a2z00_15871 = PROCEDURE_REF(BgL_envz00_15869, (int) (((long) 1)));
				BgL_locz00_15872 = PROCEDURE_REF(BgL_envz00_15869, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2146;

					BgL_sz00_2146 = BgL_sz00_15873;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2148;

						BgL_bpz00_2148 = VECTOR_REF(BgL_sz00_2146, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2149;
							obj_t BgL_a2z00_2150;

							BgL_a1z00_2149 =
								PROCEDURE_ENTRY(BgL_a1z00_15870) (BgL_a1z00_15870,
								BgL_sz00_2146, BEOA);
							BgL_a2z00_2150 =
								PROCEDURE_ENTRY(BgL_a2z00_15871) (BgL_a2z00_15871,
								BgL_sz00_2146, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2149))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5573z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2149,
										BgL_locz00_15872);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2150))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5573z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2150,
										BgL_locz00_15872);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2149,
								BgL_a2z00_2150);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2550> */
	obj_t BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15874, obj_t BgL_sz00_15878)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15875;
				obj_t BgL_a2z00_15876;
				obj_t BgL_locz00_15877;

				BgL_a1z00_15875 = PROCEDURE_REF(BgL_envz00_15874, (int) (((long) 0)));
				BgL_a2z00_15876 = PROCEDURE_REF(BgL_envz00_15874, (int) (((long) 1)));
				BgL_locz00_15877 = PROCEDURE_REF(BgL_envz00_15874, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2156;

					BgL_sz00_2156 = BgL_sz00_15878;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2158;

						BgL_bpz00_2158 = VECTOR_REF(BgL_sz00_2156, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2159;
							obj_t BgL_a2z00_2160;

							BgL_a1z00_2159 =
								PROCEDURE_ENTRY(BgL_a1z00_15875) (BgL_a1z00_15875,
								BgL_sz00_2156, BEOA);
							BgL_a2z00_2160 =
								PROCEDURE_ENTRY(BgL_a2z00_15876) (BgL_a2z00_15876,
								BgL_sz00_2156, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2159))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5575z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2159,
										BgL_locz00_15877);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2160))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5575z00zz__evaluate_compz00,
										BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2160,
										BgL_locz00_15877);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2159,
								BgL_a2z00_2160);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2554> */
	obj_t BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15879, obj_t BgL_sz00_15883)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15880;
				obj_t BgL_a2z00_15881;
				obj_t BgL_locz00_15882;

				BgL_a1z00_15880 = PROCEDURE_REF(BgL_envz00_15879, (int) (((long) 0)));
				BgL_a2z00_15881 = PROCEDURE_REF(BgL_envz00_15879, (int) (((long) 1)));
				BgL_locz00_15882 = PROCEDURE_REF(BgL_envz00_15879, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2166;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21674;

						BgL_sz00_2166 = BgL_sz00_15883;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2168;

							BgL_bpz00_2168 = VECTOR_REF(BgL_sz00_2166, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2169;
								obj_t BgL_a2z00_2170;

								BgL_a1z00_2169 =
									PROCEDURE_ENTRY(BgL_a1z00_15880) (BgL_a1z00_15880,
									BgL_sz00_2166, BEOA);
								BgL_a2z00_2170 =
									PROCEDURE_ENTRY(BgL_a2z00_15881) (BgL_a2z00_15881,
									BgL_sz00_2166, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2169))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5577z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2169,
											BgL_locz00_15882);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2170))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5577z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2170,
											BgL_locz00_15882);
									}
								BgL_auxz00_21674 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2169,
									BgL_a2z00_2170);
							}
						}
						return BBOOL(BgL_auxz00_21674);
					}
				}
			}
		}
	}



/* &<anonymous:2558> */
	obj_t BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15884, obj_t BgL_sz00_15888)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15885;
				obj_t BgL_a2z00_15886;
				obj_t BgL_locz00_15887;

				BgL_a1z00_15885 = PROCEDURE_REF(BgL_envz00_15884, (int) (((long) 0)));
				BgL_a2z00_15886 = PROCEDURE_REF(BgL_envz00_15884, (int) (((long) 1)));
				BgL_locz00_15887 = PROCEDURE_REF(BgL_envz00_15884, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2176;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21699;

						BgL_sz00_2176 = BgL_sz00_15888;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2178;

							BgL_bpz00_2178 = VECTOR_REF(BgL_sz00_2176, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2179;
								obj_t BgL_a2z00_2180;

								BgL_a1z00_2179 =
									PROCEDURE_ENTRY(BgL_a1z00_15885) (BgL_a1z00_15885,
									BgL_sz00_2176, BEOA);
								BgL_a2z00_2180 =
									PROCEDURE_ENTRY(BgL_a2z00_15886) (BgL_a2z00_15886,
									BgL_sz00_2176, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2179))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5579z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2179,
											BgL_locz00_15887);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2180))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5579z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2180,
											BgL_locz00_15887);
									}
								BgL_auxz00_21699 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2179,
									BgL_a2z00_2180);
							}
						}
						return BBOOL(BgL_auxz00_21699);
					}
				}
			}
		}
	}



/* &<anonymous:2562> */
	obj_t BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15889, obj_t BgL_sz00_15893)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15890;
				obj_t BgL_a2z00_15891;
				obj_t BgL_locz00_15892;

				BgL_a1z00_15890 = PROCEDURE_REF(BgL_envz00_15889, (int) (((long) 0)));
				BgL_a2z00_15891 = PROCEDURE_REF(BgL_envz00_15889, (int) (((long) 1)));
				BgL_locz00_15892 = PROCEDURE_REF(BgL_envz00_15889, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2186;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21724;

						BgL_sz00_2186 = BgL_sz00_15893;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2188;

							BgL_bpz00_2188 = VECTOR_REF(BgL_sz00_2186, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2189;
								obj_t BgL_a2z00_2190;

								BgL_a1z00_2189 =
									PROCEDURE_ENTRY(BgL_a1z00_15890) (BgL_a1z00_15890,
									BgL_sz00_2186, BEOA);
								BgL_a2z00_2190 =
									PROCEDURE_ENTRY(BgL_a2z00_15891) (BgL_a2z00_15891,
									BgL_sz00_2186, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2189))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5581z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2189,
											BgL_locz00_15892);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2190))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5581z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2190,
											BgL_locz00_15892);
									}
								BgL_auxz00_21724 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2189,
									BgL_a2z00_2190);
							}
						}
						return BBOOL(BgL_auxz00_21724);
					}
				}
			}
		}
	}



/* &<anonymous:2566> */
	obj_t BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15894, obj_t BgL_sz00_15898)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15895;
				obj_t BgL_a2z00_15896;
				obj_t BgL_locz00_15897;

				BgL_a1z00_15895 = PROCEDURE_REF(BgL_envz00_15894, (int) (((long) 0)));
				BgL_a2z00_15896 = PROCEDURE_REF(BgL_envz00_15894, (int) (((long) 1)));
				BgL_locz00_15897 = PROCEDURE_REF(BgL_envz00_15894, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2196;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21749;

						BgL_sz00_2196 = BgL_sz00_15898;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2198;

							BgL_bpz00_2198 = VECTOR_REF(BgL_sz00_2196, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2199;
								obj_t BgL_a2z00_2200;

								BgL_a1z00_2199 =
									PROCEDURE_ENTRY(BgL_a1z00_15895) (BgL_a1z00_15895,
									BgL_sz00_2196, BEOA);
								BgL_a2z00_2200 =
									PROCEDURE_ENTRY(BgL_a2z00_15896) (BgL_a2z00_15896,
									BgL_sz00_2196, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2199))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5583z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2199,
											BgL_locz00_15897);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2200))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5583z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2200,
											BgL_locz00_15897);
									}
								BgL_auxz00_21749 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2199,
									BgL_a2z00_2200);
							}
						}
						return BBOOL(BgL_auxz00_21749);
					}
				}
			}
		}
	}



/* &<anonymous:2570> */
	obj_t BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15899, obj_t BgL_sz00_15903)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15900;
				obj_t BgL_a2z00_15901;
				obj_t BgL_locz00_15902;

				BgL_a1z00_15900 = PROCEDURE_REF(BgL_envz00_15899, (int) (((long) 0)));
				BgL_a2z00_15901 = PROCEDURE_REF(BgL_envz00_15899, (int) (((long) 1)));
				BgL_locz00_15902 = PROCEDURE_REF(BgL_envz00_15899, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2206;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21774;

						BgL_sz00_2206 = BgL_sz00_15903;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2208;

							BgL_bpz00_2208 = VECTOR_REF(BgL_sz00_2206, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2209;
								obj_t BgL_a2z00_2210;

								BgL_a1z00_2209 =
									PROCEDURE_ENTRY(BgL_a1z00_15900) (BgL_a1z00_15900,
									BgL_sz00_2206, BEOA);
								BgL_a2z00_2210 =
									PROCEDURE_ENTRY(BgL_a2z00_15901) (BgL_a2z00_15901,
									BgL_sz00_2206, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2209))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5585z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a1z00_2209,
											BgL_locz00_15902);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2210))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5585z00zz__evaluate_compz00,
											BGl_symbol5569z00zz__evaluate_compz00, BgL_a2z00_2210,
											BgL_locz00_15902);
									}
								BgL_auxz00_21774 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2209,
									BgL_a2z00_2210);
							}
						}
						return BBOOL(BgL_auxz00_21774);
					}
				}
			}
		}
	}



/* &<anonymous:2574> */
	obj_t BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15904, obj_t BgL_sz00_15908)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15905;
				obj_t BgL_a2z00_15906;
				obj_t BgL_locz00_15907;

				BgL_a1z00_15905 = PROCEDURE_REF(BgL_envz00_15904, (int) (((long) 0)));
				BgL_a2z00_15906 = PROCEDURE_REF(BgL_envz00_15904, (int) (((long) 1)));
				BgL_locz00_15907 = PROCEDURE_REF(BgL_envz00_15904, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2216;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21799;

						BgL_sz00_2216 = BgL_sz00_15908;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2218;

							BgL_bpz00_2218 = VECTOR_REF(BgL_sz00_2216, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2219;
								obj_t BgL_a2z00_2220;

								BgL_a1z00_2219 =
									PROCEDURE_ENTRY(BgL_a1z00_15905) (BgL_a1z00_15905,
									BgL_sz00_2216, BEOA);
								BgL_a2z00_2220 =
									PROCEDURE_ENTRY(BgL_a2z00_15906) (BgL_a2z00_15906,
									BgL_sz00_2216, BEOA);
								if (INTEGERP(BgL_a1z00_2219))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5587z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2219,
											BgL_locz00_15907);
									}
								if (INTEGERP(BgL_a2z00_2220))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5587z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2220,
											BgL_locz00_15907);
									}
								BgL_auxz00_21799 =
									((long) CINT(BgL_a1z00_2219) + (long) CINT(BgL_a2z00_2220));
						}}
						return BINT(BgL_auxz00_21799);
					}
				}
			}
		}
	}



/* &<anonymous:2578> */
	obj_t BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15909, obj_t BgL_sz00_15913)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15910;
				obj_t BgL_a2z00_15911;
				obj_t BgL_locz00_15912;

				BgL_a1z00_15910 = PROCEDURE_REF(BgL_envz00_15909, (int) (((long) 0)));
				BgL_a2z00_15911 = PROCEDURE_REF(BgL_envz00_15909, (int) (((long) 1)));
				BgL_locz00_15912 = PROCEDURE_REF(BgL_envz00_15909, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2226;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21826;

						BgL_sz00_2226 = BgL_sz00_15913;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2228;

							BgL_bpz00_2228 = VECTOR_REF(BgL_sz00_2226, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2229;
								obj_t BgL_a2z00_2230;

								BgL_a1z00_2229 =
									PROCEDURE_ENTRY(BgL_a1z00_15910) (BgL_a1z00_15910,
									BgL_sz00_2226, BEOA);
								BgL_a2z00_2230 =
									PROCEDURE_ENTRY(BgL_a2z00_15911) (BgL_a2z00_15911,
									BgL_sz00_2226, BEOA);
								if (INTEGERP(BgL_a1z00_2229))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5591z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2229,
											BgL_locz00_15912);
									}
								if (INTEGERP(BgL_a2z00_2230))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5591z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2230,
											BgL_locz00_15912);
									}
								BgL_auxz00_21826 =
									((long) CINT(BgL_a1z00_2229) - (long) CINT(BgL_a2z00_2230));
						}}
						return BINT(BgL_auxz00_21826);
					}
				}
			}
		}
	}



/* &<anonymous:2582> */
	obj_t BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15914, obj_t BgL_sz00_15918)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15915;
				obj_t BgL_a2z00_15916;
				obj_t BgL_locz00_15917;

				BgL_a1z00_15915 = PROCEDURE_REF(BgL_envz00_15914, (int) (((long) 0)));
				BgL_a2z00_15916 = PROCEDURE_REF(BgL_envz00_15914, (int) (((long) 1)));
				BgL_locz00_15917 = PROCEDURE_REF(BgL_envz00_15914, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2236;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21853;

						BgL_sz00_2236 = BgL_sz00_15918;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2238;

							BgL_bpz00_2238 = VECTOR_REF(BgL_sz00_2236, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2239;
								obj_t BgL_a2z00_2240;

								BgL_a1z00_2239 =
									PROCEDURE_ENTRY(BgL_a1z00_15915) (BgL_a1z00_15915,
									BgL_sz00_2236, BEOA);
								BgL_a2z00_2240 =
									PROCEDURE_ENTRY(BgL_a2z00_15916) (BgL_a2z00_15916,
									BgL_sz00_2236, BEOA);
								if (INTEGERP(BgL_a1z00_2239))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5593z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2239,
											BgL_locz00_15917);
									}
								if (INTEGERP(BgL_a2z00_2240))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5593z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2240,
											BgL_locz00_15917);
									}
								BgL_auxz00_21853 =
									((long) CINT(BgL_a1z00_2239) * (long) CINT(BgL_a2z00_2240));
						}}
						return BINT(BgL_auxz00_21853);
					}
				}
			}
		}
	}



/* &<anonymous:2586> */
	obj_t BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15919, obj_t BgL_sz00_15923)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15920;
				obj_t BgL_a2z00_15921;
				obj_t BgL_locz00_15922;

				BgL_a1z00_15920 = PROCEDURE_REF(BgL_envz00_15919, (int) (((long) 0)));
				BgL_a2z00_15921 = PROCEDURE_REF(BgL_envz00_15919, (int) (((long) 1)));
				BgL_locz00_15922 = PROCEDURE_REF(BgL_envz00_15919, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2246;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21880;

						BgL_sz00_2246 = BgL_sz00_15923;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2248;

							BgL_bpz00_2248 = VECTOR_REF(BgL_sz00_2246, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2249;
								obj_t BgL_a2z00_2250;

								BgL_a1z00_2249 =
									PROCEDURE_ENTRY(BgL_a1z00_15920) (BgL_a1z00_15920,
									BgL_sz00_2246, BEOA);
								BgL_a2z00_2250 =
									PROCEDURE_ENTRY(BgL_a2z00_15921) (BgL_a2z00_15921,
									BgL_sz00_2246, BEOA);
								if (INTEGERP(BgL_a1z00_2249))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5595z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2249,
											BgL_locz00_15922);
									}
								if (INTEGERP(BgL_a2z00_2250))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5595z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2250,
											BgL_locz00_15922);
									}
								BgL_auxz00_21880 =
									((long) CINT(BgL_a1z00_2249) / (long) CINT(BgL_a2z00_2250));
						}}
						return BINT(BgL_auxz00_21880);
					}
				}
			}
		}
	}



/* &<anonymous:2590> */
	obj_t BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15924, obj_t BgL_sz00_15928)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15925;
				obj_t BgL_a2z00_15926;
				obj_t BgL_locz00_15927;

				BgL_a1z00_15925 = PROCEDURE_REF(BgL_envz00_15924, (int) (((long) 0)));
				BgL_a2z00_15926 = PROCEDURE_REF(BgL_envz00_15924, (int) (((long) 1)));
				BgL_locz00_15927 = PROCEDURE_REF(BgL_envz00_15924, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2256;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21907;

						BgL_sz00_2256 = BgL_sz00_15928;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2258;

							BgL_bpz00_2258 = VECTOR_REF(BgL_sz00_2256, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2259;
								obj_t BgL_a2z00_2260;

								BgL_a1z00_2259 =
									PROCEDURE_ENTRY(BgL_a1z00_15925) (BgL_a1z00_15925,
									BgL_sz00_2256, BEOA);
								BgL_a2z00_2260 =
									PROCEDURE_ENTRY(BgL_a2z00_15926) (BgL_a2z00_15926,
									BgL_sz00_2256, BEOA);
								if (INTEGERP(BgL_a1z00_2259))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5597z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2259,
											BgL_locz00_15927);
									}
								if (INTEGERP(BgL_a2z00_2260))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5597z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2260,
											BgL_locz00_15927);
									}
								BgL_auxz00_21907 =
									((long) CINT(BgL_a1z00_2259) < (long) CINT(BgL_a2z00_2260));
						}}
						return BBOOL(BgL_auxz00_21907);
					}
				}
			}
		}
	}



/* &<anonymous:2594> */
	obj_t BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15929, obj_t BgL_sz00_15933)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15930;
				obj_t BgL_a2z00_15931;
				obj_t BgL_locz00_15932;

				BgL_a1z00_15930 = PROCEDURE_REF(BgL_envz00_15929, (int) (((long) 0)));
				BgL_a2z00_15931 = PROCEDURE_REF(BgL_envz00_15929, (int) (((long) 1)));
				BgL_locz00_15932 = PROCEDURE_REF(BgL_envz00_15929, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2266;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21934;

						BgL_sz00_2266 = BgL_sz00_15933;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2268;

							BgL_bpz00_2268 = VECTOR_REF(BgL_sz00_2266, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2269;
								obj_t BgL_a2z00_2270;

								BgL_a1z00_2269 =
									PROCEDURE_ENTRY(BgL_a1z00_15930) (BgL_a1z00_15930,
									BgL_sz00_2266, BEOA);
								BgL_a2z00_2270 =
									PROCEDURE_ENTRY(BgL_a2z00_15931) (BgL_a2z00_15931,
									BgL_sz00_2266, BEOA);
								if (INTEGERP(BgL_a1z00_2269))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5599z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2269,
											BgL_locz00_15932);
									}
								if (INTEGERP(BgL_a2z00_2270))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5599z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2270,
											BgL_locz00_15932);
									}
								BgL_auxz00_21934 =
									((long) CINT(BgL_a1z00_2269) > (long) CINT(BgL_a2z00_2270));
						}}
						return BBOOL(BgL_auxz00_21934);
					}
				}
			}
		}
	}



/* &<anonymous:2598> */
	obj_t BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15934, obj_t BgL_sz00_15938)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15935;
				obj_t BgL_a2z00_15936;
				obj_t BgL_locz00_15937;

				BgL_a1z00_15935 = PROCEDURE_REF(BgL_envz00_15934, (int) (((long) 0)));
				BgL_a2z00_15936 = PROCEDURE_REF(BgL_envz00_15934, (int) (((long) 1)));
				BgL_locz00_15937 = PROCEDURE_REF(BgL_envz00_15934, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2276;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21961;

						BgL_sz00_2276 = BgL_sz00_15938;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2278;

							BgL_bpz00_2278 = VECTOR_REF(BgL_sz00_2276, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2279;
								obj_t BgL_a2z00_2280;

								BgL_a1z00_2279 =
									PROCEDURE_ENTRY(BgL_a1z00_15935) (BgL_a1z00_15935,
									BgL_sz00_2276, BEOA);
								BgL_a2z00_2280 =
									PROCEDURE_ENTRY(BgL_a2z00_15936) (BgL_a2z00_15936,
									BgL_sz00_2276, BEOA);
								if (INTEGERP(BgL_a1z00_2279))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5601z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2279,
											BgL_locz00_15937);
									}
								if (INTEGERP(BgL_a2z00_2280))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5601z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2280,
											BgL_locz00_15937);
									}
								BgL_auxz00_21961 =
									((long) CINT(BgL_a1z00_2279) <= (long) CINT(BgL_a2z00_2280));
						}}
						return BBOOL(BgL_auxz00_21961);
					}
				}
			}
		}
	}



/* &<anonymous:2602> */
	obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15939, obj_t BgL_sz00_15943)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15940;
				obj_t BgL_a2z00_15941;
				obj_t BgL_locz00_15942;

				BgL_a1z00_15940 = PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 0)));
				BgL_a2z00_15941 = PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 1)));
				BgL_locz00_15942 = PROCEDURE_REF(BgL_envz00_15939, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2286;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21988;

						BgL_sz00_2286 = BgL_sz00_15943;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2288;

							BgL_bpz00_2288 = VECTOR_REF(BgL_sz00_2286, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2289;
								obj_t BgL_a2z00_2290;

								BgL_a1z00_2289 =
									PROCEDURE_ENTRY(BgL_a1z00_15940) (BgL_a1z00_15940,
									BgL_sz00_2286, BEOA);
								BgL_a2z00_2290 =
									PROCEDURE_ENTRY(BgL_a2z00_15941) (BgL_a2z00_15941,
									BgL_sz00_2286, BEOA);
								if (INTEGERP(BgL_a1z00_2289))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5603z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2289,
											BgL_locz00_15942);
									}
								if (INTEGERP(BgL_a2z00_2290))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5603z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2290,
											BgL_locz00_15942);
									}
								BgL_auxz00_21988 =
									((long) CINT(BgL_a1z00_2289) >= (long) CINT(BgL_a2z00_2290));
						}}
						return BBOOL(BgL_auxz00_21988);
					}
				}
			}
		}
	}



/* &<anonymous:2606> */
	obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15944, obj_t BgL_sz00_15948)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15945;
				obj_t BgL_a2z00_15946;
				obj_t BgL_locz00_15947;

				BgL_a1z00_15945 = PROCEDURE_REF(BgL_envz00_15944, (int) (((long) 0)));
				BgL_a2z00_15946 = PROCEDURE_REF(BgL_envz00_15944, (int) (((long) 1)));
				BgL_locz00_15947 = PROCEDURE_REF(BgL_envz00_15944, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2296;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22015;

						BgL_sz00_2296 = BgL_sz00_15948;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2298;

							BgL_bpz00_2298 = VECTOR_REF(BgL_sz00_2296, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2299;
								obj_t BgL_a2z00_2300;

								BgL_a1z00_2299 =
									PROCEDURE_ENTRY(BgL_a1z00_15945) (BgL_a1z00_15945,
									BgL_sz00_2296, BEOA);
								BgL_a2z00_2300 =
									PROCEDURE_ENTRY(BgL_a2z00_15946) (BgL_a2z00_15946,
									BgL_sz00_2296, BEOA);
								if (INTEGERP(BgL_a1z00_2299))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5605z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a1z00_2299,
											BgL_locz00_15947);
									}
								if (INTEGERP(BgL_a2z00_2300))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5605z00zz__evaluate_compz00,
											BGl_symbol5589z00zz__evaluate_compz00, BgL_a2z00_2300,
											BgL_locz00_15947);
									}
								BgL_auxz00_22015 =
									((long) CINT(BgL_a1z00_2299) == (long) CINT(BgL_a2z00_2300));
						}}
						return BBOOL(BgL_auxz00_22015);
					}
				}
			}
		}
	}



/* &<anonymous:2610> */
	obj_t BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15949, obj_t BgL_sz00_15953)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15950;
				obj_t BgL_a2z00_15951;
				obj_t BgL_locz00_15952;

				BgL_a1z00_15950 = PROCEDURE_REF(BgL_envz00_15949, (int) (((long) 0)));
				BgL_a2z00_15951 = PROCEDURE_REF(BgL_envz00_15949, (int) (((long) 1)));
				BgL_locz00_15952 = PROCEDURE_REF(BgL_envz00_15949, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2306;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22042;

						BgL_sz00_2306 = BgL_sz00_15953;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2308;

							BgL_bpz00_2308 = VECTOR_REF(BgL_sz00_2306, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2309;
								obj_t BgL_a2z00_2310;

								BgL_a1z00_2309 =
									PROCEDURE_ENTRY(BgL_a1z00_15950) (BgL_a1z00_15950,
									BgL_sz00_2306, BEOA);
								BgL_a2z00_2310 =
									PROCEDURE_ENTRY(BgL_a2z00_15951) (BgL_a2z00_15951,
									BgL_sz00_2306, BEOA);
								if (REALP(BgL_a1z00_2309))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5607z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2309,
											BgL_locz00_15952);
									}
								if (REALP(BgL_a2z00_2310))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5607z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2310,
											BgL_locz00_15952);
									}
								BgL_auxz00_22042 =
									(REAL_TO_DOUBLE(BgL_a1z00_2309) +
									REAL_TO_DOUBLE(BgL_a2z00_2310));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22042);
					}
				}
			}
		}
	}



/* &<anonymous:2614> */
	obj_t BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15954, obj_t BgL_sz00_15958)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15955;
				obj_t BgL_a2z00_15956;
				obj_t BgL_locz00_15957;

				BgL_a1z00_15955 = PROCEDURE_REF(BgL_envz00_15954, (int) (((long) 0)));
				BgL_a2z00_15956 = PROCEDURE_REF(BgL_envz00_15954, (int) (((long) 1)));
				BgL_locz00_15957 = PROCEDURE_REF(BgL_envz00_15954, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2316;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22069;

						BgL_sz00_2316 = BgL_sz00_15958;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2318;

							BgL_bpz00_2318 = VECTOR_REF(BgL_sz00_2316, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2319;
								obj_t BgL_a2z00_2320;

								BgL_a1z00_2319 =
									PROCEDURE_ENTRY(BgL_a1z00_15955) (BgL_a1z00_15955,
									BgL_sz00_2316, BEOA);
								BgL_a2z00_2320 =
									PROCEDURE_ENTRY(BgL_a2z00_15956) (BgL_a2z00_15956,
									BgL_sz00_2316, BEOA);
								if (REALP(BgL_a1z00_2319))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5611z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2319,
											BgL_locz00_15957);
									}
								if (REALP(BgL_a2z00_2320))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5611z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2320,
											BgL_locz00_15957);
									}
								BgL_auxz00_22069 =
									(REAL_TO_DOUBLE(BgL_a1z00_2319) -
									REAL_TO_DOUBLE(BgL_a2z00_2320));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22069);
					}
				}
			}
		}
	}



/* &<anonymous:2618> */
	obj_t BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15959, obj_t BgL_sz00_15963)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15960;
				obj_t BgL_a2z00_15961;
				obj_t BgL_locz00_15962;

				BgL_a1z00_15960 = PROCEDURE_REF(BgL_envz00_15959, (int) (((long) 0)));
				BgL_a2z00_15961 = PROCEDURE_REF(BgL_envz00_15959, (int) (((long) 1)));
				BgL_locz00_15962 = PROCEDURE_REF(BgL_envz00_15959, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2326;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22096;

						BgL_sz00_2326 = BgL_sz00_15963;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2328;

							BgL_bpz00_2328 = VECTOR_REF(BgL_sz00_2326, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2329;
								obj_t BgL_a2z00_2330;

								BgL_a1z00_2329 =
									PROCEDURE_ENTRY(BgL_a1z00_15960) (BgL_a1z00_15960,
									BgL_sz00_2326, BEOA);
								BgL_a2z00_2330 =
									PROCEDURE_ENTRY(BgL_a2z00_15961) (BgL_a2z00_15961,
									BgL_sz00_2326, BEOA);
								if (REALP(BgL_a1z00_2329))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5613z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2329,
											BgL_locz00_15962);
									}
								if (REALP(BgL_a2z00_2330))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5613z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2330,
											BgL_locz00_15962);
									}
								BgL_auxz00_22096 =
									(REAL_TO_DOUBLE(BgL_a1z00_2329) *
									REAL_TO_DOUBLE(BgL_a2z00_2330));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22096);
					}
				}
			}
		}
	}



/* &<anonymous:2622> */
	obj_t BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15964, obj_t BgL_sz00_15968)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15965;
				obj_t BgL_a2z00_15966;
				obj_t BgL_locz00_15967;

				BgL_a1z00_15965 = PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 0)));
				BgL_a2z00_15966 = PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 1)));
				BgL_locz00_15967 = PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2336;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22123;

						BgL_sz00_2336 = BgL_sz00_15968;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2338;

							BgL_bpz00_2338 = VECTOR_REF(BgL_sz00_2336, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2339;
								obj_t BgL_a2z00_2340;

								BgL_a1z00_2339 =
									PROCEDURE_ENTRY(BgL_a1z00_15965) (BgL_a1z00_15965,
									BgL_sz00_2336, BEOA);
								BgL_a2z00_2340 =
									PROCEDURE_ENTRY(BgL_a2z00_15966) (BgL_a2z00_15966,
									BgL_sz00_2336, BEOA);
								if (REALP(BgL_a1z00_2339))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5615z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2339,
											BgL_locz00_15967);
									}
								if (REALP(BgL_a2z00_2340))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5615z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2340,
											BgL_locz00_15967);
									}
								BgL_auxz00_22123 =
									(REAL_TO_DOUBLE(BgL_a1z00_2339) /
									REAL_TO_DOUBLE(BgL_a2z00_2340));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22123);
					}
				}
			}
		}
	}



/* &<anonymous:2626> */
	obj_t BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15969, obj_t BgL_sz00_15973)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15970;
				obj_t BgL_a2z00_15971;
				obj_t BgL_locz00_15972;

				BgL_a1z00_15970 = PROCEDURE_REF(BgL_envz00_15969, (int) (((long) 0)));
				BgL_a2z00_15971 = PROCEDURE_REF(BgL_envz00_15969, (int) (((long) 1)));
				BgL_locz00_15972 = PROCEDURE_REF(BgL_envz00_15969, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2346;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22150;

						BgL_sz00_2346 = BgL_sz00_15973;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2348;

							BgL_bpz00_2348 = VECTOR_REF(BgL_sz00_2346, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2349;
								obj_t BgL_a2z00_2350;

								BgL_a1z00_2349 =
									PROCEDURE_ENTRY(BgL_a1z00_15970) (BgL_a1z00_15970,
									BgL_sz00_2346, BEOA);
								BgL_a2z00_2350 =
									PROCEDURE_ENTRY(BgL_a2z00_15971) (BgL_a2z00_15971,
									BgL_sz00_2346, BEOA);
								if (REALP(BgL_a1z00_2349))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5617z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2349,
											BgL_locz00_15972);
									}
								if (REALP(BgL_a2z00_2350))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5617z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2350,
											BgL_locz00_15972);
									}
								BgL_auxz00_22150 =
									(REAL_TO_DOUBLE(BgL_a1z00_2349) <
									REAL_TO_DOUBLE(BgL_a2z00_2350));
							}
						}
						return BBOOL(BgL_auxz00_22150);
					}
				}
			}
		}
	}



/* &<anonymous:2630> */
	obj_t BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15974, obj_t BgL_sz00_15978)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15975;
				obj_t BgL_a2z00_15976;
				obj_t BgL_locz00_15977;

				BgL_a1z00_15975 = PROCEDURE_REF(BgL_envz00_15974, (int) (((long) 0)));
				BgL_a2z00_15976 = PROCEDURE_REF(BgL_envz00_15974, (int) (((long) 1)));
				BgL_locz00_15977 = PROCEDURE_REF(BgL_envz00_15974, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2356;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22177;

						BgL_sz00_2356 = BgL_sz00_15978;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2358;

							BgL_bpz00_2358 = VECTOR_REF(BgL_sz00_2356, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2359;
								obj_t BgL_a2z00_2360;

								BgL_a1z00_2359 =
									PROCEDURE_ENTRY(BgL_a1z00_15975) (BgL_a1z00_15975,
									BgL_sz00_2356, BEOA);
								BgL_a2z00_2360 =
									PROCEDURE_ENTRY(BgL_a2z00_15976) (BgL_a2z00_15976,
									BgL_sz00_2356, BEOA);
								if (REALP(BgL_a1z00_2359))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5619z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2359,
											BgL_locz00_15977);
									}
								if (REALP(BgL_a2z00_2360))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5619z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2360,
											BgL_locz00_15977);
									}
								BgL_auxz00_22177 =
									(REAL_TO_DOUBLE(BgL_a1z00_2359) >
									REAL_TO_DOUBLE(BgL_a2z00_2360));
							}
						}
						return BBOOL(BgL_auxz00_22177);
					}
				}
			}
		}
	}



/* &<anonymous:2634> */
	obj_t BGl_z62zc3anonymousza32634ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15979, obj_t BgL_sz00_15983)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15980;
				obj_t BgL_a2z00_15981;
				obj_t BgL_locz00_15982;

				BgL_a1z00_15980 = PROCEDURE_REF(BgL_envz00_15979, (int) (((long) 0)));
				BgL_a2z00_15981 = PROCEDURE_REF(BgL_envz00_15979, (int) (((long) 1)));
				BgL_locz00_15982 = PROCEDURE_REF(BgL_envz00_15979, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2366;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22204;

						BgL_sz00_2366 = BgL_sz00_15983;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2368;

							BgL_bpz00_2368 = VECTOR_REF(BgL_sz00_2366, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2369;
								obj_t BgL_a2z00_2370;

								BgL_a1z00_2369 =
									PROCEDURE_ENTRY(BgL_a1z00_15980) (BgL_a1z00_15980,
									BgL_sz00_2366, BEOA);
								BgL_a2z00_2370 =
									PROCEDURE_ENTRY(BgL_a2z00_15981) (BgL_a2z00_15981,
									BgL_sz00_2366, BEOA);
								if (REALP(BgL_a1z00_2369))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5621z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2369,
											BgL_locz00_15982);
									}
								if (REALP(BgL_a2z00_2370))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5621z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2370,
											BgL_locz00_15982);
									}
								BgL_auxz00_22204 =
									(REAL_TO_DOUBLE(BgL_a1z00_2369) <=
									REAL_TO_DOUBLE(BgL_a2z00_2370));
							}
						}
						return BBOOL(BgL_auxz00_22204);
					}
				}
			}
		}
	}



/* &<anonymous:2638> */
	obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15984, obj_t BgL_sz00_15988)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15985;
				obj_t BgL_a2z00_15986;
				obj_t BgL_locz00_15987;

				BgL_a1z00_15985 = PROCEDURE_REF(BgL_envz00_15984, (int) (((long) 0)));
				BgL_a2z00_15986 = PROCEDURE_REF(BgL_envz00_15984, (int) (((long) 1)));
				BgL_locz00_15987 = PROCEDURE_REF(BgL_envz00_15984, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2376;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22231;

						BgL_sz00_2376 = BgL_sz00_15988;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2378;

							BgL_bpz00_2378 = VECTOR_REF(BgL_sz00_2376, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2379;
								obj_t BgL_a2z00_2380;

								BgL_a1z00_2379 =
									PROCEDURE_ENTRY(BgL_a1z00_15985) (BgL_a1z00_15985,
									BgL_sz00_2376, BEOA);
								BgL_a2z00_2380 =
									PROCEDURE_ENTRY(BgL_a2z00_15986) (BgL_a2z00_15986,
									BgL_sz00_2376, BEOA);
								if (REALP(BgL_a1z00_2379))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5623z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2379,
											BgL_locz00_15987);
									}
								if (REALP(BgL_a2z00_2380))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5623z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2380,
											BgL_locz00_15987);
									}
								BgL_auxz00_22231 =
									(REAL_TO_DOUBLE(BgL_a1z00_2379) >=
									REAL_TO_DOUBLE(BgL_a2z00_2380));
							}
						}
						return BBOOL(BgL_auxz00_22231);
					}
				}
			}
		}
	}



/* &<anonymous:2642> */
	obj_t BGl_z62zc3anonymousza32642ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15989, obj_t BgL_sz00_15993)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15990;
				obj_t BgL_a2z00_15991;
				obj_t BgL_locz00_15992;

				BgL_a1z00_15990 = PROCEDURE_REF(BgL_envz00_15989, (int) (((long) 0)));
				BgL_a2z00_15991 = PROCEDURE_REF(BgL_envz00_15989, (int) (((long) 1)));
				BgL_locz00_15992 = PROCEDURE_REF(BgL_envz00_15989, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2386;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22258;

						BgL_sz00_2386 = BgL_sz00_15993;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2388;

							BgL_bpz00_2388 = VECTOR_REF(BgL_sz00_2386, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2389;
								obj_t BgL_a2z00_2390;

								BgL_a1z00_2389 =
									PROCEDURE_ENTRY(BgL_a1z00_15990) (BgL_a1z00_15990,
									BgL_sz00_2386, BEOA);
								BgL_a2z00_2390 =
									PROCEDURE_ENTRY(BgL_a2z00_15991) (BgL_a2z00_15991,
									BgL_sz00_2386, BEOA);
								if (REALP(BgL_a1z00_2389))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5625z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a1z00_2389,
											BgL_locz00_15992);
									}
								if (REALP(BgL_a2z00_2390))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5625z00zz__evaluate_compz00,
											BGl_symbol5609z00zz__evaluate_compz00, BgL_a2z00_2390,
											BgL_locz00_15992);
									}
								BgL_auxz00_22258 =
									(REAL_TO_DOUBLE(BgL_a1z00_2389) ==
									REAL_TO_DOUBLE(BgL_a2z00_2390));
							}
						}
						return BBOOL(BgL_auxz00_22258);
					}
				}
			}
		}
	}



/* &<anonymous:2646> */
	obj_t BGl_z62zc3anonymousza32646ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15994, obj_t BgL_sz00_15997)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15995;
				obj_t BgL_a2z00_15996;

				BgL_a1z00_15995 = PROCEDURE_REF(BgL_envz00_15994, (int) (((long) 0)));
				BgL_a2z00_15996 = PROCEDURE_REF(BgL_envz00_15994, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2396;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22283;

						BgL_sz00_2396 = BgL_sz00_15997;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_8831;

							BgL_bpz00_8831 = VECTOR_REF(BgL_sz00_2396, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_8832;
								obj_t BgL_a2z00_8833;

								BgL_a1z00_8832 =
									PROCEDURE_ENTRY(BgL_a1z00_15995) (BgL_a1z00_15995,
									BgL_sz00_2396, BEOA);
								BgL_a2z00_8833 =
									PROCEDURE_ENTRY(BgL_a2z00_15996) (BgL_a2z00_15996,
									BgL_sz00_2396, BEOA);
								BgL_auxz00_22283 = (BgL_a1z00_8832 == BgL_a2z00_8833);
						}}
						return BBOOL(BgL_auxz00_22283);
					}
				}
			}
		}
	}



/* &<anonymous:2648> */
	obj_t BGl_z62zc3anonymousza32648ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15998, obj_t BgL_sz00_16001)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15999;
				obj_t BgL_a2z00_16000;

				BgL_a1z00_15999 = PROCEDURE_REF(BgL_envz00_15998, (int) (((long) 0)));
				BgL_a2z00_16000 = PROCEDURE_REF(BgL_envz00_15998, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2404;

					BgL_sz00_2404 = BgL_sz00_16001;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_8836;

						BgL_bpz00_8836 = VECTOR_REF(BgL_sz00_2404, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_8837;
							obj_t BgL_a2z00_8838;

							BgL_a1z00_8837 =
								PROCEDURE_ENTRY(BgL_a1z00_15999) (BgL_a1z00_15999,
								BgL_sz00_2404, BEOA);
							BgL_a2z00_8838 =
								PROCEDURE_ENTRY(BgL_a2z00_16000) (BgL_a2z00_16000,
								BgL_sz00_2404, BEOA);
							return MAKE_PAIR(BgL_a1z00_8837, BgL_a2z00_8838);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2651> */
	obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16002, obj_t BgL_sz00_16005)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_16003;
				obj_t BgL_locz00_16004;

				BgL_a1z00_16003 = PROCEDURE_REF(BgL_envz00_16002, (int) (((long) 0)));
				BgL_locz00_16004 = PROCEDURE_REF(BgL_envz00_16002, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2413;

					BgL_sz00_2413 = BgL_sz00_16005;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2415;

						BgL_bpz00_2415 = VECTOR_REF(BgL_sz00_2413, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2416;

							BgL_a1z00_2416 =
								PROCEDURE_ENTRY(BgL_a1z00_16003) (BgL_a1z00_16003,
								BgL_sz00_2413, BEOA);
							if (PAIRP(BgL_a1z00_2416))
								{	/* Eval/evaluate_comp.scm 961 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 961 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5627z00zz__evaluate_compz00,
										BGl_symbol5629z00zz__evaluate_compz00, BgL_a1z00_2416,
										BgL_locz00_16004);
								}
							return CAR(BgL_a1z00_2416);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2654> */
	obj_t BGl_z62zc3anonymousza32654ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16006, obj_t BgL_sz00_16009)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_16007;
				obj_t BgL_locz00_16008;

				BgL_a1z00_16007 = PROCEDURE_REF(BgL_envz00_16006, (int) (((long) 0)));
				BgL_locz00_16008 = PROCEDURE_REF(BgL_envz00_16006, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2420;

					BgL_sz00_2420 = BgL_sz00_16009;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2422;

						BgL_bpz00_2422 = VECTOR_REF(BgL_sz00_2420, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2423;

							BgL_a1z00_2423 =
								PROCEDURE_ENTRY(BgL_a1z00_16007) (BgL_a1z00_16007,
								BgL_sz00_2420, BEOA);
							if (PAIRP(BgL_a1z00_2423))
								{	/* Eval/evaluate_comp.scm 961 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 961 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5631z00zz__evaluate_compz00,
										BGl_symbol5629z00zz__evaluate_compz00, BgL_a1z00_2423,
										BgL_locz00_16008);
								}
							return CDR(BgL_a1z00_2423);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2657> */
	obj_t BGl_z62zc3anonymousza32657ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16010, obj_t BgL_sz00_16013)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_16011;
				obj_t BgL_locz00_16012;

				BgL_a1z00_16011 = PROCEDURE_REF(BgL_envz00_16010, (int) (((long) 0)));
				BgL_locz00_16012 = PROCEDURE_REF(BgL_envz00_16010, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2427;

					BgL_sz00_2427 = BgL_sz00_16013;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2429;

						BgL_bpz00_2429 = VECTOR_REF(BgL_sz00_2427, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2430;

							BgL_a1z00_2430 =
								PROCEDURE_ENTRY(BgL_a1z00_16011) (BgL_a1z00_16011,
								BgL_sz00_2427, BEOA);
							{	/* Eval/evaluate_comp.scm 961 */
								bool_t BgL_testz00_22349;

								if (PAIRP(BgL_a1z00_2430))
									{	/* Eval/evaluate_comp.scm 961 */
										obj_t BgL_auxz00_22352;

										BgL_auxz00_22352 = CDR(BgL_a1z00_2430);
										BgL_testz00_22349 = PAIRP(BgL_auxz00_22352);
									}
								else
									{	/* Eval/evaluate_comp.scm 961 */
										BgL_testz00_22349 = ((bool_t) 0);
									}
								if (BgL_testz00_22349)
									{	/* Eval/evaluate_comp.scm 961 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 961 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5633z00zz__evaluate_compz00,
											BGl_symbol5629z00zz__evaluate_compz00, BgL_a1z00_2430,
											BgL_locz00_16012);
									}
							}
							{	/* Eval/evaluate_comp.scm 961 */
								obj_t BgL_pairz00_8639;

								BgL_pairz00_8639 = BgL_a1z00_2430;
								return CAR(CDR(BgL_pairz00_8639));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_200,
		obj_t BgL_wherez00_201, long BgL_spz00_202, long BgL_arityz00_203,
		obj_t BgL_valsz00_204, obj_t BgL_locz00_205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1003 */
			if ((BgL_arityz00_203 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1005 */
					long BgL_g1240z00_2436;

					BgL_g1240z00_2436 = (((long) -1) - BgL_arityz00_203);
					{
						long BgL_rz00_2438;
						long BgL_spz00_2439;
						obj_t BgL_lz00_2440;

						BgL_rz00_2438 = BgL_g1240z00_2436;
						BgL_spz00_2439 = BgL_spz00_202;
						BgL_lz00_2440 = BgL_valsz00_204;
					BgL_zc3anonymousza32662ze3z83_2441:
						if ((BgL_rz00_2438 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1007 */
								return
									VECTOR_SET(BgL_sz00_200,
									(int) (BgL_spz00_2439), BgL_lz00_2440);
							}
						else
							{	/* Eval/evaluate_comp.scm 1007 */
								if (PAIRP(BgL_lz00_2440))
									{	/* Eval/evaluate_comp.scm 1009 */
										VECTOR_SET(BgL_sz00_200,
											(int) (BgL_spz00_2439), CAR(BgL_lz00_2440));
										{
											obj_t BgL_lz00_22374;
											long BgL_spz00_22372;
											long BgL_rz00_22370;

											BgL_rz00_22370 = (BgL_rz00_2438 - ((long) 1));
											BgL_spz00_22372 = (BgL_spz00_2439 + ((long) 1));
											BgL_lz00_22374 = CDR(BgL_lz00_2440);
											BgL_lz00_2440 = BgL_lz00_22374;
											BgL_spz00_2439 = BgL_spz00_22372;
											BgL_rz00_2438 = BgL_rz00_22370;
											goto BgL_zc3anonymousza32662ze3z83_2441;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1010 */
										long BgL_arg2669z00_2448;

										BgL_arg2669z00_2448 = bgl_list_length(BgL_valsz00_204);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
											BgL_wherez00_201, (int) (BgL_arityz00_203),
											(int) (BgL_arg2669z00_2448));
				}}}}
			else
				{
					long BgL_rz00_2451;
					long BgL_spz00_2452;
					obj_t BgL_lz00_2453;

					BgL_rz00_2451 = BgL_arityz00_203;
					BgL_spz00_2452 = BgL_spz00_202;
					BgL_lz00_2453 = BgL_valsz00_204;
				BgL_zc3anonymousza32670ze3z83_2454:
					if ((BgL_rz00_2451 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1016 */
							if (NULLP(BgL_lz00_2453))
								{	/* Eval/evaluate_comp.scm 1017 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1018 */
									long BgL_arg2673z00_2457;

									BgL_arg2673z00_2457 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2673z00_2457));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1016 */
							if (PAIRP(BgL_lz00_2453))
								{	/* Eval/evaluate_comp.scm 1019 */
									VECTOR_SET(BgL_sz00_200,
										(int) (BgL_spz00_2452), CAR(BgL_lz00_2453));
									{
										obj_t BgL_lz00_22397;
										long BgL_spz00_22395;
										long BgL_rz00_22393;

										BgL_rz00_22393 = (BgL_rz00_2451 - ((long) 1));
										BgL_spz00_22395 = (BgL_spz00_2452 + ((long) 1));
										BgL_lz00_22397 = CDR(BgL_lz00_2453);
										BgL_lz00_2453 = BgL_lz00_22397;
										BgL_spz00_2452 = BgL_spz00_22395;
										BgL_rz00_2451 = BgL_rz00_22393;
										goto BgL_zc3anonymousza32670ze3z83_2454;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1020 */
									long BgL_arg2680z00_2463;

									BgL_arg2680z00_2463 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2680z00_2463));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_208,
		obj_t BgL_ibza2za2_209, obj_t BgL_bpz00_210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1118 */
			{	/* Eval/evaluate_comp.scm 1119 */
				int BgL_nz00_2465;

				BgL_nz00_2465 = VECTOR_LENGTH(BgL_ibza2za2_209);
				{
					long BgL_iz00_2467;

					BgL_iz00_2467 = ((long) 0);
				BgL_zc3anonymousza32681ze3z83_2468:
					{	/* Eval/evaluate_comp.scm 1121 */
						long BgL_spz00_2469;

						{	/* Eval/evaluate_comp.scm 1121 */
							obj_t BgL_arg2686z00_2474;

							BgL_arg2686z00_2474 =
								VECTOR_REF(BgL_ibza2za2_209, (int) (BgL_iz00_2467));
							BgL_spz00_2469 =
								((long) CINT(BgL_bpz00_210) + (long) CINT(BgL_arg2686z00_2474));
						}
						{	/* Eval/evaluate_comp.scm 1122 */
							obj_t BgL_arg2682z00_2470;

							{	/* Eval/evaluate_comp.scm 1122 */
								obj_t BgL_arg2683z00_2471;

								BgL_arg2683z00_2471 =
									VECTOR_REF(BgL_sz00_208, (int) (BgL_spz00_2469));
								{	/* Eval/evaluate_comp.scm 1122 */
									obj_t BgL_newz00_8910;

									BgL_newz00_8910 =
										create_struct(BGl_symbol5557z00zz__evaluate_compz00,
										(int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 1122 */
										int BgL_auxz00_22413;

										BgL_auxz00_22413 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_8910, BgL_auxz00_22413,
											BgL_arg2683z00_2471);
									}
									BgL_arg2682z00_2470 = BgL_newz00_8910;
							}}
							VECTOR_SET(BgL_sz00_208,
								(int) (BgL_spz00_2469), BgL_arg2682z00_2470);
						}
						{	/* Eval/evaluate_comp.scm 1123 */
							long BgL_niz00_2472;

							BgL_niz00_2472 = (BgL_iz00_2467 + ((long) 1));
							if ((BgL_niz00_2472 < (long) (BgL_nz00_2465)))
								{
									long BgL_iz00_22422;

									BgL_iz00_22422 = BgL_niz00_2472;
									BgL_iz00_2467 = BgL_iz00_22422;
									goto BgL_zc3anonymousza32681ze3z83_2468;
								}
							else
								{	/* Eval/evaluate_comp.scm 1124 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_bpz00_212, obj_t BgL_iza2za2_213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1126 */
			{	/* Eval/evaluate_comp.scm 1127 */
				int BgL_nz00_2476;

				BgL_nz00_2476 = VECTOR_LENGTH(BgL_iza2za2_213);
				{	/* Eval/evaluate_comp.scm 1127 */
					obj_t BgL_rz00_2477;

					BgL_rz00_2477 = make_vector(BgL_nz00_2476, BUNSPEC);
					{	/* Eval/evaluate_comp.scm 1127 */

						{
							long BgL_iz00_2479;

							BgL_iz00_2479 = ((long) 0);
						BgL_zc3anonymousza32687ze3z83_2480:
							if ((BgL_iz00_2479 >= (long) (BgL_nz00_2476)))
								{	/* Eval/evaluate_comp.scm 1129 */
									return BgL_rz00_2477;
								}
							else
								{	/* Eval/evaluate_comp.scm 1129 */
									{	/* Eval/evaluate_comp.scm 1132 */
										obj_t BgL_arg2689z00_2482;

										{	/* Eval/evaluate_comp.scm 1132 */
											long BgL_arg2690z00_2483;

											{	/* Eval/evaluate_comp.scm 1132 */
												obj_t BgL_arg2691z00_2484;

												BgL_arg2691z00_2484 =
													VECTOR_REF(BgL_iza2za2_213, (int) (BgL_iz00_2479));
												BgL_arg2690z00_2483 =
													(
													(long) CINT(BgL_bpz00_212) +
													(long) CINT(BgL_arg2691z00_2484));
											}
											BgL_arg2689z00_2482 =
												VECTOR_REF(BgL_sz00_211, (int) (BgL_arg2690z00_2483));
										}
										VECTOR_SET(BgL_rz00_2477,
											(int) (BgL_iz00_2479), BgL_arg2689z00_2482);
									}
									{
										long BgL_iz00_22437;

										BgL_iz00_22437 = (BgL_iz00_2479 + ((long) 1));
										BgL_iz00_2479 = BgL_iz00_22437;
										goto BgL_zc3anonymousza32687ze3z83_2480;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_valza2za2_215, long BgL_spz00_216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1135 */
			{	/* Eval/evaluate_comp.scm 1136 */
				long BgL_stopz00_2488;

				{	/* Eval/evaluate_comp.scm 1136 */
					int BgL_arg2700z00_2498;

					BgL_arg2700z00_2498 = VECTOR_LENGTH(BgL_valza2za2_215);
					BgL_stopz00_2488 = (BgL_spz00_216 + (long) (BgL_arg2700z00_2498));
				}
				{
					long BgL_iz00_8986;
					long BgL_spz00_8987;

					BgL_iz00_8986 = ((long) 0);
					BgL_spz00_8987 = BgL_spz00_216;
				BgL_recz00_8985:
					if ((BgL_spz00_8987 < BgL_stopz00_2488))
						{	/* Eval/evaluate_comp.scm 1137 */
							VECTOR_SET(BgL_sz00_214,
								(int) (BgL_spz00_8987),
								VECTOR_REF(BgL_valza2za2_215, (int) (BgL_iz00_8986)));
							{
								long BgL_spz00_22450;
								long BgL_iz00_22448;

								BgL_iz00_22448 = (BgL_iz00_8986 + ((long) 1));
								BgL_spz00_22450 = (BgL_spz00_8987 + ((long) 1));
								BgL_spz00_8987 = BgL_spz00_22450;
								BgL_iz00_8986 = BgL_iz00_22448;
								goto BgL_recz00_8985;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1137 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5635z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5636z00zz__evaluate_compz00);
		}
	}



/* &comp1639 */
	obj_t BGl_z62comp1639z62zz__evaluate_compz00(obj_t BgL_envz00_16099,
		obj_t BgL_ez00_16100, obj_t BgL_stkz00_16101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_2500;
				obj_t BgL_stkz00_2501;

				BgL_ez00_2500 = ((BgL_ev_exprz00_bglt) BgL_ez00_16100);
				BgL_stkz00_2501 = BgL_stkz00_16101;
				return
					BGl_errorz00zz__errorz00(BGl_string5547z00zz__evaluate_compz00,
					BGl_string5637z00zz__evaluate_compz00, ((obj_t) BgL_ez00_2500));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				obj_t BgL_method1640z00_2504;

				{	/* Eval/evaluate_comp.scm 264 */
					obj_t BgL_res4816z00_9038;

					{	/* Eval/evaluate_comp.scm 264 */
						BgL_objectz00_bglt BgL_objz00_9010;

						BgL_objz00_9010 = ((BgL_objectz00_bglt) BgL_ez00_35);
						{	/* Eval/evaluate_comp.scm 264 */
							long BgL_objzd2classzd2numz00_9011;

							{	/* Eval/evaluate_comp.scm 264 */
								long BgL_res4810z00_9014;

								BgL_res4810z00_9014 = BGL_OBJECT_CLASS_NUM(BgL_objz00_9010);
								BgL_objzd2classzd2numz00_9011 = BgL_res4810z00_9014;
							}
							{	/* Eval/evaluate_comp.scm 264 */
								obj_t BgL_arg4312z00_9012;

								BgL_arg4312z00_9012 =
									PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 264 */
									obj_t BgL_arrayz00_9015;
									int BgL_offsetz00_9016;

									BgL_arrayz00_9015 = BgL_arg4312z00_9012;
									BgL_offsetz00_9016 = (int) (BgL_objzd2classzd2numz00_9011);
									{	/* Eval/evaluate_comp.scm 264 */
										long BgL_offsetz00_9017;

										BgL_offsetz00_9017 =
											((long) (BgL_offsetz00_9016) - OBJECT_TYPE);
										{	/* Eval/evaluate_comp.scm 264 */
											long BgL_modz00_9018;

											{	/* Eval/evaluate_comp.scm 264 */
												int BgL_arg4314z00_9019;

												BgL_arg4314z00_9019 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 264 */
													long BgL_res4813z00_9029;

													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_auxz00_22464;

														BgL_auxz00_22464 = (long) (BgL_arg4314z00_9019);
														BgL_res4813z00_9029 =
															(BgL_offsetz00_9017 / BgL_auxz00_22464);
													}
													BgL_modz00_9018 = BgL_res4813z00_9029;
											}}
											{	/* Eval/evaluate_comp.scm 264 */
												long BgL_restz00_9020;

												{	/* Eval/evaluate_comp.scm 264 */
													int BgL_arg4313z00_9021;

													BgL_arg4313z00_9021 = (int) (((long) 16));
													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_res4815z00_9033;

														{	/* Eval/evaluate_comp.scm 264 */
															long BgL_auxz00_22468;

															BgL_auxz00_22468 = (long) (BgL_arg4313z00_9021);
															BgL_res4815z00_9033 =
																(BgL_offsetz00_9017 % BgL_auxz00_22468);
														}
														BgL_restz00_9020 = BgL_res4815z00_9033;
												}}
												{	/* Eval/evaluate_comp.scm 264 */

													BgL_res4816z00_9038 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_9015,
															(int) (BgL_modz00_9018)),
														(int) (BgL_restz00_9020));
					}}}}}}}}
					BgL_method1640z00_2504 = BgL_res4816z00_9038;
				}
				return
					PROCEDURE_ENTRY(BgL_method1640z00_2504) (BgL_method1640z00_2504,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_16102,
		obj_t BgL_ez00_16103, obj_t BgL_stkz00_16104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				BgL_ev_exprz00_bglt BgL_auxz00_22481;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_16103,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 264 */
						BgL_auxz00_22481 = ((BgL_ev_exprz00_bglt) BgL_ez00_16103);
					}
				else
					{
						obj_t BgL_auxz00_22485;

						BgL_auxz00_22485 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5552z00zz__evaluate_compz00, BINT(((long) 6608)),
							BGl_string5638z00zz__evaluate_compz00,
							BGl_string5554z00zz__evaluate_compz00, BgL_ez00_16103);
						FAILURE(BgL_auxz00_22485, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_22481, BgL_stkz00_16104);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5639z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5641z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5642z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5643z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5644z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5645z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5646z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5647z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5648z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5649z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5650z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5651z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5652z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5653z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5654z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5655z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5656z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5657z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5658z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5659z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5660z00zz__evaluate_compz00,
				BGl_string5640z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1682 */
	obj_t BGl_z62compzd2ev_abs1682zb0zz__evaluate_compz00(obj_t BgL_envz00_16295,
		obj_t BgL_ez00_16296, obj_t BgL_stkz00_16297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3258;
				obj_t BgL_stkz00_3259;

				BgL_ez00_3258 = ((BgL_ev_absz00_bglt) BgL_ez00_16296);
				BgL_stkz00_3259 = BgL_stkz00_16297;
				{	/* Eval/evaluate_comp.scm 1108 */
					obj_t BgL_ifreesz00_3263;
					obj_t BgL_iboxesz00_3264;
					long BgL_siza7eza7_3265;
					long BgL_siza7ezd2framez75_3266;
					obj_t BgL_nstkz00_3267;

					{	/* Eval/evaluate_comp.scm 1108 */
						obj_t BgL_arg3991z00_5287;

						{	/* Eval/evaluate_comp.scm 1108 */
							obj_t BgL_l1619z00_5288;

							BgL_l1619z00_5288 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_freez00);
							if (NULLP(BgL_l1619z00_5288))
								{	/* Eval/evaluate_comp.scm 1108 */
									BgL_arg3991z00_5287 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1108 */
									obj_t BgL_head1621z00_5290;

									{	/* Eval/evaluate_comp.scm 1108 */
										obj_t BgL_res4955z00_10328;

										BgL_res4955z00_10328 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1621z00_5290 = BgL_res4955z00_10328;
									}
									{
										obj_t BgL_l1619z00_10362;
										obj_t BgL_tail1622z00_10363;

										BgL_l1619z00_10362 = BgL_l1619z00_5288;
										BgL_tail1622z00_10363 = BgL_head1621z00_5290;
									BgL_zc3anonymousza33993ze3z83_10361:
										if (NULLP(BgL_l1619z00_10362))
											{	/* Eval/evaluate_comp.scm 1108 */
												BgL_arg3991z00_5287 = CDR(BgL_head1621z00_5290);
											}
										else
											{	/* Eval/evaluate_comp.scm 1108 */
												obj_t BgL_newtail1623z00_10370;

												{	/* Eval/evaluate_comp.scm 1108 */
													obj_t BgL_arg3996z00_10371;

													BgL_arg3996z00_10371 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1619z00_10362), BgL_stkz00_3259);
													{	/* Eval/evaluate_comp.scm 1108 */
														obj_t BgL_res4961z00_10380;

														BgL_res4961z00_10380 =
															MAKE_PAIR(BgL_arg3996z00_10371, BNIL);
														BgL_newtail1623z00_10370 = BgL_res4961z00_10380;
													}
												}
												SET_CDR(BgL_tail1622z00_10363,
													BgL_newtail1623z00_10370);
												{
													obj_t BgL_tail1622z00_22524;
													obj_t BgL_l1619z00_22522;

													BgL_l1619z00_22522 = CDR(BgL_l1619z00_10362);
													BgL_tail1622z00_22524 = BgL_newtail1623z00_10370;
													BgL_tail1622z00_10363 = BgL_tail1622z00_22524;
													BgL_l1619z00_10362 = BgL_l1619z00_22522;
													goto BgL_zc3anonymousza33993ze3z83_10361;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3263 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3991z00_5287);
					}
					{	/* Eval/evaluate_comp.scm 1109 */
						obj_t BgL_arg3997z00_5301;

						{	/* Eval/evaluate_comp.scm 1109 */
							obj_t BgL_l1624z00_5302;

							BgL_l1624z00_5302 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_boxesz00);
							if (NULLP(BgL_l1624z00_5302))
								{	/* Eval/evaluate_comp.scm 1109 */
									BgL_arg3997z00_5301 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1109 */
									obj_t BgL_head1626z00_5304;

									{	/* Eval/evaluate_comp.scm 1109 */
										obj_t BgL_res4963z00_10388;

										BgL_res4963z00_10388 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1626z00_5304 = BgL_res4963z00_10388;
									}
									{
										obj_t BgL_l1624z00_5306;
										obj_t BgL_tail1627z00_5307;

										BgL_l1624z00_5306 = BgL_l1624z00_5302;
										BgL_tail1627z00_5307 = BgL_head1626z00_5304;
									BgL_zc3anonymousza33999ze3z83_5308:
										if (NULLP(BgL_l1624z00_5306))
											{	/* Eval/evaluate_comp.scm 1109 */
												BgL_arg3997z00_5301 = CDR(BgL_head1626z00_5304);
											}
										else
											{	/* Eval/evaluate_comp.scm 1109 */
												obj_t BgL_newtail1628z00_5310;

												{	/* Eval/evaluate_comp.scm 1109 */
													obj_t BgL_arg4002z00_5312;

													BgL_arg4002z00_5312 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1624z00_5306),
														(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->
															BgL_varsz00));
													{	/* Eval/evaluate_comp.scm 1109 */
														obj_t BgL_res4965z00_10395;

														BgL_res4965z00_10395 =
															MAKE_PAIR(BgL_arg4002z00_5312, BNIL);
														BgL_newtail1628z00_5310 = BgL_res4965z00_10395;
													}
												}
												SET_CDR(BgL_tail1627z00_5307, BgL_newtail1628z00_5310);
												{
													obj_t BgL_tail1627z00_22540;
													obj_t BgL_l1624z00_22538;

													BgL_l1624z00_22538 = CDR(BgL_l1624z00_5306);
													BgL_tail1627z00_22540 = BgL_newtail1628z00_5310;
													BgL_tail1627z00_5307 = BgL_tail1627z00_22540;
													BgL_l1624z00_5306 = BgL_l1624z00_22538;
													goto BgL_zc3anonymousza33999ze3z83_5308;
												}
											}
									}
								}
						}
						BgL_iboxesz00_3264 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3997z00_5301);
					}
					BgL_siza7eza7_3265 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_varsz00));
					BgL_siza7ezd2framez75_3266 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_freez00)));
					BgL_nstkz00_3267 =
						BGl_appendzd221011zd2zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_freez00));
					{	/* Eval/evaluate_comp.scm 1113 */
						obj_t BgL_bodyz00_3268;

						BgL_bodyz00_3268 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_bodyz00),
							BgL_nstkz00_3267);
						{

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_aux1276z00_3270;

								BgL_aux1276z00_3270 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3258))->BgL_arityz00);
								if (INTEGERP(BgL_aux1276z00_3270))
									{	/* Eval/evaluate_comp.scm 1115 */
										switch ((long) CINT(BgL_aux1276z00_3270))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22557;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3111z00_3429;

														BgL_arg3111z00_3429 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_22557 =
															((long) (BgL_arg3111z00_3429) == ((long) 0));
													}
													if (BgL_testz00_22557)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22561;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3072z00_3348;

																BgL_arg3072z00_3348 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22561 =
																	((long) (BgL_arg3072z00_3348) == ((long) 0));
															}
															if (BgL_testz00_22561)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33037ze3z83_16116;

																	BgL_zc3anonymousza33037ze3z83_16116 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33037ze3z83_16116,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33037ze3z83_16116,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33037ze3z83_16116,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33037ze3z83_16116;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33055ze3z83_16113;

																	BgL_zc3anonymousza33055ze3z83_16113 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33055ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33055ze3z83_16113,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33055ze3z83_16113,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33055ze3z83_16113,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33055ze3z83_16113,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33055ze3z83_16113;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22589;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3110z00_3428;

																BgL_arg3110z00_3428 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22589 =
																	((long) (BgL_arg3110z00_3428) == ((long) 0));
															}
															if (BgL_testz00_22589)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33074ze3z83_16110;

																	BgL_zc3anonymousza33074ze3z83_16110 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33074ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_16110,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_16110,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_16110,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_16110,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33074ze3z83_16110,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33074ze3z83_16110;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33092ze3z83_16107;

																	BgL_zc3anonymousza33092ze3z83_16107 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33092ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33092ze3z83_16107,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33092ze3z83_16107,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33092ze3z83_16107,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33092ze3z83_16107,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33092ze3z83_16107,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33092ze3z83_16107,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33092ze3z83_16107;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22627;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3188z00_3595;

														BgL_arg3188z00_3595 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_22627 =
															((long) (BgL_arg3188z00_3595) == ((long) 0));
													}
													if (BgL_testz00_22627)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22631;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3148z00_3510;

																BgL_arg3148z00_3510 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22631 =
																	((long) (BgL_arg3148z00_3510) == ((long) 0));
															}
															if (BgL_testz00_22631)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33114ze3z83_16128;

																	BgL_zc3anonymousza33114ze3z83_16128 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33114ze3z83_16128,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33114ze3z83_16128,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33114ze3z83_16128,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33114ze3z83_16128;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33131ze3z83_16125;

																	BgL_zc3anonymousza33131ze3z83_16125 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_16125,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_16125,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_16125,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33131ze3z83_16125,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33131ze3z83_16125;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22659;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3187z00_3594;

																BgL_arg3187z00_3594 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22659 =
																	((long) (BgL_arg3187z00_3594) == ((long) 0));
															}
															if (BgL_testz00_22659)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33150ze3z83_16122;

																	BgL_zc3anonymousza33150ze3z83_16122 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_16122,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_16122,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_16122,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_16122,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33150ze3z83_16122,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33150ze3z83_16122;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33169ze3z83_16119;

																	BgL_zc3anonymousza33169ze3z83_16119 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33169ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33169ze3z83_16119,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33169ze3z83_16119,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33169ze3z83_16119,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33169ze3z83_16119,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33169ze3z83_16119,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33169ze3z83_16119,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33169ze3z83_16119;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22697;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3265z00_3761;

														BgL_arg3265z00_3761 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_22697 =
															((long) (BgL_arg3265z00_3761) == ((long) 0));
													}
													if (BgL_testz00_22697)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22701;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3225z00_3676;

																BgL_arg3225z00_3676 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22701 =
																	((long) (BgL_arg3225z00_3676) == ((long) 0));
															}
															if (BgL_testz00_22701)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33191ze3z83_16140;

																	BgL_zc3anonymousza33191ze3z83_16140 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33191ze3z83_16140,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33191ze3z83_16140,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33191ze3z83_16140,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33191ze3z83_16140;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33208ze3z83_16137;

																	BgL_zc3anonymousza33208ze3z83_16137 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33208ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33208ze3z83_16137,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33208ze3z83_16137,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33208ze3z83_16137,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33208ze3z83_16137,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33208ze3z83_16137;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22729;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3264z00_3760;

																BgL_arg3264z00_3760 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22729 =
																	((long) (BgL_arg3264z00_3760) == ((long) 0));
															}
															if (BgL_testz00_22729)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33227ze3z83_16134;

																	BgL_zc3anonymousza33227ze3z83_16134 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33227ze3z83_16134,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33227ze3z83_16134,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33227ze3z83_16134,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33227ze3z83_16134,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33227ze3z83_16134,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33227ze3z83_16134;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33245ze3z83_16131;

																	BgL_zc3anonymousza33245ze3z83_16131 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33245ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_16131,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_16131,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_16131,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_16131,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_16131,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33245ze3z83_16131,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33245ze3z83_16131;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22767;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3345z00_3935;

														BgL_arg3345z00_3935 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_22767 =
															((long) (BgL_arg3345z00_3935) == ((long) 0));
													}
													if (BgL_testz00_22767)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22771;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3304z00_3846;

																BgL_arg3304z00_3846 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22771 =
																	((long) (BgL_arg3304z00_3846) == ((long) 0));
															}
															if (BgL_testz00_22771)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33268ze3z83_16152;

																	BgL_zc3anonymousza33268ze3z83_16152 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33268ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33268ze3z83_16152,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33268ze3z83_16152,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33268ze3z83_16152,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33268ze3z83_16152;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33286ze3z83_16149;

																	BgL_zc3anonymousza33286ze3z83_16149 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33286ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33286ze3z83_16149,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33286ze3z83_16149,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33286ze3z83_16149,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33286ze3z83_16149,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33286ze3z83_16149;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22799;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3344z00_3934;

																BgL_arg3344z00_3934 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22799 =
																	((long) (BgL_arg3344z00_3934) == ((long) 0));
															}
															if (BgL_testz00_22799)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33306ze3z83_16146;

																	BgL_zc3anonymousza33306ze3z83_16146 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33306ze3z83_16146,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33306ze3z83_16146,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33306ze3z83_16146,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33306ze3z83_16146,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33306ze3z83_16146,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33306ze3z83_16146;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33325ze3z83_16143;

																	BgL_zc3anonymousza33325ze3z83_16143 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33325ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33325ze3z83_16143,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33325ze3z83_16143,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33325ze3z83_16143,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33325ze3z83_16143,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33325ze3z83_16143,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33325ze3z83_16143,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33325ze3z83_16143;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22837;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3425z00_4109;

														BgL_arg3425z00_4109 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_22837 =
															((long) (BgL_arg3425z00_4109) == ((long) 0));
													}
													if (BgL_testz00_22837)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22841;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3384z00_4020;

																BgL_arg3384z00_4020 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22841 =
																	((long) (BgL_arg3384z00_4020) == ((long) 0));
															}
															if (BgL_testz00_22841)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33348ze3z83_16164;

																	BgL_zc3anonymousza33348ze3z83_16164 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33348ze3z83_16164,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33348ze3z83_16164,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33348ze3z83_16164,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33348ze3z83_16164;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33366ze3z83_16161;

																	BgL_zc3anonymousza33366ze3z83_16161 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33366ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33366ze3z83_16161,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33366ze3z83_16161,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33366ze3z83_16161,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33366ze3z83_16161,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33366ze3z83_16161;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22869;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3424z00_4108;

																BgL_arg3424z00_4108 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22869 =
																	((long) (BgL_arg3424z00_4108) == ((long) 0));
															}
															if (BgL_testz00_22869)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33386ze3z83_16158;

																	BgL_zc3anonymousza33386ze3z83_16158 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33386ze3z83_16158,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33386ze3z83_16158,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33386ze3z83_16158,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33386ze3z83_16158,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33386ze3z83_16158,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33386ze3z83_16158;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33405ze3z83_16155;

																	BgL_zc3anonymousza33405ze3z83_16155 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33405ze3z83_16155,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33405ze3z83_16155,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33405ze3z83_16155,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33405ze3z83_16155,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33405ze3z83_16155,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33405ze3z83_16155,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33405ze3z83_16155;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22907;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3509z00_4291;

														BgL_arg3509z00_4291 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_22907 =
															((long) (BgL_arg3509z00_4291) == ((long) 0));
													}
													if (BgL_testz00_22907)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22911;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3466z00_4198;

																BgL_arg3466z00_4198 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22911 =
																	((long) (BgL_arg3466z00_4198) == ((long) 0));
															}
															if (BgL_testz00_22911)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33428ze3z83_16176;

																	BgL_zc3anonymousza33428ze3z83_16176 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33428ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33428ze3z83_16176,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33428ze3z83_16176,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33428ze3z83_16176,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33428ze3z83_16176;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33447ze3z83_16173;

																	BgL_zc3anonymousza33447ze3z83_16173 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33447ze3z83_16173,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33447ze3z83_16173,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33447ze3z83_16173,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33447ze3z83_16173,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33447ze3z83_16173;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22939;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3508z00_4290;

																BgL_arg3508z00_4290 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22939 =
																	((long) (BgL_arg3508z00_4290) == ((long) 0));
															}
															if (BgL_testz00_22939)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33468ze3z83_16170;

																	BgL_zc3anonymousza33468ze3z83_16170 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33468ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33468ze3z83_16170,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33468ze3z83_16170,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33468ze3z83_16170,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33468ze3z83_16170,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33468ze3z83_16170,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33468ze3z83_16170;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33488ze3z83_16167;

																	BgL_zc3anonymousza33488ze3z83_16167 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33488ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33488ze3z83_16167,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33488ze3z83_16167,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33488ze3z83_16167,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33488ze3z83_16167,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33488ze3z83_16167,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33488ze3z83_16167,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33488ze3z83_16167;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22977;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3593z00_4473;

														BgL_arg3593z00_4473 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_22977 =
															((long) (BgL_arg3593z00_4473) == ((long) 0));
													}
													if (BgL_testz00_22977)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22981;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3550z00_4380;

																BgL_arg3550z00_4380 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_22981 =
																	((long) (BgL_arg3550z00_4380) == ((long) 0));
															}
															if (BgL_testz00_22981)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33512ze3z83_16188;

																	BgL_zc3anonymousza33512ze3z83_16188 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33512ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33512ze3z83_16188,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33512ze3z83_16188,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33512ze3z83_16188,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33512ze3z83_16188;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33531ze3z83_16185;

																	BgL_zc3anonymousza33531ze3z83_16185 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33531ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33531ze3z83_16185,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33531ze3z83_16185,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33531ze3z83_16185,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33531ze3z83_16185,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33531ze3z83_16185;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23009;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3592z00_4472;

																BgL_arg3592z00_4472 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23009 =
																	((long) (BgL_arg3592z00_4472) == ((long) 0));
															}
															if (BgL_testz00_23009)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33552ze3z83_16182;

																	BgL_zc3anonymousza33552ze3z83_16182 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33552ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33552ze3z83_16182,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33552ze3z83_16182,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33552ze3z83_16182,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33552ze3z83_16182,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33552ze3z83_16182,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33552ze3z83_16182;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33572ze3z83_16179;

																	BgL_zc3anonymousza33572ze3z83_16179 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33572ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33572ze3z83_16179,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33572ze3z83_16179,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33572ze3z83_16179,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33572ze3z83_16179,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33572ze3z83_16179,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33572ze3z83_16179,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33572ze3z83_16179;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23047;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3681z00_4663;

														BgL_arg3681z00_4663 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_23047 =
															((long) (BgL_arg3681z00_4663) == ((long) 0));
													}
													if (BgL_testz00_23047)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23051;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3636z00_4566;

																BgL_arg3636z00_4566 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23051 =
																	((long) (BgL_arg3636z00_4566) == ((long) 0));
															}
															if (BgL_testz00_23051)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33596ze3z83_16200;

																	BgL_zc3anonymousza33596ze3z83_16200 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33596ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33596ze3z83_16200,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33596ze3z83_16200,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33596ze3z83_16200,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33596ze3z83_16200;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33616ze3z83_16197;

																	BgL_zc3anonymousza33616ze3z83_16197 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33616ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33616ze3z83_16197,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33616ze3z83_16197,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33616ze3z83_16197,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33616ze3z83_16197,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33616ze3z83_16197;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23079;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3680z00_4662;

																BgL_arg3680z00_4662 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23079 =
																	((long) (BgL_arg3680z00_4662) == ((long) 0));
															}
															if (BgL_testz00_23079)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33638ze3z83_16194;

																	BgL_zc3anonymousza33638ze3z83_16194 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33638ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33638ze3z83_16194,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33638ze3z83_16194,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33638ze3z83_16194,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33638ze3z83_16194,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33638ze3z83_16194,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33638ze3z83_16194;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33659ze3z83_16191;

																	BgL_zc3anonymousza33659ze3z83_16191 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33659ze3z83_16191,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33659ze3z83_16191,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33659ze3z83_16191,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33659ze3z83_16191,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33659ze3z83_16191,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33659ze3z83_16191,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33659ze3z83_16191;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23117;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3769z00_4853;

														BgL_arg3769z00_4853 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_23117 =
															((long) (BgL_arg3769z00_4853) == ((long) 0));
													}
													if (BgL_testz00_23117)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23121;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3724z00_4756;

																BgL_arg3724z00_4756 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23121 =
																	((long) (BgL_arg3724z00_4756) == ((long) 0));
															}
															if (BgL_testz00_23121)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33684ze3z83_16212;

																	BgL_zc3anonymousza33684ze3z83_16212 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33684ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33684ze3z83_16212,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33684ze3z83_16212,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33684ze3z83_16212,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33684ze3z83_16212;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33704ze3z83_16209;

																	BgL_zc3anonymousza33704ze3z83_16209 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33704ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33704ze3z83_16209,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33704ze3z83_16209,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33704ze3z83_16209,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33704ze3z83_16209,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33704ze3z83_16209;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23149;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3768z00_4852;

																BgL_arg3768z00_4852 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23149 =
																	((long) (BgL_arg3768z00_4852) == ((long) 0));
															}
															if (BgL_testz00_23149)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33726ze3z83_16206;

																	BgL_zc3anonymousza33726ze3z83_16206 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33726ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33726ze3z83_16206,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33726ze3z83_16206,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33726ze3z83_16206,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33726ze3z83_16206,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33726ze3z83_16206,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33726ze3z83_16206;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33747ze3z83_16203;

																	BgL_zc3anonymousza33747ze3z83_16203 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33747ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33747ze3z83_16203,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33747ze3z83_16203,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33747ze3z83_16203,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33747ze3z83_16203,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33747ze3z83_16203,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33747ze3z83_16203,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33747ze3z83_16203;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23187;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3861z00_5051;

														BgL_arg3861z00_5051 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_23187 =
															((long) (BgL_arg3861z00_5051) == ((long) 0));
													}
													if (BgL_testz00_23187)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23191;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3814z00_4950;

																BgL_arg3814z00_4950 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23191 =
																	((long) (BgL_arg3814z00_4950) == ((long) 0));
															}
															if (BgL_testz00_23191)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33772ze3z83_16224;

																	BgL_zc3anonymousza33772ze3z83_16224 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33772ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33772ze3z83_16224,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33772ze3z83_16224,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33772ze3z83_16224,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33772ze3z83_16224;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33793ze3z83_16221;

																	BgL_zc3anonymousza33793ze3z83_16221 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33793ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33793ze3z83_16221,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33793ze3z83_16221,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33793ze3z83_16221,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33793ze3z83_16221,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33793ze3z83_16221;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23219;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3860z00_5050;

																BgL_arg3860z00_5050 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23219 =
																	((long) (BgL_arg3860z00_5050) == ((long) 0));
															}
															if (BgL_testz00_23219)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33816ze3z83_16218;

																	BgL_zc3anonymousza33816ze3z83_16218 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33816ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33816ze3z83_16218,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33816ze3z83_16218,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33816ze3z83_16218,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33816ze3z83_16218,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33816ze3z83_16218,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33816ze3z83_16218;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33838ze3z83_16215;

																	BgL_zc3anonymousza33838ze3z83_16215 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33838ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33838ze3z83_16215,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33838ze3z83_16215,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33838ze3z83_16215,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33838ze3z83_16215,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33838ze3z83_16215,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33838ze3z83_16215,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33838ze3z83_16215;
																}
														}
												}
												break;
											default:
											BgL_case_else1275z00_3269:
												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23257;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3989z00_5285;

														BgL_arg3989z00_5285 =
															VECTOR_LENGTH(BgL_ifreesz00_3263);
														BgL_testz00_23257 =
															((long) (BgL_arg3989z00_5285) == ((long) 0));
													}
													if (BgL_testz00_23257)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23261;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3924z00_5166;

																BgL_arg3924z00_5166 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23261 =
																	((long) (BgL_arg3924z00_5166) == ((long) 0));
															}
															if (BgL_testz00_23261)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33864ze3z83_16236;

																	BgL_zc3anonymousza33864ze3z83_16236 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33864ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33864ze3z83_16236,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33864ze3z83_16236,
																		(int) (((long) 1)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33864ze3z83_16236,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33864ze3z83_16236;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33894ze3z83_16233;

																	BgL_zc3anonymousza33894ze3z83_16233 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33894ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33894ze3z83_16233,
																		(int) (((long) 0)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33894ze3z83_16233,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33894ze3z83_16233,
																		(int) (((long) 2)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33894ze3z83_16233,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33894ze3z83_16233;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23289;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3988z00_5284;

																BgL_arg3988z00_5284 =
																	VECTOR_LENGTH(BgL_iboxesz00_3264);
																BgL_testz00_23289 =
																	((long) (BgL_arg3988z00_5284) == ((long) 0));
															}
															if (BgL_testz00_23289)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33926ze3z83_16230;

																	BgL_zc3anonymousza33926ze3z83_16230 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33926ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_16230,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_16230,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_16230,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_16230,
																		(int) (((long) 3)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_16230,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33926ze3z83_16230;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33957ze3z83_16227;

																	BgL_zc3anonymousza33957ze3z83_16227 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33957ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33957ze3z83_16227,
																		(int) (((long) 0)), BgL_ifreesz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33957ze3z83_16227,
																		(int) (((long) 1)), BgL_iboxesz00_3264);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33957ze3z83_16227,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3265));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33957ze3z83_16227,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3258));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33957ze3z83_16227,
																		(int) (((long) 4)), BgL_bodyz00_3268);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33957ze3z83_16227,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3266));
																	return BgL_zc3anonymousza33957ze3z83_16227;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										goto BgL_case_else1275z00_3269;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3772> */
	obj_t BGl_z62zc3anonymousza33772ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16298, obj_t BgL_sz00_16302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16299;
				obj_t BgL_bodyz00_16300;
				long BgL_siza7ezd2framez75_16301;

				BgL_i1250z00_16299 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 0))));
				BgL_bodyz00_16300 = PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16301 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16298, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4856;

					BgL_sz00_4856 = BgL_sz00_16302;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4858;

						BgL_bpz00_4858 = VECTOR_REF(BgL_sz00_4856, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16222;

								BgL_runz00_16222 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16222,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16299));
								PROCEDURE_SET(BgL_runz00_16222,
									(int) (((long) 1)), BgL_bodyz00_16300);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16223;

									BgL_mainz00_16223 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16223,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16299));
									PROCEDURE_SET(BgL_mainz00_16223,
										(int) (((long) 1)), BgL_bodyz00_16300);
									PROCEDURE_SET(BgL_mainz00_16223,
										(int) (((long) 2)), BgL_runz00_16222);
									PROCEDURE_SET(BgL_mainz00_16223,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16301));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14945;

										BgL_objz00_14945 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16222, BgL_objz00_14945);
										BgL_objz00_14945;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3773z00_4861;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3774z00_4862;

											BgL_arg3774z00_4862 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16299))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14949;

												BgL_newz00_14949 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23365;

													BgL_auxz00_23365 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14949, BgL_auxz00_23365,
														BgL_arg3774z00_4862);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23370;
													int BgL_auxz00_23368;

													BgL_auxz00_23370 = BINT(BgL_siza7ezd2framez75_16301);
													BgL_auxz00_23368 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14949, BgL_auxz00_23368,
														BgL_auxz00_23370);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23373;

													BgL_auxz00_23373 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14949, BgL_auxz00_23373,
														BgL_runz00_16222);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23378;
													int BgL_auxz00_23376;

													BgL_auxz00_23378 = BINT(((long) -5));
													BgL_auxz00_23376 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14949, BgL_auxz00_23376,
														BgL_auxz00_23378);
												}
												BgL_arg3773z00_4861 = BgL_newz00_14949;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16223, BgL_arg3773z00_4861);
										BgL_arg3773z00_4861;
									}
									return BgL_mainz00_16223;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_16303,
		obj_t BgL_az00_16308, obj_t BgL_bz00_16309, obj_t BgL_cz00_16310,
		obj_t BgL_dz00_16311, obj_t BgL_lastz00_16312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16306;
				long BgL_siza7ezd2framez75_16307;

				BgL_runz00_16306 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16307 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16303, (int) (((long) 3))));
				{
					obj_t BgL_az00_4863;
					obj_t BgL_bz00_4864;
					obj_t BgL_cz00_4865;
					obj_t BgL_dz00_4866;
					obj_t BgL_lastz00_4867;

					BgL_az00_4863 = BgL_az00_16308;
					BgL_bz00_4864 = BgL_bz00_16309;
					BgL_cz00_4865 = BgL_cz00_16310;
					BgL_dz00_4866 = BgL_dz00_16311;
					BgL_lastz00_4867 = BgL_lastz00_16312;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4869;

						BgL_sz00_4869 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4870;

							BgL_bpz00_4870 = VECTOR_REF(BgL_sz00_4869, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23391;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14853;

									BgL_arg1908z00_14853 = VECTOR_LENGTH(BgL_sz00_4869);
									BgL_testz00_23391 =
										(
										((long) CINT(BgL_bpz00_4870) +
											BgL_siza7ezd2framez75_16307) <
										(long) (BgL_arg1908z00_14853));
								}
								if (BgL_testz00_23391)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3777z00_4872;

											BgL_arg3777z00_4872 =
												((long) CINT(BgL_bpz00_4870) + ((long) 0));
											VECTOR_SET(BgL_sz00_4869,
												(int) (BgL_arg3777z00_4872), BgL_az00_4863);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3778z00_4873;

											BgL_arg3778z00_4873 =
												((long) CINT(BgL_bpz00_4870) + ((long) 1));
											VECTOR_SET(BgL_sz00_4869,
												(int) (BgL_arg3778z00_4873), BgL_bz00_4864);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3779z00_4874;

											BgL_arg3779z00_4874 =
												((long) CINT(BgL_bpz00_4870) + ((long) 2));
											VECTOR_SET(BgL_sz00_4869,
												(int) (BgL_arg3779z00_4874), BgL_cz00_4865);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3780z00_4875;

											BgL_arg3780z00_4875 =
												((long) CINT(BgL_bpz00_4870) + ((long) 3));
											VECTOR_SET(BgL_sz00_4869,
												(int) (BgL_arg3780z00_4875), BgL_dz00_4866);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3781z00_4876;

											BgL_arg3781z00_4876 =
												((long) CINT(BgL_bpz00_4870) + ((long) 4));
											VECTOR_SET(BgL_sz00_4869,
												(int) (BgL_arg3781z00_4876), BgL_lastz00_4867);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1493z00_4877;

											BgL_val1493z00_4877 =
												BGl_zc3exitza33785ze3z83zz__evaluate_compz00
												(BgL_bpz00_4870, BgL_sz00_4869, BgL_runz00_16306);
											VECTOR_SET(BgL_sz00_4869, (int) (((long) 0)),
												BgL_bpz00_4870);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1493z00_4877)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1493z00_4877), CDR(BgL_val1493z00_4877));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1493z00_4877;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4884;

										BgL_nsz00_4884 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4884,
											(int) (((long) 1)), BgL_sz00_4869);
										VECTOR_SET(BgL_nsz00_4884,
											(int) (((long) 2)), BgL_az00_4863);
										VECTOR_SET(BgL_nsz00_4884,
											(int) (((long) 3)), BgL_bz00_4864);
										VECTOR_SET(BgL_nsz00_4884,
											(int) (((long) 4)), BgL_cz00_4865);
										VECTOR_SET(BgL_nsz00_4884,
											(int) (((long) 5)), BgL_dz00_4866);
										VECTOR_SET(BgL_nsz00_4884,
											(int) (((long) 6)), BgL_lastz00_4867);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23439;

											BgL_auxz00_23439 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23439, BgL_nsz00_4884);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1496z00_4886;

											BgL_val1496z00_4886 =
												BGl_zc3exitza33791ze3z83zz__evaluate_compz00
												(BgL_runz00_16306, BgL_nsz00_4884);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23443;

												BgL_auxz00_23443 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23443, BgL_sz00_4869);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1496z00_4886)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1496z00_4886), CDR(BgL_val1496z00_4886));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1496z00_4886;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3791> */
	obj_t BGl_zc3exitza33791ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17666,
		obj_t BgL_nsz00_17665)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1497z00_4892;

			if (SET_EXIT(BgL_an_exit1497z00_4892))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1497z00_4892 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1497z00_4892, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1498z00_4893;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14917;

								BgL_savedzd2bpzd2_14917 =
									VECTOR_REF(BgL_nsz00_17665, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17665,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14924;

									BgL_fz00_14924 = BgL_runz00_17666;
								BgL_recz00_14923:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14925;

										BgL_rz00_14925 =
											PROCEDURE_ENTRY(BgL_fz00_14924) (BgL_fz00_14924,
											BgL_nsz00_17665, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23464;

											if (PROCEDUREP(BgL_rz00_14925))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14930;

													BgL_arg1899z00_14930 = PROCEDURE_ATTR(BgL_rz00_14925);
													if (STRUCTP(BgL_arg1899z00_14930))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23464 =
																(STRUCT_KEY(BgL_arg1899z00_14930) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23464 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23464 = ((bool_t) 0);
												}
											if (BgL_testz00_23464)
												{
													obj_t BgL_fz00_23472;

													BgL_fz00_23472 = BgL_rz00_14925;
													BgL_fz00_14924 = BgL_fz00_23472;
													goto BgL_recz00_14923;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17665,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14917);
													BgL_val1498z00_4893 = BgL_rz00_14925;
							}}}}}
							POP_EXIT();
							return BgL_val1498z00_4893;
						}
					}
				}
		}
	}



/* <exit:3785> */
	obj_t BGl_zc3exitza33785ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17669,
		obj_t BgL_sz00_17668, obj_t BgL_runz00_17667)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1494z00_4882;

			if (SET_EXIT(BgL_an_exit1494z00_4882))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1494z00_4882 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1494z00_4882, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1495z00_4883;

							BgL_val1495z00_4883 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17667,
								BgL_sz00_17668, BgL_bpz00_17669);
							POP_EXIT();
							return BgL_val1495z00_4883;
						}
					}
				}
		}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_16313,
		obj_t BgL_sz00_16316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16314;
				obj_t BgL_bodyz00_16315;

				BgL_i1250z00_16314 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16313, (int) (((long) 0))));
				BgL_bodyz00_16315 = PROCEDURE_REF(BgL_envz00_16313, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4895;

					BgL_sz00_4895 = BgL_sz00_16316;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4897;

						BgL_bpz00_4897 = VECTOR_REF(BgL_sz00_4895, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4898;
							obj_t BgL_wherez00_4899;
							obj_t BgL_locz00_4900;

							BgL_z12denvz12_4898 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4899 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16314))->BgL_wherez00);
							BgL_locz00_4900 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16314))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4898, BgL_wherez00_4899,
									BgL_locz00_4900);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4901;

									BgL_za2za2resza2za2z00_4901 =
										PROCEDURE_ENTRY(BgL_bodyz00_16315) (BgL_bodyz00_16315,
										BgL_sz00_4895, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4898);
									return BgL_za2za2resza2za2z00_4901;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3793> */
	obj_t BGl_z62zc3anonymousza33793ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16317, obj_t BgL_sz00_16322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16318;
				BgL_ev_absz00_bglt BgL_i1250z00_16319;
				obj_t BgL_bodyz00_16320;
				long BgL_siza7ezd2framez75_16321;

				BgL_iboxesz00_16318 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16317, (int) (((long) 0))));
				BgL_i1250z00_16319 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16317, (int) (((long) 1))));
				BgL_bodyz00_16320 = PROCEDURE_REF(BgL_envz00_16317, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16321 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16317, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4903;

					BgL_sz00_4903 = BgL_sz00_16322;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4905;

						BgL_bpz00_4905 = VECTOR_REF(BgL_sz00_4903, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16219;

								BgL_runz00_16219 =
									MAKE_FX_PROCEDURE(BGl_z62run5450z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16219,
									(int) (((long) 0)), BgL_iboxesz00_16318);
								PROCEDURE_SET(BgL_runz00_16219,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16319));
								PROCEDURE_SET(BgL_runz00_16219,
									(int) (((long) 2)), BgL_bodyz00_16320);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16220;

									BgL_mainz00_16220 =
										MAKE_VA_PROCEDURE(BGl_z62main5449z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16220,
										(int) (((long) 0)), BgL_iboxesz00_16318);
									PROCEDURE_SET(BgL_mainz00_16220,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16319));
									PROCEDURE_SET(BgL_mainz00_16220,
										(int) (((long) 2)), BgL_bodyz00_16320);
									PROCEDURE_SET(BgL_mainz00_16220,
										(int) (((long) 3)), BgL_runz00_16219);
									PROCEDURE_SET(BgL_mainz00_16220,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16321));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15072;

										BgL_objz00_15072 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16219, BgL_objz00_15072);
										BgL_objz00_15072;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3794z00_4908;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3795z00_4909;

											BgL_arg3795z00_4909 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16319))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15076;

												BgL_newz00_15076 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23539;

													BgL_auxz00_23539 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15076, BgL_auxz00_23539,
														BgL_arg3795z00_4909);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23544;
													int BgL_auxz00_23542;

													BgL_auxz00_23544 = BINT(BgL_siza7ezd2framez75_16321);
													BgL_auxz00_23542 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15076, BgL_auxz00_23542,
														BgL_auxz00_23544);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23547;

													BgL_auxz00_23547 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15076, BgL_auxz00_23547,
														BgL_runz00_16219);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23552;
													int BgL_auxz00_23550;

													BgL_auxz00_23552 = BINT(((long) -5));
													BgL_auxz00_23550 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15076, BgL_auxz00_23550,
														BgL_auxz00_23552);
												}
												BgL_arg3794z00_4908 = BgL_newz00_15076;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16220, BgL_arg3794z00_4908);
										BgL_arg3794z00_4908;
									}
									return BgL_mainz00_16220;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5449 */
	obj_t BGl_z62main5449z62zz__evaluate_compz00(obj_t BgL_envz00_16323,
		obj_t BgL_az00_16329, obj_t BgL_bz00_16330, obj_t BgL_cz00_16331,
		obj_t BgL_dz00_16332, obj_t BgL_lastz00_16333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16327;
				long BgL_siza7ezd2framez75_16328;

				BgL_runz00_16327 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16323, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16328 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16323, (int) (((long) 4))));
				{
					obj_t BgL_az00_4910;
					obj_t BgL_bz00_4911;
					obj_t BgL_cz00_4912;
					obj_t BgL_dz00_4913;
					obj_t BgL_lastz00_4914;

					BgL_az00_4910 = BgL_az00_16329;
					BgL_bz00_4911 = BgL_bz00_16330;
					BgL_cz00_4912 = BgL_cz00_16331;
					BgL_dz00_4913 = BgL_dz00_16332;
					BgL_lastz00_4914 = BgL_lastz00_16333;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4916;

						BgL_sz00_4916 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4917;

							BgL_bpz00_4917 = VECTOR_REF(BgL_sz00_4916, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23565;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14980;

									BgL_arg1908z00_14980 = VECTOR_LENGTH(BgL_sz00_4916);
									BgL_testz00_23565 =
										(
										((long) CINT(BgL_bpz00_4917) +
											BgL_siza7ezd2framez75_16328) <
										(long) (BgL_arg1908z00_14980));
								}
								if (BgL_testz00_23565)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3798z00_4919;

											BgL_arg3798z00_4919 =
												((long) CINT(BgL_bpz00_4917) + ((long) 0));
											VECTOR_SET(BgL_sz00_4916,
												(int) (BgL_arg3798z00_4919), BgL_az00_4910);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3799z00_4920;

											BgL_arg3799z00_4920 =
												((long) CINT(BgL_bpz00_4917) + ((long) 1));
											VECTOR_SET(BgL_sz00_4916,
												(int) (BgL_arg3799z00_4920), BgL_bz00_4911);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3800z00_4921;

											BgL_arg3800z00_4921 =
												((long) CINT(BgL_bpz00_4917) + ((long) 2));
											VECTOR_SET(BgL_sz00_4916,
												(int) (BgL_arg3800z00_4921), BgL_cz00_4912);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3801z00_4922;

											BgL_arg3801z00_4922 =
												((long) CINT(BgL_bpz00_4917) + ((long) 3));
											VECTOR_SET(BgL_sz00_4916,
												(int) (BgL_arg3801z00_4922), BgL_dz00_4913);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3802z00_4923;

											BgL_arg3802z00_4923 =
												((long) CINT(BgL_bpz00_4917) + ((long) 4));
											VECTOR_SET(BgL_sz00_4916,
												(int) (BgL_arg3802z00_4923), BgL_lastz00_4914);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1499z00_4924;

											BgL_val1499z00_4924 =
												BGl_zc3exitza33806ze3z83zz__evaluate_compz00
												(BgL_bpz00_4917, BgL_sz00_4916, BgL_runz00_16327);
											VECTOR_SET(BgL_sz00_4916, (int) (((long) 0)),
												BgL_bpz00_4917);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1499z00_4924)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1499z00_4924), CDR(BgL_val1499z00_4924));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1499z00_4924;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4931;

										BgL_nsz00_4931 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4931,
											(int) (((long) 1)), BgL_sz00_4916);
										VECTOR_SET(BgL_nsz00_4931,
											(int) (((long) 2)), BgL_az00_4910);
										VECTOR_SET(BgL_nsz00_4931,
											(int) (((long) 3)), BgL_bz00_4911);
										VECTOR_SET(BgL_nsz00_4931,
											(int) (((long) 4)), BgL_cz00_4912);
										VECTOR_SET(BgL_nsz00_4931,
											(int) (((long) 5)), BgL_dz00_4913);
										VECTOR_SET(BgL_nsz00_4931,
											(int) (((long) 6)), BgL_lastz00_4914);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23613;

											BgL_auxz00_23613 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23613, BgL_nsz00_4931);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1502z00_4933;

											BgL_val1502z00_4933 =
												BGl_zc3exitza33812ze3z83zz__evaluate_compz00
												(BgL_runz00_16327, BgL_nsz00_4931);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23617;

												BgL_auxz00_23617 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23617, BgL_sz00_4916);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1502z00_4933)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1502z00_4933), CDR(BgL_val1502z00_4933));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1502z00_4933;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3812> */
	obj_t BGl_zc3exitza33812ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17661,
		obj_t BgL_nsz00_17660)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1503z00_4939;

			if (SET_EXIT(BgL_an_exit1503z00_4939))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1503z00_4939 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1503z00_4939, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1504z00_4940;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15044;

								BgL_savedzd2bpzd2_15044 =
									VECTOR_REF(BgL_nsz00_17660, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17660,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15051;

									BgL_fz00_15051 = BgL_runz00_17661;
								BgL_recz00_15050:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15052;

										BgL_rz00_15052 =
											PROCEDURE_ENTRY(BgL_fz00_15051) (BgL_fz00_15051,
											BgL_nsz00_17660, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23638;

											if (PROCEDUREP(BgL_rz00_15052))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_15057;

													BgL_arg1899z00_15057 = PROCEDURE_ATTR(BgL_rz00_15052);
													if (STRUCTP(BgL_arg1899z00_15057))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23638 =
																(STRUCT_KEY(BgL_arg1899z00_15057) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23638 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23638 = ((bool_t) 0);
												}
											if (BgL_testz00_23638)
												{
													obj_t BgL_fz00_23646;

													BgL_fz00_23646 = BgL_rz00_15052;
													BgL_fz00_15051 = BgL_fz00_23646;
													goto BgL_recz00_15050;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17660,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15044);
													BgL_val1504z00_4940 = BgL_rz00_15052;
							}}}}}
							POP_EXIT();
							return BgL_val1504z00_4940;
						}
					}
				}
		}
	}



/* <exit:3806> */
	obj_t BGl_zc3exitza33806ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17664,
		obj_t BgL_sz00_17663, obj_t BgL_runz00_17662)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1500z00_4929;

			if (SET_EXIT(BgL_an_exit1500z00_4929))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1500z00_4929 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1500z00_4929, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1501z00_4930;

							BgL_val1501z00_4930 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17662,
								BgL_sz00_17663, BgL_bpz00_17664);
							POP_EXIT();
							return BgL_val1501z00_4930;
						}
					}
				}
		}
	}



/* &run5450 */
	obj_t BGl_z62run5450z62zz__evaluate_compz00(obj_t BgL_envz00_16334,
		obj_t BgL_sz00_16338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16335;
				BgL_ev_absz00_bglt BgL_i1250z00_16336;
				obj_t BgL_bodyz00_16337;

				BgL_iboxesz00_16335 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16334, (int) (((long) 0))));
				BgL_i1250z00_16336 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16334, (int) (((long) 1))));
				BgL_bodyz00_16337 = PROCEDURE_REF(BgL_envz00_16334, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4942;

					BgL_sz00_4942 = BgL_sz00_16338;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4944;

						BgL_bpz00_4944 = VECTOR_REF(BgL_sz00_4942, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4942,
							BgL_iboxesz00_16335, BgL_bpz00_4944);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4945;
							obj_t BgL_wherez00_4946;
							obj_t BgL_locz00_4947;

							BgL_z12denvz12_4945 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4946 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16336))->BgL_wherez00);
							BgL_locz00_4947 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16336))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4945, BgL_wherez00_4946,
									BgL_locz00_4947);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4948;

									BgL_za2za2resza2za2z00_4948 =
										PROCEDURE_ENTRY(BgL_bodyz00_16337) (BgL_bodyz00_16337,
										BgL_sz00_4942, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4945);
									return BgL_za2za2resza2za2z00_4948;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3816> */
	obj_t BGl_z62zc3anonymousza33816ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16339, obj_t BgL_sz00_16345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16340;
				long BgL_siza7eza7_16341;
				BgL_ev_absz00_bglt BgL_i1250z00_16342;
				obj_t BgL_bodyz00_16343;
				long BgL_siza7ezd2framez75_16344;

				BgL_ifreesz00_16340 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16339, (int) (((long) 0))));
				BgL_siza7eza7_16341 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16339, (int) (((long) 1))));
				BgL_i1250z00_16342 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16339, (int) (((long) 2))));
				BgL_bodyz00_16343 = PROCEDURE_REF(BgL_envz00_16339, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16344 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16339, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4952;

					BgL_sz00_4952 = BgL_sz00_16345;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4954;

						BgL_bpz00_4954 = VECTOR_REF(BgL_sz00_4952, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4955;

							BgL_valza2za2_4955 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4952,
								BgL_bpz00_4954, BgL_ifreesz00_16340);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16216;

								BgL_runz00_16216 =
									MAKE_FX_PROCEDURE(BGl_z62run5452z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16216,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16341));
								PROCEDURE_SET(BgL_runz00_16216,
									(int) (((long) 1)), BgL_valza2za2_4955);
								PROCEDURE_SET(BgL_runz00_16216,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16342));
								PROCEDURE_SET(BgL_runz00_16216,
									(int) (((long) 3)), BgL_bodyz00_16343);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16217;

									BgL_mainz00_16217 =
										MAKE_VA_PROCEDURE(BGl_z62main5451z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16217,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16341));
									PROCEDURE_SET(BgL_mainz00_16217,
										(int) (((long) 1)), BgL_valza2za2_4955);
									PROCEDURE_SET(BgL_mainz00_16217,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16342));
									PROCEDURE_SET(BgL_mainz00_16217,
										(int) (((long) 3)), BgL_bodyz00_16343);
									PROCEDURE_SET(BgL_mainz00_16217,
										(int) (((long) 4)), BgL_runz00_16216);
									PROCEDURE_SET(BgL_mainz00_16217,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16344));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15206;

										BgL_objz00_15206 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16216, BgL_objz00_15206);
										BgL_objz00_15206;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3817z00_4958;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3818z00_4959;

											BgL_arg3818z00_4959 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16342))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15210;

												BgL_newz00_15210 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23727;

													BgL_auxz00_23727 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15210, BgL_auxz00_23727,
														BgL_arg3818z00_4959);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23732;
													int BgL_auxz00_23730;

													BgL_auxz00_23732 = BINT(BgL_siza7ezd2framez75_16344);
													BgL_auxz00_23730 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15210, BgL_auxz00_23730,
														BgL_auxz00_23732);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23735;

													BgL_auxz00_23735 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15210, BgL_auxz00_23735,
														BgL_runz00_16216);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23740;
													int BgL_auxz00_23738;

													BgL_auxz00_23740 = BINT(((long) -5));
													BgL_auxz00_23738 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15210, BgL_auxz00_23738,
														BgL_auxz00_23740);
												}
												BgL_arg3817z00_4958 = BgL_newz00_15210;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16217, BgL_arg3817z00_4958);
										BgL_arg3817z00_4958;
									}
									return BgL_mainz00_16217;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5451 */
	obj_t BGl_z62main5451z62zz__evaluate_compz00(obj_t BgL_envz00_16346,
		obj_t BgL_az00_16353, obj_t BgL_bz00_16354, obj_t BgL_cz00_16355,
		obj_t BgL_dz00_16356, obj_t BgL_lastz00_16357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16351;
				long BgL_siza7ezd2framez75_16352;

				BgL_runz00_16351 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16346, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16352 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16346, (int) (((long) 5))));
				{
					obj_t BgL_az00_4960;
					obj_t BgL_bz00_4961;
					obj_t BgL_cz00_4962;
					obj_t BgL_dz00_4963;
					obj_t BgL_lastz00_4964;

					BgL_az00_4960 = BgL_az00_16353;
					BgL_bz00_4961 = BgL_bz00_16354;
					BgL_cz00_4962 = BgL_cz00_16355;
					BgL_dz00_4963 = BgL_dz00_16356;
					BgL_lastz00_4964 = BgL_lastz00_16357;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4966;

						BgL_sz00_4966 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4967;

							BgL_bpz00_4967 = VECTOR_REF(BgL_sz00_4966, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23753;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_15114;

									BgL_arg1908z00_15114 = VECTOR_LENGTH(BgL_sz00_4966);
									BgL_testz00_23753 =
										(
										((long) CINT(BgL_bpz00_4967) +
											BgL_siza7ezd2framez75_16352) <
										(long) (BgL_arg1908z00_15114));
								}
								if (BgL_testz00_23753)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3821z00_4969;

											BgL_arg3821z00_4969 =
												((long) CINT(BgL_bpz00_4967) + ((long) 0));
											VECTOR_SET(BgL_sz00_4966,
												(int) (BgL_arg3821z00_4969), BgL_az00_4960);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3822z00_4970;

											BgL_arg3822z00_4970 =
												((long) CINT(BgL_bpz00_4967) + ((long) 1));
											VECTOR_SET(BgL_sz00_4966,
												(int) (BgL_arg3822z00_4970), BgL_bz00_4961);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3823z00_4971;

											BgL_arg3823z00_4971 =
												((long) CINT(BgL_bpz00_4967) + ((long) 2));
											VECTOR_SET(BgL_sz00_4966,
												(int) (BgL_arg3823z00_4971), BgL_cz00_4962);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3824z00_4972;

											BgL_arg3824z00_4972 =
												((long) CINT(BgL_bpz00_4967) + ((long) 3));
											VECTOR_SET(BgL_sz00_4966,
												(int) (BgL_arg3824z00_4972), BgL_dz00_4963);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3825z00_4973;

											BgL_arg3825z00_4973 =
												((long) CINT(BgL_bpz00_4967) + ((long) 4));
											VECTOR_SET(BgL_sz00_4966,
												(int) (BgL_arg3825z00_4973), BgL_lastz00_4964);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1505z00_4974;

											BgL_val1505z00_4974 =
												BGl_zc3exitza33829ze3z83zz__evaluate_compz00
												(BgL_bpz00_4967, BgL_sz00_4966, BgL_runz00_16351);
											VECTOR_SET(BgL_sz00_4966, (int) (((long) 0)),
												BgL_bpz00_4967);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1505z00_4974)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1505z00_4974), CDR(BgL_val1505z00_4974));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1505z00_4974;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4981;

										BgL_nsz00_4981 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4981,
											(int) (((long) 1)), BgL_sz00_4966);
										VECTOR_SET(BgL_nsz00_4981,
											(int) (((long) 2)), BgL_az00_4960);
										VECTOR_SET(BgL_nsz00_4981,
											(int) (((long) 3)), BgL_bz00_4961);
										VECTOR_SET(BgL_nsz00_4981,
											(int) (((long) 4)), BgL_cz00_4962);
										VECTOR_SET(BgL_nsz00_4981,
											(int) (((long) 5)), BgL_dz00_4963);
										VECTOR_SET(BgL_nsz00_4981,
											(int) (((long) 6)), BgL_lastz00_4964);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23801;

											BgL_auxz00_23801 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23801, BgL_nsz00_4981);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1508z00_4983;

											BgL_val1508z00_4983 =
												BGl_zc3exitza33835ze3z83zz__evaluate_compz00
												(BgL_runz00_16351, BgL_nsz00_4981);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23805;

												BgL_auxz00_23805 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23805, BgL_sz00_4966);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1508z00_4983)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1508z00_4983), CDR(BgL_val1508z00_4983));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1508z00_4983;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3835> */
	obj_t BGl_zc3exitza33835ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17656,
		obj_t BgL_nsz00_17655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1509z00_4989;

			if (SET_EXIT(BgL_an_exit1509z00_4989))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1509z00_4989 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1509z00_4989, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1510z00_4990;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15178;

								BgL_savedzd2bpzd2_15178 =
									VECTOR_REF(BgL_nsz00_17655, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17655,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15185;

									BgL_fz00_15185 = BgL_runz00_17656;
								BgL_recz00_15184:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15186;

										BgL_rz00_15186 =
											PROCEDURE_ENTRY(BgL_fz00_15185) (BgL_fz00_15185,
											BgL_nsz00_17655, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23826;

											if (PROCEDUREP(BgL_rz00_15186))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_15191;

													BgL_arg1899z00_15191 = PROCEDURE_ATTR(BgL_rz00_15186);
													if (STRUCTP(BgL_arg1899z00_15191))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23826 =
																(STRUCT_KEY(BgL_arg1899z00_15191) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23826 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23826 = ((bool_t) 0);
												}
											if (BgL_testz00_23826)
												{
													obj_t BgL_fz00_23834;

													BgL_fz00_23834 = BgL_rz00_15186;
													BgL_fz00_15185 = BgL_fz00_23834;
													goto BgL_recz00_15184;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17655,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15178);
													BgL_val1510z00_4990 = BgL_rz00_15186;
							}}}}}
							POP_EXIT();
							return BgL_val1510z00_4990;
						}
					}
				}
		}
	}



/* <exit:3829> */
	obj_t BGl_zc3exitza33829ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17659,
		obj_t BgL_sz00_17658, obj_t BgL_runz00_17657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1506z00_4979;

			if (SET_EXIT(BgL_an_exit1506z00_4979))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1506z00_4979 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1506z00_4979, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1507z00_4980;

							BgL_val1507z00_4980 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17657,
								BgL_sz00_17658, BgL_bpz00_17659);
							POP_EXIT();
							return BgL_val1507z00_4980;
						}
					}
				}
		}
	}



/* &run5452 */
	obj_t BGl_z62run5452z62zz__evaluate_compz00(obj_t BgL_envz00_16358,
		obj_t BgL_sz00_16363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16359;
				obj_t BgL_valza2za2_16360;
				BgL_ev_absz00_bglt BgL_i1250z00_16361;
				obj_t BgL_bodyz00_16362;

				BgL_siza7eza7_16359 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16358, (int) (((long) 0))));
				BgL_valza2za2_16360 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16358, (int) (((long) 1))));
				BgL_i1250z00_16361 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16358, (int) (((long) 2))));
				BgL_bodyz00_16362 = PROCEDURE_REF(BgL_envz00_16358, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4992;

					BgL_sz00_4992 = BgL_sz00_16363;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4994;

						BgL_bpz00_4994 = VECTOR_REF(BgL_sz00_4992, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4992,
							BgL_valza2za2_16360,
							((long) CINT(BgL_bpz00_4994) + BgL_siza7eza7_16359));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4996;
							obj_t BgL_wherez00_4997;
							obj_t BgL_locz00_4998;

							BgL_z12denvz12_4996 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4997 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16361))->BgL_wherez00);
							BgL_locz00_4998 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16361))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4996, BgL_wherez00_4997,
									BgL_locz00_4998);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4999;

									BgL_za2za2resza2za2z00_4999 =
										PROCEDURE_ENTRY(BgL_bodyz00_16362) (BgL_bodyz00_16362,
										BgL_sz00_4992, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4996);
									return BgL_za2za2resza2za2z00_4999;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3838> */
	obj_t BGl_z62zc3anonymousza33838ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16364, obj_t BgL_sz00_16371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16365;
				obj_t BgL_iboxesz00_16366;
				long BgL_siza7eza7_16367;
				BgL_ev_absz00_bglt BgL_i1250z00_16368;
				obj_t BgL_bodyz00_16369;
				long BgL_siza7ezd2framez75_16370;

				BgL_ifreesz00_16365 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16364, (int) (((long) 0))));
				BgL_iboxesz00_16366 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16364, (int) (((long) 1))));
				BgL_siza7eza7_16367 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16364, (int) (((long) 2))));
				BgL_i1250z00_16368 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16364, (int) (((long) 3))));
				BgL_bodyz00_16369 = PROCEDURE_REF(BgL_envz00_16364, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16370 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16364, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5001;

					BgL_sz00_5001 = BgL_sz00_16371;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5003;

						BgL_bpz00_5003 = VECTOR_REF(BgL_sz00_5001, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5004;

							BgL_valza2za2_5004 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5001,
								BgL_bpz00_5003, BgL_ifreesz00_16365);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16213;

								BgL_runz00_16213 =
									MAKE_FX_PROCEDURE(BGl_z62run5454z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16213,
									(int) (((long) 0)), BgL_iboxesz00_16366);
								PROCEDURE_SET(BgL_runz00_16213,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16367));
								PROCEDURE_SET(BgL_runz00_16213,
									(int) (((long) 2)), BgL_valza2za2_5004);
								PROCEDURE_SET(BgL_runz00_16213,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16368));
								PROCEDURE_SET(BgL_runz00_16213,
									(int) (((long) 4)), BgL_bodyz00_16369);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16214;

									BgL_mainz00_16214 =
										MAKE_VA_PROCEDURE(BGl_z62main5453z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16214,
										(int) (((long) 0)), BgL_iboxesz00_16366);
									PROCEDURE_SET(BgL_mainz00_16214,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16367));
									PROCEDURE_SET(BgL_mainz00_16214,
										(int) (((long) 2)), BgL_valza2za2_5004);
									PROCEDURE_SET(BgL_mainz00_16214,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16368));
									PROCEDURE_SET(BgL_mainz00_16214,
										(int) (((long) 4)), BgL_bodyz00_16369);
									PROCEDURE_SET(BgL_mainz00_16214,
										(int) (((long) 5)), BgL_runz00_16213);
									PROCEDURE_SET(BgL_mainz00_16214,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16370));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15336;

										BgL_objz00_15336 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16213, BgL_objz00_15336);
										BgL_objz00_15336;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3839z00_5007;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3840z00_5008;

											BgL_arg3840z00_5008 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16368))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15340;

												BgL_newz00_15340 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23927;

													BgL_auxz00_23927 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15340, BgL_auxz00_23927,
														BgL_arg3840z00_5008);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23932;
													int BgL_auxz00_23930;

													BgL_auxz00_23932 = BINT(BgL_siza7ezd2framez75_16370);
													BgL_auxz00_23930 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15340, BgL_auxz00_23930,
														BgL_auxz00_23932);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23935;

													BgL_auxz00_23935 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15340, BgL_auxz00_23935,
														BgL_runz00_16213);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23940;
													int BgL_auxz00_23938;

													BgL_auxz00_23940 = BINT(((long) -5));
													BgL_auxz00_23938 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15340, BgL_auxz00_23938,
														BgL_auxz00_23940);
												}
												BgL_arg3839z00_5007 = BgL_newz00_15340;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16214, BgL_arg3839z00_5007);
										BgL_arg3839z00_5007;
									}
									return BgL_mainz00_16214;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5453 */
	obj_t BGl_z62main5453z62zz__evaluate_compz00(obj_t BgL_envz00_16372,
		obj_t BgL_az00_16380, obj_t BgL_bz00_16381, obj_t BgL_cz00_16382,
		obj_t BgL_dz00_16383, obj_t BgL_lastz00_16384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16378;
				long BgL_siza7ezd2framez75_16379;

				BgL_runz00_16378 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16372, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16379 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16372, (int) (((long) 6))));
				{
					obj_t BgL_az00_5009;
					obj_t BgL_bz00_5010;
					obj_t BgL_cz00_5011;
					obj_t BgL_dz00_5012;
					obj_t BgL_lastz00_5013;

					BgL_az00_5009 = BgL_az00_16380;
					BgL_bz00_5010 = BgL_bz00_16381;
					BgL_cz00_5011 = BgL_cz00_16382;
					BgL_dz00_5012 = BgL_dz00_16383;
					BgL_lastz00_5013 = BgL_lastz00_16384;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5015;

						BgL_sz00_5015 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5016;

							BgL_bpz00_5016 = VECTOR_REF(BgL_sz00_5015, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23953;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_15244;

									BgL_arg1908z00_15244 = VECTOR_LENGTH(BgL_sz00_5015);
									BgL_testz00_23953 =
										(
										((long) CINT(BgL_bpz00_5016) +
											BgL_siza7ezd2framez75_16379) <
										(long) (BgL_arg1908z00_15244));
								}
								if (BgL_testz00_23953)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3843z00_5018;

											BgL_arg3843z00_5018 =
												((long) CINT(BgL_bpz00_5016) + ((long) 0));
											VECTOR_SET(BgL_sz00_5015,
												(int) (BgL_arg3843z00_5018), BgL_az00_5009);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3844z00_5019;

											BgL_arg3844z00_5019 =
												((long) CINT(BgL_bpz00_5016) + ((long) 1));
											VECTOR_SET(BgL_sz00_5015,
												(int) (BgL_arg3844z00_5019), BgL_bz00_5010);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3845z00_5020;

											BgL_arg3845z00_5020 =
												((long) CINT(BgL_bpz00_5016) + ((long) 2));
											VECTOR_SET(BgL_sz00_5015,
												(int) (BgL_arg3845z00_5020), BgL_cz00_5011);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3846z00_5021;

											BgL_arg3846z00_5021 =
												((long) CINT(BgL_bpz00_5016) + ((long) 3));
											VECTOR_SET(BgL_sz00_5015,
												(int) (BgL_arg3846z00_5021), BgL_dz00_5012);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3847z00_5022;

											BgL_arg3847z00_5022 =
												((long) CINT(BgL_bpz00_5016) + ((long) 4));
											VECTOR_SET(BgL_sz00_5015,
												(int) (BgL_arg3847z00_5022), BgL_lastz00_5013);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1511z00_5023;

											BgL_val1511z00_5023 =
												BGl_zc3exitza33851ze3z83zz__evaluate_compz00
												(BgL_bpz00_5016, BgL_sz00_5015, BgL_runz00_16378);
											VECTOR_SET(BgL_sz00_5015, (int) (((long) 0)),
												BgL_bpz00_5016);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1511z00_5023)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1511z00_5023), CDR(BgL_val1511z00_5023));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1511z00_5023;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5030;

										BgL_nsz00_5030 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5030,
											(int) (((long) 1)), BgL_sz00_5015);
										VECTOR_SET(BgL_nsz00_5030,
											(int) (((long) 2)), BgL_az00_5009);
										VECTOR_SET(BgL_nsz00_5030,
											(int) (((long) 3)), BgL_bz00_5010);
										VECTOR_SET(BgL_nsz00_5030,
											(int) (((long) 4)), BgL_cz00_5011);
										VECTOR_SET(BgL_nsz00_5030,
											(int) (((long) 5)), BgL_dz00_5012);
										VECTOR_SET(BgL_nsz00_5030,
											(int) (((long) 6)), BgL_lastz00_5013);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24001;

											BgL_auxz00_24001 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24001, BgL_nsz00_5030);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1514z00_5032;

											BgL_val1514z00_5032 =
												BGl_zc3exitza33857ze3z83zz__evaluate_compz00
												(BgL_runz00_16378, BgL_nsz00_5030);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24005;

												BgL_auxz00_24005 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24005, BgL_sz00_5015);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1514z00_5032)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1514z00_5032), CDR(BgL_val1514z00_5032));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1514z00_5032;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3857> */
	obj_t BGl_zc3exitza33857ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17651,
		obj_t BgL_nsz00_17650)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1515z00_5038;

			if (SET_EXIT(BgL_an_exit1515z00_5038))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1515z00_5038 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1515z00_5038, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1516z00_5039;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15308;

								BgL_savedzd2bpzd2_15308 =
									VECTOR_REF(BgL_nsz00_17650, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17650,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15315;

									BgL_fz00_15315 = BgL_runz00_17651;
								BgL_recz00_15314:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15316;

										BgL_rz00_15316 =
											PROCEDURE_ENTRY(BgL_fz00_15315) (BgL_fz00_15315,
											BgL_nsz00_17650, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24026;

											if (PROCEDUREP(BgL_rz00_15316))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_15321;

													BgL_arg1899z00_15321 = PROCEDURE_ATTR(BgL_rz00_15316);
													if (STRUCTP(BgL_arg1899z00_15321))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24026 =
																(STRUCT_KEY(BgL_arg1899z00_15321) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24026 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24026 = ((bool_t) 0);
												}
											if (BgL_testz00_24026)
												{
													obj_t BgL_fz00_24034;

													BgL_fz00_24034 = BgL_rz00_15316;
													BgL_fz00_15315 = BgL_fz00_24034;
													goto BgL_recz00_15314;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17650,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15308);
													BgL_val1516z00_5039 = BgL_rz00_15316;
							}}}}}
							POP_EXIT();
							return BgL_val1516z00_5039;
						}
					}
				}
		}
	}



/* <exit:3851> */
	obj_t BGl_zc3exitza33851ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17654,
		obj_t BgL_sz00_17653, obj_t BgL_runz00_17652)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1512z00_5028;

			if (SET_EXIT(BgL_an_exit1512z00_5028))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1512z00_5028 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1512z00_5028, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1513z00_5029;

							BgL_val1513z00_5029 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17652,
								BgL_sz00_17653, BgL_bpz00_17654);
							POP_EXIT();
							return BgL_val1513z00_5029;
						}
					}
				}
		}
	}



/* &run5454 */
	obj_t BGl_z62run5454z62zz__evaluate_compz00(obj_t BgL_envz00_16385,
		obj_t BgL_sz00_16391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16386;
				long BgL_siza7eza7_16387;
				obj_t BgL_valza2za2_16388;
				BgL_ev_absz00_bglt BgL_i1250z00_16389;
				obj_t BgL_bodyz00_16390;

				BgL_iboxesz00_16386 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16385, (int) (((long) 0))));
				BgL_siza7eza7_16387 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16385, (int) (((long) 1))));
				BgL_valza2za2_16388 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16385, (int) (((long) 2))));
				BgL_i1250z00_16389 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16385, (int) (((long) 3))));
				BgL_bodyz00_16390 = PROCEDURE_REF(BgL_envz00_16385, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5041;

					BgL_sz00_5041 = BgL_sz00_16391;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5043;

						BgL_bpz00_5043 = VECTOR_REF(BgL_sz00_5041, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5041,
							BgL_iboxesz00_16386, BgL_bpz00_5043);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5041,
							BgL_valza2za2_16388,
							((long) CINT(BgL_bpz00_5043) + BgL_siza7eza7_16387));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5045;
							obj_t BgL_wherez00_5046;
							obj_t BgL_locz00_5047;

							BgL_z12denvz12_5045 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5046 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16389))->BgL_wherez00);
							BgL_locz00_5047 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16389))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5045, BgL_wherez00_5046,
									BgL_locz00_5047);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5048;

									BgL_za2za2resza2za2z00_5048 =
										PROCEDURE_ENTRY(BgL_bodyz00_16390) (BgL_bodyz00_16390,
										BgL_sz00_5041, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5045);
									return BgL_za2za2resza2za2z00_5048;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3684> */
	obj_t BGl_z62zc3anonymousza33684ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16392, obj_t BgL_sz00_16396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16393;
				obj_t BgL_bodyz00_16394;
				long BgL_siza7ezd2framez75_16395;

				BgL_i1250z00_16393 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16392, (int) (((long) 0))));
				BgL_bodyz00_16394 = PROCEDURE_REF(BgL_envz00_16392, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16395 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16392, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4666;

					BgL_sz00_4666 = BgL_sz00_16396;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4668;

						BgL_bpz00_4668 = VECTOR_REF(BgL_sz00_4666, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16210;

								BgL_runz00_16210 =
									MAKE_FX_PROCEDURE(BGl_z62run5456z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16210,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16393));
								PROCEDURE_SET(BgL_runz00_16210,
									(int) (((long) 1)), BgL_bodyz00_16394);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16211;

									BgL_mainz00_16211 =
										MAKE_FX_PROCEDURE(BGl_z62main5455z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16211,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16393));
									PROCEDURE_SET(BgL_mainz00_16211,
										(int) (((long) 1)), BgL_bodyz00_16394);
									PROCEDURE_SET(BgL_mainz00_16211,
										(int) (((long) 2)), BgL_runz00_16210);
									PROCEDURE_SET(BgL_mainz00_16211,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16395));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14446;

										BgL_objz00_14446 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16210, BgL_objz00_14446);
										BgL_objz00_14446;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3685z00_4671;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3686z00_4672;

											BgL_arg3686z00_4672 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16393))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14450;

												BgL_newz00_14450 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24107;

													BgL_auxz00_24107 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14450, BgL_auxz00_24107,
														BgL_arg3686z00_4672);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24112;
													int BgL_auxz00_24110;

													BgL_auxz00_24112 = BINT(BgL_siza7ezd2framez75_16395);
													BgL_auxz00_24110 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14450, BgL_auxz00_24110,
														BgL_auxz00_24112);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24115;

													BgL_auxz00_24115 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14450, BgL_auxz00_24115,
														BgL_runz00_16210);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24120;
													int BgL_auxz00_24118;

													BgL_auxz00_24120 = BINT(((long) 4));
													BgL_auxz00_24118 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14450, BgL_auxz00_24118,
														BgL_auxz00_24120);
												}
												BgL_arg3685z00_4671 = BgL_newz00_14450;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16211, BgL_arg3685z00_4671);
										BgL_arg3685z00_4671;
									}
									return BgL_mainz00_16211;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5455 */
	obj_t BGl_z62main5455z62zz__evaluate_compz00(obj_t BgL_envz00_16397,
		obj_t BgL_az00_16402, obj_t BgL_bz00_16403, obj_t BgL_cz00_16404,
		obj_t BgL_dz00_16405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16400;
				long BgL_siza7ezd2framez75_16401;

				BgL_runz00_16400 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16397, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16401 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16397, (int) (((long) 3))));
				{
					obj_t BgL_az00_4673;
					obj_t BgL_bz00_4674;
					obj_t BgL_cz00_4675;
					obj_t BgL_dz00_4676;

					BgL_az00_4673 = BgL_az00_16402;
					BgL_bz00_4674 = BgL_bz00_16403;
					BgL_cz00_4675 = BgL_cz00_16404;
					BgL_dz00_4676 = BgL_dz00_16405;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4678;

						BgL_sz00_4678 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4679;

							BgL_bpz00_4679 = VECTOR_REF(BgL_sz00_4678, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24133;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14363;

									BgL_arg1908z00_14363 = VECTOR_LENGTH(BgL_sz00_4678);
									BgL_testz00_24133 =
										(
										((long) CINT(BgL_bpz00_4679) +
											BgL_siza7ezd2framez75_16401) <
										(long) (BgL_arg1908z00_14363));
								}
								if (BgL_testz00_24133)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3689z00_4681;

											BgL_arg3689z00_4681 =
												((long) CINT(BgL_bpz00_4679) + ((long) 0));
											VECTOR_SET(BgL_sz00_4678,
												(int) (BgL_arg3689z00_4681), BgL_az00_4673);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3690z00_4682;

											BgL_arg3690z00_4682 =
												((long) CINT(BgL_bpz00_4679) + ((long) 1));
											VECTOR_SET(BgL_sz00_4678,
												(int) (BgL_arg3690z00_4682), BgL_bz00_4674);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3691z00_4683;

											BgL_arg3691z00_4683 =
												((long) CINT(BgL_bpz00_4679) + ((long) 2));
											VECTOR_SET(BgL_sz00_4678,
												(int) (BgL_arg3691z00_4683), BgL_cz00_4675);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3692z00_4684;

											BgL_arg3692z00_4684 =
												((long) CINT(BgL_bpz00_4679) + ((long) 3));
											VECTOR_SET(BgL_sz00_4678,
												(int) (BgL_arg3692z00_4684), BgL_dz00_4676);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1469z00_4685;

											BgL_val1469z00_4685 =
												BGl_zc3exitza33696ze3z83zz__evaluate_compz00
												(BgL_bpz00_4679, BgL_sz00_4678, BgL_runz00_16400);
											VECTOR_SET(BgL_sz00_4678, (int) (((long) 0)),
												BgL_bpz00_4679);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1469z00_4685)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1469z00_4685), CDR(BgL_val1469z00_4685));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1469z00_4685;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4692;

										BgL_nsz00_4692 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4692,
											(int) (((long) 1)), BgL_sz00_4678);
										VECTOR_SET(BgL_nsz00_4692,
											(int) (((long) 2)), BgL_az00_4673);
										VECTOR_SET(BgL_nsz00_4692,
											(int) (((long) 3)), BgL_bz00_4674);
										VECTOR_SET(BgL_nsz00_4692,
											(int) (((long) 4)), BgL_cz00_4675);
										VECTOR_SET(BgL_nsz00_4692,
											(int) (((long) 5)), BgL_dz00_4676);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24175;

											BgL_auxz00_24175 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24175, BgL_nsz00_4692);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1472z00_4694;

											BgL_val1472z00_4694 =
												BGl_zc3exitza33702ze3z83zz__evaluate_compz00
												(BgL_runz00_16400, BgL_nsz00_4692);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24179;

												BgL_auxz00_24179 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24179, BgL_sz00_4678);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1472z00_4694)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1472z00_4694), CDR(BgL_val1472z00_4694));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1472z00_4694;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3702> */
	obj_t BGl_zc3exitza33702ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17646,
		obj_t BgL_nsz00_17645)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1473z00_4700;

			if (SET_EXIT(BgL_an_exit1473z00_4700))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1473z00_4700 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1473z00_4700, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1474z00_4701;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14418;

								BgL_savedzd2bpzd2_14418 =
									VECTOR_REF(BgL_nsz00_17645, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17645,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14425;

									BgL_fz00_14425 = BgL_runz00_17646;
								BgL_recz00_14424:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14426;

										BgL_rz00_14426 =
											PROCEDURE_ENTRY(BgL_fz00_14425) (BgL_fz00_14425,
											BgL_nsz00_17645, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24200;

											if (PROCEDUREP(BgL_rz00_14426))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14431;

													BgL_arg1899z00_14431 = PROCEDURE_ATTR(BgL_rz00_14426);
													if (STRUCTP(BgL_arg1899z00_14431))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24200 =
																(STRUCT_KEY(BgL_arg1899z00_14431) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24200 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24200 = ((bool_t) 0);
												}
											if (BgL_testz00_24200)
												{
													obj_t BgL_fz00_24208;

													BgL_fz00_24208 = BgL_rz00_14426;
													BgL_fz00_14425 = BgL_fz00_24208;
													goto BgL_recz00_14424;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17645,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14418);
													BgL_val1474z00_4701 = BgL_rz00_14426;
							}}}}}
							POP_EXIT();
							return BgL_val1474z00_4701;
						}
					}
				}
		}
	}



/* <exit:3696> */
	obj_t BGl_zc3exitza33696ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17649,
		obj_t BgL_sz00_17648, obj_t BgL_runz00_17647)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1470z00_4690;

			if (SET_EXIT(BgL_an_exit1470z00_4690))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1470z00_4690 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1470z00_4690, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1471z00_4691;

							BgL_val1471z00_4691 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17647,
								BgL_sz00_17648, BgL_bpz00_17649);
							POP_EXIT();
							return BgL_val1471z00_4691;
						}
					}
				}
		}
	}



/* &run5456 */
	obj_t BGl_z62run5456z62zz__evaluate_compz00(obj_t BgL_envz00_16406,
		obj_t BgL_sz00_16409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16407;
				obj_t BgL_bodyz00_16408;

				BgL_i1250z00_16407 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16406, (int) (((long) 0))));
				BgL_bodyz00_16408 = PROCEDURE_REF(BgL_envz00_16406, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4703;

					BgL_sz00_4703 = BgL_sz00_16409;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4705;

						BgL_bpz00_4705 = VECTOR_REF(BgL_sz00_4703, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4706;
							obj_t BgL_wherez00_4707;
							obj_t BgL_locz00_4708;

							BgL_z12denvz12_4706 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4707 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16407))->BgL_wherez00);
							BgL_locz00_4708 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16407))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4706, BgL_wherez00_4707,
									BgL_locz00_4708);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4709;

									BgL_za2za2resza2za2z00_4709 =
										PROCEDURE_ENTRY(BgL_bodyz00_16408) (BgL_bodyz00_16408,
										BgL_sz00_4703, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4706);
									return BgL_za2za2resza2za2z00_4709;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3704> */
	obj_t BGl_z62zc3anonymousza33704ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16410, obj_t BgL_sz00_16415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16411;
				BgL_ev_absz00_bglt BgL_i1250z00_16412;
				obj_t BgL_bodyz00_16413;
				long BgL_siza7ezd2framez75_16414;

				BgL_iboxesz00_16411 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16410, (int) (((long) 0))));
				BgL_i1250z00_16412 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16410, (int) (((long) 1))));
				BgL_bodyz00_16413 = PROCEDURE_REF(BgL_envz00_16410, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16414 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16410, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4711;

					BgL_sz00_4711 = BgL_sz00_16415;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4713;

						BgL_bpz00_4713 = VECTOR_REF(BgL_sz00_4711, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16207;

								BgL_runz00_16207 =
									MAKE_FX_PROCEDURE(BGl_z62run5458z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16207,
									(int) (((long) 0)), BgL_iboxesz00_16411);
								PROCEDURE_SET(BgL_runz00_16207,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16412));
								PROCEDURE_SET(BgL_runz00_16207,
									(int) (((long) 2)), BgL_bodyz00_16413);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16208;

									BgL_mainz00_16208 =
										MAKE_FX_PROCEDURE(BGl_z62main5457z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16208,
										(int) (((long) 0)), BgL_iboxesz00_16411);
									PROCEDURE_SET(BgL_mainz00_16208,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16412));
									PROCEDURE_SET(BgL_mainz00_16208,
										(int) (((long) 2)), BgL_bodyz00_16413);
									PROCEDURE_SET(BgL_mainz00_16208,
										(int) (((long) 3)), BgL_runz00_16207);
									PROCEDURE_SET(BgL_mainz00_16208,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16414));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14564;

										BgL_objz00_14564 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16207, BgL_objz00_14564);
										BgL_objz00_14564;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3705z00_4716;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3706z00_4717;

											BgL_arg3706z00_4717 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16412))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14568;

												BgL_newz00_14568 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24275;

													BgL_auxz00_24275 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14568, BgL_auxz00_24275,
														BgL_arg3706z00_4717);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24280;
													int BgL_auxz00_24278;

													BgL_auxz00_24280 = BINT(BgL_siza7ezd2framez75_16414);
													BgL_auxz00_24278 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14568, BgL_auxz00_24278,
														BgL_auxz00_24280);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24283;

													BgL_auxz00_24283 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14568, BgL_auxz00_24283,
														BgL_runz00_16207);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24288;
													int BgL_auxz00_24286;

													BgL_auxz00_24288 = BINT(((long) 4));
													BgL_auxz00_24286 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14568, BgL_auxz00_24286,
														BgL_auxz00_24288);
												}
												BgL_arg3705z00_4716 = BgL_newz00_14568;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16208, BgL_arg3705z00_4716);
										BgL_arg3705z00_4716;
									}
									return BgL_mainz00_16208;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5457 */
	obj_t BGl_z62main5457z62zz__evaluate_compz00(obj_t BgL_envz00_16416,
		obj_t BgL_az00_16422, obj_t BgL_bz00_16423, obj_t BgL_cz00_16424,
		obj_t BgL_dz00_16425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16420;
				long BgL_siza7ezd2framez75_16421;

				BgL_runz00_16420 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16416, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16421 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16416, (int) (((long) 4))));
				{
					obj_t BgL_az00_4718;
					obj_t BgL_bz00_4719;
					obj_t BgL_cz00_4720;
					obj_t BgL_dz00_4721;

					BgL_az00_4718 = BgL_az00_16422;
					BgL_bz00_4719 = BgL_bz00_16423;
					BgL_cz00_4720 = BgL_cz00_16424;
					BgL_dz00_4721 = BgL_dz00_16425;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4723;

						BgL_sz00_4723 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4724;

							BgL_bpz00_4724 = VECTOR_REF(BgL_sz00_4723, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24301;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14481;

									BgL_arg1908z00_14481 = VECTOR_LENGTH(BgL_sz00_4723);
									BgL_testz00_24301 =
										(
										((long) CINT(BgL_bpz00_4724) +
											BgL_siza7ezd2framez75_16421) <
										(long) (BgL_arg1908z00_14481));
								}
								if (BgL_testz00_24301)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3709z00_4726;

											BgL_arg3709z00_4726 =
												((long) CINT(BgL_bpz00_4724) + ((long) 0));
											VECTOR_SET(BgL_sz00_4723,
												(int) (BgL_arg3709z00_4726), BgL_az00_4718);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3710z00_4727;

											BgL_arg3710z00_4727 =
												((long) CINT(BgL_bpz00_4724) + ((long) 1));
											VECTOR_SET(BgL_sz00_4723,
												(int) (BgL_arg3710z00_4727), BgL_bz00_4719);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3711z00_4728;

											BgL_arg3711z00_4728 =
												((long) CINT(BgL_bpz00_4724) + ((long) 2));
											VECTOR_SET(BgL_sz00_4723,
												(int) (BgL_arg3711z00_4728), BgL_cz00_4720);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3712z00_4729;

											BgL_arg3712z00_4729 =
												((long) CINT(BgL_bpz00_4724) + ((long) 3));
											VECTOR_SET(BgL_sz00_4723,
												(int) (BgL_arg3712z00_4729), BgL_dz00_4721);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1475z00_4730;

											BgL_val1475z00_4730 =
												BGl_zc3exitza33716ze3z83zz__evaluate_compz00
												(BgL_bpz00_4724, BgL_sz00_4723, BgL_runz00_16420);
											VECTOR_SET(BgL_sz00_4723, (int) (((long) 0)),
												BgL_bpz00_4724);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1475z00_4730)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1475z00_4730), CDR(BgL_val1475z00_4730));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1475z00_4730;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4737;

										BgL_nsz00_4737 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 1)), BgL_sz00_4723);
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 2)), BgL_az00_4718);
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 3)), BgL_bz00_4719);
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 4)), BgL_cz00_4720);
										VECTOR_SET(BgL_nsz00_4737,
											(int) (((long) 5)), BgL_dz00_4721);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24343;

											BgL_auxz00_24343 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24343, BgL_nsz00_4737);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1478z00_4739;

											BgL_val1478z00_4739 =
												BGl_zc3exitza33722ze3z83zz__evaluate_compz00
												(BgL_runz00_16420, BgL_nsz00_4737);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24347;

												BgL_auxz00_24347 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24347, BgL_sz00_4723);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1478z00_4739)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1478z00_4739), CDR(BgL_val1478z00_4739));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1478z00_4739;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3722> */
	obj_t BGl_zc3exitza33722ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17641,
		obj_t BgL_nsz00_17640)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1479z00_4745;

			if (SET_EXIT(BgL_an_exit1479z00_4745))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1479z00_4745 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1479z00_4745, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1480z00_4746;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14536;

								BgL_savedzd2bpzd2_14536 =
									VECTOR_REF(BgL_nsz00_17640, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17640,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14543;

									BgL_fz00_14543 = BgL_runz00_17641;
								BgL_recz00_14542:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14544;

										BgL_rz00_14544 =
											PROCEDURE_ENTRY(BgL_fz00_14543) (BgL_fz00_14543,
											BgL_nsz00_17640, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24368;

											if (PROCEDUREP(BgL_rz00_14544))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14549;

													BgL_arg1899z00_14549 = PROCEDURE_ATTR(BgL_rz00_14544);
													if (STRUCTP(BgL_arg1899z00_14549))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24368 =
																(STRUCT_KEY(BgL_arg1899z00_14549) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24368 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24368 = ((bool_t) 0);
												}
											if (BgL_testz00_24368)
												{
													obj_t BgL_fz00_24376;

													BgL_fz00_24376 = BgL_rz00_14544;
													BgL_fz00_14543 = BgL_fz00_24376;
													goto BgL_recz00_14542;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17640,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14536);
													BgL_val1480z00_4746 = BgL_rz00_14544;
							}}}}}
							POP_EXIT();
							return BgL_val1480z00_4746;
						}
					}
				}
		}
	}



/* <exit:3716> */
	obj_t BGl_zc3exitza33716ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17644,
		obj_t BgL_sz00_17643, obj_t BgL_runz00_17642)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1476z00_4735;

			if (SET_EXIT(BgL_an_exit1476z00_4735))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1476z00_4735 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1476z00_4735, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1477z00_4736;

							BgL_val1477z00_4736 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17642,
								BgL_sz00_17643, BgL_bpz00_17644);
							POP_EXIT();
							return BgL_val1477z00_4736;
						}
					}
				}
		}
	}



/* &run5458 */
	obj_t BGl_z62run5458z62zz__evaluate_compz00(obj_t BgL_envz00_16426,
		obj_t BgL_sz00_16430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16427;
				BgL_ev_absz00_bglt BgL_i1250z00_16428;
				obj_t BgL_bodyz00_16429;

				BgL_iboxesz00_16427 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16426, (int) (((long) 0))));
				BgL_i1250z00_16428 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16426, (int) (((long) 1))));
				BgL_bodyz00_16429 = PROCEDURE_REF(BgL_envz00_16426, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4748;

					BgL_sz00_4748 = BgL_sz00_16430;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4750;

						BgL_bpz00_4750 = VECTOR_REF(BgL_sz00_4748, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4748,
							BgL_iboxesz00_16427, BgL_bpz00_4750);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4751;
							obj_t BgL_wherez00_4752;
							obj_t BgL_locz00_4753;

							BgL_z12denvz12_4751 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4752 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16428))->BgL_wherez00);
							BgL_locz00_4753 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16428))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4751, BgL_wherez00_4752,
									BgL_locz00_4753);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4754;

									BgL_za2za2resza2za2z00_4754 =
										PROCEDURE_ENTRY(BgL_bodyz00_16429) (BgL_bodyz00_16429,
										BgL_sz00_4748, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4751);
									return BgL_za2za2resza2za2z00_4754;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3726> */
	obj_t BGl_z62zc3anonymousza33726ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16431, obj_t BgL_sz00_16437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16432;
				long BgL_siza7eza7_16433;
				BgL_ev_absz00_bglt BgL_i1250z00_16434;
				obj_t BgL_bodyz00_16435;
				long BgL_siza7ezd2framez75_16436;

				BgL_ifreesz00_16432 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 0))));
				BgL_siza7eza7_16433 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 1))));
				BgL_i1250z00_16434 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 2))));
				BgL_bodyz00_16435 = PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16436 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16431, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4758;

					BgL_sz00_4758 = BgL_sz00_16437;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4760;

						BgL_bpz00_4760 = VECTOR_REF(BgL_sz00_4758, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4761;

							BgL_valza2za2_4761 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4758,
								BgL_bpz00_4760, BgL_ifreesz00_16432);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16204;

								BgL_runz00_16204 =
									MAKE_FX_PROCEDURE(BGl_z62run5460z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16204,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16433));
								PROCEDURE_SET(BgL_runz00_16204,
									(int) (((long) 1)), BgL_valza2za2_4761);
								PROCEDURE_SET(BgL_runz00_16204,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16434));
								PROCEDURE_SET(BgL_runz00_16204,
									(int) (((long) 3)), BgL_bodyz00_16435);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16205;

									BgL_mainz00_16205 =
										MAKE_FX_PROCEDURE(BGl_z62main5459z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16205,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16433));
									PROCEDURE_SET(BgL_mainz00_16205,
										(int) (((long) 1)), BgL_valza2za2_4761);
									PROCEDURE_SET(BgL_mainz00_16205,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16434));
									PROCEDURE_SET(BgL_mainz00_16205,
										(int) (((long) 3)), BgL_bodyz00_16435);
									PROCEDURE_SET(BgL_mainz00_16205,
										(int) (((long) 4)), BgL_runz00_16204);
									PROCEDURE_SET(BgL_mainz00_16205,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16436));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14689;

										BgL_objz00_14689 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16204, BgL_objz00_14689);
										BgL_objz00_14689;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3727z00_4764;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3728z00_4765;

											BgL_arg3728z00_4765 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16434))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14693;

												BgL_newz00_14693 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24457;

													BgL_auxz00_24457 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14693, BgL_auxz00_24457,
														BgL_arg3728z00_4765);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24462;
													int BgL_auxz00_24460;

													BgL_auxz00_24462 = BINT(BgL_siza7ezd2framez75_16436);
													BgL_auxz00_24460 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14693, BgL_auxz00_24460,
														BgL_auxz00_24462);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24465;

													BgL_auxz00_24465 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14693, BgL_auxz00_24465,
														BgL_runz00_16204);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24470;
													int BgL_auxz00_24468;

													BgL_auxz00_24470 = BINT(((long) 4));
													BgL_auxz00_24468 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14693, BgL_auxz00_24468,
														BgL_auxz00_24470);
												}
												BgL_arg3727z00_4764 = BgL_newz00_14693;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16205, BgL_arg3727z00_4764);
										BgL_arg3727z00_4764;
									}
									return BgL_mainz00_16205;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5459 */
	obj_t BGl_z62main5459z62zz__evaluate_compz00(obj_t BgL_envz00_16438,
		obj_t BgL_az00_16445, obj_t BgL_bz00_16446, obj_t BgL_cz00_16447,
		obj_t BgL_dz00_16448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16443;
				long BgL_siza7ezd2framez75_16444;

				BgL_runz00_16443 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16438, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16444 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16438, (int) (((long) 5))));
				{
					obj_t BgL_az00_4766;
					obj_t BgL_bz00_4767;
					obj_t BgL_cz00_4768;
					obj_t BgL_dz00_4769;

					BgL_az00_4766 = BgL_az00_16445;
					BgL_bz00_4767 = BgL_bz00_16446;
					BgL_cz00_4768 = BgL_cz00_16447;
					BgL_dz00_4769 = BgL_dz00_16448;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4771;

						BgL_sz00_4771 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4772;

							BgL_bpz00_4772 = VECTOR_REF(BgL_sz00_4771, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24483;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14606;

									BgL_arg1908z00_14606 = VECTOR_LENGTH(BgL_sz00_4771);
									BgL_testz00_24483 =
										(
										((long) CINT(BgL_bpz00_4772) +
											BgL_siza7ezd2framez75_16444) <
										(long) (BgL_arg1908z00_14606));
								}
								if (BgL_testz00_24483)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3731z00_4774;

											BgL_arg3731z00_4774 =
												((long) CINT(BgL_bpz00_4772) + ((long) 0));
											VECTOR_SET(BgL_sz00_4771,
												(int) (BgL_arg3731z00_4774), BgL_az00_4766);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3732z00_4775;

											BgL_arg3732z00_4775 =
												((long) CINT(BgL_bpz00_4772) + ((long) 1));
											VECTOR_SET(BgL_sz00_4771,
												(int) (BgL_arg3732z00_4775), BgL_bz00_4767);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3733z00_4776;

											BgL_arg3733z00_4776 =
												((long) CINT(BgL_bpz00_4772) + ((long) 2));
											VECTOR_SET(BgL_sz00_4771,
												(int) (BgL_arg3733z00_4776), BgL_cz00_4768);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3734z00_4777;

											BgL_arg3734z00_4777 =
												((long) CINT(BgL_bpz00_4772) + ((long) 3));
											VECTOR_SET(BgL_sz00_4771,
												(int) (BgL_arg3734z00_4777), BgL_dz00_4769);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1481z00_4778;

											BgL_val1481z00_4778 =
												BGl_zc3exitza33738ze3z83zz__evaluate_compz00
												(BgL_bpz00_4772, BgL_sz00_4771, BgL_runz00_16443);
											VECTOR_SET(BgL_sz00_4771, (int) (((long) 0)),
												BgL_bpz00_4772);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1481z00_4778)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1481z00_4778), CDR(BgL_val1481z00_4778));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1481z00_4778;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4785;

										BgL_nsz00_4785 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4785,
											(int) (((long) 1)), BgL_sz00_4771);
										VECTOR_SET(BgL_nsz00_4785,
											(int) (((long) 2)), BgL_az00_4766);
										VECTOR_SET(BgL_nsz00_4785,
											(int) (((long) 3)), BgL_bz00_4767);
										VECTOR_SET(BgL_nsz00_4785,
											(int) (((long) 4)), BgL_cz00_4768);
										VECTOR_SET(BgL_nsz00_4785,
											(int) (((long) 5)), BgL_dz00_4769);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24525;

											BgL_auxz00_24525 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24525, BgL_nsz00_4785);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1484z00_4787;

											BgL_val1484z00_4787 =
												BGl_zc3exitza33744ze3z83zz__evaluate_compz00
												(BgL_runz00_16443, BgL_nsz00_4785);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24529;

												BgL_auxz00_24529 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24529, BgL_sz00_4771);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1484z00_4787)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1484z00_4787), CDR(BgL_val1484z00_4787));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1484z00_4787;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3744> */
	obj_t BGl_zc3exitza33744ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17636,
		obj_t BgL_nsz00_17635)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1485z00_4793;

			if (SET_EXIT(BgL_an_exit1485z00_4793))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1485z00_4793 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1485z00_4793, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1486z00_4794;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14661;

								BgL_savedzd2bpzd2_14661 =
									VECTOR_REF(BgL_nsz00_17635, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17635,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14668;

									BgL_fz00_14668 = BgL_runz00_17636;
								BgL_recz00_14667:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14669;

										BgL_rz00_14669 =
											PROCEDURE_ENTRY(BgL_fz00_14668) (BgL_fz00_14668,
											BgL_nsz00_17635, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24550;

											if (PROCEDUREP(BgL_rz00_14669))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14674;

													BgL_arg1899z00_14674 = PROCEDURE_ATTR(BgL_rz00_14669);
													if (STRUCTP(BgL_arg1899z00_14674))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24550 =
																(STRUCT_KEY(BgL_arg1899z00_14674) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24550 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24550 = ((bool_t) 0);
												}
											if (BgL_testz00_24550)
												{
													obj_t BgL_fz00_24558;

													BgL_fz00_24558 = BgL_rz00_14669;
													BgL_fz00_14668 = BgL_fz00_24558;
													goto BgL_recz00_14667;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17635,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14661);
													BgL_val1486z00_4794 = BgL_rz00_14669;
							}}}}}
							POP_EXIT();
							return BgL_val1486z00_4794;
						}
					}
				}
		}
	}



/* <exit:3738> */
	obj_t BGl_zc3exitza33738ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17639,
		obj_t BgL_sz00_17638, obj_t BgL_runz00_17637)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1482z00_4783;

			if (SET_EXIT(BgL_an_exit1482z00_4783))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1482z00_4783 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1482z00_4783, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1483z00_4784;

							BgL_val1483z00_4784 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17637,
								BgL_sz00_17638, BgL_bpz00_17639);
							POP_EXIT();
							return BgL_val1483z00_4784;
						}
					}
				}
		}
	}



/* &run5460 */
	obj_t BGl_z62run5460z62zz__evaluate_compz00(obj_t BgL_envz00_16449,
		obj_t BgL_sz00_16454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16450;
				obj_t BgL_valza2za2_16451;
				BgL_ev_absz00_bglt BgL_i1250z00_16452;
				obj_t BgL_bodyz00_16453;

				BgL_siza7eza7_16450 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16449, (int) (((long) 0))));
				BgL_valza2za2_16451 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16449, (int) (((long) 1))));
				BgL_i1250z00_16452 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16449, (int) (((long) 2))));
				BgL_bodyz00_16453 = PROCEDURE_REF(BgL_envz00_16449, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4796;

					BgL_sz00_4796 = BgL_sz00_16454;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4798;

						BgL_bpz00_4798 = VECTOR_REF(BgL_sz00_4796, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4796,
							BgL_valza2za2_16451,
							((long) CINT(BgL_bpz00_4798) + BgL_siza7eza7_16450));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4800;
							obj_t BgL_wherez00_4801;
							obj_t BgL_locz00_4802;

							BgL_z12denvz12_4800 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4801 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16452))->BgL_wherez00);
							BgL_locz00_4802 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16452))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4800, BgL_wherez00_4801,
									BgL_locz00_4802);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4803;

									BgL_za2za2resza2za2z00_4803 =
										PROCEDURE_ENTRY(BgL_bodyz00_16453) (BgL_bodyz00_16453,
										BgL_sz00_4796, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4800);
									return BgL_za2za2resza2za2z00_4803;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3747> */
	obj_t BGl_z62zc3anonymousza33747ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16455, obj_t BgL_sz00_16462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16456;
				obj_t BgL_iboxesz00_16457;
				long BgL_siza7eza7_16458;
				BgL_ev_absz00_bglt BgL_i1250z00_16459;
				obj_t BgL_bodyz00_16460;
				long BgL_siza7ezd2framez75_16461;

				BgL_ifreesz00_16456 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 0))));
				BgL_iboxesz00_16457 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 1))));
				BgL_siza7eza7_16458 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 2))));
				BgL_i1250z00_16459 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 3))));
				BgL_bodyz00_16460 = PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16461 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16455, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4805;

					BgL_sz00_4805 = BgL_sz00_16462;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4807;

						BgL_bpz00_4807 = VECTOR_REF(BgL_sz00_4805, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4808;

							BgL_valza2za2_4808 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4805,
								BgL_bpz00_4807, BgL_ifreesz00_16456);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16201;

								BgL_runz00_16201 =
									MAKE_FX_PROCEDURE(BGl_z62run5462z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16201,
									(int) (((long) 0)), BgL_iboxesz00_16457);
								PROCEDURE_SET(BgL_runz00_16201,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16458));
								PROCEDURE_SET(BgL_runz00_16201,
									(int) (((long) 2)), BgL_valza2za2_4808);
								PROCEDURE_SET(BgL_runz00_16201,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16459));
								PROCEDURE_SET(BgL_runz00_16201,
									(int) (((long) 4)), BgL_bodyz00_16460);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16202;

									BgL_mainz00_16202 =
										MAKE_FX_PROCEDURE(BGl_z62main5461z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16202,
										(int) (((long) 0)), BgL_iboxesz00_16457);
									PROCEDURE_SET(BgL_mainz00_16202,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16458));
									PROCEDURE_SET(BgL_mainz00_16202,
										(int) (((long) 2)), BgL_valza2za2_4808);
									PROCEDURE_SET(BgL_mainz00_16202,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16459));
									PROCEDURE_SET(BgL_mainz00_16202,
										(int) (((long) 4)), BgL_bodyz00_16460);
									PROCEDURE_SET(BgL_mainz00_16202,
										(int) (((long) 5)), BgL_runz00_16201);
									PROCEDURE_SET(BgL_mainz00_16202,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16461));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14810;

										BgL_objz00_14810 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16201, BgL_objz00_14810);
										BgL_objz00_14810;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3748z00_4811;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3749z00_4812;

											BgL_arg3749z00_4812 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16459))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14814;

												BgL_newz00_14814 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24651;

													BgL_auxz00_24651 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14814, BgL_auxz00_24651,
														BgL_arg3749z00_4812);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24656;
													int BgL_auxz00_24654;

													BgL_auxz00_24656 = BINT(BgL_siza7ezd2framez75_16461);
													BgL_auxz00_24654 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14814, BgL_auxz00_24654,
														BgL_auxz00_24656);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24659;

													BgL_auxz00_24659 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14814, BgL_auxz00_24659,
														BgL_runz00_16201);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24664;
													int BgL_auxz00_24662;

													BgL_auxz00_24664 = BINT(((long) 4));
													BgL_auxz00_24662 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14814, BgL_auxz00_24662,
														BgL_auxz00_24664);
												}
												BgL_arg3748z00_4811 = BgL_newz00_14814;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16202, BgL_arg3748z00_4811);
										BgL_arg3748z00_4811;
									}
									return BgL_mainz00_16202;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5461 */
	obj_t BGl_z62main5461z62zz__evaluate_compz00(obj_t BgL_envz00_16463,
		obj_t BgL_az00_16471, obj_t BgL_bz00_16472, obj_t BgL_cz00_16473,
		obj_t BgL_dz00_16474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16469;
				long BgL_siza7ezd2framez75_16470;

				BgL_runz00_16469 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16463, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16470 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16463, (int) (((long) 6))));
				{
					obj_t BgL_az00_4813;
					obj_t BgL_bz00_4814;
					obj_t BgL_cz00_4815;
					obj_t BgL_dz00_4816;

					BgL_az00_4813 = BgL_az00_16471;
					BgL_bz00_4814 = BgL_bz00_16472;
					BgL_cz00_4815 = BgL_cz00_16473;
					BgL_dz00_4816 = BgL_dz00_16474;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4818;

						BgL_sz00_4818 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4819;

							BgL_bpz00_4819 = VECTOR_REF(BgL_sz00_4818, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24677;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14727;

									BgL_arg1908z00_14727 = VECTOR_LENGTH(BgL_sz00_4818);
									BgL_testz00_24677 =
										(
										((long) CINT(BgL_bpz00_4819) +
											BgL_siza7ezd2framez75_16470) <
										(long) (BgL_arg1908z00_14727));
								}
								if (BgL_testz00_24677)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3752z00_4821;

											BgL_arg3752z00_4821 =
												((long) CINT(BgL_bpz00_4819) + ((long) 0));
											VECTOR_SET(BgL_sz00_4818,
												(int) (BgL_arg3752z00_4821), BgL_az00_4813);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3753z00_4822;

											BgL_arg3753z00_4822 =
												((long) CINT(BgL_bpz00_4819) + ((long) 1));
											VECTOR_SET(BgL_sz00_4818,
												(int) (BgL_arg3753z00_4822), BgL_bz00_4814);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3754z00_4823;

											BgL_arg3754z00_4823 =
												((long) CINT(BgL_bpz00_4819) + ((long) 2));
											VECTOR_SET(BgL_sz00_4818,
												(int) (BgL_arg3754z00_4823), BgL_cz00_4815);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3755z00_4824;

											BgL_arg3755z00_4824 =
												((long) CINT(BgL_bpz00_4819) + ((long) 3));
											VECTOR_SET(BgL_sz00_4818,
												(int) (BgL_arg3755z00_4824), BgL_dz00_4816);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1487z00_4825;

											BgL_val1487z00_4825 =
												BGl_zc3exitza33759ze3z83zz__evaluate_compz00
												(BgL_bpz00_4819, BgL_sz00_4818, BgL_runz00_16469);
											VECTOR_SET(BgL_sz00_4818, (int) (((long) 0)),
												BgL_bpz00_4819);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1487z00_4825)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1487z00_4825), CDR(BgL_val1487z00_4825));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1487z00_4825;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4832;

										BgL_nsz00_4832 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4832,
											(int) (((long) 1)), BgL_sz00_4818);
										VECTOR_SET(BgL_nsz00_4832,
											(int) (((long) 2)), BgL_az00_4813);
										VECTOR_SET(BgL_nsz00_4832,
											(int) (((long) 3)), BgL_bz00_4814);
										VECTOR_SET(BgL_nsz00_4832,
											(int) (((long) 4)), BgL_cz00_4815);
										VECTOR_SET(BgL_nsz00_4832,
											(int) (((long) 5)), BgL_dz00_4816);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24719;

											BgL_auxz00_24719 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24719, BgL_nsz00_4832);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1490z00_4834;

											BgL_val1490z00_4834 =
												BGl_zc3exitza33765ze3z83zz__evaluate_compz00
												(BgL_runz00_16469, BgL_nsz00_4832);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24723;

												BgL_auxz00_24723 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24723, BgL_sz00_4818);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1490z00_4834)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1490z00_4834), CDR(BgL_val1490z00_4834));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1490z00_4834;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3765> */
	obj_t BGl_zc3exitza33765ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17631,
		obj_t BgL_nsz00_17630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1491z00_4840;

			if (SET_EXIT(BgL_an_exit1491z00_4840))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1491z00_4840 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1491z00_4840, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1492z00_4841;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14782;

								BgL_savedzd2bpzd2_14782 =
									VECTOR_REF(BgL_nsz00_17630, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17630,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14789;

									BgL_fz00_14789 = BgL_runz00_17631;
								BgL_recz00_14788:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14790;

										BgL_rz00_14790 =
											PROCEDURE_ENTRY(BgL_fz00_14789) (BgL_fz00_14789,
											BgL_nsz00_17630, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24744;

											if (PROCEDUREP(BgL_rz00_14790))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14795;

													BgL_arg1899z00_14795 = PROCEDURE_ATTR(BgL_rz00_14790);
													if (STRUCTP(BgL_arg1899z00_14795))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24744 =
																(STRUCT_KEY(BgL_arg1899z00_14795) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24744 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24744 = ((bool_t) 0);
												}
											if (BgL_testz00_24744)
												{
													obj_t BgL_fz00_24752;

													BgL_fz00_24752 = BgL_rz00_14790;
													BgL_fz00_14789 = BgL_fz00_24752;
													goto BgL_recz00_14788;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17630,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14782);
													BgL_val1492z00_4841 = BgL_rz00_14790;
							}}}}}
							POP_EXIT();
							return BgL_val1492z00_4841;
						}
					}
				}
		}
	}



/* <exit:3759> */
	obj_t BGl_zc3exitza33759ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17634,
		obj_t BgL_sz00_17633, obj_t BgL_runz00_17632)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1488z00_4830;

			if (SET_EXIT(BgL_an_exit1488z00_4830))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1488z00_4830 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1488z00_4830, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1489z00_4831;

							BgL_val1489z00_4831 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17632,
								BgL_sz00_17633, BgL_bpz00_17634);
							POP_EXIT();
							return BgL_val1489z00_4831;
						}
					}
				}
		}
	}



/* &run5462 */
	obj_t BGl_z62run5462z62zz__evaluate_compz00(obj_t BgL_envz00_16475,
		obj_t BgL_sz00_16481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16476;
				long BgL_siza7eza7_16477;
				obj_t BgL_valza2za2_16478;
				BgL_ev_absz00_bglt BgL_i1250z00_16479;
				obj_t BgL_bodyz00_16480;

				BgL_iboxesz00_16476 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16475, (int) (((long) 0))));
				BgL_siza7eza7_16477 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16475, (int) (((long) 1))));
				BgL_valza2za2_16478 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16475, (int) (((long) 2))));
				BgL_i1250z00_16479 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16475, (int) (((long) 3))));
				BgL_bodyz00_16480 = PROCEDURE_REF(BgL_envz00_16475, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4843;

					BgL_sz00_4843 = BgL_sz00_16481;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4845;

						BgL_bpz00_4845 = VECTOR_REF(BgL_sz00_4843, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4843,
							BgL_iboxesz00_16476, BgL_bpz00_4845);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4843,
							BgL_valza2za2_16478,
							((long) CINT(BgL_bpz00_4845) + BgL_siza7eza7_16477));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4847;
							obj_t BgL_wherez00_4848;
							obj_t BgL_locz00_4849;

							BgL_z12denvz12_4847 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4848 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16479))->BgL_wherez00);
							BgL_locz00_4849 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16479))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4847, BgL_wherez00_4848,
									BgL_locz00_4849);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4850;

									BgL_za2za2resza2za2z00_4850 =
										PROCEDURE_ENTRY(BgL_bodyz00_16480) (BgL_bodyz00_16480,
										BgL_sz00_4843, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4847);
									return BgL_za2za2resza2za2z00_4850;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3596> */
	obj_t BGl_z62zc3anonymousza33596ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16482, obj_t BgL_sz00_16486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16483;
				obj_t BgL_bodyz00_16484;
				long BgL_siza7ezd2framez75_16485;

				BgL_i1250z00_16483 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16482, (int) (((long) 0))));
				BgL_bodyz00_16484 = PROCEDURE_REF(BgL_envz00_16482, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16485 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16482, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4476;

					BgL_sz00_4476 = BgL_sz00_16486;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4478;

						BgL_bpz00_4478 = VECTOR_REF(BgL_sz00_4476, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16198;

								BgL_runz00_16198 =
									MAKE_FX_PROCEDURE(BGl_z62run5464z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16198,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16483));
								PROCEDURE_SET(BgL_runz00_16198,
									(int) (((long) 1)), BgL_bodyz00_16484);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16199;

									BgL_mainz00_16199 =
										MAKE_VA_PROCEDURE(BGl_z62main5463z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16483));
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 1)), BgL_bodyz00_16484);
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 2)), BgL_runz00_16198);
									PROCEDURE_SET(BgL_mainz00_16199,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16485));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13956;

										BgL_objz00_13956 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16198, BgL_objz00_13956);
										BgL_objz00_13956;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3597z00_4481;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3598z00_4482;

											BgL_arg3598z00_4482 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16483))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13960;

												BgL_newz00_13960 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24825;

													BgL_auxz00_24825 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13960, BgL_auxz00_24825,
														BgL_arg3598z00_4482);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24830;
													int BgL_auxz00_24828;

													BgL_auxz00_24830 = BINT(BgL_siza7ezd2framez75_16485);
													BgL_auxz00_24828 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13960, BgL_auxz00_24828,
														BgL_auxz00_24830);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24833;

													BgL_auxz00_24833 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13960, BgL_auxz00_24833,
														BgL_runz00_16198);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24838;
													int BgL_auxz00_24836;

													BgL_auxz00_24838 = BINT(((long) -4));
													BgL_auxz00_24836 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13960, BgL_auxz00_24836,
														BgL_auxz00_24838);
												}
												BgL_arg3597z00_4481 = BgL_newz00_13960;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16199, BgL_arg3597z00_4481);
										BgL_arg3597z00_4481;
									}
									return BgL_mainz00_16199;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5463 */
	obj_t BGl_z62main5463z62zz__evaluate_compz00(obj_t BgL_envz00_16487,
		obj_t BgL_bz00_16492, obj_t BgL_cz00_16493, obj_t BgL_dz00_16494,
		obj_t BgL_lastz00_16495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16490;
				long BgL_siza7ezd2framez75_16491;

				BgL_runz00_16490 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16487, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16491 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16487, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4483;
					obj_t BgL_cz00_4484;
					obj_t BgL_dz00_4485;
					obj_t BgL_lastz00_4486;

					BgL_bz00_4483 = BgL_bz00_16492;
					BgL_cz00_4484 = BgL_cz00_16493;
					BgL_dz00_4485 = BgL_dz00_16494;
					BgL_lastz00_4486 = BgL_lastz00_16495;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4488;

						BgL_sz00_4488 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4489;

							BgL_bpz00_4489 = VECTOR_REF(BgL_sz00_4488, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24851;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13873;

									BgL_arg1908z00_13873 = VECTOR_LENGTH(BgL_sz00_4488);
									BgL_testz00_24851 =
										(
										((long) CINT(BgL_bpz00_4489) +
											BgL_siza7ezd2framez75_16491) <
										(long) (BgL_arg1908z00_13873));
								}
								if (BgL_testz00_24851)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3601z00_4491;

											BgL_arg3601z00_4491 =
												((long) CINT(BgL_bpz00_4489) + ((long) 0));
											VECTOR_SET(BgL_sz00_4488,
												(int) (BgL_arg3601z00_4491), BgL_bz00_4483);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3602z00_4492;

											BgL_arg3602z00_4492 =
												((long) CINT(BgL_bpz00_4489) + ((long) 1));
											VECTOR_SET(BgL_sz00_4488,
												(int) (BgL_arg3602z00_4492), BgL_cz00_4484);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3603z00_4493;

											BgL_arg3603z00_4493 =
												((long) CINT(BgL_bpz00_4489) + ((long) 2));
											VECTOR_SET(BgL_sz00_4488,
												(int) (BgL_arg3603z00_4493), BgL_dz00_4485);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3604z00_4494;

											BgL_arg3604z00_4494 =
												((long) CINT(BgL_bpz00_4489) + ((long) 3));
											VECTOR_SET(BgL_sz00_4488,
												(int) (BgL_arg3604z00_4494), BgL_lastz00_4486);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1445z00_4495;

											BgL_val1445z00_4495 =
												BGl_zc3exitza33608ze3z83zz__evaluate_compz00
												(BgL_bpz00_4489, BgL_sz00_4488, BgL_runz00_16490);
											VECTOR_SET(BgL_sz00_4488, (int) (((long) 0)),
												BgL_bpz00_4489);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1445z00_4495)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1445z00_4495), CDR(BgL_val1445z00_4495));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1445z00_4495;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4502;

										BgL_nsz00_4502 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4502,
											(int) (((long) 1)), BgL_sz00_4488);
										VECTOR_SET(BgL_nsz00_4502,
											(int) (((long) 2)), BgL_bz00_4483);
										VECTOR_SET(BgL_nsz00_4502,
											(int) (((long) 3)), BgL_cz00_4484);
										VECTOR_SET(BgL_nsz00_4502,
											(int) (((long) 4)), BgL_dz00_4485);
										VECTOR_SET(BgL_nsz00_4502,
											(int) (((long) 5)), BgL_lastz00_4486);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24893;

											BgL_auxz00_24893 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24893, BgL_nsz00_4502);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1448z00_4504;

											BgL_val1448z00_4504 =
												BGl_zc3exitza33614ze3z83zz__evaluate_compz00
												(BgL_runz00_16490, BgL_nsz00_4502);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24897;

												BgL_auxz00_24897 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24897, BgL_sz00_4488);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1448z00_4504)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1448z00_4504), CDR(BgL_val1448z00_4504));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1448z00_4504;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3614> */
	obj_t BGl_zc3exitza33614ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17626,
		obj_t BgL_nsz00_17625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1449z00_4510;

			if (SET_EXIT(BgL_an_exit1449z00_4510))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1449z00_4510 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1449z00_4510, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1450z00_4511;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13928;

								BgL_savedzd2bpzd2_13928 =
									VECTOR_REF(BgL_nsz00_17625, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17625,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13935;

									BgL_fz00_13935 = BgL_runz00_17626;
								BgL_recz00_13934:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13936;

										BgL_rz00_13936 =
											PROCEDURE_ENTRY(BgL_fz00_13935) (BgL_fz00_13935,
											BgL_nsz00_17625, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24918;

											if (PROCEDUREP(BgL_rz00_13936))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13941;

													BgL_arg1899z00_13941 = PROCEDURE_ATTR(BgL_rz00_13936);
													if (STRUCTP(BgL_arg1899z00_13941))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24918 =
																(STRUCT_KEY(BgL_arg1899z00_13941) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24918 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24918 = ((bool_t) 0);
												}
											if (BgL_testz00_24918)
												{
													obj_t BgL_fz00_24926;

													BgL_fz00_24926 = BgL_rz00_13936;
													BgL_fz00_13935 = BgL_fz00_24926;
													goto BgL_recz00_13934;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17625,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13928);
													BgL_val1450z00_4511 = BgL_rz00_13936;
							}}}}}
							POP_EXIT();
							return BgL_val1450z00_4511;
						}
					}
				}
		}
	}



/* <exit:3608> */
	obj_t BGl_zc3exitza33608ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17629,
		obj_t BgL_sz00_17628, obj_t BgL_runz00_17627)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1446z00_4500;

			if (SET_EXIT(BgL_an_exit1446z00_4500))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1446z00_4500 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1446z00_4500, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1447z00_4501;

							BgL_val1447z00_4501 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17627,
								BgL_sz00_17628, BgL_bpz00_17629);
							POP_EXIT();
							return BgL_val1447z00_4501;
						}
					}
				}
		}
	}



/* &run5464 */
	obj_t BGl_z62run5464z62zz__evaluate_compz00(obj_t BgL_envz00_16496,
		obj_t BgL_sz00_16499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16497;
				obj_t BgL_bodyz00_16498;

				BgL_i1250z00_16497 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16496, (int) (((long) 0))));
				BgL_bodyz00_16498 = PROCEDURE_REF(BgL_envz00_16496, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4513;

					BgL_sz00_4513 = BgL_sz00_16499;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4515;

						BgL_bpz00_4515 = VECTOR_REF(BgL_sz00_4513, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4516;
							obj_t BgL_wherez00_4517;
							obj_t BgL_locz00_4518;

							BgL_z12denvz12_4516 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4517 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16497))->BgL_wherez00);
							BgL_locz00_4518 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16497))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4516, BgL_wherez00_4517,
									BgL_locz00_4518);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4519;

									BgL_za2za2resza2za2z00_4519 =
										PROCEDURE_ENTRY(BgL_bodyz00_16498) (BgL_bodyz00_16498,
										BgL_sz00_4513, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4516);
									return BgL_za2za2resza2za2z00_4519;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3616> */
	obj_t BGl_z62zc3anonymousza33616ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16500, obj_t BgL_sz00_16505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16501;
				BgL_ev_absz00_bglt BgL_i1250z00_16502;
				obj_t BgL_bodyz00_16503;
				long BgL_siza7ezd2framez75_16504;

				BgL_iboxesz00_16501 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16500, (int) (((long) 0))));
				BgL_i1250z00_16502 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16500, (int) (((long) 1))));
				BgL_bodyz00_16503 = PROCEDURE_REF(BgL_envz00_16500, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16504 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16500, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4521;

					BgL_sz00_4521 = BgL_sz00_16505;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4523;

						BgL_bpz00_4523 = VECTOR_REF(BgL_sz00_4521, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16195;

								BgL_runz00_16195 =
									MAKE_FX_PROCEDURE(BGl_z62run5466z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16195,
									(int) (((long) 0)), BgL_iboxesz00_16501);
								PROCEDURE_SET(BgL_runz00_16195,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16502));
								PROCEDURE_SET(BgL_runz00_16195,
									(int) (((long) 2)), BgL_bodyz00_16503);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16196;

									BgL_mainz00_16196 =
										MAKE_VA_PROCEDURE(BGl_z62main5465z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 0)), BgL_iboxesz00_16501);
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16502));
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 2)), BgL_bodyz00_16503);
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 3)), BgL_runz00_16195);
									PROCEDURE_SET(BgL_mainz00_16196,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16504));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14074;

										BgL_objz00_14074 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16195, BgL_objz00_14074);
										BgL_objz00_14074;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3617z00_4526;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3618z00_4527;

											BgL_arg3618z00_4527 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16502))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14078;

												BgL_newz00_14078 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24993;

													BgL_auxz00_24993 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14078, BgL_auxz00_24993,
														BgL_arg3618z00_4527);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24998;
													int BgL_auxz00_24996;

													BgL_auxz00_24998 = BINT(BgL_siza7ezd2framez75_16504);
													BgL_auxz00_24996 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14078, BgL_auxz00_24996,
														BgL_auxz00_24998);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25001;

													BgL_auxz00_25001 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14078, BgL_auxz00_25001,
														BgL_runz00_16195);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25006;
													int BgL_auxz00_25004;

													BgL_auxz00_25006 = BINT(((long) -4));
													BgL_auxz00_25004 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14078, BgL_auxz00_25004,
														BgL_auxz00_25006);
												}
												BgL_arg3617z00_4526 = BgL_newz00_14078;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16196, BgL_arg3617z00_4526);
										BgL_arg3617z00_4526;
									}
									return BgL_mainz00_16196;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5465 */
	obj_t BGl_z62main5465z62zz__evaluate_compz00(obj_t BgL_envz00_16506,
		obj_t BgL_bz00_16512, obj_t BgL_cz00_16513, obj_t BgL_dz00_16514,
		obj_t BgL_lastz00_16515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16510;
				long BgL_siza7ezd2framez75_16511;

				BgL_runz00_16510 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16506, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16511 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16506, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4528;
					obj_t BgL_cz00_4529;
					obj_t BgL_dz00_4530;
					obj_t BgL_lastz00_4531;

					BgL_bz00_4528 = BgL_bz00_16512;
					BgL_cz00_4529 = BgL_cz00_16513;
					BgL_dz00_4530 = BgL_dz00_16514;
					BgL_lastz00_4531 = BgL_lastz00_16515;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4533;

						BgL_sz00_4533 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4534;

							BgL_bpz00_4534 = VECTOR_REF(BgL_sz00_4533, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25019;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13991;

									BgL_arg1908z00_13991 = VECTOR_LENGTH(BgL_sz00_4533);
									BgL_testz00_25019 =
										(
										((long) CINT(BgL_bpz00_4534) +
											BgL_siza7ezd2framez75_16511) <
										(long) (BgL_arg1908z00_13991));
								}
								if (BgL_testz00_25019)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3621z00_4536;

											BgL_arg3621z00_4536 =
												((long) CINT(BgL_bpz00_4534) + ((long) 0));
											VECTOR_SET(BgL_sz00_4533,
												(int) (BgL_arg3621z00_4536), BgL_bz00_4528);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3622z00_4537;

											BgL_arg3622z00_4537 =
												((long) CINT(BgL_bpz00_4534) + ((long) 1));
											VECTOR_SET(BgL_sz00_4533,
												(int) (BgL_arg3622z00_4537), BgL_cz00_4529);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3623z00_4538;

											BgL_arg3623z00_4538 =
												((long) CINT(BgL_bpz00_4534) + ((long) 2));
											VECTOR_SET(BgL_sz00_4533,
												(int) (BgL_arg3623z00_4538), BgL_dz00_4530);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3624z00_4539;

											BgL_arg3624z00_4539 =
												((long) CINT(BgL_bpz00_4534) + ((long) 3));
											VECTOR_SET(BgL_sz00_4533,
												(int) (BgL_arg3624z00_4539), BgL_lastz00_4531);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1451z00_4540;

											BgL_val1451z00_4540 =
												BGl_zc3exitza33628ze3z83zz__evaluate_compz00
												(BgL_bpz00_4534, BgL_sz00_4533, BgL_runz00_16510);
											VECTOR_SET(BgL_sz00_4533, (int) (((long) 0)),
												BgL_bpz00_4534);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1451z00_4540)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1451z00_4540), CDR(BgL_val1451z00_4540));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1451z00_4540;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4547;

										BgL_nsz00_4547 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 1)), BgL_sz00_4533);
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 2)), BgL_bz00_4528);
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 3)), BgL_cz00_4529);
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 4)), BgL_dz00_4530);
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 5)), BgL_lastz00_4531);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25061;

											BgL_auxz00_25061 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25061, BgL_nsz00_4547);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1454z00_4549;

											BgL_val1454z00_4549 =
												BGl_zc3exitza33634ze3z83zz__evaluate_compz00
												(BgL_runz00_16510, BgL_nsz00_4547);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25065;

												BgL_auxz00_25065 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25065, BgL_sz00_4533);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1454z00_4549)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1454z00_4549), CDR(BgL_val1454z00_4549));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1454z00_4549;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3634> */
	obj_t BGl_zc3exitza33634ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17621,
		obj_t BgL_nsz00_17620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1455z00_4555;

			if (SET_EXIT(BgL_an_exit1455z00_4555))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1455z00_4555 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1455z00_4555, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1456z00_4556;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14046;

								BgL_savedzd2bpzd2_14046 =
									VECTOR_REF(BgL_nsz00_17620, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17620,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14053;

									BgL_fz00_14053 = BgL_runz00_17621;
								BgL_recz00_14052:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14054;

										BgL_rz00_14054 =
											PROCEDURE_ENTRY(BgL_fz00_14053) (BgL_fz00_14053,
											BgL_nsz00_17620, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25086;

											if (PROCEDUREP(BgL_rz00_14054))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14059;

													BgL_arg1899z00_14059 = PROCEDURE_ATTR(BgL_rz00_14054);
													if (STRUCTP(BgL_arg1899z00_14059))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25086 =
																(STRUCT_KEY(BgL_arg1899z00_14059) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25086 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25086 = ((bool_t) 0);
												}
											if (BgL_testz00_25086)
												{
													obj_t BgL_fz00_25094;

													BgL_fz00_25094 = BgL_rz00_14054;
													BgL_fz00_14053 = BgL_fz00_25094;
													goto BgL_recz00_14052;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17620,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14046);
													BgL_val1456z00_4556 = BgL_rz00_14054;
							}}}}}
							POP_EXIT();
							return BgL_val1456z00_4556;
						}
					}
				}
		}
	}



/* <exit:3628> */
	obj_t BGl_zc3exitza33628ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17624,
		obj_t BgL_sz00_17623, obj_t BgL_runz00_17622)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1452z00_4545;

			if (SET_EXIT(BgL_an_exit1452z00_4545))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1452z00_4545 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1452z00_4545, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1453z00_4546;

							BgL_val1453z00_4546 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17622,
								BgL_sz00_17623, BgL_bpz00_17624);
							POP_EXIT();
							return BgL_val1453z00_4546;
						}
					}
				}
		}
	}



/* &run5466 */
	obj_t BGl_z62run5466z62zz__evaluate_compz00(obj_t BgL_envz00_16516,
		obj_t BgL_sz00_16520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16517;
				BgL_ev_absz00_bglt BgL_i1250z00_16518;
				obj_t BgL_bodyz00_16519;

				BgL_iboxesz00_16517 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 0))));
				BgL_i1250z00_16518 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 1))));
				BgL_bodyz00_16519 = PROCEDURE_REF(BgL_envz00_16516, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4558;

					BgL_sz00_4558 = BgL_sz00_16520;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4560;

						BgL_bpz00_4560 = VECTOR_REF(BgL_sz00_4558, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4558,
							BgL_iboxesz00_16517, BgL_bpz00_4560);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4561;
							obj_t BgL_wherez00_4562;
							obj_t BgL_locz00_4563;

							BgL_z12denvz12_4561 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4562 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16518))->BgL_wherez00);
							BgL_locz00_4563 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16518))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4561, BgL_wherez00_4562,
									BgL_locz00_4563);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4564;

									BgL_za2za2resza2za2z00_4564 =
										PROCEDURE_ENTRY(BgL_bodyz00_16519) (BgL_bodyz00_16519,
										BgL_sz00_4558, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4561);
									return BgL_za2za2resza2za2z00_4564;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3638> */
	obj_t BGl_z62zc3anonymousza33638ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16521, obj_t BgL_sz00_16527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16522;
				long BgL_siza7eza7_16523;
				BgL_ev_absz00_bglt BgL_i1250z00_16524;
				obj_t BgL_bodyz00_16525;
				long BgL_siza7ezd2framez75_16526;

				BgL_ifreesz00_16522 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16521, (int) (((long) 0))));
				BgL_siza7eza7_16523 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16521, (int) (((long) 1))));
				BgL_i1250z00_16524 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16521, (int) (((long) 2))));
				BgL_bodyz00_16525 = PROCEDURE_REF(BgL_envz00_16521, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16526 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16521, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4568;

					BgL_sz00_4568 = BgL_sz00_16527;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4570;

						BgL_bpz00_4570 = VECTOR_REF(BgL_sz00_4568, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4571;

							BgL_valza2za2_4571 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4568,
								BgL_bpz00_4570, BgL_ifreesz00_16522);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16192;

								BgL_runz00_16192 =
									MAKE_FX_PROCEDURE(BGl_z62run5468z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16523));
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 1)), BgL_valza2za2_4571);
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16524));
								PROCEDURE_SET(BgL_runz00_16192,
									(int) (((long) 3)), BgL_bodyz00_16525);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16193;

									BgL_mainz00_16193 =
										MAKE_VA_PROCEDURE(BGl_z62main5467z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16523));
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 1)), BgL_valza2za2_4571);
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16524));
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 3)), BgL_bodyz00_16525);
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 4)), BgL_runz00_16192);
									PROCEDURE_SET(BgL_mainz00_16193,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16526));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14199;

										BgL_objz00_14199 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16192, BgL_objz00_14199);
										BgL_objz00_14199;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3639z00_4574;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3640z00_4575;

											BgL_arg3640z00_4575 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16524))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14203;

												BgL_newz00_14203 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25175;

													BgL_auxz00_25175 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14203, BgL_auxz00_25175,
														BgL_arg3640z00_4575);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25180;
													int BgL_auxz00_25178;

													BgL_auxz00_25180 = BINT(BgL_siza7ezd2framez75_16526);
													BgL_auxz00_25178 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14203, BgL_auxz00_25178,
														BgL_auxz00_25180);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25183;

													BgL_auxz00_25183 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14203, BgL_auxz00_25183,
														BgL_runz00_16192);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25188;
													int BgL_auxz00_25186;

													BgL_auxz00_25188 = BINT(((long) -4));
													BgL_auxz00_25186 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14203, BgL_auxz00_25186,
														BgL_auxz00_25188);
												}
												BgL_arg3639z00_4574 = BgL_newz00_14203;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16193, BgL_arg3639z00_4574);
										BgL_arg3639z00_4574;
									}
									return BgL_mainz00_16193;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5467 */
	obj_t BGl_z62main5467z62zz__evaluate_compz00(obj_t BgL_envz00_16528,
		obj_t BgL_bz00_16535, obj_t BgL_cz00_16536, obj_t BgL_dz00_16537,
		obj_t BgL_lastz00_16538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16533;
				long BgL_siza7ezd2framez75_16534;

				BgL_runz00_16533 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16528, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16534 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16528, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4576;
					obj_t BgL_cz00_4577;
					obj_t BgL_dz00_4578;
					obj_t BgL_lastz00_4579;

					BgL_bz00_4576 = BgL_bz00_16535;
					BgL_cz00_4577 = BgL_cz00_16536;
					BgL_dz00_4578 = BgL_dz00_16537;
					BgL_lastz00_4579 = BgL_lastz00_16538;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4581;

						BgL_sz00_4581 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4582;

							BgL_bpz00_4582 = VECTOR_REF(BgL_sz00_4581, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25201;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14116;

									BgL_arg1908z00_14116 = VECTOR_LENGTH(BgL_sz00_4581);
									BgL_testz00_25201 =
										(
										((long) CINT(BgL_bpz00_4582) +
											BgL_siza7ezd2framez75_16534) <
										(long) (BgL_arg1908z00_14116));
								}
								if (BgL_testz00_25201)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3643z00_4584;

											BgL_arg3643z00_4584 =
												((long) CINT(BgL_bpz00_4582) + ((long) 0));
											VECTOR_SET(BgL_sz00_4581,
												(int) (BgL_arg3643z00_4584), BgL_bz00_4576);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3644z00_4585;

											BgL_arg3644z00_4585 =
												((long) CINT(BgL_bpz00_4582) + ((long) 1));
											VECTOR_SET(BgL_sz00_4581,
												(int) (BgL_arg3644z00_4585), BgL_cz00_4577);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3645z00_4586;

											BgL_arg3645z00_4586 =
												((long) CINT(BgL_bpz00_4582) + ((long) 2));
											VECTOR_SET(BgL_sz00_4581,
												(int) (BgL_arg3645z00_4586), BgL_dz00_4578);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3646z00_4587;

											BgL_arg3646z00_4587 =
												((long) CINT(BgL_bpz00_4582) + ((long) 3));
											VECTOR_SET(BgL_sz00_4581,
												(int) (BgL_arg3646z00_4587), BgL_lastz00_4579);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1457z00_4588;

											BgL_val1457z00_4588 =
												BGl_zc3exitza33650ze3z83zz__evaluate_compz00
												(BgL_bpz00_4582, BgL_sz00_4581, BgL_runz00_16533);
											VECTOR_SET(BgL_sz00_4581, (int) (((long) 0)),
												BgL_bpz00_4582);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1457z00_4588)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1457z00_4588), CDR(BgL_val1457z00_4588));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1457z00_4588;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4595;

										BgL_nsz00_4595 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4595,
											(int) (((long) 1)), BgL_sz00_4581);
										VECTOR_SET(BgL_nsz00_4595,
											(int) (((long) 2)), BgL_bz00_4576);
										VECTOR_SET(BgL_nsz00_4595,
											(int) (((long) 3)), BgL_cz00_4577);
										VECTOR_SET(BgL_nsz00_4595,
											(int) (((long) 4)), BgL_dz00_4578);
										VECTOR_SET(BgL_nsz00_4595,
											(int) (((long) 5)), BgL_lastz00_4579);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25243;

											BgL_auxz00_25243 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25243, BgL_nsz00_4595);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1460z00_4597;

											BgL_val1460z00_4597 =
												BGl_zc3exitza33656ze3z83zz__evaluate_compz00
												(BgL_runz00_16533, BgL_nsz00_4595);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25247;

												BgL_auxz00_25247 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25247, BgL_sz00_4581);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1460z00_4597)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1460z00_4597), CDR(BgL_val1460z00_4597));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1460z00_4597;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3656> */
	obj_t BGl_zc3exitza33656ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17616,
		obj_t BgL_nsz00_17615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1461z00_4603;

			if (SET_EXIT(BgL_an_exit1461z00_4603))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1461z00_4603 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1461z00_4603, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1462z00_4604;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14171;

								BgL_savedzd2bpzd2_14171 =
									VECTOR_REF(BgL_nsz00_17615, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17615,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14178;

									BgL_fz00_14178 = BgL_runz00_17616;
								BgL_recz00_14177:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14179;

										BgL_rz00_14179 =
											PROCEDURE_ENTRY(BgL_fz00_14178) (BgL_fz00_14178,
											BgL_nsz00_17615, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25268;

											if (PROCEDUREP(BgL_rz00_14179))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14184;

													BgL_arg1899z00_14184 = PROCEDURE_ATTR(BgL_rz00_14179);
													if (STRUCTP(BgL_arg1899z00_14184))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25268 =
																(STRUCT_KEY(BgL_arg1899z00_14184) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25268 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25268 = ((bool_t) 0);
												}
											if (BgL_testz00_25268)
												{
													obj_t BgL_fz00_25276;

													BgL_fz00_25276 = BgL_rz00_14179;
													BgL_fz00_14178 = BgL_fz00_25276;
													goto BgL_recz00_14177;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17615,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14171);
													BgL_val1462z00_4604 = BgL_rz00_14179;
							}}}}}
							POP_EXIT();
							return BgL_val1462z00_4604;
						}
					}
				}
		}
	}



/* <exit:3650> */
	obj_t BGl_zc3exitza33650ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17619,
		obj_t BgL_sz00_17618, obj_t BgL_runz00_17617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1458z00_4593;

			if (SET_EXIT(BgL_an_exit1458z00_4593))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1458z00_4593 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1458z00_4593, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1459z00_4594;

							BgL_val1459z00_4594 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17617,
								BgL_sz00_17618, BgL_bpz00_17619);
							POP_EXIT();
							return BgL_val1459z00_4594;
						}
					}
				}
		}
	}



/* &run5468 */
	obj_t BGl_z62run5468z62zz__evaluate_compz00(obj_t BgL_envz00_16539,
		obj_t BgL_sz00_16544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16540;
				obj_t BgL_valza2za2_16541;
				BgL_ev_absz00_bglt BgL_i1250z00_16542;
				obj_t BgL_bodyz00_16543;

				BgL_siza7eza7_16540 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16539, (int) (((long) 0))));
				BgL_valza2za2_16541 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16539, (int) (((long) 1))));
				BgL_i1250z00_16542 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16539, (int) (((long) 2))));
				BgL_bodyz00_16543 = PROCEDURE_REF(BgL_envz00_16539, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4606;

					BgL_sz00_4606 = BgL_sz00_16544;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4608;

						BgL_bpz00_4608 = VECTOR_REF(BgL_sz00_4606, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4606,
							BgL_valza2za2_16541,
							((long) CINT(BgL_bpz00_4608) + BgL_siza7eza7_16540));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4610;
							obj_t BgL_wherez00_4611;
							obj_t BgL_locz00_4612;

							BgL_z12denvz12_4610 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4611 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16542))->BgL_wherez00);
							BgL_locz00_4612 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16542))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4610, BgL_wherez00_4611,
									BgL_locz00_4612);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4613;

									BgL_za2za2resza2za2z00_4613 =
										PROCEDURE_ENTRY(BgL_bodyz00_16543) (BgL_bodyz00_16543,
										BgL_sz00_4606, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4610);
									return BgL_za2za2resza2za2z00_4613;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3659> */
	obj_t BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16545, obj_t BgL_sz00_16552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16546;
				obj_t BgL_iboxesz00_16547;
				long BgL_siza7eza7_16548;
				BgL_ev_absz00_bglt BgL_i1250z00_16549;
				obj_t BgL_bodyz00_16550;
				long BgL_siza7ezd2framez75_16551;

				BgL_ifreesz00_16546 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 0))));
				BgL_iboxesz00_16547 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 1))));
				BgL_siza7eza7_16548 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 2))));
				BgL_i1250z00_16549 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 3))));
				BgL_bodyz00_16550 = PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16551 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16545, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4615;

					BgL_sz00_4615 = BgL_sz00_16552;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4617;

						BgL_bpz00_4617 = VECTOR_REF(BgL_sz00_4615, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4618;

							BgL_valza2za2_4618 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4615,
								BgL_bpz00_4617, BgL_ifreesz00_16546);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16189;

								BgL_runz00_16189 =
									MAKE_FX_PROCEDURE(BGl_z62run5470z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 0)), BgL_iboxesz00_16547);
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16548));
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 2)), BgL_valza2za2_4618);
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16549));
								PROCEDURE_SET(BgL_runz00_16189,
									(int) (((long) 4)), BgL_bodyz00_16550);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16190;

									BgL_mainz00_16190 =
										MAKE_VA_PROCEDURE(BGl_z62main5469z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 0)), BgL_iboxesz00_16547);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16548));
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 2)), BgL_valza2za2_4618);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16549));
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 4)), BgL_bodyz00_16550);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 5)), BgL_runz00_16189);
									PROCEDURE_SET(BgL_mainz00_16190,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16551));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14320;

										BgL_objz00_14320 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16189, BgL_objz00_14320);
										BgL_objz00_14320;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3660z00_4621;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3661z00_4622;

											BgL_arg3661z00_4622 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16549))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14324;

												BgL_newz00_14324 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25369;

													BgL_auxz00_25369 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14324, BgL_auxz00_25369,
														BgL_arg3661z00_4622);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25374;
													int BgL_auxz00_25372;

													BgL_auxz00_25374 = BINT(BgL_siza7ezd2framez75_16551);
													BgL_auxz00_25372 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14324, BgL_auxz00_25372,
														BgL_auxz00_25374);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25377;

													BgL_auxz00_25377 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14324, BgL_auxz00_25377,
														BgL_runz00_16189);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25382;
													int BgL_auxz00_25380;

													BgL_auxz00_25382 = BINT(((long) -4));
													BgL_auxz00_25380 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14324, BgL_auxz00_25380,
														BgL_auxz00_25382);
												}
												BgL_arg3660z00_4621 = BgL_newz00_14324;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16190, BgL_arg3660z00_4621);
										BgL_arg3660z00_4621;
									}
									return BgL_mainz00_16190;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5469 */
	obj_t BGl_z62main5469z62zz__evaluate_compz00(obj_t BgL_envz00_16553,
		obj_t BgL_bz00_16561, obj_t BgL_cz00_16562, obj_t BgL_dz00_16563,
		obj_t BgL_lastz00_16564)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16559;
				long BgL_siza7ezd2framez75_16560;

				BgL_runz00_16559 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16553, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16560 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16553, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4623;
					obj_t BgL_cz00_4624;
					obj_t BgL_dz00_4625;
					obj_t BgL_lastz00_4626;

					BgL_bz00_4623 = BgL_bz00_16561;
					BgL_cz00_4624 = BgL_cz00_16562;
					BgL_dz00_4625 = BgL_dz00_16563;
					BgL_lastz00_4626 = BgL_lastz00_16564;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4628;

						BgL_sz00_4628 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4629;

							BgL_bpz00_4629 = VECTOR_REF(BgL_sz00_4628, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25395;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_14237;

									BgL_arg1908z00_14237 = VECTOR_LENGTH(BgL_sz00_4628);
									BgL_testz00_25395 =
										(
										((long) CINT(BgL_bpz00_4629) +
											BgL_siza7ezd2framez75_16560) <
										(long) (BgL_arg1908z00_14237));
								}
								if (BgL_testz00_25395)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3664z00_4631;

											BgL_arg3664z00_4631 =
												((long) CINT(BgL_bpz00_4629) + ((long) 0));
											VECTOR_SET(BgL_sz00_4628,
												(int) (BgL_arg3664z00_4631), BgL_bz00_4623);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3665z00_4632;

											BgL_arg3665z00_4632 =
												((long) CINT(BgL_bpz00_4629) + ((long) 1));
											VECTOR_SET(BgL_sz00_4628,
												(int) (BgL_arg3665z00_4632), BgL_cz00_4624);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3666z00_4633;

											BgL_arg3666z00_4633 =
												((long) CINT(BgL_bpz00_4629) + ((long) 2));
											VECTOR_SET(BgL_sz00_4628,
												(int) (BgL_arg3666z00_4633), BgL_dz00_4625);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3667z00_4634;

											BgL_arg3667z00_4634 =
												((long) CINT(BgL_bpz00_4629) + ((long) 3));
											VECTOR_SET(BgL_sz00_4628,
												(int) (BgL_arg3667z00_4634), BgL_lastz00_4626);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1463z00_4635;

											BgL_val1463z00_4635 =
												BGl_zc3exitza33671ze3z83zz__evaluate_compz00
												(BgL_bpz00_4629, BgL_sz00_4628, BgL_runz00_16559);
											VECTOR_SET(BgL_sz00_4628, (int) (((long) 0)),
												BgL_bpz00_4629);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1463z00_4635)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1463z00_4635), CDR(BgL_val1463z00_4635));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1463z00_4635;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4642;

										BgL_nsz00_4642 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4642,
											(int) (((long) 1)), BgL_sz00_4628);
										VECTOR_SET(BgL_nsz00_4642,
											(int) (((long) 2)), BgL_bz00_4623);
										VECTOR_SET(BgL_nsz00_4642,
											(int) (((long) 3)), BgL_cz00_4624);
										VECTOR_SET(BgL_nsz00_4642,
											(int) (((long) 4)), BgL_dz00_4625);
										VECTOR_SET(BgL_nsz00_4642,
											(int) (((long) 5)), BgL_lastz00_4626);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25437;

											BgL_auxz00_25437 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25437, BgL_nsz00_4642);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1466z00_4644;

											BgL_val1466z00_4644 =
												BGl_zc3exitza33677ze3z83zz__evaluate_compz00
												(BgL_runz00_16559, BgL_nsz00_4642);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25441;

												BgL_auxz00_25441 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25441, BgL_sz00_4628);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1466z00_4644)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1466z00_4644), CDR(BgL_val1466z00_4644));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1466z00_4644;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3677> */
	obj_t BGl_zc3exitza33677ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17611,
		obj_t BgL_nsz00_17610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1467z00_4650;

			if (SET_EXIT(BgL_an_exit1467z00_4650))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1467z00_4650 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1467z00_4650, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1468z00_4651;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14292;

								BgL_savedzd2bpzd2_14292 =
									VECTOR_REF(BgL_nsz00_17610, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17610,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14299;

									BgL_fz00_14299 = BgL_runz00_17611;
								BgL_recz00_14298:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14300;

										BgL_rz00_14300 =
											PROCEDURE_ENTRY(BgL_fz00_14299) (BgL_fz00_14299,
											BgL_nsz00_17610, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25462;

											if (PROCEDUREP(BgL_rz00_14300))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_14305;

													BgL_arg1899z00_14305 = PROCEDURE_ATTR(BgL_rz00_14300);
													if (STRUCTP(BgL_arg1899z00_14305))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25462 =
																(STRUCT_KEY(BgL_arg1899z00_14305) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25462 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25462 = ((bool_t) 0);
												}
											if (BgL_testz00_25462)
												{
													obj_t BgL_fz00_25470;

													BgL_fz00_25470 = BgL_rz00_14300;
													BgL_fz00_14299 = BgL_fz00_25470;
													goto BgL_recz00_14298;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17610,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14292);
													BgL_val1468z00_4651 = BgL_rz00_14300;
							}}}}}
							POP_EXIT();
							return BgL_val1468z00_4651;
						}
					}
				}
		}
	}



/* <exit:3671> */
	obj_t BGl_zc3exitza33671ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17614,
		obj_t BgL_sz00_17613, obj_t BgL_runz00_17612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1464z00_4640;

			if (SET_EXIT(BgL_an_exit1464z00_4640))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1464z00_4640 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1464z00_4640, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1465z00_4641;

							BgL_val1465z00_4641 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17612,
								BgL_sz00_17613, BgL_bpz00_17614);
							POP_EXIT();
							return BgL_val1465z00_4641;
						}
					}
				}
		}
	}



/* &run5470 */
	obj_t BGl_z62run5470z62zz__evaluate_compz00(obj_t BgL_envz00_16565,
		obj_t BgL_sz00_16571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16566;
				long BgL_siza7eza7_16567;
				obj_t BgL_valza2za2_16568;
				BgL_ev_absz00_bglt BgL_i1250z00_16569;
				obj_t BgL_bodyz00_16570;

				BgL_iboxesz00_16566 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16565, (int) (((long) 0))));
				BgL_siza7eza7_16567 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16565, (int) (((long) 1))));
				BgL_valza2za2_16568 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16565, (int) (((long) 2))));
				BgL_i1250z00_16569 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16565, (int) (((long) 3))));
				BgL_bodyz00_16570 = PROCEDURE_REF(BgL_envz00_16565, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4653;

					BgL_sz00_4653 = BgL_sz00_16571;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4655;

						BgL_bpz00_4655 = VECTOR_REF(BgL_sz00_4653, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4653,
							BgL_iboxesz00_16566, BgL_bpz00_4655);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4653,
							BgL_valza2za2_16568,
							((long) CINT(BgL_bpz00_4655) + BgL_siza7eza7_16567));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4657;
							obj_t BgL_wherez00_4658;
							obj_t BgL_locz00_4659;

							BgL_z12denvz12_4657 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4658 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16569))->BgL_wherez00);
							BgL_locz00_4659 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16569))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4657, BgL_wherez00_4658,
									BgL_locz00_4659);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4660;

									BgL_za2za2resza2za2z00_4660 =
										PROCEDURE_ENTRY(BgL_bodyz00_16570) (BgL_bodyz00_16570,
										BgL_sz00_4653, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4657);
									return BgL_za2za2resza2za2z00_4660;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3512> */
	obj_t BGl_z62zc3anonymousza33512ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16572, obj_t BgL_sz00_16576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16573;
				obj_t BgL_bodyz00_16574;
				long BgL_siza7ezd2framez75_16575;

				BgL_i1250z00_16573 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16572, (int) (((long) 0))));
				BgL_bodyz00_16574 = PROCEDURE_REF(BgL_envz00_16572, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16575 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16572, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4294;

					BgL_sz00_4294 = BgL_sz00_16576;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4296;

						BgL_bpz00_4296 = VECTOR_REF(BgL_sz00_4294, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16186;

								BgL_runz00_16186 =
									MAKE_FX_PROCEDURE(BGl_z62run5472z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16186,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16573));
								PROCEDURE_SET(BgL_runz00_16186,
									(int) (((long) 1)), BgL_bodyz00_16574);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16187;

									BgL_mainz00_16187 =
										MAKE_FX_PROCEDURE(BGl_z62main5471z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16573));
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 1)), BgL_bodyz00_16574);
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 2)), BgL_runz00_16186);
									PROCEDURE_SET(BgL_mainz00_16187,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16575));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13493;

										BgL_objz00_13493 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16186, BgL_objz00_13493);
										BgL_objz00_13493;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3513z00_4299;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3514z00_4300;

											BgL_arg3514z00_4300 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16573))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13497;

												BgL_newz00_13497 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25543;

													BgL_auxz00_25543 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13497, BgL_auxz00_25543,
														BgL_arg3514z00_4300);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25548;
													int BgL_auxz00_25546;

													BgL_auxz00_25548 = BINT(BgL_siza7ezd2framez75_16575);
													BgL_auxz00_25546 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13497, BgL_auxz00_25546,
														BgL_auxz00_25548);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25551;

													BgL_auxz00_25551 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13497, BgL_auxz00_25551,
														BgL_runz00_16186);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25556;
													int BgL_auxz00_25554;

													BgL_auxz00_25556 = BINT(((long) 3));
													BgL_auxz00_25554 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13497, BgL_auxz00_25554,
														BgL_auxz00_25556);
												}
												BgL_arg3513z00_4299 = BgL_newz00_13497;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16187, BgL_arg3513z00_4299);
										BgL_arg3513z00_4299;
									}
									return BgL_mainz00_16187;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5471 */
	obj_t BGl_z62main5471z62zz__evaluate_compz00(obj_t BgL_envz00_16577,
		obj_t BgL_bz00_16582, obj_t BgL_cz00_16583, obj_t BgL_dz00_16584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16580;
				long BgL_siza7ezd2framez75_16581;

				BgL_runz00_16580 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16577, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16581 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16577, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4301;
					obj_t BgL_cz00_4302;
					obj_t BgL_dz00_4303;

					BgL_bz00_4301 = BgL_bz00_16582;
					BgL_cz00_4302 = BgL_cz00_16583;
					BgL_dz00_4303 = BgL_dz00_16584;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4305;

						BgL_sz00_4305 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4306;

							BgL_bpz00_4306 = VECTOR_REF(BgL_sz00_4305, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25569;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13419;

									BgL_arg1908z00_13419 = VECTOR_LENGTH(BgL_sz00_4305);
									BgL_testz00_25569 =
										(
										((long) CINT(BgL_bpz00_4306) +
											BgL_siza7ezd2framez75_16581) <
										(long) (BgL_arg1908z00_13419));
								}
								if (BgL_testz00_25569)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3517z00_4308;

											BgL_arg3517z00_4308 =
												((long) CINT(BgL_bpz00_4306) + ((long) 0));
											VECTOR_SET(BgL_sz00_4305,
												(int) (BgL_arg3517z00_4308), BgL_bz00_4301);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3518z00_4309;

											BgL_arg3518z00_4309 =
												((long) CINT(BgL_bpz00_4306) + ((long) 1));
											VECTOR_SET(BgL_sz00_4305,
												(int) (BgL_arg3518z00_4309), BgL_cz00_4302);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3519z00_4310;

											BgL_arg3519z00_4310 =
												((long) CINT(BgL_bpz00_4306) + ((long) 2));
											VECTOR_SET(BgL_sz00_4305,
												(int) (BgL_arg3519z00_4310), BgL_dz00_4303);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1421z00_4311;

											BgL_val1421z00_4311 =
												BGl_zc3exitza33523ze3z83zz__evaluate_compz00
												(BgL_bpz00_4306, BgL_sz00_4305, BgL_runz00_16580);
											VECTOR_SET(BgL_sz00_4305, (int) (((long) 0)),
												BgL_bpz00_4306);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1421z00_4311)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1421z00_4311), CDR(BgL_val1421z00_4311));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1421z00_4311;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4318;

										BgL_nsz00_4318 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4318,
											(int) (((long) 1)), BgL_sz00_4305);
										VECTOR_SET(BgL_nsz00_4318,
											(int) (((long) 2)), BgL_bz00_4301);
										VECTOR_SET(BgL_nsz00_4318,
											(int) (((long) 3)), BgL_cz00_4302);
										VECTOR_SET(BgL_nsz00_4318,
											(int) (((long) 4)), BgL_dz00_4303);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25605;

											BgL_auxz00_25605 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25605, BgL_nsz00_4318);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1424z00_4320;

											BgL_val1424z00_4320 =
												BGl_zc3exitza33529ze3z83zz__evaluate_compz00
												(BgL_runz00_16580, BgL_nsz00_4318);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25609;

												BgL_auxz00_25609 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25609, BgL_sz00_4305);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1424z00_4320)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1424z00_4320), CDR(BgL_val1424z00_4320));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1424z00_4320;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3529> */
	obj_t BGl_zc3exitza33529ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17606,
		obj_t BgL_nsz00_17605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1425z00_4326;

			if (SET_EXIT(BgL_an_exit1425z00_4326))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1425z00_4326 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1425z00_4326, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1426z00_4327;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13465;

								BgL_savedzd2bpzd2_13465 =
									VECTOR_REF(BgL_nsz00_17605, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17605,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13472;

									BgL_fz00_13472 = BgL_runz00_17606;
								BgL_recz00_13471:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13473;

										BgL_rz00_13473 =
											PROCEDURE_ENTRY(BgL_fz00_13472) (BgL_fz00_13472,
											BgL_nsz00_17605, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25630;

											if (PROCEDUREP(BgL_rz00_13473))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13478;

													BgL_arg1899z00_13478 = PROCEDURE_ATTR(BgL_rz00_13473);
													if (STRUCTP(BgL_arg1899z00_13478))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25630 =
																(STRUCT_KEY(BgL_arg1899z00_13478) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25630 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25630 = ((bool_t) 0);
												}
											if (BgL_testz00_25630)
												{
													obj_t BgL_fz00_25638;

													BgL_fz00_25638 = BgL_rz00_13473;
													BgL_fz00_13472 = BgL_fz00_25638;
													goto BgL_recz00_13471;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17605,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13465);
													BgL_val1426z00_4327 = BgL_rz00_13473;
							}}}}}
							POP_EXIT();
							return BgL_val1426z00_4327;
						}
					}
				}
		}
	}



/* <exit:3523> */
	obj_t BGl_zc3exitza33523ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17609,
		obj_t BgL_sz00_17608, obj_t BgL_runz00_17607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1422z00_4316;

			if (SET_EXIT(BgL_an_exit1422z00_4316))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1422z00_4316 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1422z00_4316, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1423z00_4317;

							BgL_val1423z00_4317 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17607,
								BgL_sz00_17608, BgL_bpz00_17609);
							POP_EXIT();
							return BgL_val1423z00_4317;
						}
					}
				}
		}
	}



/* &run5472 */
	obj_t BGl_z62run5472z62zz__evaluate_compz00(obj_t BgL_envz00_16585,
		obj_t BgL_sz00_16588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16586;
				obj_t BgL_bodyz00_16587;

				BgL_i1250z00_16586 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16585, (int) (((long) 0))));
				BgL_bodyz00_16587 = PROCEDURE_REF(BgL_envz00_16585, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4329;

					BgL_sz00_4329 = BgL_sz00_16588;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4331;

						BgL_bpz00_4331 = VECTOR_REF(BgL_sz00_4329, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4332;
							obj_t BgL_wherez00_4333;
							obj_t BgL_locz00_4334;

							BgL_z12denvz12_4332 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4333 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16586))->BgL_wherez00);
							BgL_locz00_4334 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16586))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4332, BgL_wherez00_4333,
									BgL_locz00_4334);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4335;

									BgL_za2za2resza2za2z00_4335 =
										PROCEDURE_ENTRY(BgL_bodyz00_16587) (BgL_bodyz00_16587,
										BgL_sz00_4329, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4332);
									return BgL_za2za2resza2za2z00_4335;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3531> */
	obj_t BGl_z62zc3anonymousza33531ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16589, obj_t BgL_sz00_16594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16590;
				BgL_ev_absz00_bglt BgL_i1250z00_16591;
				obj_t BgL_bodyz00_16592;
				long BgL_siza7ezd2framez75_16593;

				BgL_iboxesz00_16590 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16589, (int) (((long) 0))));
				BgL_i1250z00_16591 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16589, (int) (((long) 1))));
				BgL_bodyz00_16592 = PROCEDURE_REF(BgL_envz00_16589, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16593 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16589, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4337;

					BgL_sz00_4337 = BgL_sz00_16594;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4339;

						BgL_bpz00_4339 = VECTOR_REF(BgL_sz00_4337, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16183;

								BgL_runz00_16183 =
									MAKE_FX_PROCEDURE(BGl_z62run5474z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16183,
									(int) (((long) 0)), BgL_iboxesz00_16590);
								PROCEDURE_SET(BgL_runz00_16183,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16591));
								PROCEDURE_SET(BgL_runz00_16183,
									(int) (((long) 2)), BgL_bodyz00_16592);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16184;

									BgL_mainz00_16184 =
										MAKE_FX_PROCEDURE(BGl_z62main5473z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 0)), BgL_iboxesz00_16590);
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16591));
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 2)), BgL_bodyz00_16592);
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 3)), BgL_runz00_16183);
									PROCEDURE_SET(BgL_mainz00_16184,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16593));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13602;

										BgL_objz00_13602 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16183, BgL_objz00_13602);
										BgL_objz00_13602;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3532z00_4342;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3533z00_4343;

											BgL_arg3533z00_4343 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16591))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13606;

												BgL_newz00_13606 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25705;

													BgL_auxz00_25705 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13606, BgL_auxz00_25705,
														BgL_arg3533z00_4343);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25710;
													int BgL_auxz00_25708;

													BgL_auxz00_25710 = BINT(BgL_siza7ezd2framez75_16593);
													BgL_auxz00_25708 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13606, BgL_auxz00_25708,
														BgL_auxz00_25710);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25713;

													BgL_auxz00_25713 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13606, BgL_auxz00_25713,
														BgL_runz00_16183);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25718;
													int BgL_auxz00_25716;

													BgL_auxz00_25718 = BINT(((long) 3));
													BgL_auxz00_25716 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13606, BgL_auxz00_25716,
														BgL_auxz00_25718);
												}
												BgL_arg3532z00_4342 = BgL_newz00_13606;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16184, BgL_arg3532z00_4342);
										BgL_arg3532z00_4342;
									}
									return BgL_mainz00_16184;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5473 */
	obj_t BGl_z62main5473z62zz__evaluate_compz00(obj_t BgL_envz00_16595,
		obj_t BgL_bz00_16601, obj_t BgL_cz00_16602, obj_t BgL_dz00_16603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16599;
				long BgL_siza7ezd2framez75_16600;

				BgL_runz00_16599 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16595, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16600 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16595, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4344;
					obj_t BgL_cz00_4345;
					obj_t BgL_dz00_4346;

					BgL_bz00_4344 = BgL_bz00_16601;
					BgL_cz00_4345 = BgL_cz00_16602;
					BgL_dz00_4346 = BgL_dz00_16603;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4348;

						BgL_sz00_4348 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4349;

							BgL_bpz00_4349 = VECTOR_REF(BgL_sz00_4348, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25731;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13528;

									BgL_arg1908z00_13528 = VECTOR_LENGTH(BgL_sz00_4348);
									BgL_testz00_25731 =
										(
										((long) CINT(BgL_bpz00_4349) +
											BgL_siza7ezd2framez75_16600) <
										(long) (BgL_arg1908z00_13528));
								}
								if (BgL_testz00_25731)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3536z00_4351;

											BgL_arg3536z00_4351 =
												((long) CINT(BgL_bpz00_4349) + ((long) 0));
											VECTOR_SET(BgL_sz00_4348,
												(int) (BgL_arg3536z00_4351), BgL_bz00_4344);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3537z00_4352;

											BgL_arg3537z00_4352 =
												((long) CINT(BgL_bpz00_4349) + ((long) 1));
											VECTOR_SET(BgL_sz00_4348,
												(int) (BgL_arg3537z00_4352), BgL_cz00_4345);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3538z00_4353;

											BgL_arg3538z00_4353 =
												((long) CINT(BgL_bpz00_4349) + ((long) 2));
											VECTOR_SET(BgL_sz00_4348,
												(int) (BgL_arg3538z00_4353), BgL_dz00_4346);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1427z00_4354;

											BgL_val1427z00_4354 =
												BGl_zc3exitza33542ze3z83zz__evaluate_compz00
												(BgL_bpz00_4349, BgL_sz00_4348, BgL_runz00_16599);
											VECTOR_SET(BgL_sz00_4348, (int) (((long) 0)),
												BgL_bpz00_4349);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1427z00_4354)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1427z00_4354), CDR(BgL_val1427z00_4354));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1427z00_4354;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4361;

										BgL_nsz00_4361 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4361,
											(int) (((long) 1)), BgL_sz00_4348);
										VECTOR_SET(BgL_nsz00_4361,
											(int) (((long) 2)), BgL_bz00_4344);
										VECTOR_SET(BgL_nsz00_4361,
											(int) (((long) 3)), BgL_cz00_4345);
										VECTOR_SET(BgL_nsz00_4361,
											(int) (((long) 4)), BgL_dz00_4346);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25767;

											BgL_auxz00_25767 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25767, BgL_nsz00_4361);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1430z00_4363;

											BgL_val1430z00_4363 =
												BGl_zc3exitza33548ze3z83zz__evaluate_compz00
												(BgL_runz00_16599, BgL_nsz00_4361);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25771;

												BgL_auxz00_25771 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25771, BgL_sz00_4348);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1430z00_4363)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1430z00_4363), CDR(BgL_val1430z00_4363));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1430z00_4363;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3548> */
	obj_t BGl_zc3exitza33548ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17601,
		obj_t BgL_nsz00_17600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1431z00_4369;

			if (SET_EXIT(BgL_an_exit1431z00_4369))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1431z00_4369 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1431z00_4369, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1432z00_4370;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13574;

								BgL_savedzd2bpzd2_13574 =
									VECTOR_REF(BgL_nsz00_17600, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17600,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13581;

									BgL_fz00_13581 = BgL_runz00_17601;
								BgL_recz00_13580:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13582;

										BgL_rz00_13582 =
											PROCEDURE_ENTRY(BgL_fz00_13581) (BgL_fz00_13581,
											BgL_nsz00_17600, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25792;

											if (PROCEDUREP(BgL_rz00_13582))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13587;

													BgL_arg1899z00_13587 = PROCEDURE_ATTR(BgL_rz00_13582);
													if (STRUCTP(BgL_arg1899z00_13587))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25792 =
																(STRUCT_KEY(BgL_arg1899z00_13587) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25792 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25792 = ((bool_t) 0);
												}
											if (BgL_testz00_25792)
												{
													obj_t BgL_fz00_25800;

													BgL_fz00_25800 = BgL_rz00_13582;
													BgL_fz00_13581 = BgL_fz00_25800;
													goto BgL_recz00_13580;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17600,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13574);
													BgL_val1432z00_4370 = BgL_rz00_13582;
							}}}}}
							POP_EXIT();
							return BgL_val1432z00_4370;
						}
					}
				}
		}
	}



/* <exit:3542> */
	obj_t BGl_zc3exitza33542ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17604,
		obj_t BgL_sz00_17603, obj_t BgL_runz00_17602)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1428z00_4359;

			if (SET_EXIT(BgL_an_exit1428z00_4359))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1428z00_4359 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1428z00_4359, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1429z00_4360;

							BgL_val1429z00_4360 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17602,
								BgL_sz00_17603, BgL_bpz00_17604);
							POP_EXIT();
							return BgL_val1429z00_4360;
						}
					}
				}
		}
	}



/* &run5474 */
	obj_t BGl_z62run5474z62zz__evaluate_compz00(obj_t BgL_envz00_16604,
		obj_t BgL_sz00_16608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16605;
				BgL_ev_absz00_bglt BgL_i1250z00_16606;
				obj_t BgL_bodyz00_16607;

				BgL_iboxesz00_16605 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16604, (int) (((long) 0))));
				BgL_i1250z00_16606 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16604, (int) (((long) 1))));
				BgL_bodyz00_16607 = PROCEDURE_REF(BgL_envz00_16604, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4372;

					BgL_sz00_4372 = BgL_sz00_16608;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4374;

						BgL_bpz00_4374 = VECTOR_REF(BgL_sz00_4372, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4372,
							BgL_iboxesz00_16605, BgL_bpz00_4374);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4375;
							obj_t BgL_wherez00_4376;
							obj_t BgL_locz00_4377;

							BgL_z12denvz12_4375 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4376 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16606))->BgL_wherez00);
							BgL_locz00_4377 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16606))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4375, BgL_wherez00_4376,
									BgL_locz00_4377);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4378;

									BgL_za2za2resza2za2z00_4378 =
										PROCEDURE_ENTRY(BgL_bodyz00_16607) (BgL_bodyz00_16607,
										BgL_sz00_4372, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4375);
									return BgL_za2za2resza2za2z00_4378;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3552> */
	obj_t BGl_z62zc3anonymousza33552ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16609, obj_t BgL_sz00_16615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16610;
				long BgL_siza7eza7_16611;
				BgL_ev_absz00_bglt BgL_i1250z00_16612;
				obj_t BgL_bodyz00_16613;
				long BgL_siza7ezd2framez75_16614;

				BgL_ifreesz00_16610 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16609, (int) (((long) 0))));
				BgL_siza7eza7_16611 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16609, (int) (((long) 1))));
				BgL_i1250z00_16612 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16609, (int) (((long) 2))));
				BgL_bodyz00_16613 = PROCEDURE_REF(BgL_envz00_16609, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16614 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16609, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4382;

					BgL_sz00_4382 = BgL_sz00_16615;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4384;

						BgL_bpz00_4384 = VECTOR_REF(BgL_sz00_4382, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4385;

							BgL_valza2za2_4385 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4382,
								BgL_bpz00_4384, BgL_ifreesz00_16610);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16180;

								BgL_runz00_16180 =
									MAKE_FX_PROCEDURE(BGl_z62run5476z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16611));
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 1)), BgL_valza2za2_4385);
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16612));
								PROCEDURE_SET(BgL_runz00_16180,
									(int) (((long) 3)), BgL_bodyz00_16613);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16181;

									BgL_mainz00_16181 =
										MAKE_FX_PROCEDURE(BGl_z62main5475z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16611));
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 1)), BgL_valza2za2_4385);
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16612));
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 3)), BgL_bodyz00_16613);
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 4)), BgL_runz00_16180);
									PROCEDURE_SET(BgL_mainz00_16181,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16614));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13718;

										BgL_objz00_13718 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16180, BgL_objz00_13718);
										BgL_objz00_13718;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3553z00_4388;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3554z00_4389;

											BgL_arg3554z00_4389 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16612))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13722;

												BgL_newz00_13722 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25881;

													BgL_auxz00_25881 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13722, BgL_auxz00_25881,
														BgL_arg3554z00_4389);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25886;
													int BgL_auxz00_25884;

													BgL_auxz00_25886 = BINT(BgL_siza7ezd2framez75_16614);
													BgL_auxz00_25884 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13722, BgL_auxz00_25884,
														BgL_auxz00_25886);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25889;

													BgL_auxz00_25889 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13722, BgL_auxz00_25889,
														BgL_runz00_16180);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25894;
													int BgL_auxz00_25892;

													BgL_auxz00_25894 = BINT(((long) 3));
													BgL_auxz00_25892 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13722, BgL_auxz00_25892,
														BgL_auxz00_25894);
												}
												BgL_arg3553z00_4388 = BgL_newz00_13722;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16181, BgL_arg3553z00_4388);
										BgL_arg3553z00_4388;
									}
									return BgL_mainz00_16181;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5475 */
	obj_t BGl_z62main5475z62zz__evaluate_compz00(obj_t BgL_envz00_16616,
		obj_t BgL_bz00_16623, obj_t BgL_cz00_16624, obj_t BgL_dz00_16625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16621;
				long BgL_siza7ezd2framez75_16622;

				BgL_runz00_16621 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16616, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16622 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16616, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4390;
					obj_t BgL_cz00_4391;
					obj_t BgL_dz00_4392;

					BgL_bz00_4390 = BgL_bz00_16623;
					BgL_cz00_4391 = BgL_cz00_16624;
					BgL_dz00_4392 = BgL_dz00_16625;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4394;

						BgL_sz00_4394 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4395;

							BgL_bpz00_4395 = VECTOR_REF(BgL_sz00_4394, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25907;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13644;

									BgL_arg1908z00_13644 = VECTOR_LENGTH(BgL_sz00_4394);
									BgL_testz00_25907 =
										(
										((long) CINT(BgL_bpz00_4395) +
											BgL_siza7ezd2framez75_16622) <
										(long) (BgL_arg1908z00_13644));
								}
								if (BgL_testz00_25907)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3557z00_4397;

											BgL_arg3557z00_4397 =
												((long) CINT(BgL_bpz00_4395) + ((long) 0));
											VECTOR_SET(BgL_sz00_4394,
												(int) (BgL_arg3557z00_4397), BgL_bz00_4390);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3558z00_4398;

											BgL_arg3558z00_4398 =
												((long) CINT(BgL_bpz00_4395) + ((long) 1));
											VECTOR_SET(BgL_sz00_4394,
												(int) (BgL_arg3558z00_4398), BgL_cz00_4391);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3559z00_4399;

											BgL_arg3559z00_4399 =
												((long) CINT(BgL_bpz00_4395) + ((long) 2));
											VECTOR_SET(BgL_sz00_4394,
												(int) (BgL_arg3559z00_4399), BgL_dz00_4392);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1433z00_4400;

											BgL_val1433z00_4400 =
												BGl_zc3exitza33563ze3z83zz__evaluate_compz00
												(BgL_bpz00_4395, BgL_sz00_4394, BgL_runz00_16621);
											VECTOR_SET(BgL_sz00_4394, (int) (((long) 0)),
												BgL_bpz00_4395);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1433z00_4400)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1433z00_4400), CDR(BgL_val1433z00_4400));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1433z00_4400;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4407;

										BgL_nsz00_4407 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4407,
											(int) (((long) 1)), BgL_sz00_4394);
										VECTOR_SET(BgL_nsz00_4407,
											(int) (((long) 2)), BgL_bz00_4390);
										VECTOR_SET(BgL_nsz00_4407,
											(int) (((long) 3)), BgL_cz00_4391);
										VECTOR_SET(BgL_nsz00_4407,
											(int) (((long) 4)), BgL_dz00_4392);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25943;

											BgL_auxz00_25943 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25943, BgL_nsz00_4407);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1436z00_4409;

											BgL_val1436z00_4409 =
												BGl_zc3exitza33569ze3z83zz__evaluate_compz00
												(BgL_runz00_16621, BgL_nsz00_4407);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25947;

												BgL_auxz00_25947 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25947, BgL_sz00_4394);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1436z00_4409)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1436z00_4409), CDR(BgL_val1436z00_4409));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1436z00_4409;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3569> */
	obj_t BGl_zc3exitza33569ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17596,
		obj_t BgL_nsz00_17595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1437z00_4415;

			if (SET_EXIT(BgL_an_exit1437z00_4415))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1437z00_4415 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1437z00_4415, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1438z00_4416;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13690;

								BgL_savedzd2bpzd2_13690 =
									VECTOR_REF(BgL_nsz00_17595, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17595,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13697;

									BgL_fz00_13697 = BgL_runz00_17596;
								BgL_recz00_13696:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13698;

										BgL_rz00_13698 =
											PROCEDURE_ENTRY(BgL_fz00_13697) (BgL_fz00_13697,
											BgL_nsz00_17595, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25968;

											if (PROCEDUREP(BgL_rz00_13698))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13703;

													BgL_arg1899z00_13703 = PROCEDURE_ATTR(BgL_rz00_13698);
													if (STRUCTP(BgL_arg1899z00_13703))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25968 =
																(STRUCT_KEY(BgL_arg1899z00_13703) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25968 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25968 = ((bool_t) 0);
												}
											if (BgL_testz00_25968)
												{
													obj_t BgL_fz00_25976;

													BgL_fz00_25976 = BgL_rz00_13698;
													BgL_fz00_13697 = BgL_fz00_25976;
													goto BgL_recz00_13696;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17595,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13690);
													BgL_val1438z00_4416 = BgL_rz00_13698;
							}}}}}
							POP_EXIT();
							return BgL_val1438z00_4416;
						}
					}
				}
		}
	}



/* <exit:3563> */
	obj_t BGl_zc3exitza33563ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17599,
		obj_t BgL_sz00_17598, obj_t BgL_runz00_17597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1434z00_4405;

			if (SET_EXIT(BgL_an_exit1434z00_4405))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1434z00_4405 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1434z00_4405, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1435z00_4406;

							BgL_val1435z00_4406 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17597,
								BgL_sz00_17598, BgL_bpz00_17599);
							POP_EXIT();
							return BgL_val1435z00_4406;
						}
					}
				}
		}
	}



/* &run5476 */
	obj_t BGl_z62run5476z62zz__evaluate_compz00(obj_t BgL_envz00_16626,
		obj_t BgL_sz00_16631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16627;
				obj_t BgL_valza2za2_16628;
				BgL_ev_absz00_bglt BgL_i1250z00_16629;
				obj_t BgL_bodyz00_16630;

				BgL_siza7eza7_16627 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16626, (int) (((long) 0))));
				BgL_valza2za2_16628 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16626, (int) (((long) 1))));
				BgL_i1250z00_16629 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16626, (int) (((long) 2))));
				BgL_bodyz00_16630 = PROCEDURE_REF(BgL_envz00_16626, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4418;

					BgL_sz00_4418 = BgL_sz00_16631;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4420;

						BgL_bpz00_4420 = VECTOR_REF(BgL_sz00_4418, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4418,
							BgL_valza2za2_16628,
							((long) CINT(BgL_bpz00_4420) + BgL_siza7eza7_16627));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4422;
							obj_t BgL_wherez00_4423;
							obj_t BgL_locz00_4424;

							BgL_z12denvz12_4422 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4423 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16629))->BgL_wherez00);
							BgL_locz00_4424 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16629))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4422, BgL_wherez00_4423,
									BgL_locz00_4424);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4425;

									BgL_za2za2resza2za2z00_4425 =
										PROCEDURE_ENTRY(BgL_bodyz00_16630) (BgL_bodyz00_16630,
										BgL_sz00_4418, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4422);
									return BgL_za2za2resza2za2z00_4425;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3572> */
	obj_t BGl_z62zc3anonymousza33572ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16632, obj_t BgL_sz00_16639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16633;
				obj_t BgL_iboxesz00_16634;
				long BgL_siza7eza7_16635;
				BgL_ev_absz00_bglt BgL_i1250z00_16636;
				obj_t BgL_bodyz00_16637;
				long BgL_siza7ezd2framez75_16638;

				BgL_ifreesz00_16633 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 0))));
				BgL_iboxesz00_16634 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 1))));
				BgL_siza7eza7_16635 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 2))));
				BgL_i1250z00_16636 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 3))));
				BgL_bodyz00_16637 = PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16638 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16632, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4427;

					BgL_sz00_4427 = BgL_sz00_16639;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4429;

						BgL_bpz00_4429 = VECTOR_REF(BgL_sz00_4427, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4430;

							BgL_valza2za2_4430 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4427,
								BgL_bpz00_4429, BgL_ifreesz00_16633);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16177;

								BgL_runz00_16177 =
									MAKE_FX_PROCEDURE(BGl_z62run5478z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 0)), BgL_iboxesz00_16634);
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16635));
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 2)), BgL_valza2za2_4430);
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16636));
								PROCEDURE_SET(BgL_runz00_16177,
									(int) (((long) 4)), BgL_bodyz00_16637);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16178;

									BgL_mainz00_16178 =
										MAKE_FX_PROCEDURE(BGl_z62main5477z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 0)), BgL_iboxesz00_16634);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16635));
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 2)), BgL_valza2za2_4430);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16636));
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 4)), BgL_bodyz00_16637);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 5)), BgL_runz00_16177);
									PROCEDURE_SET(BgL_mainz00_16178,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16638));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13830;

										BgL_objz00_13830 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16177, BgL_objz00_13830);
										BgL_objz00_13830;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3573z00_4433;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3574z00_4434;

											BgL_arg3574z00_4434 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16636))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13834;

												BgL_newz00_13834 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26069;

													BgL_auxz00_26069 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13834, BgL_auxz00_26069,
														BgL_arg3574z00_4434);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26074;
													int BgL_auxz00_26072;

													BgL_auxz00_26074 = BINT(BgL_siza7ezd2framez75_16638);
													BgL_auxz00_26072 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13834, BgL_auxz00_26072,
														BgL_auxz00_26074);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26077;

													BgL_auxz00_26077 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13834, BgL_auxz00_26077,
														BgL_runz00_16177);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26082;
													int BgL_auxz00_26080;

													BgL_auxz00_26082 = BINT(((long) 3));
													BgL_auxz00_26080 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13834, BgL_auxz00_26080,
														BgL_auxz00_26082);
												}
												BgL_arg3573z00_4433 = BgL_newz00_13834;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16178, BgL_arg3573z00_4433);
										BgL_arg3573z00_4433;
									}
									return BgL_mainz00_16178;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5477 */
	obj_t BGl_z62main5477z62zz__evaluate_compz00(obj_t BgL_envz00_16640,
		obj_t BgL_bz00_16648, obj_t BgL_cz00_16649, obj_t BgL_dz00_16650)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16646;
				long BgL_siza7ezd2framez75_16647;

				BgL_runz00_16646 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16640, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16647 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16640, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4435;
					obj_t BgL_cz00_4436;
					obj_t BgL_dz00_4437;

					BgL_bz00_4435 = BgL_bz00_16648;
					BgL_cz00_4436 = BgL_cz00_16649;
					BgL_dz00_4437 = BgL_dz00_16650;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4439;

						BgL_sz00_4439 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4440;

							BgL_bpz00_4440 = VECTOR_REF(BgL_sz00_4439, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26095;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13756;

									BgL_arg1908z00_13756 = VECTOR_LENGTH(BgL_sz00_4439);
									BgL_testz00_26095 =
										(
										((long) CINT(BgL_bpz00_4440) +
											BgL_siza7ezd2framez75_16647) <
										(long) (BgL_arg1908z00_13756));
								}
								if (BgL_testz00_26095)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3577z00_4442;

											BgL_arg3577z00_4442 =
												((long) CINT(BgL_bpz00_4440) + ((long) 0));
											VECTOR_SET(BgL_sz00_4439,
												(int) (BgL_arg3577z00_4442), BgL_bz00_4435);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3578z00_4443;

											BgL_arg3578z00_4443 =
												((long) CINT(BgL_bpz00_4440) + ((long) 1));
											VECTOR_SET(BgL_sz00_4439,
												(int) (BgL_arg3578z00_4443), BgL_cz00_4436);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3579z00_4444;

											BgL_arg3579z00_4444 =
												((long) CINT(BgL_bpz00_4440) + ((long) 2));
											VECTOR_SET(BgL_sz00_4439,
												(int) (BgL_arg3579z00_4444), BgL_dz00_4437);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1439z00_4445;

											BgL_val1439z00_4445 =
												BGl_zc3exitza33583ze3z83zz__evaluate_compz00
												(BgL_bpz00_4440, BgL_sz00_4439, BgL_runz00_16646);
											VECTOR_SET(BgL_sz00_4439, (int) (((long) 0)),
												BgL_bpz00_4440);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1439z00_4445)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1439z00_4445), CDR(BgL_val1439z00_4445));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1439z00_4445;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4452;

										BgL_nsz00_4452 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4452,
											(int) (((long) 1)), BgL_sz00_4439);
										VECTOR_SET(BgL_nsz00_4452,
											(int) (((long) 2)), BgL_bz00_4435);
										VECTOR_SET(BgL_nsz00_4452,
											(int) (((long) 3)), BgL_cz00_4436);
										VECTOR_SET(BgL_nsz00_4452,
											(int) (((long) 4)), BgL_dz00_4437);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26131;

											BgL_auxz00_26131 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26131, BgL_nsz00_4452);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1442z00_4454;

											BgL_val1442z00_4454 =
												BGl_zc3exitza33589ze3z83zz__evaluate_compz00
												(BgL_runz00_16646, BgL_nsz00_4452);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26135;

												BgL_auxz00_26135 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26135, BgL_sz00_4439);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1442z00_4454)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1442z00_4454), CDR(BgL_val1442z00_4454));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1442z00_4454;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3589> */
	obj_t BGl_zc3exitza33589ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17591,
		obj_t BgL_nsz00_17590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1443z00_4460;

			if (SET_EXIT(BgL_an_exit1443z00_4460))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1443z00_4460 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1443z00_4460, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1444z00_4461;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13802;

								BgL_savedzd2bpzd2_13802 =
									VECTOR_REF(BgL_nsz00_17590, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17590,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13809;

									BgL_fz00_13809 = BgL_runz00_17591;
								BgL_recz00_13808:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13810;

										BgL_rz00_13810 =
											PROCEDURE_ENTRY(BgL_fz00_13809) (BgL_fz00_13809,
											BgL_nsz00_17590, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26156;

											if (PROCEDUREP(BgL_rz00_13810))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13815;

													BgL_arg1899z00_13815 = PROCEDURE_ATTR(BgL_rz00_13810);
													if (STRUCTP(BgL_arg1899z00_13815))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26156 =
																(STRUCT_KEY(BgL_arg1899z00_13815) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26156 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26156 = ((bool_t) 0);
												}
											if (BgL_testz00_26156)
												{
													obj_t BgL_fz00_26164;

													BgL_fz00_26164 = BgL_rz00_13810;
													BgL_fz00_13809 = BgL_fz00_26164;
													goto BgL_recz00_13808;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17590,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13802);
													BgL_val1444z00_4461 = BgL_rz00_13810;
							}}}}}
							POP_EXIT();
							return BgL_val1444z00_4461;
						}
					}
				}
		}
	}



/* <exit:3583> */
	obj_t BGl_zc3exitza33583ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17594,
		obj_t BgL_sz00_17593, obj_t BgL_runz00_17592)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1440z00_4450;

			if (SET_EXIT(BgL_an_exit1440z00_4450))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1440z00_4450 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1440z00_4450, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1441z00_4451;

							BgL_val1441z00_4451 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17592,
								BgL_sz00_17593, BgL_bpz00_17594);
							POP_EXIT();
							return BgL_val1441z00_4451;
						}
					}
				}
		}
	}



/* &run5478 */
	obj_t BGl_z62run5478z62zz__evaluate_compz00(obj_t BgL_envz00_16651,
		obj_t BgL_sz00_16657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16652;
				long BgL_siza7eza7_16653;
				obj_t BgL_valza2za2_16654;
				BgL_ev_absz00_bglt BgL_i1250z00_16655;
				obj_t BgL_bodyz00_16656;

				BgL_iboxesz00_16652 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16651, (int) (((long) 0))));
				BgL_siza7eza7_16653 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16651, (int) (((long) 1))));
				BgL_valza2za2_16654 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16651, (int) (((long) 2))));
				BgL_i1250z00_16655 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16651, (int) (((long) 3))));
				BgL_bodyz00_16656 = PROCEDURE_REF(BgL_envz00_16651, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4463;

					BgL_sz00_4463 = BgL_sz00_16657;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4465;

						BgL_bpz00_4465 = VECTOR_REF(BgL_sz00_4463, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4463,
							BgL_iboxesz00_16652, BgL_bpz00_4465);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4463,
							BgL_valza2za2_16654,
							((long) CINT(BgL_bpz00_4465) + BgL_siza7eza7_16653));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4467;
							obj_t BgL_wherez00_4468;
							obj_t BgL_locz00_4469;

							BgL_z12denvz12_4467 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4468 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16655))->BgL_wherez00);
							BgL_locz00_4469 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16655))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4467, BgL_wherez00_4468,
									BgL_locz00_4469);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4470;

									BgL_za2za2resza2za2z00_4470 =
										PROCEDURE_ENTRY(BgL_bodyz00_16656) (BgL_bodyz00_16656,
										BgL_sz00_4463, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4467);
									return BgL_za2za2resza2za2z00_4470;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3428> */
	obj_t BGl_z62zc3anonymousza33428ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16658, obj_t BgL_sz00_16662)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16659;
				obj_t BgL_bodyz00_16660;
				long BgL_siza7ezd2framez75_16661;

				BgL_i1250z00_16659 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16658, (int) (((long) 0))));
				BgL_bodyz00_16660 = PROCEDURE_REF(BgL_envz00_16658, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16661 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16658, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4112;

					BgL_sz00_4112 = BgL_sz00_16662;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4114;

						BgL_bpz00_4114 = VECTOR_REF(BgL_sz00_4112, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16174;

								BgL_runz00_16174 =
									MAKE_FX_PROCEDURE(BGl_z62run5480z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16174,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16659));
								PROCEDURE_SET(BgL_runz00_16174,
									(int) (((long) 1)), BgL_bodyz00_16660);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16175;

									BgL_mainz00_16175 =
										MAKE_VA_PROCEDURE(BGl_z62main5479z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16659));
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 1)), BgL_bodyz00_16660);
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 2)), BgL_runz00_16174);
									PROCEDURE_SET(BgL_mainz00_16175,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16661));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13039;

										BgL_objz00_13039 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16174, BgL_objz00_13039);
										BgL_objz00_13039;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3429z00_4117;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3430z00_4118;

											BgL_arg3430z00_4118 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16659))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13043;

												BgL_newz00_13043 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26237;

													BgL_auxz00_26237 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13043, BgL_auxz00_26237,
														BgL_arg3430z00_4118);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26242;
													int BgL_auxz00_26240;

													BgL_auxz00_26242 = BINT(BgL_siza7ezd2framez75_16661);
													BgL_auxz00_26240 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13043, BgL_auxz00_26240,
														BgL_auxz00_26242);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26245;

													BgL_auxz00_26245 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13043, BgL_auxz00_26245,
														BgL_runz00_16174);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26250;
													int BgL_auxz00_26248;

													BgL_auxz00_26250 = BINT(((long) -3));
													BgL_auxz00_26248 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13043, BgL_auxz00_26248,
														BgL_auxz00_26250);
												}
												BgL_arg3429z00_4117 = BgL_newz00_13043;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16175, BgL_arg3429z00_4117);
										BgL_arg3429z00_4117;
									}
									return BgL_mainz00_16175;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5479 */
	obj_t BGl_z62main5479z62zz__evaluate_compz00(obj_t BgL_envz00_16663,
		obj_t BgL_cz00_16668, obj_t BgL_dz00_16669, obj_t BgL_lastz00_16670)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16666;
				long BgL_siza7ezd2framez75_16667;

				BgL_runz00_16666 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16663, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16667 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16663, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4119;
					obj_t BgL_dz00_4120;
					obj_t BgL_lastz00_4121;

					BgL_cz00_4119 = BgL_cz00_16668;
					BgL_dz00_4120 = BgL_dz00_16669;
					BgL_lastz00_4121 = BgL_lastz00_16670;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4123;

						BgL_sz00_4123 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4124;

							BgL_bpz00_4124 = VECTOR_REF(BgL_sz00_4123, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26263;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12965;

									BgL_arg1908z00_12965 = VECTOR_LENGTH(BgL_sz00_4123);
									BgL_testz00_26263 =
										(
										((long) CINT(BgL_bpz00_4124) +
											BgL_siza7ezd2framez75_16667) <
										(long) (BgL_arg1908z00_12965));
								}
								if (BgL_testz00_26263)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3433z00_4126;

											BgL_arg3433z00_4126 =
												((long) CINT(BgL_bpz00_4124) + ((long) 0));
											VECTOR_SET(BgL_sz00_4123,
												(int) (BgL_arg3433z00_4126), BgL_cz00_4119);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3434z00_4127;

											BgL_arg3434z00_4127 =
												((long) CINT(BgL_bpz00_4124) + ((long) 1));
											VECTOR_SET(BgL_sz00_4123,
												(int) (BgL_arg3434z00_4127), BgL_dz00_4120);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3435z00_4128;

											BgL_arg3435z00_4128 =
												((long) CINT(BgL_bpz00_4124) + ((long) 2));
											VECTOR_SET(BgL_sz00_4123,
												(int) (BgL_arg3435z00_4128), BgL_lastz00_4121);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1397z00_4129;

											BgL_val1397z00_4129 =
												BGl_zc3exitza33439ze3z83zz__evaluate_compz00
												(BgL_bpz00_4124, BgL_sz00_4123, BgL_runz00_16666);
											VECTOR_SET(BgL_sz00_4123, (int) (((long) 0)),
												BgL_bpz00_4124);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1397z00_4129)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1397z00_4129), CDR(BgL_val1397z00_4129));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1397z00_4129;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4136;

										BgL_nsz00_4136 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4136,
											(int) (((long) 1)), BgL_sz00_4123);
										VECTOR_SET(BgL_nsz00_4136,
											(int) (((long) 2)), BgL_cz00_4119);
										VECTOR_SET(BgL_nsz00_4136,
											(int) (((long) 3)), BgL_dz00_4120);
										VECTOR_SET(BgL_nsz00_4136,
											(int) (((long) 4)), BgL_lastz00_4121);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26299;

											BgL_auxz00_26299 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26299, BgL_nsz00_4136);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1400z00_4138;

											BgL_val1400z00_4138 =
												BGl_zc3exitza33445ze3z83zz__evaluate_compz00
												(BgL_runz00_16666, BgL_nsz00_4136);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26303;

												BgL_auxz00_26303 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26303, BgL_sz00_4123);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1400z00_4138)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1400z00_4138), CDR(BgL_val1400z00_4138));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1400z00_4138;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3445> */
	obj_t BGl_zc3exitza33445ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17586,
		obj_t BgL_nsz00_17585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1401z00_4144;

			if (SET_EXIT(BgL_an_exit1401z00_4144))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1401z00_4144 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1401z00_4144, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1402z00_4145;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13011;

								BgL_savedzd2bpzd2_13011 =
									VECTOR_REF(BgL_nsz00_17585, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17585,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13018;

									BgL_fz00_13018 = BgL_runz00_17586;
								BgL_recz00_13017:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13019;

										BgL_rz00_13019 =
											PROCEDURE_ENTRY(BgL_fz00_13018) (BgL_fz00_13018,
											BgL_nsz00_17585, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26324;

											if (PROCEDUREP(BgL_rz00_13019))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13024;

													BgL_arg1899z00_13024 = PROCEDURE_ATTR(BgL_rz00_13019);
													if (STRUCTP(BgL_arg1899z00_13024))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26324 =
																(STRUCT_KEY(BgL_arg1899z00_13024) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26324 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26324 = ((bool_t) 0);
												}
											if (BgL_testz00_26324)
												{
													obj_t BgL_fz00_26332;

													BgL_fz00_26332 = BgL_rz00_13019;
													BgL_fz00_13018 = BgL_fz00_26332;
													goto BgL_recz00_13017;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17585,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13011);
													BgL_val1402z00_4145 = BgL_rz00_13019;
							}}}}}
							POP_EXIT();
							return BgL_val1402z00_4145;
						}
					}
				}
		}
	}



/* <exit:3439> */
	obj_t BGl_zc3exitza33439ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17589,
		obj_t BgL_sz00_17588, obj_t BgL_runz00_17587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1398z00_4134;

			if (SET_EXIT(BgL_an_exit1398z00_4134))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1398z00_4134 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1398z00_4134, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1399z00_4135;

							BgL_val1399z00_4135 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17587,
								BgL_sz00_17588, BgL_bpz00_17589);
							POP_EXIT();
							return BgL_val1399z00_4135;
						}
					}
				}
		}
	}



/* &run5480 */
	obj_t BGl_z62run5480z62zz__evaluate_compz00(obj_t BgL_envz00_16671,
		obj_t BgL_sz00_16674)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16672;
				obj_t BgL_bodyz00_16673;

				BgL_i1250z00_16672 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16671, (int) (((long) 0))));
				BgL_bodyz00_16673 = PROCEDURE_REF(BgL_envz00_16671, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4147;

					BgL_sz00_4147 = BgL_sz00_16674;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4149;

						BgL_bpz00_4149 = VECTOR_REF(BgL_sz00_4147, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4150;
							obj_t BgL_wherez00_4151;
							obj_t BgL_locz00_4152;

							BgL_z12denvz12_4150 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4151 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16672))->BgL_wherez00);
							BgL_locz00_4152 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16672))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4150, BgL_wherez00_4151,
									BgL_locz00_4152);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4153;

									BgL_za2za2resza2za2z00_4153 =
										PROCEDURE_ENTRY(BgL_bodyz00_16673) (BgL_bodyz00_16673,
										BgL_sz00_4147, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4150);
									return BgL_za2za2resza2za2z00_4153;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3447> */
	obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16675, obj_t BgL_sz00_16680)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16676;
				BgL_ev_absz00_bglt BgL_i1250z00_16677;
				obj_t BgL_bodyz00_16678;
				long BgL_siza7ezd2framez75_16679;

				BgL_iboxesz00_16676 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16675, (int) (((long) 0))));
				BgL_i1250z00_16677 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16675, (int) (((long) 1))));
				BgL_bodyz00_16678 = PROCEDURE_REF(BgL_envz00_16675, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16679 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16675, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4155;

					BgL_sz00_4155 = BgL_sz00_16680;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4157;

						BgL_bpz00_4157 = VECTOR_REF(BgL_sz00_4155, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16171;

								BgL_runz00_16171 =
									MAKE_FX_PROCEDURE(BGl_z62run5482z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16171,
									(int) (((long) 0)), BgL_iboxesz00_16676);
								PROCEDURE_SET(BgL_runz00_16171,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16677));
								PROCEDURE_SET(BgL_runz00_16171,
									(int) (((long) 2)), BgL_bodyz00_16678);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16172;

									BgL_mainz00_16172 =
										MAKE_VA_PROCEDURE(BGl_z62main5481z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 0)), BgL_iboxesz00_16676);
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16677));
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 2)), BgL_bodyz00_16678);
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 3)), BgL_runz00_16171);
									PROCEDURE_SET(BgL_mainz00_16172,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16679));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13148;

										BgL_objz00_13148 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16171, BgL_objz00_13148);
										BgL_objz00_13148;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3448z00_4160;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3449z00_4161;

											BgL_arg3449z00_4161 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16677))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13152;

												BgL_newz00_13152 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26399;

													BgL_auxz00_26399 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13152, BgL_auxz00_26399,
														BgL_arg3449z00_4161);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26404;
													int BgL_auxz00_26402;

													BgL_auxz00_26404 = BINT(BgL_siza7ezd2framez75_16679);
													BgL_auxz00_26402 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13152, BgL_auxz00_26402,
														BgL_auxz00_26404);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26407;

													BgL_auxz00_26407 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13152, BgL_auxz00_26407,
														BgL_runz00_16171);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26412;
													int BgL_auxz00_26410;

													BgL_auxz00_26412 = BINT(((long) -3));
													BgL_auxz00_26410 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13152, BgL_auxz00_26410,
														BgL_auxz00_26412);
												}
												BgL_arg3448z00_4160 = BgL_newz00_13152;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16172, BgL_arg3448z00_4160);
										BgL_arg3448z00_4160;
									}
									return BgL_mainz00_16172;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5481 */
	obj_t BGl_z62main5481z62zz__evaluate_compz00(obj_t BgL_envz00_16681,
		obj_t BgL_cz00_16687, obj_t BgL_dz00_16688, obj_t BgL_lastz00_16689)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16685;
				long BgL_siza7ezd2framez75_16686;

				BgL_runz00_16685 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16681, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16686 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16681, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4162;
					obj_t BgL_dz00_4163;
					obj_t BgL_lastz00_4164;

					BgL_cz00_4162 = BgL_cz00_16687;
					BgL_dz00_4163 = BgL_dz00_16688;
					BgL_lastz00_4164 = BgL_lastz00_16689;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4166;

						BgL_sz00_4166 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4167;

							BgL_bpz00_4167 = VECTOR_REF(BgL_sz00_4166, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26425;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13074;

									BgL_arg1908z00_13074 = VECTOR_LENGTH(BgL_sz00_4166);
									BgL_testz00_26425 =
										(
										((long) CINT(BgL_bpz00_4167) +
											BgL_siza7ezd2framez75_16686) <
										(long) (BgL_arg1908z00_13074));
								}
								if (BgL_testz00_26425)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3452z00_4169;

											BgL_arg3452z00_4169 =
												((long) CINT(BgL_bpz00_4167) + ((long) 0));
											VECTOR_SET(BgL_sz00_4166,
												(int) (BgL_arg3452z00_4169), BgL_cz00_4162);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3453z00_4170;

											BgL_arg3453z00_4170 =
												((long) CINT(BgL_bpz00_4167) + ((long) 1));
											VECTOR_SET(BgL_sz00_4166,
												(int) (BgL_arg3453z00_4170), BgL_dz00_4163);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3454z00_4171;

											BgL_arg3454z00_4171 =
												((long) CINT(BgL_bpz00_4167) + ((long) 2));
											VECTOR_SET(BgL_sz00_4166,
												(int) (BgL_arg3454z00_4171), BgL_lastz00_4164);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1403z00_4172;

											BgL_val1403z00_4172 =
												BGl_zc3exitza33458ze3z83zz__evaluate_compz00
												(BgL_bpz00_4167, BgL_sz00_4166, BgL_runz00_16685);
											VECTOR_SET(BgL_sz00_4166, (int) (((long) 0)),
												BgL_bpz00_4167);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1403z00_4172)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1403z00_4172), CDR(BgL_val1403z00_4172));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1403z00_4172;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4179;

										BgL_nsz00_4179 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4179,
											(int) (((long) 1)), BgL_sz00_4166);
										VECTOR_SET(BgL_nsz00_4179,
											(int) (((long) 2)), BgL_cz00_4162);
										VECTOR_SET(BgL_nsz00_4179,
											(int) (((long) 3)), BgL_dz00_4163);
										VECTOR_SET(BgL_nsz00_4179,
											(int) (((long) 4)), BgL_lastz00_4164);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26461;

											BgL_auxz00_26461 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26461, BgL_nsz00_4179);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1406z00_4181;

											BgL_val1406z00_4181 =
												BGl_zc3exitza33464ze3z83zz__evaluate_compz00
												(BgL_runz00_16685, BgL_nsz00_4179);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26465;

												BgL_auxz00_26465 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26465, BgL_sz00_4166);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1406z00_4181)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1406z00_4181), CDR(BgL_val1406z00_4181));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1406z00_4181;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3464> */
	obj_t BGl_zc3exitza33464ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17581,
		obj_t BgL_nsz00_17580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1407z00_4187;

			if (SET_EXIT(BgL_an_exit1407z00_4187))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1407z00_4187 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1407z00_4187, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1408z00_4188;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13120;

								BgL_savedzd2bpzd2_13120 =
									VECTOR_REF(BgL_nsz00_17580, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17580,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13127;

									BgL_fz00_13127 = BgL_runz00_17581;
								BgL_recz00_13126:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13128;

										BgL_rz00_13128 =
											PROCEDURE_ENTRY(BgL_fz00_13127) (BgL_fz00_13127,
											BgL_nsz00_17580, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26486;

											if (PROCEDUREP(BgL_rz00_13128))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13133;

													BgL_arg1899z00_13133 = PROCEDURE_ATTR(BgL_rz00_13128);
													if (STRUCTP(BgL_arg1899z00_13133))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26486 =
																(STRUCT_KEY(BgL_arg1899z00_13133) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26486 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26486 = ((bool_t) 0);
												}
											if (BgL_testz00_26486)
												{
													obj_t BgL_fz00_26494;

													BgL_fz00_26494 = BgL_rz00_13128;
													BgL_fz00_13127 = BgL_fz00_26494;
													goto BgL_recz00_13126;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17580,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13120);
													BgL_val1408z00_4188 = BgL_rz00_13128;
							}}}}}
							POP_EXIT();
							return BgL_val1408z00_4188;
						}
					}
				}
		}
	}



/* <exit:3458> */
	obj_t BGl_zc3exitza33458ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17584,
		obj_t BgL_sz00_17583, obj_t BgL_runz00_17582)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1404z00_4177;

			if (SET_EXIT(BgL_an_exit1404z00_4177))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1404z00_4177 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1404z00_4177, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1405z00_4178;

							BgL_val1405z00_4178 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17582,
								BgL_sz00_17583, BgL_bpz00_17584);
							POP_EXIT();
							return BgL_val1405z00_4178;
						}
					}
				}
		}
	}



/* &run5482 */
	obj_t BGl_z62run5482z62zz__evaluate_compz00(obj_t BgL_envz00_16690,
		obj_t BgL_sz00_16694)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16691;
				BgL_ev_absz00_bglt BgL_i1250z00_16692;
				obj_t BgL_bodyz00_16693;

				BgL_iboxesz00_16691 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16690, (int) (((long) 0))));
				BgL_i1250z00_16692 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16690, (int) (((long) 1))));
				BgL_bodyz00_16693 = PROCEDURE_REF(BgL_envz00_16690, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4190;

					BgL_sz00_4190 = BgL_sz00_16694;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4192;

						BgL_bpz00_4192 = VECTOR_REF(BgL_sz00_4190, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4190,
							BgL_iboxesz00_16691, BgL_bpz00_4192);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4193;
							obj_t BgL_wherez00_4194;
							obj_t BgL_locz00_4195;

							BgL_z12denvz12_4193 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4194 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16692))->BgL_wherez00);
							BgL_locz00_4195 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16692))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4193, BgL_wherez00_4194,
									BgL_locz00_4195);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4196;

									BgL_za2za2resza2za2z00_4196 =
										PROCEDURE_ENTRY(BgL_bodyz00_16693) (BgL_bodyz00_16693,
										BgL_sz00_4190, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4193);
									return BgL_za2za2resza2za2z00_4196;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3468> */
	obj_t BGl_z62zc3anonymousza33468ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16695, obj_t BgL_sz00_16701)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16696;
				long BgL_siza7eza7_16697;
				BgL_ev_absz00_bglt BgL_i1250z00_16698;
				obj_t BgL_bodyz00_16699;
				long BgL_siza7ezd2framez75_16700;

				BgL_ifreesz00_16696 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16695, (int) (((long) 0))));
				BgL_siza7eza7_16697 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16695, (int) (((long) 1))));
				BgL_i1250z00_16698 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16695, (int) (((long) 2))));
				BgL_bodyz00_16699 = PROCEDURE_REF(BgL_envz00_16695, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16700 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16695, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4200;

					BgL_sz00_4200 = BgL_sz00_16701;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4202;

						BgL_bpz00_4202 = VECTOR_REF(BgL_sz00_4200, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4203;

							BgL_valza2za2_4203 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4200,
								BgL_bpz00_4202, BgL_ifreesz00_16696);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16168;

								BgL_runz00_16168 =
									MAKE_FX_PROCEDURE(BGl_z62run5484z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16697));
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 1)), BgL_valza2za2_4203);
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16698));
								PROCEDURE_SET(BgL_runz00_16168,
									(int) (((long) 3)), BgL_bodyz00_16699);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16169;

									BgL_mainz00_16169 =
										MAKE_VA_PROCEDURE(BGl_z62main5483z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16697));
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 1)), BgL_valza2za2_4203);
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16698));
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 3)), BgL_bodyz00_16699);
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 4)), BgL_runz00_16168);
									PROCEDURE_SET(BgL_mainz00_16169,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16700));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13264;

										BgL_objz00_13264 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16168, BgL_objz00_13264);
										BgL_objz00_13264;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3469z00_4206;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3470z00_4207;

											BgL_arg3470z00_4207 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16698))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13268;

												BgL_newz00_13268 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26575;

													BgL_auxz00_26575 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13268, BgL_auxz00_26575,
														BgL_arg3470z00_4207);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26580;
													int BgL_auxz00_26578;

													BgL_auxz00_26580 = BINT(BgL_siza7ezd2framez75_16700);
													BgL_auxz00_26578 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13268, BgL_auxz00_26578,
														BgL_auxz00_26580);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26583;

													BgL_auxz00_26583 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13268, BgL_auxz00_26583,
														BgL_runz00_16168);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26588;
													int BgL_auxz00_26586;

													BgL_auxz00_26588 = BINT(((long) -3));
													BgL_auxz00_26586 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13268, BgL_auxz00_26586,
														BgL_auxz00_26588);
												}
												BgL_arg3469z00_4206 = BgL_newz00_13268;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16169, BgL_arg3469z00_4206);
										BgL_arg3469z00_4206;
									}
									return BgL_mainz00_16169;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5483 */
	obj_t BGl_z62main5483z62zz__evaluate_compz00(obj_t BgL_envz00_16702,
		obj_t BgL_cz00_16709, obj_t BgL_dz00_16710, obj_t BgL_lastz00_16711)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16707;
				long BgL_siza7ezd2framez75_16708;

				BgL_runz00_16707 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16702, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16708 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16702, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4208;
					obj_t BgL_dz00_4209;
					obj_t BgL_lastz00_4210;

					BgL_cz00_4208 = BgL_cz00_16709;
					BgL_dz00_4209 = BgL_dz00_16710;
					BgL_lastz00_4210 = BgL_lastz00_16711;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4212;

						BgL_sz00_4212 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4213;

							BgL_bpz00_4213 = VECTOR_REF(BgL_sz00_4212, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26601;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13190;

									BgL_arg1908z00_13190 = VECTOR_LENGTH(BgL_sz00_4212);
									BgL_testz00_26601 =
										(
										((long) CINT(BgL_bpz00_4213) +
											BgL_siza7ezd2framez75_16708) <
										(long) (BgL_arg1908z00_13190));
								}
								if (BgL_testz00_26601)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3473z00_4215;

											BgL_arg3473z00_4215 =
												((long) CINT(BgL_bpz00_4213) + ((long) 0));
											VECTOR_SET(BgL_sz00_4212,
												(int) (BgL_arg3473z00_4215), BgL_cz00_4208);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3474z00_4216;

											BgL_arg3474z00_4216 =
												((long) CINT(BgL_bpz00_4213) + ((long) 1));
											VECTOR_SET(BgL_sz00_4212,
												(int) (BgL_arg3474z00_4216), BgL_dz00_4209);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3475z00_4217;

											BgL_arg3475z00_4217 =
												((long) CINT(BgL_bpz00_4213) + ((long) 2));
											VECTOR_SET(BgL_sz00_4212,
												(int) (BgL_arg3475z00_4217), BgL_lastz00_4210);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1409z00_4218;

											BgL_val1409z00_4218 =
												BGl_zc3exitza33479ze3z83zz__evaluate_compz00
												(BgL_bpz00_4213, BgL_sz00_4212, BgL_runz00_16707);
											VECTOR_SET(BgL_sz00_4212, (int) (((long) 0)),
												BgL_bpz00_4213);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1409z00_4218)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1409z00_4218), CDR(BgL_val1409z00_4218));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1409z00_4218;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4225;

										BgL_nsz00_4225 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4225,
											(int) (((long) 1)), BgL_sz00_4212);
										VECTOR_SET(BgL_nsz00_4225,
											(int) (((long) 2)), BgL_cz00_4208);
										VECTOR_SET(BgL_nsz00_4225,
											(int) (((long) 3)), BgL_dz00_4209);
										VECTOR_SET(BgL_nsz00_4225,
											(int) (((long) 4)), BgL_lastz00_4210);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26637;

											BgL_auxz00_26637 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26637, BgL_nsz00_4225);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1412z00_4227;

											BgL_val1412z00_4227 =
												BGl_zc3exitza33485ze3z83zz__evaluate_compz00
												(BgL_runz00_16707, BgL_nsz00_4225);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26641;

												BgL_auxz00_26641 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26641, BgL_sz00_4212);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1412z00_4227)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1412z00_4227), CDR(BgL_val1412z00_4227));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1412z00_4227;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3485> */
	obj_t BGl_zc3exitza33485ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17576,
		obj_t BgL_nsz00_17575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1413z00_4233;

			if (SET_EXIT(BgL_an_exit1413z00_4233))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1413z00_4233 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1413z00_4233, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1414z00_4234;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13236;

								BgL_savedzd2bpzd2_13236 =
									VECTOR_REF(BgL_nsz00_17575, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17575,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13243;

									BgL_fz00_13243 = BgL_runz00_17576;
								BgL_recz00_13242:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13244;

										BgL_rz00_13244 =
											PROCEDURE_ENTRY(BgL_fz00_13243) (BgL_fz00_13243,
											BgL_nsz00_17575, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26662;

											if (PROCEDUREP(BgL_rz00_13244))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13249;

													BgL_arg1899z00_13249 = PROCEDURE_ATTR(BgL_rz00_13244);
													if (STRUCTP(BgL_arg1899z00_13249))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26662 =
																(STRUCT_KEY(BgL_arg1899z00_13249) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26662 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26662 = ((bool_t) 0);
												}
											if (BgL_testz00_26662)
												{
													obj_t BgL_fz00_26670;

													BgL_fz00_26670 = BgL_rz00_13244;
													BgL_fz00_13243 = BgL_fz00_26670;
													goto BgL_recz00_13242;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17575,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13236);
													BgL_val1414z00_4234 = BgL_rz00_13244;
							}}}}}
							POP_EXIT();
							return BgL_val1414z00_4234;
						}
					}
				}
		}
	}



/* <exit:3479> */
	obj_t BGl_zc3exitza33479ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17579,
		obj_t BgL_sz00_17578, obj_t BgL_runz00_17577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1410z00_4223;

			if (SET_EXIT(BgL_an_exit1410z00_4223))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1410z00_4223 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1410z00_4223, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1411z00_4224;

							BgL_val1411z00_4224 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17577,
								BgL_sz00_17578, BgL_bpz00_17579);
							POP_EXIT();
							return BgL_val1411z00_4224;
						}
					}
				}
		}
	}



/* &run5484 */
	obj_t BGl_z62run5484z62zz__evaluate_compz00(obj_t BgL_envz00_16712,
		obj_t BgL_sz00_16717)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16713;
				obj_t BgL_valza2za2_16714;
				BgL_ev_absz00_bglt BgL_i1250z00_16715;
				obj_t BgL_bodyz00_16716;

				BgL_siza7eza7_16713 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16712, (int) (((long) 0))));
				BgL_valza2za2_16714 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16712, (int) (((long) 1))));
				BgL_i1250z00_16715 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16712, (int) (((long) 2))));
				BgL_bodyz00_16716 = PROCEDURE_REF(BgL_envz00_16712, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4236;

					BgL_sz00_4236 = BgL_sz00_16717;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4238;

						BgL_bpz00_4238 = VECTOR_REF(BgL_sz00_4236, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4236,
							BgL_valza2za2_16714,
							((long) CINT(BgL_bpz00_4238) + BgL_siza7eza7_16713));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4240;
							obj_t BgL_wherez00_4241;
							obj_t BgL_locz00_4242;

							BgL_z12denvz12_4240 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4241 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16715))->BgL_wherez00);
							BgL_locz00_4242 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16715))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4240, BgL_wherez00_4241,
									BgL_locz00_4242);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4243;

									BgL_za2za2resza2za2z00_4243 =
										PROCEDURE_ENTRY(BgL_bodyz00_16716) (BgL_bodyz00_16716,
										BgL_sz00_4236, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4240);
									return BgL_za2za2resza2za2z00_4243;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3488> */
	obj_t BGl_z62zc3anonymousza33488ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16718, obj_t BgL_sz00_16725)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16719;
				obj_t BgL_iboxesz00_16720;
				long BgL_siza7eza7_16721;
				BgL_ev_absz00_bglt BgL_i1250z00_16722;
				obj_t BgL_bodyz00_16723;
				long BgL_siza7ezd2framez75_16724;

				BgL_ifreesz00_16719 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 0))));
				BgL_iboxesz00_16720 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 1))));
				BgL_siza7eza7_16721 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 2))));
				BgL_i1250z00_16722 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 3))));
				BgL_bodyz00_16723 = PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16724 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4245;

					BgL_sz00_4245 = BgL_sz00_16725;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4247;

						BgL_bpz00_4247 = VECTOR_REF(BgL_sz00_4245, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4248;

							BgL_valza2za2_4248 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4245,
								BgL_bpz00_4247, BgL_ifreesz00_16719);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16165;

								BgL_runz00_16165 =
									MAKE_FX_PROCEDURE(BGl_z62run5486z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 0)), BgL_iboxesz00_16720);
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16721));
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 2)), BgL_valza2za2_4248);
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16722));
								PROCEDURE_SET(BgL_runz00_16165,
									(int) (((long) 4)), BgL_bodyz00_16723);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16166;

									BgL_mainz00_16166 =
										MAKE_VA_PROCEDURE(BGl_z62main5485z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 0)), BgL_iboxesz00_16720);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16721));
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 2)), BgL_valza2za2_4248);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16722));
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 4)), BgL_bodyz00_16723);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 5)), BgL_runz00_16165);
									PROCEDURE_SET(BgL_mainz00_16166,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16724));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13376;

										BgL_objz00_13376 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16165, BgL_objz00_13376);
										BgL_objz00_13376;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3489z00_4251;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3490z00_4252;

											BgL_arg3490z00_4252 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16722))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13380;

												BgL_newz00_13380 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26763;

													BgL_auxz00_26763 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13380, BgL_auxz00_26763,
														BgL_arg3490z00_4252);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26768;
													int BgL_auxz00_26766;

													BgL_auxz00_26768 = BINT(BgL_siza7ezd2framez75_16724);
													BgL_auxz00_26766 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13380, BgL_auxz00_26766,
														BgL_auxz00_26768);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26771;

													BgL_auxz00_26771 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13380, BgL_auxz00_26771,
														BgL_runz00_16165);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26776;
													int BgL_auxz00_26774;

													BgL_auxz00_26776 = BINT(((long) -3));
													BgL_auxz00_26774 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13380, BgL_auxz00_26774,
														BgL_auxz00_26776);
												}
												BgL_arg3489z00_4251 = BgL_newz00_13380;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16166, BgL_arg3489z00_4251);
										BgL_arg3489z00_4251;
									}
									return BgL_mainz00_16166;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5485 */
	obj_t BGl_z62main5485z62zz__evaluate_compz00(obj_t BgL_envz00_16726,
		obj_t BgL_cz00_16734, obj_t BgL_dz00_16735, obj_t BgL_lastz00_16736)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16732;
				long BgL_siza7ezd2framez75_16733;

				BgL_runz00_16732 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16726, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16733 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16726, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4253;
					obj_t BgL_dz00_4254;
					obj_t BgL_lastz00_4255;

					BgL_cz00_4253 = BgL_cz00_16734;
					BgL_dz00_4254 = BgL_dz00_16735;
					BgL_lastz00_4255 = BgL_lastz00_16736;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4257;

						BgL_sz00_4257 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4258;

							BgL_bpz00_4258 = VECTOR_REF(BgL_sz00_4257, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26789;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_13302;

									BgL_arg1908z00_13302 = VECTOR_LENGTH(BgL_sz00_4257);
									BgL_testz00_26789 =
										(
										((long) CINT(BgL_bpz00_4258) +
											BgL_siza7ezd2framez75_16733) <
										(long) (BgL_arg1908z00_13302));
								}
								if (BgL_testz00_26789)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3493z00_4260;

											BgL_arg3493z00_4260 =
												((long) CINT(BgL_bpz00_4258) + ((long) 0));
											VECTOR_SET(BgL_sz00_4257,
												(int) (BgL_arg3493z00_4260), BgL_cz00_4253);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3494z00_4261;

											BgL_arg3494z00_4261 =
												((long) CINT(BgL_bpz00_4258) + ((long) 1));
											VECTOR_SET(BgL_sz00_4257,
												(int) (BgL_arg3494z00_4261), BgL_dz00_4254);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3495z00_4262;

											BgL_arg3495z00_4262 =
												((long) CINT(BgL_bpz00_4258) + ((long) 2));
											VECTOR_SET(BgL_sz00_4257,
												(int) (BgL_arg3495z00_4262), BgL_lastz00_4255);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1415z00_4263;

											BgL_val1415z00_4263 =
												BGl_zc3exitza33499ze3z83zz__evaluate_compz00
												(BgL_bpz00_4258, BgL_sz00_4257, BgL_runz00_16732);
											VECTOR_SET(BgL_sz00_4257, (int) (((long) 0)),
												BgL_bpz00_4258);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1415z00_4263)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1415z00_4263), CDR(BgL_val1415z00_4263));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1415z00_4263;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4270;

										BgL_nsz00_4270 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4270,
											(int) (((long) 1)), BgL_sz00_4257);
										VECTOR_SET(BgL_nsz00_4270,
											(int) (((long) 2)), BgL_cz00_4253);
										VECTOR_SET(BgL_nsz00_4270,
											(int) (((long) 3)), BgL_dz00_4254);
										VECTOR_SET(BgL_nsz00_4270,
											(int) (((long) 4)), BgL_lastz00_4255);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26825;

											BgL_auxz00_26825 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26825, BgL_nsz00_4270);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1418z00_4272;

											BgL_val1418z00_4272 =
												BGl_zc3exitza33505ze3z83zz__evaluate_compz00
												(BgL_runz00_16732, BgL_nsz00_4270);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26829;

												BgL_auxz00_26829 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26829, BgL_sz00_4257);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1418z00_4272)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1418z00_4272), CDR(BgL_val1418z00_4272));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1418z00_4272;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3505> */
	obj_t BGl_zc3exitza33505ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17571,
		obj_t BgL_nsz00_17570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1419z00_4278;

			if (SET_EXIT(BgL_an_exit1419z00_4278))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1419z00_4278 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1419z00_4278, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1420z00_4279;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13348;

								BgL_savedzd2bpzd2_13348 =
									VECTOR_REF(BgL_nsz00_17570, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17570,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13355;

									BgL_fz00_13355 = BgL_runz00_17571;
								BgL_recz00_13354:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13356;

										BgL_rz00_13356 =
											PROCEDURE_ENTRY(BgL_fz00_13355) (BgL_fz00_13355,
											BgL_nsz00_17570, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26850;

											if (PROCEDUREP(BgL_rz00_13356))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_13361;

													BgL_arg1899z00_13361 = PROCEDURE_ATTR(BgL_rz00_13356);
													if (STRUCTP(BgL_arg1899z00_13361))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26850 =
																(STRUCT_KEY(BgL_arg1899z00_13361) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26850 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26850 = ((bool_t) 0);
												}
											if (BgL_testz00_26850)
												{
													obj_t BgL_fz00_26858;

													BgL_fz00_26858 = BgL_rz00_13356;
													BgL_fz00_13355 = BgL_fz00_26858;
													goto BgL_recz00_13354;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17570,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13348);
													BgL_val1420z00_4279 = BgL_rz00_13356;
							}}}}}
							POP_EXIT();
							return BgL_val1420z00_4279;
						}
					}
				}
		}
	}



/* <exit:3499> */
	obj_t BGl_zc3exitza33499ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17574,
		obj_t BgL_sz00_17573, obj_t BgL_runz00_17572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1416z00_4268;

			if (SET_EXIT(BgL_an_exit1416z00_4268))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1416z00_4268 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1416z00_4268, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1417z00_4269;

							BgL_val1417z00_4269 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17572,
								BgL_sz00_17573, BgL_bpz00_17574);
							POP_EXIT();
							return BgL_val1417z00_4269;
						}
					}
				}
		}
	}



/* &run5486 */
	obj_t BGl_z62run5486z62zz__evaluate_compz00(obj_t BgL_envz00_16737,
		obj_t BgL_sz00_16743)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16738;
				long BgL_siza7eza7_16739;
				obj_t BgL_valza2za2_16740;
				BgL_ev_absz00_bglt BgL_i1250z00_16741;
				obj_t BgL_bodyz00_16742;

				BgL_iboxesz00_16738 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16737, (int) (((long) 0))));
				BgL_siza7eza7_16739 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16737, (int) (((long) 1))));
				BgL_valza2za2_16740 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16737, (int) (((long) 2))));
				BgL_i1250z00_16741 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16737, (int) (((long) 3))));
				BgL_bodyz00_16742 = PROCEDURE_REF(BgL_envz00_16737, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4281;

					BgL_sz00_4281 = BgL_sz00_16743;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4283;

						BgL_bpz00_4283 = VECTOR_REF(BgL_sz00_4281, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4281,
							BgL_iboxesz00_16738, BgL_bpz00_4283);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4281,
							BgL_valza2za2_16740,
							((long) CINT(BgL_bpz00_4283) + BgL_siza7eza7_16739));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4285;
							obj_t BgL_wherez00_4286;
							obj_t BgL_locz00_4287;

							BgL_z12denvz12_4285 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4286 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16741))->BgL_wherez00);
							BgL_locz00_4287 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16741))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4285, BgL_wherez00_4286,
									BgL_locz00_4287);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4288;

									BgL_za2za2resza2za2z00_4288 =
										PROCEDURE_ENTRY(BgL_bodyz00_16742) (BgL_bodyz00_16742,
										BgL_sz00_4281, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4285);
									return BgL_za2za2resza2za2z00_4288;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3348> */
	obj_t BGl_z62zc3anonymousza33348ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16744, obj_t BgL_sz00_16748)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16745;
				obj_t BgL_bodyz00_16746;
				long BgL_siza7ezd2framez75_16747;

				BgL_i1250z00_16745 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16744, (int) (((long) 0))));
				BgL_bodyz00_16746 = PROCEDURE_REF(BgL_envz00_16744, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16747 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16744, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3938;

					BgL_sz00_3938 = BgL_sz00_16748;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3940;

						BgL_bpz00_3940 = VECTOR_REF(BgL_sz00_3938, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16162;

								BgL_runz00_16162 =
									MAKE_FX_PROCEDURE(BGl_z62run5488z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16162,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16745));
								PROCEDURE_SET(BgL_runz00_16162,
									(int) (((long) 1)), BgL_bodyz00_16746);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16163;

									BgL_mainz00_16163 =
										MAKE_FX_PROCEDURE(BGl_z62main5487z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16745));
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 1)), BgL_bodyz00_16746);
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 2)), BgL_runz00_16162);
									PROCEDURE_SET(BgL_mainz00_16163,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16747));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12612;

										BgL_objz00_12612 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16162, BgL_objz00_12612);
										BgL_objz00_12612;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3349z00_3943;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3350z00_3944;

											BgL_arg3350z00_3944 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16745))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12616;

												BgL_newz00_12616 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26931;

													BgL_auxz00_26931 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12616, BgL_auxz00_26931,
														BgL_arg3350z00_3944);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26936;
													int BgL_auxz00_26934;

													BgL_auxz00_26936 = BINT(BgL_siza7ezd2framez75_16747);
													BgL_auxz00_26934 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12616, BgL_auxz00_26934,
														BgL_auxz00_26936);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26939;

													BgL_auxz00_26939 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12616, BgL_auxz00_26939,
														BgL_runz00_16162);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26944;
													int BgL_auxz00_26942;

													BgL_auxz00_26944 = BINT(((long) 2));
													BgL_auxz00_26942 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12616, BgL_auxz00_26942,
														BgL_auxz00_26944);
												}
												BgL_arg3349z00_3943 = BgL_newz00_12616;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16163, BgL_arg3349z00_3943);
										BgL_arg3349z00_3943;
									}
									return BgL_mainz00_16163;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5487 */
	obj_t BGl_z62main5487z62zz__evaluate_compz00(obj_t BgL_envz00_16749,
		obj_t BgL_cz00_16754, obj_t BgL_dz00_16755)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16752;
				long BgL_siza7ezd2framez75_16753;

				BgL_runz00_16752 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16749, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16753 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16749, (int) (((long) 3))));
				{
					obj_t BgL_cz00_3945;
					obj_t BgL_dz00_3946;

					BgL_cz00_3945 = BgL_cz00_16754;
					BgL_dz00_3946 = BgL_dz00_16755;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3948;

						BgL_sz00_3948 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3949;

							BgL_bpz00_3949 = VECTOR_REF(BgL_sz00_3948, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26957;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12547;

									BgL_arg1908z00_12547 = VECTOR_LENGTH(BgL_sz00_3948);
									BgL_testz00_26957 =
										(
										((long) CINT(BgL_bpz00_3949) +
											BgL_siza7ezd2framez75_16753) <
										(long) (BgL_arg1908z00_12547));
								}
								if (BgL_testz00_26957)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3353z00_3951;

											BgL_arg3353z00_3951 =
												((long) CINT(BgL_bpz00_3949) + ((long) 0));
											VECTOR_SET(BgL_sz00_3948,
												(int) (BgL_arg3353z00_3951), BgL_cz00_3945);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3354z00_3952;

											BgL_arg3354z00_3952 =
												((long) CINT(BgL_bpz00_3949) + ((long) 1));
											VECTOR_SET(BgL_sz00_3948,
												(int) (BgL_arg3354z00_3952), BgL_dz00_3946);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1373z00_3953;

											BgL_val1373z00_3953 =
												BGl_zc3exitza33358ze3z83zz__evaluate_compz00
												(BgL_bpz00_3949, BgL_sz00_3948, BgL_runz00_16752);
											VECTOR_SET(BgL_sz00_3948, (int) (((long) 0)),
												BgL_bpz00_3949);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1373z00_3953)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1373z00_3953), CDR(BgL_val1373z00_3953));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1373z00_3953;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3960;

										BgL_nsz00_3960 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3960,
											(int) (((long) 1)), BgL_sz00_3948);
										VECTOR_SET(BgL_nsz00_3960,
											(int) (((long) 2)), BgL_cz00_3945);
										VECTOR_SET(BgL_nsz00_3960,
											(int) (((long) 3)), BgL_dz00_3946);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26987;

											BgL_auxz00_26987 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26987, BgL_nsz00_3960);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1376z00_3962;

											BgL_val1376z00_3962 =
												BGl_zc3exitza33364ze3z83zz__evaluate_compz00
												(BgL_runz00_16752, BgL_nsz00_3960);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26991;

												BgL_auxz00_26991 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26991, BgL_sz00_3948);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1376z00_3962)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1376z00_3962), CDR(BgL_val1376z00_3962));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1376z00_3962;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3364> */
	obj_t BGl_zc3exitza33364ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17566,
		obj_t BgL_nsz00_17565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1377z00_3968;

			if (SET_EXIT(BgL_an_exit1377z00_3968))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1377z00_3968 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1377z00_3968, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1378z00_3969;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12584;

								BgL_savedzd2bpzd2_12584 =
									VECTOR_REF(BgL_nsz00_17565, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17565,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12591;

									BgL_fz00_12591 = BgL_runz00_17566;
								BgL_recz00_12590:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12592;

										BgL_rz00_12592 =
											PROCEDURE_ENTRY(BgL_fz00_12591) (BgL_fz00_12591,
											BgL_nsz00_17565, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27012;

											if (PROCEDUREP(BgL_rz00_12592))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12597;

													BgL_arg1899z00_12597 = PROCEDURE_ATTR(BgL_rz00_12592);
													if (STRUCTP(BgL_arg1899z00_12597))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27012 =
																(STRUCT_KEY(BgL_arg1899z00_12597) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27012 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27012 = ((bool_t) 0);
												}
											if (BgL_testz00_27012)
												{
													obj_t BgL_fz00_27020;

													BgL_fz00_27020 = BgL_rz00_12592;
													BgL_fz00_12591 = BgL_fz00_27020;
													goto BgL_recz00_12590;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17565,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12584);
													BgL_val1378z00_3969 = BgL_rz00_12592;
							}}}}}
							POP_EXIT();
							return BgL_val1378z00_3969;
						}
					}
				}
		}
	}



/* <exit:3358> */
	obj_t BGl_zc3exitza33358ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17569,
		obj_t BgL_sz00_17568, obj_t BgL_runz00_17567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1374z00_3958;

			if (SET_EXIT(BgL_an_exit1374z00_3958))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1374z00_3958 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1374z00_3958, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1375z00_3959;

							BgL_val1375z00_3959 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17567,
								BgL_sz00_17568, BgL_bpz00_17569);
							POP_EXIT();
							return BgL_val1375z00_3959;
						}
					}
				}
		}
	}



/* &run5488 */
	obj_t BGl_z62run5488z62zz__evaluate_compz00(obj_t BgL_envz00_16756,
		obj_t BgL_sz00_16759)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16757;
				obj_t BgL_bodyz00_16758;

				BgL_i1250z00_16757 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16756, (int) (((long) 0))));
				BgL_bodyz00_16758 = PROCEDURE_REF(BgL_envz00_16756, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3971;

					BgL_sz00_3971 = BgL_sz00_16759;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3973;

						BgL_bpz00_3973 = VECTOR_REF(BgL_sz00_3971, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3974;
							obj_t BgL_wherez00_3975;
							obj_t BgL_locz00_3976;

							BgL_z12denvz12_3974 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3975 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16757))->BgL_wherez00);
							BgL_locz00_3976 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16757))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3974, BgL_wherez00_3975,
									BgL_locz00_3976);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3977;

									BgL_za2za2resza2za2z00_3977 =
										PROCEDURE_ENTRY(BgL_bodyz00_16758) (BgL_bodyz00_16758,
										BgL_sz00_3971, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3974);
									return BgL_za2za2resza2za2z00_3977;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3366> */
	obj_t BGl_z62zc3anonymousza33366ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16760, obj_t BgL_sz00_16765)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16761;
				BgL_ev_absz00_bglt BgL_i1250z00_16762;
				obj_t BgL_bodyz00_16763;
				long BgL_siza7ezd2framez75_16764;

				BgL_iboxesz00_16761 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16760, (int) (((long) 0))));
				BgL_i1250z00_16762 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16760, (int) (((long) 1))));
				BgL_bodyz00_16763 = PROCEDURE_REF(BgL_envz00_16760, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16764 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16760, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3979;

					BgL_sz00_3979 = BgL_sz00_16765;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3981;

						BgL_bpz00_3981 = VECTOR_REF(BgL_sz00_3979, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16159;

								BgL_runz00_16159 =
									MAKE_FX_PROCEDURE(BGl_z62run5490z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16159,
									(int) (((long) 0)), BgL_iboxesz00_16761);
								PROCEDURE_SET(BgL_runz00_16159,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16762));
								PROCEDURE_SET(BgL_runz00_16159,
									(int) (((long) 2)), BgL_bodyz00_16763);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16160;

									BgL_mainz00_16160 =
										MAKE_FX_PROCEDURE(BGl_z62main5489z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 0)), BgL_iboxesz00_16761);
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16762));
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 2)), BgL_bodyz00_16763);
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 3)), BgL_runz00_16159);
									PROCEDURE_SET(BgL_mainz00_16160,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16764));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12712;

										BgL_objz00_12712 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16159, BgL_objz00_12712);
										BgL_objz00_12712;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3367z00_3984;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3368z00_3985;

											BgL_arg3368z00_3985 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16762))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12716;

												BgL_newz00_12716 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27087;

													BgL_auxz00_27087 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12716, BgL_auxz00_27087,
														BgL_arg3368z00_3985);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27092;
													int BgL_auxz00_27090;

													BgL_auxz00_27092 = BINT(BgL_siza7ezd2framez75_16764);
													BgL_auxz00_27090 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12716, BgL_auxz00_27090,
														BgL_auxz00_27092);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27095;

													BgL_auxz00_27095 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12716, BgL_auxz00_27095,
														BgL_runz00_16159);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27100;
													int BgL_auxz00_27098;

													BgL_auxz00_27100 = BINT(((long) 2));
													BgL_auxz00_27098 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12716, BgL_auxz00_27098,
														BgL_auxz00_27100);
												}
												BgL_arg3367z00_3984 = BgL_newz00_12716;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16160, BgL_arg3367z00_3984);
										BgL_arg3367z00_3984;
									}
									return BgL_mainz00_16160;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5489 */
	obj_t BGl_z62main5489z62zz__evaluate_compz00(obj_t BgL_envz00_16766,
		obj_t BgL_cz00_16772, obj_t BgL_dz00_16773)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16770;
				long BgL_siza7ezd2framez75_16771;

				BgL_runz00_16770 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16766, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16771 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16766, (int) (((long) 4))));
				{
					obj_t BgL_cz00_3986;
					obj_t BgL_dz00_3987;

					BgL_cz00_3986 = BgL_cz00_16772;
					BgL_dz00_3987 = BgL_dz00_16773;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3989;

						BgL_sz00_3989 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3990;

							BgL_bpz00_3990 = VECTOR_REF(BgL_sz00_3989, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27113;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12647;

									BgL_arg1908z00_12647 = VECTOR_LENGTH(BgL_sz00_3989);
									BgL_testz00_27113 =
										(
										((long) CINT(BgL_bpz00_3990) +
											BgL_siza7ezd2framez75_16771) <
										(long) (BgL_arg1908z00_12647));
								}
								if (BgL_testz00_27113)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3371z00_3992;

											BgL_arg3371z00_3992 =
												((long) CINT(BgL_bpz00_3990) + ((long) 0));
											VECTOR_SET(BgL_sz00_3989,
												(int) (BgL_arg3371z00_3992), BgL_cz00_3986);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3372z00_3993;

											BgL_arg3372z00_3993 =
												((long) CINT(BgL_bpz00_3990) + ((long) 1));
											VECTOR_SET(BgL_sz00_3989,
												(int) (BgL_arg3372z00_3993), BgL_dz00_3987);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1379z00_3994;

											BgL_val1379z00_3994 =
												BGl_zc3exitza33376ze3z83zz__evaluate_compz00
												(BgL_bpz00_3990, BgL_sz00_3989, BgL_runz00_16770);
											VECTOR_SET(BgL_sz00_3989, (int) (((long) 0)),
												BgL_bpz00_3990);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1379z00_3994)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1379z00_3994), CDR(BgL_val1379z00_3994));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1379z00_3994;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4001;

										BgL_nsz00_4001 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4001,
											(int) (((long) 1)), BgL_sz00_3989);
										VECTOR_SET(BgL_nsz00_4001,
											(int) (((long) 2)), BgL_cz00_3986);
										VECTOR_SET(BgL_nsz00_4001,
											(int) (((long) 3)), BgL_dz00_3987);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27143;

											BgL_auxz00_27143 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27143, BgL_nsz00_4001);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1382z00_4003;

											BgL_val1382z00_4003 =
												BGl_zc3exitza33382ze3z83zz__evaluate_compz00
												(BgL_runz00_16770, BgL_nsz00_4001);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27147;

												BgL_auxz00_27147 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27147, BgL_sz00_3989);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1382z00_4003)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1382z00_4003), CDR(BgL_val1382z00_4003));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1382z00_4003;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3382> */
	obj_t BGl_zc3exitza33382ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17561,
		obj_t BgL_nsz00_17560)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1383z00_4009;

			if (SET_EXIT(BgL_an_exit1383z00_4009))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1383z00_4009 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1383z00_4009, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1384z00_4010;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12684;

								BgL_savedzd2bpzd2_12684 =
									VECTOR_REF(BgL_nsz00_17560, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17560,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12691;

									BgL_fz00_12691 = BgL_runz00_17561;
								BgL_recz00_12690:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12692;

										BgL_rz00_12692 =
											PROCEDURE_ENTRY(BgL_fz00_12691) (BgL_fz00_12691,
											BgL_nsz00_17560, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27168;

											if (PROCEDUREP(BgL_rz00_12692))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12697;

													BgL_arg1899z00_12697 = PROCEDURE_ATTR(BgL_rz00_12692);
													if (STRUCTP(BgL_arg1899z00_12697))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27168 =
																(STRUCT_KEY(BgL_arg1899z00_12697) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27168 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27168 = ((bool_t) 0);
												}
											if (BgL_testz00_27168)
												{
													obj_t BgL_fz00_27176;

													BgL_fz00_27176 = BgL_rz00_12692;
													BgL_fz00_12691 = BgL_fz00_27176;
													goto BgL_recz00_12690;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17560,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12684);
													BgL_val1384z00_4010 = BgL_rz00_12692;
							}}}}}
							POP_EXIT();
							return BgL_val1384z00_4010;
						}
					}
				}
		}
	}



/* <exit:3376> */
	obj_t BGl_zc3exitza33376ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17564,
		obj_t BgL_sz00_17563, obj_t BgL_runz00_17562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1380z00_3999;

			if (SET_EXIT(BgL_an_exit1380z00_3999))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1380z00_3999 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1380z00_3999, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1381z00_4000;

							BgL_val1381z00_4000 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17562,
								BgL_sz00_17563, BgL_bpz00_17564);
							POP_EXIT();
							return BgL_val1381z00_4000;
						}
					}
				}
		}
	}



/* &run5490 */
	obj_t BGl_z62run5490z62zz__evaluate_compz00(obj_t BgL_envz00_16774,
		obj_t BgL_sz00_16778)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16775;
				BgL_ev_absz00_bglt BgL_i1250z00_16776;
				obj_t BgL_bodyz00_16777;

				BgL_iboxesz00_16775 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16774, (int) (((long) 0))));
				BgL_i1250z00_16776 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16774, (int) (((long) 1))));
				BgL_bodyz00_16777 = PROCEDURE_REF(BgL_envz00_16774, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4012;

					BgL_sz00_4012 = BgL_sz00_16778;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4014;

						BgL_bpz00_4014 = VECTOR_REF(BgL_sz00_4012, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4012,
							BgL_iboxesz00_16775, BgL_bpz00_4014);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4015;
							obj_t BgL_wherez00_4016;
							obj_t BgL_locz00_4017;

							BgL_z12denvz12_4015 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4016 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16776))->BgL_wherez00);
							BgL_locz00_4017 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16776))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4015, BgL_wherez00_4016,
									BgL_locz00_4017);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4018;

									BgL_za2za2resza2za2z00_4018 =
										PROCEDURE_ENTRY(BgL_bodyz00_16777) (BgL_bodyz00_16777,
										BgL_sz00_4012, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4015);
									return BgL_za2za2resza2za2z00_4018;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3386> */
	obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16779, obj_t BgL_sz00_16785)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16780;
				long BgL_siza7eza7_16781;
				BgL_ev_absz00_bglt BgL_i1250z00_16782;
				obj_t BgL_bodyz00_16783;
				long BgL_siza7ezd2framez75_16784;

				BgL_ifreesz00_16780 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 0))));
				BgL_siza7eza7_16781 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 1))));
				BgL_i1250z00_16782 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 2))));
				BgL_bodyz00_16783 = PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16784 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16779, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4022;

					BgL_sz00_4022 = BgL_sz00_16785;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4024;

						BgL_bpz00_4024 = VECTOR_REF(BgL_sz00_4022, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4025;

							BgL_valza2za2_4025 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4022,
								BgL_bpz00_4024, BgL_ifreesz00_16780);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16156;

								BgL_runz00_16156 =
									MAKE_FX_PROCEDURE(BGl_z62run5492z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16781));
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 1)), BgL_valza2za2_4025);
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16782));
								PROCEDURE_SET(BgL_runz00_16156,
									(int) (((long) 3)), BgL_bodyz00_16783);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16157;

									BgL_mainz00_16157 =
										MAKE_FX_PROCEDURE(BGl_z62main5491z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16781));
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 1)), BgL_valza2za2_4025);
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16782));
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 3)), BgL_bodyz00_16783);
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 4)), BgL_runz00_16156);
									PROCEDURE_SET(BgL_mainz00_16157,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16784));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12819;

										BgL_objz00_12819 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16156, BgL_objz00_12819);
										BgL_objz00_12819;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3387z00_4028;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3388z00_4029;

											BgL_arg3388z00_4029 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16782))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12823;

												BgL_newz00_12823 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27257;

													BgL_auxz00_27257 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12823, BgL_auxz00_27257,
														BgL_arg3388z00_4029);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27262;
													int BgL_auxz00_27260;

													BgL_auxz00_27262 = BINT(BgL_siza7ezd2framez75_16784);
													BgL_auxz00_27260 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12823, BgL_auxz00_27260,
														BgL_auxz00_27262);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27265;

													BgL_auxz00_27265 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12823, BgL_auxz00_27265,
														BgL_runz00_16156);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27270;
													int BgL_auxz00_27268;

													BgL_auxz00_27270 = BINT(((long) 2));
													BgL_auxz00_27268 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12823, BgL_auxz00_27268,
														BgL_auxz00_27270);
												}
												BgL_arg3387z00_4028 = BgL_newz00_12823;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16157, BgL_arg3387z00_4028);
										BgL_arg3387z00_4028;
									}
									return BgL_mainz00_16157;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5491 */
	obj_t BGl_z62main5491z62zz__evaluate_compz00(obj_t BgL_envz00_16786,
		obj_t BgL_cz00_16793, obj_t BgL_dz00_16794)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16791;
				long BgL_siza7ezd2framez75_16792;

				BgL_runz00_16791 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16786, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16792 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16786, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4030;
					obj_t BgL_dz00_4031;

					BgL_cz00_4030 = BgL_cz00_16793;
					BgL_dz00_4031 = BgL_dz00_16794;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4033;

						BgL_sz00_4033 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4034;

							BgL_bpz00_4034 = VECTOR_REF(BgL_sz00_4033, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27283;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12754;

									BgL_arg1908z00_12754 = VECTOR_LENGTH(BgL_sz00_4033);
									BgL_testz00_27283 =
										(
										((long) CINT(BgL_bpz00_4034) +
											BgL_siza7ezd2framez75_16792) <
										(long) (BgL_arg1908z00_12754));
								}
								if (BgL_testz00_27283)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3391z00_4036;

											BgL_arg3391z00_4036 =
												((long) CINT(BgL_bpz00_4034) + ((long) 0));
											VECTOR_SET(BgL_sz00_4033,
												(int) (BgL_arg3391z00_4036), BgL_cz00_4030);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3392z00_4037;

											BgL_arg3392z00_4037 =
												((long) CINT(BgL_bpz00_4034) + ((long) 1));
											VECTOR_SET(BgL_sz00_4033,
												(int) (BgL_arg3392z00_4037), BgL_dz00_4031);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1385z00_4038;

											BgL_val1385z00_4038 =
												BGl_zc3exitza33396ze3z83zz__evaluate_compz00
												(BgL_bpz00_4034, BgL_sz00_4033, BgL_runz00_16791);
											VECTOR_SET(BgL_sz00_4033, (int) (((long) 0)),
												BgL_bpz00_4034);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1385z00_4038)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1385z00_4038), CDR(BgL_val1385z00_4038));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1385z00_4038;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4045;

										BgL_nsz00_4045 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4045,
											(int) (((long) 1)), BgL_sz00_4033);
										VECTOR_SET(BgL_nsz00_4045,
											(int) (((long) 2)), BgL_cz00_4030);
										VECTOR_SET(BgL_nsz00_4045,
											(int) (((long) 3)), BgL_dz00_4031);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27313;

											BgL_auxz00_27313 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27313, BgL_nsz00_4045);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1388z00_4047;

											BgL_val1388z00_4047 =
												BGl_zc3exitza33402ze3z83zz__evaluate_compz00
												(BgL_runz00_16791, BgL_nsz00_4045);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27317;

												BgL_auxz00_27317 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27317, BgL_sz00_4033);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1388z00_4047)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1388z00_4047), CDR(BgL_val1388z00_4047));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1388z00_4047;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3402> */
	obj_t BGl_zc3exitza33402ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17556,
		obj_t BgL_nsz00_17555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1389z00_4053;

			if (SET_EXIT(BgL_an_exit1389z00_4053))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1389z00_4053 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1389z00_4053, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1390z00_4054;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12791;

								BgL_savedzd2bpzd2_12791 =
									VECTOR_REF(BgL_nsz00_17555, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17555,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12798;

									BgL_fz00_12798 = BgL_runz00_17556;
								BgL_recz00_12797:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12799;

										BgL_rz00_12799 =
											PROCEDURE_ENTRY(BgL_fz00_12798) (BgL_fz00_12798,
											BgL_nsz00_17555, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27338;

											if (PROCEDUREP(BgL_rz00_12799))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12804;

													BgL_arg1899z00_12804 = PROCEDURE_ATTR(BgL_rz00_12799);
													if (STRUCTP(BgL_arg1899z00_12804))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27338 =
																(STRUCT_KEY(BgL_arg1899z00_12804) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27338 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27338 = ((bool_t) 0);
												}
											if (BgL_testz00_27338)
												{
													obj_t BgL_fz00_27346;

													BgL_fz00_27346 = BgL_rz00_12799;
													BgL_fz00_12798 = BgL_fz00_27346;
													goto BgL_recz00_12797;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17555,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12791);
													BgL_val1390z00_4054 = BgL_rz00_12799;
							}}}}}
							POP_EXIT();
							return BgL_val1390z00_4054;
						}
					}
				}
		}
	}



/* <exit:3396> */
	obj_t BGl_zc3exitza33396ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17559,
		obj_t BgL_sz00_17558, obj_t BgL_runz00_17557)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1386z00_4043;

			if (SET_EXIT(BgL_an_exit1386z00_4043))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1386z00_4043 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1386z00_4043, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1387z00_4044;

							BgL_val1387z00_4044 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17557,
								BgL_sz00_17558, BgL_bpz00_17559);
							POP_EXIT();
							return BgL_val1387z00_4044;
						}
					}
				}
		}
	}



/* &run5492 */
	obj_t BGl_z62run5492z62zz__evaluate_compz00(obj_t BgL_envz00_16795,
		obj_t BgL_sz00_16800)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16796;
				obj_t BgL_valza2za2_16797;
				BgL_ev_absz00_bglt BgL_i1250z00_16798;
				obj_t BgL_bodyz00_16799;

				BgL_siza7eza7_16796 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16795, (int) (((long) 0))));
				BgL_valza2za2_16797 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16795, (int) (((long) 1))));
				BgL_i1250z00_16798 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16795, (int) (((long) 2))));
				BgL_bodyz00_16799 = PROCEDURE_REF(BgL_envz00_16795, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4056;

					BgL_sz00_4056 = BgL_sz00_16800;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4058;

						BgL_bpz00_4058 = VECTOR_REF(BgL_sz00_4056, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4056,
							BgL_valza2za2_16797,
							((long) CINT(BgL_bpz00_4058) + BgL_siza7eza7_16796));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4060;
							obj_t BgL_wherez00_4061;
							obj_t BgL_locz00_4062;

							BgL_z12denvz12_4060 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4061 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16798))->BgL_wherez00);
							BgL_locz00_4062 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16798))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4060, BgL_wherez00_4061,
									BgL_locz00_4062);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4063;

									BgL_za2za2resza2za2z00_4063 =
										PROCEDURE_ENTRY(BgL_bodyz00_16799) (BgL_bodyz00_16799,
										BgL_sz00_4056, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4060);
									return BgL_za2za2resza2za2z00_4063;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3405> */
	obj_t BGl_z62zc3anonymousza33405ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16801, obj_t BgL_sz00_16808)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16802;
				obj_t BgL_iboxesz00_16803;
				long BgL_siza7eza7_16804;
				BgL_ev_absz00_bglt BgL_i1250z00_16805;
				obj_t BgL_bodyz00_16806;
				long BgL_siza7ezd2framez75_16807;

				BgL_ifreesz00_16802 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 0))));
				BgL_iboxesz00_16803 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 1))));
				BgL_siza7eza7_16804 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 2))));
				BgL_i1250z00_16805 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 3))));
				BgL_bodyz00_16806 = PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16807 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16801, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4065;

					BgL_sz00_4065 = BgL_sz00_16808;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4067;

						BgL_bpz00_4067 = VECTOR_REF(BgL_sz00_4065, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4068;

							BgL_valza2za2_4068 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4065,
								BgL_bpz00_4067, BgL_ifreesz00_16802);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16153;

								BgL_runz00_16153 =
									MAKE_FX_PROCEDURE(BGl_z62run5494z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 0)), BgL_iboxesz00_16803);
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16804));
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 2)), BgL_valza2za2_4068);
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16805));
								PROCEDURE_SET(BgL_runz00_16153,
									(int) (((long) 4)), BgL_bodyz00_16806);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16154;

									BgL_mainz00_16154 =
										MAKE_FX_PROCEDURE(BGl_z62main5493z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 0)), BgL_iboxesz00_16803);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16804));
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 2)), BgL_valza2za2_4068);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16805));
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 4)), BgL_bodyz00_16806);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 5)), BgL_runz00_16153);
									PROCEDURE_SET(BgL_mainz00_16154,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16807));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12922;

										BgL_objz00_12922 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16153, BgL_objz00_12922);
										BgL_objz00_12922;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3406z00_4071;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3407z00_4072;

											BgL_arg3407z00_4072 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16805))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12926;

												BgL_newz00_12926 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27439;

													BgL_auxz00_27439 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12926, BgL_auxz00_27439,
														BgL_arg3407z00_4072);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27444;
													int BgL_auxz00_27442;

													BgL_auxz00_27444 = BINT(BgL_siza7ezd2framez75_16807);
													BgL_auxz00_27442 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12926, BgL_auxz00_27442,
														BgL_auxz00_27444);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27447;

													BgL_auxz00_27447 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12926, BgL_auxz00_27447,
														BgL_runz00_16153);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27452;
													int BgL_auxz00_27450;

													BgL_auxz00_27452 = BINT(((long) 2));
													BgL_auxz00_27450 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12926, BgL_auxz00_27450,
														BgL_auxz00_27452);
												}
												BgL_arg3406z00_4071 = BgL_newz00_12926;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16154, BgL_arg3406z00_4071);
										BgL_arg3406z00_4071;
									}
									return BgL_mainz00_16154;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5493 */
	obj_t BGl_z62main5493z62zz__evaluate_compz00(obj_t BgL_envz00_16809,
		obj_t BgL_cz00_16817, obj_t BgL_dz00_16818)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16815;
				long BgL_siza7ezd2framez75_16816;

				BgL_runz00_16815 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16809, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16816 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16809, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4073;
					obj_t BgL_dz00_4074;

					BgL_cz00_4073 = BgL_cz00_16817;
					BgL_dz00_4074 = BgL_dz00_16818;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4076;

						BgL_sz00_4076 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4077;

							BgL_bpz00_4077 = VECTOR_REF(BgL_sz00_4076, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27465;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12857;

									BgL_arg1908z00_12857 = VECTOR_LENGTH(BgL_sz00_4076);
									BgL_testz00_27465 =
										(
										((long) CINT(BgL_bpz00_4077) +
											BgL_siza7ezd2framez75_16816) <
										(long) (BgL_arg1908z00_12857));
								}
								if (BgL_testz00_27465)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3410z00_4079;

											BgL_arg3410z00_4079 =
												((long) CINT(BgL_bpz00_4077) + ((long) 0));
											VECTOR_SET(BgL_sz00_4076,
												(int) (BgL_arg3410z00_4079), BgL_cz00_4073);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3411z00_4080;

											BgL_arg3411z00_4080 =
												((long) CINT(BgL_bpz00_4077) + ((long) 1));
											VECTOR_SET(BgL_sz00_4076,
												(int) (BgL_arg3411z00_4080), BgL_dz00_4074);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1391z00_4081;

											BgL_val1391z00_4081 =
												BGl_zc3exitza33415ze3z83zz__evaluate_compz00
												(BgL_bpz00_4077, BgL_sz00_4076, BgL_runz00_16815);
											VECTOR_SET(BgL_sz00_4076, (int) (((long) 0)),
												BgL_bpz00_4077);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1391z00_4081)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1391z00_4081), CDR(BgL_val1391z00_4081));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1391z00_4081;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4088;

										BgL_nsz00_4088 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4088,
											(int) (((long) 1)), BgL_sz00_4076);
										VECTOR_SET(BgL_nsz00_4088,
											(int) (((long) 2)), BgL_cz00_4073);
										VECTOR_SET(BgL_nsz00_4088,
											(int) (((long) 3)), BgL_dz00_4074);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27495;

											BgL_auxz00_27495 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27495, BgL_nsz00_4088);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1394z00_4090;

											BgL_val1394z00_4090 =
												BGl_zc3exitza33421ze3z83zz__evaluate_compz00
												(BgL_runz00_16815, BgL_nsz00_4088);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27499;

												BgL_auxz00_27499 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27499, BgL_sz00_4076);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1394z00_4090)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1394z00_4090), CDR(BgL_val1394z00_4090));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1394z00_4090;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3421> */
	obj_t BGl_zc3exitza33421ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17551,
		obj_t BgL_nsz00_17550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1395z00_4096;

			if (SET_EXIT(BgL_an_exit1395z00_4096))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1395z00_4096 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1395z00_4096, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1396z00_4097;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12894;

								BgL_savedzd2bpzd2_12894 =
									VECTOR_REF(BgL_nsz00_17550, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17550,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12901;

									BgL_fz00_12901 = BgL_runz00_17551;
								BgL_recz00_12900:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12902;

										BgL_rz00_12902 =
											PROCEDURE_ENTRY(BgL_fz00_12901) (BgL_fz00_12901,
											BgL_nsz00_17550, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27520;

											if (PROCEDUREP(BgL_rz00_12902))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12907;

													BgL_arg1899z00_12907 = PROCEDURE_ATTR(BgL_rz00_12902);
													if (STRUCTP(BgL_arg1899z00_12907))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27520 =
																(STRUCT_KEY(BgL_arg1899z00_12907) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27520 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27520 = ((bool_t) 0);
												}
											if (BgL_testz00_27520)
												{
													obj_t BgL_fz00_27528;

													BgL_fz00_27528 = BgL_rz00_12902;
													BgL_fz00_12901 = BgL_fz00_27528;
													goto BgL_recz00_12900;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17550,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12894);
													BgL_val1396z00_4097 = BgL_rz00_12902;
							}}}}}
							POP_EXIT();
							return BgL_val1396z00_4097;
						}
					}
				}
		}
	}



/* <exit:3415> */
	obj_t BGl_zc3exitza33415ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17554,
		obj_t BgL_sz00_17553, obj_t BgL_runz00_17552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1392z00_4086;

			if (SET_EXIT(BgL_an_exit1392z00_4086))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1392z00_4086 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1392z00_4086, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1393z00_4087;

							BgL_val1393z00_4087 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17552,
								BgL_sz00_17553, BgL_bpz00_17554);
							POP_EXIT();
							return BgL_val1393z00_4087;
						}
					}
				}
		}
	}



/* &run5494 */
	obj_t BGl_z62run5494z62zz__evaluate_compz00(obj_t BgL_envz00_16819,
		obj_t BgL_sz00_16825)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16820;
				long BgL_siza7eza7_16821;
				obj_t BgL_valza2za2_16822;
				BgL_ev_absz00_bglt BgL_i1250z00_16823;
				obj_t BgL_bodyz00_16824;

				BgL_iboxesz00_16820 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16819, (int) (((long) 0))));
				BgL_siza7eza7_16821 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16819, (int) (((long) 1))));
				BgL_valza2za2_16822 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16819, (int) (((long) 2))));
				BgL_i1250z00_16823 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16819, (int) (((long) 3))));
				BgL_bodyz00_16824 = PROCEDURE_REF(BgL_envz00_16819, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4099;

					BgL_sz00_4099 = BgL_sz00_16825;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4101;

						BgL_bpz00_4101 = VECTOR_REF(BgL_sz00_4099, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4099,
							BgL_iboxesz00_16820, BgL_bpz00_4101);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4099,
							BgL_valza2za2_16822,
							((long) CINT(BgL_bpz00_4101) + BgL_siza7eza7_16821));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4103;
							obj_t BgL_wherez00_4104;
							obj_t BgL_locz00_4105;

							BgL_z12denvz12_4103 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4104 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16823))->BgL_wherez00);
							BgL_locz00_4105 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16823))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4103, BgL_wherez00_4104,
									BgL_locz00_4105);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4106;

									BgL_za2za2resza2za2z00_4106 =
										PROCEDURE_ENTRY(BgL_bodyz00_16824) (BgL_bodyz00_16824,
										BgL_sz00_4099, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4103);
									return BgL_za2za2resza2za2z00_4106;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3268> */
	obj_t BGl_z62zc3anonymousza33268ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16826, obj_t BgL_sz00_16830)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16827;
				obj_t BgL_bodyz00_16828;
				long BgL_siza7ezd2framez75_16829;

				BgL_i1250z00_16827 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16826, (int) (((long) 0))));
				BgL_bodyz00_16828 = PROCEDURE_REF(BgL_envz00_16826, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16829 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16826, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3764;

					BgL_sz00_3764 = BgL_sz00_16830;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3766;

						BgL_bpz00_3766 = VECTOR_REF(BgL_sz00_3764, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16150;

								BgL_runz00_16150 =
									MAKE_FX_PROCEDURE(BGl_z62run5496z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16150,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16827));
								PROCEDURE_SET(BgL_runz00_16150,
									(int) (((long) 1)), BgL_bodyz00_16828);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16151;

									BgL_mainz00_16151 =
										MAKE_VA_PROCEDURE(BGl_z62main5495z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16827));
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 1)), BgL_bodyz00_16828);
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 2)), BgL_runz00_16150);
									PROCEDURE_SET(BgL_mainz00_16151,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16829));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12194;

										BgL_objz00_12194 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16150, BgL_objz00_12194);
										BgL_objz00_12194;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3269z00_3769;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3270z00_3770;

											BgL_arg3270z00_3770 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16827))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12198;

												BgL_newz00_12198 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27601;

													BgL_auxz00_27601 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12198, BgL_auxz00_27601,
														BgL_arg3270z00_3770);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27606;
													int BgL_auxz00_27604;

													BgL_auxz00_27606 = BINT(BgL_siza7ezd2framez75_16829);
													BgL_auxz00_27604 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12198, BgL_auxz00_27604,
														BgL_auxz00_27606);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27609;

													BgL_auxz00_27609 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12198, BgL_auxz00_27609,
														BgL_runz00_16150);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27614;
													int BgL_auxz00_27612;

													BgL_auxz00_27614 = BINT(((long) -2));
													BgL_auxz00_27612 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12198, BgL_auxz00_27612,
														BgL_auxz00_27614);
												}
												BgL_arg3269z00_3769 = BgL_newz00_12198;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16151, BgL_arg3269z00_3769);
										BgL_arg3269z00_3769;
									}
									return BgL_mainz00_16151;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5495 */
	obj_t BGl_z62main5495z62zz__evaluate_compz00(obj_t BgL_envz00_16831,
		obj_t BgL_dz00_16836, obj_t BgL_lastz00_16837)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16834;
				long BgL_siza7ezd2framez75_16835;

				BgL_runz00_16834 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16831, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16835 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16831, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3771;
					obj_t BgL_lastz00_3772;

					BgL_dz00_3771 = BgL_dz00_16836;
					BgL_lastz00_3772 = BgL_lastz00_16837;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3774;

						BgL_sz00_3774 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3775;

							BgL_bpz00_3775 = VECTOR_REF(BgL_sz00_3774, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27627;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12129;

									BgL_arg1908z00_12129 = VECTOR_LENGTH(BgL_sz00_3774);
									BgL_testz00_27627 =
										(
										((long) CINT(BgL_bpz00_3775) +
											BgL_siza7ezd2framez75_16835) <
										(long) (BgL_arg1908z00_12129));
								}
								if (BgL_testz00_27627)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3273z00_3777;

											BgL_arg3273z00_3777 =
												((long) CINT(BgL_bpz00_3775) + ((long) 0));
											VECTOR_SET(BgL_sz00_3774,
												(int) (BgL_arg3273z00_3777), BgL_dz00_3771);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3274z00_3778;

											BgL_arg3274z00_3778 =
												((long) CINT(BgL_bpz00_3775) + ((long) 1));
											VECTOR_SET(BgL_sz00_3774,
												(int) (BgL_arg3274z00_3778), BgL_lastz00_3772);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1349z00_3779;

											BgL_val1349z00_3779 =
												BGl_zc3exitza33278ze3z83zz__evaluate_compz00
												(BgL_bpz00_3775, BgL_sz00_3774, BgL_runz00_16834);
											VECTOR_SET(BgL_sz00_3774, (int) (((long) 0)),
												BgL_bpz00_3775);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1349z00_3779)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1349z00_3779), CDR(BgL_val1349z00_3779));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1349z00_3779;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3786;

										BgL_nsz00_3786 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3786,
											(int) (((long) 1)), BgL_sz00_3774);
										VECTOR_SET(BgL_nsz00_3786,
											(int) (((long) 2)), BgL_dz00_3771);
										VECTOR_SET(BgL_nsz00_3786,
											(int) (((long) 3)), BgL_lastz00_3772);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27657;

											BgL_auxz00_27657 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27657, BgL_nsz00_3786);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1352z00_3788;

											BgL_val1352z00_3788 =
												BGl_zc3exitza33284ze3z83zz__evaluate_compz00
												(BgL_runz00_16834, BgL_nsz00_3786);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27661;

												BgL_auxz00_27661 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27661, BgL_sz00_3774);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1352z00_3788)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1352z00_3788), CDR(BgL_val1352z00_3788));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1352z00_3788;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3284> */
	obj_t BGl_zc3exitza33284ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17546,
		obj_t BgL_nsz00_17545)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1353z00_3794;

			if (SET_EXIT(BgL_an_exit1353z00_3794))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1353z00_3794 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1353z00_3794, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1354z00_3795;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12166;

								BgL_savedzd2bpzd2_12166 =
									VECTOR_REF(BgL_nsz00_17545, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17545,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12173;

									BgL_fz00_12173 = BgL_runz00_17546;
								BgL_recz00_12172:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12174;

										BgL_rz00_12174 =
											PROCEDURE_ENTRY(BgL_fz00_12173) (BgL_fz00_12173,
											BgL_nsz00_17545, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27682;

											if (PROCEDUREP(BgL_rz00_12174))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12179;

													BgL_arg1899z00_12179 = PROCEDURE_ATTR(BgL_rz00_12174);
													if (STRUCTP(BgL_arg1899z00_12179))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27682 =
																(STRUCT_KEY(BgL_arg1899z00_12179) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27682 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27682 = ((bool_t) 0);
												}
											if (BgL_testz00_27682)
												{
													obj_t BgL_fz00_27690;

													BgL_fz00_27690 = BgL_rz00_12174;
													BgL_fz00_12173 = BgL_fz00_27690;
													goto BgL_recz00_12172;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17545,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12166);
													BgL_val1354z00_3795 = BgL_rz00_12174;
							}}}}}
							POP_EXIT();
							return BgL_val1354z00_3795;
						}
					}
				}
		}
	}



/* <exit:3278> */
	obj_t BGl_zc3exitza33278ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17549,
		obj_t BgL_sz00_17548, obj_t BgL_runz00_17547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1350z00_3784;

			if (SET_EXIT(BgL_an_exit1350z00_3784))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1350z00_3784 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1350z00_3784, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1351z00_3785;

							BgL_val1351z00_3785 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17547,
								BgL_sz00_17548, BgL_bpz00_17549);
							POP_EXIT();
							return BgL_val1351z00_3785;
						}
					}
				}
		}
	}



/* &run5496 */
	obj_t BGl_z62run5496z62zz__evaluate_compz00(obj_t BgL_envz00_16838,
		obj_t BgL_sz00_16841)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16839;
				obj_t BgL_bodyz00_16840;

				BgL_i1250z00_16839 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16838, (int) (((long) 0))));
				BgL_bodyz00_16840 = PROCEDURE_REF(BgL_envz00_16838, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3797;

					BgL_sz00_3797 = BgL_sz00_16841;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3799;

						BgL_bpz00_3799 = VECTOR_REF(BgL_sz00_3797, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3800;
							obj_t BgL_wherez00_3801;
							obj_t BgL_locz00_3802;

							BgL_z12denvz12_3800 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3801 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16839))->BgL_wherez00);
							BgL_locz00_3802 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16839))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3800, BgL_wherez00_3801,
									BgL_locz00_3802);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3803;

									BgL_za2za2resza2za2z00_3803 =
										PROCEDURE_ENTRY(BgL_bodyz00_16840) (BgL_bodyz00_16840,
										BgL_sz00_3797, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3800);
									return BgL_za2za2resza2za2z00_3803;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3286> */
	obj_t BGl_z62zc3anonymousza33286ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16842, obj_t BgL_sz00_16847)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16843;
				BgL_ev_absz00_bglt BgL_i1250z00_16844;
				obj_t BgL_bodyz00_16845;
				long BgL_siza7ezd2framez75_16846;

				BgL_iboxesz00_16843 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16842, (int) (((long) 0))));
				BgL_i1250z00_16844 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16842, (int) (((long) 1))));
				BgL_bodyz00_16845 = PROCEDURE_REF(BgL_envz00_16842, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16846 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16842, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3805;

					BgL_sz00_3805 = BgL_sz00_16847;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3807;

						BgL_bpz00_3807 = VECTOR_REF(BgL_sz00_3805, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16147;

								BgL_runz00_16147 =
									MAKE_FX_PROCEDURE(BGl_z62run5498z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16147,
									(int) (((long) 0)), BgL_iboxesz00_16843);
								PROCEDURE_SET(BgL_runz00_16147,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16844));
								PROCEDURE_SET(BgL_runz00_16147,
									(int) (((long) 2)), BgL_bodyz00_16845);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16148;

									BgL_mainz00_16148 =
										MAKE_VA_PROCEDURE(BGl_z62main5497z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 0)), BgL_iboxesz00_16843);
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16844));
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 2)), BgL_bodyz00_16845);
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 3)), BgL_runz00_16147);
									PROCEDURE_SET(BgL_mainz00_16148,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16846));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12294;

										BgL_objz00_12294 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16147, BgL_objz00_12294);
										BgL_objz00_12294;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3287z00_3810;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3288z00_3811;

											BgL_arg3288z00_3811 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16844))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12298;

												BgL_newz00_12298 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27757;

													BgL_auxz00_27757 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12298, BgL_auxz00_27757,
														BgL_arg3288z00_3811);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27762;
													int BgL_auxz00_27760;

													BgL_auxz00_27762 = BINT(BgL_siza7ezd2framez75_16846);
													BgL_auxz00_27760 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12298, BgL_auxz00_27760,
														BgL_auxz00_27762);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27765;

													BgL_auxz00_27765 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12298, BgL_auxz00_27765,
														BgL_runz00_16147);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27770;
													int BgL_auxz00_27768;

													BgL_auxz00_27770 = BINT(((long) -2));
													BgL_auxz00_27768 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12298, BgL_auxz00_27768,
														BgL_auxz00_27770);
												}
												BgL_arg3287z00_3810 = BgL_newz00_12298;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16148, BgL_arg3287z00_3810);
										BgL_arg3287z00_3810;
									}
									return BgL_mainz00_16148;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5497 */
	obj_t BGl_z62main5497z62zz__evaluate_compz00(obj_t BgL_envz00_16848,
		obj_t BgL_dz00_16854, obj_t BgL_lastz00_16855)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16852;
				long BgL_siza7ezd2framez75_16853;

				BgL_runz00_16852 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16848, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16853 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16848, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3812;
					obj_t BgL_lastz00_3813;

					BgL_dz00_3812 = BgL_dz00_16854;
					BgL_lastz00_3813 = BgL_lastz00_16855;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3815;

						BgL_sz00_3815 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3816;

							BgL_bpz00_3816 = VECTOR_REF(BgL_sz00_3815, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27783;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12229;

									BgL_arg1908z00_12229 = VECTOR_LENGTH(BgL_sz00_3815);
									BgL_testz00_27783 =
										(
										((long) CINT(BgL_bpz00_3816) +
											BgL_siza7ezd2framez75_16853) <
										(long) (BgL_arg1908z00_12229));
								}
								if (BgL_testz00_27783)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3291z00_3818;

											BgL_arg3291z00_3818 =
												((long) CINT(BgL_bpz00_3816) + ((long) 0));
											VECTOR_SET(BgL_sz00_3815,
												(int) (BgL_arg3291z00_3818), BgL_dz00_3812);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3292z00_3819;

											BgL_arg3292z00_3819 =
												((long) CINT(BgL_bpz00_3816) + ((long) 1));
											VECTOR_SET(BgL_sz00_3815,
												(int) (BgL_arg3292z00_3819), BgL_lastz00_3813);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1355z00_3820;

											BgL_val1355z00_3820 =
												BGl_zc3exitza33296ze3z83zz__evaluate_compz00
												(BgL_bpz00_3816, BgL_sz00_3815, BgL_runz00_16852);
											VECTOR_SET(BgL_sz00_3815, (int) (((long) 0)),
												BgL_bpz00_3816);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1355z00_3820)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1355z00_3820), CDR(BgL_val1355z00_3820));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1355z00_3820;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3827;

										BgL_nsz00_3827 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3827,
											(int) (((long) 1)), BgL_sz00_3815);
										VECTOR_SET(BgL_nsz00_3827,
											(int) (((long) 2)), BgL_dz00_3812);
										VECTOR_SET(BgL_nsz00_3827,
											(int) (((long) 3)), BgL_lastz00_3813);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27813;

											BgL_auxz00_27813 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27813, BgL_nsz00_3827);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1358z00_3829;

											BgL_val1358z00_3829 =
												BGl_zc3exitza33302ze3z83zz__evaluate_compz00
												(BgL_runz00_16852, BgL_nsz00_3827);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27817;

												BgL_auxz00_27817 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27817, BgL_sz00_3815);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1358z00_3829)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1358z00_3829), CDR(BgL_val1358z00_3829));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1358z00_3829;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3302> */
	obj_t BGl_zc3exitza33302ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17541,
		obj_t BgL_nsz00_17540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1359z00_3835;

			if (SET_EXIT(BgL_an_exit1359z00_3835))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1359z00_3835 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1359z00_3835, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1360z00_3836;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12266;

								BgL_savedzd2bpzd2_12266 =
									VECTOR_REF(BgL_nsz00_17540, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17540,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12273;

									BgL_fz00_12273 = BgL_runz00_17541;
								BgL_recz00_12272:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12274;

										BgL_rz00_12274 =
											PROCEDURE_ENTRY(BgL_fz00_12273) (BgL_fz00_12273,
											BgL_nsz00_17540, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27838;

											if (PROCEDUREP(BgL_rz00_12274))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12279;

													BgL_arg1899z00_12279 = PROCEDURE_ATTR(BgL_rz00_12274);
													if (STRUCTP(BgL_arg1899z00_12279))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27838 =
																(STRUCT_KEY(BgL_arg1899z00_12279) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27838 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27838 = ((bool_t) 0);
												}
											if (BgL_testz00_27838)
												{
													obj_t BgL_fz00_27846;

													BgL_fz00_27846 = BgL_rz00_12274;
													BgL_fz00_12273 = BgL_fz00_27846;
													goto BgL_recz00_12272;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17540,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12266);
													BgL_val1360z00_3836 = BgL_rz00_12274;
							}}}}}
							POP_EXIT();
							return BgL_val1360z00_3836;
						}
					}
				}
		}
	}



/* <exit:3296> */
	obj_t BGl_zc3exitza33296ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17544,
		obj_t BgL_sz00_17543, obj_t BgL_runz00_17542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1356z00_3825;

			if (SET_EXIT(BgL_an_exit1356z00_3825))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1356z00_3825 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1356z00_3825, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1357z00_3826;

							BgL_val1357z00_3826 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17542,
								BgL_sz00_17543, BgL_bpz00_17544);
							POP_EXIT();
							return BgL_val1357z00_3826;
						}
					}
				}
		}
	}



/* &run5498 */
	obj_t BGl_z62run5498z62zz__evaluate_compz00(obj_t BgL_envz00_16856,
		obj_t BgL_sz00_16860)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16857;
				BgL_ev_absz00_bglt BgL_i1250z00_16858;
				obj_t BgL_bodyz00_16859;

				BgL_iboxesz00_16857 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16856, (int) (((long) 0))));
				BgL_i1250z00_16858 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16856, (int) (((long) 1))));
				BgL_bodyz00_16859 = PROCEDURE_REF(BgL_envz00_16856, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3838;

					BgL_sz00_3838 = BgL_sz00_16860;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3840;

						BgL_bpz00_3840 = VECTOR_REF(BgL_sz00_3838, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3838,
							BgL_iboxesz00_16857, BgL_bpz00_3840);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3841;
							obj_t BgL_wherez00_3842;
							obj_t BgL_locz00_3843;

							BgL_z12denvz12_3841 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3842 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16858))->BgL_wherez00);
							BgL_locz00_3843 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16858))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3841, BgL_wherez00_3842,
									BgL_locz00_3843);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3844;

									BgL_za2za2resza2za2z00_3844 =
										PROCEDURE_ENTRY(BgL_bodyz00_16859) (BgL_bodyz00_16859,
										BgL_sz00_3838, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3841);
									return BgL_za2za2resza2za2z00_3844;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3306> */
	obj_t BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16861, obj_t BgL_sz00_16867)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16862;
				long BgL_siza7eza7_16863;
				BgL_ev_absz00_bglt BgL_i1250z00_16864;
				obj_t BgL_bodyz00_16865;
				long BgL_siza7ezd2framez75_16866;

				BgL_ifreesz00_16862 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 0))));
				BgL_siza7eza7_16863 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 1))));
				BgL_i1250z00_16864 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 2))));
				BgL_bodyz00_16865 = PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16866 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16861, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3848;

					BgL_sz00_3848 = BgL_sz00_16867;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3850;

						BgL_bpz00_3850 = VECTOR_REF(BgL_sz00_3848, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3851;

							BgL_valza2za2_3851 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3848,
								BgL_bpz00_3850, BgL_ifreesz00_16862);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16144;

								BgL_runz00_16144 =
									MAKE_FX_PROCEDURE(BGl_z62run5500z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16863));
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 1)), BgL_valza2za2_3851);
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16864));
								PROCEDURE_SET(BgL_runz00_16144,
									(int) (((long) 3)), BgL_bodyz00_16865);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16145;

									BgL_mainz00_16145 =
										MAKE_VA_PROCEDURE(BGl_z62main5499z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16863));
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 1)), BgL_valza2za2_3851);
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16864));
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 3)), BgL_bodyz00_16865);
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 4)), BgL_runz00_16144);
									PROCEDURE_SET(BgL_mainz00_16145,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16866));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12401;

										BgL_objz00_12401 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16144, BgL_objz00_12401);
										BgL_objz00_12401;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3307z00_3854;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3308z00_3855;

											BgL_arg3308z00_3855 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16864))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12405;

												BgL_newz00_12405 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27927;

													BgL_auxz00_27927 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12405, BgL_auxz00_27927,
														BgL_arg3308z00_3855);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27932;
													int BgL_auxz00_27930;

													BgL_auxz00_27932 = BINT(BgL_siza7ezd2framez75_16866);
													BgL_auxz00_27930 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12405, BgL_auxz00_27930,
														BgL_auxz00_27932);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27935;

													BgL_auxz00_27935 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12405, BgL_auxz00_27935,
														BgL_runz00_16144);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27940;
													int BgL_auxz00_27938;

													BgL_auxz00_27940 = BINT(((long) -2));
													BgL_auxz00_27938 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12405, BgL_auxz00_27938,
														BgL_auxz00_27940);
												}
												BgL_arg3307z00_3854 = BgL_newz00_12405;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16145, BgL_arg3307z00_3854);
										BgL_arg3307z00_3854;
									}
									return BgL_mainz00_16145;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5499 */
	obj_t BGl_z62main5499z62zz__evaluate_compz00(obj_t BgL_envz00_16868,
		obj_t BgL_dz00_16875, obj_t BgL_lastz00_16876)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16873;
				long BgL_siza7ezd2framez75_16874;

				BgL_runz00_16873 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16868, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16874 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16868, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3856;
					obj_t BgL_lastz00_3857;

					BgL_dz00_3856 = BgL_dz00_16875;
					BgL_lastz00_3857 = BgL_lastz00_16876;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3859;

						BgL_sz00_3859 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3860;

							BgL_bpz00_3860 = VECTOR_REF(BgL_sz00_3859, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27953;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12336;

									BgL_arg1908z00_12336 = VECTOR_LENGTH(BgL_sz00_3859);
									BgL_testz00_27953 =
										(
										((long) CINT(BgL_bpz00_3860) +
											BgL_siza7ezd2framez75_16874) <
										(long) (BgL_arg1908z00_12336));
								}
								if (BgL_testz00_27953)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3311z00_3862;

											BgL_arg3311z00_3862 =
												((long) CINT(BgL_bpz00_3860) + ((long) 0));
											VECTOR_SET(BgL_sz00_3859,
												(int) (BgL_arg3311z00_3862), BgL_dz00_3856);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3312z00_3863;

											BgL_arg3312z00_3863 =
												((long) CINT(BgL_bpz00_3860) + ((long) 1));
											VECTOR_SET(BgL_sz00_3859,
												(int) (BgL_arg3312z00_3863), BgL_lastz00_3857);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1361z00_3864;

											BgL_val1361z00_3864 =
												BGl_zc3exitza33316ze3z83zz__evaluate_compz00
												(BgL_bpz00_3860, BgL_sz00_3859, BgL_runz00_16873);
											VECTOR_SET(BgL_sz00_3859, (int) (((long) 0)),
												BgL_bpz00_3860);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1361z00_3864)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1361z00_3864), CDR(BgL_val1361z00_3864));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1361z00_3864;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3871;

										BgL_nsz00_3871 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3871,
											(int) (((long) 1)), BgL_sz00_3859);
										VECTOR_SET(BgL_nsz00_3871,
											(int) (((long) 2)), BgL_dz00_3856);
										VECTOR_SET(BgL_nsz00_3871,
											(int) (((long) 3)), BgL_lastz00_3857);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27983;

											BgL_auxz00_27983 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27983, BgL_nsz00_3871);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1364z00_3873;

											BgL_val1364z00_3873 =
												BGl_zc3exitza33322ze3z83zz__evaluate_compz00
												(BgL_runz00_16873, BgL_nsz00_3871);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27987;

												BgL_auxz00_27987 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27987, BgL_sz00_3859);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1364z00_3873)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1364z00_3873), CDR(BgL_val1364z00_3873));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1364z00_3873;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3322> */
	obj_t BGl_zc3exitza33322ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17536,
		obj_t BgL_nsz00_17535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1365z00_3879;

			if (SET_EXIT(BgL_an_exit1365z00_3879))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1365z00_3879 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1365z00_3879, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1366z00_3880;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12373;

								BgL_savedzd2bpzd2_12373 =
									VECTOR_REF(BgL_nsz00_17535, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17535,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12380;

									BgL_fz00_12380 = BgL_runz00_17536;
								BgL_recz00_12379:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12381;

										BgL_rz00_12381 =
											PROCEDURE_ENTRY(BgL_fz00_12380) (BgL_fz00_12380,
											BgL_nsz00_17535, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28008;

											if (PROCEDUREP(BgL_rz00_12381))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12386;

													BgL_arg1899z00_12386 = PROCEDURE_ATTR(BgL_rz00_12381);
													if (STRUCTP(BgL_arg1899z00_12386))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28008 =
																(STRUCT_KEY(BgL_arg1899z00_12386) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28008 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28008 = ((bool_t) 0);
												}
											if (BgL_testz00_28008)
												{
													obj_t BgL_fz00_28016;

													BgL_fz00_28016 = BgL_rz00_12381;
													BgL_fz00_12380 = BgL_fz00_28016;
													goto BgL_recz00_12379;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17535,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12373);
													BgL_val1366z00_3880 = BgL_rz00_12381;
							}}}}}
							POP_EXIT();
							return BgL_val1366z00_3880;
						}
					}
				}
		}
	}



/* <exit:3316> */
	obj_t BGl_zc3exitza33316ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17539,
		obj_t BgL_sz00_17538, obj_t BgL_runz00_17537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1362z00_3869;

			if (SET_EXIT(BgL_an_exit1362z00_3869))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1362z00_3869 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1362z00_3869, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1363z00_3870;

							BgL_val1363z00_3870 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17537,
								BgL_sz00_17538, BgL_bpz00_17539);
							POP_EXIT();
							return BgL_val1363z00_3870;
						}
					}
				}
		}
	}



/* &run5500 */
	obj_t BGl_z62run5500z62zz__evaluate_compz00(obj_t BgL_envz00_16877,
		obj_t BgL_sz00_16882)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16878;
				obj_t BgL_valza2za2_16879;
				BgL_ev_absz00_bglt BgL_i1250z00_16880;
				obj_t BgL_bodyz00_16881;

				BgL_siza7eza7_16878 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16877, (int) (((long) 0))));
				BgL_valza2za2_16879 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16877, (int) (((long) 1))));
				BgL_i1250z00_16880 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16877, (int) (((long) 2))));
				BgL_bodyz00_16881 = PROCEDURE_REF(BgL_envz00_16877, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3882;

					BgL_sz00_3882 = BgL_sz00_16882;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3884;

						BgL_bpz00_3884 = VECTOR_REF(BgL_sz00_3882, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3882,
							BgL_valza2za2_16879,
							((long) CINT(BgL_bpz00_3884) + BgL_siza7eza7_16878));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3886;
							obj_t BgL_wherez00_3887;
							obj_t BgL_locz00_3888;

							BgL_z12denvz12_3886 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3887 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16880))->BgL_wherez00);
							BgL_locz00_3888 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16880))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3886, BgL_wherez00_3887,
									BgL_locz00_3888);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3889;

									BgL_za2za2resza2za2z00_3889 =
										PROCEDURE_ENTRY(BgL_bodyz00_16881) (BgL_bodyz00_16881,
										BgL_sz00_3882, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3886);
									return BgL_za2za2resza2za2z00_3889;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3325> */
	obj_t BGl_z62zc3anonymousza33325ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16883, obj_t BgL_sz00_16890)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16884;
				obj_t BgL_iboxesz00_16885;
				long BgL_siza7eza7_16886;
				BgL_ev_absz00_bglt BgL_i1250z00_16887;
				obj_t BgL_bodyz00_16888;
				long BgL_siza7ezd2framez75_16889;

				BgL_ifreesz00_16884 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 0))));
				BgL_iboxesz00_16885 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 1))));
				BgL_siza7eza7_16886 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 2))));
				BgL_i1250z00_16887 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 3))));
				BgL_bodyz00_16888 = PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16889 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16883, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3891;

					BgL_sz00_3891 = BgL_sz00_16890;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3893;

						BgL_bpz00_3893 = VECTOR_REF(BgL_sz00_3891, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3894;

							BgL_valza2za2_3894 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3891,
								BgL_bpz00_3893, BgL_ifreesz00_16884);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16141;

								BgL_runz00_16141 =
									MAKE_FX_PROCEDURE(BGl_z62run5502z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 0)), BgL_iboxesz00_16885);
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16886));
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 2)), BgL_valza2za2_3894);
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16887));
								PROCEDURE_SET(BgL_runz00_16141,
									(int) (((long) 4)), BgL_bodyz00_16888);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16142;

									BgL_mainz00_16142 =
										MAKE_VA_PROCEDURE(BGl_z62main5501z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 0)), BgL_iboxesz00_16885);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16886));
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 2)), BgL_valza2za2_3894);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16887));
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 4)), BgL_bodyz00_16888);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 5)), BgL_runz00_16141);
									PROCEDURE_SET(BgL_mainz00_16142,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16889));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12504;

										BgL_objz00_12504 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16141, BgL_objz00_12504);
										BgL_objz00_12504;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3326z00_3897;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3327z00_3898;

											BgL_arg3327z00_3898 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16887))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12508;

												BgL_newz00_12508 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28109;

													BgL_auxz00_28109 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12508, BgL_auxz00_28109,
														BgL_arg3327z00_3898);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28114;
													int BgL_auxz00_28112;

													BgL_auxz00_28114 = BINT(BgL_siza7ezd2framez75_16889);
													BgL_auxz00_28112 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12508, BgL_auxz00_28112,
														BgL_auxz00_28114);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28117;

													BgL_auxz00_28117 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12508, BgL_auxz00_28117,
														BgL_runz00_16141);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28122;
													int BgL_auxz00_28120;

													BgL_auxz00_28122 = BINT(((long) -2));
													BgL_auxz00_28120 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12508, BgL_auxz00_28120,
														BgL_auxz00_28122);
												}
												BgL_arg3326z00_3897 = BgL_newz00_12508;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16142, BgL_arg3326z00_3897);
										BgL_arg3326z00_3897;
									}
									return BgL_mainz00_16142;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5501 */
	obj_t BGl_z62main5501z62zz__evaluate_compz00(obj_t BgL_envz00_16891,
		obj_t BgL_dz00_16899, obj_t BgL_lastz00_16900)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16897;
				long BgL_siza7ezd2framez75_16898;

				BgL_runz00_16897 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16891, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16898 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16891, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3899;
					obj_t BgL_lastz00_3900;

					BgL_dz00_3899 = BgL_dz00_16899;
					BgL_lastz00_3900 = BgL_lastz00_16900;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3902;

						BgL_sz00_3902 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3903;

							BgL_bpz00_3903 = VECTOR_REF(BgL_sz00_3902, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28135;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12439;

									BgL_arg1908z00_12439 = VECTOR_LENGTH(BgL_sz00_3902);
									BgL_testz00_28135 =
										(
										((long) CINT(BgL_bpz00_3903) +
											BgL_siza7ezd2framez75_16898) <
										(long) (BgL_arg1908z00_12439));
								}
								if (BgL_testz00_28135)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3330z00_3905;

											BgL_arg3330z00_3905 =
												((long) CINT(BgL_bpz00_3903) + ((long) 0));
											VECTOR_SET(BgL_sz00_3902,
												(int) (BgL_arg3330z00_3905), BgL_dz00_3899);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3331z00_3906;

											BgL_arg3331z00_3906 =
												((long) CINT(BgL_bpz00_3903) + ((long) 1));
											VECTOR_SET(BgL_sz00_3902,
												(int) (BgL_arg3331z00_3906), BgL_lastz00_3900);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1367z00_3907;

											BgL_val1367z00_3907 =
												BGl_zc3exitza33335ze3z83zz__evaluate_compz00
												(BgL_bpz00_3903, BgL_sz00_3902, BgL_runz00_16897);
											VECTOR_SET(BgL_sz00_3902, (int) (((long) 0)),
												BgL_bpz00_3903);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1367z00_3907)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1367z00_3907), CDR(BgL_val1367z00_3907));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1367z00_3907;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3914;

										BgL_nsz00_3914 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3914,
											(int) (((long) 1)), BgL_sz00_3902);
										VECTOR_SET(BgL_nsz00_3914,
											(int) (((long) 2)), BgL_dz00_3899);
										VECTOR_SET(BgL_nsz00_3914,
											(int) (((long) 3)), BgL_lastz00_3900);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28165;

											BgL_auxz00_28165 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28165, BgL_nsz00_3914);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1370z00_3916;

											BgL_val1370z00_3916 =
												BGl_zc3exitza33341ze3z83zz__evaluate_compz00
												(BgL_runz00_16897, BgL_nsz00_3914);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28169;

												BgL_auxz00_28169 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28169, BgL_sz00_3902);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1370z00_3916)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1370z00_3916), CDR(BgL_val1370z00_3916));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1370z00_3916;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3341> */
	obj_t BGl_zc3exitza33341ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17531,
		obj_t BgL_nsz00_17530)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1371z00_3922;

			if (SET_EXIT(BgL_an_exit1371z00_3922))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1371z00_3922 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1371z00_3922, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1372z00_3923;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12476;

								BgL_savedzd2bpzd2_12476 =
									VECTOR_REF(BgL_nsz00_17530, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17530,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12483;

									BgL_fz00_12483 = BgL_runz00_17531;
								BgL_recz00_12482:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12484;

										BgL_rz00_12484 =
											PROCEDURE_ENTRY(BgL_fz00_12483) (BgL_fz00_12483,
											BgL_nsz00_17530, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28190;

											if (PROCEDUREP(BgL_rz00_12484))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12489;

													BgL_arg1899z00_12489 = PROCEDURE_ATTR(BgL_rz00_12484);
													if (STRUCTP(BgL_arg1899z00_12489))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28190 =
																(STRUCT_KEY(BgL_arg1899z00_12489) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28190 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28190 = ((bool_t) 0);
												}
											if (BgL_testz00_28190)
												{
													obj_t BgL_fz00_28198;

													BgL_fz00_28198 = BgL_rz00_12484;
													BgL_fz00_12483 = BgL_fz00_28198;
													goto BgL_recz00_12482;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17530,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12476);
													BgL_val1372z00_3923 = BgL_rz00_12484;
							}}}}}
							POP_EXIT();
							return BgL_val1372z00_3923;
						}
					}
				}
		}
	}



/* <exit:3335> */
	obj_t BGl_zc3exitza33335ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17534,
		obj_t BgL_sz00_17533, obj_t BgL_runz00_17532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1368z00_3912;

			if (SET_EXIT(BgL_an_exit1368z00_3912))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1368z00_3912 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1368z00_3912, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1369z00_3913;

							BgL_val1369z00_3913 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17532,
								BgL_sz00_17533, BgL_bpz00_17534);
							POP_EXIT();
							return BgL_val1369z00_3913;
						}
					}
				}
		}
	}



/* &run5502 */
	obj_t BGl_z62run5502z62zz__evaluate_compz00(obj_t BgL_envz00_16901,
		obj_t BgL_sz00_16907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16902;
				long BgL_siza7eza7_16903;
				obj_t BgL_valza2za2_16904;
				BgL_ev_absz00_bglt BgL_i1250z00_16905;
				obj_t BgL_bodyz00_16906;

				BgL_iboxesz00_16902 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16901, (int) (((long) 0))));
				BgL_siza7eza7_16903 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16901, (int) (((long) 1))));
				BgL_valza2za2_16904 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16901, (int) (((long) 2))));
				BgL_i1250z00_16905 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16901, (int) (((long) 3))));
				BgL_bodyz00_16906 = PROCEDURE_REF(BgL_envz00_16901, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3925;

					BgL_sz00_3925 = BgL_sz00_16907;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3927;

						BgL_bpz00_3927 = VECTOR_REF(BgL_sz00_3925, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3925,
							BgL_iboxesz00_16902, BgL_bpz00_3927);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3925,
							BgL_valza2za2_16904,
							((long) CINT(BgL_bpz00_3927) + BgL_siza7eza7_16903));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3929;
							obj_t BgL_wherez00_3930;
							obj_t BgL_locz00_3931;

							BgL_z12denvz12_3929 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3930 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16905))->BgL_wherez00);
							BgL_locz00_3931 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16905))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3929, BgL_wherez00_3930,
									BgL_locz00_3931);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3932;

									BgL_za2za2resza2za2z00_3932 =
										PROCEDURE_ENTRY(BgL_bodyz00_16906) (BgL_bodyz00_16906,
										BgL_sz00_3925, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3929);
									return BgL_za2za2resza2za2z00_3932;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3191> */
	obj_t BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16908, obj_t BgL_sz00_16912)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16909;
				obj_t BgL_bodyz00_16910;
				long BgL_siza7ezd2framez75_16911;

				BgL_i1250z00_16909 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16908, (int) (((long) 0))));
				BgL_bodyz00_16910 = PROCEDURE_REF(BgL_envz00_16908, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16911 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16908, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3598;

					BgL_sz00_3598 = BgL_sz00_16912;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3600;

						BgL_bpz00_3600 = VECTOR_REF(BgL_sz00_3598, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16138;

								BgL_runz00_16138 =
									MAKE_FX_PROCEDURE(BGl_z62run5504z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16138,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16909));
								PROCEDURE_SET(BgL_runz00_16138,
									(int) (((long) 1)), BgL_bodyz00_16910);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16139;

									BgL_mainz00_16139 =
										MAKE_FX_PROCEDURE(BGl_z62main5503z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16909));
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 1)), BgL_bodyz00_16910);
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 2)), BgL_runz00_16138);
									PROCEDURE_SET(BgL_mainz00_16139,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16911));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11803;

										BgL_objz00_11803 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16138, BgL_objz00_11803);
										BgL_objz00_11803;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3192z00_3603;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3193z00_3604;

											BgL_arg3193z00_3604 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16909))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11807;

												BgL_newz00_11807 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28271;

													BgL_auxz00_28271 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11807, BgL_auxz00_28271,
														BgL_arg3193z00_3604);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28276;
													int BgL_auxz00_28274;

													BgL_auxz00_28276 = BINT(BgL_siza7ezd2framez75_16911);
													BgL_auxz00_28274 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11807, BgL_auxz00_28274,
														BgL_auxz00_28276);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28279;

													BgL_auxz00_28279 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11807, BgL_auxz00_28279,
														BgL_runz00_16138);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28284;
													int BgL_auxz00_28282;

													BgL_auxz00_28284 = BINT(((long) 1));
													BgL_auxz00_28282 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11807, BgL_auxz00_28282,
														BgL_auxz00_28284);
												}
												BgL_arg3192z00_3603 = BgL_newz00_11807;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16139, BgL_arg3192z00_3603);
										BgL_arg3192z00_3603;
									}
									return BgL_mainz00_16139;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5503 */
	obj_t BGl_z62main5503z62zz__evaluate_compz00(obj_t BgL_envz00_16913,
		obj_t BgL_dz00_16918)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16916;
				long BgL_siza7ezd2framez75_16917;

				BgL_runz00_16916 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16913, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16917 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16913, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3605;

					BgL_dz00_3605 = BgL_dz00_16918;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3607;

						BgL_sz00_3607 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3608;

							BgL_bpz00_3608 = VECTOR_REF(BgL_sz00_3607, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28297;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11747;

									BgL_arg1908z00_11747 = VECTOR_LENGTH(BgL_sz00_3607);
									BgL_testz00_28297 =
										(
										((long) CINT(BgL_bpz00_3608) +
											BgL_siza7ezd2framez75_16917) <
										(long) (BgL_arg1908z00_11747));
								}
								if (BgL_testz00_28297)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3196z00_3610;

											BgL_arg3196z00_3610 =
												((long) CINT(BgL_bpz00_3608) + ((long) 0));
											VECTOR_SET(BgL_sz00_3607,
												(int) (BgL_arg3196z00_3610), BgL_dz00_3605);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1325z00_3611;

											BgL_val1325z00_3611 =
												BGl_zc3exitza33200ze3z83zz__evaluate_compz00
												(BgL_bpz00_3608, BgL_sz00_3607, BgL_runz00_16916);
											VECTOR_SET(BgL_sz00_3607, (int) (((long) 0)),
												BgL_bpz00_3608);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1325z00_3611)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1325z00_3611), CDR(BgL_val1325z00_3611));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1325z00_3611;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3618;

										BgL_nsz00_3618 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3618,
											(int) (((long) 1)), BgL_sz00_3607);
										VECTOR_SET(BgL_nsz00_3618,
											(int) (((long) 2)), BgL_dz00_3605);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28321;

											BgL_auxz00_28321 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28321, BgL_nsz00_3618);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1328z00_3620;

											BgL_val1328z00_3620 =
												BGl_zc3exitza33206ze3z83zz__evaluate_compz00
												(BgL_runz00_16916, BgL_nsz00_3618);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28325;

												BgL_auxz00_28325 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28325, BgL_sz00_3607);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1328z00_3620)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1328z00_3620), CDR(BgL_val1328z00_3620));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1328z00_3620;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3206> */
	obj_t BGl_zc3exitza33206ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17526,
		obj_t BgL_nsz00_17525)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1329z00_3626;

			if (SET_EXIT(BgL_an_exit1329z00_3626))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1329z00_3626 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1329z00_3626, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1330z00_3627;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11775;

								BgL_savedzd2bpzd2_11775 =
									VECTOR_REF(BgL_nsz00_17525, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17525,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11782;

									BgL_fz00_11782 = BgL_runz00_17526;
								BgL_recz00_11781:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11783;

										BgL_rz00_11783 =
											PROCEDURE_ENTRY(BgL_fz00_11782) (BgL_fz00_11782,
											BgL_nsz00_17525, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28346;

											if (PROCEDUREP(BgL_rz00_11783))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11788;

													BgL_arg1899z00_11788 = PROCEDURE_ATTR(BgL_rz00_11783);
													if (STRUCTP(BgL_arg1899z00_11788))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28346 =
																(STRUCT_KEY(BgL_arg1899z00_11788) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28346 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28346 = ((bool_t) 0);
												}
											if (BgL_testz00_28346)
												{
													obj_t BgL_fz00_28354;

													BgL_fz00_28354 = BgL_rz00_11783;
													BgL_fz00_11782 = BgL_fz00_28354;
													goto BgL_recz00_11781;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17525,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11775);
													BgL_val1330z00_3627 = BgL_rz00_11783;
							}}}}}
							POP_EXIT();
							return BgL_val1330z00_3627;
						}
					}
				}
		}
	}



/* <exit:3200> */
	obj_t BGl_zc3exitza33200ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17529,
		obj_t BgL_sz00_17528, obj_t BgL_runz00_17527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1326z00_3616;

			if (SET_EXIT(BgL_an_exit1326z00_3616))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1326z00_3616 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1326z00_3616, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1327z00_3617;

							BgL_val1327z00_3617 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17527,
								BgL_sz00_17528, BgL_bpz00_17529);
							POP_EXIT();
							return BgL_val1327z00_3617;
						}
					}
				}
		}
	}



/* &run5504 */
	obj_t BGl_z62run5504z62zz__evaluate_compz00(obj_t BgL_envz00_16919,
		obj_t BgL_sz00_16922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16920;
				obj_t BgL_bodyz00_16921;

				BgL_i1250z00_16920 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16919, (int) (((long) 0))));
				BgL_bodyz00_16921 = PROCEDURE_REF(BgL_envz00_16919, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3629;

					BgL_sz00_3629 = BgL_sz00_16922;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3631;

						BgL_bpz00_3631 = VECTOR_REF(BgL_sz00_3629, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3632;
							obj_t BgL_wherez00_3633;
							obj_t BgL_locz00_3634;

							BgL_z12denvz12_3632 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3633 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16920))->BgL_wherez00);
							BgL_locz00_3634 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16920))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3632, BgL_wherez00_3633,
									BgL_locz00_3634);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3635;

									BgL_za2za2resza2za2z00_3635 =
										PROCEDURE_ENTRY(BgL_bodyz00_16921) (BgL_bodyz00_16921,
										BgL_sz00_3629, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3632);
									return BgL_za2za2resza2za2z00_3635;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3208> */
	obj_t BGl_z62zc3anonymousza33208ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16923, obj_t BgL_sz00_16928)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16924;
				BgL_ev_absz00_bglt BgL_i1250z00_16925;
				obj_t BgL_bodyz00_16926;
				long BgL_siza7ezd2framez75_16927;

				BgL_iboxesz00_16924 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16923, (int) (((long) 0))));
				BgL_i1250z00_16925 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16923, (int) (((long) 1))));
				BgL_bodyz00_16926 = PROCEDURE_REF(BgL_envz00_16923, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16927 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16923, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3637;

					BgL_sz00_3637 = BgL_sz00_16928;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3639;

						BgL_bpz00_3639 = VECTOR_REF(BgL_sz00_3637, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16135;

								BgL_runz00_16135 =
									MAKE_FX_PROCEDURE(BGl_z62run5506z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16135,
									(int) (((long) 0)), BgL_iboxesz00_16924);
								PROCEDURE_SET(BgL_runz00_16135,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_16925));
								PROCEDURE_SET(BgL_runz00_16135,
									(int) (((long) 2)), BgL_bodyz00_16926);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16136;

									BgL_mainz00_16136 =
										MAKE_FX_PROCEDURE(BGl_z62main5505z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 0)), BgL_iboxesz00_16924);
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_16925));
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 2)), BgL_bodyz00_16926);
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 3)), BgL_runz00_16135);
									PROCEDURE_SET(BgL_mainz00_16136,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16927));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11894;

										BgL_objz00_11894 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16135, BgL_objz00_11894);
										BgL_objz00_11894;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3209z00_3642;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3210z00_3643;

											BgL_arg3210z00_3643 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16925))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11898;

												BgL_newz00_11898 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28421;

													BgL_auxz00_28421 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11898, BgL_auxz00_28421,
														BgL_arg3210z00_3643);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28426;
													int BgL_auxz00_28424;

													BgL_auxz00_28426 = BINT(BgL_siza7ezd2framez75_16927);
													BgL_auxz00_28424 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11898, BgL_auxz00_28424,
														BgL_auxz00_28426);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28429;

													BgL_auxz00_28429 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11898, BgL_auxz00_28429,
														BgL_runz00_16135);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28434;
													int BgL_auxz00_28432;

													BgL_auxz00_28434 = BINT(((long) 1));
													BgL_auxz00_28432 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11898, BgL_auxz00_28432,
														BgL_auxz00_28434);
												}
												BgL_arg3209z00_3642 = BgL_newz00_11898;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16136, BgL_arg3209z00_3642);
										BgL_arg3209z00_3642;
									}
									return BgL_mainz00_16136;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5505 */
	obj_t BGl_z62main5505z62zz__evaluate_compz00(obj_t BgL_envz00_16929,
		obj_t BgL_dz00_16935)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16933;
				long BgL_siza7ezd2framez75_16934;

				BgL_runz00_16933 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16929, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16934 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16929, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3644;

					BgL_dz00_3644 = BgL_dz00_16935;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3646;

						BgL_sz00_3646 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3647;

							BgL_bpz00_3647 = VECTOR_REF(BgL_sz00_3646, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28447;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11838;

									BgL_arg1908z00_11838 = VECTOR_LENGTH(BgL_sz00_3646);
									BgL_testz00_28447 =
										(
										((long) CINT(BgL_bpz00_3647) +
											BgL_siza7ezd2framez75_16934) <
										(long) (BgL_arg1908z00_11838));
								}
								if (BgL_testz00_28447)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3213z00_3649;

											BgL_arg3213z00_3649 =
												((long) CINT(BgL_bpz00_3647) + ((long) 0));
											VECTOR_SET(BgL_sz00_3646,
												(int) (BgL_arg3213z00_3649), BgL_dz00_3644);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1331z00_3650;

											BgL_val1331z00_3650 =
												BGl_zc3exitza33217ze3z83zz__evaluate_compz00
												(BgL_bpz00_3647, BgL_sz00_3646, BgL_runz00_16933);
											VECTOR_SET(BgL_sz00_3646, (int) (((long) 0)),
												BgL_bpz00_3647);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1331z00_3650)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1331z00_3650), CDR(BgL_val1331z00_3650));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1331z00_3650;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3657;

										BgL_nsz00_3657 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3657,
											(int) (((long) 1)), BgL_sz00_3646);
										VECTOR_SET(BgL_nsz00_3657,
											(int) (((long) 2)), BgL_dz00_3644);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28471;

											BgL_auxz00_28471 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28471, BgL_nsz00_3657);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1334z00_3659;

											BgL_val1334z00_3659 =
												BGl_zc3exitza33223ze3z83zz__evaluate_compz00
												(BgL_runz00_16933, BgL_nsz00_3657);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28475;

												BgL_auxz00_28475 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28475, BgL_sz00_3646);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1334z00_3659)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1334z00_3659), CDR(BgL_val1334z00_3659));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1334z00_3659;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3223> */
	obj_t BGl_zc3exitza33223ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17521,
		obj_t BgL_nsz00_17520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1335z00_3665;

			if (SET_EXIT(BgL_an_exit1335z00_3665))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1335z00_3665 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1335z00_3665, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1336z00_3666;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11866;

								BgL_savedzd2bpzd2_11866 =
									VECTOR_REF(BgL_nsz00_17520, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17520,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11873;

									BgL_fz00_11873 = BgL_runz00_17521;
								BgL_recz00_11872:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11874;

										BgL_rz00_11874 =
											PROCEDURE_ENTRY(BgL_fz00_11873) (BgL_fz00_11873,
											BgL_nsz00_17520, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28496;

											if (PROCEDUREP(BgL_rz00_11874))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11879;

													BgL_arg1899z00_11879 = PROCEDURE_ATTR(BgL_rz00_11874);
													if (STRUCTP(BgL_arg1899z00_11879))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28496 =
																(STRUCT_KEY(BgL_arg1899z00_11879) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28496 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28496 = ((bool_t) 0);
												}
											if (BgL_testz00_28496)
												{
													obj_t BgL_fz00_28504;

													BgL_fz00_28504 = BgL_rz00_11874;
													BgL_fz00_11873 = BgL_fz00_28504;
													goto BgL_recz00_11872;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17520,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11866);
													BgL_val1336z00_3666 = BgL_rz00_11874;
							}}}}}
							POP_EXIT();
							return BgL_val1336z00_3666;
						}
					}
				}
		}
	}



/* <exit:3217> */
	obj_t BGl_zc3exitza33217ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17524,
		obj_t BgL_sz00_17523, obj_t BgL_runz00_17522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1332z00_3655;

			if (SET_EXIT(BgL_an_exit1332z00_3655))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1332z00_3655 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1332z00_3655, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1333z00_3656;

							BgL_val1333z00_3656 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17522,
								BgL_sz00_17523, BgL_bpz00_17524);
							POP_EXIT();
							return BgL_val1333z00_3656;
						}
					}
				}
		}
	}



/* &run5506 */
	obj_t BGl_z62run5506z62zz__evaluate_compz00(obj_t BgL_envz00_16936,
		obj_t BgL_sz00_16940)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16937;
				BgL_ev_absz00_bglt BgL_i1250z00_16938;
				obj_t BgL_bodyz00_16939;

				BgL_iboxesz00_16937 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16936, (int) (((long) 0))));
				BgL_i1250z00_16938 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16936, (int) (((long) 1))));
				BgL_bodyz00_16939 = PROCEDURE_REF(BgL_envz00_16936, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3668;

					BgL_sz00_3668 = BgL_sz00_16940;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3670;

						BgL_bpz00_3670 = VECTOR_REF(BgL_sz00_3668, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3668,
							BgL_iboxesz00_16937, BgL_bpz00_3670);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3671;
							obj_t BgL_wherez00_3672;
							obj_t BgL_locz00_3673;

							BgL_z12denvz12_3671 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3672 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16938))->BgL_wherez00);
							BgL_locz00_3673 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16938))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3671, BgL_wherez00_3672,
									BgL_locz00_3673);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3674;

									BgL_za2za2resza2za2z00_3674 =
										PROCEDURE_ENTRY(BgL_bodyz00_16939) (BgL_bodyz00_16939,
										BgL_sz00_3668, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3671);
									return BgL_za2za2resza2za2z00_3674;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3227> */
	obj_t BGl_z62zc3anonymousza33227ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16941, obj_t BgL_sz00_16947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16942;
				long BgL_siza7eza7_16943;
				BgL_ev_absz00_bglt BgL_i1250z00_16944;
				obj_t BgL_bodyz00_16945;
				long BgL_siza7ezd2framez75_16946;

				BgL_ifreesz00_16942 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 0))));
				BgL_siza7eza7_16943 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 1))));
				BgL_i1250z00_16944 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 2))));
				BgL_bodyz00_16945 = PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16946 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3678;

					BgL_sz00_3678 = BgL_sz00_16947;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3680;

						BgL_bpz00_3680 = VECTOR_REF(BgL_sz00_3678, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3681;

							BgL_valza2za2_3681 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3678,
								BgL_bpz00_3680, BgL_ifreesz00_16942);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16132;

								BgL_runz00_16132 =
									MAKE_FX_PROCEDURE(BGl_z62run5508z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16943));
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 1)), BgL_valza2za2_3681);
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_16944));
								PROCEDURE_SET(BgL_runz00_16132,
									(int) (((long) 3)), BgL_bodyz00_16945);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16133;

									BgL_mainz00_16133 =
										MAKE_FX_PROCEDURE(BGl_z62main5507z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16943));
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 1)), BgL_valza2za2_3681);
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_16944));
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 3)), BgL_bodyz00_16945);
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 4)), BgL_runz00_16132);
									PROCEDURE_SET(BgL_mainz00_16133,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16946));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11992;

										BgL_objz00_11992 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16132, BgL_objz00_11992);
										BgL_objz00_11992;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3228z00_3684;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3229z00_3685;

											BgL_arg3229z00_3685 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16944))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11996;

												BgL_newz00_11996 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28585;

													BgL_auxz00_28585 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11996, BgL_auxz00_28585,
														BgL_arg3229z00_3685);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28590;
													int BgL_auxz00_28588;

													BgL_auxz00_28590 = BINT(BgL_siza7ezd2framez75_16946);
													BgL_auxz00_28588 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11996, BgL_auxz00_28588,
														BgL_auxz00_28590);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28593;

													BgL_auxz00_28593 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11996, BgL_auxz00_28593,
														BgL_runz00_16132);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28598;
													int BgL_auxz00_28596;

													BgL_auxz00_28598 = BINT(((long) 1));
													BgL_auxz00_28596 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11996, BgL_auxz00_28596,
														BgL_auxz00_28598);
												}
												BgL_arg3228z00_3684 = BgL_newz00_11996;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16133, BgL_arg3228z00_3684);
										BgL_arg3228z00_3684;
									}
									return BgL_mainz00_16133;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5507 */
	obj_t BGl_z62main5507z62zz__evaluate_compz00(obj_t BgL_envz00_16948,
		obj_t BgL_dz00_16955)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16953;
				long BgL_siza7ezd2framez75_16954;

				BgL_runz00_16953 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16948, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16954 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16948, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3686;

					BgL_dz00_3686 = BgL_dz00_16955;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3688;

						BgL_sz00_3688 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3689;

							BgL_bpz00_3689 = VECTOR_REF(BgL_sz00_3688, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28611;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11936;

									BgL_arg1908z00_11936 = VECTOR_LENGTH(BgL_sz00_3688);
									BgL_testz00_28611 =
										(
										((long) CINT(BgL_bpz00_3689) +
											BgL_siza7ezd2framez75_16954) <
										(long) (BgL_arg1908z00_11936));
								}
								if (BgL_testz00_28611)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3232z00_3691;

											BgL_arg3232z00_3691 =
												((long) CINT(BgL_bpz00_3689) + ((long) 0));
											VECTOR_SET(BgL_sz00_3688,
												(int) (BgL_arg3232z00_3691), BgL_dz00_3686);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1337z00_3692;

											BgL_val1337z00_3692 =
												BGl_zc3exitza33236ze3z83zz__evaluate_compz00
												(BgL_bpz00_3689, BgL_sz00_3688, BgL_runz00_16953);
											VECTOR_SET(BgL_sz00_3688, (int) (((long) 0)),
												BgL_bpz00_3689);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1337z00_3692)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1337z00_3692), CDR(BgL_val1337z00_3692));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1337z00_3692;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3699;

										BgL_nsz00_3699 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3699,
											(int) (((long) 1)), BgL_sz00_3688);
										VECTOR_SET(BgL_nsz00_3699,
											(int) (((long) 2)), BgL_dz00_3686);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28635;

											BgL_auxz00_28635 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28635, BgL_nsz00_3699);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1340z00_3701;

											BgL_val1340z00_3701 =
												BGl_zc3exitza33242ze3z83zz__evaluate_compz00
												(BgL_runz00_16953, BgL_nsz00_3699);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28639;

												BgL_auxz00_28639 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28639, BgL_sz00_3688);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1340z00_3701)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1340z00_3701), CDR(BgL_val1340z00_3701));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1340z00_3701;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3242> */
	obj_t BGl_zc3exitza33242ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17516,
		obj_t BgL_nsz00_17515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1341z00_3707;

			if (SET_EXIT(BgL_an_exit1341z00_3707))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1341z00_3707 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1341z00_3707, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1342z00_3708;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11964;

								BgL_savedzd2bpzd2_11964 =
									VECTOR_REF(BgL_nsz00_17515, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17515,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11971;

									BgL_fz00_11971 = BgL_runz00_17516;
								BgL_recz00_11970:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11972;

										BgL_rz00_11972 =
											PROCEDURE_ENTRY(BgL_fz00_11971) (BgL_fz00_11971,
											BgL_nsz00_17515, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28660;

											if (PROCEDUREP(BgL_rz00_11972))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11977;

													BgL_arg1899z00_11977 = PROCEDURE_ATTR(BgL_rz00_11972);
													if (STRUCTP(BgL_arg1899z00_11977))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28660 =
																(STRUCT_KEY(BgL_arg1899z00_11977) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28660 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28660 = ((bool_t) 0);
												}
											if (BgL_testz00_28660)
												{
													obj_t BgL_fz00_28668;

													BgL_fz00_28668 = BgL_rz00_11972;
													BgL_fz00_11971 = BgL_fz00_28668;
													goto BgL_recz00_11970;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17515,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11964);
													BgL_val1342z00_3708 = BgL_rz00_11972;
							}}}}}
							POP_EXIT();
							return BgL_val1342z00_3708;
						}
					}
				}
		}
	}



/* <exit:3236> */
	obj_t BGl_zc3exitza33236ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17519,
		obj_t BgL_sz00_17518, obj_t BgL_runz00_17517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1338z00_3697;

			if (SET_EXIT(BgL_an_exit1338z00_3697))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1338z00_3697 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1338z00_3697, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1339z00_3698;

							BgL_val1339z00_3698 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17517,
								BgL_sz00_17518, BgL_bpz00_17519);
							POP_EXIT();
							return BgL_val1339z00_3698;
						}
					}
				}
		}
	}



/* &run5508 */
	obj_t BGl_z62run5508z62zz__evaluate_compz00(obj_t BgL_envz00_16956,
		obj_t BgL_sz00_16961)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16957;
				obj_t BgL_valza2za2_16958;
				BgL_ev_absz00_bglt BgL_i1250z00_16959;
				obj_t BgL_bodyz00_16960;

				BgL_siza7eza7_16957 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16956, (int) (((long) 0))));
				BgL_valza2za2_16958 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16956, (int) (((long) 1))));
				BgL_i1250z00_16959 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16956, (int) (((long) 2))));
				BgL_bodyz00_16960 = PROCEDURE_REF(BgL_envz00_16956, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3710;

					BgL_sz00_3710 = BgL_sz00_16961;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3712;

						BgL_bpz00_3712 = VECTOR_REF(BgL_sz00_3710, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3710,
							BgL_valza2za2_16958,
							((long) CINT(BgL_bpz00_3712) + BgL_siza7eza7_16957));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3714;
							obj_t BgL_wherez00_3715;
							obj_t BgL_locz00_3716;

							BgL_z12denvz12_3714 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3715 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16959))->BgL_wherez00);
							BgL_locz00_3716 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16959))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3714, BgL_wherez00_3715,
									BgL_locz00_3716);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3717;

									BgL_za2za2resza2za2z00_3717 =
										PROCEDURE_ENTRY(BgL_bodyz00_16960) (BgL_bodyz00_16960,
										BgL_sz00_3710, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3714);
									return BgL_za2za2resza2za2z00_3717;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3245> */
	obj_t BGl_z62zc3anonymousza33245ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16962, obj_t BgL_sz00_16969)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16963;
				obj_t BgL_iboxesz00_16964;
				long BgL_siza7eza7_16965;
				BgL_ev_absz00_bglt BgL_i1250z00_16966;
				obj_t BgL_bodyz00_16967;
				long BgL_siza7ezd2framez75_16968;

				BgL_ifreesz00_16963 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16962, (int) (((long) 0))));
				BgL_iboxesz00_16964 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16962, (int) (((long) 1))));
				BgL_siza7eza7_16965 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16962, (int) (((long) 2))));
				BgL_i1250z00_16966 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16962, (int) (((long) 3))));
				BgL_bodyz00_16967 = PROCEDURE_REF(BgL_envz00_16962, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16968 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16962, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3719;

					BgL_sz00_3719 = BgL_sz00_16969;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3721;

						BgL_bpz00_3721 = VECTOR_REF(BgL_sz00_3719, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3722;

							BgL_valza2za2_3722 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3719,
								BgL_bpz00_3721, BgL_ifreesz00_16963);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16129;

								BgL_runz00_16129 =
									MAKE_FX_PROCEDURE(BGl_z62run5510z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 0)), BgL_iboxesz00_16964);
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16965));
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 2)), BgL_valza2za2_3722);
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_16966));
								PROCEDURE_SET(BgL_runz00_16129,
									(int) (((long) 4)), BgL_bodyz00_16967);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16130;

									BgL_mainz00_16130 =
										MAKE_FX_PROCEDURE(BGl_z62main5509z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 0)), BgL_iboxesz00_16964);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16965));
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 2)), BgL_valza2za2_3722);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_16966));
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 4)), BgL_bodyz00_16967);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 5)), BgL_runz00_16129);
									PROCEDURE_SET(BgL_mainz00_16130,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16968));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12086;

										BgL_objz00_12086 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16129, BgL_objz00_12086);
										BgL_objz00_12086;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3246z00_3725;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3247z00_3726;

											BgL_arg3247z00_3726 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16966))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12090;

												BgL_newz00_12090 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28761;

													BgL_auxz00_28761 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12090, BgL_auxz00_28761,
														BgL_arg3247z00_3726);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28766;
													int BgL_auxz00_28764;

													BgL_auxz00_28766 = BINT(BgL_siza7ezd2framez75_16968);
													BgL_auxz00_28764 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12090, BgL_auxz00_28764,
														BgL_auxz00_28766);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28769;

													BgL_auxz00_28769 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12090, BgL_auxz00_28769,
														BgL_runz00_16129);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28774;
													int BgL_auxz00_28772;

													BgL_auxz00_28774 = BINT(((long) 1));
													BgL_auxz00_28772 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12090, BgL_auxz00_28772,
														BgL_auxz00_28774);
												}
												BgL_arg3246z00_3725 = BgL_newz00_12090;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16130, BgL_arg3246z00_3725);
										BgL_arg3246z00_3725;
									}
									return BgL_mainz00_16130;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5509 */
	obj_t BGl_z62main5509z62zz__evaluate_compz00(obj_t BgL_envz00_16970,
		obj_t BgL_dz00_16978)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16976;
				long BgL_siza7ezd2framez75_16977;

				BgL_runz00_16976 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16970, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16977 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16970, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3727;

					BgL_dz00_3727 = BgL_dz00_16978;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3729;

						BgL_sz00_3729 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3730;

							BgL_bpz00_3730 = VECTOR_REF(BgL_sz00_3729, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28787;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_12030;

									BgL_arg1908z00_12030 = VECTOR_LENGTH(BgL_sz00_3729);
									BgL_testz00_28787 =
										(
										((long) CINT(BgL_bpz00_3730) +
											BgL_siza7ezd2framez75_16977) <
										(long) (BgL_arg1908z00_12030));
								}
								if (BgL_testz00_28787)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3250z00_3732;

											BgL_arg3250z00_3732 =
												((long) CINT(BgL_bpz00_3730) + ((long) 0));
											VECTOR_SET(BgL_sz00_3729,
												(int) (BgL_arg3250z00_3732), BgL_dz00_3727);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1343z00_3733;

											BgL_val1343z00_3733 =
												BGl_zc3exitza33254ze3z83zz__evaluate_compz00
												(BgL_bpz00_3730, BgL_sz00_3729, BgL_runz00_16976);
											VECTOR_SET(BgL_sz00_3729, (int) (((long) 0)),
												BgL_bpz00_3730);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1343z00_3733)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1343z00_3733), CDR(BgL_val1343z00_3733));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1343z00_3733;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3740;

										BgL_nsz00_3740 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3740,
											(int) (((long) 1)), BgL_sz00_3729);
										VECTOR_SET(BgL_nsz00_3740,
											(int) (((long) 2)), BgL_dz00_3727);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28811;

											BgL_auxz00_28811 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28811, BgL_nsz00_3740);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1346z00_3742;

											BgL_val1346z00_3742 =
												BGl_zc3exitza33261ze3z83zz__evaluate_compz00
												(BgL_runz00_16976, BgL_nsz00_3740);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28815;

												BgL_auxz00_28815 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28815, BgL_sz00_3729);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1346z00_3742)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1346z00_3742), CDR(BgL_val1346z00_3742));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1346z00_3742;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3261> */
	obj_t BGl_zc3exitza33261ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17511,
		obj_t BgL_nsz00_17510)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1347z00_3748;

			if (SET_EXIT(BgL_an_exit1347z00_3748))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1347z00_3748 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1347z00_3748, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1348z00_3749;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12058;

								BgL_savedzd2bpzd2_12058 =
									VECTOR_REF(BgL_nsz00_17510, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17510,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12065;

									BgL_fz00_12065 = BgL_runz00_17511;
								BgL_recz00_12064:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12066;

										BgL_rz00_12066 =
											PROCEDURE_ENTRY(BgL_fz00_12065) (BgL_fz00_12065,
											BgL_nsz00_17510, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28836;

											if (PROCEDUREP(BgL_rz00_12066))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_12071;

													BgL_arg1899z00_12071 = PROCEDURE_ATTR(BgL_rz00_12066);
													if (STRUCTP(BgL_arg1899z00_12071))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28836 =
																(STRUCT_KEY(BgL_arg1899z00_12071) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28836 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28836 = ((bool_t) 0);
												}
											if (BgL_testz00_28836)
												{
													obj_t BgL_fz00_28844;

													BgL_fz00_28844 = BgL_rz00_12066;
													BgL_fz00_12065 = BgL_fz00_28844;
													goto BgL_recz00_12064;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17510,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12058);
													BgL_val1348z00_3749 = BgL_rz00_12066;
							}}}}}
							POP_EXIT();
							return BgL_val1348z00_3749;
						}
					}
				}
		}
	}



/* <exit:3254> */
	obj_t BGl_zc3exitza33254ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17514,
		obj_t BgL_sz00_17513, obj_t BgL_runz00_17512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1344z00_3738;

			if (SET_EXIT(BgL_an_exit1344z00_3738))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1344z00_3738 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1344z00_3738, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1345z00_3739;

							BgL_val1345z00_3739 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17512,
								BgL_sz00_17513, BgL_bpz00_17514);
							POP_EXIT();
							return BgL_val1345z00_3739;
						}
					}
				}
		}
	}



/* &run5510 */
	obj_t BGl_z62run5510z62zz__evaluate_compz00(obj_t BgL_envz00_16979,
		obj_t BgL_sz00_16985)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16980;
				long BgL_siza7eza7_16981;
				obj_t BgL_valza2za2_16982;
				BgL_ev_absz00_bglt BgL_i1250z00_16983;
				obj_t BgL_bodyz00_16984;

				BgL_iboxesz00_16980 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16979, (int) (((long) 0))));
				BgL_siza7eza7_16981 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16979, (int) (((long) 1))));
				BgL_valza2za2_16982 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16979, (int) (((long) 2))));
				BgL_i1250z00_16983 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16979, (int) (((long) 3))));
				BgL_bodyz00_16984 = PROCEDURE_REF(BgL_envz00_16979, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3751;

					BgL_sz00_3751 = BgL_sz00_16985;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3753;

						BgL_bpz00_3753 = VECTOR_REF(BgL_sz00_3751, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3751,
							BgL_iboxesz00_16980, BgL_bpz00_3753);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3751,
							BgL_valza2za2_16982,
							((long) CINT(BgL_bpz00_3753) + BgL_siza7eza7_16981));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3755;
							obj_t BgL_wherez00_3756;
							obj_t BgL_locz00_3757;

							BgL_z12denvz12_3755 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3756 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16983))->BgL_wherez00);
							BgL_locz00_3757 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16983))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3755, BgL_wherez00_3756,
									BgL_locz00_3757);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3758;

									BgL_za2za2resza2za2z00_3758 =
										PROCEDURE_ENTRY(BgL_bodyz00_16984) (BgL_bodyz00_16984,
										BgL_sz00_3751, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3755);
									return BgL_za2za2resza2za2z00_3758;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3114> */
	obj_t BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16986, obj_t BgL_sz00_16990)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16987;
				obj_t BgL_bodyz00_16988;
				long BgL_siza7ezd2framez75_16989;

				BgL_i1250z00_16987 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16986, (int) (((long) 0))));
				BgL_bodyz00_16988 = PROCEDURE_REF(BgL_envz00_16986, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16989 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16986, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3432;

					BgL_sz00_3432 = BgL_sz00_16990;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3434;

						BgL_bpz00_3434 = VECTOR_REF(BgL_sz00_3432, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16126;

								BgL_runz00_16126 =
									MAKE_FX_PROCEDURE(BGl_z62run5512z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16126,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_16987));
								PROCEDURE_SET(BgL_runz00_16126,
									(int) (((long) 1)), BgL_bodyz00_16988);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16127;

									BgL_mainz00_16127 =
										MAKE_VA_PROCEDURE(BGl_z62main5511z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_16987));
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 1)), BgL_bodyz00_16988);
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 2)), BgL_runz00_16126);
									PROCEDURE_SET(BgL_mainz00_16127,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16989));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11421;

										BgL_objz00_11421 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16126, BgL_objz00_11421);
										BgL_objz00_11421;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3115z00_3437;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3116z00_3438;

											BgL_arg3116z00_3438 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16987))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11425;

												BgL_newz00_11425 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28917;

													BgL_auxz00_28917 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11425, BgL_auxz00_28917,
														BgL_arg3116z00_3438);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28922;
													int BgL_auxz00_28920;

													BgL_auxz00_28922 = BINT(BgL_siza7ezd2framez75_16989);
													BgL_auxz00_28920 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11425, BgL_auxz00_28920,
														BgL_auxz00_28922);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28925;

													BgL_auxz00_28925 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11425, BgL_auxz00_28925,
														BgL_runz00_16126);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28930;
													int BgL_auxz00_28928;

													BgL_auxz00_28930 = BINT(((long) -1));
													BgL_auxz00_28928 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11425, BgL_auxz00_28928,
														BgL_auxz00_28930);
												}
												BgL_arg3115z00_3437 = BgL_newz00_11425;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16127, BgL_arg3115z00_3437);
										BgL_arg3115z00_3437;
									}
									return BgL_mainz00_16127;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5511 */
	obj_t BGl_z62main5511z62zz__evaluate_compz00(obj_t BgL_envz00_16991,
		obj_t BgL_lastz00_16996)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16994;
				long BgL_siza7ezd2framez75_16995;

				BgL_runz00_16994 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16991, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16995 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16991, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_3439;

					BgL_lastz00_3439 = BgL_lastz00_16996;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3441;

						BgL_sz00_3441 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3442;

							BgL_bpz00_3442 = VECTOR_REF(BgL_sz00_3441, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28943;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11365;

									BgL_arg1908z00_11365 = VECTOR_LENGTH(BgL_sz00_3441);
									BgL_testz00_28943 =
										(
										((long) CINT(BgL_bpz00_3442) +
											BgL_siza7ezd2framez75_16995) <
										(long) (BgL_arg1908z00_11365));
								}
								if (BgL_testz00_28943)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3119z00_3444;

											BgL_arg3119z00_3444 =
												((long) CINT(BgL_bpz00_3442) + ((long) 0));
											VECTOR_SET(BgL_sz00_3441,
												(int) (BgL_arg3119z00_3444), BgL_lastz00_3439);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1301z00_3445;

											BgL_val1301z00_3445 =
												BGl_zc3exitza33123ze3z83zz__evaluate_compz00
												(BgL_bpz00_3442, BgL_sz00_3441, BgL_runz00_16994);
											VECTOR_SET(BgL_sz00_3441, (int) (((long) 0)),
												BgL_bpz00_3442);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1301z00_3445)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1301z00_3445), CDR(BgL_val1301z00_3445));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1301z00_3445;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3452;

										BgL_nsz00_3452 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3452,
											(int) (((long) 1)), BgL_sz00_3441);
										VECTOR_SET(BgL_nsz00_3452,
											(int) (((long) 2)), BgL_lastz00_3439);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28967;

											BgL_auxz00_28967 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28967, BgL_nsz00_3452);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1304z00_3454;

											BgL_val1304z00_3454 =
												BGl_zc3exitza33129ze3z83zz__evaluate_compz00
												(BgL_runz00_16994, BgL_nsz00_3452);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28971;

												BgL_auxz00_28971 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28971, BgL_sz00_3441);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1304z00_3454)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1304z00_3454), CDR(BgL_val1304z00_3454));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1304z00_3454;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3129> */
	obj_t BGl_zc3exitza33129ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17506,
		obj_t BgL_nsz00_17505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1305z00_3460;

			if (SET_EXIT(BgL_an_exit1305z00_3460))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1305z00_3460 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1305z00_3460, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1306z00_3461;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11393;

								BgL_savedzd2bpzd2_11393 =
									VECTOR_REF(BgL_nsz00_17505, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17505,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11400;

									BgL_fz00_11400 = BgL_runz00_17506;
								BgL_recz00_11399:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11401;

										BgL_rz00_11401 =
											PROCEDURE_ENTRY(BgL_fz00_11400) (BgL_fz00_11400,
											BgL_nsz00_17505, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28992;

											if (PROCEDUREP(BgL_rz00_11401))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11406;

													BgL_arg1899z00_11406 = PROCEDURE_ATTR(BgL_rz00_11401);
													if (STRUCTP(BgL_arg1899z00_11406))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28992 =
																(STRUCT_KEY(BgL_arg1899z00_11406) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28992 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28992 = ((bool_t) 0);
												}
											if (BgL_testz00_28992)
												{
													obj_t BgL_fz00_29000;

													BgL_fz00_29000 = BgL_rz00_11401;
													BgL_fz00_11400 = BgL_fz00_29000;
													goto BgL_recz00_11399;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17505,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11393);
													BgL_val1306z00_3461 = BgL_rz00_11401;
							}}}}}
							POP_EXIT();
							return BgL_val1306z00_3461;
						}
					}
				}
		}
	}



/* <exit:3123> */
	obj_t BGl_zc3exitza33123ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17509,
		obj_t BgL_sz00_17508, obj_t BgL_runz00_17507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1302z00_3450;

			if (SET_EXIT(BgL_an_exit1302z00_3450))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1302z00_3450 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1302z00_3450, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1303z00_3451;

							BgL_val1303z00_3451 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17507,
								BgL_sz00_17508, BgL_bpz00_17509);
							POP_EXIT();
							return BgL_val1303z00_3451;
						}
					}
				}
		}
	}



/* &run5512 */
	obj_t BGl_z62run5512z62zz__evaluate_compz00(obj_t BgL_envz00_16997,
		obj_t BgL_sz00_17000)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_16998;
				obj_t BgL_bodyz00_16999;

				BgL_i1250z00_16998 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16997, (int) (((long) 0))));
				BgL_bodyz00_16999 = PROCEDURE_REF(BgL_envz00_16997, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3463;

					BgL_sz00_3463 = BgL_sz00_17000;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3465;

						BgL_bpz00_3465 = VECTOR_REF(BgL_sz00_3463, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3466;
							obj_t BgL_wherez00_3467;
							obj_t BgL_locz00_3468;

							BgL_z12denvz12_3466 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3467 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16998))->BgL_wherez00);
							BgL_locz00_3468 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_16998))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3466, BgL_wherez00_3467,
									BgL_locz00_3468);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3469;

									BgL_za2za2resza2za2z00_3469 =
										PROCEDURE_ENTRY(BgL_bodyz00_16999) (BgL_bodyz00_16999,
										BgL_sz00_3463, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3466);
									return BgL_za2za2resza2za2z00_3469;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3131> */
	obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17001, obj_t BgL_sz00_17006)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17002;
				BgL_ev_absz00_bglt BgL_i1250z00_17003;
				obj_t BgL_bodyz00_17004;
				long BgL_siza7ezd2framez75_17005;

				BgL_iboxesz00_17002 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17001, (int) (((long) 0))));
				BgL_i1250z00_17003 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17001, (int) (((long) 1))));
				BgL_bodyz00_17004 = PROCEDURE_REF(BgL_envz00_17001, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17005 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17001, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3471;

					BgL_sz00_3471 = BgL_sz00_17006;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3473;

						BgL_bpz00_3473 = VECTOR_REF(BgL_sz00_3471, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16123;

								BgL_runz00_16123 =
									MAKE_FX_PROCEDURE(BGl_z62run5514z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16123,
									(int) (((long) 0)), BgL_iboxesz00_17002);
								PROCEDURE_SET(BgL_runz00_16123,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_17003));
								PROCEDURE_SET(BgL_runz00_16123,
									(int) (((long) 2)), BgL_bodyz00_17004);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16124;

									BgL_mainz00_16124 =
										MAKE_VA_PROCEDURE(BGl_z62main5513z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 0)), BgL_iboxesz00_17002);
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_17003));
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 2)), BgL_bodyz00_17004);
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 3)), BgL_runz00_16123);
									PROCEDURE_SET(BgL_mainz00_16124,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17005));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11512;

										BgL_objz00_11512 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16123, BgL_objz00_11512);
										BgL_objz00_11512;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3132z00_3476;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3133z00_3477;

											BgL_arg3133z00_3477 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17003))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11516;

												BgL_newz00_11516 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29067;

													BgL_auxz00_29067 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11516, BgL_auxz00_29067,
														BgL_arg3133z00_3477);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29072;
													int BgL_auxz00_29070;

													BgL_auxz00_29072 = BINT(BgL_siza7ezd2framez75_17005);
													BgL_auxz00_29070 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11516, BgL_auxz00_29070,
														BgL_auxz00_29072);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29075;

													BgL_auxz00_29075 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11516, BgL_auxz00_29075,
														BgL_runz00_16123);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29080;
													int BgL_auxz00_29078;

													BgL_auxz00_29080 = BINT(((long) -1));
													BgL_auxz00_29078 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11516, BgL_auxz00_29078,
														BgL_auxz00_29080);
												}
												BgL_arg3132z00_3476 = BgL_newz00_11516;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16124, BgL_arg3132z00_3476);
										BgL_arg3132z00_3476;
									}
									return BgL_mainz00_16124;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5513 */
	obj_t BGl_z62main5513z62zz__evaluate_compz00(obj_t BgL_envz00_17007,
		obj_t BgL_lastz00_17013)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17011;
				long BgL_siza7ezd2framez75_17012;

				BgL_runz00_17011 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17007, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17012 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17007, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_3478;

					BgL_lastz00_3478 = BgL_lastz00_17013;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3480;

						BgL_sz00_3480 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3481;

							BgL_bpz00_3481 = VECTOR_REF(BgL_sz00_3480, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29093;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11456;

									BgL_arg1908z00_11456 = VECTOR_LENGTH(BgL_sz00_3480);
									BgL_testz00_29093 =
										(
										((long) CINT(BgL_bpz00_3481) +
											BgL_siza7ezd2framez75_17012) <
										(long) (BgL_arg1908z00_11456));
								}
								if (BgL_testz00_29093)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3136z00_3483;

											BgL_arg3136z00_3483 =
												((long) CINT(BgL_bpz00_3481) + ((long) 0));
											VECTOR_SET(BgL_sz00_3480,
												(int) (BgL_arg3136z00_3483), BgL_lastz00_3478);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1307z00_3484;

											BgL_val1307z00_3484 =
												BGl_zc3exitza33140ze3z83zz__evaluate_compz00
												(BgL_bpz00_3481, BgL_sz00_3480, BgL_runz00_17011);
											VECTOR_SET(BgL_sz00_3480, (int) (((long) 0)),
												BgL_bpz00_3481);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1307z00_3484)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1307z00_3484), CDR(BgL_val1307z00_3484));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1307z00_3484;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3491;

										BgL_nsz00_3491 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3491,
											(int) (((long) 1)), BgL_sz00_3480);
										VECTOR_SET(BgL_nsz00_3491,
											(int) (((long) 2)), BgL_lastz00_3478);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29117;

											BgL_auxz00_29117 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29117, BgL_nsz00_3491);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1310z00_3493;

											BgL_val1310z00_3493 =
												BGl_zc3exitza33146ze3z83zz__evaluate_compz00
												(BgL_runz00_17011, BgL_nsz00_3491);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29121;

												BgL_auxz00_29121 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29121, BgL_sz00_3480);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1310z00_3493)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1310z00_3493), CDR(BgL_val1310z00_3493));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1310z00_3493;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3146> */
	obj_t BGl_zc3exitza33146ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17501,
		obj_t BgL_nsz00_17500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1311z00_3499;

			if (SET_EXIT(BgL_an_exit1311z00_3499))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1311z00_3499 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1311z00_3499, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1312z00_3500;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11484;

								BgL_savedzd2bpzd2_11484 =
									VECTOR_REF(BgL_nsz00_17500, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17500,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11491;

									BgL_fz00_11491 = BgL_runz00_17501;
								BgL_recz00_11490:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11492;

										BgL_rz00_11492 =
											PROCEDURE_ENTRY(BgL_fz00_11491) (BgL_fz00_11491,
											BgL_nsz00_17500, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29142;

											if (PROCEDUREP(BgL_rz00_11492))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11497;

													BgL_arg1899z00_11497 = PROCEDURE_ATTR(BgL_rz00_11492);
													if (STRUCTP(BgL_arg1899z00_11497))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29142 =
																(STRUCT_KEY(BgL_arg1899z00_11497) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29142 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29142 = ((bool_t) 0);
												}
											if (BgL_testz00_29142)
												{
													obj_t BgL_fz00_29150;

													BgL_fz00_29150 = BgL_rz00_11492;
													BgL_fz00_11491 = BgL_fz00_29150;
													goto BgL_recz00_11490;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17500,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11484);
													BgL_val1312z00_3500 = BgL_rz00_11492;
							}}}}}
							POP_EXIT();
							return BgL_val1312z00_3500;
						}
					}
				}
		}
	}



/* <exit:3140> */
	obj_t BGl_zc3exitza33140ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17504,
		obj_t BgL_sz00_17503, obj_t BgL_runz00_17502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1308z00_3489;

			if (SET_EXIT(BgL_an_exit1308z00_3489))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1308z00_3489 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1308z00_3489, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1309z00_3490;

							BgL_val1309z00_3490 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17502,
								BgL_sz00_17503, BgL_bpz00_17504);
							POP_EXIT();
							return BgL_val1309z00_3490;
						}
					}
				}
		}
	}



/* &run5514 */
	obj_t BGl_z62run5514z62zz__evaluate_compz00(obj_t BgL_envz00_17014,
		obj_t BgL_sz00_17018)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17015;
				BgL_ev_absz00_bglt BgL_i1250z00_17016;
				obj_t BgL_bodyz00_17017;

				BgL_iboxesz00_17015 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17014, (int) (((long) 0))));
				BgL_i1250z00_17016 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17014, (int) (((long) 1))));
				BgL_bodyz00_17017 = PROCEDURE_REF(BgL_envz00_17014, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3502;

					BgL_sz00_3502 = BgL_sz00_17018;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3504;

						BgL_bpz00_3504 = VECTOR_REF(BgL_sz00_3502, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3502,
							BgL_iboxesz00_17015, BgL_bpz00_3504);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3505;
							obj_t BgL_wherez00_3506;
							obj_t BgL_locz00_3507;

							BgL_z12denvz12_3505 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3506 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17016))->BgL_wherez00);
							BgL_locz00_3507 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17016))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3505, BgL_wherez00_3506,
									BgL_locz00_3507);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3508;

									BgL_za2za2resza2za2z00_3508 =
										PROCEDURE_ENTRY(BgL_bodyz00_17017) (BgL_bodyz00_17017,
										BgL_sz00_3502, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3505);
									return BgL_za2za2resza2za2z00_3508;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3150> */
	obj_t BGl_z62zc3anonymousza33150ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17019, obj_t BgL_sz00_17025)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17020;
				long BgL_siza7eza7_17021;
				BgL_ev_absz00_bglt BgL_i1250z00_17022;
				obj_t BgL_bodyz00_17023;
				long BgL_siza7ezd2framez75_17024;

				BgL_ifreesz00_17020 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 0))));
				BgL_siza7eza7_17021 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 1))));
				BgL_i1250z00_17022 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 2))));
				BgL_bodyz00_17023 = PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17024 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3512;

					BgL_sz00_3512 = BgL_sz00_17025;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3514;

						BgL_bpz00_3514 = VECTOR_REF(BgL_sz00_3512, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3515;

							BgL_valza2za2_3515 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3512,
								BgL_bpz00_3514, BgL_ifreesz00_17020);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16120;

								BgL_runz00_16120 =
									MAKE_FX_PROCEDURE(BGl_z62run5516z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17021));
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 1)), BgL_valza2za2_3515);
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_17022));
								PROCEDURE_SET(BgL_runz00_16120,
									(int) (((long) 3)), BgL_bodyz00_17023);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16121;

									BgL_mainz00_16121 =
										MAKE_VA_PROCEDURE(BGl_z62main5515z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17021));
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 1)), BgL_valza2za2_3515);
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_17022));
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 3)), BgL_bodyz00_17023);
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 4)), BgL_runz00_16120);
									PROCEDURE_SET(BgL_mainz00_16121,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17024));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11610;

										BgL_objz00_11610 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16120, BgL_objz00_11610);
										BgL_objz00_11610;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3151z00_3518;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3153z00_3519;

											BgL_arg3153z00_3519 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17022))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11614;

												BgL_newz00_11614 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29231;

													BgL_auxz00_29231 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11614, BgL_auxz00_29231,
														BgL_arg3153z00_3519);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29236;
													int BgL_auxz00_29234;

													BgL_auxz00_29236 = BINT(BgL_siza7ezd2framez75_17024);
													BgL_auxz00_29234 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11614, BgL_auxz00_29234,
														BgL_auxz00_29236);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29239;

													BgL_auxz00_29239 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11614, BgL_auxz00_29239,
														BgL_runz00_16120);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29244;
													int BgL_auxz00_29242;

													BgL_auxz00_29244 = BINT(((long) -1));
													BgL_auxz00_29242 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11614, BgL_auxz00_29242,
														BgL_auxz00_29244);
												}
												BgL_arg3151z00_3518 = BgL_newz00_11614;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16121, BgL_arg3151z00_3518);
										BgL_arg3151z00_3518;
									}
									return BgL_mainz00_16121;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5515 */
	obj_t BGl_z62main5515z62zz__evaluate_compz00(obj_t BgL_envz00_17026,
		obj_t BgL_lastz00_17033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17031;
				long BgL_siza7ezd2framez75_17032;

				BgL_runz00_17031 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17026, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17032 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17026, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_3520;

					BgL_lastz00_3520 = BgL_lastz00_17033;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3522;

						BgL_sz00_3522 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3523;

							BgL_bpz00_3523 = VECTOR_REF(BgL_sz00_3522, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29257;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11554;

									BgL_arg1908z00_11554 = VECTOR_LENGTH(BgL_sz00_3522);
									BgL_testz00_29257 =
										(
										((long) CINT(BgL_bpz00_3523) +
											BgL_siza7ezd2framez75_17032) <
										(long) (BgL_arg1908z00_11554));
								}
								if (BgL_testz00_29257)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3156z00_3525;

											BgL_arg3156z00_3525 =
												((long) CINT(BgL_bpz00_3523) + ((long) 0));
											VECTOR_SET(BgL_sz00_3522,
												(int) (BgL_arg3156z00_3525), BgL_lastz00_3520);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1313z00_3526;

											BgL_val1313z00_3526 =
												BGl_zc3exitza33160ze3z83zz__evaluate_compz00
												(BgL_bpz00_3523, BgL_sz00_3522, BgL_runz00_17031);
											VECTOR_SET(BgL_sz00_3522, (int) (((long) 0)),
												BgL_bpz00_3523);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1313z00_3526)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1313z00_3526), CDR(BgL_val1313z00_3526));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1313z00_3526;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3533;

										BgL_nsz00_3533 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3533,
											(int) (((long) 1)), BgL_sz00_3522);
										VECTOR_SET(BgL_nsz00_3533,
											(int) (((long) 2)), BgL_lastz00_3520);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29281;

											BgL_auxz00_29281 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29281, BgL_nsz00_3533);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1316z00_3535;

											BgL_val1316z00_3535 =
												BGl_zc3exitza33166ze3z83zz__evaluate_compz00
												(BgL_runz00_17031, BgL_nsz00_3533);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29285;

												BgL_auxz00_29285 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29285, BgL_sz00_3522);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1316z00_3535)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1316z00_3535), CDR(BgL_val1316z00_3535));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1316z00_3535;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3166> */
	obj_t BGl_zc3exitza33166ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17496,
		obj_t BgL_nsz00_17495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1317z00_3541;

			if (SET_EXIT(BgL_an_exit1317z00_3541))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1317z00_3541 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1317z00_3541, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1318z00_3542;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11582;

								BgL_savedzd2bpzd2_11582 =
									VECTOR_REF(BgL_nsz00_17495, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17495,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11589;

									BgL_fz00_11589 = BgL_runz00_17496;
								BgL_recz00_11588:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11590;

										BgL_rz00_11590 =
											PROCEDURE_ENTRY(BgL_fz00_11589) (BgL_fz00_11589,
											BgL_nsz00_17495, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29306;

											if (PROCEDUREP(BgL_rz00_11590))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11595;

													BgL_arg1899z00_11595 = PROCEDURE_ATTR(BgL_rz00_11590);
													if (STRUCTP(BgL_arg1899z00_11595))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29306 =
																(STRUCT_KEY(BgL_arg1899z00_11595) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29306 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29306 = ((bool_t) 0);
												}
											if (BgL_testz00_29306)
												{
													obj_t BgL_fz00_29314;

													BgL_fz00_29314 = BgL_rz00_11590;
													BgL_fz00_11589 = BgL_fz00_29314;
													goto BgL_recz00_11588;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17495,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11582);
													BgL_val1318z00_3542 = BgL_rz00_11590;
							}}}}}
							POP_EXIT();
							return BgL_val1318z00_3542;
						}
					}
				}
		}
	}



/* <exit:3160> */
	obj_t BGl_zc3exitza33160ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17499,
		obj_t BgL_sz00_17498, obj_t BgL_runz00_17497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1314z00_3531;

			if (SET_EXIT(BgL_an_exit1314z00_3531))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1314z00_3531 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1314z00_3531, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1315z00_3532;

							BgL_val1315z00_3532 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17497,
								BgL_sz00_17498, BgL_bpz00_17499);
							POP_EXIT();
							return BgL_val1315z00_3532;
						}
					}
				}
		}
	}



/* &run5516 */
	obj_t BGl_z62run5516z62zz__evaluate_compz00(obj_t BgL_envz00_17034,
		obj_t BgL_sz00_17039)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_17035;
				obj_t BgL_valza2za2_17036;
				BgL_ev_absz00_bglt BgL_i1250z00_17037;
				obj_t BgL_bodyz00_17038;

				BgL_siza7eza7_17035 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17034, (int) (((long) 0))));
				BgL_valza2za2_17036 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17034, (int) (((long) 1))));
				BgL_i1250z00_17037 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17034, (int) (((long) 2))));
				BgL_bodyz00_17038 = PROCEDURE_REF(BgL_envz00_17034, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3544;

					BgL_sz00_3544 = BgL_sz00_17039;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3546;

						BgL_bpz00_3546 = VECTOR_REF(BgL_sz00_3544, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3544,
							BgL_valza2za2_17036,
							((long) CINT(BgL_bpz00_3546) + BgL_siza7eza7_17035));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3548;
							obj_t BgL_wherez00_3549;
							obj_t BgL_locz00_3550;

							BgL_z12denvz12_3548 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3549 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17037))->BgL_wherez00);
							BgL_locz00_3550 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17037))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3548, BgL_wherez00_3549,
									BgL_locz00_3550);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3551;

									BgL_za2za2resza2za2z00_3551 =
										PROCEDURE_ENTRY(BgL_bodyz00_17038) (BgL_bodyz00_17038,
										BgL_sz00_3544, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3548);
									return BgL_za2za2resza2za2z00_3551;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3169> */
	obj_t BGl_z62zc3anonymousza33169ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17040, obj_t BgL_sz00_17047)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17041;
				obj_t BgL_iboxesz00_17042;
				long BgL_siza7eza7_17043;
				BgL_ev_absz00_bglt BgL_i1250z00_17044;
				obj_t BgL_bodyz00_17045;
				long BgL_siza7ezd2framez75_17046;

				BgL_ifreesz00_17041 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 0))));
				BgL_iboxesz00_17042 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 1))));
				BgL_siza7eza7_17043 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 2))));
				BgL_i1250z00_17044 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 3))));
				BgL_bodyz00_17045 = PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17046 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3553;

					BgL_sz00_3553 = BgL_sz00_17047;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3555;

						BgL_bpz00_3555 = VECTOR_REF(BgL_sz00_3553, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3556;

							BgL_valza2za2_3556 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3553,
								BgL_bpz00_3555, BgL_ifreesz00_17041);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16117;

								BgL_runz00_16117 =
									MAKE_FX_PROCEDURE(BGl_z62run5518z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 0)), BgL_iboxesz00_17042);
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17043));
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 2)), BgL_valza2za2_3556);
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_17044));
								PROCEDURE_SET(BgL_runz00_16117,
									(int) (((long) 4)), BgL_bodyz00_17045);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16118;

									BgL_mainz00_16118 =
										MAKE_VA_PROCEDURE(BGl_z62main5517z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 0)), BgL_iboxesz00_17042);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17043));
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 2)), BgL_valza2za2_3556);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_17044));
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 4)), BgL_bodyz00_17045);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 5)), BgL_runz00_16117);
									PROCEDURE_SET(BgL_mainz00_16118,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17046));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11704;

										BgL_objz00_11704 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16117, BgL_objz00_11704);
										BgL_objz00_11704;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3170z00_3559;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3171z00_3560;

											BgL_arg3171z00_3560 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17044))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11708;

												BgL_newz00_11708 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29407;

													BgL_auxz00_29407 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11708, BgL_auxz00_29407,
														BgL_arg3171z00_3560);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29412;
													int BgL_auxz00_29410;

													BgL_auxz00_29412 = BINT(BgL_siza7ezd2framez75_17046);
													BgL_auxz00_29410 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11708, BgL_auxz00_29410,
														BgL_auxz00_29412);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29415;

													BgL_auxz00_29415 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11708, BgL_auxz00_29415,
														BgL_runz00_16117);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29420;
													int BgL_auxz00_29418;

													BgL_auxz00_29420 = BINT(((long) -1));
													BgL_auxz00_29418 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11708, BgL_auxz00_29418,
														BgL_auxz00_29420);
												}
												BgL_arg3170z00_3559 = BgL_newz00_11708;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16118, BgL_arg3170z00_3559);
										BgL_arg3170z00_3559;
									}
									return BgL_mainz00_16118;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5517 */
	obj_t BGl_z62main5517z62zz__evaluate_compz00(obj_t BgL_envz00_17048,
		obj_t BgL_lastz00_17056)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17054;
				long BgL_siza7ezd2framez75_17055;

				BgL_runz00_17054 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17055 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17048, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_3561;

					BgL_lastz00_3561 = BgL_lastz00_17056;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3563;

						BgL_sz00_3563 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3564;

							BgL_bpz00_3564 = VECTOR_REF(BgL_sz00_3563, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29433;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11648;

									BgL_arg1908z00_11648 = VECTOR_LENGTH(BgL_sz00_3563);
									BgL_testz00_29433 =
										(
										((long) CINT(BgL_bpz00_3564) +
											BgL_siza7ezd2framez75_17055) <
										(long) (BgL_arg1908z00_11648));
								}
								if (BgL_testz00_29433)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3174z00_3566;

											BgL_arg3174z00_3566 =
												((long) CINT(BgL_bpz00_3564) + ((long) 0));
											VECTOR_SET(BgL_sz00_3563,
												(int) (BgL_arg3174z00_3566), BgL_lastz00_3561);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1319z00_3567;

											BgL_val1319z00_3567 =
												BGl_zc3exitza33178ze3z83zz__evaluate_compz00
												(BgL_bpz00_3564, BgL_sz00_3563, BgL_runz00_17054);
											VECTOR_SET(BgL_sz00_3563, (int) (((long) 0)),
												BgL_bpz00_3564);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1319z00_3567)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1319z00_3567), CDR(BgL_val1319z00_3567));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1319z00_3567;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3574;

										BgL_nsz00_3574 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3574,
											(int) (((long) 1)), BgL_sz00_3563);
										VECTOR_SET(BgL_nsz00_3574,
											(int) (((long) 2)), BgL_lastz00_3561);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29457;

											BgL_auxz00_29457 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29457, BgL_nsz00_3574);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1322z00_3576;

											BgL_val1322z00_3576 =
												BGl_zc3exitza33184ze3z83zz__evaluate_compz00
												(BgL_runz00_17054, BgL_nsz00_3574);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29461;

												BgL_auxz00_29461 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29461, BgL_sz00_3563);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1322z00_3576)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1322z00_3576), CDR(BgL_val1322z00_3576));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1322z00_3576;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3184> */
	obj_t BGl_zc3exitza33184ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17491,
		obj_t BgL_nsz00_17490)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1323z00_3582;

			if (SET_EXIT(BgL_an_exit1323z00_3582))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1323z00_3582 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1323z00_3582, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1324z00_3583;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11676;

								BgL_savedzd2bpzd2_11676 =
									VECTOR_REF(BgL_nsz00_17490, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17490,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11683;

									BgL_fz00_11683 = BgL_runz00_17491;
								BgL_recz00_11682:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11684;

										BgL_rz00_11684 =
											PROCEDURE_ENTRY(BgL_fz00_11683) (BgL_fz00_11683,
											BgL_nsz00_17490, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29482;

											if (PROCEDUREP(BgL_rz00_11684))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11689;

													BgL_arg1899z00_11689 = PROCEDURE_ATTR(BgL_rz00_11684);
													if (STRUCTP(BgL_arg1899z00_11689))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29482 =
																(STRUCT_KEY(BgL_arg1899z00_11689) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29482 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29482 = ((bool_t) 0);
												}
											if (BgL_testz00_29482)
												{
													obj_t BgL_fz00_29490;

													BgL_fz00_29490 = BgL_rz00_11684;
													BgL_fz00_11683 = BgL_fz00_29490;
													goto BgL_recz00_11682;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17490,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11676);
													BgL_val1324z00_3583 = BgL_rz00_11684;
							}}}}}
							POP_EXIT();
							return BgL_val1324z00_3583;
						}
					}
				}
		}
	}



/* <exit:3178> */
	obj_t BGl_zc3exitza33178ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17494,
		obj_t BgL_sz00_17493, obj_t BgL_runz00_17492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1320z00_3572;

			if (SET_EXIT(BgL_an_exit1320z00_3572))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1320z00_3572 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1320z00_3572, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1321z00_3573;

							BgL_val1321z00_3573 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17492,
								BgL_sz00_17493, BgL_bpz00_17494);
							POP_EXIT();
							return BgL_val1321z00_3573;
						}
					}
				}
		}
	}



/* &run5518 */
	obj_t BGl_z62run5518z62zz__evaluate_compz00(obj_t BgL_envz00_17057,
		obj_t BgL_sz00_17063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17058;
				long BgL_siza7eza7_17059;
				obj_t BgL_valza2za2_17060;
				BgL_ev_absz00_bglt BgL_i1250z00_17061;
				obj_t BgL_bodyz00_17062;

				BgL_iboxesz00_17058 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 0))));
				BgL_siza7eza7_17059 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 1))));
				BgL_valza2za2_17060 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 2))));
				BgL_i1250z00_17061 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 3))));
				BgL_bodyz00_17062 = PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3585;

					BgL_sz00_3585 = BgL_sz00_17063;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3587;

						BgL_bpz00_3587 = VECTOR_REF(BgL_sz00_3585, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3585,
							BgL_iboxesz00_17058, BgL_bpz00_3587);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3585,
							BgL_valza2za2_17060,
							((long) CINT(BgL_bpz00_3587) + BgL_siza7eza7_17059));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3589;
							obj_t BgL_wherez00_3590;
							obj_t BgL_locz00_3591;

							BgL_z12denvz12_3589 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3590 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17061))->BgL_wherez00);
							BgL_locz00_3591 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17061))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3589, BgL_wherez00_3590,
									BgL_locz00_3591);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3592;

									BgL_za2za2resza2za2z00_3592 =
										PROCEDURE_ENTRY(BgL_bodyz00_17062) (BgL_bodyz00_17062,
										BgL_sz00_3585, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3589);
									return BgL_za2za2resza2za2z00_3592;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3037> */
	obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17064, obj_t BgL_sz00_17068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17065;
				obj_t BgL_bodyz00_17066;
				long BgL_siza7ezd2framez75_17067;

				BgL_i1250z00_17065 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17064, (int) (((long) 0))));
				BgL_bodyz00_17066 = PROCEDURE_REF(BgL_envz00_17064, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17067 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17064, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3274;

					BgL_sz00_3274 = BgL_sz00_17068;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3276;

						BgL_bpz00_3276 = VECTOR_REF(BgL_sz00_3274, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16114;

								BgL_runz00_16114 =
									MAKE_FX_PROCEDURE(BGl_z62run5520z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16114,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_17065));
								PROCEDURE_SET(BgL_runz00_16114,
									(int) (((long) 1)), BgL_bodyz00_17066);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16115;

									BgL_mainz00_16115 =
										MAKE_FX_PROCEDURE(BGl_z62main5519z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 0)), ((obj_t) BgL_i1250z00_17065));
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 1)), BgL_bodyz00_17066);
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 2)), BgL_runz00_16114);
									PROCEDURE_SET(BgL_mainz00_16115,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17067));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11066;

										BgL_objz00_11066 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16114, BgL_objz00_11066);
										BgL_objz00_11066;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3039z00_3279;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3040z00_3280;

											BgL_arg3040z00_3280 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17065))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11070;

												BgL_newz00_11070 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29563;

													BgL_auxz00_29563 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11070, BgL_auxz00_29563,
														BgL_arg3040z00_3280);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29568;
													int BgL_auxz00_29566;

													BgL_auxz00_29568 = BINT(BgL_siza7ezd2framez75_17067);
													BgL_auxz00_29566 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11070, BgL_auxz00_29566,
														BgL_auxz00_29568);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29571;

													BgL_auxz00_29571 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11070, BgL_auxz00_29571,
														BgL_runz00_16114);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29576;
													int BgL_auxz00_29574;

													BgL_auxz00_29576 = BINT(((long) 0));
													BgL_auxz00_29574 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11070, BgL_auxz00_29574,
														BgL_auxz00_29576);
												}
												BgL_arg3039z00_3279 = BgL_newz00_11070;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16115, BgL_arg3039z00_3279);
										BgL_arg3039z00_3279;
									}
									return BgL_mainz00_16115;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5519 */
	obj_t BGl_z62main5519z62zz__evaluate_compz00(obj_t BgL_envz00_17069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17072;
				long BgL_siza7ezd2framez75_17073;

				BgL_runz00_17072 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17069, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17073 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17069, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3282;

						BgL_sz00_3282 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3283;

							BgL_bpz00_3283 = VECTOR_REF(BgL_sz00_3282, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29589;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11019;

									BgL_arg1908z00_11019 = VECTOR_LENGTH(BgL_sz00_3282);
									BgL_testz00_29589 =
										(
										((long) CINT(BgL_bpz00_3283) +
											BgL_siza7ezd2framez75_17073) <
										(long) (BgL_arg1908z00_11019));
								}
								if (BgL_testz00_29589)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1277z00_3285;

										BgL_val1277z00_3285 =
											BGl_zc3exitza33046ze3z83zz__evaluate_compz00
											(BgL_bpz00_3283, BgL_sz00_3282, BgL_runz00_17072);
										VECTOR_SET(BgL_sz00_3282, (int) (((long) 0)),
											BgL_bpz00_3283);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1277z00_3285)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1277z00_3285), CDR(BgL_val1277z00_3285));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1277z00_3285;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3292;

										BgL_nsz00_3292 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3292,
											(int) (((long) 1)), BgL_sz00_3282);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29607;

											BgL_auxz00_29607 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29607, BgL_nsz00_3292);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1280z00_3294;

											BgL_val1280z00_3294 =
												BGl_zc3exitza33053ze3z83zz__evaluate_compz00
												(BgL_runz00_17072, BgL_nsz00_3292);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29611;

												BgL_auxz00_29611 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29611, BgL_sz00_3282);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1280z00_3294)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1280z00_3294), CDR(BgL_val1280z00_3294));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1280z00_3294;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3053> */
	obj_t BGl_zc3exitza33053ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17486,
		obj_t BgL_nsz00_17485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1281z00_3300;

			if (SET_EXIT(BgL_an_exit1281z00_3300))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1281z00_3300 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1281z00_3300, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1282z00_3301;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11038;

								BgL_savedzd2bpzd2_11038 =
									VECTOR_REF(BgL_nsz00_17485, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17485,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11045;

									BgL_fz00_11045 = BgL_runz00_17486;
								BgL_recz00_11044:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11046;

										BgL_rz00_11046 =
											PROCEDURE_ENTRY(BgL_fz00_11045) (BgL_fz00_11045,
											BgL_nsz00_17485, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29632;

											if (PROCEDUREP(BgL_rz00_11046))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11051;

													BgL_arg1899z00_11051 = PROCEDURE_ATTR(BgL_rz00_11046);
													if (STRUCTP(BgL_arg1899z00_11051))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29632 =
																(STRUCT_KEY(BgL_arg1899z00_11051) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29632 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29632 = ((bool_t) 0);
												}
											if (BgL_testz00_29632)
												{
													obj_t BgL_fz00_29640;

													BgL_fz00_29640 = BgL_rz00_11046;
													BgL_fz00_11045 = BgL_fz00_29640;
													goto BgL_recz00_11044;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17485,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11038);
													BgL_val1282z00_3301 = BgL_rz00_11046;
							}}}}}
							POP_EXIT();
							return BgL_val1282z00_3301;
						}
					}
				}
		}
	}



/* <exit:3046> */
	obj_t BGl_zc3exitza33046ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17489,
		obj_t BgL_sz00_17488, obj_t BgL_runz00_17487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1278z00_3290;

			if (SET_EXIT(BgL_an_exit1278z00_3290))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1278z00_3290 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1278z00_3290, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1279z00_3291;

							BgL_val1279z00_3291 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17487,
								BgL_sz00_17488, BgL_bpz00_17489);
							POP_EXIT();
							return BgL_val1279z00_3291;
						}
					}
				}
		}
	}



/* &run5520 */
	obj_t BGl_z62run5520z62zz__evaluate_compz00(obj_t BgL_envz00_17074,
		obj_t BgL_sz00_17077)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17075;
				obj_t BgL_bodyz00_17076;

				BgL_i1250z00_17075 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17074, (int) (((long) 0))));
				BgL_bodyz00_17076 = PROCEDURE_REF(BgL_envz00_17074, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3303;

					BgL_sz00_3303 = BgL_sz00_17077;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3305;

						BgL_bpz00_3305 = VECTOR_REF(BgL_sz00_3303, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3306;
							obj_t BgL_wherez00_3307;
							obj_t BgL_locz00_3308;

							BgL_z12denvz12_3306 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3307 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17075))->BgL_wherez00);
							BgL_locz00_3308 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17075))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3306, BgL_wherez00_3307,
									BgL_locz00_3308);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3309;

									BgL_za2za2resza2za2z00_3309 =
										PROCEDURE_ENTRY(BgL_bodyz00_17076) (BgL_bodyz00_17076,
										BgL_sz00_3303, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3306);
									return BgL_za2za2resza2za2z00_3309;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3055> */
	obj_t BGl_z62zc3anonymousza33055ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17078, obj_t BgL_sz00_17083)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17079;
				BgL_ev_absz00_bglt BgL_i1250z00_17080;
				obj_t BgL_bodyz00_17081;
				long BgL_siza7ezd2framez75_17082;

				BgL_iboxesz00_17079 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17078, (int) (((long) 0))));
				BgL_i1250z00_17080 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17078, (int) (((long) 1))));
				BgL_bodyz00_17081 = PROCEDURE_REF(BgL_envz00_17078, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17082 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17078, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3311;

					BgL_sz00_3311 = BgL_sz00_17083;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3313;

						BgL_bpz00_3313 = VECTOR_REF(BgL_sz00_3311, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16111;

								BgL_runz00_16111 =
									MAKE_FX_PROCEDURE(BGl_z62run5522z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16111,
									(int) (((long) 0)), BgL_iboxesz00_17079);
								PROCEDURE_SET(BgL_runz00_16111,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_17080));
								PROCEDURE_SET(BgL_runz00_16111,
									(int) (((long) 2)), BgL_bodyz00_17081);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16112;

									BgL_mainz00_16112 =
										MAKE_FX_PROCEDURE(BGl_z62main5521z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 0)), BgL_iboxesz00_17079);
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_17080));
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 2)), BgL_bodyz00_17081);
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 3)), BgL_runz00_16111);
									PROCEDURE_SET(BgL_mainz00_16112,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17082));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11148;

										BgL_objz00_11148 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16111, BgL_objz00_11148);
										BgL_objz00_11148;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3057z00_3316;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3058z00_3317;

											BgL_arg3058z00_3317 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17080))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11152;

												BgL_newz00_11152 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29707;

													BgL_auxz00_29707 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11152, BgL_auxz00_29707,
														BgL_arg3058z00_3317);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29712;
													int BgL_auxz00_29710;

													BgL_auxz00_29712 = BINT(BgL_siza7ezd2framez75_17082);
													BgL_auxz00_29710 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11152, BgL_auxz00_29710,
														BgL_auxz00_29712);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29715;

													BgL_auxz00_29715 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11152, BgL_auxz00_29715,
														BgL_runz00_16111);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29720;
													int BgL_auxz00_29718;

													BgL_auxz00_29720 = BINT(((long) 0));
													BgL_auxz00_29718 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11152, BgL_auxz00_29718,
														BgL_auxz00_29720);
												}
												BgL_arg3057z00_3316 = BgL_newz00_11152;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16112, BgL_arg3057z00_3316);
										BgL_arg3057z00_3316;
									}
									return BgL_mainz00_16112;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5521 */
	obj_t BGl_z62main5521z62zz__evaluate_compz00(obj_t BgL_envz00_17084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17088;
				long BgL_siza7ezd2framez75_17089;

				BgL_runz00_17088 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17084, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17089 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17084, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3319;

						BgL_sz00_3319 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3320;

							BgL_bpz00_3320 = VECTOR_REF(BgL_sz00_3319, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29733;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11101;

									BgL_arg1908z00_11101 = VECTOR_LENGTH(BgL_sz00_3319);
									BgL_testz00_29733 =
										(
										((long) CINT(BgL_bpz00_3320) +
											BgL_siza7ezd2framez75_17089) <
										(long) (BgL_arg1908z00_11101));
								}
								if (BgL_testz00_29733)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1283z00_3322;

										BgL_val1283z00_3322 =
											BGl_zc3exitza33064ze3z83zz__evaluate_compz00
											(BgL_bpz00_3320, BgL_sz00_3319, BgL_runz00_17088);
										VECTOR_SET(BgL_sz00_3319, (int) (((long) 0)),
											BgL_bpz00_3320);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1283z00_3322)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1283z00_3322), CDR(BgL_val1283z00_3322));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1283z00_3322;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3329;

										BgL_nsz00_3329 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3329,
											(int) (((long) 1)), BgL_sz00_3319);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29751;

											BgL_auxz00_29751 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29751, BgL_nsz00_3329);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1286z00_3331;

											BgL_val1286z00_3331 =
												BGl_zc3exitza33070ze3z83zz__evaluate_compz00
												(BgL_runz00_17088, BgL_nsz00_3329);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29755;

												BgL_auxz00_29755 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29755, BgL_sz00_3319);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1286z00_3331)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1286z00_3331), CDR(BgL_val1286z00_3331));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1286z00_3331;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3070> */
	obj_t BGl_zc3exitza33070ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17481,
		obj_t BgL_nsz00_17480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1287z00_3337;

			if (SET_EXIT(BgL_an_exit1287z00_3337))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1287z00_3337 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1287z00_3337, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1288z00_3338;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11120;

								BgL_savedzd2bpzd2_11120 =
									VECTOR_REF(BgL_nsz00_17480, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17480,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11127;

									BgL_fz00_11127 = BgL_runz00_17481;
								BgL_recz00_11126:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11128;

										BgL_rz00_11128 =
											PROCEDURE_ENTRY(BgL_fz00_11127) (BgL_fz00_11127,
											BgL_nsz00_17480, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29776;

											if (PROCEDUREP(BgL_rz00_11128))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11133;

													BgL_arg1899z00_11133 = PROCEDURE_ATTR(BgL_rz00_11128);
													if (STRUCTP(BgL_arg1899z00_11133))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29776 =
																(STRUCT_KEY(BgL_arg1899z00_11133) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29776 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29776 = ((bool_t) 0);
												}
											if (BgL_testz00_29776)
												{
													obj_t BgL_fz00_29784;

													BgL_fz00_29784 = BgL_rz00_11128;
													BgL_fz00_11127 = BgL_fz00_29784;
													goto BgL_recz00_11126;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17480,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11120);
													BgL_val1288z00_3338 = BgL_rz00_11128;
							}}}}}
							POP_EXIT();
							return BgL_val1288z00_3338;
						}
					}
				}
		}
	}



/* <exit:3064> */
	obj_t BGl_zc3exitza33064ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17484,
		obj_t BgL_sz00_17483, obj_t BgL_runz00_17482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1284z00_3327;

			if (SET_EXIT(BgL_an_exit1284z00_3327))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1284z00_3327 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1284z00_3327, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1285z00_3328;

							BgL_val1285z00_3328 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17482,
								BgL_sz00_17483, BgL_bpz00_17484);
							POP_EXIT();
							return BgL_val1285z00_3328;
						}
					}
				}
		}
	}



/* &run5522 */
	obj_t BGl_z62run5522z62zz__evaluate_compz00(obj_t BgL_envz00_17090,
		obj_t BgL_sz00_17094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17091;
				BgL_ev_absz00_bglt BgL_i1250z00_17092;
				obj_t BgL_bodyz00_17093;

				BgL_iboxesz00_17091 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17090, (int) (((long) 0))));
				BgL_i1250z00_17092 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17090, (int) (((long) 1))));
				BgL_bodyz00_17093 = PROCEDURE_REF(BgL_envz00_17090, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3340;

					BgL_sz00_3340 = BgL_sz00_17094;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3342;

						BgL_bpz00_3342 = VECTOR_REF(BgL_sz00_3340, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3340,
							BgL_iboxesz00_17091, BgL_bpz00_3342);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3343;
							obj_t BgL_wherez00_3344;
							obj_t BgL_locz00_3345;

							BgL_z12denvz12_3343 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3344 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17092))->BgL_wherez00);
							BgL_locz00_3345 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17092))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3343, BgL_wherez00_3344,
									BgL_locz00_3345);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3346;

									BgL_za2za2resza2za2z00_3346 =
										PROCEDURE_ENTRY(BgL_bodyz00_17093) (BgL_bodyz00_17093,
										BgL_sz00_3340, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3343);
									return BgL_za2za2resza2za2z00_3346;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3074> */
	obj_t BGl_z62zc3anonymousza33074ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17095, obj_t BgL_sz00_17101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17096;
				long BgL_siza7eza7_17097;
				BgL_ev_absz00_bglt BgL_i1250z00_17098;
				obj_t BgL_bodyz00_17099;
				long BgL_siza7ezd2framez75_17100;

				BgL_ifreesz00_17096 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 0))));
				BgL_siza7eza7_17097 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 1))));
				BgL_i1250z00_17098 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 2))));
				BgL_bodyz00_17099 = PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17100 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17095, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3350;

					BgL_sz00_3350 = BgL_sz00_17101;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3352;

						BgL_bpz00_3352 = VECTOR_REF(BgL_sz00_3350, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3353;

							BgL_valza2za2_3353 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3350,
								BgL_bpz00_3352, BgL_ifreesz00_17096);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16108;

								BgL_runz00_16108 =
									MAKE_FX_PROCEDURE(BGl_z62run5524z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17097));
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 1)), BgL_valza2za2_3353);
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_17098));
								PROCEDURE_SET(BgL_runz00_16108,
									(int) (((long) 3)), BgL_bodyz00_17099);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16109;

									BgL_mainz00_16109 =
										MAKE_FX_PROCEDURE(BGl_z62main5523z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17097));
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 1)), BgL_valza2za2_3353);
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_17098));
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 3)), BgL_bodyz00_17099);
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 4)), BgL_runz00_16108);
									PROCEDURE_SET(BgL_mainz00_16109,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17100));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11237;

										BgL_objz00_11237 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16108, BgL_objz00_11237);
										BgL_objz00_11237;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3075z00_3356;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3076z00_3357;

											BgL_arg3076z00_3357 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17098))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11241;

												BgL_newz00_11241 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29865;

													BgL_auxz00_29865 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11241, BgL_auxz00_29865,
														BgL_arg3076z00_3357);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29870;
													int BgL_auxz00_29868;

													BgL_auxz00_29870 = BINT(BgL_siza7ezd2framez75_17100);
													BgL_auxz00_29868 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11241, BgL_auxz00_29868,
														BgL_auxz00_29870);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29873;

													BgL_auxz00_29873 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11241, BgL_auxz00_29873,
														BgL_runz00_16108);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29878;
													int BgL_auxz00_29876;

													BgL_auxz00_29878 = BINT(((long) 0));
													BgL_auxz00_29876 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11241, BgL_auxz00_29876,
														BgL_auxz00_29878);
												}
												BgL_arg3075z00_3356 = BgL_newz00_11241;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16109, BgL_arg3075z00_3356);
										BgL_arg3075z00_3356;
									}
									return BgL_mainz00_16109;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5523 */
	obj_t BGl_z62main5523z62zz__evaluate_compz00(obj_t BgL_envz00_17102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17107;
				long BgL_siza7ezd2framez75_17108;

				BgL_runz00_17107 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17102, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17108 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17102, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3359;

						BgL_sz00_3359 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3360;

							BgL_bpz00_3360 = VECTOR_REF(BgL_sz00_3359, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29891;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11190;

									BgL_arg1908z00_11190 = VECTOR_LENGTH(BgL_sz00_3359);
									BgL_testz00_29891 =
										(
										((long) CINT(BgL_bpz00_3360) +
											BgL_siza7ezd2framez75_17108) <
										(long) (BgL_arg1908z00_11190));
								}
								if (BgL_testz00_29891)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1289z00_3362;

										BgL_val1289z00_3362 =
											BGl_zc3exitza33082ze3z83zz__evaluate_compz00
											(BgL_bpz00_3360, BgL_sz00_3359, BgL_runz00_17107);
										VECTOR_SET(BgL_sz00_3359, (int) (((long) 0)),
											BgL_bpz00_3360);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1289z00_3362)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1289z00_3362), CDR(BgL_val1289z00_3362));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1289z00_3362;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3369;

										BgL_nsz00_3369 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3369,
											(int) (((long) 1)), BgL_sz00_3359);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29909;

											BgL_auxz00_29909 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29909, BgL_nsz00_3369);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1292z00_3371;

											BgL_val1292z00_3371 =
												BGl_zc3exitza33088ze3z83zz__evaluate_compz00
												(BgL_runz00_17107, BgL_nsz00_3369);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29913;

												BgL_auxz00_29913 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29913, BgL_sz00_3359);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1292z00_3371)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1292z00_3371), CDR(BgL_val1292z00_3371));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1292z00_3371;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3088> */
	obj_t BGl_zc3exitza33088ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17476,
		obj_t BgL_nsz00_17475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1293z00_3377;

			if (SET_EXIT(BgL_an_exit1293z00_3377))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1293z00_3377 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1293z00_3377, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1294z00_3378;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11209;

								BgL_savedzd2bpzd2_11209 =
									VECTOR_REF(BgL_nsz00_17475, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17475,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11216;

									BgL_fz00_11216 = BgL_runz00_17476;
								BgL_recz00_11215:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11217;

										BgL_rz00_11217 =
											PROCEDURE_ENTRY(BgL_fz00_11216) (BgL_fz00_11216,
											BgL_nsz00_17475, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29934;

											if (PROCEDUREP(BgL_rz00_11217))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11222;

													BgL_arg1899z00_11222 = PROCEDURE_ATTR(BgL_rz00_11217);
													if (STRUCTP(BgL_arg1899z00_11222))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29934 =
																(STRUCT_KEY(BgL_arg1899z00_11222) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29934 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29934 = ((bool_t) 0);
												}
											if (BgL_testz00_29934)
												{
													obj_t BgL_fz00_29942;

													BgL_fz00_29942 = BgL_rz00_11217;
													BgL_fz00_11216 = BgL_fz00_29942;
													goto BgL_recz00_11215;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17475,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11209);
													BgL_val1294z00_3378 = BgL_rz00_11217;
							}}}}}
							POP_EXIT();
							return BgL_val1294z00_3378;
						}
					}
				}
		}
	}



/* <exit:3082> */
	obj_t BGl_zc3exitza33082ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17479,
		obj_t BgL_sz00_17478, obj_t BgL_runz00_17477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1290z00_3367;

			if (SET_EXIT(BgL_an_exit1290z00_3367))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1290z00_3367 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1290z00_3367, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1291z00_3368;

							BgL_val1291z00_3368 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17477,
								BgL_sz00_17478, BgL_bpz00_17479);
							POP_EXIT();
							return BgL_val1291z00_3368;
						}
					}
				}
		}
	}



/* &run5524 */
	obj_t BGl_z62run5524z62zz__evaluate_compz00(obj_t BgL_envz00_17109,
		obj_t BgL_sz00_17114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_17110;
				obj_t BgL_valza2za2_17111;
				BgL_ev_absz00_bglt BgL_i1250z00_17112;
				obj_t BgL_bodyz00_17113;

				BgL_siza7eza7_17110 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17109, (int) (((long) 0))));
				BgL_valza2za2_17111 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17109, (int) (((long) 1))));
				BgL_i1250z00_17112 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17109, (int) (((long) 2))));
				BgL_bodyz00_17113 = PROCEDURE_REF(BgL_envz00_17109, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3380;

					BgL_sz00_3380 = BgL_sz00_17114;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3382;

						BgL_bpz00_3382 = VECTOR_REF(BgL_sz00_3380, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3380,
							BgL_valza2za2_17111,
							((long) CINT(BgL_bpz00_3382) + BgL_siza7eza7_17110));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3384;
							obj_t BgL_wherez00_3385;
							obj_t BgL_locz00_3386;

							BgL_z12denvz12_3384 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3385 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17112))->BgL_wherez00);
							BgL_locz00_3386 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17112))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3384, BgL_wherez00_3385,
									BgL_locz00_3386);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3387;

									BgL_za2za2resza2za2z00_3387 =
										PROCEDURE_ENTRY(BgL_bodyz00_17113) (BgL_bodyz00_17113,
										BgL_sz00_3380, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3384);
									return BgL_za2za2resza2za2z00_3387;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3092> */
	obj_t BGl_z62zc3anonymousza33092ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17115, obj_t BgL_sz00_17122)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17116;
				obj_t BgL_iboxesz00_17117;
				long BgL_siza7eza7_17118;
				BgL_ev_absz00_bglt BgL_i1250z00_17119;
				obj_t BgL_bodyz00_17120;
				long BgL_siza7ezd2framez75_17121;

				BgL_ifreesz00_17116 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 0))));
				BgL_iboxesz00_17117 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 1))));
				BgL_siza7eza7_17118 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 2))));
				BgL_i1250z00_17119 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 3))));
				BgL_bodyz00_17120 = PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17121 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3389;

					BgL_sz00_3389 = BgL_sz00_17122;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3391;

						BgL_bpz00_3391 = VECTOR_REF(BgL_sz00_3389, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3392;

							BgL_valza2za2_3392 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3389,
								BgL_bpz00_3391, BgL_ifreesz00_17116);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16105;

								BgL_runz00_16105 =
									MAKE_FX_PROCEDURE(BGl_z62run5526z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 0)), BgL_iboxesz00_17117);
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17118));
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 2)), BgL_valza2za2_3392);
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_17119));
								PROCEDURE_SET(BgL_runz00_16105,
									(int) (((long) 4)), BgL_bodyz00_17120);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16106;

									BgL_mainz00_16106 =
										MAKE_FX_PROCEDURE(BGl_z62main5525z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 0)), BgL_iboxesz00_17117);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17118));
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 2)), BgL_valza2za2_3392);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_17119));
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 4)), BgL_bodyz00_17120);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 5)), BgL_runz00_16105);
									PROCEDURE_SET(BgL_mainz00_16106,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17121));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11322;

										BgL_objz00_11322 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16105, BgL_objz00_11322);
										BgL_objz00_11322;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3093z00_3395;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3094z00_3396;

											BgL_arg3094z00_3396 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17119))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11326;

												BgL_newz00_11326 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30035;

													BgL_auxz00_30035 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11326, BgL_auxz00_30035,
														BgL_arg3094z00_3396);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30040;
													int BgL_auxz00_30038;

													BgL_auxz00_30040 = BINT(BgL_siza7ezd2framez75_17121);
													BgL_auxz00_30038 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11326, BgL_auxz00_30038,
														BgL_auxz00_30040);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30043;

													BgL_auxz00_30043 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11326, BgL_auxz00_30043,
														BgL_runz00_16105);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30048;
													int BgL_auxz00_30046;

													BgL_auxz00_30048 = BINT(((long) 0));
													BgL_auxz00_30046 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11326, BgL_auxz00_30046,
														BgL_auxz00_30048);
												}
												BgL_arg3093z00_3395 = BgL_newz00_11326;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16106, BgL_arg3093z00_3395);
										BgL_arg3093z00_3395;
									}
									return BgL_mainz00_16106;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5525 */
	obj_t BGl_z62main5525z62zz__evaluate_compz00(obj_t BgL_envz00_17123)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17129;
				long BgL_siza7ezd2framez75_17130;

				BgL_runz00_17129 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17123, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17130 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17123, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3398;

						BgL_sz00_3398 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3399;

							BgL_bpz00_3399 = VECTOR_REF(BgL_sz00_3398, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30061;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_11275;

									BgL_arg1908z00_11275 = VECTOR_LENGTH(BgL_sz00_3398);
									BgL_testz00_30061 =
										(
										((long) CINT(BgL_bpz00_3399) +
											BgL_siza7ezd2framez75_17130) <
										(long) (BgL_arg1908z00_11275));
								}
								if (BgL_testz00_30061)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1295z00_3401;

										BgL_val1295z00_3401 =
											BGl_zc3exitza33100ze3z83zz__evaluate_compz00
											(BgL_bpz00_3399, BgL_sz00_3398, BgL_runz00_17129);
										VECTOR_SET(BgL_sz00_3398, (int) (((long) 0)),
											BgL_bpz00_3399);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1295z00_3401)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1295z00_3401), CDR(BgL_val1295z00_3401));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1295z00_3401;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3408;

										BgL_nsz00_3408 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3408,
											(int) (((long) 1)), BgL_sz00_3398);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30079;

											BgL_auxz00_30079 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30079, BgL_nsz00_3408);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1298z00_3410;

											BgL_val1298z00_3410 =
												BGl_zc3exitza33106ze3z83zz__evaluate_compz00
												(BgL_runz00_17129, BgL_nsz00_3408);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30083;

												BgL_auxz00_30083 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30083, BgL_sz00_3398);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1298z00_3410)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1298z00_3410), CDR(BgL_val1298z00_3410));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1298z00_3410;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3106> */
	obj_t BGl_zc3exitza33106ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17471,
		obj_t BgL_nsz00_17470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1299z00_3416;

			if (SET_EXIT(BgL_an_exit1299z00_3416))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1299z00_3416 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1299z00_3416, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1300z00_3417;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11294;

								BgL_savedzd2bpzd2_11294 =
									VECTOR_REF(BgL_nsz00_17470, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17470,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11301;

									BgL_fz00_11301 = BgL_runz00_17471;
								BgL_recz00_11300:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11302;

										BgL_rz00_11302 =
											PROCEDURE_ENTRY(BgL_fz00_11301) (BgL_fz00_11301,
											BgL_nsz00_17470, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30104;

											if (PROCEDUREP(BgL_rz00_11302))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_11307;

													BgL_arg1899z00_11307 = PROCEDURE_ATTR(BgL_rz00_11302);
													if (STRUCTP(BgL_arg1899z00_11307))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30104 =
																(STRUCT_KEY(BgL_arg1899z00_11307) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30104 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30104 = ((bool_t) 0);
												}
											if (BgL_testz00_30104)
												{
													obj_t BgL_fz00_30112;

													BgL_fz00_30112 = BgL_rz00_11302;
													BgL_fz00_11301 = BgL_fz00_30112;
													goto BgL_recz00_11300;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17470,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11294);
													BgL_val1300z00_3417 = BgL_rz00_11302;
							}}}}}
							POP_EXIT();
							return BgL_val1300z00_3417;
						}
					}
				}
		}
	}



/* <exit:3100> */
	obj_t BGl_zc3exitza33100ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17474,
		obj_t BgL_sz00_17473, obj_t BgL_runz00_17472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1296z00_3406;

			if (SET_EXIT(BgL_an_exit1296z00_3406))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1296z00_3406 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1296z00_3406, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1297z00_3407;

							BgL_val1297z00_3407 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17472,
								BgL_sz00_17473, BgL_bpz00_17474);
							POP_EXIT();
							return BgL_val1297z00_3407;
						}
					}
				}
		}
	}



/* &run5526 */
	obj_t BGl_z62run5526z62zz__evaluate_compz00(obj_t BgL_envz00_17131,
		obj_t BgL_sz00_17137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17132;
				long BgL_siza7eza7_17133;
				obj_t BgL_valza2za2_17134;
				BgL_ev_absz00_bglt BgL_i1250z00_17135;
				obj_t BgL_bodyz00_17136;

				BgL_iboxesz00_17132 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17131, (int) (((long) 0))));
				BgL_siza7eza7_17133 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17131, (int) (((long) 1))));
				BgL_valza2za2_17134 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17131, (int) (((long) 2))));
				BgL_i1250z00_17135 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17131, (int) (((long) 3))));
				BgL_bodyz00_17136 = PROCEDURE_REF(BgL_envz00_17131, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3419;

					BgL_sz00_3419 = BgL_sz00_17137;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3421;

						BgL_bpz00_3421 = VECTOR_REF(BgL_sz00_3419, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3419,
							BgL_iboxesz00_17132, BgL_bpz00_3421);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3419,
							BgL_valza2za2_17134,
							((long) CINT(BgL_bpz00_3421) + BgL_siza7eza7_17133));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3423;
							obj_t BgL_wherez00_3424;
							obj_t BgL_locz00_3425;

							BgL_z12denvz12_3423 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3424 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17135))->BgL_wherez00);
							BgL_locz00_3425 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17135))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3423, BgL_wherez00_3424,
									BgL_locz00_3425);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3426;

									BgL_za2za2resza2za2z00_3426 =
										PROCEDURE_ENTRY(BgL_bodyz00_17136) (BgL_bodyz00_17136,
										BgL_sz00_3419, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3423);
									return BgL_za2za2resza2za2z00_3426;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3864> */
	obj_t BGl_z62zc3anonymousza33864ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17138, obj_t BgL_sz00_17142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17139;
				obj_t BgL_bodyz00_17140;
				long BgL_siza7ezd2framez75_17141;

				BgL_i1250z00_17139 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17138, (int) (((long) 0))));
				BgL_bodyz00_17140 = PROCEDURE_REF(BgL_envz00_17138, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17141 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17138, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5054;

					BgL_sz00_5054 = BgL_sz00_17142;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5056;

						BgL_bpz00_5056 = VECTOR_REF(BgL_sz00_5054, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16234;

								BgL_runz00_16234 =
									MAKE_FX_PROCEDURE(BGl_z62run5528z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16234,
									(int) (((long) 0)), ((obj_t) BgL_i1250z00_17139));
								PROCEDURE_SET(BgL_runz00_16234,
									(int) (((long) 1)), BgL_bodyz00_17140);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16235;

									BgL_mainz00_16235 =
										MAKE_VA_PROCEDURE(BGl_z62main5527z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16235,
										(int) (((long) 0)), BgL_bodyz00_17140);
									PROCEDURE_SET(BgL_mainz00_16235,
										(int) (((long) 1)), ((obj_t) BgL_i1250z00_17139));
									PROCEDURE_SET(BgL_mainz00_16235,
										(int) (((long) 2)), BgL_runz00_16234);
									PROCEDURE_SET(BgL_mainz00_16235,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17141));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10531;

										BgL_objz00_10531 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16234, BgL_objz00_10531);
										BgL_objz00_10531;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3865z00_5059;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3866z00_5060;
											obj_t BgL_arg3867z00_5061;

											BgL_arg3866z00_5060 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17139))->
												BgL_arityz00);
											BgL_arg3867z00_5061 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17139))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10535;

												BgL_newz00_10535 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30186;

													BgL_auxz00_30186 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10535, BgL_auxz00_30186,
														BgL_arg3867z00_5061);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30191;
													int BgL_auxz00_30189;

													BgL_auxz00_30191 = BINT(BgL_siza7ezd2framez75_17141);
													BgL_auxz00_30189 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10535, BgL_auxz00_30189,
														BgL_auxz00_30191);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30194;

													BgL_auxz00_30194 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10535, BgL_auxz00_30194,
														BgL_runz00_16234);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30197;

													BgL_auxz00_30197 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10535, BgL_auxz00_30197,
														BgL_arg3866z00_5060);
												}
												BgL_arg3865z00_5059 = BgL_newz00_10535;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16235, BgL_arg3865z00_5059);
										BgL_arg3865z00_5059;
									}
									return BgL_mainz00_16235;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5527 */
	obj_t BGl_z62main5527z62zz__evaluate_compz00(obj_t BgL_envz00_17143,
		obj_t BgL_az00_17148, obj_t BgL_bz00_17149, obj_t BgL_cz00_17150,
		obj_t BgL_dz00_17151, obj_t BgL_restz00_17152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17145;
				obj_t BgL_runz00_17146;
				long BgL_siza7ezd2framez75_17147;

				BgL_i1250z00_17145 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 1))));
				BgL_runz00_17146 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17147 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17143, (int) (((long) 3))));
				{
					obj_t BgL_az00_5062;
					obj_t BgL_bz00_5063;
					obj_t BgL_cz00_5064;
					obj_t BgL_dz00_5065;
					obj_t BgL_restz00_5066;

					BgL_az00_5062 = BgL_az00_17148;
					BgL_bz00_5063 = BgL_bz00_17149;
					BgL_cz00_5064 = BgL_cz00_17150;
					BgL_dz00_5065 = BgL_dz00_17151;
					BgL_restz00_5066 = BgL_restz00_17152;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5068;

						BgL_sz00_5068 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5069;

							BgL_bpz00_5069 = VECTOR_REF(BgL_sz00_5068, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30213;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_10421;

									BgL_arg1908z00_10421 = VECTOR_LENGTH(BgL_sz00_5068);
									BgL_testz00_30213 =
										(
										((long) CINT(BgL_bpz00_5069) +
											BgL_siza7ezd2framez75_17147) <
										(long) (BgL_arg1908z00_10421));
								}
								if (BgL_testz00_30213)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3870z00_5071;

											BgL_arg3870z00_5071 =
												((long) CINT(BgL_bpz00_5069) + ((long) 0));
											VECTOR_SET(BgL_sz00_5068,
												(int) (BgL_arg3870z00_5071), BgL_az00_5062);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3871z00_5072;

											BgL_arg3871z00_5072 =
												((long) CINT(BgL_bpz00_5069) + ((long) 1));
											VECTOR_SET(BgL_sz00_5068,
												(int) (BgL_arg3871z00_5072), BgL_bz00_5063);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3872z00_5073;

											BgL_arg3872z00_5073 =
												((long) CINT(BgL_bpz00_5069) + ((long) 2));
											VECTOR_SET(BgL_sz00_5068,
												(int) (BgL_arg3872z00_5073), BgL_cz00_5064);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3873z00_5074;

											BgL_arg3873z00_5074 =
												((long) CINT(BgL_bpz00_5069) + ((long) 3));
											VECTOR_SET(BgL_sz00_5068,
												(int) (BgL_arg3873z00_5074), BgL_dz00_5065);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3874z00_5075;
											long BgL_arg3875z00_5076;
											long BgL_arg3876z00_5077;
											obj_t BgL_arg3877z00_5078;

											BgL_arg3874z00_5075 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17145))->
												BgL_wherez00);
											BgL_arg3875z00_5076 =
												((long) CINT(BgL_bpz00_5069) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10456;

												BgL_nz00_10456 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17145))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10456) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3876z00_5077 =
															((long) CINT(BgL_nz00_10456) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3876z00_5077 =
															((long) CINT(BgL_nz00_10456) - ((long) 4));
											}}
											BgL_arg3877z00_5078 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17145))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5068,
												BgL_arg3874z00_5075, BgL_arg3875z00_5076,
												BgL_arg3876z00_5077, BgL_restz00_5066,
												BgL_arg3877z00_5078);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1251z00_5080;

											BgL_val1251z00_5080 =
												BGl_zc3exitza33882ze3z83zz__evaluate_compz00
												(BgL_bpz00_5069, BgL_sz00_5068, BgL_runz00_17146);
											VECTOR_SET(BgL_sz00_5068, (int) (((long) 0)),
												BgL_bpz00_5069);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1251z00_5080)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1251z00_5080), CDR(BgL_val1251z00_5080));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1251z00_5080;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5087;

										BgL_nsz00_5087 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5087,
											(int) (((long) 1)), BgL_sz00_5068);
										VECTOR_SET(BgL_nsz00_5087,
											(int) (((long) 2)), BgL_az00_5062);
										VECTOR_SET(BgL_nsz00_5087,
											(int) (((long) 3)), BgL_bz00_5063);
										VECTOR_SET(BgL_nsz00_5087,
											(int) (((long) 4)), BgL_cz00_5064);
										VECTOR_SET(BgL_nsz00_5087,
											(int) (((long) 5)), BgL_dz00_5065);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3883z00_5088;
											long BgL_arg3884z00_5089;
											obj_t BgL_arg3885z00_5090;

											BgL_arg3883z00_5088 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17145))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10488;

												BgL_nz00_10488 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17145))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10488) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3884z00_5089 =
															((long) CINT(BgL_nz00_10488) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3884z00_5089 =
															((long) CINT(BgL_nz00_10488) - ((long) 4));
											}}
											BgL_arg3885z00_5090 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17145))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5087,
												BgL_arg3883z00_5088, ((long) 6), BgL_arg3884z00_5089,
												BgL_restz00_5066, BgL_arg3885z00_5090);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30279;

											BgL_auxz00_30279 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30279, BgL_nsz00_5087);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1254z00_5093;

											BgL_val1254z00_5093 =
												BGl_zc3exitza33892ze3z83zz__evaluate_compz00
												(BgL_runz00_17146, BgL_nsz00_5087);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30283;

												BgL_auxz00_30283 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30283, BgL_sz00_5068);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1254z00_5093)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1254z00_5093), CDR(BgL_val1254z00_5093));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1254z00_5093;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3892> */
	obj_t BGl_zc3exitza33892ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17466,
		obj_t BgL_nsz00_17465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1255z00_5099;

			if (SET_EXIT(BgL_an_exit1255z00_5099))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1255z00_5099 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1255z00_5099, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1256z00_5100;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10503;

								BgL_savedzd2bpzd2_10503 =
									VECTOR_REF(BgL_nsz00_17465, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17465,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10510;

									BgL_fz00_10510 = BgL_runz00_17466;
								BgL_recz00_10509:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10511;

										BgL_rz00_10511 =
											PROCEDURE_ENTRY(BgL_fz00_10510) (BgL_fz00_10510,
											BgL_nsz00_17465, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30304;

											if (PROCEDUREP(BgL_rz00_10511))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_10516;

													BgL_arg1899z00_10516 = PROCEDURE_ATTR(BgL_rz00_10511);
													if (STRUCTP(BgL_arg1899z00_10516))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30304 =
																(STRUCT_KEY(BgL_arg1899z00_10516) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30304 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30304 = ((bool_t) 0);
												}
											if (BgL_testz00_30304)
												{
													obj_t BgL_fz00_30312;

													BgL_fz00_30312 = BgL_rz00_10511;
													BgL_fz00_10510 = BgL_fz00_30312;
													goto BgL_recz00_10509;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17465,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10503);
													BgL_val1256z00_5100 = BgL_rz00_10511;
							}}}}}
							POP_EXIT();
							return BgL_val1256z00_5100;
						}
					}
				}
		}
	}



/* <exit:3882> */
	obj_t BGl_zc3exitza33882ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17469,
		obj_t BgL_sz00_17468, obj_t BgL_runz00_17467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1252z00_5085;

			if (SET_EXIT(BgL_an_exit1252z00_5085))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1252z00_5085 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1252z00_5085, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1253z00_5086;

							BgL_val1253z00_5086 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17467,
								BgL_sz00_17468, BgL_bpz00_17469);
							POP_EXIT();
							return BgL_val1253z00_5086;
						}
					}
				}
		}
	}



/* &run5528 */
	obj_t BGl_z62run5528z62zz__evaluate_compz00(obj_t BgL_envz00_17153,
		obj_t BgL_sz00_17156)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17154;
				obj_t BgL_bodyz00_17155;

				BgL_i1250z00_17154 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17153, (int) (((long) 0))));
				BgL_bodyz00_17155 = PROCEDURE_REF(BgL_envz00_17153, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5102;

					BgL_sz00_5102 = BgL_sz00_17156;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5104;

						BgL_bpz00_5104 = VECTOR_REF(BgL_sz00_5102, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_5105;
							obj_t BgL_wherez00_5106;
							obj_t BgL_locz00_5107;

							BgL_z12denvz12_5105 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5106 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->BgL_wherez00);
							BgL_locz00_5107 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17154))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5105, BgL_wherez00_5106,
									BgL_locz00_5107);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_5108;

									BgL_za2za2resza2za2z00_5108 =
										PROCEDURE_ENTRY(BgL_bodyz00_17155) (BgL_bodyz00_17155,
										BgL_sz00_5102, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5105);
									return BgL_za2za2resza2za2z00_5108;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3894> */
	obj_t BGl_z62zc3anonymousza33894ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17157, obj_t BgL_sz00_17162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17158;
				BgL_ev_absz00_bglt BgL_i1250z00_17159;
				obj_t BgL_bodyz00_17160;
				long BgL_siza7ezd2framez75_17161;

				BgL_iboxesz00_17158 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17157, (int) (((long) 0))));
				BgL_i1250z00_17159 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17157, (int) (((long) 1))));
				BgL_bodyz00_17160 = PROCEDURE_REF(BgL_envz00_17157, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17157, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5110;

					BgL_sz00_5110 = BgL_sz00_17162;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5112;

						BgL_bpz00_5112 = VECTOR_REF(BgL_sz00_5110, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16231;

								BgL_runz00_16231 =
									MAKE_FX_PROCEDURE(BGl_z62run5530z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16231,
									(int) (((long) 0)), BgL_iboxesz00_17158);
								PROCEDURE_SET(BgL_runz00_16231,
									(int) (((long) 1)), ((obj_t) BgL_i1250z00_17159));
								PROCEDURE_SET(BgL_runz00_16231,
									(int) (((long) 2)), BgL_bodyz00_17160);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16232;

									BgL_mainz00_16232 =
										MAKE_VA_PROCEDURE(BGl_z62main5529z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16232,
										(int) (((long) 0)), BgL_iboxesz00_17158);
									PROCEDURE_SET(BgL_mainz00_16232,
										(int) (((long) 1)), BgL_bodyz00_17160);
									PROCEDURE_SET(BgL_mainz00_16232,
										(int) (((long) 2)), ((obj_t) BgL_i1250z00_17159));
									PROCEDURE_SET(BgL_mainz00_16232,
										(int) (((long) 3)), BgL_runz00_16231);
									PROCEDURE_SET(BgL_mainz00_16232,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17161));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10676;

										BgL_objz00_10676 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16231, BgL_objz00_10676);
										BgL_objz00_10676;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3895z00_5115;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3896z00_5116;
											obj_t BgL_arg3897z00_5117;

											BgL_arg3896z00_5116 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17159))->
												BgL_arityz00);
											BgL_arg3897z00_5117 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17159))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10680;

												BgL_newz00_10680 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30380;

													BgL_auxz00_30380 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10680, BgL_auxz00_30380,
														BgL_arg3897z00_5117);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30385;
													int BgL_auxz00_30383;

													BgL_auxz00_30385 = BINT(BgL_siza7ezd2framez75_17161);
													BgL_auxz00_30383 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10680, BgL_auxz00_30383,
														BgL_auxz00_30385);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30388;

													BgL_auxz00_30388 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10680, BgL_auxz00_30388,
														BgL_runz00_16231);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30391;

													BgL_auxz00_30391 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10680, BgL_auxz00_30391,
														BgL_arg3896z00_5116);
												}
												BgL_arg3895z00_5115 = BgL_newz00_10680;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16232, BgL_arg3895z00_5115);
										BgL_arg3895z00_5115;
									}
									return BgL_mainz00_16232;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5529 */
	obj_t BGl_z62main5529z62zz__evaluate_compz00(obj_t BgL_envz00_17163,
		obj_t BgL_az00_17169, obj_t BgL_bz00_17170, obj_t BgL_cz00_17171,
		obj_t BgL_dz00_17172, obj_t BgL_restz00_17173)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17166;
				obj_t BgL_runz00_17167;
				long BgL_siza7ezd2framez75_17168;

				BgL_i1250z00_17166 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17163, (int) (((long) 2))));
				BgL_runz00_17167 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17163, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17168 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17163, (int) (((long) 4))));
				{
					obj_t BgL_az00_5118;
					obj_t BgL_bz00_5119;
					obj_t BgL_cz00_5120;
					obj_t BgL_dz00_5121;
					obj_t BgL_restz00_5122;

					BgL_az00_5118 = BgL_az00_17169;
					BgL_bz00_5119 = BgL_bz00_17170;
					BgL_cz00_5120 = BgL_cz00_17171;
					BgL_dz00_5121 = BgL_dz00_17172;
					BgL_restz00_5122 = BgL_restz00_17173;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5124;

						BgL_sz00_5124 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5125;

							BgL_bpz00_5125 = VECTOR_REF(BgL_sz00_5124, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30407;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_10566;

									BgL_arg1908z00_10566 = VECTOR_LENGTH(BgL_sz00_5124);
									BgL_testz00_30407 =
										(
										((long) CINT(BgL_bpz00_5125) +
											BgL_siza7ezd2framez75_17168) <
										(long) (BgL_arg1908z00_10566));
								}
								if (BgL_testz00_30407)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3900z00_5127;

											BgL_arg3900z00_5127 =
												((long) CINT(BgL_bpz00_5125) + ((long) 0));
											VECTOR_SET(BgL_sz00_5124,
												(int) (BgL_arg3900z00_5127), BgL_az00_5118);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3901z00_5128;

											BgL_arg3901z00_5128 =
												((long) CINT(BgL_bpz00_5125) + ((long) 1));
											VECTOR_SET(BgL_sz00_5124,
												(int) (BgL_arg3901z00_5128), BgL_bz00_5119);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3902z00_5129;

											BgL_arg3902z00_5129 =
												((long) CINT(BgL_bpz00_5125) + ((long) 2));
											VECTOR_SET(BgL_sz00_5124,
												(int) (BgL_arg3902z00_5129), BgL_cz00_5120);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3903z00_5130;

											BgL_arg3903z00_5130 =
												((long) CINT(BgL_bpz00_5125) + ((long) 3));
											VECTOR_SET(BgL_sz00_5124,
												(int) (BgL_arg3903z00_5130), BgL_dz00_5121);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3904z00_5131;
											long BgL_arg3905z00_5132;
											long BgL_arg3906z00_5133;
											obj_t BgL_arg3907z00_5134;

											BgL_arg3904z00_5131 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17166))->
												BgL_wherez00);
											BgL_arg3905z00_5132 =
												((long) CINT(BgL_bpz00_5125) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10601;

												BgL_nz00_10601 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17166))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10601) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3906z00_5133 =
															((long) CINT(BgL_nz00_10601) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3906z00_5133 =
															((long) CINT(BgL_nz00_10601) - ((long) 4));
											}}
											BgL_arg3907z00_5134 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17166))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5124,
												BgL_arg3904z00_5131, BgL_arg3905z00_5132,
												BgL_arg3906z00_5133, BgL_restz00_5122,
												BgL_arg3907z00_5134);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1257z00_5136;

											BgL_val1257z00_5136 =
												BGl_zc3exitza33912ze3z83zz__evaluate_compz00
												(BgL_bpz00_5125, BgL_sz00_5124, BgL_runz00_17167);
											VECTOR_SET(BgL_sz00_5124, (int) (((long) 0)),
												BgL_bpz00_5125);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1257z00_5136)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1257z00_5136), CDR(BgL_val1257z00_5136));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1257z00_5136;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5143;

										BgL_nsz00_5143 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 1)), BgL_sz00_5124);
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 2)), BgL_az00_5118);
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 3)), BgL_bz00_5119);
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 4)), BgL_cz00_5120);
										VECTOR_SET(BgL_nsz00_5143,
											(int) (((long) 5)), BgL_dz00_5121);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3913z00_5144;
											long BgL_arg3914z00_5145;
											obj_t BgL_arg3915z00_5146;

											BgL_arg3913z00_5144 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17166))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10633;

												BgL_nz00_10633 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17166))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10633) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3914z00_5145 =
															((long) CINT(BgL_nz00_10633) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3914z00_5145 =
															((long) CINT(BgL_nz00_10633) - ((long) 4));
											}}
											BgL_arg3915z00_5146 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17166))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5143,
												BgL_arg3913z00_5144, ((long) 6), BgL_arg3914z00_5145,
												BgL_restz00_5122, BgL_arg3915z00_5146);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30473;

											BgL_auxz00_30473 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30473, BgL_nsz00_5143);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1260z00_5149;

											BgL_val1260z00_5149 =
												BGl_zc3exitza33922ze3z83zz__evaluate_compz00
												(BgL_runz00_17167, BgL_nsz00_5143);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30477;

												BgL_auxz00_30477 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30477, BgL_sz00_5124);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1260z00_5149)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1260z00_5149), CDR(BgL_val1260z00_5149));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1260z00_5149;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3922> */
	obj_t BGl_zc3exitza33922ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17461,
		obj_t BgL_nsz00_17460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1261z00_5155;

			if (SET_EXIT(BgL_an_exit1261z00_5155))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1261z00_5155 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1261z00_5155, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1262z00_5156;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10648;

								BgL_savedzd2bpzd2_10648 =
									VECTOR_REF(BgL_nsz00_17460, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17460,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10655;

									BgL_fz00_10655 = BgL_runz00_17461;
								BgL_recz00_10654:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10656;

										BgL_rz00_10656 =
											PROCEDURE_ENTRY(BgL_fz00_10655) (BgL_fz00_10655,
											BgL_nsz00_17460, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30498;

											if (PROCEDUREP(BgL_rz00_10656))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_10661;

													BgL_arg1899z00_10661 = PROCEDURE_ATTR(BgL_rz00_10656);
													if (STRUCTP(BgL_arg1899z00_10661))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30498 =
																(STRUCT_KEY(BgL_arg1899z00_10661) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30498 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30498 = ((bool_t) 0);
												}
											if (BgL_testz00_30498)
												{
													obj_t BgL_fz00_30506;

													BgL_fz00_30506 = BgL_rz00_10656;
													BgL_fz00_10655 = BgL_fz00_30506;
													goto BgL_recz00_10654;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17460,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10648);
													BgL_val1262z00_5156 = BgL_rz00_10656;
							}}}}}
							POP_EXIT();
							return BgL_val1262z00_5156;
						}
					}
				}
		}
	}



/* <exit:3912> */
	obj_t BGl_zc3exitza33912ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17464,
		obj_t BgL_sz00_17463, obj_t BgL_runz00_17462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1258z00_5141;

			if (SET_EXIT(BgL_an_exit1258z00_5141))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1258z00_5141 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1258z00_5141, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1259z00_5142;

							BgL_val1259z00_5142 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17462,
								BgL_sz00_17463, BgL_bpz00_17464);
							POP_EXIT();
							return BgL_val1259z00_5142;
						}
					}
				}
		}
	}



/* &run5530 */
	obj_t BGl_z62run5530z62zz__evaluate_compz00(obj_t BgL_envz00_17174,
		obj_t BgL_sz00_17178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17175;
				BgL_ev_absz00_bglt BgL_i1250z00_17176;
				obj_t BgL_bodyz00_17177;

				BgL_iboxesz00_17175 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17174, (int) (((long) 0))));
				BgL_i1250z00_17176 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17174, (int) (((long) 1))));
				BgL_bodyz00_17177 = PROCEDURE_REF(BgL_envz00_17174, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5158;

					BgL_sz00_5158 = BgL_sz00_17178;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5160;

						BgL_bpz00_5160 = VECTOR_REF(BgL_sz00_5158, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5158,
							BgL_iboxesz00_17175, BgL_bpz00_5160);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_5161;
							obj_t BgL_wherez00_5162;
							obj_t BgL_locz00_5163;

							BgL_z12denvz12_5161 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5162 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17176))->BgL_wherez00);
							BgL_locz00_5163 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17176))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5161, BgL_wherez00_5162,
									BgL_locz00_5163);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_5164;

									BgL_za2za2resza2za2z00_5164 =
										PROCEDURE_ENTRY(BgL_bodyz00_17177) (BgL_bodyz00_17177,
										BgL_sz00_5158, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5161);
									return BgL_za2za2resza2za2z00_5164;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3926> */
	obj_t BGl_z62zc3anonymousza33926ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17179, obj_t BgL_sz00_17185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17180;
				long BgL_siza7eza7_17181;
				BgL_ev_absz00_bglt BgL_i1250z00_17182;
				obj_t BgL_bodyz00_17183;
				long BgL_siza7ezd2framez75_17184;

				BgL_ifreesz00_17180 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17179, (int) (((long) 0))));
				BgL_siza7eza7_17181 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17179, (int) (((long) 1))));
				BgL_i1250z00_17182 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17179, (int) (((long) 2))));
				BgL_bodyz00_17183 = PROCEDURE_REF(BgL_envz00_17179, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17184 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17179, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5168;

					BgL_sz00_5168 = BgL_sz00_17185;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5170;

						BgL_bpz00_5170 = VECTOR_REF(BgL_sz00_5168, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5171;

							BgL_valza2za2_5171 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5168,
								BgL_bpz00_5170, BgL_ifreesz00_17180);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16228;

								BgL_runz00_16228 =
									MAKE_FX_PROCEDURE(BGl_z62run5532z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16228,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17181));
								PROCEDURE_SET(BgL_runz00_16228,
									(int) (((long) 1)), BgL_valza2za2_5171);
								PROCEDURE_SET(BgL_runz00_16228,
									(int) (((long) 2)), ((obj_t) BgL_i1250z00_17182));
								PROCEDURE_SET(BgL_runz00_16228,
									(int) (((long) 3)), BgL_bodyz00_17183);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16229;

									BgL_mainz00_16229 =
										MAKE_VA_PROCEDURE(BGl_z62main5531z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16229,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17181));
									PROCEDURE_SET(BgL_mainz00_16229,
										(int) (((long) 1)), BgL_valza2za2_5171);
									PROCEDURE_SET(BgL_mainz00_16229,
										(int) (((long) 2)), BgL_bodyz00_17183);
									PROCEDURE_SET(BgL_mainz00_16229,
										(int) (((long) 3)), ((obj_t) BgL_i1250z00_17182));
									PROCEDURE_SET(BgL_mainz00_16229,
										(int) (((long) 4)), BgL_runz00_16228);
									PROCEDURE_SET(BgL_mainz00_16229,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17184));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10828;

										BgL_objz00_10828 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16228, BgL_objz00_10828);
										BgL_objz00_10828;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3927z00_5174;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3928z00_5175;
											obj_t BgL_arg3929z00_5176;

											BgL_arg3928z00_5175 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17182))->
												BgL_arityz00);
											BgL_arg3929z00_5176 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17182))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10832;

												BgL_newz00_10832 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30588;

													BgL_auxz00_30588 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10832, BgL_auxz00_30588,
														BgL_arg3929z00_5176);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30593;
													int BgL_auxz00_30591;

													BgL_auxz00_30593 = BINT(BgL_siza7ezd2framez75_17184);
													BgL_auxz00_30591 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10832, BgL_auxz00_30591,
														BgL_auxz00_30593);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30596;

													BgL_auxz00_30596 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10832, BgL_auxz00_30596,
														BgL_runz00_16228);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30599;

													BgL_auxz00_30599 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10832, BgL_auxz00_30599,
														BgL_arg3928z00_5175);
												}
												BgL_arg3927z00_5174 = BgL_newz00_10832;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16229, BgL_arg3927z00_5174);
										BgL_arg3927z00_5174;
									}
									return BgL_mainz00_16229;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5531 */
	obj_t BGl_z62main5531z62zz__evaluate_compz00(obj_t BgL_envz00_17186,
		obj_t BgL_az00_17193, obj_t BgL_bz00_17194, obj_t BgL_cz00_17195,
		obj_t BgL_dz00_17196, obj_t BgL_restz00_17197)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17190;
				obj_t BgL_runz00_17191;
				long BgL_siza7ezd2framez75_17192;

				BgL_i1250z00_17190 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17186, (int) (((long) 3))));
				BgL_runz00_17191 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17186, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17192 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17186, (int) (((long) 5))));
				{
					obj_t BgL_az00_5177;
					obj_t BgL_bz00_5178;
					obj_t BgL_cz00_5179;
					obj_t BgL_dz00_5180;
					obj_t BgL_restz00_5181;

					BgL_az00_5177 = BgL_az00_17193;
					BgL_bz00_5178 = BgL_bz00_17194;
					BgL_cz00_5179 = BgL_cz00_17195;
					BgL_dz00_5180 = BgL_dz00_17196;
					BgL_restz00_5181 = BgL_restz00_17197;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5183;

						BgL_sz00_5183 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5184;

							BgL_bpz00_5184 = VECTOR_REF(BgL_sz00_5183, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30615;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_10718;

									BgL_arg1908z00_10718 = VECTOR_LENGTH(BgL_sz00_5183);
									BgL_testz00_30615 =
										(
										((long) CINT(BgL_bpz00_5184) +
											BgL_siza7ezd2framez75_17192) <
										(long) (BgL_arg1908z00_10718));
								}
								if (BgL_testz00_30615)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3932z00_5186;

											BgL_arg3932z00_5186 =
												((long) CINT(BgL_bpz00_5184) + ((long) 0));
											VECTOR_SET(BgL_sz00_5183,
												(int) (BgL_arg3932z00_5186), BgL_az00_5177);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3933z00_5187;

											BgL_arg3933z00_5187 =
												((long) CINT(BgL_bpz00_5184) + ((long) 1));
											VECTOR_SET(BgL_sz00_5183,
												(int) (BgL_arg3933z00_5187), BgL_bz00_5178);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3934z00_5188;

											BgL_arg3934z00_5188 =
												((long) CINT(BgL_bpz00_5184) + ((long) 2));
											VECTOR_SET(BgL_sz00_5183,
												(int) (BgL_arg3934z00_5188), BgL_cz00_5179);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3935z00_5189;

											BgL_arg3935z00_5189 =
												((long) CINT(BgL_bpz00_5184) + ((long) 3));
											VECTOR_SET(BgL_sz00_5183,
												(int) (BgL_arg3935z00_5189), BgL_dz00_5180);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3936z00_5190;
											long BgL_arg3937z00_5191;
											long BgL_arg3938z00_5192;
											obj_t BgL_arg3939z00_5193;

											BgL_arg3936z00_5190 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17190))->
												BgL_wherez00);
											BgL_arg3937z00_5191 =
												((long) CINT(BgL_bpz00_5184) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10753;

												BgL_nz00_10753 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17190))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10753) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3938z00_5192 =
															((long) CINT(BgL_nz00_10753) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3938z00_5192 =
															((long) CINT(BgL_nz00_10753) - ((long) 4));
											}}
											BgL_arg3939z00_5193 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17190))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5183,
												BgL_arg3936z00_5190, BgL_arg3937z00_5191,
												BgL_arg3938z00_5192, BgL_restz00_5181,
												BgL_arg3939z00_5193);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1263z00_5195;

											BgL_val1263z00_5195 =
												BGl_zc3exitza33944ze3z83zz__evaluate_compz00
												(BgL_bpz00_5184, BgL_sz00_5183, BgL_runz00_17191);
											VECTOR_SET(BgL_sz00_5183, (int) (((long) 0)),
												BgL_bpz00_5184);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1263z00_5195)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1263z00_5195), CDR(BgL_val1263z00_5195));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1263z00_5195;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5202;

										BgL_nsz00_5202 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5202,
											(int) (((long) 1)), BgL_sz00_5183);
										VECTOR_SET(BgL_nsz00_5202,
											(int) (((long) 2)), BgL_az00_5177);
										VECTOR_SET(BgL_nsz00_5202,
											(int) (((long) 3)), BgL_bz00_5178);
										VECTOR_SET(BgL_nsz00_5202,
											(int) (((long) 4)), BgL_cz00_5179);
										VECTOR_SET(BgL_nsz00_5202,
											(int) (((long) 5)), BgL_dz00_5180);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3945z00_5203;
											long BgL_arg3946z00_5204;
											obj_t BgL_arg3947z00_5205;

											BgL_arg3945z00_5203 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17190))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10785;

												BgL_nz00_10785 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17190))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10785) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3946z00_5204 =
															((long) CINT(BgL_nz00_10785) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3946z00_5204 =
															((long) CINT(BgL_nz00_10785) - ((long) 4));
											}}
											BgL_arg3947z00_5205 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17190))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5202,
												BgL_arg3945z00_5203, ((long) 6), BgL_arg3946z00_5204,
												BgL_restz00_5181, BgL_arg3947z00_5205);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30681;

											BgL_auxz00_30681 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30681, BgL_nsz00_5202);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1266z00_5208;

											BgL_val1266z00_5208 =
												BGl_zc3exitza33954ze3z83zz__evaluate_compz00
												(BgL_runz00_17191, BgL_nsz00_5202);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30685;

												BgL_auxz00_30685 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30685, BgL_sz00_5183);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1266z00_5208)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1266z00_5208), CDR(BgL_val1266z00_5208));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1266z00_5208;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3954> */
	obj_t BGl_zc3exitza33954ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17456,
		obj_t BgL_nsz00_17455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1267z00_5214;

			if (SET_EXIT(BgL_an_exit1267z00_5214))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1267z00_5214 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1267z00_5214, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1268z00_5215;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10800;

								BgL_savedzd2bpzd2_10800 =
									VECTOR_REF(BgL_nsz00_17455, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17455,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10807;

									BgL_fz00_10807 = BgL_runz00_17456;
								BgL_recz00_10806:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10808;

										BgL_rz00_10808 =
											PROCEDURE_ENTRY(BgL_fz00_10807) (BgL_fz00_10807,
											BgL_nsz00_17455, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30706;

											if (PROCEDUREP(BgL_rz00_10808))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_10813;

													BgL_arg1899z00_10813 = PROCEDURE_ATTR(BgL_rz00_10808);
													if (STRUCTP(BgL_arg1899z00_10813))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30706 =
																(STRUCT_KEY(BgL_arg1899z00_10813) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30706 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30706 = ((bool_t) 0);
												}
											if (BgL_testz00_30706)
												{
													obj_t BgL_fz00_30714;

													BgL_fz00_30714 = BgL_rz00_10808;
													BgL_fz00_10807 = BgL_fz00_30714;
													goto BgL_recz00_10806;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17455,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10800);
													BgL_val1268z00_5215 = BgL_rz00_10808;
							}}}}}
							POP_EXIT();
							return BgL_val1268z00_5215;
						}
					}
				}
		}
	}



/* <exit:3944> */
	obj_t BGl_zc3exitza33944ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17459,
		obj_t BgL_sz00_17458, obj_t BgL_runz00_17457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1264z00_5200;

			if (SET_EXIT(BgL_an_exit1264z00_5200))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1264z00_5200 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1264z00_5200, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1265z00_5201;

							BgL_val1265z00_5201 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17457,
								BgL_sz00_17458, BgL_bpz00_17459);
							POP_EXIT();
							return BgL_val1265z00_5201;
						}
					}
				}
		}
	}



/* &run5532 */
	obj_t BGl_z62run5532z62zz__evaluate_compz00(obj_t BgL_envz00_17198,
		obj_t BgL_sz00_17203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_17199;
				obj_t BgL_valza2za2_17200;
				BgL_ev_absz00_bglt BgL_i1250z00_17201;
				obj_t BgL_bodyz00_17202;

				BgL_siza7eza7_17199 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17198, (int) (((long) 0))));
				BgL_valza2za2_17200 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17198, (int) (((long) 1))));
				BgL_i1250z00_17201 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17198, (int) (((long) 2))));
				BgL_bodyz00_17202 = PROCEDURE_REF(BgL_envz00_17198, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5217;

					BgL_sz00_5217 = BgL_sz00_17203;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5219;

						BgL_bpz00_5219 = VECTOR_REF(BgL_sz00_5217, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5217,
							BgL_valza2za2_17200,
							((long) CINT(BgL_bpz00_5219) + BgL_siza7eza7_17199));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5221;
							obj_t BgL_wherez00_5222;
							obj_t BgL_locz00_5223;

							BgL_z12denvz12_5221 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5222 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17201))->BgL_wherez00);
							BgL_locz00_5223 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17201))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5221, BgL_wherez00_5222,
									BgL_locz00_5223);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5224;

									BgL_za2za2resza2za2z00_5224 =
										PROCEDURE_ENTRY(BgL_bodyz00_17202) (BgL_bodyz00_17202,
										BgL_sz00_5217, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5221);
									return BgL_za2za2resza2za2z00_5224;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3957> */
	obj_t BGl_z62zc3anonymousza33957ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17204, obj_t BgL_sz00_17211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17205;
				obj_t BgL_iboxesz00_17206;
				long BgL_siza7eza7_17207;
				BgL_ev_absz00_bglt BgL_i1250z00_17208;
				obj_t BgL_bodyz00_17209;
				long BgL_siza7ezd2framez75_17210;

				BgL_ifreesz00_17205 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17204, (int) (((long) 0))));
				BgL_iboxesz00_17206 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17204, (int) (((long) 1))));
				BgL_siza7eza7_17207 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17204, (int) (((long) 2))));
				BgL_i1250z00_17208 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17204, (int) (((long) 3))));
				BgL_bodyz00_17209 = PROCEDURE_REF(BgL_envz00_17204, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17210 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17204, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5226;

					BgL_sz00_5226 = BgL_sz00_17211;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5228;

						BgL_bpz00_5228 = VECTOR_REF(BgL_sz00_5226, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5229;

							BgL_valza2za2_5229 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5226,
								BgL_bpz00_5228, BgL_ifreesz00_17205);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16225;

								BgL_runz00_16225 =
									MAKE_FX_PROCEDURE(BGl_z62run5534z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16225,
									(int) (((long) 0)), BgL_iboxesz00_17206);
								PROCEDURE_SET(BgL_runz00_16225,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17207));
								PROCEDURE_SET(BgL_runz00_16225,
									(int) (((long) 2)), BgL_valza2za2_5229);
								PROCEDURE_SET(BgL_runz00_16225,
									(int) (((long) 3)), ((obj_t) BgL_i1250z00_17208));
								PROCEDURE_SET(BgL_runz00_16225,
									(int) (((long) 4)), BgL_bodyz00_17209);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16226;

									BgL_mainz00_16226 =
										MAKE_VA_PROCEDURE(BGl_z62main5533z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16226,
										(int) (((long) 0)), BgL_iboxesz00_17206);
									PROCEDURE_SET(BgL_mainz00_16226,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17207));
									PROCEDURE_SET(BgL_mainz00_16226,
										(int) (((long) 2)), BgL_valza2za2_5229);
									PROCEDURE_SET(BgL_mainz00_16226,
										(int) (((long) 3)), BgL_bodyz00_17209);
									PROCEDURE_SET(BgL_mainz00_16226,
										(int) (((long) 4)), ((obj_t) BgL_i1250z00_17208));
									PROCEDURE_SET(BgL_mainz00_16226,
										(int) (((long) 5)), BgL_runz00_16225);
									PROCEDURE_SET(BgL_mainz00_16226,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17210));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10976;

										BgL_objz00_10976 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16225, BgL_objz00_10976);
										BgL_objz00_10976;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3958z00_5232;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3959z00_5233;
											obj_t BgL_arg3960z00_5234;

											BgL_arg3959z00_5233 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17208))->
												BgL_arityz00);
											BgL_arg3960z00_5234 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17208))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10980;

												BgL_newz00_10980 =
													create_struct(BGl_symbol5564z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30808;

													BgL_auxz00_30808 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10980, BgL_auxz00_30808,
														BgL_arg3960z00_5234);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30813;
													int BgL_auxz00_30811;

													BgL_auxz00_30813 = BINT(BgL_siza7ezd2framez75_17210);
													BgL_auxz00_30811 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10980, BgL_auxz00_30811,
														BgL_auxz00_30813);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30816;

													BgL_auxz00_30816 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10980, BgL_auxz00_30816,
														BgL_runz00_16225);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30819;

													BgL_auxz00_30819 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10980, BgL_auxz00_30819,
														BgL_arg3959z00_5233);
												}
												BgL_arg3958z00_5232 = BgL_newz00_10980;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16226, BgL_arg3958z00_5232);
										BgL_arg3958z00_5232;
									}
									return BgL_mainz00_16226;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5533 */
	obj_t BGl_z62main5533z62zz__evaluate_compz00(obj_t BgL_envz00_17212,
		obj_t BgL_az00_17220, obj_t BgL_bz00_17221, obj_t BgL_cz00_17222,
		obj_t BgL_dz00_17223, obj_t BgL_restz00_17224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1250z00_17217;
				obj_t BgL_runz00_17218;
				long BgL_siza7ezd2framez75_17219;

				BgL_i1250z00_17217 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17212, (int) (((long) 4))));
				BgL_runz00_17218 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17212, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17219 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17212, (int) (((long) 6))));
				{
					obj_t BgL_az00_5235;
					obj_t BgL_bz00_5236;
					obj_t BgL_cz00_5237;
					obj_t BgL_dz00_5238;
					obj_t BgL_restz00_5239;

					BgL_az00_5235 = BgL_az00_17220;
					BgL_bz00_5236 = BgL_bz00_17221;
					BgL_cz00_5237 = BgL_cz00_17222;
					BgL_dz00_5238 = BgL_dz00_17223;
					BgL_restz00_5239 = BgL_restz00_17224;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5241;

						BgL_sz00_5241 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5242;

							BgL_bpz00_5242 = VECTOR_REF(BgL_sz00_5241, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30835;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1908z00_10866;

									BgL_arg1908z00_10866 = VECTOR_LENGTH(BgL_sz00_5241);
									BgL_testz00_30835 =
										(
										((long) CINT(BgL_bpz00_5242) +
											BgL_siza7ezd2framez75_17219) <
										(long) (BgL_arg1908z00_10866));
								}
								if (BgL_testz00_30835)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3963z00_5244;

											BgL_arg3963z00_5244 =
												((long) CINT(BgL_bpz00_5242) + ((long) 0));
											VECTOR_SET(BgL_sz00_5241,
												(int) (BgL_arg3963z00_5244), BgL_az00_5235);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3964z00_5245;

											BgL_arg3964z00_5245 =
												((long) CINT(BgL_bpz00_5242) + ((long) 1));
											VECTOR_SET(BgL_sz00_5241,
												(int) (BgL_arg3964z00_5245), BgL_bz00_5236);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3965z00_5246;

											BgL_arg3965z00_5246 =
												((long) CINT(BgL_bpz00_5242) + ((long) 2));
											VECTOR_SET(BgL_sz00_5241,
												(int) (BgL_arg3965z00_5246), BgL_cz00_5237);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3966z00_5247;

											BgL_arg3966z00_5247 =
												((long) CINT(BgL_bpz00_5242) + ((long) 3));
											VECTOR_SET(BgL_sz00_5241,
												(int) (BgL_arg3966z00_5247), BgL_dz00_5238);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3967z00_5248;
											long BgL_arg3968z00_5249;
											long BgL_arg3969z00_5250;
											obj_t BgL_arg3970z00_5251;

											BgL_arg3967z00_5248 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17217))->
												BgL_wherez00);
											BgL_arg3968z00_5249 =
												((long) CINT(BgL_bpz00_5242) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10901;

												BgL_nz00_10901 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17217))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10901) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3969z00_5250 =
															((long) CINT(BgL_nz00_10901) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3969z00_5250 =
															((long) CINT(BgL_nz00_10901) - ((long) 4));
											}}
											BgL_arg3970z00_5251 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17217))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5241,
												BgL_arg3967z00_5248, BgL_arg3968z00_5249,
												BgL_arg3969z00_5250, BgL_restz00_5239,
												BgL_arg3970z00_5251);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1269z00_5253;

											BgL_val1269z00_5253 =
												BGl_zc3exitza33975ze3z83zz__evaluate_compz00
												(BgL_bpz00_5242, BgL_sz00_5241, BgL_runz00_17218);
											VECTOR_SET(BgL_sz00_5241, (int) (((long) 0)),
												BgL_bpz00_5242);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1269z00_5253)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1269z00_5253), CDR(BgL_val1269z00_5253));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1269z00_5253;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5260;

										BgL_nsz00_5260 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 1)), BgL_sz00_5241);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 2)), BgL_az00_5235);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 3)), BgL_bz00_5236);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 4)), BgL_cz00_5237);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 5)), BgL_dz00_5238);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3976z00_5261;
											long BgL_arg3977z00_5262;
											obj_t BgL_arg3978z00_5263;

											BgL_arg3976z00_5261 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17217))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10933;

												BgL_nz00_10933 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17217))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10933) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3977z00_5262 =
															((long) CINT(BgL_nz00_10933) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3977z00_5262 =
															((long) CINT(BgL_nz00_10933) - ((long) 4));
											}}
											BgL_arg3978z00_5263 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17217))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5260,
												BgL_arg3976z00_5261, ((long) 6), BgL_arg3977z00_5262,
												BgL_restz00_5239, BgL_arg3978z00_5263);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30901;

											BgL_auxz00_30901 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30901, BgL_nsz00_5260);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1272z00_5266;

											BgL_val1272z00_5266 =
												BGl_zc3exitza33985ze3z83zz__evaluate_compz00
												(BgL_runz00_17218, BgL_nsz00_5260);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30905;

												BgL_auxz00_30905 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30905, BgL_sz00_5241);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1272z00_5266)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1272z00_5266), CDR(BgL_val1272z00_5266));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1272z00_5266;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3985> */
	obj_t BGl_zc3exitza33985ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17451,
		obj_t BgL_nsz00_17450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1273z00_5272;

			if (SET_EXIT(BgL_an_exit1273z00_5272))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1273z00_5272 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1273z00_5272, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1274z00_5273;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10948;

								BgL_savedzd2bpzd2_10948 =
									VECTOR_REF(BgL_nsz00_17450, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17450,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10955;

									BgL_fz00_10955 = BgL_runz00_17451;
								BgL_recz00_10954:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10956;

										BgL_rz00_10956 =
											PROCEDURE_ENTRY(BgL_fz00_10955) (BgL_fz00_10955,
											BgL_nsz00_17450, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30926;

											if (PROCEDUREP(BgL_rz00_10956))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1899z00_10961;

													BgL_arg1899z00_10961 = PROCEDURE_ATTR(BgL_rz00_10956);
													if (STRUCTP(BgL_arg1899z00_10961))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30926 =
																(STRUCT_KEY(BgL_arg1899z00_10961) ==
																BGl_symbol5543z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30926 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30926 = ((bool_t) 0);
												}
											if (BgL_testz00_30926)
												{
													obj_t BgL_fz00_30934;

													BgL_fz00_30934 = BgL_rz00_10956;
													BgL_fz00_10955 = BgL_fz00_30934;
													goto BgL_recz00_10954;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17450,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10948);
													BgL_val1274z00_5273 = BgL_rz00_10956;
							}}}}}
							POP_EXIT();
							return BgL_val1274z00_5273;
						}
					}
				}
		}
	}



/* <exit:3975> */
	obj_t BGl_zc3exitza33975ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17454,
		obj_t BgL_sz00_17453, obj_t BgL_runz00_17452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1270z00_5258;

			if (SET_EXIT(BgL_an_exit1270z00_5258))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1270z00_5258 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1270z00_5258, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1271z00_5259;

							BgL_val1271z00_5259 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17452,
								BgL_sz00_17453, BgL_bpz00_17454);
							POP_EXIT();
							return BgL_val1271z00_5259;
						}
					}
				}
		}
	}



/* &run5534 */
	obj_t BGl_z62run5534z62zz__evaluate_compz00(obj_t BgL_envz00_17225,
		obj_t BgL_sz00_17231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17226;
				long BgL_siza7eza7_17227;
				obj_t BgL_valza2za2_17228;
				BgL_ev_absz00_bglt BgL_i1250z00_17229;
				obj_t BgL_bodyz00_17230;

				BgL_iboxesz00_17226 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17225, (int) (((long) 0))));
				BgL_siza7eza7_17227 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17225, (int) (((long) 1))));
				BgL_valza2za2_17228 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17225, (int) (((long) 2))));
				BgL_i1250z00_17229 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17225, (int) (((long) 3))));
				BgL_bodyz00_17230 = PROCEDURE_REF(BgL_envz00_17225, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5275;

					BgL_sz00_5275 = BgL_sz00_17231;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5277;

						BgL_bpz00_5277 = VECTOR_REF(BgL_sz00_5275, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5275,
							BgL_iboxesz00_17226, BgL_bpz00_5277);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5275,
							BgL_valza2za2_17228,
							((long) CINT(BgL_bpz00_5277) + BgL_siza7eza7_17227));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5279;
							obj_t BgL_wherez00_5280;
							obj_t BgL_locz00_5281;

							BgL_z12denvz12_5279 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5280 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17229))->BgL_wherez00);
							BgL_locz00_5281 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1250z00_17229))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5279, BgL_wherez00_5280,
									BgL_locz00_5281);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5282;

									BgL_za2za2resza2za2z00_5282 =
										PROCEDURE_ENTRY(BgL_bodyz00_17230) (BgL_bodyz00_17230,
										BgL_sz00_5275, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5279);
									return BgL_za2za2resza2za2z00_5282;
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_app1680 */
	obj_t BGl_z62compzd2ev_app1680zb0zz__evaluate_compz00(obj_t BgL_envz00_17232,
		obj_t BgL_ez00_17233, obj_t BgL_stkz00_17234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 984 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3202;
				obj_t BgL_stkz00_3203;

				BgL_ez00_3202 = ((BgL_ev_appz00_bglt) BgL_ez00_17233);
				BgL_stkz00_3203 = BgL_stkz00_17234;
				{	/* Eval/evaluate_comp.scm 986 */
					obj_t BgL__ortest_1236z00_3207;

					BgL__ortest_1236z00_3207 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3202,
						BgL_stkz00_3203);
					if (CBOOL(BgL__ortest_1236z00_3207))
						{	/* Eval/evaluate_comp.scm 986 */
							return BgL__ortest_1236z00_3207;
						}
					else
						{	/* Eval/evaluate_comp.scm 987 */
							obj_t BgL__ortest_1237z00_3208;

							BgL__ortest_1237z00_3208 =
								BGl_inlinezd2callzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->BgL_locz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->BgL_funz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->BgL_argsz00),
								BgL_stkz00_3203);
							if (CBOOL(BgL__ortest_1237z00_3208))
								{	/* Eval/evaluate_comp.scm 987 */
									return BgL__ortest_1237z00_3208;
								}
							else
								{	/* Eval/evaluate_comp.scm 987 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
													BgL_argsz00)) > ((long) 4)))
										{	/* Eval/evaluate_comp.scm 988 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3202, BgL_stkz00_3203);
										}
									else
										{	/* Eval/evaluate_comp.scm 990 */
											obj_t BgL_fz00_3210;
											long BgL_siza7eza7_3211;
											obj_t BgL_symbzd2funzd2_3212;

											BgL_fz00_3210 =
												BGl_compz00zz__evaluate_compz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
													BgL_funz00), BgL_stkz00_3203);
											BgL_siza7eza7_3211 = bgl_list_length(BgL_stkz00_3203);
											BgL_symbzd2funzd2_3212 =
												BGl_uncompilez00zz__evaluate_uncompz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
													BgL_funz00));
											if (NULLP((((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
														BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 991 */
													return
														BGl_compzd2call0zd2zz__evaluate_compz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
															BgL_locz00),
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
															BgL_funz00), BgL_symbzd2funzd2_3212,
														BgL_fz00_3210,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
															BgL_tailzf3zf3), BgL_stkz00_3203,
														BgL_siza7eza7_3211);
												}
											else
												{	/* Eval/evaluate_comp.scm 993 */
													obj_t BgL_a1z00_3217;
													obj_t BgL_argsz00_3218;

													{	/* Eval/evaluate_comp.scm 993 */
														obj_t BgL_arg3023z00_3244;

														BgL_arg3023z00_3244 =
															CAR(
															(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
																BgL_argsz00));
														BgL_a1z00_3217 =
															BGl_compz00zz__evaluate_compz00((
																(BgL_ev_exprz00_bglt) BgL_arg3023z00_3244),
															BgL_stkz00_3203);
													}
													BgL_argsz00_3218 =
														CDR(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
															BgL_argsz00));
													if (NULLP(BgL_argsz00_3218))
														{	/* Eval/evaluate_comp.scm 993 */
															return
																BGl_compzd2call1zd2zz__evaluate_compz00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
																	BgL_locz00),
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
																	BgL_funz00), BgL_symbzd2funzd2_3212,
																BgL_fz00_3210,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3202))->
																	BgL_tailzf3zf3), BgL_stkz00_3203,
																BgL_siza7eza7_3211, BgL_a1z00_3217);
														}
													else
														{	/* Eval/evaluate_comp.scm 993 */
															obj_t BgL_a2z00_3223;
															obj_t BgL_argsz00_3224;

															{	/* Eval/evaluate_comp.scm 993 */
																obj_t BgL_arg3022z00_3243;

																BgL_arg3022z00_3243 = CAR(BgL_argsz00_3218);
																BgL_a2z00_3223 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg3022z00_3243),
																	BgL_stkz00_3203);
															}
															BgL_argsz00_3224 = CDR(BgL_argsz00_3218);
															if (NULLP(BgL_argsz00_3224))
																{	/* Eval/evaluate_comp.scm 993 */
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3202))->BgL_locz00),
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3202))->BgL_funz00),
																		BgL_symbzd2funzd2_3212, BgL_fz00_3210,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3202))->BgL_tailzf3zf3),
																		BgL_stkz00_3203, BgL_siza7eza7_3211,
																		BgL_a1z00_3217, BgL_a2z00_3223);
																}
															else
																{	/* Eval/evaluate_comp.scm 993 */
																	obj_t BgL_a3z00_3229;
																	obj_t BgL_argsz00_3230;

																	{	/* Eval/evaluate_comp.scm 993 */
																		obj_t BgL_arg3021z00_3242;

																		BgL_arg3021z00_3242 = CAR(BgL_argsz00_3224);
																		BgL_a3z00_3229 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg3021z00_3242), BgL_stkz00_3203);
																	}
																	BgL_argsz00_3230 = CDR(BgL_argsz00_3224);
																	if (NULLP(BgL_argsz00_3230))
																		{	/* Eval/evaluate_comp.scm 993 */
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3202))->BgL_locz00),
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3202))->BgL_funz00),
																				BgL_symbzd2funzd2_3212, BgL_fz00_3210,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3202))->
																					BgL_tailzf3zf3), BgL_stkz00_3203,
																				BgL_siza7eza7_3211, BgL_a1z00_3217,
																				BgL_a2z00_3223, BgL_a3z00_3229);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 993 */
																			obj_t BgL_a4z00_3235;
																			obj_t BgL_argsz00_3236;

																			{	/* Eval/evaluate_comp.scm 993 */
																				obj_t BgL_arg3020z00_3241;

																				BgL_arg3020z00_3241 =
																					CAR(BgL_argsz00_3230);
																				BgL_a4z00_3235 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg3020z00_3241),
																					BgL_stkz00_3203);
																			}
																			BgL_argsz00_3236 = CDR(BgL_argsz00_3230);
																			if (NULLP(BgL_argsz00_3236))
																				{	/* Eval/evaluate_comp.scm 993 */
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						((((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3202))->
																							BgL_locz00),
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3202))->
																							BgL_funz00),
																						BgL_symbzd2funzd2_3212,
																						BgL_fz00_3210,
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3202))->
																							BgL_tailzf3zf3), BgL_stkz00_3203,
																						BgL_siza7eza7_3211, BgL_a1z00_3217,
																						BgL_a2z00_3223, BgL_a3z00_3229,
																						BgL_a4z00_3235);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 993 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string5547z00zz__evaluate_compz00,
																						BGl_string5661z00zz__evaluate_compz00,
																						BGl_string5662z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto1678 */
	obj_t BGl_z62compzd2ev_goto1678zb0zz__evaluate_compz00(obj_t BgL_envz00_17235,
		obj_t BgL_ez00_17236, obj_t BgL_stkz00_17237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 569 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3159;
				obj_t BgL_stkz00_3160;

				BgL_ez00_3159 = ((BgL_ev_gotoz00_bglt) BgL_ez00_17236);
				BgL_stkz00_3160 = BgL_stkz00_17237;
				{	/* Eval/evaluate_comp.scm 572 */
					obj_t BgL_slotz00_3164;
					long BgL_siza7eza7_3165;
					obj_t BgL_lstkz00_3166;

					BgL_slotz00_3164 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->BgL_labelz00)),
						(((BgL_ev_labelsz00_bglt) CREF(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->
										BgL_labelsz00)))->BgL_envz00));
					BgL_siza7eza7_3165 = bgl_list_length(BgL_stkz00_3160);
					BgL_lstkz00_3166 =
						(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->BgL_labelsz00)))->
						BgL_stkz00);
					{	/* Eval/evaluate_comp.scm 574 */
						long BgL_llstkz00_3167;
						obj_t BgL_substkz00_3168;
						obj_t BgL_boxesz00_3169;

						BgL_llstkz00_3167 = bgl_list_length(BgL_lstkz00_3166);
						BgL_substkz00_3168 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3166,
							BgL_stkz00_3160);
						{	/* Eval/evaluate_comp.scm 574 */
							obj_t BgL_pairz00_10279;

							BgL_pairz00_10279 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->BgL_labelz00)),
								(((BgL_ev_labelsz00_bglt) CREF(
											(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->
												BgL_labelsz00)))->BgL_boxesz00));
							BgL_boxesz00_3169 = CDR(BgL_pairz00_10279);
						}
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->BgL_argsz00),
								BgL_substkz00_3168))
							{	/* Eval/evaluate_comp.scm 577 */
								obj_t BgL_argsz00_3171;
								long BgL_nbargsz00_3172;

								BgL_argsz00_3171 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->BgL_argsz00),
									BgL_stkz00_3160);
								BgL_nbargsz00_3172 =
									bgl_list_length((((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->
										BgL_argsz00));
								{	/* Eval/evaluate_comp.scm 578 */
									obj_t BgL_zc3anonymousza32979ze3z83_16239;

									BgL_zc3anonymousza32979ze3z83_16239 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16239,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3165));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16239,
										(int) (((long) 1)), BINT(BgL_llstkz00_3167));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16239,
										(int) (((long) 2)), ((obj_t) BgL_ez00_3159));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16239,
										(int) (((long) 3)), BgL_argsz00_3171);
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16239,
										(int) (((long) 4)), BgL_boxesz00_3169);
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16239,
										(int) (((long) 5)), BINT(BgL_nbargsz00_3172));
									PROCEDURE_SET(BgL_zc3anonymousza32979ze3z83_16239,
										(int) (((long) 6)), BgL_slotz00_3164);
									return BgL_zc3anonymousza32979ze3z83_16239;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 583 */
								obj_t BgL_argsz00_3183;

								BgL_argsz00_3183 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_3160,
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3159))->BgL_argsz00),
									(BgL_siza7eza7_3165 - BgL_llstkz00_3167));
								{	/* Eval/evaluate_comp.scm 584 */
									obj_t BgL_zc3anonymousza32985ze3z83_16240;

									BgL_zc3anonymousza32985ze3z83_16240 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32985ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza32985ze3z83_16240,
										(int) (((long) 0)), BINT(BgL_llstkz00_3167));
									PROCEDURE_SET(BgL_zc3anonymousza32985ze3z83_16240,
										(int) (((long) 1)), ((obj_t) BgL_ez00_3159));
									PROCEDURE_SET(BgL_zc3anonymousza32985ze3z83_16240,
										(int) (((long) 2)), BgL_argsz00_3183);
									PROCEDURE_SET(BgL_zc3anonymousza32985ze3z83_16240,
										(int) (((long) 3)), BgL_boxesz00_3169);
									PROCEDURE_SET(BgL_zc3anonymousza32985ze3z83_16240,
										(int) (((long) 4)), BgL_slotz00_3164);
									return BgL_zc3anonymousza32985ze3z83_16240;
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2979> */
	obj_t BGl_z62zc3anonymousza32979ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17238, obj_t BgL_sz00_17246)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 578 */
			{	/* Eval/evaluate_comp.scm 578 */
				long BgL_siza7eza7_17239;
				long BgL_llstkz00_17240;
				BgL_ev_gotoz00_bglt BgL_i1138z00_17241;
				obj_t BgL_argsz00_17242;
				obj_t BgL_boxesz00_17243;
				long BgL_nbargsz00_17244;
				obj_t BgL_slotz00_17245;

				BgL_siza7eza7_17239 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 0))));
				BgL_llstkz00_17240 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 1))));
				BgL_i1138z00_17241 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 2))));
				BgL_argsz00_17242 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 3))));
				BgL_boxesz00_17243 =
					PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 4)));
				BgL_nbargsz00_17244 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 5))));
				BgL_slotz00_17245 = PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3173;

					BgL_sz00_3173 = BgL_sz00_17246;
					{	/* Eval/evaluate_comp.scm 578 */
						obj_t BgL_bpz00_3175;

						BgL_bpz00_3175 = VECTOR_REF(BgL_sz00_3173, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 579 */
							long BgL_spz00_3176;
							long BgL_lspz00_3177;

							BgL_spz00_3176 =
								((long) CINT(BgL_bpz00_3175) + BgL_siza7eza7_17239);
							BgL_lspz00_3177 =
								((long) CINT(BgL_bpz00_3175) + BgL_llstkz00_17240);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3173, BgL_argsz00_17242, BgL_boxesz00_17243,
								BgL_spz00_3176,
								(((BgL_ev_gotoz00_bglt) CREF(BgL_i1138z00_17241))->BgL_locz00));
							{	/* Eval/evaluate_comp.scm 581 */
								long BgL_arg2981z00_3179;

								BgL_arg2981z00_3179 = (BgL_spz00_3176 + BgL_nbargsz00_17244);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3173,
									BINT(BgL_lspz00_3177), BgL_sz00_3173,
									BINT(BgL_spz00_3176), BINT(BgL_arg2981z00_3179));
							}
							return CDR(BgL_slotz00_17245);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2985> */
	obj_t BGl_z62zc3anonymousza32985ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17247, obj_t BgL_sz00_17253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 584 */
			{	/* Eval/evaluate_comp.scm 584 */
				long BgL_llstkz00_17248;
				BgL_ev_gotoz00_bglt BgL_i1138z00_17249;
				obj_t BgL_argsz00_17250;
				obj_t BgL_boxesz00_17251;
				obj_t BgL_slotz00_17252;

				BgL_llstkz00_17248 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 0))));
				BgL_i1138z00_17249 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 1))));
				BgL_argsz00_17250 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 2))));
				BgL_boxesz00_17251 =
					PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 3)));
				BgL_slotz00_17252 = PROCEDURE_REF(BgL_envz00_17247, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3184;

					BgL_sz00_3184 = BgL_sz00_17253;
					{	/* Eval/evaluate_comp.scm 584 */
						obj_t BgL_bpz00_3186;

						BgL_bpz00_3186 = VECTOR_REF(BgL_sz00_3184, (int) (((long) 0)));
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_3184, BgL_argsz00_17250, BgL_boxesz00_17251,
							((long) CINT(BgL_bpz00_3186) + BgL_llstkz00_17248),
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1138z00_17249))->BgL_locz00));
						return CDR(BgL_slotz00_17252);
					}
				}
			}
		}
	}



/* &comp-ev_labels1676 */
	obj_t BGl_z62compzd2ev_labels1676zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17254, obj_t BgL_ez00_17255, obj_t BgL_stkz00_17256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 537 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3113;
				obj_t BgL_stkz00_3114;

				BgL_ez00_3113 = ((BgL_ev_labelsz00_bglt) BgL_ez00_17255);
				BgL_stkz00_3114 = BgL_stkz00_17256;
				((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3113))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3114), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 544 */
					obj_t BgL_envz00_3119;

					{	/* Eval/evaluate_comp.scm 544 */
						obj_t BgL_l1585z00_3137;

						BgL_l1585z00_3137 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3113))->BgL_varsz00);
						if (NULLP(BgL_l1585z00_3137))
							{	/* Eval/evaluate_comp.scm 544 */
								BgL_envz00_3119 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 544 */
								obj_t BgL_head1587z00_3139;

								{	/* Eval/evaluate_comp.scm 544 */
									obj_t BgL_res4932z00_10189;

									BgL_res4932z00_10189 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1587z00_3139 = BgL_res4932z00_10189;
								}
								{
									obj_t BgL_l1585z00_10223;
									obj_t BgL_tail1588z00_10224;

									BgL_l1585z00_10223 = BgL_l1585z00_3137;
									BgL_tail1588z00_10224 = BgL_head1587z00_3139;
								BgL_zc3anonymousza32971ze3z83_10222:
									if (NULLP(BgL_l1585z00_10223))
										{	/* Eval/evaluate_comp.scm 544 */
											BgL_envz00_3119 = CDR(BgL_head1587z00_3139);
										}
									else
										{	/* Eval/evaluate_comp.scm 544 */
											obj_t BgL_newtail1589z00_10231;

											{	/* Eval/evaluate_comp.scm 544 */
												obj_t BgL_arg2974z00_10232;

												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_vz00_10233;

													BgL_vz00_10233 = CAR(BgL_l1585z00_10223);
													BgL_arg2974z00_10232 =
														MAKE_PAIR(BgL_vz00_10233,
														BGl_symbol5663z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_res4938z00_10241;

													BgL_res4938z00_10241 =
														MAKE_PAIR(BgL_arg2974z00_10232, BNIL);
													BgL_newtail1589z00_10231 = BgL_res4938z00_10241;
												}
											}
											SET_CDR(BgL_tail1588z00_10224, BgL_newtail1589z00_10231);
											{
												obj_t BgL_tail1588z00_31172;
												obj_t BgL_l1585z00_31170;

												BgL_l1585z00_31170 = CDR(BgL_l1585z00_10223);
												BgL_tail1588z00_31172 = BgL_newtail1589z00_10231;
												BgL_tail1588z00_10224 = BgL_tail1588z00_31172;
												BgL_l1585z00_10223 = BgL_l1585z00_31170;
												goto BgL_zc3anonymousza32971ze3z83_10222;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3113))->BgL_envz00) =
						((obj_t) BgL_envz00_3119), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 547 */
						obj_t BgL_g1593z00_3121;

						BgL_g1593z00_3121 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3113))->BgL_valsz00);
						{
							obj_t BgL_ll1590z00_3123;
							obj_t BgL_ll1591z00_3124;

							BgL_ll1590z00_3123 = BgL_envz00_3119;
							BgL_ll1591z00_3124 = BgL_g1593z00_3121;
						BgL_zc3anonymousza32961ze3z83_3125:
							if (NULLP(BgL_ll1590z00_3123))
								{	/* Eval/evaluate_comp.scm 547 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 547 */
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_slotz00_3127;
										obj_t BgL_valz00_3128;

										BgL_slotz00_3127 = CAR(BgL_ll1590z00_3123);
										BgL_valz00_3128 = CAR(BgL_ll1591z00_3124);
										{	/* Eval/evaluate_comp.scm 550 */
											obj_t BgL_arg2963z00_3129;

											{	/* Eval/evaluate_comp.scm 550 */
												obj_t BgL_arg2964z00_3130;

												{	/* Eval/evaluate_comp.scm 550 */
													obj_t BgL_arg2965z00_3131;
													obj_t BgL_arg2966z00_3132;

													BgL_arg2965z00_3131 = CDR(BgL_valz00_3128);
													BgL_arg2966z00_3132 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_3114, CAR(BgL_valz00_3128));
													BgL_arg2964z00_3130 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg2965z00_3131),
														BgL_arg2966z00_3132);
												}
												{	/* Eval/evaluate_comp.scm 550 */
													obj_t BgL_procz00_10252;
													obj_t BgL_objz00_10253;

													BgL_procz00_10252 = BgL_arg2964z00_3130;
													BgL_objz00_10253 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_procz00_10252,
														BgL_objz00_10253);
													BgL_objz00_10253;
												}
												BgL_arg2963z00_3129 = BgL_arg2964z00_3130;
											}
											SET_CDR(BgL_slotz00_3127, BgL_arg2963z00_3129);
										}
									}
									{
										obj_t BgL_ll1591z00_31188;
										obj_t BgL_ll1590z00_31186;

										BgL_ll1590z00_31186 = CDR(BgL_ll1590z00_3123);
										BgL_ll1591z00_31188 = CDR(BgL_ll1591z00_3124);
										BgL_ll1591z00_3124 = BgL_ll1591z00_31188;
										BgL_ll1590z00_3123 = BgL_ll1590z00_31186;
										goto BgL_zc3anonymousza32961ze3z83_3125;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 554 */
					obj_t BgL_bodyz00_3150;

					BgL_bodyz00_3150 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3113))->BgL_bodyz00),
						BgL_stkz00_3114);
					{	/* Eval/evaluate_comp.scm 555 */
						obj_t BgL_zc3anonymousza32975ze3z83_16242;

						BgL_zc3anonymousza32975ze3z83_16242 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32975ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32975ze3z83_16242,
							(int) (((long) 0)), BgL_bodyz00_3150);
						return BgL_zc3anonymousza32975ze3z83_16242;
					}
				}
			}
		}
	}



/* &<anonymous:2975> */
	obj_t BGl_z62zc3anonymousza32975ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17257, obj_t BgL_sz00_17259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 555 */
			{	/* Eval/evaluate_comp.scm 555 */
				obj_t BgL_bodyz00_17258;

				BgL_bodyz00_17258 = PROCEDURE_REF(BgL_envz00_17257, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3151;

					BgL_sz00_3151 = BgL_sz00_17259;
					{	/* Eval/evaluate_comp.scm 555 */
						obj_t BgL_bpz00_10258;

						BgL_bpz00_10258 = VECTOR_REF(BgL_sz00_3151, (int) (((long) 0)));
						{
							obj_t BgL_fz00_10264;

							BgL_fz00_10264 = BgL_bodyz00_17258;
						BgL_recz00_10263:
							{	/* Eval/evaluate_comp.scm 555 */
								obj_t BgL_rz00_10265;

								BgL_rz00_10265 =
									PROCEDURE_ENTRY(BgL_fz00_10264) (BgL_fz00_10264,
									BgL_sz00_3151, BEOA);
								{	/* Eval/evaluate_comp.scm 555 */
									bool_t BgL_testz00_31206;

									if (PROCEDUREP(BgL_rz00_10265))
										{	/* Eval/evaluate_comp.scm 555 */
											obj_t BgL_arg1861z00_10268;

											BgL_arg1861z00_10268 = PROCEDURE_ATTR(BgL_rz00_10265);
											if (STRUCTP(BgL_arg1861z00_10268))
												{	/* Eval/evaluate_comp.scm 555 */
													BgL_testz00_31206 =
														(STRUCT_KEY(BgL_arg1861z00_10268) ==
														BGl_symbol5541z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 555 */
													BgL_testz00_31206 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 555 */
											BgL_testz00_31206 = ((bool_t) 0);
										}
									if (BgL_testz00_31206)
										{
											obj_t BgL_fz00_31214;

											BgL_fz00_31214 = BgL_rz00_10265;
											BgL_fz00_10264 = BgL_fz00_31214;
											goto BgL_recz00_10263;
										}
									else
										{	/* Eval/evaluate_comp.scm 555 */
											return BgL_rz00_10265;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1674 */
	obj_t BGl_z62compzd2ev_withzd2handler1674z62zz__evaluate_compz00(obj_t
		BgL_envz00_17260, obj_t BgL_ez00_17261, obj_t BgL_stkz00_17262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 524 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3075;
				obj_t BgL_stkz00_3076;

				BgL_ez00_3075 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_17261);
				BgL_stkz00_3076 = BgL_stkz00_17262;
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_handlerz00_3080;
					obj_t BgL_bodyz00_3081;

					BgL_handlerz00_3080 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_3075))->
							BgL_handlerz00), BgL_stkz00_3076);
					BgL_bodyz00_3081 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_3075))->BgL_bodyz00), BgL_stkz00_3076);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3anonymousza32949ze3z83_16245;

						BgL_zc3anonymousza32949ze3z83_16245 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32949ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32949ze3z83_16245,
							(int) (((long) 0)), BgL_handlerz00_3080);
						PROCEDURE_SET(BgL_zc3anonymousza32949ze3z83_16245,
							(int) (((long) 1)), BgL_bodyz00_3081);
						return BgL_zc3anonymousza32949ze3z83_16245;
					}
				}
			}
		}
	}



/* &<anonymous:2949> */
	obj_t BGl_z62zc3anonymousza32949ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17263, obj_t BgL_sz00_17266)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				obj_t BgL_handlerz00_17264;
				obj_t BgL_bodyz00_17265;

				BgL_handlerz00_17264 =
					PROCEDURE_REF(BgL_envz00_17263, (int) (((long) 0)));
				BgL_bodyz00_17265 = PROCEDURE_REF(BgL_envz00_17263, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3082;

					BgL_sz00_3082 = BgL_sz00_17266;
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_bpz00_3084;

						BgL_bpz00_3084 = VECTOR_REF(BgL_sz00_3082, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 528 */
							obj_t BgL_hz00_3085;

							BgL_hz00_3085 =
								PROCEDURE_ENTRY(BgL_handlerz00_17264) (BgL_handlerz00_17264,
								BgL_sz00_3082, BEOA);
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_za2za2resza2za2z00_3087;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_res1126z00_3088;

									BgL_res1126z00_3088 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza32951ze3z83zz__evaluate_compz00
											(BgL_sz00_3082, BgL_bodyz00_17265, BgL_res1126z00_3088)))
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3087 =
												PROCEDURE_ENTRY(BgL_hz00_3085) (BgL_hz00_3085,
												CELL_REF(BgL_res1126z00_3088), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3087 =
												CELL_REF(BgL_res1126z00_3088);
										}
								}
								VECTOR_SET(BgL_sz00_3082, (int) (((long) 0)), BgL_bpz00_3084);
								return BgL_za2za2resza2za2z00_3087;
							}
						}
					}
				}
			}
		}
	}



/* <exit:2955> */
	obj_t BGl_zc3exitza32955ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17446,
		obj_t BgL_bodyz00_17445, obj_t BgL_ohs1124z00_17444,
		obj_t BgL_an_exitd1130z00_17443, obj_t BgL_res1126z00_17442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1134z00_3103;

			if (SET_EXIT(BgL_an_exit1134z00_3103))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1134z00_3103 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1134z00_3103, ((long) 0));
						{	/* Eval/evaluate_comp.scm 530 */
							bool_t BgL_val1135z00_3104;

							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_arg2956z00_3105;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_zc3anonymousza32958ze3z83_16244;

									BgL_zc3anonymousza32958ze3z83_16244 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32958ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32958ze3z83_16244,
										(int) (((long) 0)), BgL_res1126z00_17442);
									PROCEDURE_SET(BgL_zc3anonymousza32958ze3z83_16244,
										(int) (((long) 1)), BgL_an_exitd1130z00_17443);
									BgL_arg2956z00_3105 =
										MAKE_PAIR(BgL_zc3anonymousza32958ze3z83_16244,
										BgL_ohs1124z00_17444);
								}
								BGL_ERROR_HANDLER_SET(BgL_arg2956z00_3105);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_auxz00_17267;

								BgL_auxz00_17267 =
									PROCEDURE_ENTRY(BgL_bodyz00_17445) (BgL_bodyz00_17445,
									BgL_sz00_17446, BEOA);
								CELL_SET(BgL_res1126z00_17442, BgL_auxz00_17267);
							}
							BgL_val1135z00_3104 = ((bool_t) 0);
							POP_EXIT();
							return BBOOL(BgL_val1135z00_3104);
						}
					}
				}
		}
	}



/* <exit:2951> */
	obj_t BGl_zc3exitza32951ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17449,
		obj_t BgL_bodyz00_17448, obj_t BgL_res1126z00_17447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1129z00_3092;

			if (SET_EXIT(BgL_an_exit1129z00_3092))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1129z00_3092 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1129z00_3092, ((long) 1));
						{	/* Eval/evaluate_comp.scm 530 */
							obj_t BgL_an_exitd1130z00_3093;

							BgL_an_exitd1130z00_3093 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_res1132z00_3096;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_ohs1124z00_3097;

									BgL_ohs1124z00_3097 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 530 */
										obj_t BgL_val1133z00_3098;

										BgL_val1133z00_3098 =
											BGl_zc3exitza32955ze3z83zz__evaluate_compz00
											(BgL_sz00_17449, BgL_bodyz00_17448, BgL_ohs1124z00_3097,
											BgL_an_exitd1130z00_3093, BgL_res1126z00_17447);
										BGL_ERROR_HANDLER_SET(BgL_ohs1124z00_3097);
										BUNSPEC;
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1133z00_3098)))
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1132z00_3096 =
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1133z00_3098), CDR(BgL_val1133z00_3098));
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1132z00_3096 = BgL_val1133z00_3098;
											}
									}
								}
								POP_EXIT();
								return BgL_res1132z00_3096;
							}
						}
					}
				}
		}
	}



/* &<anonymous:2958> */
	obj_t BGl_z62zc3anonymousza32958ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17268, obj_t BgL_ez00_17271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_res1126z00_17269;
				obj_t BgL_an_exitd1130z00_17270;

				BgL_res1126z00_17269 =
					PROCEDURE_REF(BgL_envz00_17268, (int) (((long) 0)));
				BgL_an_exitd1130z00_17270 =
					PROCEDURE_REF(BgL_envz00_17268, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3107;

					BgL_ez00_3107 = BgL_ez00_17271;
					CELL_SET(BgL_res1126z00_17269, BgL_ez00_3107);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1130z00_17270,
						BTRUE);
				}
			}
		}
	}



/* &comp-ev_unwind-prote1672 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1672z62zz__evaluate_compz00(obj_t
		BgL_envz00_17273, obj_t BgL_ez00_17274, obj_t BgL_stkz00_17275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3054;
				obj_t BgL_stkz00_3055;

				BgL_ez00_3054 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_17274);
				BgL_stkz00_3055 = BgL_stkz00_17275;
				{	/* Eval/evaluate_comp.scm 517 */
					obj_t BgL_ez00_3059;
					obj_t BgL_bodyz00_3060;

					BgL_ez00_3059 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_3054))->BgL_ez00),
						BgL_stkz00_3055);
					BgL_bodyz00_3060 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
								CREF(BgL_ez00_3054))->BgL_bodyz00), BgL_stkz00_3055);
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_zc3anonymousza32942ze3z83_16247;

						BgL_zc3anonymousza32942ze3z83_16247 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32942ze3z83_16247,
							(int) (((long) 0)), BgL_ez00_3059);
						PROCEDURE_SET(BgL_zc3anonymousza32942ze3z83_16247,
							(int) (((long) 1)), BgL_bodyz00_3060);
						return BgL_zc3anonymousza32942ze3z83_16247;
					}
				}
			}
		}
	}



/* &<anonymous:2942> */
	obj_t BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17276, obj_t BgL_sz00_17279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 518 */
			{	/* Eval/evaluate_comp.scm 518 */
				obj_t BgL_ez00_17277;
				obj_t BgL_bodyz00_17278;

				BgL_ez00_17277 = PROCEDURE_REF(BgL_envz00_17276, (int) (((long) 0)));
				BgL_bodyz00_17278 = PROCEDURE_REF(BgL_envz00_17276, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3061;

					BgL_sz00_3061 = BgL_sz00_17279;
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_bpz00_3063;

						BgL_bpz00_3063 = VECTOR_REF(BgL_sz00_3061, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1120z00_3065;

							BgL_val1120z00_3065 =
								BGl_zc3exitza32946ze3z83zz__evaluate_compz00(BgL_sz00_3061,
								BgL_ez00_17277);
							VECTOR_SET(BgL_sz00_3061, (int) (((long) 0)), BgL_bpz00_3063);
							PROCEDURE_ENTRY(BgL_bodyz00_17278) (BgL_bodyz00_17278,
								BgL_sz00_3061, BEOA);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val1120z00_3065)))
								{	/* Eval/evaluate_comp.scm 522 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val1120z00_3065), CDR(BgL_val1120z00_3065));
								}
							else
								{	/* Eval/evaluate_comp.scm 522 */
									return BgL_val1120z00_3065;
								}
						}
					}
				}
			}
		}
	}



/* <exit:2946> */
	obj_t BGl_zc3exitza32946ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17441,
		obj_t BgL_ez00_17440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 521 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1121z00_3070;

			if (SET_EXIT(BgL_an_exit1121z00_3070))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1121z00_3070 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 521 */

						PUSH_EXIT(BgL_an_exit1121z00_3070, ((long) 0));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1122z00_3071;

							BgL_val1122z00_3071 =
								PROCEDURE_ENTRY(BgL_ez00_17440) (BgL_ez00_17440, BgL_sz00_17441,
								BEOA);
							POP_EXIT();
							return BgL_val1122z00_3071;
						}
					}
				}
		}
	}



/* &comp-ev_bind-exit1670 */
	obj_t BGl_z62compzd2ev_bindzd2exit1670z62zz__evaluate_compz00(obj_t
		BgL_envz00_17280, obj_t BgL_ez00_17281, obj_t BgL_stkz00_17282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 504 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3027;
				obj_t BgL_stkz00_3028;

				BgL_ez00_3027 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_17281);
				BgL_stkz00_3028 = BgL_stkz00_17282;
				{	/* Eval/evaluate_comp.scm 506 */
					long BgL_siza7eza7_3032;
					obj_t BgL_nstkz00_3033;

					BgL_siza7eza7_3032 = bgl_list_length(BgL_stkz00_3028);
					{	/* Eval/evaluate_comp.scm 506 */
						obj_t BgL_arg2940z00_3051;

						{	/* Eval/evaluate_comp.scm 506 */
							BgL_ev_varz00_bglt BgL_arg2941z00_3052;

							BgL_arg2941z00_3052 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3027))->
								BgL_varz00);
							BgL_arg2940z00_3051 =
								MAKE_PAIR(((obj_t) BgL_arg2941z00_3052), BNIL);
						}
						BgL_nstkz00_3033 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3028,
							BgL_arg2940z00_3051);
					}
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_bodyz00_3034;
						obj_t BgL_effzf3zf3_3035;

						BgL_bodyz00_3034 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3027))->BgL_bodyz00),
							BgL_nstkz00_3033);
						BgL_effzf3zf3_3035 =
							(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
											CREF(BgL_ez00_3027))->BgL_varz00)))->BgL_effz00);
						{	/* Eval/evaluate_comp.scm 508 */
							obj_t BgL_zc3anonymousza32935ze3z83_16250;

							BgL_zc3anonymousza32935ze3z83_16250 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_16250,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3032));
							PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_16250,
								(int) (((long) 1)), BgL_effzf3zf3_3035);
							PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_16250,
								(int) (((long) 2)), BgL_bodyz00_3034);
							return BgL_zc3anonymousza32935ze3z83_16250;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2935> */
	obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17283, obj_t BgL_sz00_17287)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 508 */
			{	/* Eval/evaluate_comp.scm 508 */
				long BgL_siza7eza7_17284;
				obj_t BgL_effzf3zf3_17285;
				obj_t BgL_bodyz00_17286;

				BgL_siza7eza7_17284 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17283, (int) (((long) 0))));
				BgL_effzf3zf3_17285 =
					PROCEDURE_REF(BgL_envz00_17283, (int) (((long) 1)));
				BgL_bodyz00_17286 = PROCEDURE_REF(BgL_envz00_17283, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3036;

					BgL_sz00_3036 = BgL_sz00_17287;
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bpz00_3038;

						BgL_bpz00_3038 = VECTOR_REF(BgL_sz00_3036, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_za2za2resza2za2z00_3040;

							BgL_za2za2resza2za2z00_3040 =
								BGl_zc3exitza32936ze3z83zz__evaluate_compz00(BgL_bodyz00_17286,
								BgL_sz00_3036, BgL_effzf3zf3_17285, BgL_siza7eza7_17284,
								BgL_bpz00_3038);
							VECTOR_SET(BgL_sz00_3036, (int) (((long) 0)), BgL_bpz00_3038);
							return BgL_za2za2resza2za2z00_3040;
						}
					}
				}
			}
		}
	}



/* <exit:2936> */
	obj_t BGl_zc3exitza32936ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_17439,
		obj_t BgL_sz00_17438, obj_t BgL_effzf3zf3_17437, long BgL_siza7eza7_17436,
		obj_t BgL_bpz00_17435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1115z00_3042;

			if (SET_EXIT(BgL_an_exit1115z00_3042))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1115z00_3042 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 510 */

						PUSH_EXIT(BgL_an_exit1115z00_3042, ((long) 1));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_an_exitd1116z00_3043;

							BgL_an_exitd1116z00_3043 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_exitz00_16249;

								BgL_exitz00_16249 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_16249,
									(int) (((long) 0)), BgL_an_exitd1116z00_3043);
								{	/* Eval/evaluate_comp.scm 511 */
									obj_t BgL_res1118z00_3046;

									{	/* Eval/evaluate_comp.scm 511 */
										long BgL_arg2937z00_3047;
										obj_t BgL_arg2938z00_3048;

										BgL_arg2937z00_3047 =
											((long) CINT(BgL_bpz00_17435) + BgL_siza7eza7_17436);
										if (CBOOL(BgL_effzf3zf3_17437))
											{	/* Eval/evaluate_comp.scm 511 */
												obj_t BgL_newz00_10158;

												BgL_newz00_10158 =
													create_struct(BGl_symbol5557z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 511 */
													int BgL_auxz00_31369;

													BgL_auxz00_31369 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10158, BgL_auxz00_31369,
														BgL_exitz00_16249);
												}
												BgL_arg2938z00_3048 = BgL_newz00_10158;
											}
										else
											{	/* Eval/evaluate_comp.scm 511 */
												BgL_arg2938z00_3048 = BgL_exitz00_16249;
											}
										VECTOR_SET(BgL_sz00_17438,
											(int) (BgL_arg2937z00_3047), BgL_arg2938z00_3048);
									}
									BgL_res1118z00_3046 =
										PROCEDURE_ENTRY(BgL_bodyz00_17439) (BgL_bodyz00_17439,
										BgL_sz00_17438, BEOA);
									POP_EXIT();
									return BgL_res1118z00_3046;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_17288,
		obj_t BgL_val1117z00_17290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				obj_t BgL_an_exitd1116z00_17289;

				BgL_an_exitd1116z00_17289 =
					PROCEDURE_REF(BgL_envz00_17288, (int) (((long) 0)));
				{
					obj_t BgL_val1117z00_3044;

					BgL_val1117z00_3044 = BgL_val1117z00_17290;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1116z00_17289,
						BgL_val1117z00_3044);
				}
			}
		}
	}



/* &comp-ev_letrec1668 */
	obj_t BGl_z62compzd2ev_letrec1668zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17291, obj_t BgL_ez00_17292, obj_t BgL_stkz00_17293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 475 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_2927;
				obj_t BgL_stkz00_2928;

				BgL_ez00_2927 = ((BgL_ev_letrecz00_bglt) BgL_ez00_17292);
				BgL_stkz00_2928 = BgL_stkz00_17293;
				{	/* Eval/evaluate_comp.scm 477 */
					long BgL_siza7eza7_2932;
					obj_t BgL_nstkz00_2933;

					BgL_siza7eza7_2932 = bgl_list_length(BgL_stkz00_2928);
					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_arg2934z00_3025;

						BgL_arg2934z00_3025 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2927)))->BgL_varsz00);
						BgL_nstkz00_2933 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2928,
							BgL_arg2934z00_3025);
					}
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_cvalsz00_2934;
						obj_t BgL_bodyz00_2935;

						{	/* Eval/evaluate_comp.scm 478 */
							obj_t BgL_l1570z00_3011;

							BgL_l1570z00_3011 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2927)))->BgL_valsz00);
							if (NULLP(BgL_l1570z00_3011))
								{	/* Eval/evaluate_comp.scm 478 */
									BgL_cvalsz00_2934 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_head1572z00_3013;

									{	/* Eval/evaluate_comp.scm 478 */
										obj_t BgL_res4888z00_9765;

										BgL_res4888z00_9765 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1572z00_3013 = BgL_res4888z00_9765;
									}
									{
										obj_t BgL_l1570z00_9799;
										obj_t BgL_tail1573z00_9800;

										BgL_l1570z00_9799 = BgL_l1570z00_3011;
										BgL_tail1573z00_9800 = BgL_head1572z00_3013;
									BgL_zc3anonymousza32929ze3z83_9798:
										if (NULLP(BgL_l1570z00_9799))
											{	/* Eval/evaluate_comp.scm 478 */
												BgL_cvalsz00_2934 = CDR(BgL_head1572z00_3013);
											}
										else
											{	/* Eval/evaluate_comp.scm 478 */
												obj_t BgL_newtail1574z00_9807;

												{	/* Eval/evaluate_comp.scm 478 */
													obj_t BgL_arg2932z00_9808;

													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_vz00_9809;

														BgL_vz00_9809 = CAR(BgL_l1570z00_9799);
														BgL_arg2932z00_9808 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9809),
															BgL_nstkz00_2933);
													}
													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_res4894z00_9817;

														BgL_res4894z00_9817 =
															MAKE_PAIR(BgL_arg2932z00_9808, BNIL);
														BgL_newtail1574z00_9807 = BgL_res4894z00_9817;
													}
												}
												SET_CDR(BgL_tail1573z00_9800, BgL_newtail1574z00_9807);
												{
													obj_t BgL_tail1573z00_31401;
													obj_t BgL_l1570z00_31399;

													BgL_l1570z00_31399 = CDR(BgL_l1570z00_9799);
													BgL_tail1573z00_31401 = BgL_newtail1574z00_9807;
													BgL_tail1573z00_9800 = BgL_tail1573z00_31401;
													BgL_l1570z00_9799 = BgL_l1570z00_31399;
													goto BgL_zc3anonymousza32929ze3z83_9798;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 479 */
							BgL_ev_exprz00_bglt BgL_arg2933z00_3024;

							BgL_arg2933z00_3024 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2927)))->BgL_bodyz00);
							BgL_bodyz00_2935 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2933z00_3024,
								BgL_nstkz00_2933);
						}
						{	/* Eval/evaluate_comp.scm 480 */
							bool_t BgL_testz00_31405;

							{
								obj_t BgL_l1575z00_9842;
								bool_t BgL_lv1576z00_9843;

								BgL_l1575z00_9842 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_2927)))->BgL_valsz00);
								BgL_lv1576z00_9843 = ((bool_t) 1);
							BgL_zc3anonymousza32925ze3z83_9841:
								if (NULLP(BgL_l1575z00_9842))
									{	/* Eval/evaluate_comp.scm 480 */
										BgL_testz00_31405 = BgL_lv1576z00_9843;
									}
								else
									{	/* Eval/evaluate_comp.scm 480 */
										bool_t BgL_nvz00_9850;

										{	/* Eval/evaluate_comp.scm 480 */
											obj_t BgL_vz00_9851;

											BgL_vz00_9851 = CAR(BgL_l1575z00_9842);
											BgL_nvz00_9850 =
												BGl_isazf3zf3zz__objectz00(BgL_vz00_9851,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_nvz00_9850)
											{
												bool_t BgL_lv1576z00_31413;
												obj_t BgL_l1575z00_31411;

												BgL_l1575z00_31411 = CDR(BgL_l1575z00_9842);
												BgL_lv1576z00_31413 = BgL_nvz00_9850;
												BgL_lv1576z00_9843 = BgL_lv1576z00_31413;
												BgL_l1575z00_9842 = BgL_l1575z00_31411;
												goto BgL_zc3anonymousza32925ze3z83_9841;
											}
										else
											{	/* Eval/evaluate_comp.scm 480 */
												BgL_testz00_31405 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_31405)
								{	/* Eval/evaluate_comp.scm 481 */
									obj_t BgL_zc3anonymousza32895ze3z83_16253;

									BgL_zc3anonymousza32895ze3z83_16253 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32895ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32895ze3z83_16253,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2932));
									PROCEDURE_SET(BgL_zc3anonymousza32895ze3z83_16253,
										(int) (((long) 1)), BgL_cvalsz00_2934);
									PROCEDURE_SET(BgL_zc3anonymousza32895ze3z83_16253,
										(int) (((long) 2)), BgL_bodyz00_2935);
									return BgL_zc3anonymousza32895ze3z83_16253;
								}
							else
								{	/* Eval/evaluate_comp.scm 491 */
									obj_t BgL_zc3anonymousza32908ze3z83_16252;

									BgL_zc3anonymousza32908ze3z83_16252 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32908ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32908ze3z83_16252,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2932));
									PROCEDURE_SET(BgL_zc3anonymousza32908ze3z83_16252,
										(int) (((long) 1)), BgL_cvalsz00_2934);
									PROCEDURE_SET(BgL_zc3anonymousza32908ze3z83_16252,
										(int) (((long) 2)), BgL_bodyz00_2935);
									return BgL_zc3anonymousza32908ze3z83_16252;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2895> */
	obj_t BGl_z62zc3anonymousza32895ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17294, obj_t BgL_sz00_17298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 481 */
				long BgL_siza7eza7_17295;
				obj_t BgL_cvalsz00_17296;
				obj_t BgL_bodyz00_17297;

				BgL_siza7eza7_17295 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17294, (int) (((long) 0))));
				BgL_cvalsz00_17296 =
					PROCEDURE_REF(BgL_envz00_17294, (int) (((long) 1)));
				BgL_bodyz00_17297 = PROCEDURE_REF(BgL_envz00_17294, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2937;

					BgL_sz00_2937 = BgL_sz00_17298;
					{	/* Eval/evaluate_comp.scm 481 */
						obj_t BgL_bpz00_2939;

						BgL_bpz00_2939 = VECTOR_REF(BgL_sz00_2937, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 482 */
							long BgL_g1109z00_2940;

							BgL_g1109z00_2940 =
								((long) CINT(BgL_bpz00_2939) + BgL_siza7eza7_17295);
							{
								obj_t BgL_lz00_9906;
								long BgL_iz00_9907;

								BgL_lz00_9906 = BgL_cvalsz00_17296;
								BgL_iz00_9907 = BgL_g1109z00_2940;
							BgL_recz00_9905:
								if (NULLP(BgL_lz00_9906))
									{	/* Eval/evaluate_comp.scm 482 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 482 */
										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_arg2898z00_9913;

											{	/* Eval/evaluate_comp.scm 482 */
												obj_t BgL_newz00_9919;

												BgL_newz00_9919 =
													create_struct(BGl_symbol5557z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 482 */
													int BgL_auxz00_31452;

													BgL_auxz00_31452 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9919, BgL_auxz00_31452,
														BUNSPEC);
												}
												BgL_arg2898z00_9913 = BgL_newz00_9919;
											}
											VECTOR_SET(BgL_sz00_2937,
												(int) (BgL_iz00_9907), BgL_arg2898z00_9913);
										}
										{
											long BgL_iz00_31459;
											obj_t BgL_lz00_31457;

											BgL_lz00_31457 = CDR(BgL_lz00_9906);
											BgL_iz00_31459 = (BgL_iz00_9907 + ((long) 1));
											BgL_iz00_9907 = BgL_iz00_31459;
											BgL_lz00_9906 = BgL_lz00_31457;
											goto BgL_recz00_9905;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 486 */
							long BgL_g1110z00_2950;

							BgL_g1110z00_2950 =
								((long) CINT(BgL_bpz00_2939) + BgL_siza7eza7_17295);
							{
								obj_t BgL_lz00_2952;
								long BgL_iz00_2953;

								BgL_lz00_2952 = BgL_cvalsz00_17296;
								BgL_iz00_2953 = BgL_g1110z00_2950;
							BgL_zc3anonymousza32901ze3z83_2954:
								if (NULLP(BgL_lz00_2952))
									{	/* Eval/evaluate_comp.scm 487 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 487 */
										{	/* Eval/evaluate_comp.scm 488 */
											obj_t BgL_arg2903z00_2956;
											obj_t BgL_arg2904z00_2957;

											BgL_arg2903z00_2956 =
												VECTOR_REF(BgL_sz00_2937, (int) (BgL_iz00_2953));
											{	/* Eval/evaluate_comp.scm 488 */
												obj_t BgL_fun2905z00_2958;

												BgL_fun2905z00_2958 = CAR(BgL_lz00_2952);
												BgL_arg2904z00_2957 =
													PROCEDURE_ENTRY(BgL_fun2905z00_2958)
													(BgL_fun2905z00_2958, BgL_sz00_2937, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 488 */
												int BgL_auxz00_31472;

												BgL_auxz00_31472 = (int) (((long) 0));
												STRUCT_SET(BgL_arg2903z00_2956, BgL_auxz00_31472,
													BgL_arg2904z00_2957);
										}}
										{
											long BgL_iz00_31477;
											obj_t BgL_lz00_31475;

											BgL_lz00_31475 = CDR(BgL_lz00_2952);
											BgL_iz00_31477 = (BgL_iz00_2953 + ((long) 1));
											BgL_iz00_2953 = BgL_iz00_31477;
											BgL_lz00_2952 = BgL_lz00_31475;
											goto BgL_zc3anonymousza32901ze3z83_2954;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17297) (BgL_bodyz00_17297,
							BgL_sz00_2937, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:2908> */
	obj_t BGl_z62zc3anonymousza32908ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17299, obj_t BgL_sz00_17303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 491 */
			{	/* Eval/evaluate_comp.scm 491 */
				long BgL_siza7eza7_17300;
				obj_t BgL_cvalsz00_17301;
				obj_t BgL_bodyz00_17302;

				BgL_siza7eza7_17300 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17299, (int) (((long) 0))));
				BgL_cvalsz00_17301 =
					PROCEDURE_REF(BgL_envz00_17299, (int) (((long) 1)));
				BgL_bodyz00_17302 = PROCEDURE_REF(BgL_envz00_17299, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2962;

					BgL_sz00_2962 = BgL_sz00_17303;
					{	/* Eval/evaluate_comp.scm 491 */
						obj_t BgL_bpz00_2964;

						BgL_bpz00_2964 = VECTOR_REF(BgL_sz00_2962, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 492 */
							long BgL_g1111z00_2965;

							BgL_g1111z00_2965 =
								((long) CINT(BgL_bpz00_2964) + BgL_siza7eza7_17300);
							{
								obj_t BgL_lz00_9997;
								long BgL_iz00_9998;

								BgL_lz00_9997 = BgL_cvalsz00_17301;
								BgL_iz00_9998 = BgL_g1111z00_2965;
							BgL_recz00_9996:
								if (NULLP(BgL_lz00_9997))
									{	/* Eval/evaluate_comp.scm 492 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 492 */
										{	/* Eval/evaluate_comp.scm 492 */
											obj_t BgL_arg2911z00_10004;

											{	/* Eval/evaluate_comp.scm 492 */
												obj_t BgL_newz00_10010;

												BgL_newz00_10010 =
													create_struct(BGl_symbol5557z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 492 */
													int BgL_auxz00_31498;

													BgL_auxz00_31498 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10010, BgL_auxz00_31498,
														BUNSPEC);
												}
												BgL_arg2911z00_10004 = BgL_newz00_10010;
											}
											VECTOR_SET(BgL_sz00_2962,
												(int) (BgL_iz00_9998), BgL_arg2911z00_10004);
										}
										{
											long BgL_iz00_31505;
											obj_t BgL_lz00_31503;

											BgL_lz00_31503 = CDR(BgL_lz00_9997);
											BgL_iz00_31505 = (BgL_iz00_9998 + ((long) 1));
											BgL_iz00_9998 = BgL_iz00_31505;
											BgL_lz00_9997 = BgL_lz00_31503;
											goto BgL_recz00_9996;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 496 */
							obj_t BgL_rvalsz00_2975;

							if (NULLP(BgL_cvalsz00_17301))
								{	/* Eval/evaluate_comp.scm 496 */
									BgL_rvalsz00_2975 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 496 */
									obj_t BgL_head1582z00_2989;

									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_res4916z00_10027;

										BgL_res4916z00_10027 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1582z00_2989 = BgL_res4916z00_10027;
									}
									{
										obj_t BgL_l1580z00_10061;
										obj_t BgL_tail1583z00_10062;

										BgL_l1580z00_10061 = BgL_cvalsz00_17301;
										BgL_tail1583z00_10062 = BgL_head1582z00_2989;
									BgL_zc3anonymousza32921ze3z83_10060:
										if (NULLP(BgL_l1580z00_10061))
											{	/* Eval/evaluate_comp.scm 496 */
												BgL_rvalsz00_2975 = CDR(BgL_head1582z00_2989);
											}
										else
											{	/* Eval/evaluate_comp.scm 496 */
												obj_t BgL_newtail1584z00_10069;

												{	/* Eval/evaluate_comp.scm 496 */
													obj_t BgL_arg2924z00_10070;

													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_vz00_10071;

														BgL_vz00_10071 = CAR(BgL_l1580z00_10061);
														BgL_arg2924z00_10070 =
															PROCEDURE_ENTRY(BgL_vz00_10071) (BgL_vz00_10071,
															BgL_sz00_2962, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_res4922z00_10079;

														BgL_res4922z00_10079 =
															MAKE_PAIR(BgL_arg2924z00_10070, BNIL);
														BgL_newtail1584z00_10069 = BgL_res4922z00_10079;
													}
												}
												SET_CDR(BgL_tail1583z00_10062,
													BgL_newtail1584z00_10069);
												{
													obj_t BgL_tail1583z00_31522;
													obj_t BgL_l1580z00_31520;

													BgL_l1580z00_31520 = CDR(BgL_l1580z00_10061);
													BgL_tail1583z00_31522 = BgL_newtail1584z00_10069;
													BgL_tail1583z00_10062 = BgL_tail1583z00_31522;
													BgL_l1580z00_10061 = BgL_l1580z00_31520;
													goto BgL_zc3anonymousza32921ze3z83_10060;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 497 */
								long BgL_g1112z00_2976;

								BgL_g1112z00_2976 =
									((long) CINT(BgL_bpz00_2964) + BgL_siza7eza7_17300);
								{
									obj_t BgL_lz00_10127;
									long BgL_iz00_10128;

									BgL_lz00_10127 = BgL_rvalsz00_2975;
									BgL_iz00_10128 = BgL_g1112z00_2976;
								BgL_recz00_10126:
									if (NULLP(BgL_lz00_10127))
										{	/* Eval/evaluate_comp.scm 497 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_auxz00_31532;
												int BgL_auxz00_31530;
												obj_t BgL_auxz00_31527;

												BgL_auxz00_31532 = CAR(BgL_lz00_10127);
												BgL_auxz00_31530 = (int) (((long) 0));
												BgL_auxz00_31527 =
													VECTOR_REF(BgL_sz00_2962, (int) (BgL_iz00_10128));
												STRUCT_SET(BgL_auxz00_31527, BgL_auxz00_31530,
													BgL_auxz00_31532);
											}
											{
												long BgL_iz00_31537;
												obj_t BgL_lz00_31535;

												BgL_lz00_31535 = CDR(BgL_lz00_10127);
												BgL_iz00_31537 = (BgL_iz00_10128 + ((long) 1));
												BgL_iz00_10128 = BgL_iz00_31537;
												BgL_lz00_10127 = BgL_lz00_31535;
												goto BgL_recz00_10126;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_17302) (BgL_bodyz00_17302,
								BgL_sz00_2962, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*1666 */
	obj_t BGl_z62compzd2ev_letza21666z12zz__evaluate_compz00(obj_t
		BgL_envz00_17304, obj_t BgL_ez00_17305, obj_t BgL_stkz00_17306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_2883;
				obj_t BgL_stkz00_2884;

				BgL_ez00_2883 = ((BgL_ev_letza2za2_bglt) BgL_ez00_17305);
				BgL_stkz00_2884 = BgL_stkz00_17306;
				{	/* Eval/evaluate_comp.scm 464 */
					long BgL_siza7eza7_2888;
					obj_t BgL_nstkz00_2889;

					BgL_siza7eza7_2888 = bgl_list_length(BgL_stkz00_2884);
					{	/* Eval/evaluate_comp.scm 464 */
						obj_t BgL_arg2893z00_2925;

						BgL_arg2893z00_2925 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2883)))->BgL_varsz00);
						BgL_nstkz00_2889 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2884,
							BgL_arg2893z00_2925);
					}
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_valsz00_2890;
						obj_t BgL_bodyz00_2891;

						{	/* Eval/evaluate_comp.scm 465 */
							obj_t BgL_l1565z00_2911;

							BgL_l1565z00_2911 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2883)))->BgL_valsz00);
							if (NULLP(BgL_l1565z00_2911))
								{	/* Eval/evaluate_comp.scm 465 */
									BgL_valsz00_2890 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 465 */
									obj_t BgL_head1567z00_2913;

									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_res4877z00_9681;

										BgL_res4877z00_9681 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1567z00_2913 = BgL_res4877z00_9681;
									}
									{
										obj_t BgL_l1565z00_9715;
										obj_t BgL_tail1568z00_9716;

										BgL_l1565z00_9715 = BgL_l1565z00_2911;
										BgL_tail1568z00_9716 = BgL_head1567z00_2913;
									BgL_zc3anonymousza32888ze3z83_9714:
										if (NULLP(BgL_l1565z00_9715))
											{	/* Eval/evaluate_comp.scm 465 */
												BgL_valsz00_2890 = CDR(BgL_head1567z00_2913);
											}
										else
											{	/* Eval/evaluate_comp.scm 465 */
												obj_t BgL_newtail1569z00_9723;

												{	/* Eval/evaluate_comp.scm 465 */
													obj_t BgL_arg2891z00_9724;

													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_vz00_9725;

														BgL_vz00_9725 = CAR(BgL_l1565z00_9715);
														BgL_arg2891z00_9724 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9725),
															BgL_nstkz00_2889);
													}
													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_res4883z00_9733;

														BgL_res4883z00_9733 =
															MAKE_PAIR(BgL_arg2891z00_9724, BNIL);
														BgL_newtail1569z00_9723 = BgL_res4883z00_9733;
													}
												}
												SET_CDR(BgL_tail1568z00_9716, BgL_newtail1569z00_9723);
												{
													obj_t BgL_tail1568z00_31562;
													obj_t BgL_l1565z00_31560;

													BgL_l1565z00_31560 = CDR(BgL_l1565z00_9715);
													BgL_tail1568z00_31562 = BgL_newtail1569z00_9723;
													BgL_tail1568z00_9716 = BgL_tail1568z00_31562;
													BgL_l1565z00_9715 = BgL_l1565z00_31560;
													goto BgL_zc3anonymousza32888ze3z83_9714;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 466 */
							BgL_ev_exprz00_bglt BgL_arg2892z00_2924;

							BgL_arg2892z00_2924 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2883)))->BgL_bodyz00);
							BgL_bodyz00_2891 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2892z00_2924,
								BgL_nstkz00_2889);
						}
						{	/* Eval/evaluate_comp.scm 467 */
							obj_t BgL_zc3anonymousza32877ze3z83_16255;

							BgL_zc3anonymousza32877ze3z83_16255 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32877ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_16255,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2888));
							PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_16255,
								(int) (((long) 1)), ((obj_t) BgL_ez00_2883));
							PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_16255,
								(int) (((long) 2)), BgL_valsz00_2890);
							PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_16255,
								(int) (((long) 3)), BgL_bodyz00_2891);
							return BgL_zc3anonymousza32877ze3z83_16255;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2877> */
	obj_t BGl_z62zc3anonymousza32877ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17307, obj_t BgL_sz00_17312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 467 */
			{	/* Eval/evaluate_comp.scm 467 */
				long BgL_siza7eza7_17308;
				BgL_ev_letza2za2_bglt BgL_i1106z00_17309;
				obj_t BgL_valsz00_17310;
				obj_t BgL_bodyz00_17311;

				BgL_siza7eza7_17308 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17307, (int) (((long) 0))));
				BgL_i1106z00_17309 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_17307, (int) (((long) 1))));
				BgL_valsz00_17310 = PROCEDURE_REF(BgL_envz00_17307, (int) (((long) 2)));
				BgL_bodyz00_17311 = PROCEDURE_REF(BgL_envz00_17307, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2892;

					BgL_sz00_2892 = BgL_sz00_17312;
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_bpz00_2894;

						BgL_bpz00_2894 = VECTOR_REF(BgL_sz00_2892, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 468 */
							long BgL_g1107z00_2895;

							BgL_g1107z00_2895 =
								((long) CINT(BgL_bpz00_2894) + BgL_siza7eza7_17308);
							{
								obj_t BgL_lz00_2898;
								long BgL_iz00_2899;
								obj_t BgL_bza2za2_2900;

								BgL_lz00_2898 = BgL_valsz00_17310;
								BgL_iz00_2899 = BgL_g1107z00_2895;
								BgL_bza2za2_2900 =
									(((BgL_ev_letza2za2_bglt) CREF(BgL_i1106z00_17309))->
									BgL_boxesz00);
							BgL_zc3anonymousza32879ze3z83_2901:
								if (NULLP(BgL_lz00_2898))
									{	/* Eval/evaluate_comp.scm 469 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 469 */
										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_valz00_2903;

											{	/* Eval/evaluate_comp.scm 470 */
												obj_t BgL_fun2883z00_2906;

												BgL_fun2883z00_2906 = CAR(BgL_lz00_2898);
												BgL_valz00_2903 =
													PROCEDURE_ENTRY(BgL_fun2883z00_2906)
													(BgL_fun2883z00_2906, BgL_sz00_2892, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 471 */
												obj_t BgL_arg2881z00_2904;

												{	/* Eval/evaluate_comp.scm 471 */
													bool_t BgL_testz00_31601;

													{	/* Eval/evaluate_comp.scm 471 */
														obj_t BgL_pairz00_9745;

														BgL_pairz00_9745 = BgL_bza2za2_2900;
														BgL_testz00_31601 = CBOOL(CAR(BgL_pairz00_9745));
													}
													if (BgL_testz00_31601)
														{	/* Eval/evaluate_comp.scm 471 */
															obj_t BgL_newz00_9747;

															BgL_newz00_9747 =
																create_struct
																(BGl_symbol5557z00zz__evaluate_compz00,
																(int) (((long) 1)));
															{	/* Eval/evaluate_comp.scm 471 */
																int BgL_auxz00_31606;

																BgL_auxz00_31606 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_9747, BgL_auxz00_31606,
																	BgL_valz00_2903);
															}
															BgL_arg2881z00_2904 = BgL_newz00_9747;
														}
													else
														{	/* Eval/evaluate_comp.scm 471 */
															BgL_arg2881z00_2904 = BgL_valz00_2903;
														}
												}
												VECTOR_SET(BgL_sz00_2892,
													(int) (BgL_iz00_2899), BgL_arg2881z00_2904);
										}}
										{
											obj_t BgL_bza2za2_31615;
											long BgL_iz00_31613;
											obj_t BgL_lz00_31611;

											BgL_lz00_31611 = CDR(BgL_lz00_2898);
											BgL_iz00_31613 = (BgL_iz00_2899 + ((long) 1));
											BgL_bza2za2_31615 = CDR(BgL_bza2za2_2900);
											BgL_bza2za2_2900 = BgL_bza2za2_31615;
											BgL_iz00_2899 = BgL_iz00_31613;
											BgL_lz00_2898 = BgL_lz00_31611;
											goto BgL_zc3anonymousza32879ze3z83_2901;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17311) (BgL_bodyz00_17311,
							BgL_sz00_2892, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let1664 */
	obj_t BGl_z62compzd2ev_let1664zb0zz__evaluate_compz00(obj_t BgL_envz00_17313,
		obj_t BgL_ez00_17314, obj_t BgL_stkz00_17315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 443 */
			{
				BgL_ev_letz00_bglt BgL_ez00_2832;
				obj_t BgL_stkz00_2833;

				BgL_ez00_2832 = ((BgL_ev_letz00_bglt) BgL_ez00_17314);
				BgL_stkz00_2833 = BgL_stkz00_17315;
				{	/* Eval/evaluate_comp.scm 445 */
					long BgL_siza7eza7_2837;
					obj_t BgL_nstkz00_2838;

					BgL_siza7eza7_2837 = bgl_list_length(BgL_stkz00_2833);
					{	/* Eval/evaluate_comp.scm 445 */
						obj_t BgL_arg2876z00_2881;

						BgL_arg2876z00_2881 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2832)))->BgL_varsz00);
						BgL_nstkz00_2838 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2833,
							BgL_arg2876z00_2881);
					}
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_valsz00_2839;
						obj_t BgL_iboxesz00_2840;
						obj_t BgL_bodyz00_2841;

						{	/* Eval/evaluate_comp.scm 447 */
							obj_t BgL_arg2869z00_2866;

							BgL_arg2869z00_2866 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2832)))->BgL_valsz00);
							BgL_valsz00_2839 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg2869z00_2866, BgL_stkz00_2833);
						}
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_l1560z00_2867;

							BgL_l1560z00_2867 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_2832))->BgL_boxesz00);
							if (NULLP(BgL_l1560z00_2867))
								{	/* Eval/evaluate_comp.scm 448 */
									BgL_iboxesz00_2840 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 448 */
									obj_t BgL_head1562z00_2869;

									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_res4860z00_9542;

										BgL_res4860z00_9542 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1562z00_2869 = BgL_res4860z00_9542;
									}
									{
										obj_t BgL_l1560z00_9576;
										obj_t BgL_tail1563z00_9577;

										BgL_l1560z00_9576 = BgL_l1560z00_2867;
										BgL_tail1563z00_9577 = BgL_head1562z00_2869;
									BgL_zc3anonymousza32871ze3z83_9575:
										if (NULLP(BgL_l1560z00_9576))
											{	/* Eval/evaluate_comp.scm 448 */
												BgL_iboxesz00_2840 = CDR(BgL_head1562z00_2869);
											}
										else
											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_newtail1564z00_9584;

												{	/* Eval/evaluate_comp.scm 448 */
													obj_t BgL_arg2874z00_9585;

													BgL_arg2874z00_9585 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1560z00_9576), BgL_nstkz00_2838);
													{	/* Eval/evaluate_comp.scm 448 */
														obj_t BgL_res4866z00_9594;

														BgL_res4866z00_9594 =
															MAKE_PAIR(BgL_arg2874z00_9585, BNIL);
														BgL_newtail1564z00_9584 = BgL_res4866z00_9594;
													}
												}
												SET_CDR(BgL_tail1563z00_9577, BgL_newtail1564z00_9584);
												{
													obj_t BgL_tail1563z00_31642;
													obj_t BgL_l1560z00_31640;

													BgL_l1560z00_31640 = CDR(BgL_l1560z00_9576);
													BgL_tail1563z00_31642 = BgL_newtail1564z00_9584;
													BgL_tail1563z00_9577 = BgL_tail1563z00_31642;
													BgL_l1560z00_9576 = BgL_l1560z00_31640;
													goto BgL_zc3anonymousza32871ze3z83_9575;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg2875z00_2880;

							BgL_arg2875z00_2880 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2832)))->BgL_bodyz00);
							BgL_bodyz00_2841 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2875z00_2880,
								BgL_nstkz00_2838);
						}
						{	/* Eval/evaluate_comp.scm 450 */
							obj_t BgL_zc3anonymousza32856ze3z83_16257;

							BgL_zc3anonymousza32856ze3z83_16257 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32856ze3z83_16257,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2837));
							PROCEDURE_SET(BgL_zc3anonymousza32856ze3z83_16257,
								(int) (((long) 1)), BgL_valsz00_2839);
							PROCEDURE_SET(BgL_zc3anonymousza32856ze3z83_16257,
								(int) (((long) 2)), BgL_iboxesz00_2840);
							PROCEDURE_SET(BgL_zc3anonymousza32856ze3z83_16257,
								(int) (((long) 3)), BgL_bodyz00_2841);
							return BgL_zc3anonymousza32856ze3z83_16257;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2856> */
	obj_t BGl_z62zc3anonymousza32856ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17316, obj_t BgL_sz00_17321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 450 */
			{	/* Eval/evaluate_comp.scm 450 */
				long BgL_siza7eza7_17317;
				obj_t BgL_valsz00_17318;
				obj_t BgL_iboxesz00_17319;
				obj_t BgL_bodyz00_17320;

				BgL_siza7eza7_17317 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17316, (int) (((long) 0))));
				BgL_valsz00_17318 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17316, (int) (((long) 1))));
				BgL_iboxesz00_17319 =
					PROCEDURE_REF(BgL_envz00_17316, (int) (((long) 2)));
				BgL_bodyz00_17320 = PROCEDURE_REF(BgL_envz00_17316, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2842;

					BgL_sz00_2842 = BgL_sz00_17321;
					{	/* Eval/evaluate_comp.scm 450 */
						obj_t BgL_bpz00_2844;

						BgL_bpz00_2844 = VECTOR_REF(BgL_sz00_2842, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 451 */
							long BgL_g1105z00_2845;

							BgL_g1105z00_2845 =
								((long) CINT(BgL_bpz00_2844) + BgL_siza7eza7_17317);
							{
								obj_t BgL_lz00_9636;
								long BgL_iz00_9637;

								BgL_lz00_9636 = BgL_valsz00_17318;
								BgL_iz00_9637 = BgL_g1105z00_2845;
							BgL_recz00_9635:
								if (NULLP(BgL_lz00_9636))
									{	/* Eval/evaluate_comp.scm 451 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 451 */
										{	/* Eval/evaluate_comp.scm 451 */
											obj_t BgL_arg2859z00_9644;

											{	/* Eval/evaluate_comp.scm 451 */
												obj_t BgL_fun2860z00_9645;

												BgL_fun2860z00_9645 = CAR(BgL_lz00_9636);
												BgL_arg2859z00_9644 =
													PROCEDURE_ENTRY(BgL_fun2860z00_9645)
													(BgL_fun2860z00_9645, BgL_sz00_2842, BEOA);
											}
											VECTOR_SET(BgL_sz00_2842,
												(int) (BgL_iz00_9637), BgL_arg2859z00_9644);
										}
										{
											long BgL_iz00_31684;
											obj_t BgL_lz00_31682;

											BgL_lz00_31682 = CDR(BgL_lz00_9636);
											BgL_iz00_31684 = (BgL_iz00_9637 + ((long) 1));
											BgL_iz00_9637 = BgL_iz00_31684;
											BgL_lz00_9636 = BgL_lz00_31682;
											goto BgL_recz00_9635;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_2857;

							BgL_lz00_2857 = BgL_iboxesz00_17319;
						BgL_zc3anonymousza32863ze3z83_2858:
							if (NULLP(BgL_lz00_2857))
								{	/* Eval/evaluate_comp.scm 456 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 456 */
									{	/* Eval/evaluate_comp.scm 457 */
										long BgL_iz00_2860;

										{	/* Eval/evaluate_comp.scm 457 */
											long BgL_auxz00_31688;

											{	/* Eval/evaluate_comp.scm 457 */
												obj_t BgL_pairz00_9660;

												BgL_pairz00_9660 = BgL_lz00_2857;
												BgL_auxz00_31688 = (long) CINT(CAR(BgL_pairz00_9660));
											}
											BgL_iz00_2860 =
												((long) CINT(BgL_bpz00_2844) + BgL_auxz00_31688);
										}
										{	/* Eval/evaluate_comp.scm 458 */
											obj_t BgL_arg2865z00_2861;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_arg2866z00_2862;

												BgL_arg2866z00_2862 =
													VECTOR_REF(BgL_sz00_2842, (int) (BgL_iz00_2860));
												{	/* Eval/evaluate_comp.scm 458 */
													obj_t BgL_newz00_9667;

													BgL_newz00_9667 =
														create_struct(BGl_symbol5557z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 458 */
														int BgL_auxz00_31697;

														BgL_auxz00_31697 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_9667, BgL_auxz00_31697,
															BgL_arg2866z00_2862);
													}
													BgL_arg2865z00_2861 = BgL_newz00_9667;
											}}
											VECTOR_SET(BgL_sz00_2842,
												(int) (BgL_iz00_2860), BgL_arg2865z00_2861);
									}}
									{
										obj_t BgL_lz00_31702;

										BgL_lz00_31702 = CDR(BgL_lz00_2857);
										BgL_lz00_2857 = BgL_lz00_31702;
										goto BgL_zc3anonymousza32863ze3z83_2858;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17320) (BgL_bodyz00_17320,
							BgL_sz00_2842, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog21662 */
	obj_t BGl_z62compzd2ev_prog21662zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17322, obj_t BgL_ez00_17323, obj_t BgL_stkz00_17324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 437 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2819;
				obj_t BgL_stkz00_2820;

				BgL_ez00_2819 = ((BgL_ev_prog2z00_bglt) BgL_ez00_17323);
				BgL_stkz00_2820 = BgL_stkz00_17324;
				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_e1z00_2824;
					obj_t BgL_e2z00_2825;

					BgL_e1z00_2824 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_2819))->BgL_e1z00),
						BgL_stkz00_2820);
					BgL_e2z00_2825 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_2819))->BgL_e2z00), BgL_stkz00_2820);
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_zc3anonymousza32853ze3z83_16259;

						BgL_zc3anonymousza32853ze3z83_16259 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32853ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32853ze3z83_16259,
							(int) (((long) 0)), BgL_e1z00_2824);
						PROCEDURE_SET(BgL_zc3anonymousza32853ze3z83_16259,
							(int) (((long) 1)), BgL_e2z00_2825);
						return BgL_zc3anonymousza32853ze3z83_16259;
					}
				}
			}
		}
	}



/* &<anonymous:2853> */
	obj_t BGl_z62zc3anonymousza32853ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17325, obj_t BgL_sz00_17328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_e1z00_17326;
				obj_t BgL_e2z00_17327;

				BgL_e1z00_17326 = PROCEDURE_REF(BgL_envz00_17325, (int) (((long) 0)));
				BgL_e2z00_17327 = PROCEDURE_REF(BgL_envz00_17325, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2826;

					BgL_sz00_2826 = BgL_sz00_17328;
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_bpz00_9535;

						BgL_bpz00_9535 = VECTOR_REF(BgL_sz00_2826, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_17326) (BgL_e1z00_17326, BgL_sz00_2826,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_17327) (BgL_e2z00_17327,
							BgL_sz00_2826, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and1660 */
	obj_t BGl_z62compzd2ev_and1660zb0zz__evaluate_compz00(obj_t BgL_envz00_17329,
		obj_t BgL_ez00_17330, obj_t BgL_stkz00_17331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{
				BgL_ev_andz00_bglt BgL_ez00_2786;
				obj_t BgL_stkz00_2787;

				BgL_ez00_2786 = ((BgL_ev_andz00_bglt) BgL_ez00_17330);
				BgL_stkz00_2787 = BgL_stkz00_17331;
				{	/* Eval/evaluate_comp.scm 429 */
					obj_t BgL_argsz00_2791;

					{	/* Eval/evaluate_comp.scm 429 */
						obj_t BgL_l1555z00_2805;

						BgL_l1555z00_2805 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2786)))->BgL_argsz00);
						if (NULLP(BgL_l1555z00_2805))
							{	/* Eval/evaluate_comp.scm 429 */
								BgL_argsz00_2791 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 429 */
								obj_t BgL_head1557z00_2807;

								{	/* Eval/evaluate_comp.scm 429 */
									obj_t BgL_res4849z00_9440;

									BgL_res4849z00_9440 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1557z00_2807 = BgL_res4849z00_9440;
								}
								{
									obj_t BgL_l1555z00_9474;
									obj_t BgL_tail1558z00_9475;

									BgL_l1555z00_9474 = BgL_l1555z00_2805;
									BgL_tail1558z00_9475 = BgL_head1557z00_2807;
								BgL_zc3anonymousza32849ze3z83_9473:
									if (NULLP(BgL_l1555z00_9474))
										{	/* Eval/evaluate_comp.scm 429 */
											BgL_argsz00_2791 = CDR(BgL_head1557z00_2807);
										}
									else
										{	/* Eval/evaluate_comp.scm 429 */
											obj_t BgL_newtail1559z00_9482;

											{	/* Eval/evaluate_comp.scm 429 */
												obj_t BgL_arg2852z00_9483;

												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_ez00_9484;

													BgL_ez00_9484 = CAR(BgL_l1555z00_9474);
													BgL_arg2852z00_9483 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9484),
														BgL_stkz00_2787);
												}
												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_res4855z00_9492;

													BgL_res4855z00_9492 =
														MAKE_PAIR(BgL_arg2852z00_9483, BNIL);
													BgL_newtail1559z00_9482 = BgL_res4855z00_9492;
												}
											}
											SET_CDR(BgL_tail1558z00_9475, BgL_newtail1559z00_9482);
											{
												obj_t BgL_tail1558z00_31749;
												obj_t BgL_l1555z00_31747;

												BgL_l1555z00_31747 = CDR(BgL_l1555z00_9474);
												BgL_tail1558z00_31749 = BgL_newtail1559z00_9482;
												BgL_tail1558z00_9475 = BgL_tail1558z00_31749;
												BgL_l1555z00_9474 = BgL_l1555z00_31747;
												goto BgL_zc3anonymousza32849ze3z83_9473;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_zc3anonymousza32843ze3z83_16261;

						BgL_zc3anonymousza32843ze3z83_16261 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32843ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32843ze3z83_16261,
							(int) (((long) 0)), BgL_argsz00_2791);
						return BgL_zc3anonymousza32843ze3z83_16261;
					}
				}
			}
		}
	}



/* &<anonymous:2843> */
	obj_t BGl_z62zc3anonymousza32843ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17332, obj_t BgL_sz00_17334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 430 */
				obj_t BgL_argsz00_17333;

				BgL_argsz00_17333 = PROCEDURE_REF(BgL_envz00_17332, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2792;

					BgL_sz00_2792 = BgL_sz00_17334;
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_bpz00_2794;

						BgL_bpz00_2794 = VECTOR_REF(BgL_sz00_2792, (int) (((long) 0)));
						{
							obj_t BgL_lz00_9519;
							obj_t BgL_rz00_9520;

							BgL_lz00_9519 = BgL_argsz00_17333;
							BgL_rz00_9520 = BTRUE;
						BgL_recz00_9518:
							if (NULLP(BgL_lz00_9519))
								{	/* Eval/evaluate_comp.scm 431 */
									return BgL_rz00_9520;
								}
							else
								{	/* Eval/evaluate_comp.scm 431 */
									obj_t BgL_vz00_9527;

									{	/* Eval/evaluate_comp.scm 431 */
										obj_t BgL_fun2847z00_9528;

										BgL_fun2847z00_9528 = CAR(BgL_lz00_9519);
										BgL_vz00_9527 =
											PROCEDURE_ENTRY(BgL_fun2847z00_9528) (BgL_fun2847z00_9528,
											BgL_sz00_2792, BEOA);
									}
									if (CBOOL(BgL_vz00_9527))
										{
											obj_t BgL_rz00_31771;
											obj_t BgL_lz00_31769;

											BgL_lz00_31769 = CDR(BgL_lz00_9519);
											BgL_rz00_31771 = BgL_vz00_9527;
											BgL_rz00_9520 = BgL_rz00_31771;
											BgL_lz00_9519 = BgL_lz00_31769;
											goto BgL_recz00_9518;
										}
									else
										{	/* Eval/evaluate_comp.scm 431 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or1658 */
	obj_t BGl_z62compzd2ev_or1658zb0zz__evaluate_compz00(obj_t BgL_envz00_17335,
		obj_t BgL_ez00_17336, obj_t BgL_stkz00_17337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 418 */
			{
				BgL_ev_orz00_bglt BgL_ez00_2755;
				obj_t BgL_stkz00_2756;

				BgL_ez00_2755 = ((BgL_ev_orz00_bglt) BgL_ez00_17336);
				BgL_stkz00_2756 = BgL_stkz00_17337;
				{	/* Eval/evaluate_comp.scm 420 */
					obj_t BgL_argsz00_2760;

					{	/* Eval/evaluate_comp.scm 420 */
						obj_t BgL_l1550z00_2772;

						BgL_l1550z00_2772 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2755)))->BgL_argsz00);
						if (NULLP(BgL_l1550z00_2772))
							{	/* Eval/evaluate_comp.scm 420 */
								BgL_argsz00_2760 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 420 */
								obj_t BgL_head1552z00_2774;

								{	/* Eval/evaluate_comp.scm 420 */
									obj_t BgL_res4840z00_9374;

									BgL_res4840z00_9374 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1552z00_2774 = BgL_res4840z00_9374;
								}
								{
									obj_t BgL_l1550z00_9408;
									obj_t BgL_tail1553z00_9409;

									BgL_l1550z00_9408 = BgL_l1550z00_2772;
									BgL_tail1553z00_9409 = BgL_head1552z00_2774;
								BgL_zc3anonymousza32839ze3z83_9407:
									if (NULLP(BgL_l1550z00_9408))
										{	/* Eval/evaluate_comp.scm 420 */
											BgL_argsz00_2760 = CDR(BgL_head1552z00_2774);
										}
									else
										{	/* Eval/evaluate_comp.scm 420 */
											obj_t BgL_newtail1554z00_9416;

											{	/* Eval/evaluate_comp.scm 420 */
												obj_t BgL_arg2842z00_9417;

												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_ez00_9418;

													BgL_ez00_9418 = CAR(BgL_l1550z00_9408);
													BgL_arg2842z00_9417 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9418),
														BgL_stkz00_2756);
												}
												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_res4846z00_9426;

													BgL_res4846z00_9426 =
														MAKE_PAIR(BgL_arg2842z00_9417, BNIL);
													BgL_newtail1554z00_9416 = BgL_res4846z00_9426;
												}
											}
											SET_CDR(BgL_tail1553z00_9409, BgL_newtail1554z00_9416);
											{
												obj_t BgL_tail1553z00_31787;
												obj_t BgL_l1550z00_31785;

												BgL_l1550z00_31785 = CDR(BgL_l1550z00_9408);
												BgL_tail1553z00_31787 = BgL_newtail1554z00_9416;
												BgL_tail1553z00_9409 = BgL_tail1553z00_31787;
												BgL_l1550z00_9408 = BgL_l1550z00_31785;
												goto BgL_zc3anonymousza32839ze3z83_9407;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_zc3anonymousza32833ze3z83_16263;

						BgL_zc3anonymousza32833ze3z83_16263 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32833ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32833ze3z83_16263,
							(int) (((long) 0)), BgL_argsz00_2760);
						return BgL_zc3anonymousza32833ze3z83_16263;
					}
				}
			}
		}
	}



/* &<anonymous:2833> */
	obj_t BGl_z62zc3anonymousza32833ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17338, obj_t BgL_sz00_17340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_argsz00_17339;

				BgL_argsz00_17339 = PROCEDURE_REF(BgL_envz00_17338, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2761;

					BgL_sz00_2761 = BgL_sz00_17340;
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_bpz00_2763;

						BgL_bpz00_2763 = VECTOR_REF(BgL_sz00_2761, (int) (((long) 0)));
						{
							obj_t BgL_lz00_2765;

							BgL_lz00_2765 = BgL_argsz00_17339;
						BgL_zc3anonymousza32834ze3z83_2766:
							if (NULLP(BgL_lz00_2765))
								{	/* Eval/evaluate_comp.scm 423 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 425 */
									obj_t BgL__ortest_1100z00_2768;

									{	/* Eval/evaluate_comp.scm 425 */
										obj_t BgL_fun2837z00_2770;

										BgL_fun2837z00_2770 = CAR(BgL_lz00_2765);
										BgL__ortest_1100z00_2768 =
											PROCEDURE_ENTRY(BgL_fun2837z00_2770) (BgL_fun2837z00_2770,
											BgL_sz00_2761, BEOA);
									}
									if (CBOOL(BgL__ortest_1100z00_2768))
										{	/* Eval/evaluate_comp.scm 425 */
											return BgL__ortest_1100z00_2768;
										}
									else
										{
											obj_t BgL_lz00_31807;

											BgL_lz00_31807 = CDR(BgL_lz00_2765);
											BgL_lz00_2765 = BgL_lz00_31807;
											goto BgL_zc3anonymousza32834ze3z83_2766;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if1656 */
	obj_t BGl_z62compzd2ev_if1656zb0zz__evaluate_compz00(obj_t BgL_envz00_17341,
		obj_t BgL_ez00_17342, obj_t BgL_stkz00_17343)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 412 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_2739;
				obj_t BgL_stkz00_2740;

				BgL_ez00_2739 = ((BgL_ev_ifz00_bglt) BgL_ez00_17342);
				BgL_stkz00_2740 = BgL_stkz00_17343;
				{	/* Eval/evaluate_comp.scm 414 */
					obj_t BgL_pz00_2744;
					obj_t BgL_tz00_2745;
					obj_t BgL_ez00_2746;

					BgL_pz00_2744 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_2739))->BgL_pz00),
						BgL_stkz00_2740);
					BgL_tz00_2745 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2739))->BgL_tz00), BgL_stkz00_2740);
					BgL_ez00_2746 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2739))->BgL_ez00), BgL_stkz00_2740);
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_zc3anonymousza32828ze3z83_16265;

						BgL_zc3anonymousza32828ze3z83_16265 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32828ze3z83_16265,
							(int) (((long) 0)), BgL_ez00_2746);
						PROCEDURE_SET(BgL_zc3anonymousza32828ze3z83_16265,
							(int) (((long) 1)), BgL_tz00_2745);
						PROCEDURE_SET(BgL_zc3anonymousza32828ze3z83_16265,
							(int) (((long) 2)), BgL_pz00_2744);
						return BgL_zc3anonymousza32828ze3z83_16265;
					}
				}
			}
		}
	}



/* &<anonymous:2828> */
	obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17344, obj_t BgL_sz00_17348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 415 */
			{	/* Eval/evaluate_comp.scm 415 */
				obj_t BgL_ez00_17345;
				obj_t BgL_tz00_17346;
				obj_t BgL_pz00_17347;

				BgL_ez00_17345 = PROCEDURE_REF(BgL_envz00_17344, (int) (((long) 0)));
				BgL_tz00_17346 = PROCEDURE_REF(BgL_envz00_17344, (int) (((long) 1)));
				BgL_pz00_17347 = PROCEDURE_REF(BgL_envz00_17344, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2747;

					BgL_sz00_2747 = BgL_sz00_17348;
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_bpz00_9366;

						BgL_bpz00_9366 = VECTOR_REF(BgL_sz00_2747, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_17347) (BgL_pz00_17347,
									BgL_sz00_2747, BEOA)))
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_tz00_17346) (BgL_tz00_17346,
									BgL_sz00_2747, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_ez00_17345) (BgL_ez00_17345,
									BgL_sz00_2747, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt1654 */
	obj_t BGl_z62compzd2ev_litt1654zb0zz__evaluate_compz00(obj_t BgL_envz00_17349,
		obj_t BgL_ez00_17350, obj_t BgL_stkz00_17351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 407 */
			{
				BgL_ev_littz00_bglt BgL_ez00_2730;
				obj_t BgL_stkz00_2731;

				BgL_ez00_2730 = ((BgL_ev_littz00_bglt) BgL_ez00_17350);
				BgL_stkz00_2731 = BgL_stkz00_17351;
				{	/* Eval/evaluate_comp.scm 408 */
					obj_t BgL_zc3anonymousza32827ze3z83_16267;

					BgL_zc3anonymousza32827ze3z83_16267 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32827ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32827ze3z83_16267, (int) (((long) 0)),
						((obj_t) BgL_ez00_2730));
					return BgL_zc3anonymousza32827ze3z83_16267;
				}
			}
		}
	}



/* &<anonymous:2827> */
	obj_t BGl_z62zc3anonymousza32827ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17352, obj_t BgL_sz00_17354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 409 */
			{	/* Eval/evaluate_comp.scm 408 */
				BgL_ev_littz00_bglt BgL_i1097z00_17353;

				BgL_i1097z00_17353 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_17352, (int) (((long) 0))));
				{
					obj_t BgL_sz00_9361;

					BgL_sz00_9361 = BgL_sz00_17354;
					{	/* Eval/evaluate_comp.scm 408 */
						obj_t BgL_bpz00_9363;

						BgL_bpz00_9363 = VECTOR_REF(BgL_sz00_9361, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(BgL_i1097z00_17353))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal1652 */
	obj_t BGl_z62compzd2ev_defglobal1652zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17355, obj_t BgL_ez00_17356, obj_t BgL_stkz00_17357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 376 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_2691;
				obj_t BgL_stkz00_2692;

				BgL_ez00_2691 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_17356);
				BgL_stkz00_2692 = BgL_stkz00_17357;
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_ez00_2696;

					{	/* Eval/evaluate_comp.scm 378 */
						BgL_ev_exprz00_bglt BgL_arg2826z00_2728;

						BgL_arg2826z00_2728 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2691)))->BgL_ez00);
						BgL_ez00_2696 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2826z00_2728,
							BgL_stkz00_2692);
					}
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_zc3anonymousza32800ze3z83_16269;

						BgL_zc3anonymousza32800ze3z83_16269 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32800ze3z83_16269,
							(int) (((long) 0)), ((obj_t) BgL_ez00_2691));
						PROCEDURE_SET(BgL_zc3anonymousza32800ze3z83_16269,
							(int) (((long) 1)), BgL_ez00_2696);
						return BgL_zc3anonymousza32800ze3z83_16269;
					}
				}
			}
		}
	}



/* &<anonymous:2800> */
	obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17358, obj_t BgL_sz00_17361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 379 */
			{	/* Eval/evaluate_comp.scm 379 */
				BgL_ev_defglobalz00_bglt BgL_i1094z00_17359;
				obj_t BgL_ez00_17360;

				BgL_i1094z00_17359 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17358, (int) (((long) 0))));
				BgL_ez00_17360 = PROCEDURE_REF(BgL_envz00_17358, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2697;

					BgL_sz00_2697 = BgL_sz00_17361;
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_bpz00_2699;

						BgL_bpz00_2699 = VECTOR_REF(BgL_sz00_2697, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 380 */
							obj_t BgL_gz00_2700;

							{	/* Eval/evaluate_comp.scm 380 */
								obj_t BgL_arg2824z00_2726;
								obj_t BgL_arg2825z00_2727;

								BgL_arg2824z00_2726 =
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
									BgL_modz00);
								BgL_arg2825z00_2727 =
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
												BgL_i1094z00_17359)))->BgL_namez00);
								BgL_gz00_2700 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg2824z00_2726, BgL_arg2825z00_2727);
							}
							if (CBOOL(BgL_gz00_2700))
								{	/* Eval/evaluate_comp.scm 382 */
									{

										{	/* Eval/evaluate_comp.scm 384 */
											int BgL_aux1096z00_2702;

											{	/* Eval/evaluate_comp.scm 384 */
												int BgL_res4838z00_9306;

												{	/* Eval/evaluate_comp.scm 384 */
													obj_t BgL_evalzd2globalzd2_9303;

													BgL_evalzd2globalzd2_9303 = BgL_gz00_2700;
													{	/* Eval/evaluate_comp.scm 384 */
														int BgL_kz00_9305;

														BgL_kz00_9305 = (int) (((long) 0));
														BgL_res4838z00_9306 =
															CINT(VECTOR_REF(BgL_evalzd2globalzd2_9303,
																BgL_kz00_9305));
												}}
												BgL_aux1096z00_2702 = BgL_res4838z00_9306;
											}
											switch ((long) (BgL_aux1096z00_2702))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 386 */
														obj_t BgL_arg2802z00_2704;
														obj_t BgL_arg2803z00_2705;

														BgL_arg2802z00_2704 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17359)))->BgL_locz00);
														BgL_arg2803z00_2705 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17359)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2802z00_2704,
															BGl_string5665z00zz__evaluate_compz00,
															BGl_string5666z00zz__evaluate_compz00,
															BgL_arg2803z00_2705);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 388 */
														obj_t BgL_arg2804z00_2706;
														obj_t BgL_arg2805z00_2707;

														BgL_arg2804z00_2706 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17359)))->BgL_locz00);
														BgL_arg2805z00_2707 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17359)))->BgL_namez00);
														{	/* Eval/evaluate_comp.scm 388 */
															obj_t BgL_list2806z00_2708;

															{	/* Eval/evaluate_comp.scm 388 */
																obj_t BgL_arg2807z00_2709;

																{	/* Eval/evaluate_comp.scm 388 */
																	obj_t BgL_arg2808z00_2710;

																	BgL_arg2808z00_2710 =
																		MAKE_PAIR(BgL_arg2805z00_2707, BNIL);
																	BgL_arg2807z00_2709 =
																		MAKE_PAIR
																		(BGl_string5667z00zz__evaluate_compz00,
																		BgL_arg2808z00_2710);
																}
																BgL_list2806z00_2708 =
																	MAKE_PAIR
																	(BGl_string5547z00zz__evaluate_compz00,
																	BgL_arg2807z00_2709);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg2804z00_2706, BgL_list2806z00_2708);
													}}
													{	/* Eval/evaluate_comp.scm 390 */
														obj_t BgL_arg2809z00_2711;
														obj_t BgL_arg2810z00_2712;

														BgL_arg2809z00_2711 =
															VECTOR_REF(BgL_gz00_2700, (int) (((long) 2)));
														BgL_arg2810z00_2712 =
															PROCEDURE_ENTRY(BgL_ez00_17360) (BgL_ez00_17360,
															BgL_sz00_2697, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg2809z00_2711,
															BgL_arg2810z00_2712);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 392 */
														obj_t BgL_arg2811z00_2713;

														BgL_arg2811z00_2713 =
															PROCEDURE_ENTRY(BgL_ez00_17360) (BgL_ez00_17360,
															BgL_sz00_2697, BEOA);
														VECTOR_SET(BgL_gz00_2700, (int) (((long) 2)),
															BgL_arg2811z00_2713);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 394 */
														obj_t BgL_arg2812z00_2714;

														BgL_arg2812z00_2714 =
															PROCEDURE_ENTRY(BgL_ez00_17360) (BgL_ez00_17360,
															BgL_sz00_2697, BEOA);
														VECTOR_SET(BgL_gz00_2700, (int) (((long) 2)),
															BgL_arg2812z00_2714);
													}
													{	/* Eval/evaluate_comp.scm 395 */
														obj_t BgL_evalzd2globalzd2_9320;
														int BgL_tagz00_9321;

														BgL_evalzd2globalzd2_9320 = BgL_gz00_2700;
														BgL_tagz00_9321 = (int) (((long) 2));
														VECTOR_SET(BgL_evalzd2globalzd2_9320,
															(int) (((long) 0)), BINT(BgL_tagz00_9321));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 397 */
														obj_t BgL_arg2813z00_2715;

														BgL_arg2813z00_2715 =
															PROCEDURE_ENTRY(BgL_ez00_17360) (BgL_ez00_17360,
															BgL_sz00_2697, BEOA);
														VECTOR_SET(BgL_gz00_2700, (int) (((long) 2)),
															BgL_arg2813z00_2715);
													}
													{	/* Eval/evaluate_comp.scm 398 */
														obj_t BgL_evalzd2globalzd2_9330;
														int BgL_tagz00_9331;

														BgL_evalzd2globalzd2_9330 = BgL_gz00_2700;
														BgL_tagz00_9331 = (int) (((long) 5));
														VECTOR_SET(BgL_evalzd2globalzd2_9330,
															(int) (((long) 0)), BINT(BgL_tagz00_9331));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_arg2814z00_2716;
														obj_t BgL_arg2815z00_2717;

														BgL_arg2814z00_2716 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17359)))->BgL_locz00);
														BgL_arg2815z00_2717 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1094z00_17359)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2814z00_2716,
															BGl_string5665z00zz__evaluate_compz00,
															BGl_string5666z00zz__evaluate_compz00,
															BgL_arg2815z00_2717);
													}
												}
										}
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
										BgL_namez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 402 */
									obj_t BgL_gz00_2718;

									{	/* Eval/evaluate_comp.scm 402 */
										obj_t BgL_arg2820z00_2723;
										obj_t BgL_arg2821z00_2724;
										obj_t BgL_arg2822z00_2725;

										BgL_arg2820z00_2723 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
											BgL_namez00);
										BgL_arg2821z00_2724 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
											BgL_modz00);
										BgL_arg2822z00_2725 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 402 */
											obj_t BgL_v1629z00_9338;

											BgL_v1629z00_9338 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1629z00_9338,
												(int) (((long) 4)), BgL_arg2822z00_2725);
											VECTOR_SET(BgL_v1629z00_9338,
												(int) (((long) 3)), BgL_arg2821z00_2724);
											VECTOR_SET(BgL_v1629z00_9338,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1629z00_9338,
												(int) (((long) 1)), BgL_arg2820z00_2723);
											VECTOR_SET(BgL_v1629z00_9338,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2718 = BgL_v1629z00_9338;
									}}
									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg2816z00_2719;

										BgL_arg2816z00_2719 =
											PROCEDURE_ENTRY(BgL_ez00_17360) (BgL_ez00_17360,
											BgL_sz00_2697, BEOA);
										VECTOR_SET(BgL_gz00_2718, (int) (((long) 2)),
											BgL_arg2816z00_2719);
									}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg2817z00_2720;
										obj_t BgL_arg2818z00_2721;
										obj_t BgL_arg2819z00_2722;

										BgL_arg2817z00_2720 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
											BgL_modz00);
										BgL_arg2818z00_2721 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
											BgL_namez00);
										BgL_arg2819z00_2722 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
											BgL_locz00);
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg2817z00_2720, BgL_arg2818z00_2721, BgL_gz00_2718,
											BgL_arg2819z00_2722);
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1094z00_17359)))->
										BgL_namez00);
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1650 */
	obj_t BGl_z62compzd2ev_setglobal1650zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17362, obj_t BgL_ez00_17363, obj_t BgL_stkz00_17364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 353 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_2648;
				obj_t BgL_stkz00_2649;

				BgL_ez00_2648 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_17363);
				BgL_stkz00_2649 = BgL_stkz00_17364;
				{	/* Eval/evaluate_comp.scm 355 */
					obj_t BgL_gz00_2653;
					obj_t BgL_ez00_2654;

					BgL_gz00_2653 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->BgL_modz00),
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->BgL_namez00));
					{	/* Eval/evaluate_comp.scm 355 */
						BgL_ev_exprz00_bglt BgL_arg2799z00_2689;

						BgL_arg2799z00_2689 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2648)))->BgL_ez00);
						BgL_ez00_2654 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2799z00_2689,
							BgL_stkz00_2649);
					}
					if (CBOOL(BgL_gz00_2653))
						{

							{	/* Eval/evaluate_comp.scm 357 */
								int BgL_aux1093z00_2656;

								{	/* Eval/evaluate_comp.scm 357 */
									int BgL_res4837z00_9261;

									{	/* Eval/evaluate_comp.scm 357 */
										obj_t BgL_evalzd2globalzd2_9258;

										BgL_evalzd2globalzd2_9258 = BgL_gz00_2653;
										{	/* Eval/evaluate_comp.scm 357 */
											int BgL_kz00_9260;

											BgL_kz00_9260 = (int) (((long) 0));
											BgL_res4837z00_9261 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9258,
													BgL_kz00_9260));
									}}
									BgL_aux1093z00_2656 = BgL_res4837z00_9261;
								}
								switch ((long) (BgL_aux1093z00_2656))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 359 */
											obj_t BgL_zc3anonymousza32776ze3z83_16272;

											BgL_zc3anonymousza32776ze3z83_16272 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32776ze3z83_16272,
												(int) (((long) 0)), BgL_gz00_2653);
											PROCEDURE_SET(BgL_zc3anonymousza32776ze3z83_16272,
												(int) (((long) 1)), BgL_ez00_2654);
											return BgL_zc3anonymousza32776ze3z83_16272;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										return
											BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
												BgL_locz00), BGl_string5665z00zz__evaluate_compz00,
											BGl_string5666z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
												BgL_namez00));
										break;
									default:
										{	/* Eval/evaluate_comp.scm 364 */
											obj_t BgL_zc3anonymousza32781ze3z83_16273;

											BgL_zc3anonymousza32781ze3z83_16273 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32781ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32781ze3z83_16273,
												(int) (((long) 0)), BgL_ez00_2654);
											PROCEDURE_SET(BgL_zc3anonymousza32781ze3z83_16273,
												(int) (((long) 1)), BgL_gz00_2653);
											return BgL_zc3anonymousza32781ze3z83_16273;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_slotz00_2669;

							BgL_slotz00_2669 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 367 */
									obj_t BgL_gz00_2671;

									{	/* Eval/evaluate_comp.scm 367 */
										obj_t BgL_arg2787z00_2675;
										obj_t BgL_arg2788z00_2676;
										obj_t BgL_arg2789z00_2677;

										BgL_arg2787z00_2675 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
											BgL_namez00);
										BgL_arg2788z00_2676 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
											BgL_modz00);
										BgL_arg2789z00_2677 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 367 */
											obj_t BgL_v1629z00_9273;

											BgL_v1629z00_9273 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1629z00_9273,
												(int) (((long) 4)), BgL_arg2789z00_2677);
											VECTOR_SET(BgL_v1629z00_9273,
												(int) (((long) 3)), BgL_arg2788z00_2676);
											VECTOR_SET(BgL_v1629z00_9273,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1629z00_9273,
												(int) (((long) 1)), BgL_arg2787z00_2675);
											VECTOR_SET(BgL_v1629z00_9273,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2671 = BgL_v1629z00_9273;
									}}
									{	/* Eval/evaluate_comp.scm 368 */
										int BgL_tagz00_9290;

										BgL_tagz00_9290 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2671,
											(int) (((long) 0)), BINT(BgL_tagz00_9290));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
											BgL_namez00), BgL_gz00_2671,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2648))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 366 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 370 */
								obj_t BgL_zc3anonymousza32791ze3z83_16271;

								BgL_zc3anonymousza32791ze3z83_16271 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32791ze3z83_16271,
									(int) (((long) 0)), ((obj_t) BgL_ez00_2648));
								PROCEDURE_SET(BgL_zc3anonymousza32791ze3z83_16271,
									(int) (((long) 1)), BgL_slotz00_2669);
								PROCEDURE_SET(BgL_zc3anonymousza32791ze3z83_16271,
									(int) (((long) 2)), BgL_ez00_2654);
								return BgL_zc3anonymousza32791ze3z83_16271;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2776> */
	obj_t BGl_z62zc3anonymousza32776ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17365, obj_t BgL_sz00_17368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 359 */
			{	/* Eval/evaluate_comp.scm 359 */
				obj_t BgL_gz00_17366;
				obj_t BgL_ez00_17367;

				BgL_gz00_17366 = PROCEDURE_REF(BgL_envz00_17365, (int) (((long) 0)));
				BgL_ez00_17367 = PROCEDURE_REF(BgL_envz00_17365, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2658;

					BgL_sz00_2658 = BgL_sz00_17368;
					{	/* Eval/evaluate_comp.scm 359 */
						obj_t BgL_bpz00_9262;

						BgL_bpz00_9262 = VECTOR_REF(BgL_sz00_2658, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 359 */
							obj_t BgL_arg2777z00_9263;
							obj_t BgL_arg2778z00_9264;

							BgL_arg2777z00_9263 =
								VECTOR_REF(BgL_gz00_17366, (int) (((long) 2)));
							BgL_arg2778z00_9264 =
								PROCEDURE_ENTRY(BgL_ez00_17367) (BgL_ez00_17367, BgL_sz00_2658,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg2777z00_9263,
								BgL_arg2778z00_9264);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2781> */
	obj_t BGl_z62zc3anonymousza32781ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17369, obj_t BgL_sz00_17372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 364 */
			{	/* Eval/evaluate_comp.scm 364 */
				obj_t BgL_ez00_17370;
				obj_t BgL_gz00_17371;

				BgL_ez00_17370 = PROCEDURE_REF(BgL_envz00_17369, (int) (((long) 0)));
				BgL_gz00_17371 = PROCEDURE_REF(BgL_envz00_17369, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2665;

					BgL_sz00_2665 = BgL_sz00_17372;
					{	/* Eval/evaluate_comp.scm 364 */
						obj_t BgL_bpz00_9249;

						BgL_bpz00_9249 = VECTOR_REF(BgL_sz00_2665, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 364 */
							obj_t BgL_arg2782z00_9250;

							BgL_arg2782z00_9250 =
								PROCEDURE_ENTRY(BgL_ez00_17370) (BgL_ez00_17370, BgL_sz00_2665,
								BEOA);
							return VECTOR_SET(BgL_gz00_17371, (int) (((long) 2)),
								BgL_arg2782z00_9250);
		}}}}}
	}



/* &<anonymous:2791> */
	obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17373, obj_t BgL_sz00_17377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 370 */
			{	/* Eval/evaluate_comp.scm 370 */
				BgL_ev_setglobalz00_bglt BgL_i1091z00_17374;
				obj_t BgL_slotz00_17375;
				obj_t BgL_ez00_17376;

				BgL_i1091z00_17374 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17373, (int) (((long) 0))));
				BgL_slotz00_17375 = PROCEDURE_REF(BgL_envz00_17373, (int) (((long) 1)));
				BgL_ez00_17376 = PROCEDURE_REF(BgL_envz00_17373, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2679;

					BgL_sz00_2679 = BgL_sz00_17377;
					{	/* Eval/evaluate_comp.scm 370 */
						obj_t BgL_bpz00_2681;

						BgL_bpz00_2681 = VECTOR_REF(BgL_sz00_2679, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17375)))
							{	/* Eval/evaluate_comp.scm 371 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 371 */
								{	/* Eval/evaluate_comp.scm 372 */
									obj_t BgL_auxz00_17378;

									BgL_auxz00_17378 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17374))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17374))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17375, BgL_auxz00_17378);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17375)))
									{	/* Eval/evaluate_comp.scm 373 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 373 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17374))->
												BgL_locz00), BGl_string5547z00zz__evaluate_compz00,
											BGl_string5668z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1091z00_17374))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 374 */
							obj_t BgL_arg2796z00_2686;

							BgL_arg2796z00_2686 =
								PROCEDURE_ENTRY(BgL_ez00_17376) (BgL_ez00_17376, BgL_sz00_2679,
								BEOA);
							{	/* Eval/evaluate_comp.scm 374 */
								obj_t BgL_evalzd2globalzd2_9296;

								BgL_evalzd2globalzd2_9296 = CELL_REF(BgL_slotz00_17375);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_9296,
									(int) (((long) 2)), BgL_arg2796z00_2686);
		}}}}}}
	}



/* &comp-ev_global1648 */
	obj_t BGl_z62compzd2ev_global1648zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17379, obj_t BgL_varz00_17380, obj_t BgL_stkz00_17381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 327 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_2606;
				obj_t BgL_stkz00_2607;

				BgL_varz00_2606 = ((BgL_ev_globalz00_bglt) BgL_varz00_17380);
				BgL_stkz00_2607 = BgL_stkz00_17381;
				{	/* Eval/evaluate_comp.scm 329 */
					obj_t BgL_gz00_2611;

					BgL_gz00_2611 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->BgL_modz00),
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->BgL_namez00));
					if (CBOOL(BgL_gz00_2611))
						{	/* Eval/evaluate_comp.scm 331 */
							bool_t BgL_testz00_32101;

							{	/* Eval/evaluate_comp.scm 331 */
								int BgL_arg2754z00_2620;

								{	/* Eval/evaluate_comp.scm 331 */
									int BgL_res4833z00_9196;

									{	/* Eval/evaluate_comp.scm 331 */
										obj_t BgL_evalzd2globalzd2_9193;

										BgL_evalzd2globalzd2_9193 = BgL_gz00_2611;
										{	/* Eval/evaluate_comp.scm 331 */
											int BgL_kz00_9195;

											BgL_kz00_9195 = (int) (((long) 0));
											BgL_res4833z00_9196 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9193,
													BgL_kz00_9195));
									}}
									BgL_arg2754z00_2620 = BgL_res4833z00_9196;
								}
								BgL_testz00_32101 =
									(BINT(BgL_arg2754z00_2620) == BINT(((long) 1)));
							}
							if (BgL_testz00_32101)
								{	/* Eval/evaluate_comp.scm 332 */
									obj_t BgL_zc3anonymousza32751ze3z83_16275;

									BgL_zc3anonymousza32751ze3z83_16275 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32751ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_16275,
										(int) (((long) 0)), BgL_gz00_2611);
									return BgL_zc3anonymousza32751ze3z83_16275;
								}
							else
								{	/* Eval/evaluate_comp.scm 334 */
									obj_t BgL_zc3anonymousza32753ze3z83_16276;

									BgL_zc3anonymousza32753ze3z83_16276 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32753ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32753ze3z83_16276,
										(int) (((long) 0)), BgL_gz00_2611);
									return BgL_zc3anonymousza32753ze3z83_16276;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							obj_t BgL_slotz00_2621;

							BgL_slotz00_2621 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 338 */
									obj_t BgL_gz00_2623;

									{	/* Eval/evaluate_comp.scm 338 */
										obj_t BgL_arg2759z00_2627;
										obj_t BgL_arg2760z00_2628;
										obj_t BgL_arg2761z00_2629;

										BgL_arg2759z00_2627 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->
											BgL_namez00);
										BgL_arg2760z00_2628 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->
											BgL_modz00);
										BgL_arg2761z00_2629 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 338 */
											obj_t BgL_v1629z00_9213;

											BgL_v1629z00_9213 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1629z00_9213,
												(int) (((long) 4)), BgL_arg2761z00_2629);
											VECTOR_SET(BgL_v1629z00_9213,
												(int) (((long) 3)), BgL_arg2760z00_2628);
											VECTOR_SET(BgL_v1629z00_9213,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1629z00_9213,
												(int) (((long) 1)), BgL_arg2759z00_2627);
											VECTOR_SET(BgL_v1629z00_9213,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2623 = BgL_v1629z00_9213;
									}}
									{	/* Eval/evaluate_comp.scm 339 */
										int BgL_tagz00_9230;

										BgL_tagz00_9230 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2623,
											(int) (((long) 0)), BINT(BgL_tagz00_9230));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->
											BgL_namez00), BgL_gz00_2623,
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2606))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 337 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 341 */
								obj_t BgL_zc3anonymousza32763ze3z83_16277;

								BgL_zc3anonymousza32763ze3z83_16277 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32763ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza32763ze3z83_16277,
									(int) (((long) 0)), ((obj_t) BgL_varz00_2606));
								PROCEDURE_SET(BgL_zc3anonymousza32763ze3z83_16277,
									(int) (((long) 1)), BgL_slotz00_2621);
								return BgL_zc3anonymousza32763ze3z83_16277;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2751> */
	obj_t BGl_z62zc3anonymousza32751ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17382, obj_t BgL_sz00_17384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 332 */
				obj_t BgL_gz00_17383;

				BgL_gz00_17383 = PROCEDURE_REF(BgL_envz00_17382, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2613;

					BgL_sz00_2613 = BgL_sz00_17384;
					{	/* Eval/evaluate_comp.scm 332 */
						obj_t BgL_bpz00_9197;

						BgL_bpz00_9197 = VECTOR_REF(BgL_sz00_2613, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 332 */
							obj_t BgL_auxz00_32158;

							BgL_auxz00_32158 = VECTOR_REF(BgL_gz00_17383, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_32158);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2753> */
	obj_t BGl_z62zc3anonymousza32753ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17385, obj_t BgL_sz00_17387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 334 */
			{	/* Eval/evaluate_comp.scm 334 */
				obj_t BgL_gz00_17386;

				BgL_gz00_17386 = PROCEDURE_REF(BgL_envz00_17385, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2617;

					BgL_sz00_2617 = BgL_sz00_17387;
					{	/* Eval/evaluate_comp.scm 334 */
						obj_t BgL_bpz00_9204;

						BgL_bpz00_9204 = VECTOR_REF(BgL_sz00_2617, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_17386, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:2763> */
	obj_t BGl_z62zc3anonymousza32763ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17388, obj_t BgL_sz00_17391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 341 */
			{	/* Eval/evaluate_comp.scm 341 */
				BgL_ev_globalz00_bglt BgL_i1090z00_17389;
				obj_t BgL_slotz00_17390;

				BgL_i1090z00_17389 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17388, (int) (((long) 0))));
				BgL_slotz00_17390 = PROCEDURE_REF(BgL_envz00_17388, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2631;

					BgL_sz00_2631 = BgL_sz00_17391;
					{	/* Eval/evaluate_comp.scm 341 */
						obj_t BgL_bpz00_2633;

						BgL_bpz00_2633 = VECTOR_REF(BgL_sz00_2631, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17390)))
							{	/* Eval/evaluate_comp.scm 342 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 342 */
								{	/* Eval/evaluate_comp.scm 343 */
									obj_t BgL_auxz00_17392;

									BgL_auxz00_17392 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17389))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17389))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17390, BgL_auxz00_17392);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17390)))
									{	/* Eval/evaluate_comp.scm 344 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 344 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17389))->
												BgL_locz00), BGl_string5547z00zz__evaluate_compz00,
											BGl_string5668z00zz__evaluate_compz00,
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17389))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 345 */
							obj_t BgL_vz00_2638;

							{	/* Eval/evaluate_comp.scm 345 */
								obj_t BgL_evalzd2globalzd2_9236;

								BgL_evalzd2globalzd2_9236 = CELL_REF(BgL_slotz00_17390);
								BgL_vz00_2638 =
									VECTOR_REF(BgL_evalzd2globalzd2_9236, (int) (((long) 2)));
							}
							if ((BgL_vz00_2638 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 347 */
									int BgL_tz00_2640;

									{	/* Eval/evaluate_comp.scm 347 */
										int BgL_res4834z00_9242;

										{	/* Eval/evaluate_comp.scm 347 */
											obj_t BgL_evalzd2globalzd2_9239;

											BgL_evalzd2globalzd2_9239 = CELL_REF(BgL_slotz00_17390);
											{	/* Eval/evaluate_comp.scm 347 */
												int BgL_kz00_9241;

												BgL_kz00_9241 = (int) (((long) 0));
												BgL_res4834z00_9242 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_9239,
														BgL_kz00_9241));
										}}
										BgL_tz00_2640 = BgL_res4834z00_9242;
									}
									{	/* Eval/evaluate_comp.scm 348 */
										bool_t BgL_testz00_32192;

										if (((long) (BgL_tz00_2640) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32192 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32192 =
													((long) (BgL_tz00_2640) == ((long) 4));
											}
										if (BgL_testz00_32192)
											{	/* Eval/evaluate_comp.scm 348 */
												return
													BGl_everrorz00zz__everrorz00(
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17389))->
														BgL_locz00), BGl_string5547z00zz__evaluate_compz00,
													BGl_string5669z00zz__evaluate_compz00,
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1090z00_17389))->
														BgL_namez00));
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												return BgL_vz00_2638;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 346 */
									return BgL_vz00_2638;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1646 */
	obj_t BGl_z62compzd2ev_setlocal1646zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17393, obj_t BgL_ez00_17394, obj_t BgL_stkz00_17395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 309 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_2583;
				obj_t BgL_stkz00_2584;

				BgL_ez00_2583 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_17394);
				BgL_stkz00_2584 = BgL_stkz00_17395;
				{	/* Eval/evaluate_comp.scm 311 */
					obj_t BgL_iz00_2588;
					obj_t BgL_ez00_2589;

					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_varz00_bglt BgL_arg2748z00_2603;

						BgL_arg2748z00_2603 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2583))->BgL_vz00);
						BgL_iz00_2588 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg2748z00_2603), BgL_stkz00_2584);
					}
					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_exprz00_bglt BgL_arg2749z00_2604;

						BgL_arg2749z00_2604 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2583)))->BgL_ez00);
						BgL_ez00_2589 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2749z00_2604,
							BgL_stkz00_2584);
					}
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2583))->
											BgL_vz00)))->BgL_effz00)))
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_zc3anonymousza32741ze3z83_16279;

							BgL_zc3anonymousza32741ze3z83_16279 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32741ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32741ze3z83_16279,
								(int) (((long) 0)), BgL_iz00_2588);
							PROCEDURE_SET(BgL_zc3anonymousza32741ze3z83_16279,
								(int) (((long) 1)), BgL_ez00_2589);
							return BgL_zc3anonymousza32741ze3z83_16279;
						}
					else
						{	/* Eval/evaluate_comp.scm 316 */
							obj_t BgL_zc3anonymousza32745ze3z83_16280;

							BgL_zc3anonymousza32745ze3z83_16280 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32745ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32745ze3z83_16280,
								(int) (((long) 0)), BgL_iz00_2588);
							PROCEDURE_SET(BgL_zc3anonymousza32745ze3z83_16280,
								(int) (((long) 1)), BgL_ez00_2589);
							return BgL_zc3anonymousza32745ze3z83_16280;
						}
				}
			}
		}
	}



/* &<anonymous:2741> */
	obj_t BGl_z62zc3anonymousza32741ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17396, obj_t BgL_sz00_17399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 314 */
			{	/* Eval/evaluate_comp.scm 314 */
				obj_t BgL_iz00_17397;
				obj_t BgL_ez00_17398;

				BgL_iz00_17397 = PROCEDURE_REF(BgL_envz00_17396, (int) (((long) 0)));
				BgL_ez00_17398 = PROCEDURE_REF(BgL_envz00_17396, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2592;

					BgL_sz00_2592 = BgL_sz00_17399;
					{	/* Eval/evaluate_comp.scm 314 */
						obj_t BgL_bpz00_9166;

						BgL_bpz00_9166 = VECTOR_REF(BgL_sz00_2592, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_arg2742z00_9167;
							obj_t BgL_arg2743z00_9168;

							{	/* Eval/evaluate_comp.scm 314 */
								long BgL_arg2744z00_9169;

								BgL_arg2744z00_9169 =
									((long) CINT(BgL_bpz00_9166) + (long) CINT(BgL_iz00_17397));
								BgL_arg2742z00_9167 =
									VECTOR_REF(BgL_sz00_2592, (int) (BgL_arg2744z00_9169));
							}
							BgL_arg2743z00_9168 =
								PROCEDURE_ENTRY(BgL_ez00_17398) (BgL_ez00_17398, BgL_sz00_2592,
								BEOA);
							{	/* Eval/evaluate_comp.scm 314 */
								obj_t BgL_sz00_9179;

								BgL_sz00_9179 = BgL_arg2742z00_9167;
								{	/* Eval/evaluate_comp.scm 314 */
									obj_t BgL_xz00_17709;

									{	/* Eval/evaluate_comp.scm 314 */
										int BgL_auxz00_32241;

										BgL_auxz00_32241 = (int) (((long) 0));
										BgL_xz00_17709 =
											STRUCT_SET(BgL_sz00_9179, BgL_auxz00_32241,
											BgL_arg2743z00_9168);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2745> */
	obj_t BGl_z62zc3anonymousza32745ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17400, obj_t BgL_sz00_17403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 316 */
				obj_t BgL_iz00_17401;
				obj_t BgL_ez00_17402;

				BgL_iz00_17401 = PROCEDURE_REF(BgL_envz00_17400, (int) (((long) 0)));
				BgL_ez00_17402 = PROCEDURE_REF(BgL_envz00_17400, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2598;

					BgL_sz00_2598 = BgL_sz00_17403;
					{	/* Eval/evaluate_comp.scm 316 */
						obj_t BgL_bpz00_9182;

						BgL_bpz00_9182 = VECTOR_REF(BgL_sz00_2598, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 316 */
							long BgL_arg2746z00_9183;
							obj_t BgL_arg2747z00_9184;

							BgL_arg2746z00_9183 =
								((long) CINT(BgL_bpz00_9182) + (long) CINT(BgL_iz00_17401));
							BgL_arg2747z00_9184 =
								PROCEDURE_ENTRY(BgL_ez00_17402) (BgL_ez00_17402, BgL_sz00_2598,
								BEOA);
							return VECTOR_SET(BgL_sz00_2598, (int) (BgL_arg2746z00_9183),
								BgL_arg2747z00_9184);
		}}}}}
	}



/* &comp-ev_var1644 */
	obj_t BGl_z62compzd2ev_var1644zb0zz__evaluate_compz00(obj_t BgL_envz00_17404,
		obj_t BgL_varz00_17405, obj_t BgL_stkz00_17406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 304 */
			{
				BgL_ev_varz00_bglt BgL_varz00_2523;
				obj_t BgL_stkz00_2524;

				BgL_varz00_2523 = ((BgL_ev_varz00_bglt) BgL_varz00_17405);
				BgL_stkz00_2524 = BgL_stkz00_17406;
				{	/* Eval/evaluate_comp.scm 305 */
					obj_t BgL_iz00_2527;

					BgL_iz00_2527 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_2523), BgL_stkz00_2524);
					{

						if (INTEGERP(BgL_iz00_2527))
							{	/* Eval/evaluate_comp.scm 307 */
								switch ((long) CINT(BgL_iz00_2527))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2523))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5670z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5671z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2523))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5672z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5673z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2523))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5674z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5675z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2523))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5676z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5677z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else1085z00_2529:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2523))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32735ze3z83_16291;

												BgL_zc3anonymousza32735ze3z83_16291 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_16291,
													(int) (((long) 0)), BgL_iz00_2527);
												return BgL_zc3anonymousza32735ze3z83_16291;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32738ze3z83_16290;

												BgL_zc3anonymousza32738ze3z83_16290 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_16290,
													(int) (((long) 0)), BgL_iz00_2527);
												return BgL_zc3anonymousza32738ze3z83_16290;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 307 */
								goto BgL_case_else1085z00_2529;
							}
					}
				}
			}
		}
	}



/* &<anonymous:2729> */
	obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17407, obj_t BgL_sz00_17408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2563;

				BgL_sz00_2563 = BgL_sz00_17408;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9144;

					BgL_bpz00_9144 = VECTOR_REF(BgL_sz00_2563, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2730z00_9145;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2731z00_9146;

							BgL_arg2731z00_9146 = ((long) CINT(BgL_bpz00_9144) + ((long) 3));
							BgL_arg2730z00_9145 =
								VECTOR_REF(BgL_sz00_2563, (int) (BgL_arg2731z00_9146));
						}
						return STRUCT_REF(BgL_arg2730z00_9145, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2732> */
	obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17409, obj_t BgL_sz00_17410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2568;

				BgL_sz00_2568 = BgL_sz00_17410;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9157;

					BgL_bpz00_9157 = VECTOR_REF(BgL_sz00_2568, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2733z00_9158;

						BgL_arg2733z00_9158 = ((long) CINT(BgL_bpz00_9157) + ((long) 3));
						return VECTOR_REF(BgL_sz00_2568, (int) (BgL_arg2733z00_9158));
		}}}}
	}



/* &<anonymous:2723> */
	obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17411, obj_t BgL_sz00_17412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2553;

				BgL_sz00_2553 = BgL_sz00_17412;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9122;

					BgL_bpz00_9122 = VECTOR_REF(BgL_sz00_2553, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2724z00_9123;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2725z00_9124;

							BgL_arg2725z00_9124 = ((long) CINT(BgL_bpz00_9122) + ((long) 2));
							BgL_arg2724z00_9123 =
								VECTOR_REF(BgL_sz00_2553, (int) (BgL_arg2725z00_9124));
						}
						return STRUCT_REF(BgL_arg2724z00_9123, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2726> */
	obj_t BGl_z62zc3anonymousza32726ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17413, obj_t BgL_sz00_17414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2558;

				BgL_sz00_2558 = BgL_sz00_17414;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9135;

					BgL_bpz00_9135 = VECTOR_REF(BgL_sz00_2558, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2727z00_9136;

						BgL_arg2727z00_9136 = ((long) CINT(BgL_bpz00_9135) + ((long) 2));
						return VECTOR_REF(BgL_sz00_2558, (int) (BgL_arg2727z00_9136));
		}}}}
	}



/* &<anonymous:2717> */
	obj_t BGl_z62zc3anonymousza32717ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17415, obj_t BgL_sz00_17416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2543;

				BgL_sz00_2543 = BgL_sz00_17416;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9100;

					BgL_bpz00_9100 = VECTOR_REF(BgL_sz00_2543, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2718z00_9101;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2719z00_9102;

							BgL_arg2719z00_9102 = ((long) CINT(BgL_bpz00_9100) + ((long) 1));
							BgL_arg2718z00_9101 =
								VECTOR_REF(BgL_sz00_2543, (int) (BgL_arg2719z00_9102));
						}
						return STRUCT_REF(BgL_arg2718z00_9101, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2720> */
	obj_t BGl_z62zc3anonymousza32720ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17417, obj_t BgL_sz00_17418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2548;

				BgL_sz00_2548 = BgL_sz00_17418;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9113;

					BgL_bpz00_9113 = VECTOR_REF(BgL_sz00_2548, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2721z00_9114;

						BgL_arg2721z00_9114 = ((long) CINT(BgL_bpz00_9113) + ((long) 1));
						return VECTOR_REF(BgL_sz00_2548, (int) (BgL_arg2721z00_9114));
		}}}}
	}



/* &<anonymous:2711> */
	obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17419, obj_t BgL_sz00_17420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2533;

				BgL_sz00_2533 = BgL_sz00_17420;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9078;

					BgL_bpz00_9078 = VECTOR_REF(BgL_sz00_2533, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2712z00_9079;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2713z00_9080;

							BgL_arg2713z00_9080 = ((long) CINT(BgL_bpz00_9078) + ((long) 0));
							BgL_arg2712z00_9079 =
								VECTOR_REF(BgL_sz00_2533, (int) (BgL_arg2713z00_9080));
						}
						return STRUCT_REF(BgL_arg2712z00_9079, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2714> */
	obj_t BGl_z62zc3anonymousza32714ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17421, obj_t BgL_sz00_17422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2538;

				BgL_sz00_2538 = BgL_sz00_17422;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9091;

					BgL_bpz00_9091 = VECTOR_REF(BgL_sz00_2538, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2715z00_9092;

						BgL_arg2715z00_9092 = ((long) CINT(BgL_bpz00_9091) + ((long) 0));
						return VECTOR_REF(BgL_sz00_2538, (int) (BgL_arg2715z00_9092));
		}}}}
	}



/* &<anonymous:2735> */
	obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17423, obj_t BgL_sz00_17425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17424;

				BgL_iz00_17424 = PROCEDURE_REF(BgL_envz00_17423, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2573;

					BgL_sz00_2573 = BgL_sz00_17425;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9056;

						BgL_bpz00_9056 = VECTOR_REF(BgL_sz00_2573, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							obj_t BgL_arg2736z00_9057;

							{	/* Eval/evaluate_comp.scm 307 */
								long BgL_arg2737z00_9058;

								BgL_arg2737z00_9058 =
									((long) CINT(BgL_bpz00_9056) + (long) CINT(BgL_iz00_17424));
								BgL_arg2736z00_9057 =
									VECTOR_REF(BgL_sz00_2573, (int) (BgL_arg2737z00_9058));
							}
							return STRUCT_REF(BgL_arg2736z00_9057, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:2738> */
	obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17426, obj_t BgL_sz00_17428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17427;

				BgL_iz00_17427 = PROCEDURE_REF(BgL_envz00_17426, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2578;

					BgL_sz00_2578 = BgL_sz00_17428;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9069;

						BgL_bpz00_9069 = VECTOR_REF(BgL_sz00_2578, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2739z00_9070;

							BgL_arg2739z00_9070 =
								((long) CINT(BgL_bpz00_9069) + (long) CINT(BgL_iz00_17427));
							return VECTOR_REF(BgL_sz00_2578, (int) (BgL_arg2739z00_9070));
		}}}}}
	}



/* &comp-ev_trap1642 */
	obj_t BGl_z62compzd2ev_trap1642zb0zz__evaluate_compz00(obj_t BgL_envz00_17429,
		obj_t BgL_ez00_17430, obj_t BgL_stkz00_17431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 277 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_2505;
				obj_t BgL_stkz00_2506;

				BgL_ez00_2505 = ((BgL_ev_trapz00_bglt) BgL_ez00_17430);
				BgL_stkz00_2506 = BgL_stkz00_17431;
				{	/* Eval/evaluate_comp.scm 279 */
					obj_t BgL_ez00_2510;

					{	/* Eval/evaluate_comp.scm 279 */
						BgL_ev_exprz00_bglt BgL_arg2708z00_2521;

						BgL_arg2708z00_2521 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2505)))->BgL_ez00);
						BgL_ez00_2510 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2708z00_2521,
							BgL_stkz00_2506);
					}
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_zc3anonymousza32702ze3z83_16293;

						BgL_zc3anonymousza32702ze3z83_16293 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_16293,
							(int) (((long) 0)), BgL_ez00_2510);
						return BgL_zc3anonymousza32702ze3z83_16293;
					}
				}
			}
		}
	}



/* &<anonymous:2702> */
	obj_t BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17432, obj_t BgL_sz00_17434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 280 */
			{	/* Eval/evaluate_comp.scm 280 */
				obj_t BgL_ez00_17433;

				BgL_ez00_17433 = PROCEDURE_REF(BgL_envz00_17432, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2511;

					BgL_sz00_2511 = BgL_sz00_17434;
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_bpz00_2513;

						BgL_bpz00_2513 = VECTOR_REF(BgL_sz00_2511, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 281 */
							obj_t BgL_cmdz00_2514;

							BgL_cmdz00_2514 =
								PROCEDURE_ENTRY(BgL_ez00_17433) (BgL_ez00_17433, BgL_sz00_2511,
								BEOA);
							if ((BgL_cmdz00_2514 == BGl_symbol5678z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 282 */
									return BgL_bpz00_2513;
								}
							else
								{	/* Eval/evaluate_comp.scm 282 */
									if (
										(BgL_cmdz00_2514 == BGl_symbol5680z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 282 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 282 */
											if (
												(BgL_cmdz00_2514 ==
													BGl_symbol5682z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 282 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 282 */
													if (
														(BgL_cmdz00_2514 ==
															BGl_symbol5684z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 282 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 282 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string5547z00zz__evaluate_compz00,
																BGl_string5686z00zz__evaluate_compz00,
																BgL_cmdz00_2514);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5687z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
