/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1275zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_labels1422z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_list1367zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1307z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1345z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1309z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_global1263z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_litt1402z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1321z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1297z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1327zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1279zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1347zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_letza21383z12zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_if1267z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62tailposzd2ev_litt1363zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_prog21271z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_list1269z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var1261z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1323z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_let1381zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_letza21283zb5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_litt1265z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1305z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1277zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1313z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letrec1285z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	static obj_t BGl_z62hasvarzf3zd2ev_hook1410z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_app1391zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1301z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_hook1371zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21337zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1412z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1424z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_global1361zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_abs1393zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_goto1389zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_if1404z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailpos1356z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1349zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_hook1273z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62subst_goto1324z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1333zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_goto1289z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1385zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1377z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_global1400z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_prog21408z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1375z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1379z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1416z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_app1426z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62hasvarzf3zd2ev_var1398z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_labels1287z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1414z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1418z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_var1359zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_abs1428z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_if1365zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1343zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62searchzd2letrec1294zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_let1281z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1335zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1353zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_binder1420z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1331zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app1291z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1355zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1315z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_labels1387zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2131z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2133z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2136z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2138z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1299z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_setlocal1373zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7e1258zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1341z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs1293z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1329zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1303z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_prog21369zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1339zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf31394z91zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1311z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1317z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1319z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_list1406z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1351zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2120z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2120za700za7za7_2232za7, "&extract-loops", 14);
	      DEFINE_STRING(BGl_string2122z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2122za700za7za7_2233za7, "fsize1258", 9);
	      DEFINE_STRING(BGl_string2124z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2124za700za7za7_2234za7, "search-letrec1294", 17);
	      DEFINE_STRING(BGl_string2126z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2126za700za7za7_2235za7, "subst_goto1324", 14);
	      DEFINE_STRING(BGl_string2128z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2128za700za7za7_2236za7, "tailpos1356", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2237z00,
		BGl_z62tailposzd2ev_list1367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2238z00,
		BGl_z62tailposzd2ev_prog21369zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2239z00,
		BGl_z62tailposzd2ev_hook1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2240z00,
		BGl_z62tailposzd2ev_setlocal1373zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2241z00,
		BGl_z62tailposzd2ev_bindzd2exit1375z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2242z00,
		BGl_z62tailposzd2ev_unwindzd2pr1377z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2130z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2130za700za7za7_2243za7, "hasvar?1394", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2244z00,
		BGl_z62tailposzd2ev_withzd2hand1379z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2245z00,
		BGl_z62tailposzd2ev_let1381zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2132z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2132za700za7za7_2246za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2247z00,
		BGl_z62tailposzd2ev_letza21383z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2248z00,
		BGl_z62tailposzd2ev_letrec1385zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2134z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2134za700za7za7_2249za7, "tailpos", 7);
	      DEFINE_STRING(BGl_string2135z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2135za700za7za7_2250za7, "not defined for", 15);
	      DEFINE_STRING(BGl_string2137z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2137za700za7za7_2251za7, "subst_goto", 10);
	      DEFINE_STRING(BGl_string2139z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2139za700za7za7_2252za7, "search-letrec", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2253z00,
		BGl_z62tailposzd2ev_labels1387zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2254z00,
		BGl_z62tailposzd2ev_goto1389zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2255z00,
		BGl_z62tailposzd2ev_app1391zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2256z00,
		BGl_z62tailposzd2ev_abs1393zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2257za7,
		BGl_z62hasvarzf3zd2ev_var1398z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2140z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2140za700za7za7_2258za7, "eval", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2259za7,
		BGl_z62hasvarzf3zd2ev_global1400z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2141z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2141za700za7za7_2260za7, "internal error: not defined for",
		31);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2261za7,
		BGl_z62hasvarzf3zd2ev_litt1402z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2142z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2142za700za7za7_2262za7, "&fsize", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2263za7,
		BGl_z62hasvarzf3zd2ev_if1404z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2143z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2143za700za7za7_2264za7, "bint", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2265za7,
		BGl_z62hasvarzf3zd2ev_list1406z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2144z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2144za700za7za7_2266za7, "&search-letrec", 14);
	      DEFINE_STRING(BGl_string2145z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2145za700za7za7_2267za7, "&subst_goto", 11);
	      DEFINE_STRING(BGl_string2146z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2146za700za7za7_2268za7, "&tailpos", 8);
	      DEFINE_STRING(BGl_string2147z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2147za700za7za7_2269za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2148z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2148za700za7za7_2270za7, "&hasvar?", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2271za7,
		BGl_z62hasvarzf3zd2ev_prog21408z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2272za7,
		BGl_z62hasvarzf3zd2ev_hook1410z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2273za7,
		BGl_z62hasvarzf3zd2ev_setlocal1412z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2274za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1414z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2275za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1416z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2276za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1418z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2150z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2150za700za7za7_2277za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2278za7,
		BGl_z62hasvarzf3zd2ev_binder1420z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2279za7,
		BGl_z62hasvarzf3zd2ev_labels1422z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2280za7,
		BGl_z62hasvarzf3zd2ev_goto1424z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2281za7,
		BGl_z62hasvarzf3zd2ev_app1426z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2282za7,
		BGl_z62hasvarzf3zd2ev_abs1428z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72283z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622284z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1258za7c2285za7,
		BGl_z62fsiza7e1258zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2286z00,
		BGl_z62searchzd2letrec1294zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1322287za7,
		BGl_z62subst_goto1324z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1356za762288z00,
		BGl_z62tailpos1356z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2215z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2215za700za7za7_2289za7, "hasvar?", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f313942290z00,
		BGl_z62hasvarzf31394z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2231za700za7za7_2291za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2292za7,
		BGl_z62fsiza7ezd2ev_var1261z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2293za7,
		BGl_z62fsiza7ezd2ev_global1263z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2294za7,
		BGl_z62fsiza7ezd2ev_litt1265z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2295za7,
		BGl_z62fsiza7ezd2ev_if1267z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2296za7,
		BGl_z62fsiza7ezd2ev_list1269z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2297za7,
		BGl_z62fsiza7ezd2ev_prog21271z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2298za7,
		BGl_z62fsiza7ezd2ev_hook1273z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2299za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1275zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2300za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1277zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2301za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1279zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2302za7,
		BGl_z62fsiza7ezd2ev_let1281z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2303za7,
		BGl_z62fsiza7ezd2ev_letza21283zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2304za7,
		BGl_z62fsiza7ezd2ev_letrec1285z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2305za7,
		BGl_z62fsiza7ezd2ev_labels1287z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2306za7,
		BGl_z62fsiza7ezd2ev_goto1289z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2307za7,
		BGl_z62fsiza7ezd2ev_app1291z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2308za7,
		BGl_z62fsiza7ezd2ev_abs1293z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2309z00,
		BGl_z62searchzd2letreczd2ev_var1297z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2310z00,
		BGl_z62searchzd2letreczd2ev_glo1299z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2311z00,
		BGl_z62searchzd2letreczd2ev_lit1301z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2312z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2313z00,
		BGl_z62searchzd2letreczd2ev_if1303z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2314z00,
		BGl_z62searchzd2letreczd2ev_lis1305z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2315z00,
		BGl_z62searchzd2letreczd2ev_pro1307z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2316z00,
		BGl_z62searchzd2letreczd2ev_hoo1309z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2317z00,
		BGl_z62searchzd2letreczd2ev_bin1311z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2318z00,
		BGl_z62searchzd2letreczd2ev_unw1313z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2319z00,
		BGl_z62searchzd2letreczd2ev_wit1315z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2320z00,
		BGl_z62searchzd2letreczd2ev_bin1317z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2321z00,
		BGl_z62searchzd2letreczd2ev_let1319z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2322z00,
		BGl_z62searchzd2letreczd2ev_app1321z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2323z00,
		BGl_z62searchzd2letreczd2ev_abs1323z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22324z00,
		BGl_z62subst_gotozd2ev_var1327zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22325z00,
		BGl_z62subst_gotozd2ev_global1329zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22326z00,
		BGl_z62subst_gotozd2ev_litt1331zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22327z00,
		BGl_z62subst_gotozd2ev_if1333zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22328z00,
		BGl_z62subst_gotozd2ev_list1335zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22329z00,
		BGl_z62subst_gotozd2ev_prog21337zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22330z00,
		BGl_z62subst_gotozd2ev_hook1339zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22331z00,
		BGl_z62subst_gotozd2ev_bindzd2e1341z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22332z00,
		BGl_z62subst_gotozd2ev_unwind1343zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22333z00,
		BGl_z62subst_gotozd2ev_withzd2h1345z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22334z00,
		BGl_z62subst_gotozd2ev_binder1347zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22335z00,
		BGl_z62subst_gotozd2ev_labels1349zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22336z00,
		BGl_z62subst_gotozd2ev_goto1351zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22337z00,
		BGl_z62subst_gotozd2ev_app1353zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22338z00,
		BGl_z62subst_gotozd2ev_abs1355zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2339z00,
		BGl_z62tailposzd2ev_var1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2340z00,
		BGl_z62tailposzd2ev_global1361zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2341z00,
		BGl_z62tailposzd2ev_litt1363zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2342z00,
		BGl_z62tailposzd2ev_if1365zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72343za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2344za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2345z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2346z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2117z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2117za700za7za7_2347za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STRING(BGl_string2118z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2118za700za7za7_2348za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2119z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2119za700za7za7_2349za7, "ev_expr", 7);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_3728, char *BgL_fromz00_3729)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2131z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_symbol2133z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_symbol2136z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2137z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2138z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2139z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3307,
		obj_t BgL_ez00_3308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			{	/* Eval/evaluate_fsize.scm 66 */
				int BgL_auxz00_3743;

				{	/* Eval/evaluate_fsize.scm 66 */
					BgL_ev_exprz00_bglt BgL_auxz00_3744;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3308,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 66 */
							BgL_auxz00_3744 = ((BgL_ev_exprz00_bglt) BgL_ez00_3308);
						}
					else
						{
							obj_t BgL_auxz00_3748;

							BgL_auxz00_3748 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 1965)),
								BGl_string2118z00zz__evaluate_fsiza7eza7,
								BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3308);
							FAILURE(BgL_auxz00_3748, BFALSE, BFALSE);
						}
					BgL_auxz00_3743 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_3744);
				}
				return BINT(BgL_auxz00_3743);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_40));
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3309, obj_t BgL_ez00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			{	/* Eval/evaluate_fsize.scm 165 */
				BgL_ev_exprz00_bglt BgL_ez00_3696;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3310,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 165 */
						BgL_ez00_3696 = ((BgL_ev_exprz00_bglt) BgL_ez00_3310);
					}
				else
					{
						obj_t BgL_auxz00_3759;

						BgL_auxz00_3759 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 4866)),
							BGl_string2120z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3310);
						FAILURE(BgL_auxz00_3759, BFALSE, BFALSE);
					}
				return
					((BgL_ev_exprz00_bglt)
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_3696));
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_41)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 168 */
			{
				obj_t BgL_lz00_809;

				BgL_lz00_809 = BgL_lz00_41;
			BgL_zc3anonymousza31462ze3z83_810:
				if (NULLP(BgL_lz00_809))
					{	/* Eval/evaluate_fsize.scm 170 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 170 */
						{	/* Eval/evaluate_fsize.scm 171 */
							obj_t BgL_arg1464z00_812;

							{	/* Eval/evaluate_fsize.scm 171 */
								obj_t BgL_arg1465z00_813;

								BgL_arg1465z00_813 = CAR(BgL_lz00_809);
								BgL_arg1464z00_812 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1465z00_813));
							}
							SET_CAR(BgL_lz00_809, BgL_arg1464z00_812);
						}
						{
							obj_t BgL_lz00_3771;

							BgL_lz00_3771 = CDR(BgL_lz00_809);
							BgL_lz00_809 = BgL_lz00_3771;
							goto BgL_zc3anonymousza31462ze3z83_810;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_57, obj_t BgL_valsz00_58, BgL_ev_exprz00_bglt BgL_bodyz00_59)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 257 */
			{	/* Eval/evaluate_fsize.scm 258 */
				BgL_ev_labelsz00_bglt BgL_rz00_816;

				{	/* Eval/evaluate_fsize.scm 258 */
					BgL_ev_labelsz00_bglt BgL_new1090z00_835;

					{	/* Eval/evaluate_fsize.scm 258 */
						BgL_ev_labelsz00_bglt BgL_new1089z00_839;

						BgL_new1089z00_839 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 258 */
							long BgL_arg1479z00_840;

							{	/* Eval/evaluate_fsize.scm 258 */
								long BgL_res1949z00_2038;

								{	/* Eval/evaluate_fsize.scm 258 */
									obj_t BgL_classz00_2035;

									BgL_classz00_2035 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_fsize.scm 258 */
										obj_t BgL_vectorz00_2036;
										int BgL_kz00_2037;

										BgL_vectorz00_2036 = BgL_classz00_2035;
										BgL_kz00_2037 = (int) (((long) 1));
										BgL_res1949z00_2038 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2036,
												BgL_kz00_2037));
								}}
								BgL_arg1479z00_840 = BgL_res1949z00_2038;
							}
							{	/* Eval/evaluate_fsize.scm 258 */
								BgL_objectz00_bglt BgL_objz00_2039;

								BgL_objz00_2039 = ((BgL_objectz00_bglt) BgL_new1089z00_839);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2039, BgL_arg1479z00_840);
						}}
						{	/* Eval/evaluate_fsize.scm 258 */
							BgL_objectz00_bglt BgL_auxz00_3779;

							BgL_auxz00_3779 = ((BgL_objectz00_bglt) BgL_new1089z00_839);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3779, BFALSE);
						}
						BgL_new1090z00_835 = BgL_new1089z00_839;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_835))->BgL_varsz00) =
						((obj_t) BgL_varsz00_57), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_835))->BgL_valsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_835))->BgL_envz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_835))->BgL_stkz00) =
						((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_3786;

						{	/* Eval/evaluate_fsize.scm 259 */
							BgL_ev_littz00_bglt BgL_new1093z00_836;

							{	/* Eval/evaluate_fsize.scm 259 */
								BgL_ev_littz00_bglt BgL_new1091z00_837;

								BgL_new1091z00_837 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 259 */
									long BgL_arg1478z00_838;

									{	/* Eval/evaluate_fsize.scm 259 */
										long BgL_res1950z00_2044;

										{	/* Eval/evaluate_fsize.scm 259 */
											obj_t BgL_classz00_2041;

											BgL_classz00_2041 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate_fsize.scm 259 */
												obj_t BgL_vectorz00_2042;
												int BgL_kz00_2043;

												BgL_vectorz00_2042 = BgL_classz00_2041;
												BgL_kz00_2043 = (int) (((long) 1));
												BgL_res1950z00_2044 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2042,
														BgL_kz00_2043));
										}}
										BgL_arg1478z00_838 = BgL_res1950z00_2044;
									}
									{	/* Eval/evaluate_fsize.scm 259 */
										BgL_objectz00_bglt BgL_objz00_2045;

										BgL_objz00_2045 = ((BgL_objectz00_bglt) BgL_new1091z00_837);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2045,
											BgL_arg1478z00_838);
								}}
								{	/* Eval/evaluate_fsize.scm 259 */
									BgL_objectz00_bglt BgL_auxz00_3793;

									BgL_auxz00_3793 = ((BgL_objectz00_bglt) BgL_new1091z00_837);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3793, BFALSE);
								}
								BgL_new1093z00_836 = BgL_new1091z00_837;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1093z00_836))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_3786 = ((BgL_ev_exprz00_bglt) BgL_new1093z00_836);
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_835))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_3786), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_835))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_rz00_816 = BgL_new1090z00_835;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_816))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_59,
								BgL_varsz00_57, ((obj_t) BgL_rz00_816)))), BUNSPEC);
				{
					obj_t BgL_auxz00_3805;

					if (NULLP(BgL_valsz00_58))
						{	/* Eval/evaluate_fsize.scm 262 */
							BgL_auxz00_3805 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 262 */
							obj_t BgL_head1187z00_820;

							{	/* Eval/evaluate_fsize.scm 262 */
								obj_t BgL_res1952z00_2051;

								BgL_res1952z00_2051 = MAKE_PAIR(BNIL, BNIL);
								BgL_head1187z00_820 = BgL_res1952z00_2051;
							}
							{
								obj_t BgL_l1185z00_822;
								obj_t BgL_tail1188z00_823;

								BgL_l1185z00_822 = BgL_valsz00_58;
								BgL_tail1188z00_823 = BgL_head1187z00_820;
							BgL_zc3anonymousza31468ze3z83_824:
								if (NULLP(BgL_l1185z00_822))
									{	/* Eval/evaluate_fsize.scm 262 */
										BgL_auxz00_3805 = CDR(BgL_head1187z00_820);
									}
								else
									{	/* Eval/evaluate_fsize.scm 262 */
										obj_t BgL_newtail1189z00_826;

										{	/* Eval/evaluate_fsize.scm 262 */
											obj_t BgL_arg1473z00_828;

											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_valz00_829;

												{	/* Eval/evaluate_fsize.scm 262 */
													obj_t BgL_pairz00_2055;

													BgL_pairz00_2055 = BgL_l1185z00_822;
													BgL_valz00_829 = CAR(BgL_pairz00_2055);
												}
												{	/* Eval/evaluate_fsize.scm 263 */
													BgL_ev_absz00_bglt BgL_i1095z00_830;

													BgL_i1095z00_830 =
														((BgL_ev_absz00_bglt) BgL_valz00_829);
													{	/* Eval/evaluate_fsize.scm 264 */
														obj_t BgL_arg1475z00_831;
														obj_t BgL_arg1476z00_832;

														BgL_arg1475z00_831 =
															(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_830))->
															BgL_varsz00);
														{	/* Eval/evaluate_fsize.scm 264 */
															BgL_ev_exprz00_bglt BgL_arg1477z00_833;

															BgL_arg1477z00_833 =
																(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_830))->
																BgL_bodyz00);
															BgL_arg1476z00_832 =
																BGl_subst_gotoz00zz__evaluate_fsiza7eza7
																(BgL_arg1477z00_833, BgL_varsz00_57,
																((obj_t) BgL_rz00_816));
														}
														BgL_arg1473z00_828 =
															MAKE_PAIR(BgL_arg1475z00_831, BgL_arg1476z00_832);
													}
												}
											}
											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_res1954z00_2058;

												BgL_res1954z00_2058 =
													MAKE_PAIR(BgL_arg1473z00_828, BNIL);
												BgL_newtail1189z00_826 = BgL_res1954z00_2058;
											}
										}
										SET_CDR(BgL_tail1188z00_823, BgL_newtail1189z00_826);
										{	/* Eval/evaluate_fsize.scm 262 */
											obj_t BgL_arg1470z00_827;

											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_pairz00_2061;

												BgL_pairz00_2061 = BgL_l1185z00_822;
												BgL_arg1470z00_827 = CDR(BgL_pairz00_2061);
											}
											{
												obj_t BgL_tail1188z00_3823;
												obj_t BgL_l1185z00_3822;

												BgL_l1185z00_3822 = BgL_arg1470z00_827;
												BgL_tail1188z00_3823 = BgL_newtail1189z00_826;
												BgL_tail1188z00_823 = BgL_tail1188z00_3823;
												BgL_l1185z00_822 = BgL_l1185z00_3822;
												goto BgL_zc3anonymousza31468ze3z83_824;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_816))->BgL_valsz00) =
						((obj_t) BgL_auxz00_3805), BUNSPEC);
				}
				return BgL_rz00_816;
			}
		}
	}



/* letrectail? */
	obj_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_60,
		obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 268 */
			{
				obj_t BgL_l1194z00_842;
				obj_t BgL_lv1195z00_843;

				BgL_l1194z00_842 = BgL_varsz00_60;
				BgL_lv1195z00_843 = BTRUE;
			BgL_zc3anonymousza31480ze3z83_844:
				if (NULLP(BgL_l1194z00_842))
					{	/* Eval/evaluate_fsize.scm 269 */
						return BgL_lv1195z00_843;
					}
				else
					{	/* Eval/evaluate_fsize.scm 270 */
						obj_t BgL_nvz00_846;

						{	/* Eval/evaluate_fsize.scm 270 */
							obj_t BgL_vz00_849;

							BgL_vz00_849 = CAR(BgL_l1194z00_842);
							{	/* Eval/evaluate_fsize.scm 270 */
								obj_t BgL__andtest_1096z00_850;

								BgL__andtest_1096z00_850 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
									((BgL_ev_varz00_bglt) BgL_vz00_849));
								if (CBOOL(BgL__andtest_1096z00_850))
									{
										obj_t BgL_l1190z00_852;
										obj_t BgL_lv1191z00_853;

										BgL_l1190z00_852 = BgL_valsz00_61;
										BgL_lv1191z00_853 = BTRUE;
									BgL_zc3anonymousza31483ze3z83_854:
										if (NULLP(BgL_l1190z00_852))
											{	/* Eval/evaluate_fsize.scm 271 */
												BgL_nvz00_846 = BgL_lv1191z00_853;
											}
										else
											{	/* Eval/evaluate_fsize.scm 272 */
												obj_t BgL_nvz00_856;

												{	/* Eval/evaluate_fsize.scm 272 */
													obj_t BgL_ez00_859;

													BgL_ez00_859 = CAR(BgL_l1190z00_852);
													if (BGl_isazf3zf3zz__objectz00(BgL_ez00_859,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 273 */
															BgL_ev_absz00_bglt BgL_i1097z00_861;

															BgL_i1097z00_861 =
																((BgL_ev_absz00_bglt) BgL_ez00_859);
															if (
																((long) CINT(
																		(((BgL_ev_absz00_bglt)
																				CREF(BgL_i1097z00_861))->
																			BgL_arityz00)) >= ((long) 0)))
																{	/* Eval/evaluate_fsize.scm 275 */
																	BgL_ev_exprz00_bglt BgL_arg1487z00_863;

																	BgL_arg1487z00_863 =
																		(((BgL_ev_absz00_bglt)
																			CREF(BgL_i1097z00_861))->BgL_bodyz00);
																	BgL_nvz00_856 =
																		BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg1487z00_863,
																		((BgL_ev_varz00_bglt) BgL_vz00_849));
																}
															else
																{	/* Eval/evaluate_fsize.scm 274 */
																	BgL_nvz00_856 = BFALSE;
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 272 */
															BgL_nvz00_856 = BFALSE;
														}
												}
												if (CBOOL(BgL_nvz00_856))
													{
														obj_t BgL_lv1191z00_3849;
														obj_t BgL_l1190z00_3847;

														BgL_l1190z00_3847 = CDR(BgL_l1190z00_852);
														BgL_lv1191z00_3849 = BgL_nvz00_856;
														BgL_lv1191z00_853 = BgL_lv1191z00_3849;
														BgL_l1190z00_852 = BgL_l1190z00_3847;
														goto BgL_zc3anonymousza31483ze3z83_854;
													}
												else
													{	/* Eval/evaluate_fsize.scm 271 */
														BgL_nvz00_846 = BFALSE;
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 270 */
										BgL_nvz00_846 = BFALSE;
									}
							}
						}
						if (CBOOL(BgL_nvz00_846))
							{
								obj_t BgL_lv1195z00_3854;
								obj_t BgL_l1194z00_3852;

								BgL_l1194z00_3852 = CDR(BgL_l1194z00_842);
								BgL_lv1195z00_3854 = BgL_nvz00_846;
								BgL_lv1195z00_843 = BgL_lv1195z00_3854;
								BgL_l1194z00_842 = BgL_l1194z00_3852;
								goto BgL_zc3anonymousza31480ze3z83_844;
							}
						else
							{	/* Eval/evaluate_fsize.scm 269 */
								return BFALSE;
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2121z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2122z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2123z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2124z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2125z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2126z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2127z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2128z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2129z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?1394 */
	obj_t BGl_z62hasvarzf31394z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3316,
		obj_t BgL_ez00_3317, obj_t BgL_vz00_3318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_896;
				BgL_ev_varz00_bglt BgL_vz00_897;

				BgL_ez00_896 = ((BgL_ev_exprz00_bglt) BgL_ez00_3317);
				BgL_vz00_897 = ((BgL_ev_varz00_bglt) BgL_vz00_3318);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2131z00zz__evaluate_fsiza7eza7,
					BGl_string2132z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_896));
			}
		}
	}



/* &tailpos1356 */
	obj_t BGl_z62tailpos1356z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3319,
		obj_t BgL_ez00_3320, obj_t BgL_vz00_3321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_891;
				BgL_ev_varz00_bglt BgL_vz00_892;

				BgL_ez00_891 = ((BgL_ev_exprz00_bglt) BgL_ez00_3320);
				BgL_vz00_892 = ((BgL_ev_varz00_bglt) BgL_vz00_3321);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2133z00zz__evaluate_fsiza7eza7,
					BGl_string2135z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_891));
			}
		}
	}



/* &subst_goto1324 */
	obj_t BGl_z62subst_goto1324z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3322,
		obj_t BgL_ez00_3323, obj_t BgL_varsz00_3324, obj_t BgL_lblsz00_3325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			{	/* Eval/evaluate_fsize.scm 288 */
				BgL_ev_exprz00_bglt BgL_ez00_3697;

				BgL_ez00_3697 = ((BgL_ev_exprz00_bglt) BgL_ez00_3323);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2136z00zz__evaluate_fsiza7eza7,
					BGl_string2135z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_3697));
			}
		}
	}



/* &search-letrec1294 */
	obj_t BGl_z62searchzd2letrec1294zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3326, obj_t BgL_ez00_3327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_881;

				BgL_ez00_881 = ((BgL_ev_exprz00_bglt) BgL_ez00_3327);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2138z00zz__evaluate_fsiza7eza7,
					BGl_string2135z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_881));
			}
		}
	}



/* &fsize1258 */
	obj_t BGl_z62fsiza7e1258zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3328,
		obj_t BgL_ez00_3329, obj_t BgL_nz00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_876;
				int BgL_nz00_877;

				BgL_ez00_876 = ((BgL_ev_exprz00_bglt) BgL_ez00_3329);
				BgL_nz00_877 = CINT(BgL_nz00_3330);
				return
					BGl_errorz00zz__errorz00(BGl_string2140z00zz__evaluate_fsiza7eza7,
					BGl_string2141z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_876));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				obj_t BgL_method1259z00_900;

				{	/* Eval/evaluate_fsize.scm 68 */
					obj_t BgL_res1965z00_2113;

					{	/* Eval/evaluate_fsize.scm 68 */
						BgL_objectz00_bglt BgL_objz00_2085;

						BgL_objz00_2085 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_fsize.scm 68 */
							long BgL_objzd2classzd2numz00_2086;

							{	/* Eval/evaluate_fsize.scm 68 */
								long BgL_res1959z00_2089;

								BgL_res1959z00_2089 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2085);
								BgL_objzd2classzd2numz00_2086 = BgL_res1959z00_2089;
							}
							{	/* Eval/evaluate_fsize.scm 68 */
								obj_t BgL_arg1942z00_2087;

								BgL_arg1942z00_2087 =
									PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 68 */
									obj_t BgL_arrayz00_2090;
									int BgL_offsetz00_2091;

									BgL_arrayz00_2090 = BgL_arg1942z00_2087;
									BgL_offsetz00_2091 = (int) (BgL_objzd2classzd2numz00_2086);
									{	/* Eval/evaluate_fsize.scm 68 */
										long BgL_offsetz00_2092;

										BgL_offsetz00_2092 =
											((long) (BgL_offsetz00_2091) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_modz00_2093;

											{	/* Eval/evaluate_fsize.scm 68 */
												int BgL_arg1944z00_2094;

												BgL_arg1944z00_2094 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_res1962z00_2104;

													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_auxz00_3886;

														BgL_auxz00_3886 = (long) (BgL_arg1944z00_2094);
														BgL_res1962z00_2104 =
															(BgL_offsetz00_2092 / BgL_auxz00_3886);
													}
													BgL_modz00_2093 = BgL_res1962z00_2104;
											}}
											{	/* Eval/evaluate_fsize.scm 68 */
												long BgL_restz00_2095;

												{	/* Eval/evaluate_fsize.scm 68 */
													int BgL_arg1943z00_2096;

													BgL_arg1943z00_2096 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_res1964z00_2108;

														{	/* Eval/evaluate_fsize.scm 68 */
															long BgL_auxz00_3890;

															BgL_auxz00_3890 = (long) (BgL_arg1943z00_2096);
															BgL_res1964z00_2108 =
																(BgL_offsetz00_2092 % BgL_auxz00_3890);
														}
														BgL_restz00_2095 = BgL_res1964z00_2108;
												}}
												{	/* Eval/evaluate_fsize.scm 68 */

													BgL_res1965z00_2113 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2090,
															(int) (BgL_modz00_2093)),
														(int) (BgL_restz00_2095));
					}}}}}}}}
					BgL_method1259z00_900 = BgL_res1965z00_2113;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1259z00_900) (BgL_method1259z00_900,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3331,
		obj_t BgL_ez00_3332, obj_t BgL_nz00_3333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				int BgL_auxz00_3905;

				{	/* Eval/evaluate_fsize.scm 68 */
					int BgL_auxz00_3914;
					BgL_ev_exprz00_bglt BgL_auxz00_3906;

					{	/* Eval/evaluate_fsize.scm 68 */
						obj_t BgL_auxz00_3915;

						if (INTEGERP(BgL_nz00_3333))
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_auxz00_3915 = BgL_nz00_3333;
							}
						else
							{
								obj_t BgL_auxz00_3918;

								BgL_auxz00_3918 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2117z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2142z00zz__evaluate_fsiza7eza7,
									BGl_string2143z00zz__evaluate_fsiza7eza7, BgL_nz00_3333);
								FAILURE(BgL_auxz00_3918, BFALSE, BFALSE);
							}
						BgL_auxz00_3914 = CINT(BgL_auxz00_3915);
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3332,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 68 */
							BgL_auxz00_3906 = ((BgL_ev_exprz00_bglt) BgL_ez00_3332);
						}
					else
						{
							obj_t BgL_auxz00_3910;

							BgL_auxz00_3910 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 1980)),
								BGl_string2142z00zz__evaluate_fsiza7eza7,
								BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3332);
							FAILURE(BgL_auxz00_3910, BFALSE, BFALSE);
						}
					BgL_auxz00_3905 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_3906,
						BgL_auxz00_3914);
				}
				return BINT(BgL_auxz00_3905);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				obj_t BgL_method1295z00_901;

				{	/* Eval/evaluate_fsize.scm 174 */
					obj_t BgL_res1972z00_2142;

					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_objectz00_bglt BgL_objz00_2114;

						BgL_objz00_2114 = ((BgL_objectz00_bglt) BgL_ez00_42);
						{	/* Eval/evaluate_fsize.scm 174 */
							long BgL_objzd2classzd2numz00_2115;

							{	/* Eval/evaluate_fsize.scm 174 */
								long BgL_res1966z00_2118;

								BgL_res1966z00_2118 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2114);
								BgL_objzd2classzd2numz00_2115 = BgL_res1966z00_2118;
							}
							{	/* Eval/evaluate_fsize.scm 174 */
								obj_t BgL_arg1942z00_2116;

								BgL_arg1942z00_2116 =
									PROCEDURE_REF
									(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 174 */
									obj_t BgL_arrayz00_2119;
									int BgL_offsetz00_2120;

									BgL_arrayz00_2119 = BgL_arg1942z00_2116;
									BgL_offsetz00_2120 = (int) (BgL_objzd2classzd2numz00_2115);
									{	/* Eval/evaluate_fsize.scm 174 */
										long BgL_offsetz00_2121;

										BgL_offsetz00_2121 =
											((long) (BgL_offsetz00_2120) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 174 */
											long BgL_modz00_2122;

											{	/* Eval/evaluate_fsize.scm 174 */
												int BgL_arg1944z00_2123;

												BgL_arg1944z00_2123 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 174 */
													long BgL_res1969z00_2133;

													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_auxz00_3933;

														BgL_auxz00_3933 = (long) (BgL_arg1944z00_2123);
														BgL_res1969z00_2133 =
															(BgL_offsetz00_2121 / BgL_auxz00_3933);
													}
													BgL_modz00_2122 = BgL_res1969z00_2133;
											}}
											{	/* Eval/evaluate_fsize.scm 174 */
												long BgL_restz00_2124;

												{	/* Eval/evaluate_fsize.scm 174 */
													int BgL_arg1943z00_2125;

													BgL_arg1943z00_2125 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_res1971z00_2137;

														{	/* Eval/evaluate_fsize.scm 174 */
															long BgL_auxz00_3937;

															BgL_auxz00_3937 = (long) (BgL_arg1943z00_2125);
															BgL_res1971z00_2137 =
																(BgL_offsetz00_2121 % BgL_auxz00_3937);
														}
														BgL_restz00_2124 = BgL_res1971z00_2137;
												}}
												{	/* Eval/evaluate_fsize.scm 174 */

													BgL_res1972z00_2142 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2119,
															(int) (BgL_modz00_2122)),
														(int) (BgL_restz00_2124));
					}}}}}}}}
					BgL_method1295z00_901 = BgL_res1972z00_2142;
				}
				return
					PROCEDURE_ENTRY(BgL_method1295z00_901) (BgL_method1295z00_901,
					((obj_t) BgL_ez00_42), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3334,
		obj_t BgL_ez00_3335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				BgL_ev_exprz00_bglt BgL_auxz00_3949;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3335,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_auxz00_3949 = ((BgL_ev_exprz00_bglt) BgL_ez00_3335);
					}
				else
					{
						obj_t BgL_auxz00_3953;

						BgL_auxz00_3953 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 5030)),
							BGl_string2144z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3335);
						FAILURE(BgL_auxz00_3953, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_3949);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_66, obj_t BgL_varsz00_67, obj_t BgL_lblsz00_68)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			{	/* Eval/evaluate_fsize.scm 287 */
				obj_t BgL_method1325z00_902;

				{	/* Eval/evaluate_fsize.scm 287 */
					obj_t BgL_res1979z00_2171;

					{	/* Eval/evaluate_fsize.scm 287 */
						BgL_objectz00_bglt BgL_objz00_2143;

						BgL_objz00_2143 = ((BgL_objectz00_bglt) BgL_ez00_66);
						{	/* Eval/evaluate_fsize.scm 287 */
							long BgL_objzd2classzd2numz00_2144;

							{	/* Eval/evaluate_fsize.scm 287 */
								long BgL_res1973z00_2147;

								BgL_res1973z00_2147 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2143);
								BgL_objzd2classzd2numz00_2144 = BgL_res1973z00_2147;
							}
							{	/* Eval/evaluate_fsize.scm 287 */
								obj_t BgL_arg1942z00_2145;

								BgL_arg1942z00_2145 =
									PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 287 */
									obj_t BgL_arrayz00_2148;
									int BgL_offsetz00_2149;

									BgL_arrayz00_2148 = BgL_arg1942z00_2145;
									BgL_offsetz00_2149 = (int) (BgL_objzd2classzd2numz00_2144);
									{	/* Eval/evaluate_fsize.scm 287 */
										long BgL_offsetz00_2150;

										BgL_offsetz00_2150 =
											((long) (BgL_offsetz00_2149) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 287 */
											long BgL_modz00_2151;

											{	/* Eval/evaluate_fsize.scm 287 */
												int BgL_arg1944z00_2152;

												BgL_arg1944z00_2152 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 287 */
													long BgL_res1976z00_2162;

													{	/* Eval/evaluate_fsize.scm 287 */
														long BgL_auxz00_3966;

														BgL_auxz00_3966 = (long) (BgL_arg1944z00_2152);
														BgL_res1976z00_2162 =
															(BgL_offsetz00_2150 / BgL_auxz00_3966);
													}
													BgL_modz00_2151 = BgL_res1976z00_2162;
											}}
											{	/* Eval/evaluate_fsize.scm 287 */
												long BgL_restz00_2153;

												{	/* Eval/evaluate_fsize.scm 287 */
													int BgL_arg1943z00_2154;

													BgL_arg1943z00_2154 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 287 */
														long BgL_res1978z00_2166;

														{	/* Eval/evaluate_fsize.scm 287 */
															long BgL_auxz00_3970;

															BgL_auxz00_3970 = (long) (BgL_arg1943z00_2154);
															BgL_res1978z00_2166 =
																(BgL_offsetz00_2150 % BgL_auxz00_3970);
														}
														BgL_restz00_2153 = BgL_res1978z00_2166;
												}}
												{	/* Eval/evaluate_fsize.scm 287 */

													BgL_res1979z00_2171 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2148,
															(int) (BgL_modz00_2151)),
														(int) (BgL_restz00_2153));
					}}}}}}}}
					BgL_method1325z00_902 = BgL_res1979z00_2171;
				}
				return
					PROCEDURE_ENTRY(BgL_method1325z00_902) (BgL_method1325z00_902,
					((obj_t) BgL_ez00_66), BgL_varsz00_67, BgL_lblsz00_68, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3336,
		obj_t BgL_ez00_3337, obj_t BgL_varsz00_3338, obj_t BgL_lblsz00_3339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			{	/* Eval/evaluate_fsize.scm 287 */
				BgL_ev_exprz00_bglt BgL_auxz00_3984;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3337,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 287 */
						BgL_auxz00_3984 = ((BgL_ev_exprz00_bglt) BgL_ez00_3337);
					}
				else
					{
						obj_t BgL_auxz00_3988;

						BgL_auxz00_3988 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 8055)),
							BGl_string2145z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3337);
						FAILURE(BgL_auxz00_3988, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_3984,
					BgL_varsz00_3338, BgL_lblsz00_3339);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_114,
		BgL_ev_varz00_bglt BgL_vz00_115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{	/* Eval/evaluate_fsize.scm 376 */
				obj_t BgL_method1357z00_903;

				{	/* Eval/evaluate_fsize.scm 376 */
					obj_t BgL_res1986z00_2200;

					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_objectz00_bglt BgL_objz00_2172;

						BgL_objz00_2172 = ((BgL_objectz00_bglt) BgL_ez00_114);
						{	/* Eval/evaluate_fsize.scm 376 */
							long BgL_objzd2classzd2numz00_2173;

							{	/* Eval/evaluate_fsize.scm 376 */
								long BgL_res1980z00_2176;

								BgL_res1980z00_2176 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2172);
								BgL_objzd2classzd2numz00_2173 = BgL_res1980z00_2176;
							}
							{	/* Eval/evaluate_fsize.scm 376 */
								obj_t BgL_arg1942z00_2174;

								BgL_arg1942z00_2174 =
									PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 376 */
									obj_t BgL_arrayz00_2177;
									int BgL_offsetz00_2178;

									BgL_arrayz00_2177 = BgL_arg1942z00_2174;
									BgL_offsetz00_2178 = (int) (BgL_objzd2classzd2numz00_2173);
									{	/* Eval/evaluate_fsize.scm 376 */
										long BgL_offsetz00_2179;

										BgL_offsetz00_2179 =
											((long) (BgL_offsetz00_2178) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 376 */
											long BgL_modz00_2180;

											{	/* Eval/evaluate_fsize.scm 376 */
												int BgL_arg1944z00_2181;

												BgL_arg1944z00_2181 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 376 */
													long BgL_res1983z00_2191;

													{	/* Eval/evaluate_fsize.scm 376 */
														long BgL_auxz00_4001;

														BgL_auxz00_4001 = (long) (BgL_arg1944z00_2181);
														BgL_res1983z00_2191 =
															(BgL_offsetz00_2179 / BgL_auxz00_4001);
													}
													BgL_modz00_2180 = BgL_res1983z00_2191;
											}}
											{	/* Eval/evaluate_fsize.scm 376 */
												long BgL_restz00_2182;

												{	/* Eval/evaluate_fsize.scm 376 */
													int BgL_arg1943z00_2183;

													BgL_arg1943z00_2183 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 376 */
														long BgL_res1985z00_2195;

														{	/* Eval/evaluate_fsize.scm 376 */
															long BgL_auxz00_4005;

															BgL_auxz00_4005 = (long) (BgL_arg1943z00_2183);
															BgL_res1985z00_2195 =
																(BgL_offsetz00_2179 % BgL_auxz00_4005);
														}
														BgL_restz00_2182 = BgL_res1985z00_2195;
												}}
												{	/* Eval/evaluate_fsize.scm 376 */

													BgL_res1986z00_2200 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2177,
															(int) (BgL_modz00_2180)),
														(int) (BgL_restz00_2182));
					}}}}}}}}
					BgL_method1357z00_903 = BgL_res1986z00_2200;
				}
				return
					PROCEDURE_ENTRY(BgL_method1357z00_903) (BgL_method1357z00_903,
					((obj_t) BgL_ez00_114), ((obj_t) BgL_vz00_115), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3340,
		obj_t BgL_ez00_3341, obj_t BgL_vz00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{	/* Eval/evaluate_fsize.scm 376 */
				BgL_ev_varz00_bglt BgL_auxz00_4027;
				BgL_ev_exprz00_bglt BgL_auxz00_4019;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3342,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_auxz00_4027 = ((BgL_ev_varz00_bglt) BgL_vz00_3342);
					}
				else
					{
						obj_t BgL_auxz00_4031;

						BgL_auxz00_4031 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 10754)),
							BGl_string2146z00zz__evaluate_fsiza7eza7,
							BGl_string2147z00zz__evaluate_fsiza7eza7, BgL_vz00_3342);
						FAILURE(BgL_auxz00_4031, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3341,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_auxz00_4019 = ((BgL_ev_exprz00_bglt) BgL_ez00_3341);
					}
				else
					{
						obj_t BgL_auxz00_4023;

						BgL_auxz00_4023 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 10754)),
							BGl_string2146z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3341);
						FAILURE(BgL_auxz00_4023, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_4019,
					BgL_auxz00_4027);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_152, BgL_ev_varz00_bglt BgL_vz00_153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{	/* Eval/evaluate_fsize.scm 460 */
				obj_t BgL_method1396z00_904;

				{	/* Eval/evaluate_fsize.scm 460 */
					obj_t BgL_res1993z00_2229;

					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_objectz00_bglt BgL_objz00_2201;

						BgL_objz00_2201 = ((BgL_objectz00_bglt) BgL_ez00_152);
						{	/* Eval/evaluate_fsize.scm 460 */
							long BgL_objzd2classzd2numz00_2202;

							{	/* Eval/evaluate_fsize.scm 460 */
								long BgL_res1987z00_2205;

								BgL_res1987z00_2205 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2201);
								BgL_objzd2classzd2numz00_2202 = BgL_res1987z00_2205;
							}
							{	/* Eval/evaluate_fsize.scm 460 */
								obj_t BgL_arg1942z00_2203;

								BgL_arg1942z00_2203 =
									PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 460 */
									obj_t BgL_arrayz00_2206;
									int BgL_offsetz00_2207;

									BgL_arrayz00_2206 = BgL_arg1942z00_2203;
									BgL_offsetz00_2207 = (int) (BgL_objzd2classzd2numz00_2202);
									{	/* Eval/evaluate_fsize.scm 460 */
										long BgL_offsetz00_2208;

										BgL_offsetz00_2208 =
											((long) (BgL_offsetz00_2207) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 460 */
											long BgL_modz00_2209;

											{	/* Eval/evaluate_fsize.scm 460 */
												int BgL_arg1944z00_2210;

												BgL_arg1944z00_2210 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 460 */
													long BgL_res1990z00_2220;

													{	/* Eval/evaluate_fsize.scm 460 */
														long BgL_auxz00_4044;

														BgL_auxz00_4044 = (long) (BgL_arg1944z00_2210);
														BgL_res1990z00_2220 =
															(BgL_offsetz00_2208 / BgL_auxz00_4044);
													}
													BgL_modz00_2209 = BgL_res1990z00_2220;
											}}
											{	/* Eval/evaluate_fsize.scm 460 */
												long BgL_restz00_2211;

												{	/* Eval/evaluate_fsize.scm 460 */
													int BgL_arg1943z00_2212;

													BgL_arg1943z00_2212 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 460 */
														long BgL_res1992z00_2224;

														{	/* Eval/evaluate_fsize.scm 460 */
															long BgL_auxz00_4048;

															BgL_auxz00_4048 = (long) (BgL_arg1943z00_2212);
															BgL_res1992z00_2224 =
																(BgL_offsetz00_2208 % BgL_auxz00_4048);
														}
														BgL_restz00_2211 = BgL_res1992z00_2224;
												}}
												{	/* Eval/evaluate_fsize.scm 460 */

													BgL_res1993z00_2229 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2206,
															(int) (BgL_modz00_2209)),
														(int) (BgL_restz00_2211));
					}}}}}}}}
					BgL_method1396z00_904 = BgL_res1993z00_2229;
				}
				return
					PROCEDURE_ENTRY(BgL_method1396z00_904) (BgL_method1396z00_904,
					((obj_t) BgL_ez00_152), ((obj_t) BgL_vz00_153), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3343,
		obj_t BgL_ez00_3344, obj_t BgL_vz00_3345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{	/* Eval/evaluate_fsize.scm 460 */
				BgL_ev_varz00_bglt BgL_auxz00_4070;
				BgL_ev_exprz00_bglt BgL_auxz00_4062;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3345,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_auxz00_4070 = ((BgL_ev_varz00_bglt) BgL_vz00_3345);
					}
				else
					{
						obj_t BgL_auxz00_4074;

						BgL_auxz00_4074 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 13476)),
							BGl_string2148z00zz__evaluate_fsiza7eza7,
							BGl_string2147z00zz__evaluate_fsiza7eza7, BgL_vz00_3345);
						FAILURE(BgL_auxz00_4074, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3344,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_auxz00_4062 = ((BgL_ev_exprz00_bglt) BgL_ez00_3344);
					}
				else
					{
						obj_t BgL_auxz00_4066;

						BgL_auxz00_4066 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2117z00zz__evaluate_fsiza7eza7, BINT(((long) 13476)),
							BGl_string2148z00zz__evaluate_fsiza7eza7,
							BGl_string2119z00zz__evaluate_fsiza7eza7, BgL_ez00_3344);
						FAILURE(BgL_auxz00_4066, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_4062,
					BgL_auxz00_4070);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2149z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2151z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2152z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2153z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2154z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2155z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2156z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2157z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2158z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2159z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2160z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2161z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2162z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2163z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2164z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2165z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2166z00zz__evaluate_fsiza7eza7,
				BGl_string2150z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2167z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2168z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2169z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2170z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2171z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2172z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2173z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2174z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2175z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2176z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2177z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2178z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2179z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2180z00zz__evaluate_fsiza7eza7,
				BGl_string2139z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2181z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2182z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2183z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2184z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2185z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2186z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2187z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2188z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2189z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2190z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2191z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2192z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2193z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2194z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2195z00zz__evaluate_fsiza7eza7,
				BGl_string2137z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2196z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2197z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2198z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2199z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2200z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2201z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2202z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2203z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2204z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2205z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2206z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2207z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2208z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2209z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2210z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2211z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2212z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2213z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2214z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2216z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2217z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2218z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2219z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2220z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2221z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2222z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2223z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2224z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2225z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2226z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2227z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2228z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2229z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2230z00zz__evaluate_fsiza7eza7,
				BGl_string2215z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs1428 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1428z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3426, obj_t BgL_ez00_3427, obj_t BgL_vz00_3428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 521 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1767;
				BgL_ev_varz00_bglt BgL_vz00_1768;

				BgL_ez00_1767 = ((BgL_ev_absz00_bglt) BgL_ez00_3427);
				BgL_vz00_1768 = ((BgL_ev_varz00_bglt) BgL_vz00_3428);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1767))->BgL_bodyz00),
					BgL_vz00_1768);
			}
		}
	}



/* &hasvar?-ev_app1426 */
	obj_t BGl_z62hasvarzf3zd2ev_app1426z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3429, obj_t BgL_ez00_3430, obj_t BgL_vz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 517 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1750;
				BgL_ev_varz00_bglt BgL_vz00_1751;

				BgL_ez00_1750 = ((BgL_ev_appz00_bglt) BgL_ez00_3430);
				BgL_vz00_1751 = ((BgL_ev_varz00_bglt) BgL_vz00_3431);
				{	/* Eval/evaluate_fsize.scm 519 */
					obj_t BgL__ortest_1161z00_1755;

					BgL__ortest_1161z00_1755 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1750))->BgL_funz00),
						BgL_vz00_1751);
					if (CBOOL(BgL__ortest_1161z00_1755))
						{	/* Eval/evaluate_fsize.scm 519 */
							return BgL__ortest_1161z00_1755;
						}
					else
						{	/* Eval/evaluate_fsize.scm 519 */
							obj_t BgL_g1246z00_1756;

							BgL_g1246z00_1756 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1750))->BgL_argsz00);
							{
								obj_t BgL_l1244z00_1758;

								BgL_l1244z00_1758 = BgL_g1246z00_1756;
							BgL_zc3anonymousza31744ze3z83_1759:
								if (NULLP(BgL_l1244z00_1758))
									{	/* Eval/evaluate_fsize.scm 519 */
										return BFALSE;
									}
								else
									{	/* Eval/evaluate_fsize.scm 519 */
										obj_t BgL__ortest_1247z00_1761;

										{	/* Eval/evaluate_fsize.scm 519 */
											obj_t BgL_ez00_1763;

											BgL_ez00_1763 = CAR(BgL_l1244z00_1758);
											BgL__ortest_1247z00_1761 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1763), BgL_vz00_1751);
										}
										if (CBOOL(BgL__ortest_1247z00_1761))
											{	/* Eval/evaluate_fsize.scm 519 */
												return BgL__ortest_1247z00_1761;
											}
										else
											{
												obj_t BgL_l1244z00_4175;

												BgL_l1244z00_4175 = CDR(BgL_l1244z00_1758);
												BgL_l1244z00_1758 = BgL_l1244z00_4175;
												goto BgL_zc3anonymousza31744ze3z83_1759;
											}
									}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto1424 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1424z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3432, obj_t BgL_ez00_3433, obj_t BgL_vz00_3434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 513 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1735;
				BgL_ev_varz00_bglt BgL_vz00_1736;

				BgL_ez00_1735 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3433);
				BgL_vz00_1736 = ((BgL_ev_varz00_bglt) BgL_vz00_3434);
				{	/* Eval/evaluate_fsize.scm 515 */
					obj_t BgL_g1242z00_1740;

					BgL_g1242z00_1740 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1735))->BgL_argsz00);
					{
						obj_t BgL_l1240z00_1742;

						BgL_l1240z00_1742 = BgL_g1242z00_1740;
					BgL_zc3anonymousza31741ze3z83_1743:
						if (NULLP(BgL_l1240z00_1742))
							{	/* Eval/evaluate_fsize.scm 515 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 515 */
								obj_t BgL__ortest_1243z00_1745;

								{	/* Eval/evaluate_fsize.scm 515 */
									obj_t BgL_ez00_1747;

									BgL_ez00_1747 = CAR(BgL_l1240z00_1742);
									BgL__ortest_1243z00_1745 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_ez00_1747), BgL_vz00_1736);
								}
								if (CBOOL(BgL__ortest_1243z00_1745))
									{	/* Eval/evaluate_fsize.scm 515 */
										return BgL__ortest_1243z00_1745;
									}
								else
									{
										obj_t BgL_l1240z00_4187;

										BgL_l1240z00_4187 = CDR(BgL_l1240z00_1742);
										BgL_l1240z00_1742 = BgL_l1240z00_4187;
										goto BgL_zc3anonymousza31741ze3z83_1743;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_labels1422 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1422z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3435, obj_t BgL_ez00_3436, obj_t BgL_vz00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 508 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1717;
				BgL_ev_varz00_bglt BgL_vz00_1718;

				BgL_ez00_1717 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3436);
				BgL_vz00_1718 = ((BgL_ev_varz00_bglt) BgL_vz00_3437);
				{	/* Eval/evaluate_fsize.scm 510 */
					obj_t BgL__ortest_1158z00_1722;

					{	/* Eval/evaluate_fsize.scm 510 */
						obj_t BgL_g1238z00_1724;

						BgL_g1238z00_1724 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1717))->BgL_valsz00);
						{
							obj_t BgL_l1236z00_1726;

							BgL_l1236z00_1726 = BgL_g1238z00_1724;
						BgL_zc3anonymousza31736ze3z83_1727:
							if (NULLP(BgL_l1236z00_1726))
								{	/* Eval/evaluate_fsize.scm 510 */
									BgL__ortest_1158z00_1722 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 510 */
									obj_t BgL__ortest_1239z00_1729;

									{	/* Eval/evaluate_fsize.scm 510 */
										obj_t BgL_ez00_1731;

										BgL_ez00_1731 = CAR(BgL_l1236z00_1726);
										{	/* Eval/evaluate_fsize.scm 510 */
											obj_t BgL_arg1740z00_1732;

											BgL_arg1740z00_1732 = CDR(BgL_ez00_1731);
											BgL__ortest_1239z00_1729 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1740z00_1732),
												BgL_vz00_1718);
										}
									}
									if (CBOOL(BgL__ortest_1239z00_1729))
										{	/* Eval/evaluate_fsize.scm 510 */
											BgL__ortest_1158z00_1722 = BgL__ortest_1239z00_1729;
										}
									else
										{
											obj_t BgL_l1236z00_4200;

											BgL_l1236z00_4200 = CDR(BgL_l1236z00_1726);
											BgL_l1236z00_1726 = BgL_l1236z00_4200;
											goto BgL_zc3anonymousza31736ze3z83_1727;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1158z00_1722))
						{	/* Eval/evaluate_fsize.scm 510 */
							return BgL__ortest_1158z00_1722;
						}
					else
						{	/* Eval/evaluate_fsize.scm 510 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1717))->BgL_bodyz00),
								BgL_vz00_1718);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder1420 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1420z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3438, obj_t BgL_ez00_3439, obj_t BgL_vz00_3440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 503 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1700;
				BgL_ev_varz00_bglt BgL_vz00_1701;

				BgL_ez00_1700 = ((BgL_ev_binderz00_bglt) BgL_ez00_3439);
				BgL_vz00_1701 = ((BgL_ev_varz00_bglt) BgL_vz00_3440);
				{	/* Eval/evaluate_fsize.scm 505 */
					obj_t BgL__ortest_1156z00_1705;

					{	/* Eval/evaluate_fsize.scm 505 */
						obj_t BgL_g1234z00_1707;

						BgL_g1234z00_1707 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1700))->BgL_valsz00);
						{
							obj_t BgL_l1232z00_1709;

							BgL_l1232z00_1709 = BgL_g1234z00_1707;
						BgL_zc3anonymousza31731ze3z83_1710:
							if (NULLP(BgL_l1232z00_1709))
								{	/* Eval/evaluate_fsize.scm 505 */
									BgL__ortest_1156z00_1705 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 505 */
									obj_t BgL__ortest_1235z00_1712;

									{	/* Eval/evaluate_fsize.scm 505 */
										obj_t BgL_ez00_1714;

										BgL_ez00_1714 = CAR(BgL_l1232z00_1709);
										BgL__ortest_1235z00_1712 =
											BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_ez00_1714), BgL_vz00_1701);
									}
									if (CBOOL(BgL__ortest_1235z00_1712))
										{	/* Eval/evaluate_fsize.scm 505 */
											BgL__ortest_1156z00_1705 = BgL__ortest_1235z00_1712;
										}
									else
										{
											obj_t BgL_l1232z00_4216;

											BgL_l1232z00_4216 = CDR(BgL_l1232z00_1709);
											BgL_l1232z00_1709 = BgL_l1232z00_4216;
											goto BgL_zc3anonymousza31731ze3z83_1710;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1156z00_1705))
						{	/* Eval/evaluate_fsize.scm 505 */
							return BgL__ortest_1156z00_1705;
						}
					else
						{	/* Eval/evaluate_fsize.scm 505 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1700))->BgL_bodyz00),
								BgL_vz00_1701);
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand1418 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1418z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3441, obj_t BgL_ez00_3442, obj_t BgL_vz00_3443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 499 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1691;
				BgL_ev_varz00_bglt BgL_vz00_1692;

				BgL_ez00_1691 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3442);
				BgL_vz00_1692 = ((BgL_ev_varz00_bglt) BgL_vz00_3443);
				{	/* Eval/evaluate_fsize.scm 500 */
					obj_t BgL__ortest_1154z00_3032;

					BgL__ortest_1154z00_3032 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1691))->
							BgL_handlerz00), BgL_vz00_1692);
					if (CBOOL(BgL__ortest_1154z00_3032))
						{	/* Eval/evaluate_fsize.scm 500 */
							return BgL__ortest_1154z00_3032;
						}
					else
						{	/* Eval/evaluate_fsize.scm 500 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1691))->
									BgL_bodyz00), BgL_vz00_1692);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr1416 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1416z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3444, obj_t BgL_ez00_3445, obj_t BgL_vz00_3446)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 495 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1682;
				BgL_ev_varz00_bglt BgL_vz00_1683;

				BgL_ez00_1682 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3445);
				BgL_vz00_1683 = ((BgL_ev_varz00_bglt) BgL_vz00_3446);
				{	/* Eval/evaluate_fsize.scm 496 */
					obj_t BgL__ortest_1152z00_3028;

					BgL__ortest_1152z00_3028 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1682))->BgL_ez00),
						BgL_vz00_1683);
					if (CBOOL(BgL__ortest_1152z00_3028))
						{	/* Eval/evaluate_fsize.scm 496 */
							return BgL__ortest_1152z00_3028;
						}
					else
						{	/* Eval/evaluate_fsize.scm 496 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1682))->
									BgL_bodyz00), BgL_vz00_1683);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit1414 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1414z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3447, obj_t BgL_ez00_3448, obj_t BgL_vz00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 491 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1675;
				BgL_ev_varz00_bglt BgL_vz00_1676;

				BgL_ez00_1675 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3448);
				BgL_vz00_1676 = ((BgL_ev_varz00_bglt) BgL_vz00_3449);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1675))->BgL_bodyz00),
					BgL_vz00_1676);
			}
		}
	}



/* &hasvar?-ev_setlocal1412 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1412z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3450, obj_t BgL_ez00_3451, obj_t BgL_varz00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 487 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1666;
				BgL_ev_varz00_bglt BgL_varz00_1667;

				BgL_ez00_1666 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3451);
				BgL_varz00_1667 = ((BgL_ev_varz00_bglt) BgL_varz00_3452);
				{	/* Eval/evaluate_fsize.scm 488 */
					bool_t BgL__ortest_1149z00_3022;

					BgL__ortest_1149z00_3022 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1666))->BgL_vz00)) ==
						((obj_t) BgL_varz00_1667));
					if (BgL__ortest_1149z00_3022)
						{	/* Eval/evaluate_fsize.scm 488 */
							return BBOOL(BgL__ortest_1149z00_3022);
						}
					else
						{	/* Eval/evaluate_fsize.scm 488 */
							BgL_ev_exprz00_bglt BgL_arg1723z00_3024;

							BgL_arg1723z00_3024 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_1666)))->BgL_ez00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1723z00_3024,
								BgL_varz00_1667);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook1410 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1410z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3453, obj_t BgL_ez00_3454, obj_t BgL_vz00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 483 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1659;
				BgL_ev_varz00_bglt BgL_vz00_1660;

				BgL_ez00_1659 = ((BgL_ev_hookz00_bglt) BgL_ez00_3454);
				BgL_vz00_1660 = ((BgL_ev_varz00_bglt) BgL_vz00_3455);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1659))->BgL_ez00),
					BgL_vz00_1660);
			}
		}
	}



/* &hasvar?-ev_prog21408 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21408z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3456, obj_t BgL_ez00_3457, obj_t BgL_vz00_3458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 479 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1650;
				BgL_ev_varz00_bglt BgL_vz00_1651;

				BgL_ez00_1650 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3457);
				BgL_vz00_1651 = ((BgL_ev_varz00_bglt) BgL_vz00_3458);
				{	/* Eval/evaluate_fsize.scm 480 */
					obj_t BgL__ortest_1146z00_3016;

					BgL__ortest_1146z00_3016 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1650))->BgL_e1z00),
						BgL_vz00_1651);
					if (CBOOL(BgL__ortest_1146z00_3016))
						{	/* Eval/evaluate_fsize.scm 480 */
							return BgL__ortest_1146z00_3016;
						}
					else
						{	/* Eval/evaluate_fsize.scm 480 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1650))->BgL_e2z00),
								BgL_vz00_1651);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list1406 */
	obj_t BGl_z62hasvarzf3zd2ev_list1406z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3459, obj_t BgL_ez00_3460, obj_t BgL_vz00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 475 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1635;
				BgL_ev_varz00_bglt BgL_vz00_1636;

				BgL_ez00_1635 = ((BgL_ev_listz00_bglt) BgL_ez00_3460);
				BgL_vz00_1636 = ((BgL_ev_varz00_bglt) BgL_vz00_3461);
				{	/* Eval/evaluate_fsize.scm 477 */
					obj_t BgL_g1230z00_1640;

					BgL_g1230z00_1640 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1635))->BgL_argsz00);
					{
						obj_t BgL_l1228z00_1642;

						BgL_l1228z00_1642 = BgL_g1230z00_1640;
					BgL_zc3anonymousza31716ze3z83_1643:
						if (NULLP(BgL_l1228z00_1642))
							{	/* Eval/evaluate_fsize.scm 477 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 477 */
								obj_t BgL__ortest_1231z00_1645;

								{	/* Eval/evaluate_fsize.scm 477 */
									obj_t BgL_az00_1647;

									BgL_az00_1647 = CAR(BgL_l1228z00_1642);
									BgL__ortest_1231z00_1645 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_az00_1647), BgL_vz00_1636);
								}
								if (CBOOL(BgL__ortest_1231z00_1645))
									{	/* Eval/evaluate_fsize.scm 477 */
										return BgL__ortest_1231z00_1645;
									}
								else
									{
										obj_t BgL_l1228z00_4275;

										BgL_l1228z00_4275 = CDR(BgL_l1228z00_1642);
										BgL_l1228z00_1642 = BgL_l1228z00_4275;
										goto BgL_zc3anonymousza31716ze3z83_1643;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_if1404 */
	obj_t BGl_z62hasvarzf3zd2ev_if1404z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3462, obj_t BgL_ez00_3463, obj_t BgL_vz00_3464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 471 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1624;
				BgL_ev_varz00_bglt BgL_vz00_1625;

				BgL_ez00_1624 = ((BgL_ev_ifz00_bglt) BgL_ez00_3463);
				BgL_vz00_1625 = ((BgL_ev_varz00_bglt) BgL_vz00_3464);
				{	/* Eval/evaluate_fsize.scm 472 */
					obj_t BgL__ortest_1142z00_3006;

					BgL__ortest_1142z00_3006 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1624))->BgL_pz00),
						BgL_vz00_1625);
					if (CBOOL(BgL__ortest_1142z00_3006))
						{	/* Eval/evaluate_fsize.scm 472 */
							return BgL__ortest_1142z00_3006;
						}
					else
						{	/* Eval/evaluate_fsize.scm 472 */
							obj_t BgL__ortest_1143z00_3008;

							BgL__ortest_1143z00_3008 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1624))->BgL_tz00),
								BgL_vz00_1625);
							if (CBOOL(BgL__ortest_1143z00_3008))
								{	/* Eval/evaluate_fsize.scm 472 */
									return BgL__ortest_1143z00_3008;
								}
							else
								{	/* Eval/evaluate_fsize.scm 472 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1624))->BgL_ez00),
										BgL_vz00_1625);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt1402 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1402z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3465, obj_t BgL_ez00_3466, obj_t BgL_vz00_3467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 468 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global1400 */
	obj_t BGl_z62hasvarzf3zd2ev_global1400z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3468, obj_t BgL_ez00_3469, obj_t BgL_vz00_3470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 465 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var1398 */
	obj_t BGl_z62hasvarzf3zd2ev_var1398z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3471, obj_t BgL_ez00_3472, obj_t BgL_vz00_3473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 462 */
			return
				BBOOL(
				(((obj_t)
						((BgL_ev_varz00_bglt) BgL_ez00_3472)) ==
					((obj_t) ((BgL_ev_varz00_bglt) BgL_vz00_3473))));
		}
	}



/* &tailpos-ev_abs1393 */
	obj_t BGl_z62tailposzd2ev_abs1393zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3474, obj_t BgL_ez00_3475, obj_t BgL_vz00_3476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 454 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1601;
				BgL_ev_varz00_bglt BgL_vz00_1602;

				{	/* Eval/evaluate_fsize.scm 455 */
					bool_t BgL_auxz00_4299;

					BgL_ez00_1601 = ((BgL_ev_absz00_bglt) BgL_ez00_3475);
					BgL_vz00_1602 = ((BgL_ev_varz00_bglt) BgL_vz00_3476);
					{	/* Eval/evaluate_fsize.scm 455 */
						bool_t BgL_testz00_4300;

						{	/* Eval/evaluate_fsize.scm 455 */
							BgL_ev_exprz00_bglt BgL_arg1712z00_3004;

							BgL_arg1712z00_3004 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1601))->BgL_bodyz00);
							BgL_testz00_4300 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1712z00_3004, BgL_vz00_1602));
						}
						if (BgL_testz00_4300)
							{	/* Eval/evaluate_fsize.scm 455 */
								BgL_auxz00_4299 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 455 */
								BgL_auxz00_4299 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4299);
				}
			}
		}
	}



/* &tailpos-ev_app1391 */
	obj_t BGl_z62tailposzd2ev_app1391zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3477, obj_t BgL_ez00_3478, obj_t BgL_vz00_3479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 448 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1578;
				BgL_ev_varz00_bglt BgL_vz00_1579;

				{	/* Eval/evaluate_fsize.scm 449 */
					bool_t BgL_auxz00_4307;

					BgL_ez00_1578 = ((BgL_ev_appz00_bglt) BgL_ez00_3478);
					BgL_vz00_1579 = ((BgL_ev_varz00_bglt) BgL_vz00_3479);
					{	/* Eval/evaluate_fsize.scm 450 */
						bool_t BgL_testz00_4308;

						{	/* Eval/evaluate_fsize.scm 450 */
							obj_t BgL_g1226z00_1588;

							BgL_g1226z00_1588 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1578))->BgL_argsz00);
							{
								obj_t BgL_l1223z00_2984;
								bool_t BgL_lv1224z00_2985;

								BgL_l1223z00_2984 = BgL_g1226z00_1588;
								BgL_lv1224z00_2985 = ((bool_t) 1);
							BgL_zc3anonymousza31707ze3z83_2983:
								if (NULLP(BgL_l1223z00_2984))
									{	/* Eval/evaluate_fsize.scm 450 */
										BgL_testz00_4308 = BgL_lv1224z00_2985;
									}
								else
									{	/* Eval/evaluate_fsize.scm 450 */
										bool_t BgL_nvz00_2993;

										{	/* Eval/evaluate_fsize.scm 450 */
											bool_t BgL_testz00_4312;

											{	/* Eval/evaluate_fsize.scm 450 */
												obj_t BgL_auxz00_4313;

												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_ev_exprz00_bglt BgL_auxz00_4314;

													{	/* Eval/evaluate_fsize.scm 450 */
														obj_t BgL_pairz00_3000;

														BgL_pairz00_3000 = BgL_l1223z00_2984;
														BgL_auxz00_4314 =
															((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_3000));
													}
													BgL_auxz00_4313 =
														BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
														(BgL_auxz00_4314, BgL_vz00_1579);
												}
												BgL_testz00_4312 = CBOOL(BgL_auxz00_4313);
											}
											if (BgL_testz00_4312)
												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_nvz00_2993 = ((bool_t) 0);
												}
											else
												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_nvz00_2993 = ((bool_t) 1);
												}
										}
										if (BgL_nvz00_2993)
											{
												bool_t BgL_lv1224z00_4322;
												obj_t BgL_l1223z00_4320;

												BgL_l1223z00_4320 = CDR(BgL_l1223z00_2984);
												BgL_lv1224z00_4322 = BgL_nvz00_2993;
												BgL_lv1224z00_2985 = BgL_lv1224z00_4322;
												BgL_l1223z00_2984 = BgL_l1223z00_4320;
												goto BgL_zc3anonymousza31707ze3z83_2983;
											}
										else
											{	/* Eval/evaluate_fsize.scm 450 */
												BgL_testz00_4308 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_4308)
							{	/* Eval/evaluate_fsize.scm 451 */
								bool_t BgL__ortest_1139z00_1584;

								BgL__ortest_1139z00_1584 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1578))->BgL_funz00)) ==
									((obj_t) BgL_vz00_1579));
								if (BgL__ortest_1139z00_1584)
									{	/* Eval/evaluate_fsize.scm 451 */
										BgL_auxz00_4307 = BgL__ortest_1139z00_1584;
									}
								else
									{	/* Eval/evaluate_fsize.scm 452 */
										bool_t BgL_testz00_4328;

										{	/* Eval/evaluate_fsize.scm 452 */
											BgL_ev_exprz00_bglt BgL_arg1705z00_1586;

											BgL_arg1705z00_1586 =
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1578))->
												BgL_funz00);
											BgL_testz00_4328 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1705z00_1586, BgL_vz00_1579));
										}
										if (BgL_testz00_4328)
											{	/* Eval/evaluate_fsize.scm 452 */
												BgL_auxz00_4307 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 452 */
												BgL_auxz00_4307 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 450 */
								BgL_auxz00_4307 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4307);
				}
			}
		}
	}



/* &tailpos-ev_goto1389 */
	obj_t BGl_z62tailposzd2ev_goto1389zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3480, obj_t BgL_ez00_3481, obj_t BgL_vz00_3482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 444 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1560;
				BgL_ev_varz00_bglt BgL_vz00_1561;

				{	/* Eval/evaluate_fsize.scm 445 */
					bool_t BgL_auxz00_4335;

					BgL_ez00_1560 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3481);
					BgL_vz00_1561 = ((BgL_ev_varz00_bglt) BgL_vz00_3482);
					{	/* Eval/evaluate_fsize.scm 446 */
						obj_t BgL_g1221z00_1565;

						BgL_g1221z00_1565 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1560))->BgL_argsz00);
						{
							obj_t BgL_l1218z00_2943;
							bool_t BgL_lv1219z00_2944;

							BgL_l1218z00_2943 = BgL_g1221z00_1565;
							BgL_lv1219z00_2944 = ((bool_t) 1);
						BgL_zc3anonymousza31700ze3z83_2942:
							if (NULLP(BgL_l1218z00_2943))
								{	/* Eval/evaluate_fsize.scm 446 */
									BgL_auxz00_4335 = BgL_lv1219z00_2944;
								}
							else
								{	/* Eval/evaluate_fsize.scm 446 */
									bool_t BgL_nvz00_2952;

									{	/* Eval/evaluate_fsize.scm 446 */
										bool_t BgL_testz00_4339;

										{	/* Eval/evaluate_fsize.scm 446 */
											obj_t BgL_auxz00_4340;

											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_ev_exprz00_bglt BgL_auxz00_4341;

												{	/* Eval/evaluate_fsize.scm 446 */
													obj_t BgL_pairz00_2959;

													BgL_pairz00_2959 = BgL_l1218z00_2943;
													BgL_auxz00_4341 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2959));
												}
												BgL_auxz00_4340 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4341, BgL_vz00_1561);
											}
											BgL_testz00_4339 = CBOOL(BgL_auxz00_4340);
										}
										if (BgL_testz00_4339)
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_nvz00_2952 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_nvz00_2952 = ((bool_t) 1);
											}
									}
									if (BgL_nvz00_2952)
										{
											bool_t BgL_lv1219z00_4349;
											obj_t BgL_l1218z00_4347;

											BgL_l1218z00_4347 = CDR(BgL_l1218z00_2943);
											BgL_lv1219z00_4349 = BgL_nvz00_2952;
											BgL_lv1219z00_2944 = BgL_lv1219z00_4349;
											BgL_l1218z00_2943 = BgL_l1218z00_4347;
											goto BgL_zc3anonymousza31700ze3z83_2942;
										}
									else
										{	/* Eval/evaluate_fsize.scm 446 */
											BgL_auxz00_4335 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4335);
				}
			}
		}
	}



/* &tailpos-ev_labels1387 */
	obj_t BGl_z62tailposzd2ev_labels1387zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3483, obj_t BgL_ez00_3484, obj_t BgL_vz00_3485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 439 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1540;
				BgL_ev_varz00_bglt BgL_vz00_1541;

				BgL_ez00_1540 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3484);
				BgL_vz00_1541 = ((BgL_ev_varz00_bglt) BgL_vz00_3485);
				{	/* Eval/evaluate_fsize.scm 441 */
					obj_t BgL__andtest_1135z00_1545;

					{	/* Eval/evaluate_fsize.scm 441 */
						obj_t BgL_g1216z00_1547;

						BgL_g1216z00_1547 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1540))->BgL_valsz00);
						{
							obj_t BgL_l1213z00_2901;
							obj_t BgL_lv1214z00_2902;

							BgL_l1213z00_2901 = BgL_g1216z00_1547;
							BgL_lv1214z00_2902 = BTRUE;
						BgL_zc3anonymousza31696ze3z83_2900:
							if (NULLP(BgL_l1213z00_2901))
								{	/* Eval/evaluate_fsize.scm 441 */
									BgL__andtest_1135z00_1545 = BgL_lv1214z00_2902;
								}
							else
								{	/* Eval/evaluate_fsize.scm 441 */
									obj_t BgL_nvz00_2910;

									{	/* Eval/evaluate_fsize.scm 441 */
										obj_t BgL_ez00_2911;

										BgL_ez00_2911 = CAR(BgL_l1213z00_2901);
										{	/* Eval/evaluate_fsize.scm 441 */
											obj_t BgL_arg1699z00_2912;

											BgL_arg1699z00_2912 = CDR(BgL_ez00_2911);
											BgL_nvz00_2910 =
												BGl_tailposz00zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1699z00_2912),
												BgL_vz00_1541);
										}
									}
									if (CBOOL(BgL_nvz00_2910))
										{
											obj_t BgL_lv1214z00_4364;
											obj_t BgL_l1213z00_4362;

											BgL_l1213z00_4362 = CDR(BgL_l1213z00_2901);
											BgL_lv1214z00_4364 = BgL_nvz00_2910;
											BgL_lv1214z00_2902 = BgL_lv1214z00_4364;
											BgL_l1213z00_2901 = BgL_l1213z00_4362;
											goto BgL_zc3anonymousza31696ze3z83_2900;
										}
									else
										{	/* Eval/evaluate_fsize.scm 441 */
											BgL__andtest_1135z00_1545 = BFALSE;
										}
								}
						}
					}
					if (CBOOL(BgL__andtest_1135z00_1545))
						{	/* Eval/evaluate_fsize.scm 441 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1540))->BgL_bodyz00),
								BgL_vz00_1541);
						}
					else
						{	/* Eval/evaluate_fsize.scm 441 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec1385 */
	obj_t BGl_z62tailposzd2ev_letrec1385zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3486, obj_t BgL_ez00_3487, obj_t BgL_vz00_3488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 434 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1520;
				BgL_ev_varz00_bglt BgL_vz00_1521;

				BgL_ez00_1520 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3487);
				BgL_vz00_1521 = ((BgL_ev_varz00_bglt) BgL_vz00_3488);
				{	/* Eval/evaluate_fsize.scm 436 */
					bool_t BgL_testz00_4371;

					{	/* Eval/evaluate_fsize.scm 436 */
						obj_t BgL_g1211z00_1527;

						BgL_g1211z00_1527 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1520)))->BgL_valsz00);
						{
							obj_t BgL_l1208z00_2858;
							bool_t BgL_lv1209z00_2859;

							BgL_l1208z00_2858 = BgL_g1211z00_1527;
							BgL_lv1209z00_2859 = ((bool_t) 1);
						BgL_zc3anonymousza31691ze3z83_2857:
							if (NULLP(BgL_l1208z00_2858))
								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_testz00_4371 = BgL_lv1209z00_2859;
								}
							else
								{	/* Eval/evaluate_fsize.scm 436 */
									bool_t BgL_nvz00_2867;

									{	/* Eval/evaluate_fsize.scm 436 */
										bool_t BgL_testz00_4376;

										{	/* Eval/evaluate_fsize.scm 436 */
											obj_t BgL_auxz00_4377;

											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_ev_exprz00_bglt BgL_auxz00_4378;

												{	/* Eval/evaluate_fsize.scm 436 */
													obj_t BgL_pairz00_2874;

													BgL_pairz00_2874 = BgL_l1208z00_2858;
													BgL_auxz00_4378 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2874));
												}
												BgL_auxz00_4377 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4378, BgL_vz00_1521);
											}
											BgL_testz00_4376 = CBOOL(BgL_auxz00_4377);
										}
										if (BgL_testz00_4376)
											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_nvz00_2867 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_nvz00_2867 = ((bool_t) 1);
											}
									}
									if (BgL_nvz00_2867)
										{
											bool_t BgL_lv1209z00_4386;
											obj_t BgL_l1208z00_4384;

											BgL_l1208z00_4384 = CDR(BgL_l1208z00_2858);
											BgL_lv1209z00_4386 = BgL_nvz00_2867;
											BgL_lv1209z00_2859 = BgL_lv1209z00_4386;
											BgL_l1208z00_2858 = BgL_l1208z00_4384;
											goto BgL_zc3anonymousza31691ze3z83_2857;
										}
									else
										{	/* Eval/evaluate_fsize.scm 436 */
											BgL_testz00_4371 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4371)
						{	/* Eval/evaluate_fsize.scm 437 */
							BgL_ev_exprz00_bglt BgL_arg1690z00_1526;

							BgL_arg1690z00_1526 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1520)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1690z00_1526,
								BgL_vz00_1521);
						}
					else
						{	/* Eval/evaluate_fsize.scm 436 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*1383 */
	obj_t BGl_z62tailposzd2ev_letza21383z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3489, obj_t BgL_ez00_3490, obj_t BgL_vz00_3491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 429 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1500;
				BgL_ev_varz00_bglt BgL_vz00_1501;

				BgL_ez00_1500 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3490);
				BgL_vz00_1501 = ((BgL_ev_varz00_bglt) BgL_vz00_3491);
				{	/* Eval/evaluate_fsize.scm 431 */
					bool_t BgL_testz00_4392;

					{	/* Eval/evaluate_fsize.scm 431 */
						obj_t BgL_g1206z00_1507;

						BgL_g1206z00_1507 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1500)))->BgL_valsz00);
						{
							obj_t BgL_l1203z00_2817;
							bool_t BgL_lv1204z00_2818;

							BgL_l1203z00_2817 = BgL_g1206z00_1507;
							BgL_lv1204z00_2818 = ((bool_t) 1);
						BgL_zc3anonymousza31686ze3z83_2816:
							if (NULLP(BgL_l1203z00_2817))
								{	/* Eval/evaluate_fsize.scm 431 */
									BgL_testz00_4392 = BgL_lv1204z00_2818;
								}
							else
								{	/* Eval/evaluate_fsize.scm 431 */
									bool_t BgL_nvz00_2826;

									{	/* Eval/evaluate_fsize.scm 431 */
										bool_t BgL_testz00_4397;

										{	/* Eval/evaluate_fsize.scm 431 */
											obj_t BgL_auxz00_4398;

											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_ev_exprz00_bglt BgL_auxz00_4399;

												{	/* Eval/evaluate_fsize.scm 431 */
													obj_t BgL_pairz00_2833;

													BgL_pairz00_2833 = BgL_l1203z00_2817;
													BgL_auxz00_4399 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2833));
												}
												BgL_auxz00_4398 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4399, BgL_vz00_1501);
											}
											BgL_testz00_4397 = CBOOL(BgL_auxz00_4398);
										}
										if (BgL_testz00_4397)
											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_nvz00_2826 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_nvz00_2826 = ((bool_t) 1);
											}
									}
									if (BgL_nvz00_2826)
										{
											bool_t BgL_lv1204z00_4407;
											obj_t BgL_l1203z00_4405;

											BgL_l1203z00_4405 = CDR(BgL_l1203z00_2817);
											BgL_lv1204z00_4407 = BgL_nvz00_2826;
											BgL_lv1204z00_2818 = BgL_lv1204z00_4407;
											BgL_l1203z00_2817 = BgL_l1203z00_4405;
											goto BgL_zc3anonymousza31686ze3z83_2816;
										}
									else
										{	/* Eval/evaluate_fsize.scm 431 */
											BgL_testz00_4392 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4392)
						{	/* Eval/evaluate_fsize.scm 432 */
							BgL_ev_exprz00_bglt BgL_arg1685z00_1506;

							BgL_arg1685z00_1506 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1500)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1685z00_1506,
								BgL_vz00_1501);
						}
					else
						{	/* Eval/evaluate_fsize.scm 431 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let1381 */
	obj_t BGl_z62tailposzd2ev_let1381zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3492, obj_t BgL_ez00_3493, obj_t BgL_vz00_3494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 424 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1480;
				BgL_ev_varz00_bglt BgL_vz00_1481;

				BgL_ez00_1480 = ((BgL_ev_letz00_bglt) BgL_ez00_3493);
				BgL_vz00_1481 = ((BgL_ev_varz00_bglt) BgL_vz00_3494);
				{	/* Eval/evaluate_fsize.scm 426 */
					bool_t BgL_testz00_4413;

					{	/* Eval/evaluate_fsize.scm 426 */
						obj_t BgL_g1201z00_1487;

						BgL_g1201z00_1487 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1480)))->BgL_valsz00);
						{
							obj_t BgL_l1198z00_2776;
							bool_t BgL_lv1199z00_2777;

							BgL_l1198z00_2776 = BgL_g1201z00_1487;
							BgL_lv1199z00_2777 = ((bool_t) 1);
						BgL_zc3anonymousza31681ze3z83_2775:
							if (NULLP(BgL_l1198z00_2776))
								{	/* Eval/evaluate_fsize.scm 426 */
									BgL_testz00_4413 = BgL_lv1199z00_2777;
								}
							else
								{	/* Eval/evaluate_fsize.scm 426 */
									bool_t BgL_nvz00_2785;

									{	/* Eval/evaluate_fsize.scm 426 */
										bool_t BgL_testz00_4418;

										{	/* Eval/evaluate_fsize.scm 426 */
											obj_t BgL_auxz00_4419;

											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_ev_exprz00_bglt BgL_auxz00_4420;

												{	/* Eval/evaluate_fsize.scm 426 */
													obj_t BgL_pairz00_2792;

													BgL_pairz00_2792 = BgL_l1198z00_2776;
													BgL_auxz00_4420 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2792));
												}
												BgL_auxz00_4419 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4420, BgL_vz00_1481);
											}
											BgL_testz00_4418 = CBOOL(BgL_auxz00_4419);
										}
										if (BgL_testz00_4418)
											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_nvz00_2785 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_nvz00_2785 = ((bool_t) 1);
											}
									}
									if (BgL_nvz00_2785)
										{
											bool_t BgL_lv1199z00_4428;
											obj_t BgL_l1198z00_4426;

											BgL_l1198z00_4426 = CDR(BgL_l1198z00_2776);
											BgL_lv1199z00_4428 = BgL_nvz00_2785;
											BgL_lv1199z00_2777 = BgL_lv1199z00_4428;
											BgL_l1198z00_2776 = BgL_l1198z00_4426;
											goto BgL_zc3anonymousza31681ze3z83_2775;
										}
									else
										{	/* Eval/evaluate_fsize.scm 426 */
											BgL_testz00_4413 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4413)
						{	/* Eval/evaluate_fsize.scm 427 */
							BgL_ev_exprz00_bglt BgL_arg1680z00_1486;

							BgL_arg1680z00_1486 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1480)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1680z00_1486,
								BgL_vz00_1481);
						}
					else
						{	/* Eval/evaluate_fsize.scm 426 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_with-hand1379 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1379z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3495, obj_t BgL_ez00_3496, obj_t BgL_vz00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 420 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1469;
				BgL_ev_varz00_bglt BgL_vz00_1470;

				{	/* Eval/evaluate_fsize.scm 421 */
					bool_t BgL_auxz00_4434;

					BgL_ez00_1469 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3496);
					BgL_vz00_1470 = ((BgL_ev_varz00_bglt) BgL_vz00_3497);
					{	/* Eval/evaluate_fsize.scm 421 */
						bool_t BgL_testz00_4435;

						{	/* Eval/evaluate_fsize.scm 421 */
							bool_t BgL_testz00_4436;

							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_ev_exprz00_bglt BgL_arg1679z00_2750;

								BgL_arg1679z00_2750 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1469))->
									BgL_handlerz00);
								BgL_testz00_4436 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1679z00_2750, BgL_vz00_1470));
							}
							if (BgL_testz00_4436)
								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_testz00_4435 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_testz00_4435 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4435)
							{	/* Eval/evaluate_fsize.scm 421 */
								bool_t BgL_testz00_4440;

								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_ev_exprz00_bglt BgL_arg1677z00_2752;

									BgL_arg1677z00_2752 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1469))->
										BgL_bodyz00);
									BgL_testz00_4440 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1677z00_2752, BgL_vz00_1470));
								}
								if (BgL_testz00_4440)
									{	/* Eval/evaluate_fsize.scm 421 */
										BgL_auxz00_4434 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 421 */
										BgL_auxz00_4434 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_auxz00_4434 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4434);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr1377 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1377z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3498, obj_t BgL_ez00_3499, obj_t BgL_vz00_3500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 416 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1458;
				BgL_ev_varz00_bglt BgL_vz00_1459;

				{	/* Eval/evaluate_fsize.scm 417 */
					bool_t BgL_auxz00_4447;

					BgL_ez00_1458 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3499);
					BgL_vz00_1459 = ((BgL_ev_varz00_bglt) BgL_vz00_3500);
					{	/* Eval/evaluate_fsize.scm 417 */
						bool_t BgL_testz00_4448;

						{	/* Eval/evaluate_fsize.scm 417 */
							bool_t BgL_testz00_4449;

							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_ev_exprz00_bglt BgL_arg1675z00_2744;

								BgL_arg1675z00_2744 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1458))->
									BgL_ez00);
								BgL_testz00_4449 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1675z00_2744, BgL_vz00_1459));
							}
							if (BgL_testz00_4449)
								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_testz00_4448 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_testz00_4448 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4448)
							{	/* Eval/evaluate_fsize.scm 417 */
								bool_t BgL_testz00_4453;

								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_ev_exprz00_bglt BgL_arg1673z00_2746;

									BgL_arg1673z00_2746 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1458))->
										BgL_bodyz00);
									BgL_testz00_4453 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1673z00_2746, BgL_vz00_1459));
								}
								if (BgL_testz00_4453)
									{	/* Eval/evaluate_fsize.scm 417 */
										BgL_auxz00_4447 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 417 */
										BgL_auxz00_4447 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_auxz00_4447 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4447);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit1375 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1375z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3501, obj_t BgL_ez00_3502, obj_t BgL_vz00_3503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 412 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1450;
				BgL_ev_varz00_bglt BgL_vz00_1451;

				{	/* Eval/evaluate_fsize.scm 413 */
					bool_t BgL_auxz00_4460;

					BgL_ez00_1450 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3502);
					BgL_vz00_1451 = ((BgL_ev_varz00_bglt) BgL_vz00_3503);
					{	/* Eval/evaluate_fsize.scm 413 */
						bool_t BgL_testz00_4461;

						{	/* Eval/evaluate_fsize.scm 413 */
							BgL_ev_exprz00_bglt BgL_arg1671z00_2740;

							BgL_arg1671z00_2740 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1450))->
								BgL_bodyz00);
							BgL_testz00_4461 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1671z00_2740, BgL_vz00_1451));
						}
						if (BgL_testz00_4461)
							{	/* Eval/evaluate_fsize.scm 413 */
								BgL_auxz00_4460 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 413 */
								BgL_auxz00_4460 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4460);
				}
			}
		}
	}



/* &tailpos-ev_setlocal1373 */
	obj_t BGl_z62tailposzd2ev_setlocal1373zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3504, obj_t BgL_ez00_3505, obj_t BgL_varz00_3506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 408 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1439;
				BgL_ev_varz00_bglt BgL_varz00_1440;

				{	/* Eval/evaluate_fsize.scm 409 */
					bool_t BgL_auxz00_4468;

					BgL_ez00_1439 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3505);
					BgL_varz00_1440 = ((BgL_ev_varz00_bglt) BgL_varz00_3506);
					{	/* Eval/evaluate_fsize.scm 409 */
						bool_t BgL_testz00_4469;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1439))->
										BgL_vz00)) == ((obj_t) BgL_varz00_1440)))
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_testz00_4469 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_testz00_4469 = ((bool_t) 1);
							}
						if (BgL_testz00_4469)
							{	/* Eval/evaluate_fsize.scm 409 */
								bool_t BgL_testz00_4475;

								{	/* Eval/evaluate_fsize.scm 409 */
									BgL_ev_exprz00_bglt BgL_arg1667z00_2737;

									BgL_arg1667z00_2737 =
										(((BgL_ev_hookz00_bglt) CREF(
												((BgL_ev_hookz00_bglt) BgL_ez00_1439)))->BgL_ez00);
									BgL_testz00_4475 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1667z00_2737, BgL_varz00_1440));
								}
								if (BgL_testz00_4475)
									{	/* Eval/evaluate_fsize.scm 409 */
										BgL_auxz00_4468 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 409 */
										BgL_auxz00_4468 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_auxz00_4468 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4468);
				}
			}
		}
	}



/* &tailpos-ev_hook1371 */
	obj_t BGl_z62tailposzd2ev_hook1371zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3507, obj_t BgL_ez00_3508, obj_t BgL_vz00_3509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 404 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1431;
				BgL_ev_varz00_bglt BgL_vz00_1432;

				{	/* Eval/evaluate_fsize.scm 405 */
					bool_t BgL_auxz00_4483;

					BgL_ez00_1431 = ((BgL_ev_hookz00_bglt) BgL_ez00_3508);
					BgL_vz00_1432 = ((BgL_ev_varz00_bglt) BgL_vz00_3509);
					{	/* Eval/evaluate_fsize.scm 405 */
						bool_t BgL_testz00_4484;

						{	/* Eval/evaluate_fsize.scm 405 */
							BgL_ev_exprz00_bglt BgL_arg1665z00_2731;

							BgL_arg1665z00_2731 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1431))->BgL_ez00);
							BgL_testz00_4484 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1665z00_2731, BgL_vz00_1432));
						}
						if (BgL_testz00_4484)
							{	/* Eval/evaluate_fsize.scm 405 */
								BgL_auxz00_4483 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 405 */
								BgL_auxz00_4483 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4483);
				}
			}
		}
	}



/* &tailpos-ev_prog21369 */
	obj_t BGl_z62tailposzd2ev_prog21369zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3510, obj_t BgL_ez00_3511, obj_t BgL_vz00_3512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 400 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1421;
				BgL_ev_varz00_bglt BgL_vz00_1422;

				BgL_ez00_1421 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3511);
				BgL_vz00_1422 = ((BgL_ev_varz00_bglt) BgL_vz00_3512);
				{	/* Eval/evaluate_fsize.scm 401 */
					bool_t BgL_testz00_4491;

					{	/* Eval/evaluate_fsize.scm 401 */
						bool_t BgL_testz00_4492;

						{	/* Eval/evaluate_fsize.scm 401 */
							BgL_ev_exprz00_bglt BgL_arg1663z00_2727;

							BgL_arg1663z00_2727 =
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1421))->BgL_e1z00);
							BgL_testz00_4492 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1663z00_2727, BgL_vz00_1422));
						}
						if (BgL_testz00_4492)
							{	/* Eval/evaluate_fsize.scm 401 */
								BgL_testz00_4491 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 401 */
								BgL_testz00_4491 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4491)
						{	/* Eval/evaluate_fsize.scm 401 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1421))->BgL_e2z00),
								BgL_vz00_1422);
						}
					else
						{	/* Eval/evaluate_fsize.scm 401 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list1367 */
	obj_t BGl_z62tailposzd2ev_list1367zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3513, obj_t BgL_ez00_3514, obj_t BgL_vz00_3515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 392 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1403;
				BgL_ev_varz00_bglt BgL_vz00_1404;

				BgL_ez00_1403 = ((BgL_ev_listz00_bglt) BgL_ez00_3514);
				BgL_vz00_1404 = ((BgL_ev_varz00_bglt) BgL_vz00_3515);
				{
					obj_t BgL_lz00_1410;

					BgL_lz00_1410 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1403))->BgL_argsz00);
				BgL_zc3anonymousza31653ze3z83_1411:
					if (NULLP(CDR(BgL_lz00_1410)))
						{	/* Eval/evaluate_fsize.scm 396 */
							obj_t BgL_arg1655z00_1413;

							BgL_arg1655z00_1413 = CAR(BgL_lz00_1410);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1655z00_1413), BgL_vz00_1404);
						}
					else
						{	/* Eval/evaluate_fsize.scm 397 */
							bool_t BgL_testz00_4506;

							{	/* Eval/evaluate_fsize.scm 397 */
								bool_t BgL_testz00_4507;

								{	/* Eval/evaluate_fsize.scm 397 */
									obj_t BgL_arg1659z00_1417;

									BgL_arg1659z00_1417 = CAR(BgL_lz00_1410);
									BgL_testz00_4507 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1659z00_1417),
											BgL_vz00_1404));
								}
								if (BgL_testz00_4507)
									{	/* Eval/evaluate_fsize.scm 397 */
										BgL_testz00_4506 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 397 */
										BgL_testz00_4506 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_4506)
								{
									obj_t BgL_lz00_4512;

									BgL_lz00_4512 = CDR(BgL_lz00_1410);
									BgL_lz00_1410 = BgL_lz00_4512;
									goto BgL_zc3anonymousza31653ze3z83_1411;
								}
							else
								{	/* Eval/evaluate_fsize.scm 397 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &tailpos-ev_if1365 */
	obj_t BGl_z62tailposzd2ev_if1365zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3516, obj_t BgL_ez00_3517, obj_t BgL_vz00_3518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 388 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1391;
				BgL_ev_varz00_bglt BgL_vz00_1392;

				BgL_ez00_1391 = ((BgL_ev_ifz00_bglt) BgL_ez00_3517);
				BgL_vz00_1392 = ((BgL_ev_varz00_bglt) BgL_vz00_3518);
				{	/* Eval/evaluate_fsize.scm 390 */
					bool_t BgL_testz00_4517;

					{	/* Eval/evaluate_fsize.scm 390 */
						bool_t BgL_testz00_4518;

						{	/* Eval/evaluate_fsize.scm 390 */
							BgL_ev_exprz00_bglt BgL_arg1651z00_1401;

							BgL_arg1651z00_1401 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1391))->BgL_pz00);
							BgL_testz00_4518 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1651z00_1401, BgL_vz00_1392));
						}
						if (BgL_testz00_4518)
							{	/* Eval/evaluate_fsize.scm 390 */
								BgL_testz00_4517 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 390 */
								BgL_testz00_4517 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4517)
						{	/* Eval/evaluate_fsize.scm 390 */
							obj_t BgL__andtest_1115z00_1397;

							BgL__andtest_1115z00_1397 =
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1391))->BgL_tz00),
								BgL_vz00_1392);
							if (CBOOL(BgL__andtest_1115z00_1397))
								{	/* Eval/evaluate_fsize.scm 390 */
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1391))->BgL_ez00),
										BgL_vz00_1392);
								}
							else
								{	/* Eval/evaluate_fsize.scm 390 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 390 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt1363 */
	obj_t BGl_z62tailposzd2ev_litt1363zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3519, obj_t BgL_ez00_3520, obj_t BgL_vz00_3521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 385 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global1361 */
	obj_t BGl_z62tailposzd2ev_global1361zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3522, obj_t BgL_ez00_3523, obj_t BgL_vz00_3524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 382 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var1359 */
	obj_t BGl_z62tailposzd2ev_var1359zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3525, obj_t BgL_ez00_3526, obj_t BgL_vz00_3527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 379 */
			{
				BgL_ev_varz00_bglt BgL_ez00_1375;
				BgL_ev_varz00_bglt BgL_vz00_1376;

				{	/* Eval/evaluate_fsize.scm 380 */
					bool_t BgL_auxz00_4532;

					BgL_ez00_1375 = ((BgL_ev_varz00_bglt) BgL_ez00_3526);
					BgL_vz00_1376 = ((BgL_ev_varz00_bglt) BgL_vz00_3527);
					if ((((obj_t) BgL_ez00_1375) == ((obj_t) BgL_vz00_1376)))
						{	/* Eval/evaluate_fsize.scm 380 */
							BgL_auxz00_4532 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 380 */
							BgL_auxz00_4532 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4532);
				}
			}
		}
	}



/* &subst_goto-ev_abs1355 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1355zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3528, obj_t BgL_ez00_3529, obj_t BgL_varsz00_3530,
		obj_t BgL_lblsz00_3531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 367 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1367;
				obj_t BgL_varsz00_1368;
				obj_t BgL_lblsz00_1369;

				BgL_ez00_1367 = ((BgL_ev_absz00_bglt) BgL_ez00_3529);
				BgL_varsz00_1368 = BgL_varsz00_3530;
				BgL_lblsz00_1369 = BgL_lblsz00_3531;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4540;

					{	/* Eval/evaluate_fsize.scm 368 */
						BgL_ev_exprz00_bglt BgL_arg1646z00_2716;

						BgL_arg1646z00_2716 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1367))->BgL_bodyz00);
						BgL_auxz00_4540 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1646z00_2716,
								BgL_varsz00_1368, BgL_lblsz00_1369));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1367))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4540), BUNSPEC);
				}
				return BgL_ez00_1367;
			}
		}
	}



/* &subst_goto-ev_app1353 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1353zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3532, obj_t BgL_ez00_3533, obj_t BgL_varsz00_3534,
		obj_t BgL_lblsz00_3535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 359 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1353;
				obj_t BgL_varsz00_1354;
				obj_t BgL_lblsz00_1355;

				BgL_ez00_1353 = ((BgL_ev_appz00_bglt) BgL_ez00_3533);
				BgL_varsz00_1354 = BgL_varsz00_3534;
				BgL_lblsz00_1355 = BgL_lblsz00_3535;
				{	/* Eval/evaluate_fsize.scm 361 */
					obj_t BgL_arg1641z00_1359;

					BgL_arg1641z00_1359 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_argsz00);
					{
						obj_t BgL_lz00_2698;

						BgL_lz00_2698 = BgL_arg1641z00_1359;
					BgL_recz00_2697:
						if (NULLP(BgL_lz00_2698))
							{	/* Eval/evaluate_fsize.scm 361 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 361 */
								{	/* Eval/evaluate_fsize.scm 361 */
									obj_t BgL_arg1491z00_2700;

									{	/* Eval/evaluate_fsize.scm 361 */
										obj_t BgL_arg1492z00_2701;

										BgL_arg1492z00_2701 = CAR(BgL_lz00_2698);
										BgL_arg1491z00_2700 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1492z00_2701),
											BgL_varsz00_1354, BgL_lblsz00_1355);
									}
									SET_CAR(BgL_lz00_2698, BgL_arg1491z00_2700);
								}
								{
									obj_t BgL_lz00_4553;

									BgL_lz00_4553 = CDR(BgL_lz00_2698);
									BgL_lz00_2698 = BgL_lz00_4553;
									goto BgL_recz00_2697;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_funz00)),
							BgL_varsz00_1354)))
					{	/* Eval/evaluate_fsize.scm 363 */
						BgL_ev_gotoz00_bglt BgL_new1111z00_1361;

						{	/* Eval/evaluate_fsize.scm 363 */
							BgL_ev_gotoz00_bglt BgL_new1110z00_1362;

							BgL_new1110z00_1362 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 363 */
								long BgL_arg1643z00_1363;

								{	/* Eval/evaluate_fsize.scm 363 */
									long BgL_res2031z00_2712;

									{	/* Eval/evaluate_fsize.scm 363 */
										obj_t BgL_classz00_2709;

										BgL_classz00_2709 = BGl_ev_gotoz00zz__evaluate_typesz00;
										{	/* Eval/evaluate_fsize.scm 363 */
											obj_t BgL_vectorz00_2710;
											int BgL_kz00_2711;

											BgL_vectorz00_2710 = BgL_classz00_2709;
											BgL_kz00_2711 = (int) (((long) 1));
											BgL_res2031z00_2712 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2710,
													BgL_kz00_2711));
									}}
									BgL_arg1643z00_1363 = BgL_res2031z00_2712;
								}
								{	/* Eval/evaluate_fsize.scm 363 */
									BgL_objectz00_bglt BgL_objz00_2713;

									BgL_objz00_2713 = ((BgL_objectz00_bglt) BgL_new1110z00_1362);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2713,
										BgL_arg1643z00_1363);
							}}
							{	/* Eval/evaluate_fsize.scm 363 */
								BgL_objectz00_bglt BgL_auxz00_4566;

								BgL_auxz00_4566 = ((BgL_objectz00_bglt) BgL_new1110z00_1362);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4566, BFALSE);
							}
							BgL_new1111z00_1361 = BgL_new1110z00_1362;
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->
									BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											CREF(BgL_ez00_1353))->BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_1355)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1361))->BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->
									BgL_argsz00)), BUNSPEC);
						return ((BgL_ev_exprz00_bglt) BgL_new1111z00_1361);
					}
				else
					{	/* Eval/evaluate_fsize.scm 362 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_4579;

							{	/* Eval/evaluate_fsize.scm 364 */
								BgL_ev_exprz00_bglt BgL_arg1644z00_1364;

								BgL_arg1644z00_1364 =
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_funz00);
								BgL_auxz00_4579 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1644z00_1364,
										BgL_varsz00_1354, BgL_lblsz00_1355));
							}
							((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1353))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_4579), BUNSPEC);
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_1353);
					}
			}
		}
	}



/* &subst_goto-ev_goto1351 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1351zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3536, obj_t BgL_ez00_3537, obj_t BgL_varsz00_3538,
		obj_t BgL_lblsz00_3539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 354 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1345;
				obj_t BgL_varsz00_1346;
				obj_t BgL_lblsz00_1347;

				BgL_ez00_1345 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3537);
				BgL_varsz00_1346 = BgL_varsz00_3538;
				BgL_lblsz00_1347 = BgL_lblsz00_3539;
				{	/* Eval/evaluate_fsize.scm 355 */
					obj_t BgL_arg1640z00_2678;

					BgL_arg1640z00_2678 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1345))->BgL_argsz00);
					{
						obj_t BgL_lz00_2683;

						BgL_lz00_2683 = BgL_arg1640z00_2678;
					BgL_recz00_2682:
						if (NULLP(BgL_lz00_2683))
							{	/* Eval/evaluate_fsize.scm 355 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 355 */
								{	/* Eval/evaluate_fsize.scm 355 */
									obj_t BgL_arg1491z00_2685;

									{	/* Eval/evaluate_fsize.scm 355 */
										obj_t BgL_arg1492z00_2686;

										BgL_arg1492z00_2686 = CAR(BgL_lz00_2683);
										BgL_arg1491z00_2685 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1492z00_2686),
											BgL_varsz00_1346, BgL_lblsz00_1347);
									}
									SET_CAR(BgL_lz00_2683, BgL_arg1491z00_2685);
								}
								{
									obj_t BgL_lz00_4593;

									BgL_lz00_4593 = CDR(BgL_lz00_2683);
									BgL_lz00_2683 = BgL_lz00_4593;
									goto BgL_recz00_2682;
								}
							}
					}
				}
				return BgL_ez00_1345;
			}
		}
	}



/* &subst_goto-ev_labels1349 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1349zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3540, obj_t BgL_ez00_3541, obj_t BgL_varsz00_3542,
		obj_t BgL_lblsz00_3543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 345 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1327;
				obj_t BgL_varsz00_1328;
				obj_t BgL_lblsz00_1329;

				BgL_ez00_1327 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3541);
				BgL_varsz00_1328 = BgL_varsz00_3542;
				BgL_lblsz00_1329 = BgL_lblsz00_3543;
				{
					obj_t BgL_lz00_1335;

					BgL_lz00_1335 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1327))->BgL_valsz00);
				BgL_zc3anonymousza31632ze3z83_1336:
					if (NULLP(BgL_lz00_1335))
						{	/* Eval/evaluate_fsize.scm 348 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 348 */
							{	/* Eval/evaluate_fsize.scm 349 */
								obj_t BgL_arg1634z00_1338;
								obj_t BgL_arg1635z00_1339;

								BgL_arg1634z00_1338 = CAR(BgL_lz00_1335);
								{	/* Eval/evaluate_fsize.scm 349 */
									obj_t BgL_arg1636z00_1340;

									{	/* Eval/evaluate_fsize.scm 349 */
										obj_t BgL_pairz00_2670;

										BgL_pairz00_2670 = BgL_lz00_1335;
										BgL_arg1636z00_1340 = CDR(CAR(BgL_pairz00_2670));
									}
									BgL_arg1635z00_1339 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1636z00_1340),
										BgL_varsz00_1328, BgL_lblsz00_1329);
								}
								SET_CDR(BgL_arg1634z00_1338, BgL_arg1635z00_1339);
							}
							{
								obj_t BgL_lz00_4604;

								BgL_lz00_4604 = CDR(BgL_lz00_1335);
								BgL_lz00_1335 = BgL_lz00_4604;
								goto BgL_zc3anonymousza31632ze3z83_1336;
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4607;

					{	/* Eval/evaluate_fsize.scm 351 */
						BgL_ev_exprz00_bglt BgL_arg1639z00_1343;

						BgL_arg1639z00_1343 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1327))->BgL_bodyz00);
						BgL_auxz00_4607 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1639z00_1343,
								BgL_varsz00_1328, BgL_lblsz00_1329));
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1327))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4607), BUNSPEC);
				}
				return BgL_ez00_1327;
			}
		}
	}



/* &subst_goto-ev_binder1347 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1347zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3544, obj_t BgL_ez00_3545, obj_t BgL_varsz00_3546,
		obj_t BgL_lblsz00_3547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 339 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1318;
				obj_t BgL_varsz00_1319;
				obj_t BgL_lblsz00_1320;

				BgL_ez00_1318 = ((BgL_ev_binderz00_bglt) BgL_ez00_3545);
				BgL_varsz00_1319 = BgL_varsz00_3546;
				BgL_lblsz00_1320 = BgL_lblsz00_3547;
				{	/* Eval/evaluate_fsize.scm 340 */
					obj_t BgL_arg1629z00_2650;

					BgL_arg1629z00_2650 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1318))->BgL_valsz00);
					{
						obj_t BgL_lz00_2656;

						BgL_lz00_2656 = BgL_arg1629z00_2650;
					BgL_recz00_2655:
						if (NULLP(BgL_lz00_2656))
							{	/* Eval/evaluate_fsize.scm 340 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 340 */
								{	/* Eval/evaluate_fsize.scm 340 */
									obj_t BgL_arg1491z00_2658;

									{	/* Eval/evaluate_fsize.scm 340 */
										obj_t BgL_arg1492z00_2659;

										BgL_arg1492z00_2659 = CAR(BgL_lz00_2656);
										BgL_arg1491z00_2658 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1492z00_2659),
											BgL_varsz00_1319, BgL_lblsz00_1320);
									}
									SET_CAR(BgL_lz00_2656, BgL_arg1491z00_2658);
								}
								{
									obj_t BgL_lz00_4620;

									BgL_lz00_4620 = CDR(BgL_lz00_2656);
									BgL_lz00_2656 = BgL_lz00_4620;
									goto BgL_recz00_2655;
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4622;

					{	/* Eval/evaluate_fsize.scm 340 */
						BgL_ev_exprz00_bglt BgL_arg1630z00_2651;

						BgL_arg1630z00_2651 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1318))->BgL_bodyz00);
						BgL_auxz00_4622 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1630z00_2651,
								BgL_varsz00_1319, BgL_lblsz00_1320));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1318))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4622), BUNSPEC);
				}
				return BgL_ez00_1318;
			}
		}
	}



/* &subst_goto-ev_with-h1345 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1345z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3548, obj_t BgL_ez00_3549, obj_t BgL_varsz00_3550,
		obj_t BgL_lblsz00_3551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 333 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1309;
				obj_t BgL_varsz00_1310;
				obj_t BgL_lblsz00_1311;

				BgL_ez00_1309 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3549);
				BgL_varsz00_1310 = BgL_varsz00_3550;
				BgL_lblsz00_1311 = BgL_lblsz00_3551;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4628;

					{	/* Eval/evaluate_fsize.scm 334 */
						BgL_ev_exprz00_bglt BgL_arg1627z00_2647;

						BgL_arg1627z00_2647 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_handlerz00);
						BgL_auxz00_4628 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1627z00_2647,
								BgL_varsz00_1310, BgL_lblsz00_1311));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4628), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4633;

					{	/* Eval/evaluate_fsize.scm 334 */
						BgL_ev_exprz00_bglt BgL_arg1628z00_2648;

						BgL_arg1628z00_2648 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_bodyz00);
						BgL_auxz00_4633 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1628z00_2648,
								BgL_varsz00_1310, BgL_lblsz00_1311));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1309))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4633), BUNSPEC);
				}
				return BgL_ez00_1309;
			}
		}
	}



/* &subst_goto-ev_unwind1343 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1343zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3552, obj_t BgL_exprz00_3553, obj_t BgL_varsz00_3554,
		obj_t BgL_lblsz00_3555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 327 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1300;
				obj_t BgL_varsz00_1301;
				obj_t BgL_lblsz00_1302;

				BgL_exprz00_1300 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3553);
				BgL_varsz00_1301 = BgL_varsz00_3554;
				BgL_lblsz00_1302 = BgL_lblsz00_3555;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4639;

					{	/* Eval/evaluate_fsize.scm 328 */
						BgL_ev_exprz00_bglt BgL_arg1625z00_2644;

						BgL_arg1625z00_2644 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_ez00);
						BgL_auxz00_4639 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1625z00_2644,
								BgL_varsz00_1301, BgL_lblsz00_1302));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4639), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4644;

					{	/* Eval/evaluate_fsize.scm 328 */
						BgL_ev_exprz00_bglt BgL_arg1626z00_2645;

						BgL_arg1626z00_2645 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_bodyz00);
						BgL_auxz00_4644 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1626z00_2645,
								BgL_varsz00_1301, BgL_lblsz00_1302));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1300))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4644), BUNSPEC);
				}
				return BgL_exprz00_1300;
			}
		}
	}



/* &subst_goto-ev_bind-e1341 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1341z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3556, obj_t BgL_ez00_3557, obj_t BgL_varsz00_3558,
		obj_t BgL_lblsz00_3559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 322 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1292;
				obj_t BgL_varsz00_1293;
				obj_t BgL_lblsz00_1294;

				BgL_ez00_1292 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3557);
				BgL_varsz00_1293 = BgL_varsz00_3558;
				BgL_lblsz00_1294 = BgL_lblsz00_3559;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4650;

					{	/* Eval/evaluate_fsize.scm 323 */
						BgL_ev_exprz00_bglt BgL_arg1624z00_2642;

						BgL_arg1624z00_2642 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1292))->BgL_bodyz00);
						BgL_auxz00_4650 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1624z00_2642,
								BgL_varsz00_1293, BgL_lblsz00_1294));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1292))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4650), BUNSPEC);
				}
				return BgL_ez00_1292;
			}
		}
	}



/* &subst_goto-ev_hook1339 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1339zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3560, obj_t BgL_exprz00_3561, obj_t BgL_varsz00_3562,
		obj_t BgL_lblsz00_3563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 317 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1284;
				obj_t BgL_varsz00_1285;
				obj_t BgL_lblsz00_1286;

				BgL_exprz00_1284 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3561);
				BgL_varsz00_1285 = BgL_varsz00_3562;
				BgL_lblsz00_1286 = BgL_lblsz00_3563;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4656;

					{	/* Eval/evaluate_fsize.scm 318 */
						BgL_ev_exprz00_bglt BgL_arg1623z00_2640;

						BgL_arg1623z00_2640 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1284))->BgL_ez00);
						BgL_auxz00_4656 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1623z00_2640,
								BgL_varsz00_1285, BgL_lblsz00_1286));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1284))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4656), BUNSPEC);
				}
				return BgL_exprz00_1284;
			}
		}
	}



/* &subst_goto-ev_prog21337 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21337zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3564, obj_t BgL_ez00_3565, obj_t BgL_varsz00_3566,
		obj_t BgL_lblsz00_3567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 311 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1275;
				obj_t BgL_varsz00_1276;
				obj_t BgL_lblsz00_1277;

				BgL_ez00_1275 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3565);
				BgL_varsz00_1276 = BgL_varsz00_3566;
				BgL_lblsz00_1277 = BgL_lblsz00_3567;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4662;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1621z00_2637;

						BgL_arg1621z00_2637 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e1z00);
						BgL_auxz00_4662 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1621z00_2637,
								BgL_varsz00_1276, BgL_lblsz00_1277));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4662), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4667;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1622z00_2638;

						BgL_arg1622z00_2638 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e2z00);
						BgL_auxz00_4667 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1622z00_2638,
								BgL_varsz00_1276, BgL_lblsz00_1277));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1275))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4667), BUNSPEC);
				}
				return BgL_ez00_1275;
			}
		}
	}



/* &subst_goto-ev_list1335 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1335zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3568, obj_t BgL_ez00_3569, obj_t BgL_varsz00_3570,
		obj_t BgL_lblsz00_3571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 306 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1267;
				obj_t BgL_varsz00_1268;
				obj_t BgL_lblsz00_1269;

				BgL_ez00_1267 = ((BgL_ev_listz00_bglt) BgL_ez00_3569);
				BgL_varsz00_1268 = BgL_varsz00_3570;
				BgL_lblsz00_1269 = BgL_lblsz00_3571;
				{	/* Eval/evaluate_fsize.scm 307 */
					obj_t BgL_arg1620z00_2620;

					BgL_arg1620z00_2620 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1267))->BgL_argsz00);
					{
						obj_t BgL_lz00_2625;

						BgL_lz00_2625 = BgL_arg1620z00_2620;
					BgL_recz00_2624:
						if (NULLP(BgL_lz00_2625))
							{	/* Eval/evaluate_fsize.scm 307 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 307 */
								{	/* Eval/evaluate_fsize.scm 307 */
									obj_t BgL_arg1491z00_2627;

									{	/* Eval/evaluate_fsize.scm 307 */
										obj_t BgL_arg1492z00_2628;

										BgL_arg1492z00_2628 = CAR(BgL_lz00_2625);
										BgL_arg1491z00_2627 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1492z00_2628),
											BgL_varsz00_1268, BgL_lblsz00_1269);
									}
									SET_CAR(BgL_lz00_2625, BgL_arg1491z00_2627);
								}
								{
									obj_t BgL_lz00_4680;

									BgL_lz00_4680 = CDR(BgL_lz00_2625);
									BgL_lz00_2625 = BgL_lz00_4680;
									goto BgL_recz00_2624;
								}
							}
					}
				}
				return BgL_ez00_1267;
			}
		}
	}



/* &subst_goto-ev_if1333 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1333zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3572, obj_t BgL_exprz00_3573, obj_t BgL_varsz00_3574,
		obj_t BgL_lblsz00_3575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 299 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1257;
				obj_t BgL_varsz00_1258;
				obj_t BgL_lblsz00_1259;

				BgL_exprz00_1257 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3573);
				BgL_varsz00_1258 = BgL_varsz00_3574;
				BgL_lblsz00_1259 = BgL_lblsz00_3575;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4683;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1617z00_2616;

						BgL_arg1617z00_2616 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_pz00);
						BgL_auxz00_4683 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1617z00_2616,
								BgL_varsz00_1258, BgL_lblsz00_1259));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4683), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4688;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1618z00_2617;

						BgL_arg1618z00_2617 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_tz00);
						BgL_auxz00_4688 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1618z00_2617,
								BgL_varsz00_1258, BgL_lblsz00_1259));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4688), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4693;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1619z00_2618;

						BgL_arg1619z00_2618 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_ez00);
						BgL_auxz00_4693 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1619z00_2618,
								BgL_varsz00_1258, BgL_lblsz00_1259));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1257))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4693), BUNSPEC);
				}
				return BgL_exprz00_1257;
			}
		}
	}



/* &subst_goto-ev_litt1331 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1331zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3576, obj_t BgL_ez00_3577, obj_t BgL_varsz00_3578,
		obj_t BgL_lblsz00_3579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 296 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3577);
		}
	}



/* &subst_goto-ev_global1329 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1329zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3580, obj_t BgL_ez00_3581, obj_t BgL_varsz00_3582,
		obj_t BgL_lblsz00_3583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 293 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3581);
		}
	}



/* &subst_goto-ev_var1327 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1327zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3584, obj_t BgL_ez00_3585, obj_t BgL_varsz00_3586,
		obj_t BgL_lblsz00_3587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 290 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3585);
		}
	}



/* &search-letrec-ev_abs1323 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1323z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3588, obj_t BgL_ez00_3589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 249 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1233;

				BgL_ez00_1233 = ((BgL_ev_absz00_bglt) BgL_ez00_3589);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4702;

					{	/* Eval/evaluate_fsize.scm 250 */
						BgL_ev_exprz00_bglt BgL_arg1616z00_2614;

						BgL_arg1616z00_2614 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1233))->BgL_bodyz00);
						BgL_auxz00_4702 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1616z00_2614));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1233))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4702), BUNSPEC);
				}
				return BgL_ez00_1233;
			}
		}
	}



/* &search-letrec-ev_app1321 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1321z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3590, obj_t BgL_ez00_3591)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 243 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1226;

				BgL_ez00_1226 = ((BgL_ev_appz00_bglt) BgL_ez00_3591);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4708;

					{	/* Eval/evaluate_fsize.scm 244 */
						BgL_ev_exprz00_bglt BgL_arg1614z00_2611;

						BgL_arg1614z00_2611 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1226))->BgL_funz00);
						BgL_auxz00_4708 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1614z00_2611));
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1226))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4708), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1226))->BgL_argsz00));
				return BgL_ez00_1226;
			}
		}
	}



/* &search-letrec-ev_let1319 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1319z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3592, obj_t BgL_ez00_3593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 232 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1212;

				BgL_ez00_1212 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3593);
				{	/* Eval/evaluate_fsize.scm 234 */
					obj_t BgL_arg1606z00_1216;

					BgL_arg1606z00_1216 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1606z00_1216);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4719;

					{	/* Eval/evaluate_fsize.scm 235 */
						BgL_ev_exprz00_bglt BgL_arg1607z00_1217;

						BgL_arg1607z00_1217 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00);
						BgL_auxz00_4719 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1607z00_1217));
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4719), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 236 */
					obj_t BgL_okzf3zf3_1218;

					{	/* Eval/evaluate_fsize.scm 236 */
						obj_t BgL_arg1611z00_1222;
						obj_t BgL_arg1612z00_1223;
						BgL_ev_exprz00_bglt BgL_arg1613z00_1224;

						BgL_arg1611z00_1222 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_varsz00);
						BgL_arg1612z00_1223 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_valsz00);
						BgL_arg1613z00_1224 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00);
						BgL_okzf3zf3_1218 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1611z00_1222,
							BgL_arg1612z00_1223, BgL_arg1613z00_1224);
					}
					if (CBOOL(BgL_okzf3zf3_1218))
						{	/* Eval/evaluate_fsize.scm 240 */
							obj_t BgL_arg1608z00_1219;
							obj_t BgL_arg1609z00_1220;
							BgL_ev_exprz00_bglt BgL_arg1610z00_1221;

							BgL_arg1608z00_1219 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_varsz00);
							BgL_arg1609z00_1220 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_valsz00);
							BgL_arg1610z00_1221 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1212)))->BgL_bodyz00);
							return
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1608z00_1219, BgL_arg1609z00_1220,
									BgL_arg1610z00_1221));
						}
					else
						{	/* Eval/evaluate_fsize.scm 239 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1212);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin1317 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1317z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3594, obj_t BgL_ez00_3595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 226 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1205;

				BgL_ez00_1205 = ((BgL_ev_binderz00_bglt) BgL_ez00_3595);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1205))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4747;

					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_arg1605z00_2609;

						BgL_arg1605z00_2609 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1205))->BgL_bodyz00);
						BgL_auxz00_4747 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1605z00_2609));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1205))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4747), BUNSPEC);
				}
				return BgL_ez00_1205;
			}
		}
	}



/* &search-letrec-ev_wit1315 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1315z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3596, obj_t BgL_ez00_3597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 220 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1198;

				BgL_ez00_1198 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3597);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4753;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1602z00_2605;

						BgL_arg1602z00_2605 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_handlerz00);
						BgL_auxz00_4753 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1602z00_2605));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4753), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4758;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1603z00_2606;

						BgL_arg1603z00_2606 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_bodyz00);
						BgL_auxz00_4758 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1603z00_2606));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1198))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4758), BUNSPEC);
				}
				return BgL_ez00_1198;
			}
		}
	}



/* &search-letrec-ev_unw1313 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1313z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3598, obj_t BgL_exprz00_3599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 214 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1191;

				BgL_exprz00_1191 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3599);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4764;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1600z00_2602;

						BgL_arg1600z00_2602 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_ez00);
						BgL_auxz00_4764 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1600z00_2602));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4764), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4769;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1601z00_2603;

						BgL_arg1601z00_2603 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_bodyz00);
						BgL_auxz00_4769 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1601z00_2603));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1191))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4769), BUNSPEC);
				}
				return BgL_exprz00_1191;
			}
		}
	}



/* &search-letrec-ev_bin1311 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1311z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3600, obj_t BgL_ez00_3601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 209 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1185;

				BgL_ez00_1185 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3601);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4775;

					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_arg1599z00_2600;

						BgL_arg1599z00_2600 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1185))->BgL_bodyz00);
						BgL_auxz00_4775 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1599z00_2600));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1185))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4775), BUNSPEC);
				}
				return BgL_ez00_1185;
			}
		}
	}



/* &search-letrec-ev_hoo1309 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1309z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3602, obj_t BgL_exprz00_3603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 204 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1179;

				BgL_exprz00_1179 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3603);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4781;

					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_arg1598z00_2598;

						BgL_arg1598z00_2598 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1179))->BgL_ez00);
						BgL_auxz00_4781 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1598z00_2598));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1179))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4781), BUNSPEC);
				}
				return BgL_exprz00_1179;
			}
		}
	}



/* &search-letrec-ev_pro1307 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1307z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3604, obj_t BgL_ez00_3605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 198 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1172;

				BgL_ez00_1172 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3605);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4787;

					{	/* Eval/evaluate_fsize.scm 199 */
						BgL_ev_exprz00_bglt BgL_arg1596z00_2595;

						BgL_arg1596z00_2595 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e1z00);
						BgL_auxz00_4787 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1596z00_2595));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4787), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4792;

					{	/* Eval/evaluate_fsize.scm 199 */
						BgL_ev_exprz00_bglt BgL_arg1597z00_2596;

						BgL_arg1597z00_2596 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e2z00);
						BgL_auxz00_4792 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1597z00_2596));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1172))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4792), BUNSPEC);
				}
				return BgL_ez00_1172;
			}
		}
	}



/* &search-letrec-ev_lis1305 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1305z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3606, obj_t BgL_ez00_3607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 193 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1166;

				BgL_ez00_1166 = ((BgL_ev_listz00_bglt) BgL_ez00_3607);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1166))->BgL_argsz00));
				return BgL_ez00_1166;
			}
		}
	}



/* &search-letrec-ev_if1303 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1303z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3608, obj_t BgL_exprz00_3609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 186 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1158;

				BgL_exprz00_1158 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3609);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4801;

					{	/* Eval/evaluate_fsize.scm 188 */
						BgL_ev_exprz00_bglt BgL_arg1592z00_1162;

						BgL_arg1592z00_1162 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_pz00);
						BgL_auxz00_4801 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1592z00_1162));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4801), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4806;

					{	/* Eval/evaluate_fsize.scm 189 */
						BgL_ev_exprz00_bglt BgL_arg1593z00_1163;

						BgL_arg1593z00_1163 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_tz00);
						BgL_auxz00_4806 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1593z00_1163));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4806), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4811;

					{	/* Eval/evaluate_fsize.scm 190 */
						BgL_ev_exprz00_bglt BgL_arg1594z00_1164;

						BgL_arg1594z00_1164 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_ez00);
						BgL_auxz00_4811 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1594z00_1164));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1158))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4811), BUNSPEC);
				}
				return BgL_exprz00_1158;
			}
		}
	}



/* &search-letrec-ev_lit1301 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1301z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3610, obj_t BgL_ez00_3611)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 183 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3611);
		}
	}



/* &search-letrec-ev_glo1299 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1299z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3612, obj_t BgL_ez00_3613)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 180 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3613);
		}
	}



/* &search-letrec-ev_var1297 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1297z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3614, obj_t BgL_ez00_3615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 177 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3615);
		}
	}



/* &fsize-ev_abs1293 */
	obj_t BGl_z62fsiza7ezd2ev_abs1293z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3616, obj_t BgL_ez00_3617, obj_t BgL_nz00_3618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 154 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1136;
				int BgL_nz00_1137;

				{	/* Eval/evaluate_fsize.scm 155 */
					int BgL_auxz00_4820;

					BgL_ez00_1136 = ((BgL_ev_absz00_bglt) BgL_ez00_3617);
					BgL_nz00_1137 = CINT(BgL_nz00_3618);
					{	/* Eval/evaluate_fsize.scm 155 */
						int BgL_nnz00_2588;

						{	/* Eval/evaluate_fsize.scm 155 */
							BgL_ev_exprz00_bglt BgL_arg1589z00_2589;
							long BgL_arg1590z00_2590;

							BgL_arg1589z00_2589 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1136))->BgL_bodyz00);
							BgL_arg1590z00_2590 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1136))->BgL_varsz00));
							BgL_nnz00_2588 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1589z00_2589,
								(int) (BgL_arg1590z00_2590));
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1136))->BgL_siza7eza7) =
							((int) BgL_nnz00_2588), BUNSPEC);
						BgL_auxz00_4820 = BgL_nz00_1137;
					}
					return BINT(BgL_auxz00_4820);
				}
			}
		}
	}



/* &fsize-ev_app1291 */
	obj_t BGl_z62fsiza7ezd2ev_app1291z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3619, obj_t BgL_ez00_3620, obj_t BgL_nz00_3621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 147 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1112;
				int BgL_nz00_1113;

				BgL_ez00_1112 = ((BgL_ev_appz00_bglt) BgL_ez00_3620);
				BgL_nz00_1113 = CINT(BgL_nz00_3621);
				{	/* Eval/evaluate_fsize.scm 149 */
					int BgL_g1076z00_1117;

					BgL_g1076z00_1117 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1112))->BgL_funz00),
						BgL_nz00_1113);
					{	/* Eval/evaluate_fsize.scm 149 */
						obj_t BgL_arg1581z00_1119;

						BgL_arg1581z00_1119 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1112))->BgL_argsz00);
						{
							obj_t BgL_lz00_2559;
							int BgL_nz00_2560;
							obj_t BgL_rz00_2561;

							BgL_lz00_2559 = BgL_arg1581z00_1119;
							BgL_nz00_2560 = BgL_nz00_1113;
							BgL_rz00_2561 = BINT(BgL_g1076z00_1117);
						BgL_recz00_2558:
							if (NULLP(BgL_lz00_2559))
								{	/* Eval/evaluate_fsize.scm 149 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_2560),
										BgL_rz00_2561);
								}
							else
								{	/* Eval/evaluate_fsize.scm 149 */
									obj_t BgL_arg1584z00_2574;
									long BgL_arg1585z00_2575;
									obj_t BgL_arg1586z00_2576;

									BgL_arg1584z00_2574 = CDR(BgL_lz00_2559);
									BgL_arg1585z00_2575 = ((long) (BgL_nz00_2560) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 149 */
										int BgL_xz00_2577;

										{	/* Eval/evaluate_fsize.scm 149 */
											obj_t BgL_arg1587z00_2579;

											BgL_arg1587z00_2579 = CAR(BgL_lz00_2559);
											BgL_xz00_2577 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1587z00_2579),
												BgL_nz00_2560);
										}
										BgL_arg1586z00_2576 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2577),
											BgL_rz00_2561);
									}
									{
										obj_t BgL_rz00_4848;
										int BgL_nz00_4846;
										obj_t BgL_lz00_4845;

										BgL_lz00_4845 = BgL_arg1584z00_2574;
										BgL_nz00_4846 = (int) (BgL_arg1585z00_2575);
										BgL_rz00_4848 = BgL_arg1586z00_2576;
										BgL_rz00_2561 = BgL_rz00_4848;
										BgL_nz00_2560 = BgL_nz00_4846;
										BgL_lz00_2559 = BgL_lz00_4845;
										goto BgL_recz00_2558;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto1289 */
	obj_t BGl_z62fsiza7ezd2ev_goto1289z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3622, obj_t BgL_ez00_3623, obj_t BgL_nz00_3624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 140 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1090;
				obj_t BgL_nz00_1091;

				BgL_ez00_1090 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3623);
				BgL_nz00_1091 = BgL_nz00_3624;
				{	/* Eval/evaluate_fsize.scm 142 */
					obj_t BgL_arg1574z00_1096;

					BgL_arg1574z00_1096 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1090))->BgL_argsz00);
					{
						obj_t BgL_lz00_2495;
						obj_t BgL_nz00_2496;
						obj_t BgL_rz00_2497;

						BgL_lz00_2495 = BgL_arg1574z00_1096;
						BgL_nz00_2496 = BgL_nz00_1091;
						BgL_rz00_2497 = BgL_nz00_1091;
					BgL_recz00_2494:
						if (NULLP(BgL_lz00_2495))
							{	/* Eval/evaluate_fsize.scm 142 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_2496,
									BgL_rz00_2497);
							}
						else
							{	/* Eval/evaluate_fsize.scm 142 */
								obj_t BgL_arg1577z00_2510;
								long BgL_arg1578z00_2511;
								obj_t BgL_arg1579z00_2512;

								BgL_arg1577z00_2510 = CDR(BgL_lz00_2495);
								BgL_arg1578z00_2511 = ((long) CINT(BgL_nz00_2496) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 142 */
									int BgL_xz00_2513;

									{	/* Eval/evaluate_fsize.scm 142 */
										obj_t BgL_arg1580z00_2515;

										BgL_arg1580z00_2515 = CAR(BgL_lz00_2495);
										BgL_xz00_2513 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1580z00_2515),
											CINT(BgL_nz00_2496));
									}
									BgL_arg1579z00_2512 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2513),
										BgL_rz00_2497);
								}
								{
									obj_t BgL_rz00_4868;
									obj_t BgL_nz00_4866;
									obj_t BgL_lz00_4865;

									BgL_lz00_4865 = BgL_arg1577z00_2510;
									BgL_nz00_4866 = BINT(BgL_arg1578z00_2511);
									BgL_rz00_4868 = BgL_arg1579z00_2512;
									BgL_rz00_2497 = BgL_rz00_4868;
									BgL_nz00_2496 = BgL_nz00_4866;
									BgL_lz00_2495 = BgL_lz00_4865;
									goto BgL_recz00_2494;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels1287 */
	obj_t BGl_z62fsiza7ezd2ev_labels1287z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3625, obj_t BgL_ez00_3626, obj_t BgL_nz00_3627)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 133 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1066;
				obj_t BgL_nz00_1067;

				BgL_ez00_1066 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3626);
				BgL_nz00_1067 = BgL_nz00_3627;
				{
					obj_t BgL_lz00_1073;
					obj_t BgL_rz00_1074;

					BgL_lz00_1073 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1066))->BgL_valsz00);
					BgL_rz00_1074 = BgL_nz00_1067;
				BgL_zc3anonymousza31561ze3z83_1075:
					if (NULLP(BgL_lz00_1073))
						{	/* Eval/evaluate_fsize.scm 137 */
							int BgL_xz00_1077;

							BgL_xz00_1077 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1066))->BgL_bodyz00),
								CINT(BgL_nz00_1067));
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1077),
								BgL_rz00_1074);
						}
					else
						{	/* Eval/evaluate_fsize.scm 138 */
							obj_t BgL_arg1566z00_1080;
							obj_t BgL_arg1567z00_1081;

							BgL_arg1566z00_1080 = CDR(BgL_lz00_1073);
							{	/* Eval/evaluate_fsize.scm 138 */
								int BgL_xz00_1082;

								{	/* Eval/evaluate_fsize.scm 138 */
									obj_t BgL_arg1568z00_1084;
									long BgL_arg1569z00_1085;

									{	/* Eval/evaluate_fsize.scm 138 */
										obj_t BgL_pairz00_2448;

										BgL_pairz00_2448 = BgL_lz00_1073;
										BgL_arg1568z00_1084 = CDR(CAR(BgL_pairz00_2448));
									}
									{	/* Eval/evaluate_fsize.scm 138 */
										long BgL_auxz00_4880;

										{	/* Eval/evaluate_fsize.scm 138 */
											obj_t BgL_auxz00_4882;

											{	/* Eval/evaluate_fsize.scm 138 */
												obj_t BgL_pairz00_2452;

												BgL_pairz00_2452 = BgL_lz00_1073;
												BgL_auxz00_4882 = CAR(CAR(BgL_pairz00_2452));
											}
											BgL_auxz00_4880 = bgl_list_length(BgL_auxz00_4882);
										}
										BgL_arg1569z00_1085 =
											((long) CINT(BgL_nz00_1067) + BgL_auxz00_4880);
									}
									BgL_xz00_1082 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1568z00_1084),
										(int) (BgL_arg1569z00_1085));
								}
								BgL_arg1567z00_1081 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1082),
									BgL_rz00_1074);
							}
							{
								obj_t BgL_rz00_4893;
								obj_t BgL_lz00_4892;

								BgL_lz00_4892 = BgL_arg1566z00_1080;
								BgL_rz00_4893 = BgL_arg1567z00_1081;
								BgL_rz00_1074 = BgL_rz00_4893;
								BgL_lz00_1073 = BgL_lz00_4892;
								goto BgL_zc3anonymousza31561ze3z83_1075;
							}
						}
				}
			}
		}
	}



/* &fsize-ev_letrec1285 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1285z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3628, obj_t BgL_ez00_3629, obj_t BgL_nz00_3630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 125 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1042;
				int BgL_nz00_1043;

				BgL_ez00_1042 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3629);
				BgL_nz00_1043 = CINT(BgL_nz00_3630);
				{	/* Eval/evaluate_fsize.scm 127 */
					long BgL_nz00_1047;

					BgL_nz00_1047 =
						(
						(long) (BgL_nz00_1043) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->BgL_valsz00)));
					{
						obj_t BgL_lz00_1050;
						obj_t BgL_rz00_1051;

						{	/* Eval/evaluate_fsize.scm 128 */
							obj_t BgL_arg1546z00_1049;

							BgL_arg1546z00_1049 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->BgL_valsz00);
							BgL_lz00_1050 = BgL_arg1546z00_1049;
							BgL_rz00_1051 = BINT(BgL_nz00_1047);
						BgL_zc3anonymousza31547ze3z83_1052:
							if (NULLP(BgL_lz00_1050))
								{	/* Eval/evaluate_fsize.scm 130 */
									int BgL_xz00_1054;

									{	/* Eval/evaluate_fsize.scm 130 */
										BgL_ev_exprz00_bglt BgL_arg1549z00_1056;

										BgL_arg1549z00_1056 =
											(((BgL_ev_binderz00_bglt) CREF(
													((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->
											BgL_bodyz00);
										BgL_xz00_1054 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1549z00_1056,
											(int) (BgL_nz00_1047));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1054),
										BgL_rz00_1051);
								}
							else
								{	/* Eval/evaluate_fsize.scm 131 */
									obj_t BgL_arg1551z00_1057;
									obj_t BgL_arg1552z00_1058;

									BgL_arg1551z00_1057 = CDR(BgL_lz00_1050);
									{	/* Eval/evaluate_fsize.scm 131 */
										int BgL_xz00_1059;

										{	/* Eval/evaluate_fsize.scm 131 */
											obj_t BgL_arg1557z00_1061;

											BgL_arg1557z00_1061 = CAR(BgL_lz00_1050);
											BgL_xz00_1059 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1557z00_1061),
												(int) (BgL_nz00_1047));
										}
										BgL_arg1552z00_1058 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1059),
											BgL_rz00_1051);
									}
									{
										obj_t BgL_rz00_4919;
										obj_t BgL_lz00_4918;

										BgL_lz00_4918 = BgL_arg1551z00_1057;
										BgL_rz00_4919 = BgL_arg1552z00_1058;
										BgL_rz00_1051 = BgL_rz00_4919;
										BgL_lz00_1050 = BgL_lz00_4918;
										goto BgL_zc3anonymousza31547ze3z83_1052;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*1283 */
	obj_t BGl_z62fsiza7ezd2ev_letza21283zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3631, obj_t BgL_ez00_3632, obj_t BgL_nz00_3633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 118 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1019;
				int BgL_nz00_1020;

				BgL_ez00_1019 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3632);
				BgL_nz00_1020 = CINT(BgL_nz00_3633);
				{	/* Eval/evaluate_fsize.scm 120 */
					obj_t BgL_arg1535z00_1025;

					BgL_arg1535z00_1025 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1019)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2408;
						int BgL_nz00_2409;
						obj_t BgL_rz00_2410;

						BgL_lz00_2408 = BgL_arg1535z00_1025;
						BgL_nz00_2409 = BgL_nz00_1020;
						BgL_rz00_2410 = BINT(BgL_nz00_1020);
					BgL_recz00_2407:
						if (NULLP(BgL_lz00_2408))
							{	/* Eval/evaluate_fsize.scm 120 */
								int BgL_xz00_2422;

								{	/* Eval/evaluate_fsize.scm 120 */
									BgL_ev_exprz00_bglt BgL_arg1538z00_2424;

									BgL_arg1538z00_2424 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1019)))->BgL_bodyz00);
									BgL_xz00_2422 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1538z00_2424,
										BgL_nz00_2409);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2422),
									BgL_rz00_2410);
							}
						else
							{	/* Eval/evaluate_fsize.scm 120 */
								obj_t BgL_arg1539z00_2425;
								long BgL_arg1542z00_2426;
								obj_t BgL_arg1543z00_2427;

								BgL_arg1539z00_2425 = CDR(BgL_lz00_2408);
								BgL_arg1542z00_2426 = ((long) (BgL_nz00_2409) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 120 */
									int BgL_xz00_2428;

									{	/* Eval/evaluate_fsize.scm 120 */
										obj_t BgL_arg1545z00_2430;

										BgL_arg1545z00_2430 = CAR(BgL_lz00_2408);
										BgL_xz00_2428 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1545z00_2430),
											BgL_nz00_2409);
									}
									BgL_arg1543z00_2427 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2428),
										BgL_rz00_2410);
								}
								{
									obj_t BgL_rz00_4943;
									int BgL_nz00_4941;
									obj_t BgL_lz00_4940;

									BgL_lz00_4940 = BgL_arg1539z00_2425;
									BgL_nz00_4941 = (int) (BgL_arg1542z00_2426);
									BgL_rz00_4943 = BgL_arg1543z00_2427;
									BgL_rz00_2410 = BgL_rz00_4943;
									BgL_nz00_2409 = BgL_nz00_4941;
									BgL_lz00_2408 = BgL_lz00_4940;
									goto BgL_recz00_2407;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let1281 */
	obj_t BGl_z62fsiza7ezd2ev_let1281z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3634, obj_t BgL_ez00_3635, obj_t BgL_nz00_3636)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 111 */
			{
				BgL_ev_letz00_bglt BgL_ez00_996;
				int BgL_nz00_997;

				BgL_ez00_996 = ((BgL_ev_letz00_bglt) BgL_ez00_3635);
				BgL_nz00_997 = CINT(BgL_nz00_3636);
				{	/* Eval/evaluate_fsize.scm 113 */
					obj_t BgL_arg1525z00_1002;

					BgL_arg1525z00_1002 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_996)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2340;
						int BgL_nz00_2341;
						obj_t BgL_rz00_2342;

						BgL_lz00_2340 = BgL_arg1525z00_1002;
						BgL_nz00_2341 = BgL_nz00_997;
						BgL_rz00_2342 = BINT(BgL_nz00_997);
					BgL_recz00_2339:
						if (NULLP(BgL_lz00_2340))
							{	/* Eval/evaluate_fsize.scm 113 */
								int BgL_xz00_2354;

								{	/* Eval/evaluate_fsize.scm 113 */
									BgL_ev_exprz00_bglt BgL_arg1528z00_2356;

									BgL_arg1528z00_2356 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_996)))->BgL_bodyz00);
									BgL_xz00_2354 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1528z00_2356,
										BgL_nz00_2341);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2354),
									BgL_rz00_2342);
							}
						else
							{	/* Eval/evaluate_fsize.scm 113 */
								obj_t BgL_arg1529z00_2357;
								long BgL_arg1531z00_2358;
								obj_t BgL_arg1532z00_2359;

								BgL_arg1529z00_2357 = CDR(BgL_lz00_2340);
								BgL_arg1531z00_2358 = ((long) (BgL_nz00_2341) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 113 */
									int BgL_xz00_2360;

									{	/* Eval/evaluate_fsize.scm 113 */
										obj_t BgL_arg1533z00_2362;

										BgL_arg1533z00_2362 = CAR(BgL_lz00_2340);
										BgL_xz00_2360 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1533z00_2362),
											BgL_nz00_2341);
									}
									BgL_arg1532z00_2359 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2360),
										BgL_rz00_2342);
								}
								{
									obj_t BgL_rz00_4967;
									int BgL_nz00_4965;
									obj_t BgL_lz00_4964;

									BgL_lz00_4964 = BgL_arg1529z00_2357;
									BgL_nz00_4965 = (int) (BgL_arg1531z00_2358);
									BgL_rz00_4967 = BgL_arg1532z00_2359;
									BgL_rz00_2342 = BgL_rz00_4967;
									BgL_nz00_2341 = BgL_nz00_4965;
									BgL_lz00_2340 = BgL_lz00_4964;
									goto BgL_recz00_2339;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_with-handle1279 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1279zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3637, obj_t BgL_ez00_3638, obj_t BgL_nz00_3639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 107 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_986;
				int BgL_nz00_987;

				BgL_ez00_986 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3638);
				BgL_nz00_987 = CINT(BgL_nz00_3639);
				{	/* Eval/evaluate_fsize.scm 108 */
					int BgL_xz00_2298;
					int BgL_yz00_2299;

					BgL_xz00_2298 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_986))->
							BgL_handlerz00), BgL_nz00_987);
					BgL_yz00_2299 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_986))->
							BgL_bodyz00), BgL_nz00_987);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2298),
						BINT(BgL_yz00_2299));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot1277 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1277zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3640, obj_t BgL_ez00_3641, obj_t BgL_nz00_3642)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 103 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_976;
				int BgL_nz00_977;

				BgL_ez00_976 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3641);
				BgL_nz00_977 = CINT(BgL_nz00_3642);
				{	/* Eval/evaluate_fsize.scm 104 */
					int BgL_xz00_2293;
					int BgL_yz00_2294;

					BgL_xz00_2293 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_976))->BgL_ez00),
						BgL_nz00_977);
					BgL_yz00_2294 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_976))->
							BgL_bodyz00), BgL_nz00_977);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2293),
						BINT(BgL_yz00_2294));
				}
			}
		}
	}



/* &fsize-ev_bind-exit1275 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1275zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3643, obj_t BgL_ez00_3644, obj_t BgL_nz00_3645)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 99 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_968;
				int BgL_nz00_969;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_auxz00_4989;

					BgL_ez00_968 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3644);
					BgL_nz00_969 = CINT(BgL_nz00_3645);
					{	/* Eval/evaluate_fsize.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1519z00_2287;
						long BgL_arg1520z00_2288;

						BgL_arg1519z00_2287 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_968))->BgL_bodyz00);
						BgL_arg1520z00_2288 = ((long) (BgL_nz00_969) + ((long) 1));
						BgL_auxz00_4989 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1519z00_2287,
							(int) (BgL_arg1520z00_2288));
					}
					return BINT(BgL_auxz00_4989);
				}
			}
		}
	}



/* &fsize-ev_hook1273 */
	obj_t BGl_z62fsiza7ezd2ev_hook1273z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3646, obj_t BgL_ez00_3647, obj_t BgL_nz00_3648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 95 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_961;
				int BgL_nz00_962;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_auxz00_4998;

					BgL_ez00_961 = ((BgL_ev_hookz00_bglt) BgL_ez00_3647);
					BgL_nz00_962 = CINT(BgL_nz00_3648);
					BgL_auxz00_4998 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_961))->BgL_ez00),
						BgL_nz00_962);
					return BINT(BgL_auxz00_4998);
				}
			}
		}
	}



/* &fsize-ev_prog21271 */
	obj_t BGl_z62fsiza7ezd2ev_prog21271z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3649, obj_t BgL_ez00_3650, obj_t BgL_nz00_3651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_951;
				int BgL_nz00_952;

				BgL_ez00_951 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3650);
				BgL_nz00_952 = CINT(BgL_nz00_3651);
				{	/* Eval/evaluate_fsize.scm 92 */
					int BgL_xz00_2280;
					int BgL_yz00_2281;

					BgL_xz00_2280 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_951))->BgL_e1z00),
						BgL_nz00_952);
					BgL_yz00_2281 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_951))->BgL_e2z00), BgL_nz00_952);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2280),
						BINT(BgL_yz00_2281));
				}
			}
		}
	}



/* &fsize-ev_list1269 */
	obj_t BGl_z62fsiza7ezd2ev_list1269z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3652, obj_t BgL_ez00_3653, obj_t BgL_nz00_3654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_933;
				int BgL_nz00_934;

				BgL_ez00_933 = ((BgL_ev_listz00_bglt) BgL_ez00_3653);
				BgL_nz00_934 = CINT(BgL_nz00_3654);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_arg1506z00_939;

					BgL_arg1506z00_939 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_933))->BgL_argsz00);
					{
						obj_t BgL_lz00_2261;
						obj_t BgL_rz00_2262;

						BgL_lz00_2261 = BgL_arg1506z00_939;
						BgL_rz00_2262 = BINT(BgL_nz00_934);
					BgL_recz00_2260:
						if (NULLP(BgL_lz00_2261))
							{	/* Eval/evaluate_fsize.scm 86 */
								return BgL_rz00_2262;
							}
						else
							{	/* Eval/evaluate_fsize.scm 86 */
								obj_t BgL_arg1509z00_2270;
								obj_t BgL_arg1510z00_2271;

								BgL_arg1509z00_2270 = CDR(BgL_lz00_2261);
								{	/* Eval/evaluate_fsize.scm 86 */
									int BgL_yz00_2273;

									{	/* Eval/evaluate_fsize.scm 86 */
										obj_t BgL_arg1513z00_2274;

										BgL_arg1513z00_2274 = CAR(BgL_lz00_2261);
										BgL_yz00_2273 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1513z00_2274),
											BgL_nz00_934);
									}
									BgL_arg1510z00_2271 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_2262,
										BINT(BgL_yz00_2273));
								}
								{
									obj_t BgL_rz00_5023;
									obj_t BgL_lz00_5022;

									BgL_lz00_5022 = BgL_arg1509z00_2270;
									BgL_rz00_5023 = BgL_arg1510z00_2271;
									BgL_rz00_2262 = BgL_rz00_5023;
									BgL_lz00_2261 = BgL_lz00_5022;
									goto BgL_recz00_2260;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if1267 */
	obj_t BGl_z62fsiza7ezd2ev_if1267z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3655, obj_t BgL_ez00_3656, obj_t BgL_nz00_3657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_920;
				int BgL_nz00_921;

				BgL_ez00_920 = ((BgL_ev_ifz00_bglt) BgL_ez00_3656);
				BgL_nz00_921 = CINT(BgL_nz00_3657);
				{	/* Eval/evaluate_fsize.scm 81 */
					int BgL_arg1501z00_2231;
					obj_t BgL_arg1502z00_2232;

					BgL_arg1501z00_2231 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_920))->BgL_pz00), BgL_nz00_921);
					{	/* Eval/evaluate_fsize.scm 81 */
						int BgL_xz00_2234;
						int BgL_yz00_2235;

						BgL_xz00_2234 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_920))->BgL_tz00),
							BgL_nz00_921);
						BgL_yz00_2235 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									CREF(BgL_ez00_920))->BgL_ez00), BgL_nz00_921);
						BgL_arg1502z00_2232 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2234),
							BINT(BgL_yz00_2235));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1501z00_2231),
						BgL_arg1502z00_2232);
				}
			}
		}
	}



/* &fsize-ev_litt1265 */
	obj_t BGl_z62fsiza7ezd2ev_litt1265z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3658, obj_t BgL_ez00_3659, obj_t BgL_nz00_3660)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 77 */
			return BINT(CINT(BgL_nz00_3660));
		}
	}



/* &fsize-ev_global1263 */
	obj_t BGl_z62fsiza7ezd2ev_global1263z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3661, obj_t BgL_varz00_3662, obj_t BgL_nz00_3663)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 74 */
			return BINT(CINT(BgL_nz00_3663));
		}
	}



/* &fsize-ev_var1261 */
	obj_t BGl_z62fsiza7ezd2ev_var1261z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3664, obj_t BgL_ez00_3665, obj_t BgL_nz00_3666)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 71 */
			return BINT(CINT(BgL_nz00_3666));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2231z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
