/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2562z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2568z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2572z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_binderz00_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2583z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2589z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31994ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2596z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31543ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt
		BGl_z62zc3anonymousza31617ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31831ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_ifz00_bglt
		BGl_z62zc3anonymousza31566ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31850ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31745ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31673ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31495ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_appz00_bglt
		BGl_z62zc3anonymousza31941ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32001ze3ze1zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_orz00_bglt BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2402z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2407z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1615z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2412z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2417z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_prog2z00_bglt BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2425z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1636z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2430z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2437z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2446z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2451z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2614z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2619z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_trapz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31787ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2621z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2629z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32009ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2640z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2642z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2489z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2495z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31510ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_orz00_bglt
		BGl_z62zc3anonymousza31607ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31713ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31910ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31627ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62zc3anonymousza31483ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2038z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31663ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31647ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31469ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31592ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31860ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1538z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2333z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2335z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2339z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_littz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1549z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2341z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2506z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2346z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31881ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2510z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2350z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2352z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2515z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2357z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31688ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2520z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2361z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2367z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2533z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2372z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2538z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2376z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62zc3anonymousza31973ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2381z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2385z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2548z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2553z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2398z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1597za7622644z00,
		BGl_z62lambda1597z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1596za7622645z00,
		BGl_z62lambda1596z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72646za7,
		BGl_z62zc3anonymousza31592ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1590za7622647z00,
		BGl_z62lambda1590z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2406z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1588za7622648z00,
		BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72649za7,
		BGl_z62zc3anonymousza31607ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2334z00zz__evaluate_typesz00,
		BgL_bgl_string2334za700za7za7_2650za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2336z00zz__evaluate_typesz00,
		BgL_bgl_string2336za700za7za7_2651za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1605za7622652z00,
		BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2411z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1603za7622653z00,
		BGl_z62lambda1603z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2501z00zz__evaluate_typesz00,
		BgL_bgl_string2501za700za7za7_2654za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72655za7,
		BGl_z62zc3anonymousza31617ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1615za7622656z00,
		BGl_z62lambda1615z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2340z00zz__evaluate_typesz00,
		BgL_bgl_string2340za700za7za7_2657za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1613za7622658z00,
		BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2342z00zz__evaluate_typesz00,
		BgL_bgl_string2342za700za7za7_2659za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1632za7622660z00,
		BGl_z62lambda1632z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2507z00zz__evaluate_typesz00,
		BgL_bgl_string2507za700za7za7_2661za7, "vals", 4);
	      DEFINE_STRING(BGl_string2347z00zz__evaluate_typesz00,
		BgL_bgl_string2347za700za7za7_2662za7, "eff", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1631za7622663z00,
		BGl_z62lambda1631z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1637za7622664z00,
		BGl_z62lambda1637z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2511z00zz__evaluate_typesz00,
		BgL_bgl_string2511za700za7za7_2665za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1636za7622666z00,
		BGl_z62lambda1636z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2351z00zz__evaluate_typesz00,
		BgL_bgl_string2351za700za7za7_2667za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72668za7,
		BGl_z62zc3anonymousza31627ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1625za7622669z00,
		BGl_z62lambda1625z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2353z00zz__evaluate_typesz00,
		BgL_bgl_string2353za700za7za7_2670za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2516z00zz__evaluate_typesz00,
		BgL_bgl_string2516za700za7za7_2671za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1623za7622672z00,
		BGl_z62lambda1623z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2358z00zz__evaluate_typesz00,
		BgL_bgl_string2358za700za7za7_2673za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1652za7622674z00,
		BGl_z62lambda1652z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1651za7622675z00,
		BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2521z00zz__evaluate_typesz00,
		BgL_bgl_string2521za700za7za7_2676za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72677za7,
		BGl_z62zc3anonymousza31647ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1645za7622678z00,
		BGl_z62lambda1645z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7622679z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2362z00zz__evaluate_typesz00,
		BgL_bgl_string2362za700za7za7_2680za7, "mod", 3);
	      DEFINE_STRING(BGl_string2526z00zz__evaluate_typesz00,
		BgL_bgl_string2526za700za7za7_2681za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72682za7,
		BGl_z62zc3anonymousza31663ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2368z00zz__evaluate_typesz00,
		BgL_bgl_string2368za700za7za7_2683za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1978za7622684z00,
		BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72685za7,
		BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1986za7622686z00,
		BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1661za7622687z00,
		BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1985za7622688z00,
		BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1659za7622689z00,
		BGl_z62lambda1659z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72690za7,
		BGl_z62zc3anonymousza31994ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1678za7622691z00,
		BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1993za7622692z00,
		BGl_z62lambda1993z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1677za7622693z00,
		BGl_z62lambda1677z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1992za7622694z00,
		BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2534z00zz__evaluate_typesz00,
		BgL_bgl_string2534za700za7za7_2695za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72696za7,
		BGl_z62zc3anonymousza31673ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2373z00zz__evaluate_typesz00,
		BgL_bgl_string2373za700za7za7_2697za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1671za7622698z00,
		BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2539z00zz__evaluate_typesz00,
		BgL_bgl_string2539za700za7za7_2699za7, "ev_letrec", 9);
	      DEFINE_STRING(BGl_string2377z00zz__evaluate_typesz00,
		BgL_bgl_string2377za700za7za7_2700za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72701za7,
		BGl_z62zc3anonymousza32001ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2000za7622702z00,
		BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1669za7622703z00,
		BGl_z62lambda1669z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1999za7622704z00,
		BGl_z62lambda1999z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1693za7622705z00,
		BGl_z62lambda1693z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72706za7,
		BGl_z62zc3anonymousza32009ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1692za7622707z00,
		BGl_z62lambda1692z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2008za7622708z00,
		BGl_z62lambda2008z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1698za7622709z00,
		BGl_z62lambda1698z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2007za7622710z00,
		BGl_z62lambda2007z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1697za7622711z00,
		BGl_z62lambda1697z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1703za7622712z00,
		BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2382z00zz__evaluate_typesz00,
		BgL_bgl_string2382za700za7za7_2713za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1702za7622714z00,
		BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72715za7,
		BGl_z62zc3anonymousza31688ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2386z00zz__evaluate_typesz00,
		BgL_bgl_string2386za700za7za7_2716za7, "e", 1);
	      DEFINE_STRING(BGl_string2549z00zz__evaluate_typesz00,
		BgL_bgl_string2549za700za7za7_2717za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1686za7622718z00,
		BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2014za7622719z00,
		BGl_z62lambda2014z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1684za7622720z00,
		BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2013za7622721z00,
		BGl_z62lambda2013z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2019za7622722z00,
		BGl_z62lambda2019z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2018za7622723z00,
		BGl_z62lambda2018z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72724za7,
		BGl_z62zc3anonymousza31713ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2024za7622725z00,
		BGl_z62lambda2024z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1711za7622726z00,
		BGl_z62lambda1711z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2390z00zz__evaluate_typesz00,
		BgL_bgl_string2390za700za7za7_2727za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2023za7622728z00,
		BGl_z62lambda2023z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1709za7622729z00,
		BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2554z00zz__evaluate_typesz00,
		BgL_bgl_string2554za700za7za7_2730za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1728za7622731z00,
		BGl_z62lambda1728z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2394z00zz__evaluate_typesz00,
		BgL_bgl_string2394za700za7za7_2732za7, "p", 1);
	      DEFINE_STRING(BGl_string2399z00zz__evaluate_typesz00,
		BgL_bgl_string2399za700za7za7_2733za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2029za7622734z00,
		BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2028za7622735z00,
		BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1727za7622736z00,
		BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2038za7622737z00,
		BGl_z62lambda2038z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1733za7622738z00,
		BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2037za7622739z00,
		BGl_z62lambda2037z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1732za7622740z00,
		BGl_z62lambda1732z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72741za7,
		BGl_z62zc3anonymousza31973ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1971za7622742z00,
		BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2563z00zz__evaluate_typesz00,
		BgL_bgl_string2563za700za7za7_2743za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2639z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1969za7622744z00,
		BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72745za7,
		BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1721za7622746z00,
		BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1719za7622747z00,
		BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2569z00zz__evaluate_typesz00,
		BgL_bgl_string2569za700za7za7_2748za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1750za7622749z00,
		BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1749za7622750z00,
		BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1755za7622751z00,
		BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1754za7622752z00,
		BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2573z00zz__evaluate_typesz00,
		BgL_bgl_string2573za700za7za7_2753za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72754za7,
		BGl_z62zc3anonymousza31745ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1743za7622755z00,
		BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1741za7622756z00,
		BGl_z62lambda1741z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1770za7622757z00,
		BGl_z62lambda1770z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1769za7622758z00,
		BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2580z00zz__evaluate_typesz00,
		BgL_bgl_string2580za700za7za7_2759za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1776za7622760z00,
		BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1775za7622761z00,
		BGl_z62lambda1775z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2584z00zz__evaluate_typesz00,
		BgL_bgl_string2584za700za7za7_2762za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72763za7,
		BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1763za7622764z00,
		BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1761za7622765z00,
		BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2590z00zz__evaluate_typesz00,
		BgL_bgl_string2590za700za7za7_2766za7, "fun", 3);
	      DEFINE_STRING(BGl_string2597z00zz__evaluate_typesz00,
		BgL_bgl_string2597za700za7za7_2767za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2403z00zz__evaluate_typesz00,
		BgL_bgl_string2403za700za7za7_2768za7, "args", 4);
	      DEFINE_STRING(BGl_string2408z00zz__evaluate_typesz00,
		BgL_bgl_string2408za700za7za7_2769za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2413z00zz__evaluate_typesz00,
		BgL_bgl_string2413za700za7za7_2770za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2418z00zz__evaluate_typesz00,
		BgL_bgl_string2418za700za7za7_2771za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72772za7,
		BGl_z62zc3anonymousza31469ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1466za7622773z00,
		BGl_z62lambda1466z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1464za7622774z00,
		BGl_z62lambda1464z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2422z00zz__evaluate_typesz00,
		BgL_bgl_string2422za700za7za7_2775za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1488za7622776z00,
		BGl_z62lambda1488z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1487za7622777z00,
		BGl_z62lambda1487z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2426z00zz__evaluate_typesz00,
		BgL_bgl_string2426za700za7za7_2778za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1792za7622779z00,
		BGl_z62lambda1792z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1791za7622780z00,
		BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1797za7622781z00,
		BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1796za7622782z00,
		BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72783za7,
		BGl_z62zc3anonymousza31495ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2431z00zz__evaluate_typesz00,
		BgL_bgl_string2431za700za7za7_2784za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1494za7622785z00,
		BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1493za7622786z00,
		BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1802za7622787z00,
		BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1801za7622788z00,
		BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1500za7622789z00,
		BGl_z62lambda1500z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1499za7622790z00,
		BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2438z00zz__evaluate_typesz00,
		BgL_bgl_string2438za700za7za7_2791za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72792za7,
		BGl_z62zc3anonymousza31787ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1784za7622793z00,
		BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1782za7622794z00,
		BGl_z62lambda1782z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72795za7,
		BGl_z62zc3anonymousza31483ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72796za7,
		BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1480za7622797z00,
		BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2605z00zz__evaluate_typesz00,
		BgL_bgl_string2605za700za7za7_2798za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1818za7622799z00,
		BGl_z62lambda1818z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2443z00zz__evaluate_typesz00,
		BgL_bgl_string2443za700za7za7_2800za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1478za7622801z00,
		BGl_z62lambda1478z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1817za7622802z00,
		BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1519za7622803z00,
		BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2447z00zz__evaluate_typesz00,
		BgL_bgl_string2447za700za7za7_2804za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72805za7,
		BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1518za7622806z00,
		BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2610z00zz__evaluate_typesz00,
		BgL_bgl_string2610za700za7za7_2807za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1810za7622808z00,
		BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1808za7622809z00,
		BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1524za7622810z00,
		BGl_z62lambda1524z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1523za7622811z00,
		BGl_z62lambda1523z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72812za7,
		BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2452z00zz__evaluate_typesz00,
		BgL_bgl_string2452za700za7za7_2813za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1529za7622814z00,
		BGl_z62lambda1529z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2615z00zz__evaluate_typesz00,
		BgL_bgl_string2615za700za7za7_2815za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1838za7622816z00,
		BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1528za7622817z00,
		BGl_z62lambda1528z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1837za7622818z00,
		BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72819za7,
		BGl_z62zc3anonymousza31510ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72820za7,
		BGl_z62zc3anonymousza31831ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1827za7622821z00,
		BGl_z62lambda1827z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1825za7622822z00,
		BGl_z62lambda1825z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1508za7622823z00,
		BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2620z00zz__evaluate_typesz00,
		BgL_bgl_string2620za700za7za7_2824za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1506za7622825z00,
		BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2622z00zz__evaluate_typesz00,
		BgL_bgl_string2622za700za7za7_2826za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72827za7,
		BGl_z62zc3anonymousza31850ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1848za7622828z00,
		BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1549za7622829z00,
		BGl_z62lambda1549z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1846za7622830z00,
		BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1548za7622831z00,
		BGl_z62lambda1548z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2463z00zz__evaluate_typesz00,
		BgL_bgl_string2463za700za7za7_2832za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72833za7,
		BGl_z62zc3anonymousza31543ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1540za7622834z00,
		BGl_z62lambda1540z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2468z00zz__evaluate_typesz00,
		BgL_bgl_string2468za700za7za7_2835za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72836za7,
		BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1867za7622837z00,
		BGl_z62lambda1867z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1866za7622838z00,
		BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1538za7622839z00,
		BGl_z62lambda1538z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2630z00zz__evaluate_typesz00,
		BgL_bgl_string2630za700za7za7_2840za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1874za7622841z00,
		BGl_z62lambda1874z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1873za7622842z00,
		BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72843za7,
		BGl_z62zc3anonymousza31881ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1571za7622844z00,
		BGl_z62lambda1571z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1880za7622845z00,
		BGl_z62lambda1880z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1570za7622846z00,
		BGl_z62lambda1570z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2634z00zz__evaluate_typesz00,
		BgL_bgl_string2634za700za7za7_2847za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1879za7622848z00,
		BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2472z00zz__evaluate_typesz00,
		BgL_bgl_string2472za700za7za7_2849za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1576za7622850z00,
		BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1575za7622851z00,
		BGl_z62lambda1575z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2476z00zz__evaluate_typesz00,
		BgL_bgl_string2476za700za7za7_2852za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72853za7,
		BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1888za7622854z00,
		BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1887za7622855z00,
		BGl_z62lambda1887z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1581za7622856z00,
		BGl_z62lambda1581z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2641z00zz__evaluate_typesz00,
		BgL_bgl_string2641za700za7za7_2857za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1580za7622858z00,
		BGl_z62lambda1580z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1894za7622859z00,
		BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2643z00zz__evaluate_typesz00,
		BgL_bgl_string2643za700za7za7_2860za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1893za7622861z00,
		BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2481z00zz__evaluate_typesz00,
		BgL_bgl_string2481za700za7za7_2862za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1899za7622863z00,
		BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72864za7,
		BGl_z62zc3anonymousza31566ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1898za7622865z00,
		BGl_z62lambda1898z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1562za7622866z00,
		BGl_z62lambda1562z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72867za7,
		BGl_z62zc3anonymousza31860ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1560za7622868z00,
		BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1858za7622869z00,
		BGl_z62lambda1858z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1856za7622870z00,
		BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1915za7622871z00,
		BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1914za7622872z00,
		BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2490z00zz__evaluate_typesz00,
		BgL_bgl_string2490za700za7za7_2873za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1920za7622874z00,
		BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1919za7622875z00,
		BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2496z00zz__evaluate_typesz00,
		BgL_bgl_string2496za700za7za7_2876za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1925za7622877z00,
		BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1924za7622878z00,
		BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1930za7622879z00,
		BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1929za7622880z00,
		BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72881za7,
		BGl_z62zc3anonymousza31910ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1908za7622882z00,
		BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1905za7622883z00,
		BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1946za7622884z00,
		BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1945za7622885z00,
		BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622886z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1951za7622887z00,
		BGl_z62lambda1951z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1958za7622888z00,
		BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1957za7622889z00,
		BGl_z62lambda1957z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2591z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1963za7622890z00,
		BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1962za7622891z00,
		BGl_z62lambda1962z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72892za7,
		BGl_z62zc3anonymousza31941ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1939za7622893z00,
		BGl_z62lambda1939z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1937za7622894z00,
		BGl_z62lambda1937z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72895za7,
		BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1979za7622896z00,
		BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_3817, char *BgL_fromz00_3818)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2333z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2334z00zz__evaluate_typesz00);
			BGl_symbol2335z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2336z00zz__evaluate_typesz00);
			BGl_symbol2339z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2340z00zz__evaluate_typesz00);
			BGl_symbol2341z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2342z00zz__evaluate_typesz00);
			BGl_symbol2346z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2347z00zz__evaluate_typesz00);
			BGl_symbol2350z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2351z00zz__evaluate_typesz00);
			BGl_symbol2352z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2353z00zz__evaluate_typesz00);
			BGl_symbol2357z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2358z00zz__evaluate_typesz00);
			BGl_symbol2361z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2362z00zz__evaluate_typesz00);
			BGl_symbol2367z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2368z00zz__evaluate_typesz00);
			BGl_symbol2372z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2373z00zz__evaluate_typesz00);
			BGl_symbol2376z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2377z00zz__evaluate_typesz00);
			BGl_symbol2381z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2382z00zz__evaluate_typesz00);
			BGl_symbol2385z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2386z00zz__evaluate_typesz00);
			BGl_symbol2389z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00);
			BGl_symbol2393z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00);
			BGl_symbol2398z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2399z00zz__evaluate_typesz00);
			BGl_symbol2402z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2403z00zz__evaluate_typesz00);
			BGl_symbol2407z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2408z00zz__evaluate_typesz00);
			BGl_symbol2412z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2413z00zz__evaluate_typesz00);
			BGl_symbol2417z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2418z00zz__evaluate_typesz00);
			BGl_symbol2421z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00);
			BGl_symbol2425z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2426z00zz__evaluate_typesz00);
			BGl_symbol2430z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2431z00zz__evaluate_typesz00);
			BGl_symbol2437z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2438z00zz__evaluate_typesz00);
			BGl_symbol2442z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00);
			BGl_symbol2446z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2447z00zz__evaluate_typesz00);
			BGl_symbol2451z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2452z00zz__evaluate_typesz00);
			BGl_symbol2462z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00);
			BGl_symbol2467z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00);
			BGl_symbol2471z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00);
			BGl_symbol2475z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00);
			BGl_symbol2480z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00);
			BGl_symbol2489z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2490z00zz__evaluate_typesz00);
			BGl_symbol2495z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2496z00zz__evaluate_typesz00);
			BGl_symbol2500z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00);
			BGl_symbol2506z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2507z00zz__evaluate_typesz00);
			BGl_symbol2510z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2511z00zz__evaluate_typesz00);
			BGl_symbol2515z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2516z00zz__evaluate_typesz00);
			BGl_symbol2520z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2521z00zz__evaluate_typesz00);
			BGl_symbol2525z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00);
			BGl_symbol2533z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2534z00zz__evaluate_typesz00);
			BGl_symbol2538z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2539z00zz__evaluate_typesz00);
			BGl_symbol2548z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2549z00zz__evaluate_typesz00);
			BGl_symbol2553z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2554z00zz__evaluate_typesz00);
			BGl_symbol2562z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2563z00zz__evaluate_typesz00);
			BGl_symbol2568z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2569z00zz__evaluate_typesz00);
			BGl_symbol2572z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2573z00zz__evaluate_typesz00);
			BGl_symbol2579z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00);
			BGl_symbol2583z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2584z00zz__evaluate_typesz00);
			BGl_symbol2589z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2590z00zz__evaluate_typesz00);
			BGl_symbol2596z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2597z00zz__evaluate_typesz00);
			BGl_symbol2604z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00);
			BGl_symbol2609z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00);
			BGl_symbol2614z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2615z00zz__evaluate_typesz00);
			BGl_symbol2619z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2620z00zz__evaluate_typesz00);
			BGl_symbol2621z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2622z00zz__evaluate_typesz00);
			BGl_symbol2629z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2630z00zz__evaluate_typesz00);
			BGl_symbol2633z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00);
			BGl_symbol2640z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2641z00zz__evaluate_typesz00);
			return (BGl_symbol2642z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2643z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1462z00_615;
				obj_t BgL_arg1463z00_616;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1365z00_626;

					BgL_v1365z00_626 = create_vector((int) (((long) 0)));
					BgL_arg1462z00_615 = BgL_v1365z00_626;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1366z00_627;

					BgL_v1366z00_627 = create_vector((int) (((long) 0)));
					BgL_arg1463z00_616 = BgL_v1366z00_627;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2333z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2332z00zz__evaluate_typesz00,
					BGl_proc2331z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2330z00zz__evaluate_typesz00, BFALSE, BgL_arg1462z00_615,
					BgL_arg1463z00_616);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1476z00_634;
				obj_t BgL_arg1477z00_635;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1367z00_648;

					BgL_v1367z00_648 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1367z00_648,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2339z00zz__evaluate_typesz00,
							BGl_proc2338z00zz__evaluate_typesz00,
							BGl_proc2337z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1367z00_648, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2346z00zz__evaluate_typesz00,
							BGl_proc2345z00zz__evaluate_typesz00,
							BGl_proc2344z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2343z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1367z00_648, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2350z00zz__evaluate_typesz00,
							BGl_proc2349z00zz__evaluate_typesz00,
							BGl_proc2348z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2352z00zz__evaluate_typesz00));
					BgL_arg1476z00_634 = BgL_v1367z00_648;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1368z00_688;

					BgL_v1368z00_688 = create_vector((int) (((long) 0)));
					BgL_arg1477z00_635 = BgL_v1368z00_688;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2357z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7625),
					BGl_proc2356z00zz__evaluate_typesz00,
					BGl_proc2355z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2354z00zz__evaluate_typesz00, BFALSE, BgL_arg1476z00_634,
					BgL_arg1477z00_635);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1504z00_695;
				obj_t BgL_arg1505z00_696;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1369z00_709;

					BgL_v1369z00_709 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1369z00_709,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2361z00zz__evaluate_typesz00,
							BGl_proc2360z00zz__evaluate_typesz00,
							BGl_proc2359z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1369z00_709, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2350z00zz__evaluate_typesz00,
							BGl_proc2364z00zz__evaluate_typesz00,
							BGl_proc2363z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2352z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1369z00_709, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2367z00zz__evaluate_typesz00,
							BGl_proc2366z00zz__evaluate_typesz00,
							BGl_proc2365z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1504z00_695 = BgL_v1369z00_709;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1370z00_746;

					BgL_v1370z00_746 = create_vector((int) (((long) 0)));
					BgL_arg1505z00_696 = BgL_v1370z00_746;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2372z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2371z00zz__evaluate_typesz00,
					BGl_proc2370z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2369z00zz__evaluate_typesz00, BFALSE, BgL_arg1504z00_695,
					BgL_arg1505z00_696);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1535z00_753;
				obj_t BgL_arg1537z00_754;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1371z00_765;

					BgL_v1371z00_765 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1371z00_765,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2376z00zz__evaluate_typesz00,
							BGl_proc2375z00zz__evaluate_typesz00,
							BGl_proc2374z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1535z00_753 = BgL_v1371z00_765;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1372z00_778;

					BgL_v1372z00_778 = create_vector((int) (((long) 0)));
					BgL_arg1537z00_754 = BgL_v1372z00_778;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2381z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2380z00zz__evaluate_typesz00,
					BGl_proc2379z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2378z00zz__evaluate_typesz00, BFALSE, BgL_arg1535z00_753,
					BgL_arg1537z00_754);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1558z00_785;
				obj_t BgL_arg1559z00_786;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1373z00_799;

					BgL_v1373z00_799 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1373z00_799,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2384z00zz__evaluate_typesz00,
							BGl_proc2383z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1373z00_799, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2389z00zz__evaluate_typesz00,
							BGl_proc2388z00zz__evaluate_typesz00,
							BGl_proc2387z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1373z00_799, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2392z00zz__evaluate_typesz00,
							BGl_proc2391z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1558z00_785 = BgL_v1373z00_799;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1374z00_836;

					BgL_v1374z00_836 = create_vector((int) (((long) 0)));
					BgL_arg1559z00_786 = BgL_v1374z00_836;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2398z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2397z00zz__evaluate_typesz00,
					BGl_proc2396z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BgL_arg1558z00_785,
					BgL_arg1559z00_786);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1586z00_843;
				obj_t BgL_arg1587z00_844;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1375z00_855;

					BgL_v1375z00_855 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1375z00_855,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2402z00zz__evaluate_typesz00,
							BGl_proc2401z00zz__evaluate_typesz00,
							BGl_proc2400z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1586z00_843 = BgL_v1375z00_855;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1376z00_868;

					BgL_v1376z00_868 = create_vector((int) (((long) 0)));
					BgL_arg1587z00_844 = BgL_v1376z00_868;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2407z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2406z00zz__evaluate_typesz00,
					BGl_proc2405z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2404z00zz__evaluate_typesz00, BFALSE, BgL_arg1586z00_843,
					BgL_arg1587z00_844);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1601z00_875;
				obj_t BgL_arg1602z00_876;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1377z00_887;

					BgL_v1377z00_887 = create_vector((int) (((long) 0)));
					BgL_arg1601z00_875 = BgL_v1377z00_887;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1378z00_888;

					BgL_v1378z00_888 = create_vector((int) (((long) 0)));
					BgL_arg1602z00_876 = BgL_v1378z00_888;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2412z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2411z00zz__evaluate_typesz00,
					BGl_proc2410z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2409z00zz__evaluate_typesz00, BFALSE, BgL_arg1601z00_875,
					BgL_arg1602z00_876);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1611z00_895;
				obj_t BgL_arg1612z00_896;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1379z00_907;

					BgL_v1379z00_907 = create_vector((int) (((long) 0)));
					BgL_arg1611z00_895 = BgL_v1379z00_907;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1380z00_908;

					BgL_v1380z00_908 = create_vector((int) (((long) 0)));
					BgL_arg1612z00_896 = BgL_v1380z00_908;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2417z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2416z00zz__evaluate_typesz00,
					BGl_proc2415z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2414z00zz__evaluate_typesz00, BFALSE, BgL_arg1611z00_895,
					BgL_arg1612z00_896);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1621z00_915;
				obj_t BgL_arg1622z00_916;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1381z00_928;

					BgL_v1381z00_928 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1381z00_928,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1381z00_928, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2425z00zz__evaluate_typesz00,
							BGl_proc2424z00zz__evaluate_typesz00,
							BGl_proc2423z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1621z00_915 = BgL_v1381z00_928;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1382z00_953;

					BgL_v1382z00_953 = create_vector((int) (((long) 0)));
					BgL_arg1622z00_916 = BgL_v1382z00_953;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2430z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2429z00zz__evaluate_typesz00,
					BGl_proc2428z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2427z00zz__evaluate_typesz00, BFALSE, BgL_arg1621z00_915,
					BgL_arg1622z00_916);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1641z00_960;
				obj_t BgL_arg1642z00_961;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1383z00_972;

					BgL_v1383z00_972 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1383z00_972,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2433z00zz__evaluate_typesz00,
							BGl_proc2432z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1641z00_960 = BgL_v1383z00_972;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1384z00_985;

					BgL_v1384z00_985 = create_vector((int) (((long) 0)));
					BgL_arg1642z00_961 = BgL_v1384z00_985;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2437z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2436z00zz__evaluate_typesz00,
					BGl_proc2435z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BgL_arg1641z00_960,
					BgL_arg1642z00_961);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1657z00_992;
				obj_t BgL_arg1658z00_993;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1385z00_1004;

					BgL_v1385z00_1004 = create_vector((int) (((long) 0)));
					BgL_arg1657z00_992 = BgL_v1385z00_1004;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1386z00_1005;

					BgL_v1386z00_1005 = create_vector((int) (((long) 0)));
					BgL_arg1658z00_993 = BgL_v1386z00_1005;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2442z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2441z00zz__evaluate_typesz00,
					BGl_proc2440z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BgL_arg1657z00_992,
					BgL_arg1658z00_993);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1667z00_1012;
				obj_t BgL_arg1668z00_1013;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1387z00_1025;

					BgL_v1387z00_1025 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1387z00_1025,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2446z00zz__evaluate_typesz00,
							BGl_proc2445z00zz__evaluate_typesz00,
							BGl_proc2444z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1667z00_1012 = BgL_v1387z00_1025;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1388z00_1038;

					BgL_v1388z00_1038 = create_vector((int) (((long) 0)));
					BgL_arg1668z00_1013 = BgL_v1388z00_1038;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2451z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2450z00zz__evaluate_typesz00,
					BGl_proc2449z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2448z00zz__evaluate_typesz00, BFALSE, BgL_arg1667z00_1012,
					BgL_arg1668z00_1013);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1682z00_1045;
				obj_t BgL_arg1683z00_1046;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1389z00_1060;

					BgL_v1389z00_1060 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1389z00_1060,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2361z00zz__evaluate_typesz00,
							BGl_proc2454z00zz__evaluate_typesz00,
							BGl_proc2453z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1389z00_1060, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2350z00zz__evaluate_typesz00,
							BGl_proc2456z00zz__evaluate_typesz00,
							BGl_proc2455z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2352z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1389z00_1060, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2367z00zz__evaluate_typesz00,
							BGl_proc2458z00zz__evaluate_typesz00,
							BGl_proc2457z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1682z00_1045 = BgL_v1389z00_1060;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1390z00_1097;

					BgL_v1390z00_1097 = create_vector((int) (((long) 0)));
					BgL_arg1683z00_1046 = BgL_v1390z00_1097;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2462z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2461z00zz__evaluate_typesz00,
					BGl_proc2460z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2459z00zz__evaluate_typesz00, BFALSE, BgL_arg1682z00_1045,
					BgL_arg1683z00_1046);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1707z00_1104;
				obj_t BgL_arg1708z00_1105;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1391z00_1119;

					BgL_v1391z00_1119 = create_vector((int) (((long) 0)));
					BgL_arg1707z00_1104 = BgL_v1391z00_1119;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1392z00_1120;

					BgL_v1392z00_1120 = create_vector((int) (((long) 0)));
					BgL_arg1708z00_1105 = BgL_v1392z00_1120;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2467z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2466z00zz__evaluate_typesz00,
					BGl_proc2465z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1707z00_1104,
					BgL_arg1708z00_1105);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1717z00_1127;
				obj_t BgL_arg1718z00_1128;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1393z00_1140;

					BgL_v1393z00_1140 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1393z00_1140,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2470z00zz__evaluate_typesz00,
							BGl_proc2469z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1393z00_1140, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2475z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1717z00_1127 = BgL_v1393z00_1140;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1394z00_1165;

					BgL_v1394z00_1165 = create_vector((int) (((long) 0)));
					BgL_arg1718z00_1128 = BgL_v1394z00_1165;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2480z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2479z00zz__evaluate_typesz00,
					BGl_proc2478z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BgL_arg1717z00_1127,
					BgL_arg1718z00_1128);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1738z00_1172;
				obj_t BgL_arg1740z00_1173;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1395z00_1185;

					BgL_v1395z00_1185 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1395z00_1185,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2483z00zz__evaluate_typesz00,
							BGl_proc2482z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1395z00_1185, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2385z00zz__evaluate_typesz00,
							BGl_proc2485z00zz__evaluate_typesz00,
							BGl_proc2484z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1738z00_1172 = BgL_v1395z00_1185;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1396z00_1210;

					BgL_v1396z00_1210 = create_vector((int) (((long) 0)));
					BgL_arg1740z00_1173 = BgL_v1396z00_1210;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2489z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2488z00zz__evaluate_typesz00,
					BGl_proc2487z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2486z00zz__evaluate_typesz00, BFALSE, BgL_arg1738z00_1172,
					BgL_arg1740z00_1173);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1759z00_1217;
				obj_t BgL_arg1760z00_1218;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1397z00_1230;

					BgL_v1397z00_1230 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1397z00_1230,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2492z00zz__evaluate_typesz00,
							BGl_proc2491z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1397z00_1230, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2495z00zz__evaluate_typesz00,
							BGl_proc2494z00zz__evaluate_typesz00,
							BGl_proc2493z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1759z00_1217 = BgL_v1397z00_1230;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1398z00_1255;

					BgL_v1398z00_1255 = create_vector((int) (((long) 0)));
					BgL_arg1760z00_1218 = BgL_v1398z00_1255;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2500z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2499z00zz__evaluate_typesz00,
					BGl_proc2498z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2497z00zz__evaluate_typesz00, BFALSE, BgL_arg1759z00_1217,
					BgL_arg1760z00_1218);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1780z00_1262;
				obj_t BgL_arg1781z00_1263;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1399z00_1276;

					BgL_v1399z00_1276 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1399z00_1276,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2503z00zz__evaluate_typesz00,
							BGl_proc2502z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1399z00_1276, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2506z00zz__evaluate_typesz00,
							BGl_proc2505z00zz__evaluate_typesz00,
							BGl_proc2504z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1399z00_1276, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2510z00zz__evaluate_typesz00,
							BGl_proc2509z00zz__evaluate_typesz00,
							BGl_proc2508z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1780z00_1262 = BgL_v1399z00_1276;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1400z00_1313;

					BgL_v1400z00_1313 = create_vector((int) (((long) 0)));
					BgL_arg1781z00_1263 = BgL_v1400z00_1313;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2515z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2514z00zz__evaluate_typesz00,
					BGl_proc2513z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2512z00zz__evaluate_typesz00, BFALSE, BgL_arg1780z00_1262,
					BgL_arg1781z00_1263);
			}
			{	/* Eval/evaluate_types.scm 96 */
				obj_t BgL_arg1806z00_1320;
				obj_t BgL_arg1807z00_1321;

				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v1401z00_1335;

					BgL_v1401z00_1335 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1401z00_1335,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2520z00zz__evaluate_typesz00,
							BGl_proc2519z00zz__evaluate_typesz00,
							BGl_proc2518z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2517z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1806z00_1320 = BgL_v1401z00_1335;
				}
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v1402z00_1351;

					BgL_v1402z00_1351 = create_vector((int) (((long) 0)));
					BgL_arg1807z00_1321 = BgL_v1402z00_1351;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2525z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2524z00zz__evaluate_typesz00,
					BGl_proc2523z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2522z00zz__evaluate_typesz00, BFALSE, BgL_arg1806z00_1320,
					BgL_arg1807z00_1321);
			}
			{	/* Eval/evaluate_types.scm 98 */
				obj_t BgL_arg1823z00_1358;
				obj_t BgL_arg1824z00_1359;

				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v1403z00_1373;

					BgL_v1403z00_1373 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1403z00_1373,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2520z00zz__evaluate_typesz00,
							BGl_proc2529z00zz__evaluate_typesz00,
							BGl_proc2528z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2527z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1823z00_1358 = BgL_v1403z00_1373;
				}
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v1404z00_1389;

					BgL_v1404z00_1389 = create_vector((int) (((long) 0)));
					BgL_arg1824z00_1359 = BgL_v1404z00_1389;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2533z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2532z00zz__evaluate_typesz00,
					BGl_proc2531z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BgL_arg1823z00_1358,
					BgL_arg1824z00_1359);
			}
			{	/* Eval/evaluate_types.scm 100 */
				obj_t BgL_arg1844z00_1396;
				obj_t BgL_arg1845z00_1397;

				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v1405z00_1410;

					BgL_v1405z00_1410 = create_vector((int) (((long) 0)));
					BgL_arg1844z00_1396 = BgL_v1405z00_1410;
				}
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v1406z00_1411;

					BgL_v1406z00_1411 = create_vector((int) (((long) 0)));
					BgL_arg1845z00_1397 = BgL_v1406z00_1411;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2538z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2537z00zz__evaluate_typesz00,
					BGl_proc2536z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2535z00zz__evaluate_typesz00, BFALSE, BgL_arg1844z00_1396,
					BgL_arg1845z00_1397);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1854z00_1418;
				obj_t BgL_arg1855z00_1419;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1407z00_1435;

					BgL_v1407z00_1435 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1407z00_1435,
						(int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2520z00zz__evaluate_typesz00,
							BGl_proc2542z00zz__evaluate_typesz00,
							BGl_proc2541z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2540z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1407z00_1435, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2544z00zz__evaluate_typesz00,
							BGl_proc2543z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1407z00_1435, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2548z00zz__evaluate_typesz00,
							BGl_proc2547z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2545z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1407z00_1435, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2553z00zz__evaluate_typesz00,
							BGl_proc2552z00zz__evaluate_typesz00,
							BGl_proc2551z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2550z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1407z00_1435, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2506z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1407z00_1435, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2510z00zz__evaluate_typesz00,
							BGl_proc2558z00zz__evaluate_typesz00,
							BGl_proc2557z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1854z00_1418 = BgL_v1407z00_1435;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1408z00_1517;

					BgL_v1408z00_1517 = create_vector((int) (((long) 0)));
					BgL_arg1855z00_1419 = BgL_v1408z00_1517;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2562z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2561z00zz__evaluate_typesz00,
					BGl_proc2560z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2559z00zz__evaluate_typesz00, BFALSE, BgL_arg1854z00_1418,
					BgL_arg1855z00_1419);
			}
			{	/* Eval/evaluate_types.scm 109 */
				obj_t BgL_arg1903z00_1524;
				obj_t BgL_arg1904z00_1525;

				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v1409z00_1539;

					BgL_v1409z00_1539 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1409z00_1539,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2402z00zz__evaluate_typesz00,
							BGl_proc2565z00zz__evaluate_typesz00,
							BGl_proc2564z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1409z00_1539, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2568z00zz__evaluate_typesz00,
							BGl_proc2567z00zz__evaluate_typesz00,
							BGl_proc2566z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1409z00_1539, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2572z00zz__evaluate_typesz00,
							BGl_proc2571z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1409z00_1539, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2367z00zz__evaluate_typesz00,
							BGl_proc2575z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1903z00_1524 = BgL_v1409z00_1539;
				}
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v1410z00_1588;

					BgL_v1410z00_1588 = create_vector((int) (((long) 0)));
					BgL_arg1904z00_1525 = BgL_v1410z00_1588;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2579z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2578z00zz__evaluate_typesz00,
					BGl_proc2577z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2576z00zz__evaluate_typesz00, BFALSE, BgL_arg1903z00_1524,
					BgL_arg1904z00_1525);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1935z00_1595;
				obj_t BgL_arg1936z00_1596;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1411z00_1610;

					BgL_v1411z00_1610 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1411z00_1610,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2583z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00,
							BGl_proc2581z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1411z00_1610, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2402z00zz__evaluate_typesz00,
							BGl_proc2586z00zz__evaluate_typesz00,
							BGl_proc2585z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1411z00_1610, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00,
							BGl_proc2587z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1411z00_1610, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2367z00zz__evaluate_typesz00,
							BGl_proc2592z00zz__evaluate_typesz00,
							BGl_proc2591z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1935z00_1595 = BgL_v1411z00_1610;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1412z00_1659;

					BgL_v1412z00_1659 = create_vector((int) (((long) 0)));
					BgL_arg1936z00_1596 = BgL_v1412z00_1659;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2596z00zz__evaluate_typesz00,
					BGl_symbol2335z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2595z00zz__evaluate_typesz00,
					BGl_proc2594z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2593z00zz__evaluate_typesz00, BFALSE, BgL_arg1935z00_1595,
					BgL_arg1936z00_1596);
			}
			{	/* Eval/evaluate_types.scm 117 */
				obj_t BgL_arg1967z00_1666;
				obj_t BgL_arg1968z00_1667;

				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1413z00_1687;

					BgL_v1413z00_1687 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1413z00_1687,
						(int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2520z00zz__evaluate_typesz00,
							BGl_proc2600z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2598z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2604z00zz__evaluate_typesz00,
							BGl_proc2603z00zz__evaluate_typesz00,
							BGl_proc2602z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2601z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2609z00zz__evaluate_typesz00,
							BGl_proc2608z00zz__evaluate_typesz00,
							BGl_proc2607z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2606z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2614z00zz__evaluate_typesz00,
							BGl_proc2613z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2611z00zz__evaluate_typesz00,
							BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2619z00zz__evaluate_typesz00,
							BGl_proc2618z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2616z00zz__evaluate_typesz00,
							BGl_symbol2621z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2624z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2510z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00,
							BGl_proc2625z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2629z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2633z00zz__evaluate_typesz00,
							BGl_proc2632z00zz__evaluate_typesz00,
							BGl_proc2631z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1413z00_1687, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2367z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00));
					BgL_arg1967z00_1666 = BgL_v1413z00_1687;
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1414z00_1823;

					BgL_v1414z00_1823 = create_vector((int) (((long) 0)));
					BgL_arg1968z00_1667 = BgL_v1414z00_1823;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2640z00zz__evaluate_typesz00,
						BGl_symbol2335z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2639z00zz__evaluate_typesz00,
						BGl_proc2638z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2637z00zz__evaluate_typesz00, BFALSE, BgL_arg1967z00_1666,
						BgL_arg1968z00_1667), BUNSPEC);
		}}
	}



/* &<anonymous:1973> */
	BgL_ev_absz00_bglt BGl_z62zc3anonymousza31973ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3212, obj_t BgL_new1186z00_3213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				BgL_ev_absz00_bglt BgL_new1186z00_1685;

				BgL_new1186z00_1685 = ((BgL_ev_absz00_bglt) BgL_new1186z00_3213);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4174;

					{	/* Eval/evaluate_types.scm 117 */
						obj_t BgL_classz00_2816;

						BgL_classz00_2816 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 117 */
							obj_t BgL__ortest_1364z00_2817;

							{	/* Eval/evaluate_types.scm 117 */
								obj_t BgL_vectorz00_2818;
								int BgL_kz00_2819;

								BgL_vectorz00_2818 = BgL_classz00_2816;
								BgL_kz00_2819 = (int) (((long) 17));
								BgL__ortest_1364z00_2817 =
									VECTOR_REF(BgL_vectorz00_2818, BgL_kz00_2819);
							}
							if (CBOOL(BgL__ortest_1364z00_2817))
								{	/* Eval/evaluate_types.scm 117 */
									BgL_auxz00_4174 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2817);
								}
							else
								{	/* Eval/evaluate_types.scm 117 */
									BgL_auxz00_4174 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2816));
								}
						}
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4174), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1186z00_1685))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1186z00_1685;
			}
		}
	}



/* &lambda1971 */
	BgL_ev_absz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{

				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_new1185z00_1683;

					BgL_new1185z00_1683 =
						((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_absz00_bgl))));
					{	/* Eval/evaluate_types.scm 117 */
						long BgL_arg1972z00_1684;

						{	/* Eval/evaluate_types.scm 117 */
							long BgL_res2299z00_2813;

							{	/* Eval/evaluate_types.scm 117 */
								obj_t BgL_classz00_2810;

								BgL_classz00_2810 = BGl_ev_absz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 117 */
									obj_t BgL_vectorz00_2811;
									int BgL_kz00_2812;

									BgL_vectorz00_2811 = BgL_classz00_2810;
									BgL_kz00_2812 = (int) (((long) 1));
									BgL_res2299z00_2813 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2811, BgL_kz00_2812));
							}}
							BgL_arg1972z00_1684 = BgL_res2299z00_2813;
						}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_objz00_2814;

							BgL_objz00_2814 = ((BgL_objectz00_bglt) BgL_new1185z00_1683);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2814, BgL_arg1972z00_1684);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						BgL_objectz00_bglt BgL_auxz00_4196;

						BgL_auxz00_4196 = ((BgL_objectz00_bglt) BgL_new1185z00_1683);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4196, BFALSE);
					}
					return BgL_new1185z00_1683;
				}
			}
		}
	}



/* &lambda1969 */
	BgL_ev_absz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3215, obj_t BgL_loc1175z00_3216, obj_t BgL_where1176z00_3217,
		obj_t BgL_arity1177z00_3218, obj_t BgL_vars1178z00_3219,
		obj_t BgL_body1179z00_3220, obj_t BgL_siza7e1180za7_3221,
		obj_t BgL_bind1181z00_3222, obj_t BgL_free1182z00_3223,
		obj_t BgL_inner1183z00_3224, obj_t BgL_boxes1184z00_3225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				obj_t BgL_loc1175z00_1668;
				obj_t BgL_where1176z00_1669;
				obj_t BgL_arity1177z00_1670;
				obj_t BgL_vars1178z00_1671;
				BgL_ev_exprz00_bglt BgL_body1179z00_1672;
				int BgL_siza7e1180za7_1673;
				obj_t BgL_bind1181z00_1674;
				obj_t BgL_free1182z00_1675;
				obj_t BgL_inner1183z00_1676;
				obj_t BgL_boxes1184z00_1677;

				BgL_loc1175z00_1668 = BgL_loc1175z00_3216;
				BgL_where1176z00_1669 = BgL_where1176z00_3217;
				BgL_arity1177z00_1670 = BgL_arity1177z00_3218;
				BgL_vars1178z00_1671 = BgL_vars1178z00_3219;
				BgL_body1179z00_1672 = ((BgL_ev_exprz00_bglt) BgL_body1179z00_3220);
				BgL_siza7e1180za7_1673 = CINT(BgL_siza7e1180za7_3221);
				BgL_bind1181z00_1674 = BgL_bind1181z00_3222;
				BgL_free1182z00_1675 = BgL_free1182z00_3223;
				BgL_inner1183z00_1676 = BgL_inner1183z00_3224;
				BgL_boxes1184z00_1677 = BgL_boxes1184z00_3225;
				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_new1322z00_2801;

					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_absz00_bglt BgL_new1321z00_2802;

						BgL_new1321z00_2802 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 117 */
							long BgL_arg1970z00_2803;

							{	/* Eval/evaluate_types.scm 117 */
								long BgL_res2298z00_2807;

								{	/* Eval/evaluate_types.scm 117 */
									obj_t BgL_classz00_2804;

									BgL_classz00_2804 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 117 */
										obj_t BgL_vectorz00_2805;
										int BgL_kz00_2806;

										BgL_vectorz00_2805 = BgL_classz00_2804;
										BgL_kz00_2806 = (int) (((long) 1));
										BgL_res2298z00_2807 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2805,
												BgL_kz00_2806));
								}}
								BgL_arg1970z00_2803 = BgL_res2298z00_2807;
							}
							{	/* Eval/evaluate_types.scm 117 */
								BgL_objectz00_bglt BgL_objz00_2808;

								BgL_objz00_2808 = ((BgL_objectz00_bglt) BgL_new1321z00_2802);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2808, BgL_arg1970z00_2803);
						}}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_auxz00_4205;

							BgL_auxz00_4205 = ((BgL_objectz00_bglt) BgL_new1321z00_2802);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4205, BFALSE);
						}
						BgL_new1322z00_2801 = BgL_new1321z00_2802;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_locz00) =
						((obj_t) BgL_loc1175z00_1668), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_wherez00) =
						((obj_t) BgL_where1176z00_1669), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_arityz00) =
						((obj_t) BgL_arity1177z00_1670), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_varsz00) =
						((obj_t) BgL_vars1178z00_1671), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1179z00_1672), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_siza7eza7) =
						((int) BgL_siza7e1180za7_1673), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_bindz00) =
						((obj_t) BgL_bind1181z00_1674), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_freez00) =
						((obj_t) BgL_free1182z00_1675), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_innerz00) =
						((obj_t) BgL_inner1183z00_1676), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2801))->BgL_boxesz00) =
						((obj_t) BgL_boxes1184z00_1677), BUNSPEC);
					return BgL_new1322z00_2801;
				}
			}
		}
	}



/* &lambda2038 */
	obj_t BGl_z62lambda2038z62zz__evaluate_typesz00(obj_t BgL_envz00_3226,
		obj_t BgL_oz00_3227, obj_t BgL_vz00_3228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3659;

				BgL_oz00_3659 = ((BgL_ev_absz00_bglt) BgL_oz00_3227);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3659))->BgL_locz00) =
					((obj_t) BgL_vz00_3228), BUNSPEC);
			}
		}
	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t BgL_envz00_3229,
		obj_t BgL_oz00_3230)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3230)))->BgL_locz00);
		}
	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3231,
		obj_t BgL_oz00_3232, obj_t BgL_vz00_3233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3662;

				BgL_oz00_3662 = ((BgL_ev_absz00_bglt) BgL_oz00_3232);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3662))->BgL_wherez00) =
					((obj_t) BgL_vz00_3233), BUNSPEC);
			}
		}
	}



/* &lambda2028 */
	obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3234,
		obj_t BgL_oz00_3235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3235)))->BgL_wherez00);
		}
	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t BgL_envz00_3236,
		obj_t BgL_oz00_3237, obj_t BgL_vz00_3238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3665;

				BgL_oz00_3665 = ((BgL_ev_absz00_bglt) BgL_oz00_3237);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3665))->BgL_arityz00) =
					((obj_t) BgL_vz00_3238), BUNSPEC);
			}
		}
	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t BgL_envz00_3239,
		obj_t BgL_oz00_3240)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3240)))->BgL_arityz00);
		}
	}



/* &lambda2019 */
	obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t BgL_envz00_3241,
		obj_t BgL_oz00_3242, obj_t BgL_vz00_3243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3668;

				BgL_oz00_3668 = ((BgL_ev_absz00_bglt) BgL_oz00_3242);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3668))->BgL_varsz00) =
					((obj_t) BgL_vz00_3243), BUNSPEC);
			}
		}
	}



/* &lambda2018 */
	obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t BgL_envz00_3244,
		obj_t BgL_oz00_3245)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3245)))->BgL_varsz00);
		}
	}



/* &lambda2014 */
	obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t BgL_envz00_3246,
		obj_t BgL_oz00_3247, obj_t BgL_vz00_3248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3671;
				BgL_ev_exprz00_bglt BgL_vz00_3672;

				BgL_oz00_3671 = ((BgL_ev_absz00_bglt) BgL_oz00_3247);
				BgL_vz00_3672 = ((BgL_ev_exprz00_bglt) BgL_vz00_3248);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3671))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3672), BUNSPEC);
			}
		}
	}



/* &lambda2013 */
	BgL_ev_exprz00_bglt BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3249, obj_t BgL_oz00_3250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3250)))->BgL_bodyz00);
		}
	}



/* &<anonymous:2009> */
	obj_t BGl_z62zc3anonymousza32009ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BINT(((long) 0));
		}
	}



/* &lambda2008 */
	obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t BgL_envz00_3252,
		obj_t BgL_oz00_3253, obj_t BgL_vz00_3254)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3674;
				int BgL_vz00_3675;

				BgL_oz00_3674 = ((BgL_ev_absz00_bglt) BgL_oz00_3253);
				BgL_vz00_3675 = CINT(BgL_vz00_3254);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3674))->BgL_siza7eza7) =
					((int) BgL_vz00_3675), BUNSPEC);
		}}
	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t BgL_envz00_3255,
		obj_t BgL_oz00_3256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3256)))->BgL_siza7eza7));
		}
	}



/* &<anonymous:2001> */
	obj_t BGl_z62zc3anonymousza32001ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t BgL_envz00_3258,
		obj_t BgL_oz00_3259, obj_t BgL_vz00_3260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3677;

				BgL_oz00_3677 = ((BgL_ev_absz00_bglt) BgL_oz00_3259);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3677))->BgL_bindz00) =
					((obj_t) BgL_vz00_3260), BUNSPEC);
			}
		}
	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t BgL_envz00_3261,
		obj_t BgL_oz00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3262)))->BgL_bindz00);
		}
	}



/* &<anonymous:1994> */
	obj_t BGl_z62zc3anonymousza31994ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3263)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t BgL_envz00_3264,
		obj_t BgL_oz00_3265, obj_t BgL_vz00_3266)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3680;

				BgL_oz00_3680 = ((BgL_ev_absz00_bglt) BgL_oz00_3265);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3680))->BgL_freez00) =
					((obj_t) BgL_vz00_3266), BUNSPEC);
			}
		}
	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3267,
		obj_t BgL_oz00_3268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3268)))->BgL_freez00);
		}
	}



/* &<anonymous:1987> */
	obj_t BGl_z62zc3anonymousza31987ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3269)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1986 */
	obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3270,
		obj_t BgL_oz00_3271, obj_t BgL_vz00_3272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3683;

				BgL_oz00_3683 = ((BgL_ev_absz00_bglt) BgL_oz00_3271);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3683))->BgL_innerz00) =
					((obj_t) BgL_vz00_3272), BUNSPEC);
			}
		}
	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3273,
		obj_t BgL_oz00_3274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3274)))->BgL_innerz00);
		}
	}



/* &<anonymous:1980> */
	obj_t BGl_z62zc3anonymousza31980ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1979 */
	obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3276,
		obj_t BgL_oz00_3277, obj_t BgL_vz00_3278)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3686;

				BgL_oz00_3686 = ((BgL_ev_absz00_bglt) BgL_oz00_3277);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3686))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3278), BUNSPEC);
			}
		}
	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t BgL_envz00_3279,
		obj_t BgL_oz00_3280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3280)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1941> */
	BgL_ev_appz00_bglt BGl_z62zc3anonymousza31941ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3281, obj_t BgL_new1173z00_3282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_appz00_bglt BgL_new1173z00_1608;

				BgL_new1173z00_1608 = ((BgL_ev_appz00_bglt) BgL_new1173z00_3282);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1608))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4265;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_2747;

						BgL_classz00_2747 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1364z00_2748;

							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL_vectorz00_2749;
								int BgL_kz00_2750;

								BgL_vectorz00_2749 = BgL_classz00_2747;
								BgL_kz00_2750 = (int) (((long) 17));
								BgL__ortest_1364z00_2748 =
									VECTOR_REF(BgL_vectorz00_2749, BgL_kz00_2750);
							}
							if (CBOOL(BgL__ortest_1364z00_2748))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4265 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2748);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4265 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2747));
								}
						}
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1608))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4265), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1608))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1173z00_1608))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1173z00_1608;
			}
		}
	}



/* &lambda1939 */
	BgL_ev_appz00_bglt BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_new1172z00_1606;

					BgL_new1172z00_1606 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1940z00_1607;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2297z00_2744;

							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL_classz00_2741;

								BgL_classz00_2741 = BGl_ev_appz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 114 */
									obj_t BgL_vectorz00_2742;
									int BgL_kz00_2743;

									BgL_vectorz00_2742 = BgL_classz00_2741;
									BgL_kz00_2743 = (int) (((long) 1));
									BgL_res2297z00_2744 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2742, BgL_kz00_2743));
							}}
							BgL_arg1940z00_1607 = BgL_res2297z00_2744;
						}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_objz00_2745;

							BgL_objz00_2745 = ((BgL_objectz00_bglt) BgL_new1172z00_1606);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2745, BgL_arg1940z00_1607);
					}}
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_4283;

						BgL_auxz00_4283 = ((BgL_objectz00_bglt) BgL_new1172z00_1606);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4283, BFALSE);
					}
					return BgL_new1172z00_1606;
				}
			}
		}
	}



/* &lambda1937 */
	BgL_ev_appz00_bglt BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3284, obj_t BgL_loc1168z00_3285, obj_t BgL_fun1169z00_3286,
		obj_t BgL_args1170z00_3287, obj_t BgL_tailzf31171zf3_3288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				obj_t BgL_loc1168z00_1597;
				BgL_ev_exprz00_bglt BgL_fun1169z00_1598;
				obj_t BgL_args1170z00_1599;
				obj_t BgL_tailzf31171zf3_1600;

				BgL_loc1168z00_1597 = BgL_loc1168z00_3285;
				BgL_fun1169z00_1598 = ((BgL_ev_exprz00_bglt) BgL_fun1169z00_3286);
				BgL_args1170z00_1599 = BgL_args1170z00_3287;
				BgL_tailzf31171zf3_1600 = BgL_tailzf31171zf3_3288;
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_new1312z00_2732;

					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_appz00_bglt BgL_new1311z00_2733;

						BgL_new1311z00_2733 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 114 */
							long BgL_arg1938z00_2734;

							{	/* Eval/evaluate_types.scm 114 */
								long BgL_res2296z00_2738;

								{	/* Eval/evaluate_types.scm 114 */
									obj_t BgL_classz00_2735;

									BgL_classz00_2735 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 114 */
										obj_t BgL_vectorz00_2736;
										int BgL_kz00_2737;

										BgL_vectorz00_2736 = BgL_classz00_2735;
										BgL_kz00_2737 = (int) (((long) 1));
										BgL_res2296z00_2738 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2736,
												BgL_kz00_2737));
								}}
								BgL_arg1938z00_2734 = BgL_res2296z00_2738;
							}
							{	/* Eval/evaluate_types.scm 114 */
								BgL_objectz00_bglt BgL_objz00_2739;

								BgL_objz00_2739 = ((BgL_objectz00_bglt) BgL_new1311z00_2733);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2739, BgL_arg1938z00_2734);
						}}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_auxz00_4292;

							BgL_auxz00_4292 = ((BgL_objectz00_bglt) BgL_new1311z00_2733);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4292, BFALSE);
						}
						BgL_new1312z00_2732 = BgL_new1311z00_2733;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2732))->BgL_locz00) =
						((obj_t) BgL_loc1168z00_1597), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2732))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_fun1169z00_1598), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2732))->BgL_argsz00) =
						((obj_t) BgL_args1170z00_1599), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2732))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf31171zf3_1600), BUNSPEC);
					return BgL_new1312z00_2732;
				}
			}
		}
	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3289,
		obj_t BgL_oz00_3290, obj_t BgL_vz00_3291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3689;

				BgL_oz00_3689 = ((BgL_ev_appz00_bglt) BgL_oz00_3290);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3689))->BgL_locz00) =
					((obj_t) BgL_vz00_3291), BUNSPEC);
			}
		}
	}



/* &lambda1962 */
	obj_t BGl_z62lambda1962z62zz__evaluate_typesz00(obj_t BgL_envz00_3292,
		obj_t BgL_oz00_3293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3293)))->BgL_locz00);
		}
	}



/* &lambda1958 */
	obj_t BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t BgL_envz00_3294,
		obj_t BgL_oz00_3295, obj_t BgL_vz00_3296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3692;
				BgL_ev_exprz00_bglt BgL_vz00_3693;

				BgL_oz00_3692 = ((BgL_ev_appz00_bglt) BgL_oz00_3295);
				BgL_vz00_3693 = ((BgL_ev_exprz00_bglt) BgL_vz00_3296);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3692))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3693), BUNSPEC);
			}
		}
	}



/* &lambda1957 */
	BgL_ev_exprz00_bglt BGl_z62lambda1957z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3297, obj_t BgL_oz00_3298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3298)))->BgL_funz00);
		}
	}



/* &lambda1952 */
	obj_t BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t BgL_envz00_3299,
		obj_t BgL_oz00_3300, obj_t BgL_vz00_3301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3695;

				BgL_oz00_3695 = ((BgL_ev_appz00_bglt) BgL_oz00_3300);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3695))->BgL_argsz00) =
					((obj_t) BgL_vz00_3301), BUNSPEC);
			}
		}
	}



/* &lambda1951 */
	obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t BgL_envz00_3302,
		obj_t BgL_oz00_3303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3303)))->BgL_argsz00);
		}
	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3304,
		obj_t BgL_oz00_3305, obj_t BgL_vz00_3306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3698;

				BgL_oz00_3698 = ((BgL_ev_appz00_bglt) BgL_oz00_3305);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3698))->BgL_tailzf3zf3) =
					((obj_t) BgL_vz00_3306), BUNSPEC);
			}
		}
	}



/* &lambda1945 */
	obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3307,
		obj_t BgL_oz00_3308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3308)))->BgL_tailzf3zf3);
		}
	}



/* &<anonymous:1910> */
	BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31910ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3309,
		obj_t BgL_new1166z00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				BgL_ev_gotoz00_bglt BgL_new1166z00_1537;

				BgL_new1166z00_1537 = ((BgL_ev_gotoz00_bglt) BgL_new1166z00_3310);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1537))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4318;

					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_classz00_2704;

						BgL_classz00_2704 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 109 */
							obj_t BgL__ortest_1364z00_2705;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_vectorz00_2706;
								int BgL_kz00_2707;

								BgL_vectorz00_2706 = BgL_classz00_2704;
								BgL_kz00_2707 = (int) (((long) 17));
								BgL__ortest_1364z00_2705 =
									VECTOR_REF(BgL_vectorz00_2706, BgL_kz00_2707);
							}
							if (CBOOL(BgL__ortest_1364z00_2705))
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4318 =
										((BgL_ev_varz00_bglt) BgL__ortest_1364z00_2705);
								}
							else
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4318 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2704));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1537))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4318), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4327;

					{	/* Eval/evaluate_types.scm 109 */
						obj_t BgL_classz00_2708;

						BgL_classz00_2708 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 109 */
							obj_t BgL__ortest_1364z00_2709;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_vectorz00_2710;
								int BgL_kz00_2711;

								BgL_vectorz00_2710 = BgL_classz00_2708;
								BgL_kz00_2711 = (int) (((long) 17));
								BgL__ortest_1364z00_2709 =
									VECTOR_REF(BgL_vectorz00_2710, BgL_kz00_2711);
							}
							if (CBOOL(BgL__ortest_1364z00_2709))
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4327 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1364z00_2709);
								}
							else
								{	/* Eval/evaluate_types.scm 109 */
									BgL_auxz00_4327 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2708));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1537))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4327), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1166z00_1537))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1166z00_1537;
			}
		}
	}



/* &lambda1908 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3311)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{

				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_new1165z00_1535;

					BgL_new1165z00_1535 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 109 */
						long BgL_arg1909z00_1536;

						{	/* Eval/evaluate_types.scm 109 */
							long BgL_res2295z00_2701;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_classz00_2698;

								BgL_classz00_2698 = BGl_ev_gotoz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 109 */
									obj_t BgL_vectorz00_2699;
									int BgL_kz00_2700;

									BgL_vectorz00_2699 = BgL_classz00_2698;
									BgL_kz00_2700 = (int) (((long) 1));
									BgL_res2295z00_2701 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2699, BgL_kz00_2700));
							}}
							BgL_arg1909z00_1536 = BgL_res2295z00_2701;
						}
						{	/* Eval/evaluate_types.scm 109 */
							BgL_objectz00_bglt BgL_objz00_2702;

							BgL_objz00_2702 = ((BgL_objectz00_bglt) BgL_new1165z00_1535);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2702, BgL_arg1909z00_1536);
					}}
					{	/* Eval/evaluate_types.scm 109 */
						BgL_objectz00_bglt BgL_auxz00_4344;

						BgL_auxz00_4344 = ((BgL_objectz00_bglt) BgL_new1165z00_1535);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4344, BFALSE);
					}
					return BgL_new1165z00_1535;
				}
			}
		}
	}



/* &lambda1905 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3312, obj_t BgL_loc1161z00_3313, obj_t BgL_label1162z00_3314,
		obj_t BgL_labels1163z00_3315, obj_t BgL_args1164z00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				obj_t BgL_loc1161z00_1526;
				BgL_ev_varz00_bglt BgL_label1162z00_1527;
				BgL_ev_labelsz00_bglt BgL_labels1163z00_1528;
				obj_t BgL_args1164z00_1529;

				BgL_loc1161z00_1526 = BgL_loc1161z00_3313;
				BgL_label1162z00_1527 = ((BgL_ev_varz00_bglt) BgL_label1162z00_3314);
				BgL_labels1163z00_1528 =
					((BgL_ev_labelsz00_bglt) BgL_labels1163z00_3315);
				BgL_args1164z00_1529 = BgL_args1164z00_3316;
				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_new1302z00_2689;

					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_gotoz00_bglt BgL_new1301z00_2690;

						BgL_new1301z00_2690 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 109 */
							long BgL_arg1907z00_2691;

							{	/* Eval/evaluate_types.scm 109 */
								long BgL_res2294z00_2695;

								{	/* Eval/evaluate_types.scm 109 */
									obj_t BgL_classz00_2692;

									BgL_classz00_2692 = BGl_ev_gotoz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 109 */
										obj_t BgL_vectorz00_2693;
										int BgL_kz00_2694;

										BgL_vectorz00_2693 = BgL_classz00_2692;
										BgL_kz00_2694 = (int) (((long) 1));
										BgL_res2294z00_2695 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2693,
												BgL_kz00_2694));
								}}
								BgL_arg1907z00_2691 = BgL_res2294z00_2695;
							}
							{	/* Eval/evaluate_types.scm 109 */
								BgL_objectz00_bglt BgL_objz00_2696;

								BgL_objz00_2696 = ((BgL_objectz00_bglt) BgL_new1301z00_2690);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2696, BgL_arg1907z00_2691);
						}}
						{	/* Eval/evaluate_types.scm 109 */
							BgL_objectz00_bglt BgL_auxz00_4353;

							BgL_auxz00_4353 = ((BgL_objectz00_bglt) BgL_new1301z00_2690);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4353, BFALSE);
						}
						BgL_new1302z00_2689 = BgL_new1301z00_2690;
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2689))->BgL_locz00) =
						((obj_t) BgL_loc1161z00_1526), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2689))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label1162z00_1527), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2689))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels1163z00_1528), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2689))->BgL_argsz00) =
						((obj_t) BgL_args1164z00_1529), BUNSPEC);
					return BgL_new1302z00_2689;
				}
			}
		}
	}



/* &lambda1930 */
	obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3317,
		obj_t BgL_oz00_3318, obj_t BgL_vz00_3319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3701;

				BgL_oz00_3701 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3318);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3701))->BgL_locz00) =
					((obj_t) BgL_vz00_3319), BUNSPEC);
			}
		}
	}



/* &lambda1929 */
	obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3320,
		obj_t BgL_oz00_3321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3321)))->BgL_locz00);
		}
	}



/* &lambda1925 */
	obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3322,
		obj_t BgL_oz00_3323, obj_t BgL_vz00_3324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3704;
				BgL_ev_varz00_bglt BgL_vz00_3705;

				BgL_oz00_3704 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3323);
				BgL_vz00_3705 = ((BgL_ev_varz00_bglt) BgL_vz00_3324);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3704))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3705), BUNSPEC);
			}
		}
	}



/* &lambda1924 */
	BgL_ev_varz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3325, obj_t BgL_oz00_3326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3326)))->BgL_labelz00);
		}
	}



/* &lambda1920 */
	obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3327,
		obj_t BgL_oz00_3328, obj_t BgL_vz00_3329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3707;
				BgL_ev_labelsz00_bglt BgL_vz00_3708;

				BgL_oz00_3707 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3328);
				BgL_vz00_3708 = ((BgL_ev_labelsz00_bglt) BgL_vz00_3329);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3707))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_vz00_3708), BUNSPEC);
			}
		}
	}



/* &lambda1919 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3330, obj_t BgL_oz00_3331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3331)))->BgL_labelsz00);
		}
	}



/* &lambda1915 */
	obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3332,
		obj_t BgL_oz00_3333, obj_t BgL_vz00_3334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3710;

				BgL_oz00_3710 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3333);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3710))->BgL_argsz00) =
					((obj_t) BgL_vz00_3334), BUNSPEC);
			}
		}
	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3335,
		obj_t BgL_oz00_3336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3336)))->BgL_argsz00);
		}
	}



/* &<anonymous:1860> */
	BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31860ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3337,
		obj_t BgL_new1159z00_3338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_labelsz00_bglt BgL_new1159z00_1433;

				BgL_new1159z00_1433 = ((BgL_ev_labelsz00_bglt) BgL_new1159z00_3338);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1433))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1433))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1433))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1433))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4384;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_2665;

						BgL_classz00_2665 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1364z00_2666;

							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL_vectorz00_2667;
								int BgL_kz00_2668;

								BgL_vectorz00_2667 = BgL_classz00_2665;
								BgL_kz00_2668 = (int) (((long) 17));
								BgL__ortest_1364z00_2666 =
									VECTOR_REF(BgL_vectorz00_2667, BgL_kz00_2668);
							}
							if (CBOOL(BgL__ortest_1364z00_2666))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4384 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2666);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4384 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2665));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1433))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4384), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1159z00_1433))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1159z00_1433;
			}
		}
	}



/* &lambda1858 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_new1158z00_1431;

					BgL_new1158z00_1431 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1859z00_1432;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2293z00_2662;

							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL_classz00_2659;

								BgL_classz00_2659 = BGl_ev_labelsz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_vectorz00_2660;
									int BgL_kz00_2661;

									BgL_vectorz00_2660 = BgL_classz00_2659;
									BgL_kz00_2661 = (int) (((long) 1));
									BgL_res2293z00_2662 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2660, BgL_kz00_2661));
							}}
							BgL_arg1859z00_1432 = BgL_res2293z00_2662;
						}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_objz00_2663;

							BgL_objz00_2663 = ((BgL_objectz00_bglt) BgL_new1158z00_1431);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2663, BgL_arg1859z00_1432);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_4401;

						BgL_auxz00_4401 = ((BgL_objectz00_bglt) BgL_new1158z00_1431);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4401, BFALSE);
					}
					return BgL_new1158z00_1431;
				}
			}
		}
	}



/* &lambda1856 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3340, obj_t BgL_vars1151z00_3341, obj_t BgL_vals1152z00_3342,
		obj_t BgL_env1153z00_3343, obj_t BgL_stk1154z00_3344,
		obj_t BgL_body1155z00_3345, obj_t BgL_boxes1156z00_3346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				obj_t BgL_vars1151z00_1420;
				obj_t BgL_vals1152z00_1421;
				obj_t BgL_env1153z00_1422;
				obj_t BgL_stk1154z00_1423;
				BgL_ev_exprz00_bglt BgL_body1155z00_1424;
				obj_t BgL_boxes1156z00_1425;

				BgL_vars1151z00_1420 = BgL_vars1151z00_3341;
				BgL_vals1152z00_1421 = BgL_vals1152z00_3342;
				BgL_env1153z00_1422 = BgL_env1153z00_3343;
				BgL_stk1154z00_1423 = BgL_stk1154z00_3344;
				BgL_body1155z00_1424 = ((BgL_ev_exprz00_bglt) BgL_body1155z00_3345);
				BgL_boxes1156z00_1425 = BgL_boxes1156z00_3346;
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_new1288z00_2650;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_labelsz00_bglt BgL_new1287z00_2651;

						BgL_new1287z00_2651 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg1857z00_2652;

							{	/* Eval/evaluate_types.scm 101 */
								long BgL_res2292z00_2656;

								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_classz00_2653;

									BgL_classz00_2653 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 101 */
										obj_t BgL_vectorz00_2654;
										int BgL_kz00_2655;

										BgL_vectorz00_2654 = BgL_classz00_2653;
										BgL_kz00_2655 = (int) (((long) 1));
										BgL_res2292z00_2656 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2654,
												BgL_kz00_2655));
								}}
								BgL_arg1857z00_2652 = BgL_res2292z00_2656;
							}
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_objz00_2657;

								BgL_objz00_2657 = ((BgL_objectz00_bglt) BgL_new1287z00_2651);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2657, BgL_arg1857z00_2652);
						}}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_4410;

							BgL_auxz00_4410 = ((BgL_objectz00_bglt) BgL_new1287z00_2651);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4410, BFALSE);
						}
						BgL_new1288z00_2650 = BgL_new1287z00_2651;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2650))->BgL_varsz00) =
						((obj_t) BgL_vars1151z00_1420), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2650))->BgL_valsz00) =
						((obj_t) BgL_vals1152z00_1421), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2650))->BgL_envz00) =
						((obj_t) BgL_env1153z00_1422), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2650))->BgL_stkz00) =
						((obj_t) BgL_stk1154z00_1423), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2650))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1155z00_1424), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2650))->BgL_boxesz00) =
						((obj_t) BgL_boxes1156z00_1425), BUNSPEC);
					return BgL_new1288z00_2650;
				}
			}
		}
	}



/* &lambda1899 */
	obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t BgL_envz00_3347,
		obj_t BgL_oz00_3348, obj_t BgL_vz00_3349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3713;

				BgL_oz00_3713 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3348);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3713))->BgL_varsz00) =
					((obj_t) BgL_vz00_3349), BUNSPEC);
			}
		}
	}



/* &lambda1898 */
	obj_t BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t BgL_envz00_3350,
		obj_t BgL_oz00_3351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3351)))->BgL_varsz00);
		}
	}



/* &lambda1894 */
	obj_t BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t BgL_envz00_3352,
		obj_t BgL_oz00_3353, obj_t BgL_vz00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3716;

				BgL_oz00_3716 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3353);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3716))->BgL_valsz00) =
					((obj_t) BgL_vz00_3354), BUNSPEC);
			}
		}
	}



/* &lambda1893 */
	obj_t BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t BgL_envz00_3355,
		obj_t BgL_oz00_3356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3356)))->BgL_valsz00);
		}
	}



/* &<anonymous:1889> */
	obj_t BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1888 */
	obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t BgL_envz00_3358,
		obj_t BgL_oz00_3359, obj_t BgL_vz00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3719;

				BgL_oz00_3719 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3359);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3719))->BgL_envz00) =
					((obj_t) BgL_vz00_3360), BUNSPEC);
			}
		}
	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t BgL_envz00_3361,
		obj_t BgL_oz00_3362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3362)))->BgL_envz00);
		}
	}



/* &<anonymous:1881> */
	obj_t BGl_z62zc3anonymousza31881ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1880 */
	obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t BgL_envz00_3364,
		obj_t BgL_oz00_3365, obj_t BgL_vz00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3722;

				BgL_oz00_3722 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3365);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3722))->BgL_stkz00) =
					((obj_t) BgL_vz00_3366), BUNSPEC);
			}
		}
	}



/* &lambda1879 */
	obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t BgL_envz00_3367,
		obj_t BgL_oz00_3368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3368)))->BgL_stkz00);
		}
	}



/* &lambda1874 */
	obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t BgL_envz00_3369,
		obj_t BgL_oz00_3370, obj_t BgL_vz00_3371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3725;
				BgL_ev_exprz00_bglt BgL_vz00_3726;

				BgL_oz00_3725 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3370);
				BgL_vz00_3726 = ((BgL_ev_exprz00_bglt) BgL_vz00_3371);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3725))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3726), BUNSPEC);
			}
		}
	}



/* &lambda1873 */
	BgL_ev_exprz00_bglt BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3372, obj_t BgL_oz00_3373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3373)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1868> */
	obj_t BGl_z62zc3anonymousza31868ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1867 */
	obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t BgL_envz00_3375,
		obj_t BgL_oz00_3376, obj_t BgL_vz00_3377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3728;

				BgL_oz00_3728 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3376);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3728))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3377), BUNSPEC);
			}
		}
	}



/* &lambda1866 */
	obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t BgL_envz00_3378,
		obj_t BgL_oz00_3379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3379)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1850> */
	BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31850ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3380,
		obj_t BgL_new1149z00_3381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				BgL_ev_letrecz00_bglt BgL_new1149z00_1408;

				BgL_new1149z00_1408 = ((BgL_ev_letrecz00_bglt) BgL_new1149z00_3381);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1149z00_1408)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1149z00_1408)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4449;

					{	/* Eval/evaluate_types.scm 100 */
						obj_t BgL_classz00_2616;

						BgL_classz00_2616 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 100 */
							obj_t BgL__ortest_1364z00_2617;

							{	/* Eval/evaluate_types.scm 100 */
								obj_t BgL_vectorz00_2618;
								int BgL_kz00_2619;

								BgL_vectorz00_2618 = BgL_classz00_2616;
								BgL_kz00_2619 = (int) (((long) 17));
								BgL__ortest_1364z00_2617 =
									VECTOR_REF(BgL_vectorz00_2618, BgL_kz00_2619);
							}
							if (CBOOL(BgL__ortest_1364z00_2617))
								{	/* Eval/evaluate_types.scm 100 */
									BgL_auxz00_4449 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2617);
								}
							else
								{	/* Eval/evaluate_types.scm 100 */
									BgL_auxz00_4449 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2616));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1149z00_1408)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4449), BUNSPEC);
				}
				return BgL_new1149z00_1408;
			}
		}
	}



/* &lambda1848 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{

				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_new1148z00_1406;

					BgL_new1148z00_1406 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 100 */
						long BgL_arg1849z00_1407;

						{	/* Eval/evaluate_types.scm 100 */
							long BgL_res2291z00_2613;

							{	/* Eval/evaluate_types.scm 100 */
								obj_t BgL_classz00_2610;

								BgL_classz00_2610 = BGl_ev_letrecz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 100 */
									obj_t BgL_vectorz00_2611;
									int BgL_kz00_2612;

									BgL_vectorz00_2611 = BgL_classz00_2610;
									BgL_kz00_2612 = (int) (((long) 1));
									BgL_res2291z00_2613 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2611, BgL_kz00_2612));
							}}
							BgL_arg1849z00_1407 = BgL_res2291z00_2613;
						}
						{	/* Eval/evaluate_types.scm 100 */
							BgL_objectz00_bglt BgL_objz00_2614;

							BgL_objz00_2614 = ((BgL_objectz00_bglt) BgL_new1148z00_1406);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2614, BgL_arg1849z00_1407);
					}}
					{	/* Eval/evaluate_types.scm 100 */
						BgL_objectz00_bglt BgL_auxz00_4466;

						BgL_auxz00_4466 = ((BgL_objectz00_bglt) BgL_new1148z00_1406);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4466, BFALSE);
					}
					return BgL_new1148z00_1406;
				}
			}
		}
	}



/* &lambda1846 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3383, obj_t BgL_vars1145z00_3384, obj_t BgL_vals1146z00_3385,
		obj_t BgL_body1147z00_3386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				obj_t BgL_vars1145z00_1398;
				obj_t BgL_vals1146z00_1399;
				BgL_ev_exprz00_bglt BgL_body1147z00_1400;

				BgL_vars1145z00_1398 = BgL_vars1145z00_3384;
				BgL_vals1146z00_1399 = BgL_vals1146z00_3385;
				BgL_body1147z00_1400 = ((BgL_ev_exprz00_bglt) BgL_body1147z00_3386);
				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_new1286z00_2601;

					{	/* Eval/evaluate_types.scm 100 */
						BgL_ev_letrecz00_bglt BgL_new1285z00_2602;

						BgL_new1285z00_2602 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 100 */
							long BgL_arg1847z00_2603;

							{	/* Eval/evaluate_types.scm 100 */
								long BgL_res2290z00_2607;

								{	/* Eval/evaluate_types.scm 100 */
									obj_t BgL_classz00_2604;

									BgL_classz00_2604 = BGl_ev_letrecz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 100 */
										obj_t BgL_vectorz00_2605;
										int BgL_kz00_2606;

										BgL_vectorz00_2605 = BgL_classz00_2604;
										BgL_kz00_2606 = (int) (((long) 1));
										BgL_res2290z00_2607 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2605,
												BgL_kz00_2606));
								}}
								BgL_arg1847z00_2603 = BgL_res2290z00_2607;
							}
							{	/* Eval/evaluate_types.scm 100 */
								BgL_objectz00_bglt BgL_objz00_2608;

								BgL_objz00_2608 = ((BgL_objectz00_bglt) BgL_new1285z00_2602);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2608, BgL_arg1847z00_2603);
						}}
						{	/* Eval/evaluate_types.scm 100 */
							BgL_objectz00_bglt BgL_auxz00_4475;

							BgL_auxz00_4475 = ((BgL_objectz00_bglt) BgL_new1285z00_2602);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4475, BFALSE);
						}
						BgL_new1286z00_2601 = BgL_new1285z00_2602;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1286z00_2601)))->
							BgL_varsz00) = ((obj_t) BgL_vars1145z00_1398), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1286z00_2601)))->BgL_valsz00) =
						((obj_t) BgL_vals1146z00_1399), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1286z00_2601)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1147z00_1400), BUNSPEC);
					return BgL_new1286z00_2601;
				}
			}
		}
	}



/* &<anonymous:1831> */
	BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31831ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3387,
		obj_t BgL_new1143z00_3388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				BgL_ev_letza2za2_bglt BgL_new1143z00_1371;

				BgL_new1143z00_1371 = ((BgL_ev_letza2za2_bglt) BgL_new1143z00_3388);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1143z00_1371)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1143z00_1371)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4489;

					{	/* Eval/evaluate_types.scm 98 */
						obj_t BgL_classz00_2597;

						BgL_classz00_2597 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 98 */
							obj_t BgL__ortest_1364z00_2598;

							{	/* Eval/evaluate_types.scm 98 */
								obj_t BgL_vectorz00_2599;
								int BgL_kz00_2600;

								BgL_vectorz00_2599 = BgL_classz00_2597;
								BgL_kz00_2600 = (int) (((long) 17));
								BgL__ortest_1364z00_2598 =
									VECTOR_REF(BgL_vectorz00_2599, BgL_kz00_2600);
							}
							if (CBOOL(BgL__ortest_1364z00_2598))
								{	/* Eval/evaluate_types.scm 98 */
									BgL_auxz00_4489 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2598);
								}
							else
								{	/* Eval/evaluate_types.scm 98 */
									BgL_auxz00_4489 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2597));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1143z00_1371)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4489), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1143z00_1371))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1143z00_1371;
			}
		}
	}



/* &lambda1827 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1827z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{

				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_new1142z00_1369;

					BgL_new1142z00_1369 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 98 */
						long BgL_arg1830z00_1370;

						{	/* Eval/evaluate_types.scm 98 */
							long BgL_res2289z00_2594;

							{	/* Eval/evaluate_types.scm 98 */
								obj_t BgL_classz00_2591;

								BgL_classz00_2591 = BGl_ev_letza2za2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 98 */
									obj_t BgL_vectorz00_2592;
									int BgL_kz00_2593;

									BgL_vectorz00_2592 = BgL_classz00_2591;
									BgL_kz00_2593 = (int) (((long) 1));
									BgL_res2289z00_2594 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2592, BgL_kz00_2593));
							}}
							BgL_arg1830z00_1370 = BgL_res2289z00_2594;
						}
						{	/* Eval/evaluate_types.scm 98 */
							BgL_objectz00_bglt BgL_objz00_2595;

							BgL_objz00_2595 = ((BgL_objectz00_bglt) BgL_new1142z00_1369);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2595, BgL_arg1830z00_1370);
					}}
					{	/* Eval/evaluate_types.scm 98 */
						BgL_objectz00_bglt BgL_auxz00_4507;

						BgL_auxz00_4507 = ((BgL_objectz00_bglt) BgL_new1142z00_1369);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4507, BFALSE);
					}
					return BgL_new1142z00_1369;
				}
			}
		}
	}



/* &lambda1825 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3390, obj_t BgL_vars1138z00_3391, obj_t BgL_vals1139z00_3392,
		obj_t BgL_body1140z00_3393, obj_t BgL_boxes1141z00_3394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				obj_t BgL_vars1138z00_1360;
				obj_t BgL_vals1139z00_1361;
				BgL_ev_exprz00_bglt BgL_body1140z00_1362;
				obj_t BgL_boxes1141z00_1363;

				BgL_vars1138z00_1360 = BgL_vars1138z00_3391;
				BgL_vals1139z00_1361 = BgL_vals1139z00_3392;
				BgL_body1140z00_1362 = ((BgL_ev_exprz00_bglt) BgL_body1140z00_3393);
				BgL_boxes1141z00_1363 = BgL_boxes1141z00_3394;
				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_new1282z00_2582;

					{	/* Eval/evaluate_types.scm 98 */
						BgL_ev_letza2za2_bglt BgL_new1281z00_2583;

						BgL_new1281z00_2583 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 98 */
							long BgL_arg1826z00_2584;

							{	/* Eval/evaluate_types.scm 98 */
								long BgL_res2288z00_2588;

								{	/* Eval/evaluate_types.scm 98 */
									obj_t BgL_classz00_2585;

									BgL_classz00_2585 = BGl_ev_letza2za2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 98 */
										obj_t BgL_vectorz00_2586;
										int BgL_kz00_2587;

										BgL_vectorz00_2586 = BgL_classz00_2585;
										BgL_kz00_2587 = (int) (((long) 1));
										BgL_res2288z00_2588 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2586,
												BgL_kz00_2587));
								}}
								BgL_arg1826z00_2584 = BgL_res2288z00_2588;
							}
							{	/* Eval/evaluate_types.scm 98 */
								BgL_objectz00_bglt BgL_objz00_2589;

								BgL_objz00_2589 = ((BgL_objectz00_bglt) BgL_new1281z00_2583);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2589, BgL_arg1826z00_2584);
						}}
						{	/* Eval/evaluate_types.scm 98 */
							BgL_objectz00_bglt BgL_auxz00_4516;

							BgL_auxz00_4516 = ((BgL_objectz00_bglt) BgL_new1281z00_2583);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4516, BFALSE);
						}
						BgL_new1282z00_2582 = BgL_new1281z00_2583;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1282z00_2582)))->
							BgL_varsz00) = ((obj_t) BgL_vars1138z00_1360), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1282z00_2582)))->BgL_valsz00) =
						((obj_t) BgL_vals1139z00_1361), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1282z00_2582)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1140z00_1362), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1282z00_2582))->BgL_boxesz00) =
						((obj_t) BgL_boxes1141z00_1363), BUNSPEC);
					return BgL_new1282z00_2582;
				}
			}
		}
	}



/* &<anonymous:1839> */
	obj_t BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return BNIL;
		}
	}



/* &lambda1838 */
	obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3396,
		obj_t BgL_oz00_3397, obj_t BgL_vz00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_letza2za2_bglt BgL_oz00_3731;

				BgL_oz00_3731 = ((BgL_ev_letza2za2_bglt) BgL_oz00_3397);
				return
					((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_3731))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3398), BUNSPEC);
			}
		}
	}



/* &lambda1837 */
	obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3399,
		obj_t BgL_oz00_3400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3400)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1812> */
	BgL_ev_letz00_bglt BGl_z62zc3anonymousza31812ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3401, obj_t BgL_new1136z00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				BgL_ev_letz00_bglt BgL_new1136z00_1333;

				BgL_new1136z00_1333 = ((BgL_ev_letz00_bglt) BgL_new1136z00_3402);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1136z00_1333)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1136z00_1333)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4535;

					{	/* Eval/evaluate_types.scm 96 */
						obj_t BgL_classz00_2573;

						BgL_classz00_2573 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 96 */
							obj_t BgL__ortest_1364z00_2574;

							{	/* Eval/evaluate_types.scm 96 */
								obj_t BgL_vectorz00_2575;
								int BgL_kz00_2576;

								BgL_vectorz00_2575 = BgL_classz00_2573;
								BgL_kz00_2576 = (int) (((long) 17));
								BgL__ortest_1364z00_2574 =
									VECTOR_REF(BgL_vectorz00_2575, BgL_kz00_2576);
							}
							if (CBOOL(BgL__ortest_1364z00_2574))
								{	/* Eval/evaluate_types.scm 96 */
									BgL_auxz00_4535 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2574);
								}
							else
								{	/* Eval/evaluate_types.scm 96 */
									BgL_auxz00_4535 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2573));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1136z00_1333)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4535), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) CREF(BgL_new1136z00_1333))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1136z00_1333;
			}
		}
	}



/* &lambda1810 */
	BgL_ev_letz00_bglt BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{

				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_new1135z00_1331;

					BgL_new1135z00_1331 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 96 */
						long BgL_arg1811z00_1332;

						{	/* Eval/evaluate_types.scm 96 */
							long BgL_res2287z00_2570;

							{	/* Eval/evaluate_types.scm 96 */
								obj_t BgL_classz00_2567;

								BgL_classz00_2567 = BGl_ev_letz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 96 */
									obj_t BgL_vectorz00_2568;
									int BgL_kz00_2569;

									BgL_vectorz00_2568 = BgL_classz00_2567;
									BgL_kz00_2569 = (int) (((long) 1));
									BgL_res2287z00_2570 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2568, BgL_kz00_2569));
							}}
							BgL_arg1811z00_1332 = BgL_res2287z00_2570;
						}
						{	/* Eval/evaluate_types.scm 96 */
							BgL_objectz00_bglt BgL_objz00_2571;

							BgL_objz00_2571 = ((BgL_objectz00_bglt) BgL_new1135z00_1331);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2571, BgL_arg1811z00_1332);
					}}
					{	/* Eval/evaluate_types.scm 96 */
						BgL_objectz00_bglt BgL_auxz00_4553;

						BgL_auxz00_4553 = ((BgL_objectz00_bglt) BgL_new1135z00_1331);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4553, BFALSE);
					}
					return BgL_new1135z00_1331;
				}
			}
		}
	}



/* &lambda1808 */
	BgL_ev_letz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3404, obj_t BgL_vars1131z00_3405, obj_t BgL_vals1132z00_3406,
		obj_t BgL_body1133z00_3407, obj_t BgL_boxes1134z00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				obj_t BgL_vars1131z00_1322;
				obj_t BgL_vals1132z00_1323;
				BgL_ev_exprz00_bglt BgL_body1133z00_1324;
				obj_t BgL_boxes1134z00_1325;

				BgL_vars1131z00_1322 = BgL_vars1131z00_3405;
				BgL_vals1132z00_1323 = BgL_vals1132z00_3406;
				BgL_body1133z00_1324 = ((BgL_ev_exprz00_bglt) BgL_body1133z00_3407);
				BgL_boxes1134z00_1325 = BgL_boxes1134z00_3408;
				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_new1278z00_2558;

					{	/* Eval/evaluate_types.scm 96 */
						BgL_ev_letz00_bglt BgL_new1277z00_2559;

						BgL_new1277z00_2559 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 96 */
							long BgL_arg1809z00_2560;

							{	/* Eval/evaluate_types.scm 96 */
								long BgL_res2286z00_2564;

								{	/* Eval/evaluate_types.scm 96 */
									obj_t BgL_classz00_2561;

									BgL_classz00_2561 = BGl_ev_letz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 96 */
										obj_t BgL_vectorz00_2562;
										int BgL_kz00_2563;

										BgL_vectorz00_2562 = BgL_classz00_2561;
										BgL_kz00_2563 = (int) (((long) 1));
										BgL_res2286z00_2564 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2562,
												BgL_kz00_2563));
								}}
								BgL_arg1809z00_2560 = BgL_res2286z00_2564;
							}
							{	/* Eval/evaluate_types.scm 96 */
								BgL_objectz00_bglt BgL_objz00_2565;

								BgL_objz00_2565 = ((BgL_objectz00_bglt) BgL_new1277z00_2559);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2565, BgL_arg1809z00_2560);
						}}
						{	/* Eval/evaluate_types.scm 96 */
							BgL_objectz00_bglt BgL_auxz00_4562;

							BgL_auxz00_4562 = ((BgL_objectz00_bglt) BgL_new1277z00_2559);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4562, BFALSE);
						}
						BgL_new1278z00_2558 = BgL_new1277z00_2559;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1278z00_2558)))->
							BgL_varsz00) = ((obj_t) BgL_vars1131z00_1322), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1278z00_2558)))->BgL_valsz00) =
						((obj_t) BgL_vals1132z00_1323), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1278z00_2558)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1133z00_1324), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(BgL_new1278z00_2558))->BgL_boxesz00) =
						((obj_t) BgL_boxes1134z00_1325), BUNSPEC);
					return BgL_new1278z00_2558;
				}
			}
		}
	}



/* &<anonymous:1819> */
	obj_t BGl_z62zc3anonymousza31819ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return BNIL;
		}
	}



/* &lambda1818 */
	obj_t BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t BgL_envz00_3410,
		obj_t BgL_oz00_3411, obj_t BgL_vz00_3412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_letz00_bglt BgL_oz00_3734;

				BgL_oz00_3734 = ((BgL_ev_letz00_bglt) BgL_oz00_3411);
				return
					((((BgL_ev_letz00_bglt) CREF(BgL_oz00_3734))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3412), BUNSPEC);
			}
		}
	}



/* &lambda1817 */
	obj_t BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t BgL_envz00_3413,
		obj_t BgL_oz00_3414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3414)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1787> */
	BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31787ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3415,
		obj_t BgL_new1129z00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_binderz00_bglt BgL_new1129z00_1274;

				BgL_new1129z00_1274 = ((BgL_ev_binderz00_bglt) BgL_new1129z00_3416);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1274))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1274))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4579;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2549;

						BgL_classz00_2549 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1364z00_2550;

							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL_vectorz00_2551;
								int BgL_kz00_2552;

								BgL_vectorz00_2551 = BgL_classz00_2549;
								BgL_kz00_2552 = (int) (((long) 17));
								BgL__ortest_1364z00_2550 =
									VECTOR_REF(BgL_vectorz00_2551, BgL_kz00_2552);
							}
							if (CBOOL(BgL__ortest_1364z00_2550))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4579 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2550);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4579 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2549));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1274))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4579), BUNSPEC);
				}
				return BgL_new1129z00_1274;
			}
		}
	}



/* &lambda1784 */
	BgL_ev_binderz00_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_new1128z00_1272;

					BgL_new1128z00_1272 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1786z00_1273;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2285z00_2546;

							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL_classz00_2543;

								BgL_classz00_2543 = BGl_ev_binderz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 92 */
									obj_t BgL_vectorz00_2544;
									int BgL_kz00_2545;

									BgL_vectorz00_2544 = BgL_classz00_2543;
									BgL_kz00_2545 = (int) (((long) 1));
									BgL_res2285z00_2546 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2544, BgL_kz00_2545));
							}}
							BgL_arg1786z00_1273 = BgL_res2285z00_2546;
						}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_objz00_2547;

							BgL_objz00_2547 = ((BgL_objectz00_bglt) BgL_new1128z00_1272);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2547, BgL_arg1786z00_1273);
					}}
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_auxz00_4595;

						BgL_auxz00_4595 = ((BgL_objectz00_bglt) BgL_new1128z00_1272);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4595, BFALSE);
					}
					return BgL_new1128z00_1272;
				}
			}
		}
	}



/* &lambda1782 */
	BgL_ev_binderz00_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3418, obj_t BgL_vars1125z00_3419, obj_t BgL_vals1126z00_3420,
		obj_t BgL_body1127z00_3421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				obj_t BgL_vars1125z00_1264;
				obj_t BgL_vals1126z00_1265;
				BgL_ev_exprz00_bglt BgL_body1127z00_1266;

				BgL_vars1125z00_1264 = BgL_vars1125z00_3419;
				BgL_vals1126z00_1265 = BgL_vals1126z00_3420;
				BgL_body1127z00_1266 = ((BgL_ev_exprz00_bglt) BgL_body1127z00_3421);
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_new1270z00_2534;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_binderz00_bglt BgL_new1269z00_2535;

						BgL_new1269z00_2535 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 92 */
							long BgL_arg1783z00_2536;

							{	/* Eval/evaluate_types.scm 92 */
								long BgL_res2284z00_2540;

								{	/* Eval/evaluate_types.scm 92 */
									obj_t BgL_classz00_2537;

									BgL_classz00_2537 = BGl_ev_binderz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 92 */
										obj_t BgL_vectorz00_2538;
										int BgL_kz00_2539;

										BgL_vectorz00_2538 = BgL_classz00_2537;
										BgL_kz00_2539 = (int) (((long) 1));
										BgL_res2284z00_2540 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2538,
												BgL_kz00_2539));
								}}
								BgL_arg1783z00_2536 = BgL_res2284z00_2540;
							}
							{	/* Eval/evaluate_types.scm 92 */
								BgL_objectz00_bglt BgL_objz00_2541;

								BgL_objz00_2541 = ((BgL_objectz00_bglt) BgL_new1269z00_2535);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2541, BgL_arg1783z00_2536);
						}}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_auxz00_4604;

							BgL_auxz00_4604 = ((BgL_objectz00_bglt) BgL_new1269z00_2535);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4604, BFALSE);
						}
						BgL_new1270z00_2534 = BgL_new1269z00_2535;
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2534))->BgL_varsz00) =
						((obj_t) BgL_vars1125z00_1264), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2534))->BgL_valsz00) =
						((obj_t) BgL_vals1126z00_1265), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2534))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1127z00_1266), BUNSPEC);
					return BgL_new1270z00_2534;
				}
			}
		}
	}



/* &lambda1802 */
	obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t BgL_envz00_3422,
		obj_t BgL_oz00_3423, obj_t BgL_vz00_3424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3737;

				BgL_oz00_3737 = ((BgL_ev_binderz00_bglt) BgL_oz00_3423);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3737))->BgL_varsz00) =
					((obj_t) BgL_vz00_3424), BUNSPEC);
			}
		}
	}



/* &lambda1801 */
	obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t BgL_envz00_3425,
		obj_t BgL_oz00_3426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3426)))->BgL_varsz00);
		}
	}



/* &lambda1797 */
	obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3427,
		obj_t BgL_oz00_3428, obj_t BgL_vz00_3429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3740;

				BgL_oz00_3740 = ((BgL_ev_binderz00_bglt) BgL_oz00_3428);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3740))->BgL_valsz00) =
					((obj_t) BgL_vz00_3429), BUNSPEC);
			}
		}
	}



/* &lambda1796 */
	obj_t BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t BgL_envz00_3430,
		obj_t BgL_oz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3431)))->BgL_valsz00);
		}
	}



/* &lambda1792 */
	obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t BgL_envz00_3432,
		obj_t BgL_oz00_3433, obj_t BgL_vz00_3434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3743;
				BgL_ev_exprz00_bglt BgL_vz00_3744;

				BgL_oz00_3743 = ((BgL_ev_binderz00_bglt) BgL_oz00_3433);
				BgL_vz00_3744 = ((BgL_ev_exprz00_bglt) BgL_vz00_3434);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3743))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3744), BUNSPEC);
			}
		}
	}



/* &lambda1791 */
	BgL_ev_exprz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3435, obj_t BgL_oz00_3436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3436)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1765> */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3437,
		obj_t BgL_new1123z00_3438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1123z00_1228;

				BgL_new1123z00_1228 =
					((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3438);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4624;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2511;

						BgL_classz00_2511 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1364z00_2512;

							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL_vectorz00_2513;
								int BgL_kz00_2514;

								BgL_vectorz00_2513 = BgL_classz00_2511;
								BgL_kz00_2514 = (int) (((long) 17));
								BgL__ortest_1364z00_2512 =
									VECTOR_REF(BgL_vectorz00_2513, BgL_kz00_2514);
							}
							if (CBOOL(BgL__ortest_1364z00_2512))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4624 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2512);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4624 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2511));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1123z00_1228))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4624), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4633;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2515;

						BgL_classz00_2515 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1364z00_2516;

							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL_vectorz00_2517;
								int BgL_kz00_2518;

								BgL_vectorz00_2517 = BgL_classz00_2515;
								BgL_kz00_2518 = (int) (((long) 17));
								BgL__ortest_1364z00_2516 =
									VECTOR_REF(BgL_vectorz00_2517, BgL_kz00_2518);
							}
							if (CBOOL(BgL__ortest_1364z00_2516))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4633 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2516);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4633 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2515));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1123z00_1228))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4633), BUNSPEC);
				}
				return BgL_new1123z00_1228;
			}
		}
	}



/* &lambda1763 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_1226;

					BgL_new1122z00_1226 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1764z00_1227;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2283z00_2508;

							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL_classz00_2505;

								BgL_classz00_2505 =
									BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 89 */
									obj_t BgL_vectorz00_2506;
									int BgL_kz00_2507;

									BgL_vectorz00_2506 = BgL_classz00_2505;
									BgL_kz00_2507 = (int) (((long) 1));
									BgL_res2283z00_2508 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2506, BgL_kz00_2507));
							}}
							BgL_arg1764z00_1227 = BgL_res2283z00_2508;
						}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_objz00_2509;

							BgL_objz00_2509 = ((BgL_objectz00_bglt) BgL_new1122z00_1226);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2509, BgL_arg1764z00_1227);
					}}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_4649;

						BgL_auxz00_4649 = ((BgL_objectz00_bglt) BgL_new1122z00_1226);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4649, BFALSE);
					}
					return BgL_new1122z00_1226;
				}
			}
		}
	}



/* &lambda1761 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3440, obj_t BgL_handler1120z00_3441, obj_t BgL_body1121z00_3442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_exprz00_bglt BgL_handler1120z00_1219;
				BgL_ev_exprz00_bglt BgL_body1121z00_1220;

				BgL_handler1120z00_1219 =
					((BgL_ev_exprz00_bglt) BgL_handler1120z00_3441);
				BgL_body1121z00_1220 = ((BgL_ev_exprz00_bglt) BgL_body1121z00_3442);
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1264z00_2496;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new1263z00_2497;

						BgL_new1263z00_2497 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 89 */
							long BgL_arg1762z00_2498;

							{	/* Eval/evaluate_types.scm 89 */
								long BgL_res2282z00_2502;

								{	/* Eval/evaluate_types.scm 89 */
									obj_t BgL_classz00_2499;

									BgL_classz00_2499 =
										BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 89 */
										obj_t BgL_vectorz00_2500;
										int BgL_kz00_2501;

										BgL_vectorz00_2500 = BgL_classz00_2499;
										BgL_kz00_2501 = (int) (((long) 1));
										BgL_res2282z00_2502 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2500,
												BgL_kz00_2501));
								}}
								BgL_arg1762z00_2498 = BgL_res2282z00_2502;
							}
							{	/* Eval/evaluate_types.scm 89 */
								BgL_objectz00_bglt BgL_objz00_2503;

								BgL_objz00_2503 = ((BgL_objectz00_bglt) BgL_new1263z00_2497);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2503, BgL_arg1762z00_2498);
						}}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_4658;

							BgL_auxz00_4658 = ((BgL_objectz00_bglt) BgL_new1263z00_2497);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4658, BFALSE);
						}
						BgL_new1264z00_2496 = BgL_new1263z00_2497;
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1264z00_2496))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler1120z00_1219), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1264z00_2496))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1121z00_1220), BUNSPEC);
					return BgL_new1264z00_2496;
				}
			}
		}
	}



/* &lambda1776 */
	obj_t BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t BgL_envz00_3443,
		obj_t BgL_oz00_3444, obj_t BgL_vz00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3746;
				BgL_ev_exprz00_bglt BgL_vz00_3747;

				BgL_oz00_3746 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3444);
				BgL_vz00_3747 = ((BgL_ev_exprz00_bglt) BgL_vz00_3445);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3746))->
						BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3747), BUNSPEC);
			}
		}
	}



/* &lambda1775 */
	BgL_ev_exprz00_bglt BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3446, obj_t BgL_oz00_3447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3447)))->BgL_handlerz00);
		}
	}



/* &lambda1770 */
	obj_t BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t BgL_envz00_3448,
		obj_t BgL_oz00_3449, obj_t BgL_vz00_3450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3749;
				BgL_ev_exprz00_bglt BgL_vz00_3750;

				BgL_oz00_3749 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3449);
				BgL_vz00_3750 = ((BgL_ev_exprz00_bglt) BgL_vz00_3450);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3749))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3750), BUNSPEC);
			}
		}
	}



/* &lambda1769 */
	BgL_ev_exprz00_bglt BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3451, obj_t BgL_oz00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3452)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1745> */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31745ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3453,
		obj_t BgL_new1118z00_3454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1118z00_1183;

				BgL_new1118z00_1183 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1118z00_3454);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4675;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2478;

						BgL_classz00_2478 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1364z00_2479;

							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL_vectorz00_2480;
								int BgL_kz00_2481;

								BgL_vectorz00_2480 = BgL_classz00_2478;
								BgL_kz00_2481 = (int) (((long) 17));
								BgL__ortest_1364z00_2479 =
									VECTOR_REF(BgL_vectorz00_2480, BgL_kz00_2481);
							}
							if (CBOOL(BgL__ortest_1364z00_2479))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4675 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2479);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4675 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2478));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1118z00_1183))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4675), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4684;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2482;

						BgL_classz00_2482 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1364z00_2483;

							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL_vectorz00_2484;
								int BgL_kz00_2485;

								BgL_vectorz00_2484 = BgL_classz00_2482;
								BgL_kz00_2485 = (int) (((long) 17));
								BgL__ortest_1364z00_2483 =
									VECTOR_REF(BgL_vectorz00_2484, BgL_kz00_2485);
							}
							if (CBOOL(BgL__ortest_1364z00_2483))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4684 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2483);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4684 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2482));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1118z00_1183))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4684), BUNSPEC);
				}
				return BgL_new1118z00_1183;
			}
		}
	}



/* &lambda1743 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t BgL_envz00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_1181;

					BgL_new1117z00_1181 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1744z00_1182;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2281z00_2475;

							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL_classz00_2472;

								BgL_classz00_2472 =
									BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 86 */
									obj_t BgL_vectorz00_2473;
									int BgL_kz00_2474;

									BgL_vectorz00_2473 = BgL_classz00_2472;
									BgL_kz00_2474 = (int) (((long) 1));
									BgL_res2281z00_2475 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2473, BgL_kz00_2474));
							}}
							BgL_arg1744z00_1182 = BgL_res2281z00_2475;
						}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_objz00_2476;

							BgL_objz00_2476 = ((BgL_objectz00_bglt) BgL_new1117z00_1181);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2476, BgL_arg1744z00_1182);
					}}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_4700;

						BgL_auxz00_4700 = ((BgL_objectz00_bglt) BgL_new1117z00_1181);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4700, BFALSE);
					}
					return BgL_new1117z00_1181;
				}
			}
		}
	}



/* &lambda1741 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t BgL_envz00_3456,
		obj_t BgL_e1115z00_3457, obj_t BgL_body1116z00_3458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_exprz00_bglt BgL_e1115z00_1174;
				BgL_ev_exprz00_bglt BgL_body1116z00_1175;

				BgL_e1115z00_1174 = ((BgL_ev_exprz00_bglt) BgL_e1115z00_3457);
				BgL_body1116z00_1175 = ((BgL_ev_exprz00_bglt) BgL_body1116z00_3458);
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1258z00_2463;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new1257z00_2464;

						BgL_new1257z00_2464 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 86 */
							long BgL_arg1742z00_2465;

							{	/* Eval/evaluate_types.scm 86 */
								long BgL_res2280z00_2469;

								{	/* Eval/evaluate_types.scm 86 */
									obj_t BgL_classz00_2466;

									BgL_classz00_2466 =
										BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 86 */
										obj_t BgL_vectorz00_2467;
										int BgL_kz00_2468;

										BgL_vectorz00_2467 = BgL_classz00_2466;
										BgL_kz00_2468 = (int) (((long) 1));
										BgL_res2280z00_2469 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2467,
												BgL_kz00_2468));
								}}
								BgL_arg1742z00_2465 = BgL_res2280z00_2469;
							}
							{	/* Eval/evaluate_types.scm 86 */
								BgL_objectz00_bglt BgL_objz00_2470;

								BgL_objz00_2470 = ((BgL_objectz00_bglt) BgL_new1257z00_2464);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2470, BgL_arg1742z00_2465);
						}}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_4709;

							BgL_auxz00_4709 = ((BgL_objectz00_bglt) BgL_new1257z00_2464);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4709, BFALSE);
						}
						BgL_new1258z00_2463 = BgL_new1257z00_2464;
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1258z00_2463))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1115z00_1174), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1258z00_2463))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1116z00_1175), BUNSPEC);
					return BgL_new1258z00_2463;
				}
			}
		}
	}



/* &lambda1755 */
	obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3459,
		obj_t BgL_oz00_3460, obj_t BgL_vz00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3752;
				BgL_ev_exprz00_bglt BgL_vz00_3753;

				BgL_oz00_3752 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3460);
				BgL_vz00_3753 = ((BgL_ev_exprz00_bglt) BgL_vz00_3461);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3752))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3753), BUNSPEC);
			}
		}
	}



/* &lambda1754 */
	BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3462, obj_t BgL_oz00_3463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3463)))->BgL_ez00);
		}
	}



/* &lambda1750 */
	obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t BgL_envz00_3464,
		obj_t BgL_oz00_3465, obj_t BgL_vz00_3466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3755;
				BgL_ev_exprz00_bglt BgL_vz00_3756;

				BgL_oz00_3755 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3465);
				BgL_vz00_3756 = ((BgL_ev_exprz00_bglt) BgL_vz00_3466);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3755))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3756), BUNSPEC);
			}
		}
	}



/* &lambda1749 */
	BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3467, obj_t BgL_oz00_3468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3468)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1723> */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31723ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3469,
		obj_t BgL_new1113z00_3470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1113z00_1138;

				BgL_new1113z00_1138 =
					((BgL_ev_bindzd2exitzd2_bglt) BgL_new1113z00_3470);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4726;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2445;

						BgL_classz00_2445 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1364z00_2446;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_vectorz00_2447;
								int BgL_kz00_2448;

								BgL_vectorz00_2447 = BgL_classz00_2445;
								BgL_kz00_2448 = (int) (((long) 17));
								BgL__ortest_1364z00_2446 =
									VECTOR_REF(BgL_vectorz00_2447, BgL_kz00_2448);
							}
							if (CBOOL(BgL__ortest_1364z00_2446))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4726 =
										((BgL_ev_varz00_bglt) BgL__ortest_1364z00_2446);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4726 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2445));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1113z00_1138))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_4726), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4735;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2449;

						BgL_classz00_2449 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1364z00_2450;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_vectorz00_2451;
								int BgL_kz00_2452;

								BgL_vectorz00_2451 = BgL_classz00_2449;
								BgL_kz00_2452 = (int) (((long) 17));
								BgL__ortest_1364z00_2450 =
									VECTOR_REF(BgL_vectorz00_2451, BgL_kz00_2452);
							}
							if (CBOOL(BgL__ortest_1364z00_2450))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4735 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2450);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4735 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2449));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1113z00_1138))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4735), BUNSPEC);
				}
				return BgL_new1113z00_1138;
			}
		}
	}



/* &lambda1721 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_1136;

					BgL_new1112z00_1136 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1722z00_1137;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2279z00_2442;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_classz00_2439;

								BgL_classz00_2439 = BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_vectorz00_2440;
									int BgL_kz00_2441;

									BgL_vectorz00_2440 = BgL_classz00_2439;
									BgL_kz00_2441 = (int) (((long) 1));
									BgL_res2279z00_2442 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2440, BgL_kz00_2441));
							}}
							BgL_arg1722z00_1137 = BgL_res2279z00_2442;
						}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_objz00_2443;

							BgL_objz00_2443 = ((BgL_objectz00_bglt) BgL_new1112z00_1136);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2443, BgL_arg1722z00_1137);
					}}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_4751;

						BgL_auxz00_4751 = ((BgL_objectz00_bglt) BgL_new1112z00_1136);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4751, BFALSE);
					}
					return BgL_new1112z00_1136;
				}
			}
		}
	}



/* &lambda1719 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3472, obj_t BgL_var1110z00_3473, obj_t BgL_body1111z00_3474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_varz00_bglt BgL_var1110z00_1129;
				BgL_ev_exprz00_bglt BgL_body1111z00_1130;

				BgL_var1110z00_1129 = ((BgL_ev_varz00_bglt) BgL_var1110z00_3473);
				BgL_body1111z00_1130 = ((BgL_ev_exprz00_bglt) BgL_body1111z00_3474);
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1252z00_2430;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new1251z00_2431;

						BgL_new1251z00_2431 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg1720z00_2432;

							{	/* Eval/evaluate_types.scm 83 */
								long BgL_res2278z00_2436;

								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_classz00_2433;

									BgL_classz00_2433 =
										BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 83 */
										obj_t BgL_vectorz00_2434;
										int BgL_kz00_2435;

										BgL_vectorz00_2434 = BgL_classz00_2433;
										BgL_kz00_2435 = (int) (((long) 1));
										BgL_res2278z00_2436 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2434,
												BgL_kz00_2435));
								}}
								BgL_arg1720z00_2432 = BgL_res2278z00_2436;
							}
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_objz00_2437;

								BgL_objz00_2437 = ((BgL_objectz00_bglt) BgL_new1251z00_2431);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2437, BgL_arg1720z00_2432);
						}}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_4760;

							BgL_auxz00_4760 = ((BgL_objectz00_bglt) BgL_new1251z00_2431);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4760, BFALSE);
						}
						BgL_new1252z00_2430 = BgL_new1251z00_2431;
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1252z00_2430))->
							BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var1110z00_1129), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1252z00_2430))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1111z00_1130), BUNSPEC);
					return BgL_new1252z00_2430;
				}
			}
		}
	}



/* &lambda1733 */
	obj_t BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t BgL_envz00_3475,
		obj_t BgL_oz00_3476, obj_t BgL_vz00_3477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3758;
				BgL_ev_varz00_bglt BgL_vz00_3759;

				BgL_oz00_3758 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3476);
				BgL_vz00_3759 = ((BgL_ev_varz00_bglt) BgL_vz00_3477);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3758))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3759), BUNSPEC);
			}
		}
	}



/* &lambda1732 */
	BgL_ev_varz00_bglt BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3478, obj_t BgL_oz00_3479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3479)))->BgL_varz00);
		}
	}



/* &lambda1728 */
	obj_t BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t BgL_envz00_3480,
		obj_t BgL_oz00_3481, obj_t BgL_vz00_3482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3761;
				BgL_ev_exprz00_bglt BgL_vz00_3762;

				BgL_oz00_3761 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3481);
				BgL_vz00_3762 = ((BgL_ev_exprz00_bglt) BgL_vz00_3482);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3761))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3762), BUNSPEC);
			}
		}
	}



/* &lambda1727 */
	BgL_ev_exprz00_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3483, obj_t BgL_oz00_3484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3484)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1713> */
	BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31713ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3485,
		obj_t BgL_new1108z00_3486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1108z00_1117;

				BgL_new1108z00_1117 = ((BgL_ev_defglobalz00_bglt) BgL_new1108z00_3486);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4777;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_2416;

						BgL_classz00_2416 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1364z00_2417;

							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL_vectorz00_2418;
								int BgL_kz00_2419;

								BgL_vectorz00_2418 = BgL_classz00_2416;
								BgL_kz00_2419 = (int) (((long) 17));
								BgL__ortest_1364z00_2417 =
									VECTOR_REF(BgL_vectorz00_2418, BgL_kz00_2419);
							}
							if (CBOOL(BgL__ortest_1364z00_2417))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4777 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2417);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4777 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2416));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1108z00_1117)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4777), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_new1108z00_1117)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1108z00_1117)))->BgL_namez00) =
					((obj_t) BGl_symbol2642z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1108z00_1117)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1108z00_1117;
			}
		}
	}



/* &lambda1711 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1107z00_1115;

					BgL_new1107z00_1115 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1712z00_1116;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2277z00_2413;

							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL_classz00_2410;

								BgL_classz00_2410 = BGl_ev_defglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 82 */
									obj_t BgL_vectorz00_2411;
									int BgL_kz00_2412;

									BgL_vectorz00_2411 = BgL_classz00_2410;
									BgL_kz00_2412 = (int) (((long) 1));
									BgL_res2277z00_2413 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2411, BgL_kz00_2412));
							}}
							BgL_arg1712z00_1116 = BgL_res2277z00_2413;
						}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_objz00_2414;

							BgL_objz00_2414 = ((BgL_objectz00_bglt) BgL_new1107z00_1115);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2414, BgL_arg1712z00_1116);
					}}
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_auxz00_4800;

						BgL_auxz00_4800 = ((BgL_objectz00_bglt) BgL_new1107z00_1115);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4800, BFALSE);
					}
					return BgL_new1107z00_1115;
				}
			}
		}
	}



/* &lambda1709 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3488, obj_t BgL_e1103z00_3489, obj_t BgL_loc1104z00_3490,
		obj_t BgL_name1105z00_3491, obj_t BgL_mod1106z00_3492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_exprz00_bglt BgL_e1103z00_1106;
				obj_t BgL_loc1104z00_1107;
				obj_t BgL_name1105z00_1108;
				obj_t BgL_mod1106z00_1109;

				BgL_e1103z00_1106 = ((BgL_ev_exprz00_bglt) BgL_e1103z00_3489);
				BgL_loc1104z00_1107 = BgL_loc1104z00_3490;
				BgL_name1105z00_1108 = BgL_name1105z00_3491;
				BgL_mod1106z00_1109 = BgL_mod1106z00_3492;
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1250z00_2401;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_new1249z00_2402;

						BgL_new1249z00_2402 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 82 */
							long BgL_arg1710z00_2403;

							{	/* Eval/evaluate_types.scm 82 */
								long BgL_res2276z00_2407;

								{	/* Eval/evaluate_types.scm 82 */
									obj_t BgL_classz00_2404;

									BgL_classz00_2404 = BGl_ev_defglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 82 */
										obj_t BgL_vectorz00_2405;
										int BgL_kz00_2406;

										BgL_vectorz00_2405 = BgL_classz00_2404;
										BgL_kz00_2406 = (int) (((long) 1));
										BgL_res2276z00_2407 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2405,
												BgL_kz00_2406));
								}}
								BgL_arg1710z00_2403 = BgL_res2276z00_2407;
							}
							{	/* Eval/evaluate_types.scm 82 */
								BgL_objectz00_bglt BgL_objz00_2408;

								BgL_objz00_2408 = ((BgL_objectz00_bglt) BgL_new1249z00_2402);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2408, BgL_arg1710z00_2403);
						}}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_4809;

							BgL_auxz00_4809 = ((BgL_objectz00_bglt) BgL_new1249z00_2402);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4809, BFALSE);
						}
						BgL_new1250z00_2401 = BgL_new1249z00_2402;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1250z00_2401)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1103z00_1106), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2401)))->BgL_locz00) =
						((obj_t) BgL_loc1104z00_1107), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2401)))->BgL_namez00) =
						((obj_t) BgL_name1105z00_1108), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2401)))->BgL_modz00) =
						((obj_t) BgL_mod1106z00_1109), BUNSPEC);
					return BgL_new1250z00_2401;
				}
			}
		}
	}



/* &<anonymous:1688> */
	BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31688ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3493,
		obj_t BgL_new1101z00_3494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1101z00_1058;

				BgL_new1101z00_1058 = ((BgL_ev_setglobalz00_bglt) BgL_new1101z00_3494);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4821;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_2397;

						BgL_classz00_2397 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1364z00_2398;

							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL_vectorz00_2399;
								int BgL_kz00_2400;

								BgL_vectorz00_2399 = BgL_classz00_2397;
								BgL_kz00_2400 = (int) (((long) 17));
								BgL__ortest_1364z00_2398 =
									VECTOR_REF(BgL_vectorz00_2399, BgL_kz00_2400);
							}
							if (CBOOL(BgL__ortest_1364z00_2398))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4821 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2398);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4821 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2397));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1101z00_1058)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4821), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1101z00_1058))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1101z00_1058))->BgL_namez00) =
					((obj_t) BGl_symbol2642z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1101z00_1058))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1101z00_1058;
			}
		}
	}



/* &lambda1686 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1100z00_1056;

					BgL_new1100z00_1056 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1687z00_1057;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2275z00_2394;

							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL_classz00_2391;

								BgL_classz00_2391 = BGl_ev_setglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 78 */
									obj_t BgL_vectorz00_2392;
									int BgL_kz00_2393;

									BgL_vectorz00_2392 = BgL_classz00_2391;
									BgL_kz00_2393 = (int) (((long) 1));
									BgL_res2275z00_2394 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2392, BgL_kz00_2393));
							}}
							BgL_arg1687z00_1057 = BgL_res2275z00_2394;
						}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_objz00_2395;

							BgL_objz00_2395 = ((BgL_objectz00_bglt) BgL_new1100z00_1056);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2395, BgL_arg1687z00_1057);
					}}
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_auxz00_4841;

						BgL_auxz00_4841 = ((BgL_objectz00_bglt) BgL_new1100z00_1056);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4841, BFALSE);
					}
					return BgL_new1100z00_1056;
				}
			}
		}
	}



/* &lambda1684 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3496, obj_t BgL_e1096z00_3497, obj_t BgL_loc1097z00_3498,
		obj_t BgL_name1098z00_3499, obj_t BgL_mod1099z00_3500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_exprz00_bglt BgL_e1096z00_1047;
				obj_t BgL_loc1097z00_1048;
				obj_t BgL_name1098z00_1049;
				obj_t BgL_mod1099z00_1050;

				BgL_e1096z00_1047 = ((BgL_ev_exprz00_bglt) BgL_e1096z00_3497);
				BgL_loc1097z00_1048 = BgL_loc1097z00_3498;
				BgL_name1098z00_1049 = BgL_name1098z00_3499;
				BgL_mod1099z00_1050 = BgL_mod1099z00_3500;
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1242z00_2382;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_new1241z00_2383;

						BgL_new1241z00_2383 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 78 */
							long BgL_arg1685z00_2384;

							{	/* Eval/evaluate_types.scm 78 */
								long BgL_res2274z00_2388;

								{	/* Eval/evaluate_types.scm 78 */
									obj_t BgL_classz00_2385;

									BgL_classz00_2385 = BGl_ev_setglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 78 */
										obj_t BgL_vectorz00_2386;
										int BgL_kz00_2387;

										BgL_vectorz00_2386 = BgL_classz00_2385;
										BgL_kz00_2387 = (int) (((long) 1));
										BgL_res2274z00_2388 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2386,
												BgL_kz00_2387));
								}}
								BgL_arg1685z00_2384 = BgL_res2274z00_2388;
							}
							{	/* Eval/evaluate_types.scm 78 */
								BgL_objectz00_bglt BgL_objz00_2389;

								BgL_objz00_2389 = ((BgL_objectz00_bglt) BgL_new1241z00_2383);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2389, BgL_arg1685z00_2384);
						}}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_4850;

							BgL_auxz00_4850 = ((BgL_objectz00_bglt) BgL_new1241z00_2383);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4850, BFALSE);
						}
						BgL_new1242z00_2382 = BgL_new1241z00_2383;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1242z00_2382)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1096z00_1047), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2382))->
							BgL_locz00) = ((obj_t) BgL_loc1097z00_1048), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2382))->
							BgL_namez00) = ((obj_t) BgL_name1098z00_1049), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2382))->
							BgL_modz00) = ((obj_t) BgL_mod1099z00_1050), BUNSPEC);
					return BgL_new1242z00_2382;
				}
			}
		}
	}



/* &lambda1703 */
	obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t BgL_envz00_3501,
		obj_t BgL_oz00_3502, obj_t BgL_vz00_3503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3764;

				BgL_oz00_3764 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3502);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3764))->BgL_locz00) =
					((obj_t) BgL_vz00_3503), BUNSPEC);
			}
		}
	}



/* &lambda1702 */
	obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3504,
		obj_t BgL_oz00_3505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3505)))->BgL_locz00);
		}
	}



/* &lambda1698 */
	obj_t BGl_z62lambda1698z62zz__evaluate_typesz00(obj_t BgL_envz00_3506,
		obj_t BgL_oz00_3507, obj_t BgL_vz00_3508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3767;
				obj_t BgL_vz00_3768;

				BgL_oz00_3767 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3507);
				BgL_vz00_3768 = BgL_vz00_3508;
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3767))->BgL_namez00) =
					((obj_t) BgL_vz00_3768), BUNSPEC);
			}
		}
	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t BgL_envz00_3509,
		obj_t BgL_oz00_3510)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3510)))->BgL_namez00);
		}
	}



/* &lambda1693 */
	obj_t BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t BgL_envz00_3511,
		obj_t BgL_oz00_3512, obj_t BgL_vz00_3513)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3770;

				BgL_oz00_3770 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3512);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3770))->BgL_modz00) =
					((obj_t) BgL_vz00_3513), BUNSPEC);
			}
		}
	}



/* &lambda1692 */
	obj_t BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t BgL_envz00_3514,
		obj_t BgL_oz00_3515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3515)))->BgL_modz00);
		}
	}



/* &<anonymous:1673> */
	BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31673ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3516,
		obj_t BgL_new1094z00_3517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1094z00_1023;

				BgL_new1094z00_1023 = ((BgL_ev_setlocalz00_bglt) BgL_new1094z00_3517);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4871;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2359;

						BgL_classz00_2359 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1364z00_2360;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_vectorz00_2361;
								int BgL_kz00_2362;

								BgL_vectorz00_2361 = BgL_classz00_2359;
								BgL_kz00_2362 = (int) (((long) 17));
								BgL__ortest_1364z00_2360 =
									VECTOR_REF(BgL_vectorz00_2361, BgL_kz00_2362);
							}
							if (CBOOL(BgL__ortest_1364z00_2360))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4871 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2360);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4871 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2359));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1094z00_1023)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4871), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_4881;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2363;

						BgL_classz00_2363 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1364z00_2364;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_vectorz00_2365;
								int BgL_kz00_2366;

								BgL_vectorz00_2365 = BgL_classz00_2363;
								BgL_kz00_2366 = (int) (((long) 17));
								BgL__ortest_1364z00_2364 =
									VECTOR_REF(BgL_vectorz00_2365, BgL_kz00_2366);
							}
							if (CBOOL(BgL__ortest_1364z00_2364))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4881 =
										((BgL_ev_varz00_bglt) BgL__ortest_1364z00_2364);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4881 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2363));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1094z00_1023))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4881), BUNSPEC);
				}
				return BgL_new1094z00_1023;
			}
		}
	}



/* &lambda1671 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1093z00_1021;

					BgL_new1093z00_1021 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1672z00_1022;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2273z00_2356;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_classz00_2353;

								BgL_classz00_2353 = BGl_ev_setlocalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_vectorz00_2354;
									int BgL_kz00_2355;

									BgL_vectorz00_2354 = BgL_classz00_2353;
									BgL_kz00_2355 = (int) (((long) 1));
									BgL_res2273z00_2356 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2354, BgL_kz00_2355));
							}}
							BgL_arg1672z00_1022 = BgL_res2273z00_2356;
						}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_objz00_2357;

							BgL_objz00_2357 = ((BgL_objectz00_bglt) BgL_new1093z00_1021);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2357, BgL_arg1672z00_1022);
					}}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_4897;

						BgL_auxz00_4897 = ((BgL_objectz00_bglt) BgL_new1093z00_1021);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4897, BFALSE);
					}
					return BgL_new1093z00_1021;
				}
			}
		}
	}



/* &lambda1669 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3519, obj_t BgL_e1090z00_3520, obj_t BgL_v1091z00_3521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_exprz00_bglt BgL_e1090z00_1014;
				BgL_ev_varz00_bglt BgL_v1091z00_1015;

				BgL_e1090z00_1014 = ((BgL_ev_exprz00_bglt) BgL_e1090z00_3520);
				BgL_v1091z00_1015 = ((BgL_ev_varz00_bglt) BgL_v1091z00_3521);
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1238z00_2344;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_new1237z00_2345;

						BgL_new1237z00_2345 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg1670z00_2346;

							{	/* Eval/evaluate_types.scm 76 */
								long BgL_res2272z00_2350;

								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_classz00_2347;

									BgL_classz00_2347 = BGl_ev_setlocalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 76 */
										obj_t BgL_vectorz00_2348;
										int BgL_kz00_2349;

										BgL_vectorz00_2348 = BgL_classz00_2347;
										BgL_kz00_2349 = (int) (((long) 1));
										BgL_res2272z00_2350 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2348,
												BgL_kz00_2349));
								}}
								BgL_arg1670z00_2346 = BgL_res2272z00_2350;
							}
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_objz00_2351;

								BgL_objz00_2351 = ((BgL_objectz00_bglt) BgL_new1237z00_2345);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2351, BgL_arg1670z00_2346);
						}}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_4906;

							BgL_auxz00_4906 = ((BgL_objectz00_bglt) BgL_new1237z00_2345);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4906, BFALSE);
						}
						BgL_new1238z00_2344 = BgL_new1237z00_2345;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1238z00_2344)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1090z00_1014), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1238z00_2344))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v1091z00_1015), BUNSPEC);
					return BgL_new1238z00_2344;
				}
			}
		}
	}



/* &lambda1678 */
	obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_1032;
				BgL_ev_varz00_bglt BgL_vz00_1033;

				BgL_oz00_1032 = ((BgL_ev_setlocalz00_bglt) BgL_oz00_3523);
				BgL_vz00_1033 = ((BgL_ev_varz00_bglt) BgL_vz00_3524);
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_1032))->BgL_vz00) =
					((BgL_ev_varz00_bglt) (((BgL_ev_setlocalz00_bglt)
								CREF(BgL_oz00_1032))->BgL_vz00)), BUNSPEC);
			}
		}
	}



/* &lambda1677 */
	BgL_ev_varz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3525, obj_t BgL_oz00_3526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3526)))->BgL_vz00);
		}
	}



/* &<anonymous:1663> */
	BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31663ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3527,
		obj_t BgL_new1088z00_3528)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1088z00_1002;

				BgL_new1088z00_1002 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3528);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4920;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_2335;

						BgL_classz00_2335 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1364z00_2336;

							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL_vectorz00_2337;
								int BgL_kz00_2338;

								BgL_vectorz00_2337 = BgL_classz00_2335;
								BgL_kz00_2338 = (int) (((long) 17));
								BgL__ortest_1364z00_2336 =
									VECTOR_REF(BgL_vectorz00_2337, BgL_kz00_2338);
							}
							if (CBOOL(BgL__ortest_1364z00_2336))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4920 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2336);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4920 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2335));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1088z00_1002)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4920), BUNSPEC);
				}
				return BgL_new1088z00_1002;
			}
		}
	}



/* &lambda1661 */
	BgL_ev_trapz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1087z00_1000;

					BgL_new1087z00_1000 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1662z00_1001;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2271z00_2332;

							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL_classz00_2329;

								BgL_classz00_2329 = BGl_ev_trapz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 75 */
									obj_t BgL_vectorz00_2330;
									int BgL_kz00_2331;

									BgL_vectorz00_2330 = BgL_classz00_2329;
									BgL_kz00_2331 = (int) (((long) 1));
									BgL_res2271z00_2332 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2330, BgL_kz00_2331));
							}}
							BgL_arg1662z00_1001 = BgL_res2271z00_2332;
						}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_objz00_2333;

							BgL_objz00_2333 = ((BgL_objectz00_bglt) BgL_new1087z00_1000);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2333, BgL_arg1662z00_1001);
					}}
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_4937;

						BgL_auxz00_4937 = ((BgL_objectz00_bglt) BgL_new1087z00_1000);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4937, BFALSE);
					}
					return BgL_new1087z00_1000;
				}
			}
		}
	}



/* &lambda1659 */
	BgL_ev_trapz00_bglt BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3530, obj_t BgL_e1086z00_3531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_exprz00_bglt BgL_e1086z00_994;

				BgL_e1086z00_994 = ((BgL_ev_exprz00_bglt) BgL_e1086z00_3531);
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1236z00_2320;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_new1235z00_2321;

						BgL_new1235z00_2321 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 75 */
							long BgL_arg1660z00_2322;

							{	/* Eval/evaluate_types.scm 75 */
								long BgL_res2270z00_2326;

								{	/* Eval/evaluate_types.scm 75 */
									obj_t BgL_classz00_2323;

									BgL_classz00_2323 = BGl_ev_trapz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 75 */
										obj_t BgL_vectorz00_2324;
										int BgL_kz00_2325;

										BgL_vectorz00_2324 = BgL_classz00_2323;
										BgL_kz00_2325 = (int) (((long) 1));
										BgL_res2270z00_2326 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2324,
												BgL_kz00_2325));
								}}
								BgL_arg1660z00_2322 = BgL_res2270z00_2326;
							}
							{	/* Eval/evaluate_types.scm 75 */
								BgL_objectz00_bglt BgL_objz00_2327;

								BgL_objz00_2327 = ((BgL_objectz00_bglt) BgL_new1235z00_2321);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2327, BgL_arg1660z00_2322);
						}}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_4946;

							BgL_auxz00_4946 = ((BgL_objectz00_bglt) BgL_new1235z00_2321);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4946, BFALSE);
						}
						BgL_new1236z00_2320 = BgL_new1235z00_2321;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1236z00_2320)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1086z00_994), BUNSPEC);
					return BgL_new1236z00_2320;
				}
			}
		}
	}



/* &<anonymous:1647> */
	BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31647ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3532,
		obj_t BgL_new1084z00_3533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1084z00_970;

				BgL_new1084z00_970 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3533);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4952;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_2316;

						BgL_classz00_2316 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1364z00_2317;

							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL_vectorz00_2318;
								int BgL_kz00_2319;

								BgL_vectorz00_2318 = BgL_classz00_2316;
								BgL_kz00_2319 = (int) (((long) 17));
								BgL__ortest_1364z00_2317 =
									VECTOR_REF(BgL_vectorz00_2318, BgL_kz00_2319);
							}
							if (CBOOL(BgL__ortest_1364z00_2317))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4952 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2317);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4952 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2316));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1084z00_970))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4952), BUNSPEC);
				}
				return BgL_new1084z00_970;
			}
		}
	}



/* &lambda1645 */
	BgL_ev_hookz00_bglt BGl_z62lambda1645z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1083z00_968;

					BgL_new1083z00_968 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1646z00_969;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2269z00_2313;

							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL_classz00_2310;

								BgL_classz00_2310 = BGl_ev_hookz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 73 */
									obj_t BgL_vectorz00_2311;
									int BgL_kz00_2312;

									BgL_vectorz00_2311 = BgL_classz00_2310;
									BgL_kz00_2312 = (int) (((long) 1));
									BgL_res2269z00_2313 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2311, BgL_kz00_2312));
							}}
							BgL_arg1646z00_969 = BgL_res2269z00_2313;
						}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_objz00_2314;

							BgL_objz00_2314 = ((BgL_objectz00_bglt) BgL_new1083z00_968);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2314, BgL_arg1646z00_969);
					}}
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_4968;

						BgL_auxz00_4968 = ((BgL_objectz00_bglt) BgL_new1083z00_968);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4968, BFALSE);
					}
					return BgL_new1083z00_968;
				}
			}
		}
	}



/* &lambda1643 */
	BgL_ev_hookz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3535, obj_t BgL_e1082z00_3536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_exprz00_bglt BgL_e1082z00_962;

				BgL_e1082z00_962 = ((BgL_ev_exprz00_bglt) BgL_e1082z00_3536);
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1232z00_2301;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_new1231z00_2302;

						BgL_new1231z00_2302 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 73 */
							long BgL_arg1644z00_2303;

							{	/* Eval/evaluate_types.scm 73 */
								long BgL_res2268z00_2307;

								{	/* Eval/evaluate_types.scm 73 */
									obj_t BgL_classz00_2304;

									BgL_classz00_2304 = BGl_ev_hookz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 73 */
										obj_t BgL_vectorz00_2305;
										int BgL_kz00_2306;

										BgL_vectorz00_2305 = BgL_classz00_2304;
										BgL_kz00_2306 = (int) (((long) 1));
										BgL_res2268z00_2307 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2305,
												BgL_kz00_2306));
								}}
								BgL_arg1644z00_2303 = BgL_res2268z00_2307;
							}
							{	/* Eval/evaluate_types.scm 73 */
								BgL_objectz00_bglt BgL_objz00_2308;

								BgL_objz00_2308 = ((BgL_objectz00_bglt) BgL_new1231z00_2302);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2308, BgL_arg1644z00_2303);
						}}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_4977;

							BgL_auxz00_4977 = ((BgL_objectz00_bglt) BgL_new1231z00_2302);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4977, BFALSE);
						}
						BgL_new1232z00_2301 = BgL_new1231z00_2302;
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1232z00_2301))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1082z00_962), BUNSPEC);
					return BgL_new1232z00_2301;
				}
			}
		}
	}



/* &lambda1652 */
	obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t BgL_envz00_3537,
		obj_t BgL_oz00_3538, obj_t BgL_vz00_3539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_oz00_3774;
				BgL_ev_exprz00_bglt BgL_vz00_3775;

				BgL_oz00_3774 = ((BgL_ev_hookz00_bglt) BgL_oz00_3538);
				BgL_vz00_3775 = ((BgL_ev_exprz00_bglt) BgL_vz00_3539);
				return
					((((BgL_ev_hookz00_bglt) CREF(BgL_oz00_3774))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3775), BUNSPEC);
			}
		}
	}



/* &lambda1651 */
	BgL_ev_exprz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3540, obj_t BgL_oz00_3541)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3541)))->BgL_ez00);
		}
	}



/* &<anonymous:1627> */
	BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31627ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3542,
		obj_t BgL_new1080z00_3543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1080z00_926;

				BgL_new1080z00_926 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3543);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4987;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2288;

						BgL_classz00_2288 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1364z00_2289;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_vectorz00_2290;
								int BgL_kz00_2291;

								BgL_vectorz00_2290 = BgL_classz00_2288;
								BgL_kz00_2291 = (int) (((long) 17));
								BgL__ortest_1364z00_2289 =
									VECTOR_REF(BgL_vectorz00_2290, BgL_kz00_2291);
							}
							if (CBOOL(BgL__ortest_1364z00_2289))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4987 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2289);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4987 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2288));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1080z00_926))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4987), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4996;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2292;

						BgL_classz00_2292 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1364z00_2293;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_vectorz00_2294;
								int BgL_kz00_2295;

								BgL_vectorz00_2294 = BgL_classz00_2292;
								BgL_kz00_2295 = (int) (((long) 17));
								BgL__ortest_1364z00_2293 =
									VECTOR_REF(BgL_vectorz00_2294, BgL_kz00_2295);
							}
							if (CBOOL(BgL__ortest_1364z00_2293))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4996 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2293);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4996 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2292));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1080z00_926))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4996), BUNSPEC);
				}
				return BgL_new1080z00_926;
			}
		}
	}



/* &lambda1625 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1079z00_924;

					BgL_new1079z00_924 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1626z00_925;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2267z00_2285;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_classz00_2282;

								BgL_classz00_2282 = BGl_ev_prog2z00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_vectorz00_2283;
									int BgL_kz00_2284;

									BgL_vectorz00_2283 = BgL_classz00_2282;
									BgL_kz00_2284 = (int) (((long) 1));
									BgL_res2267z00_2285 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2283, BgL_kz00_2284));
							}}
							BgL_arg1626z00_925 = BgL_res2267z00_2285;
						}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_objz00_2286;

							BgL_objz00_2286 = ((BgL_objectz00_bglt) BgL_new1079z00_924);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2286, BgL_arg1626z00_925);
					}}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_5012;

						BgL_auxz00_5012 = ((BgL_objectz00_bglt) BgL_new1079z00_924);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5012, BFALSE);
					}
					return BgL_new1079z00_924;
				}
			}
		}
	}



/* &lambda1623 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3545, obj_t BgL_e11077z00_3546, obj_t BgL_e21078z00_3547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_exprz00_bglt BgL_e11077z00_917;
				BgL_ev_exprz00_bglt BgL_e21078z00_918;

				BgL_e11077z00_917 = ((BgL_ev_exprz00_bglt) BgL_e11077z00_3546);
				BgL_e21078z00_918 = ((BgL_ev_exprz00_bglt) BgL_e21078z00_3547);
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1226z00_2273;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_new1225z00_2274;

						BgL_new1225z00_2274 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg1624z00_2275;

							{	/* Eval/evaluate_types.scm 70 */
								long BgL_res2266z00_2279;

								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_classz00_2276;

									BgL_classz00_2276 = BGl_ev_prog2z00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 70 */
										obj_t BgL_vectorz00_2277;
										int BgL_kz00_2278;

										BgL_vectorz00_2277 = BgL_classz00_2276;
										BgL_kz00_2278 = (int) (((long) 1));
										BgL_res2266z00_2279 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2277,
												BgL_kz00_2278));
								}}
								BgL_arg1624z00_2275 = BgL_res2266z00_2279;
							}
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_objz00_2280;

								BgL_objz00_2280 = ((BgL_objectz00_bglt) BgL_new1225z00_2274);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2280, BgL_arg1624z00_2275);
						}}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_5021;

							BgL_auxz00_5021 = ((BgL_objectz00_bglt) BgL_new1225z00_2274);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5021, BFALSE);
						}
						BgL_new1226z00_2273 = BgL_new1225z00_2274;
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1226z00_2273))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e11077z00_917), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1226z00_2273))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_e21078z00_918), BUNSPEC);
					return BgL_new1226z00_2273;
				}
			}
		}
	}



/* &lambda1637 */
	obj_t BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t BgL_envz00_3548,
		obj_t BgL_oz00_3549, obj_t BgL_vz00_3550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3777;
				BgL_ev_exprz00_bglt BgL_vz00_3778;

				BgL_oz00_3777 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3549);
				BgL_vz00_3778 = ((BgL_ev_exprz00_bglt) BgL_vz00_3550);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3777))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3778), BUNSPEC);
			}
		}
	}



/* &lambda1636 */
	BgL_ev_exprz00_bglt BGl_z62lambda1636z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3551, obj_t BgL_oz00_3552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3552)))->BgL_e1z00);
		}
	}



/* &lambda1632 */
	obj_t BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t BgL_envz00_3553,
		obj_t BgL_oz00_3554, obj_t BgL_vz00_3555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3780;
				BgL_ev_exprz00_bglt BgL_vz00_3781;

				BgL_oz00_3780 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3554);
				BgL_vz00_3781 = ((BgL_ev_exprz00_bglt) BgL_vz00_3555);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3780))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3781), BUNSPEC);
			}
		}
	}



/* &lambda1631 */
	BgL_ev_exprz00_bglt BGl_z62lambda1631z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3556, obj_t BgL_oz00_3557)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3557)))->BgL_e2z00);
		}
	}



/* &<anonymous:1617> */
	BgL_ev_andz00_bglt BGl_z62zc3anonymousza31617ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3558, obj_t BgL_new1075z00_3559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1075z00_905;

				BgL_new1075z00_905 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3559);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1075z00_905)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1075z00_905;
			}
		}
	}



/* &lambda1615 */
	BgL_ev_andz00_bglt BGl_z62lambda1615z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3560)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1073z00_903;

					BgL_new1073z00_903 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1616z00_904;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2265z00_2260;

							{	/* Eval/evaluate_types.scm 69 */
								obj_t BgL_classz00_2257;

								BgL_classz00_2257 = BGl_ev_andz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_vectorz00_2258;
									int BgL_kz00_2259;

									BgL_vectorz00_2258 = BgL_classz00_2257;
									BgL_kz00_2259 = (int) (((long) 1));
									BgL_res2265z00_2260 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2258, BgL_kz00_2259));
							}}
							BgL_arg1616z00_904 = BgL_res2265z00_2260;
						}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_objz00_2261;

							BgL_objz00_2261 = ((BgL_objectz00_bglt) BgL_new1073z00_903);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2261, BgL_arg1616z00_904);
					}}
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_5047;

						BgL_auxz00_5047 = ((BgL_objectz00_bglt) BgL_new1073z00_903);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5047, BFALSE);
					}
					return BgL_new1073z00_903;
				}
			}
		}
	}



/* &lambda1613 */
	BgL_ev_andz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3561, obj_t BgL_args1072z00_3562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				obj_t BgL_args1072z00_897;

				BgL_args1072z00_897 = BgL_args1072z00_3562;
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1224z00_2248;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_new1223z00_2249;

						BgL_new1223z00_2249 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg1614z00_2250;

							{	/* Eval/evaluate_types.scm 69 */
								long BgL_res2264z00_2254;

								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_classz00_2251;

									BgL_classz00_2251 = BGl_ev_andz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 69 */
										obj_t BgL_vectorz00_2252;
										int BgL_kz00_2253;

										BgL_vectorz00_2252 = BgL_classz00_2251;
										BgL_kz00_2253 = (int) (((long) 1));
										BgL_res2264z00_2254 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2252,
												BgL_kz00_2253));
								}}
								BgL_arg1614z00_2250 = BgL_res2264z00_2254;
							}
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_objz00_2255;

								BgL_objz00_2255 = ((BgL_objectz00_bglt) BgL_new1223z00_2249);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2255, BgL_arg1614z00_2250);
						}}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_5056;

							BgL_auxz00_5056 = ((BgL_objectz00_bglt) BgL_new1223z00_2249);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5056, BFALSE);
						}
						BgL_new1224z00_2248 = BgL_new1223z00_2249;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1224z00_2248)))->BgL_argsz00) =
						((obj_t) BgL_args1072z00_897), BUNSPEC);
					return BgL_new1224z00_2248;
				}
			}
		}
	}



/* &<anonymous:1607> */
	BgL_ev_orz00_bglt BGl_z62zc3anonymousza31607ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3563, obj_t BgL_new1070z00_3564)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_885;

				BgL_new1070z00_885 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3564);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1070z00_885)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_885;
			}
		}
	}



/* &lambda1605 */
	BgL_ev_orz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1069z00_883;

					BgL_new1069z00_883 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1606z00_884;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2263z00_2245;

							{	/* Eval/evaluate_types.scm 68 */
								obj_t BgL_classz00_2242;

								BgL_classz00_2242 = BGl_ev_orz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 68 */
									obj_t BgL_vectorz00_2243;
									int BgL_kz00_2244;

									BgL_vectorz00_2243 = BgL_classz00_2242;
									BgL_kz00_2244 = (int) (((long) 1));
									BgL_res2263z00_2245 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2243, BgL_kz00_2244));
							}}
							BgL_arg1606z00_884 = BgL_res2263z00_2245;
						}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_objz00_2246;

							BgL_objz00_2246 = ((BgL_objectz00_bglt) BgL_new1069z00_883);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2246, BgL_arg1606z00_884);
					}}
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_auxz00_5070;

						BgL_auxz00_5070 = ((BgL_objectz00_bglt) BgL_new1069z00_883);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5070, BFALSE);
					}
					return BgL_new1069z00_883;
				}
			}
		}
	}



/* &lambda1603 */
	BgL_ev_orz00_bglt BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3566, obj_t BgL_args1068z00_3567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				obj_t BgL_args1068z00_877;

				BgL_args1068z00_877 = BgL_args1068z00_3567;
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1222z00_2233;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_new1221z00_2234;

						BgL_new1221z00_2234 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 68 */
							long BgL_arg1604z00_2235;

							{	/* Eval/evaluate_types.scm 68 */
								long BgL_res2262z00_2239;

								{	/* Eval/evaluate_types.scm 68 */
									obj_t BgL_classz00_2236;

									BgL_classz00_2236 = BGl_ev_orz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 68 */
										obj_t BgL_vectorz00_2237;
										int BgL_kz00_2238;

										BgL_vectorz00_2237 = BgL_classz00_2236;
										BgL_kz00_2238 = (int) (((long) 1));
										BgL_res2262z00_2239 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2237,
												BgL_kz00_2238));
								}}
								BgL_arg1604z00_2235 = BgL_res2262z00_2239;
							}
							{	/* Eval/evaluate_types.scm 68 */
								BgL_objectz00_bglt BgL_objz00_2240;

								BgL_objz00_2240 = ((BgL_objectz00_bglt) BgL_new1221z00_2234);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2240, BgL_arg1604z00_2235);
						}}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_5079;

							BgL_auxz00_5079 = ((BgL_objectz00_bglt) BgL_new1221z00_2234);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5079, BFALSE);
						}
						BgL_new1222z00_2233 = BgL_new1221z00_2234;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1222z00_2233)))->BgL_argsz00) =
						((obj_t) BgL_args1068z00_877), BUNSPEC);
					return BgL_new1222z00_2233;
				}
			}
		}
	}



/* &<anonymous:1592> */
	BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31592ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3568,
		obj_t BgL_new1066z00_3569)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_853;

				BgL_new1066z00_853 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3569);
				((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_853))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1066z00_853;
			}
		}
	}



/* &lambda1590 */
	BgL_ev_listz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1065z00_851;

					BgL_new1065z00_851 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1591z00_852;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2261z00_2230;

							{	/* Eval/evaluate_types.scm 66 */
								obj_t BgL_classz00_2227;

								BgL_classz00_2227 = BGl_ev_listz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 66 */
									obj_t BgL_vectorz00_2228;
									int BgL_kz00_2229;

									BgL_vectorz00_2228 = BgL_classz00_2227;
									BgL_kz00_2229 = (int) (((long) 1));
									BgL_res2261z00_2230 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2228, BgL_kz00_2229));
							}}
							BgL_arg1591z00_852 = BgL_res2261z00_2230;
						}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_objz00_2231;

							BgL_objz00_2231 = ((BgL_objectz00_bglt) BgL_new1065z00_851);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2231, BgL_arg1591z00_852);
					}}
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_auxz00_5092;

						BgL_auxz00_5092 = ((BgL_objectz00_bglt) BgL_new1065z00_851);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5092, BFALSE);
					}
					return BgL_new1065z00_851;
				}
			}
		}
	}



/* &lambda1588 */
	BgL_ev_listz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3571, obj_t BgL_args1064z00_3572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				obj_t BgL_args1064z00_845;

				BgL_args1064z00_845 = BgL_args1064z00_3572;
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1218z00_2218;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_new1217z00_2219;

						BgL_new1217z00_2219 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 66 */
							long BgL_arg1589z00_2220;

							{	/* Eval/evaluate_types.scm 66 */
								long BgL_res2260z00_2224;

								{	/* Eval/evaluate_types.scm 66 */
									obj_t BgL_classz00_2221;

									BgL_classz00_2221 = BGl_ev_listz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 66 */
										obj_t BgL_vectorz00_2222;
										int BgL_kz00_2223;

										BgL_vectorz00_2222 = BgL_classz00_2221;
										BgL_kz00_2223 = (int) (((long) 1));
										BgL_res2260z00_2224 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2222,
												BgL_kz00_2223));
								}}
								BgL_arg1589z00_2220 = BgL_res2260z00_2224;
							}
							{	/* Eval/evaluate_types.scm 66 */
								BgL_objectz00_bglt BgL_objz00_2225;

								BgL_objz00_2225 = ((BgL_objectz00_bglt) BgL_new1217z00_2219);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2225, BgL_arg1589z00_2220);
						}}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_auxz00_5101;

							BgL_auxz00_5101 = ((BgL_objectz00_bglt) BgL_new1217z00_2219);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5101, BFALSE);
						}
						BgL_new1218z00_2218 = BgL_new1217z00_2219;
					}
					((((BgL_ev_listz00_bglt) CREF(BgL_new1218z00_2218))->BgL_argsz00) =
						((obj_t) BgL_args1064z00_845), BUNSPEC);
					return BgL_new1218z00_2218;
				}
			}
		}
	}



/* &lambda1597 */
	obj_t BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t BgL_envz00_3573,
		obj_t BgL_oz00_3574, obj_t BgL_vz00_3575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_oz00_3783;

				BgL_oz00_3783 = ((BgL_ev_listz00_bglt) BgL_oz00_3574);
				return
					((((BgL_ev_listz00_bglt) CREF(BgL_oz00_3783))->BgL_argsz00) =
					((obj_t) BgL_vz00_3575), BUNSPEC);
			}
		}
	}



/* &lambda1596 */
	obj_t BGl_z62lambda1596z62zz__evaluate_typesz00(obj_t BgL_envz00_3576,
		obj_t BgL_oz00_3577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3577)))->BgL_argsz00);
		}
	}



/* &<anonymous:1566> */
	BgL_ev_ifz00_bglt BGl_z62zc3anonymousza31566ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3578, obj_t BgL_new1062z00_3579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_797;

				BgL_new1062z00_797 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3579);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5109;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2201;

						BgL_classz00_2201 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1364z00_2202;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_vectorz00_2203;
								int BgL_kz00_2204;

								BgL_vectorz00_2203 = BgL_classz00_2201;
								BgL_kz00_2204 = (int) (((long) 17));
								BgL__ortest_1364z00_2202 =
									VECTOR_REF(BgL_vectorz00_2203, BgL_kz00_2204);
							}
							if (CBOOL(BgL__ortest_1364z00_2202))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5109 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2202);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5109 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2201));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5109), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5118;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2205;

						BgL_classz00_2205 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1364z00_2206;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_vectorz00_2207;
								int BgL_kz00_2208;

								BgL_vectorz00_2207 = BgL_classz00_2205;
								BgL_kz00_2208 = (int) (((long) 17));
								BgL__ortest_1364z00_2206 =
									VECTOR_REF(BgL_vectorz00_2207, BgL_kz00_2208);
							}
							if (CBOOL(BgL__ortest_1364z00_2206))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5118 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2206);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5118 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2205));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5118), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5127;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2209;

						BgL_classz00_2209 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1364z00_2210;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_vectorz00_2211;
								int BgL_kz00_2212;

								BgL_vectorz00_2211 = BgL_classz00_2209;
								BgL_kz00_2212 = (int) (((long) 17));
								BgL__ortest_1364z00_2210 =
									VECTOR_REF(BgL_vectorz00_2211, BgL_kz00_2212);
							}
							if (CBOOL(BgL__ortest_1364z00_2210))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5127 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1364z00_2210);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5127 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2209));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5127), BUNSPEC);
				}
				return BgL_new1062z00_797;
			}
		}
	}



/* &lambda1562 */
	BgL_ev_ifz00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1061z00_795;

					BgL_new1061z00_795 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1565z00_796;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2259z00_2198;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_classz00_2195;

								BgL_classz00_2195 = BGl_ev_ifz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 62 */
									obj_t BgL_vectorz00_2196;
									int BgL_kz00_2197;

									BgL_vectorz00_2196 = BgL_classz00_2195;
									BgL_kz00_2197 = (int) (((long) 1));
									BgL_res2259z00_2198 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2196, BgL_kz00_2197));
							}}
							BgL_arg1565z00_796 = BgL_res2259z00_2198;
						}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_objz00_2199;

							BgL_objz00_2199 = ((BgL_objectz00_bglt) BgL_new1061z00_795);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2199, BgL_arg1565z00_796);
					}}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_auxz00_5143;

						BgL_auxz00_5143 = ((BgL_objectz00_bglt) BgL_new1061z00_795);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5143, BFALSE);
					}
					return BgL_new1061z00_795;
				}
			}
		}
	}



/* &lambda1560 */
	BgL_ev_ifz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3581, obj_t BgL_p1058z00_3582, obj_t BgL_t1059z00_3583,
		obj_t BgL_e1060z00_3584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_p1058z00_787;
				BgL_ev_exprz00_bglt BgL_t1059z00_788;
				BgL_ev_exprz00_bglt BgL_e1060z00_789;

				BgL_p1058z00_787 = ((BgL_ev_exprz00_bglt) BgL_p1058z00_3582);
				BgL_t1059z00_788 = ((BgL_ev_exprz00_bglt) BgL_t1059z00_3583);
				BgL_e1060z00_789 = ((BgL_ev_exprz00_bglt) BgL_e1060z00_3584);
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1210z00_2186;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_new1209z00_2187;

						BgL_new1209z00_2187 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 62 */
							long BgL_arg1561z00_2188;

							{	/* Eval/evaluate_types.scm 62 */
								long BgL_res2258z00_2192;

								{	/* Eval/evaluate_types.scm 62 */
									obj_t BgL_classz00_2189;

									BgL_classz00_2189 = BGl_ev_ifz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 62 */
										obj_t BgL_vectorz00_2190;
										int BgL_kz00_2191;

										BgL_vectorz00_2190 = BgL_classz00_2189;
										BgL_kz00_2191 = (int) (((long) 1));
										BgL_res2258z00_2192 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2190,
												BgL_kz00_2191));
								}}
								BgL_arg1561z00_2188 = BgL_res2258z00_2192;
							}
							{	/* Eval/evaluate_types.scm 62 */
								BgL_objectz00_bglt BgL_objz00_2193;

								BgL_objz00_2193 = ((BgL_objectz00_bglt) BgL_new1209z00_2187);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2193, BgL_arg1561z00_2188);
						}}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_5152;

							BgL_auxz00_5152 = ((BgL_objectz00_bglt) BgL_new1209z00_2187);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5152, BFALSE);
						}
						BgL_new1210z00_2186 = BgL_new1209z00_2187;
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1210z00_2186))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1058z00_787), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1210z00_2186))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_t1059z00_788), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1210z00_2186))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1060z00_789), BUNSPEC);
					return BgL_new1210z00_2186;
				}
			}
		}
	}



/* &lambda1581 */
	obj_t BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t BgL_envz00_3585,
		obj_t BgL_oz00_3586, obj_t BgL_vz00_3587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3786;
				BgL_ev_exprz00_bglt BgL_vz00_3787;

				BgL_oz00_3786 = ((BgL_ev_ifz00_bglt) BgL_oz00_3586);
				BgL_vz00_3787 = ((BgL_ev_exprz00_bglt) BgL_vz00_3587);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3786))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3787), BUNSPEC);
			}
		}
	}



/* &lambda1580 */
	BgL_ev_exprz00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3588, obj_t BgL_oz00_3589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3589)))->BgL_pz00);
		}
	}



/* &lambda1576 */
	obj_t BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t BgL_envz00_3590,
		obj_t BgL_oz00_3591, obj_t BgL_vz00_3592)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3789;
				BgL_ev_exprz00_bglt BgL_vz00_3790;

				BgL_oz00_3789 = ((BgL_ev_ifz00_bglt) BgL_oz00_3591);
				BgL_vz00_3790 = ((BgL_ev_exprz00_bglt) BgL_vz00_3592);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3789))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3790), BUNSPEC);
			}
		}
	}



/* &lambda1575 */
	BgL_ev_exprz00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3593, obj_t BgL_oz00_3594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3594)))->BgL_tz00);
		}
	}



/* &lambda1571 */
	obj_t BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t BgL_envz00_3595,
		obj_t BgL_oz00_3596, obj_t BgL_vz00_3597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3792;
				BgL_ev_exprz00_bglt BgL_vz00_3793;

				BgL_oz00_3792 = ((BgL_ev_ifz00_bglt) BgL_oz00_3596);
				BgL_vz00_3793 = ((BgL_ev_exprz00_bglt) BgL_vz00_3597);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3792))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3793), BUNSPEC);
			}
		}
	}



/* &lambda1570 */
	BgL_ev_exprz00_bglt BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3598, obj_t BgL_oz00_3599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3599)))->BgL_ez00);
		}
	}



/* &<anonymous:1543> */
	BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31543ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3600,
		obj_t BgL_new1056z00_3601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_763;

				BgL_new1056z00_763 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3601);
				((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_763))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1056z00_763;
			}
		}
	}



/* &lambda1540 */
	BgL_ev_littz00_bglt BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3602)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1055z00_761;

					BgL_new1055z00_761 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1542z00_762;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2257z00_2168;

							{	/* Eval/evaluate_types.scm 60 */
								obj_t BgL_classz00_2165;

								BgL_classz00_2165 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 60 */
									obj_t BgL_vectorz00_2166;
									int BgL_kz00_2167;

									BgL_vectorz00_2166 = BgL_classz00_2165;
									BgL_kz00_2167 = (int) (((long) 1));
									BgL_res2257z00_2168 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2166, BgL_kz00_2167));
							}}
							BgL_arg1542z00_762 = BgL_res2257z00_2168;
						}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_objz00_2169;

							BgL_objz00_2169 = ((BgL_objectz00_bglt) BgL_new1055z00_761);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2169, BgL_arg1542z00_762);
					}}
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_auxz00_5184;

						BgL_auxz00_5184 = ((BgL_objectz00_bglt) BgL_new1055z00_761);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5184, BFALSE);
					}
					return BgL_new1055z00_761;
				}
			}
		}
	}



/* &lambda1538 */
	BgL_ev_littz00_bglt BGl_z62lambda1538z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3603, obj_t BgL_value1054z00_3604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				obj_t BgL_value1054z00_755;

				BgL_value1054z00_755 = BgL_value1054z00_3604;
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1206z00_2156;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_new1205z00_2157;

						BgL_new1205z00_2157 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 60 */
							long BgL_arg1539z00_2158;

							{	/* Eval/evaluate_types.scm 60 */
								long BgL_res2256z00_2162;

								{	/* Eval/evaluate_types.scm 60 */
									obj_t BgL_classz00_2159;

									BgL_classz00_2159 = BGl_ev_littz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 60 */
										obj_t BgL_vectorz00_2160;
										int BgL_kz00_2161;

										BgL_vectorz00_2160 = BgL_classz00_2159;
										BgL_kz00_2161 = (int) (((long) 1));
										BgL_res2256z00_2162 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2160,
												BgL_kz00_2161));
								}}
								BgL_arg1539z00_2158 = BgL_res2256z00_2162;
							}
							{	/* Eval/evaluate_types.scm 60 */
								BgL_objectz00_bglt BgL_objz00_2163;

								BgL_objz00_2163 = ((BgL_objectz00_bglt) BgL_new1205z00_2157);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2163, BgL_arg1539z00_2158);
						}}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_5193;

							BgL_auxz00_5193 = ((BgL_objectz00_bglt) BgL_new1205z00_2157);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5193, BFALSE);
						}
						BgL_new1206z00_2156 = BgL_new1205z00_2157;
					}
					((((BgL_ev_littz00_bglt) CREF(BgL_new1206z00_2156))->BgL_valuez00) =
						((obj_t) BgL_value1054z00_755), BUNSPEC);
					return BgL_new1206z00_2156;
				}
			}
		}
	}



/* &lambda1549 */
	obj_t BGl_z62lambda1549z62zz__evaluate_typesz00(obj_t BgL_envz00_3605,
		obj_t BgL_oz00_3606, obj_t BgL_vz00_3607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_oz00_3795;

				BgL_oz00_3795 = ((BgL_ev_littz00_bglt) BgL_oz00_3606);
				return
					((((BgL_ev_littz00_bglt) CREF(BgL_oz00_3795))->BgL_valuez00) =
					((obj_t) BgL_vz00_3607), BUNSPEC);
			}
		}
	}



/* &lambda1548 */
	obj_t BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t BgL_envz00_3608,
		obj_t BgL_oz00_3609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3609)))->BgL_valuez00);
		}
	}



/* &<anonymous:1510> */
	BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31510ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3610,
		obj_t BgL_new1052z00_3611)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_707;

				BgL_new1052z00_707 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3611);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_namez00) =
					((obj_t) BGl_symbol2642z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1052z00_707;
			}
		}
	}



/* &lambda1508 */
	BgL_ev_globalz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1051z00_705;

					BgL_new1051z00_705 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1509z00_706;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2255z00_2148;

							{	/* Eval/evaluate_types.scm 55 */
								obj_t BgL_classz00_2145;

								BgL_classz00_2145 = BGl_ev_globalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 55 */
									obj_t BgL_vectorz00_2146;
									int BgL_kz00_2147;

									BgL_vectorz00_2146 = BgL_classz00_2145;
									BgL_kz00_2147 = (int) (((long) 1));
									BgL_res2255z00_2148 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2146, BgL_kz00_2147));
							}}
							BgL_arg1509z00_706 = BgL_res2255z00_2148;
						}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_objz00_2149;

							BgL_objz00_2149 = ((BgL_objectz00_bglt) BgL_new1051z00_705);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2149, BgL_arg1509z00_706);
					}}
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_auxz00_5211;

						BgL_auxz00_5211 = ((BgL_objectz00_bglt) BgL_new1051z00_705);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5211, BFALSE);
					}
					return BgL_new1051z00_705;
				}
			}
		}
	}



/* &lambda1506 */
	BgL_ev_globalz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3613, obj_t BgL_loc1048z00_3614, obj_t BgL_name1049z00_3615,
		obj_t BgL_mod1050z00_3616)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				obj_t BgL_loc1048z00_697;
				obj_t BgL_name1049z00_698;
				obj_t BgL_mod1050z00_699;

				BgL_loc1048z00_697 = BgL_loc1048z00_3614;
				BgL_name1049z00_698 = BgL_name1049z00_3615;
				BgL_mod1050z00_699 = BgL_mod1050z00_3616;
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1198z00_2136;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_new1197z00_2137;

						BgL_new1197z00_2137 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 55 */
							long BgL_arg1507z00_2138;

							{	/* Eval/evaluate_types.scm 55 */
								long BgL_res2254z00_2142;

								{	/* Eval/evaluate_types.scm 55 */
									obj_t BgL_classz00_2139;

									BgL_classz00_2139 = BGl_ev_globalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 55 */
										obj_t BgL_vectorz00_2140;
										int BgL_kz00_2141;

										BgL_vectorz00_2140 = BgL_classz00_2139;
										BgL_kz00_2141 = (int) (((long) 1));
										BgL_res2254z00_2142 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2140,
												BgL_kz00_2141));
								}}
								BgL_arg1507z00_2138 = BgL_res2254z00_2142;
							}
							{	/* Eval/evaluate_types.scm 55 */
								BgL_objectz00_bglt BgL_objz00_2143;

								BgL_objz00_2143 = ((BgL_objectz00_bglt) BgL_new1197z00_2137);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2143, BgL_arg1507z00_2138);
						}}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_auxz00_5220;

							BgL_auxz00_5220 = ((BgL_objectz00_bglt) BgL_new1197z00_2137);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5220, BFALSE);
						}
						BgL_new1198z00_2136 = BgL_new1197z00_2137;
					}
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_2136))->BgL_locz00) =
						((obj_t) BgL_loc1048z00_697), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_2136))->BgL_namez00) =
						((obj_t) BgL_name1049z00_698), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1198z00_2136))->BgL_modz00) =
						((obj_t) BgL_mod1050z00_699), BUNSPEC);
					return BgL_new1198z00_2136;
				}
			}
		}
	}



/* &lambda1529 */
	obj_t BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t BgL_envz00_3617,
		obj_t BgL_oz00_3618, obj_t BgL_vz00_3619)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3798;

				BgL_oz00_3798 = ((BgL_ev_globalz00_bglt) BgL_oz00_3618);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3798))->BgL_locz00) =
					((obj_t) BgL_vz00_3619), BUNSPEC);
			}
		}
	}



/* &lambda1528 */
	obj_t BGl_z62lambda1528z62zz__evaluate_typesz00(obj_t BgL_envz00_3620,
		obj_t BgL_oz00_3621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3621)))->BgL_locz00);
		}
	}



/* &lambda1524 */
	obj_t BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t BgL_envz00_3622,
		obj_t BgL_oz00_3623, obj_t BgL_vz00_3624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3801;
				obj_t BgL_vz00_3802;

				BgL_oz00_3801 = ((BgL_ev_globalz00_bglt) BgL_oz00_3623);
				BgL_vz00_3802 = BgL_vz00_3624;
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3801))->BgL_namez00) =
					((obj_t) BgL_vz00_3802), BUNSPEC);
			}
		}
	}



/* &lambda1523 */
	obj_t BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t BgL_envz00_3625,
		obj_t BgL_oz00_3626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3626)))->BgL_namez00);
		}
	}



/* &lambda1519 */
	obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3627,
		obj_t BgL_oz00_3628, obj_t BgL_vz00_3629)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3804;

				BgL_oz00_3804 = ((BgL_ev_globalz00_bglt) BgL_oz00_3628);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3804))->BgL_modz00) =
					((obj_t) BgL_vz00_3629), BUNSPEC);
			}
		}
	}



/* &lambda1518 */
	obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3631)))->BgL_modz00);
		}
	}



/* &<anonymous:1483> */
	BgL_ev_varz00_bglt BGl_z62zc3anonymousza31483ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3632, obj_t BgL_new1046z00_3633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_646;

				BgL_new1046z00_646 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3633);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_namez00) =
					((obj_t) BGl_symbol2642z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1046z00_646;
			}
		}
	}



/* &lambda1480 */
	BgL_ev_varz00_bglt BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3634)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1045z00_644;

					BgL_new1045z00_644 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1482z00_645;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2253z00_2118;

							{	/* Eval/evaluate_types.scm 51 */
								obj_t BgL_classz00_2115;

								BgL_classz00_2115 = BGl_ev_varz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 51 */
									obj_t BgL_vectorz00_2116;
									int BgL_kz00_2117;

									BgL_vectorz00_2116 = BgL_classz00_2115;
									BgL_kz00_2117 = (int) (((long) 1));
									BgL_res2253z00_2118 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2116, BgL_kz00_2117));
							}}
							BgL_arg1482z00_645 = BgL_res2253z00_2118;
						}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_objz00_2119;

							BgL_objz00_2119 = ((BgL_objectz00_bglt) BgL_new1045z00_644);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2119, BgL_arg1482z00_645);
					}}
					{	/* Eval/evaluate_types.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_5248;

						BgL_auxz00_5248 = ((BgL_objectz00_bglt) BgL_new1045z00_644);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5248, BFALSE);
					}
					return BgL_new1045z00_644;
				}
			}
		}
	}



/* &lambda1478 */
	BgL_ev_varz00_bglt BGl_z62lambda1478z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3635, obj_t BgL_name1042z00_3636, obj_t BgL_eff1043z00_3637,
		obj_t BgL_type1044z00_3638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				obj_t BgL_name1042z00_636;
				obj_t BgL_eff1043z00_637;
				obj_t BgL_type1044z00_638;

				BgL_name1042z00_636 = BgL_name1042z00_3636;
				BgL_eff1043z00_637 = BgL_eff1043z00_3637;
				BgL_type1044z00_638 = BgL_type1044z00_3638;
				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1190z00_2106;

					{	/* Eval/evaluate_types.scm 51 */
						BgL_ev_varz00_bglt BgL_new1189z00_2107;

						BgL_new1189z00_2107 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 51 */
							long BgL_arg1479z00_2108;

							{	/* Eval/evaluate_types.scm 51 */
								long BgL_res2252z00_2112;

								{	/* Eval/evaluate_types.scm 51 */
									obj_t BgL_classz00_2109;

									BgL_classz00_2109 = BGl_ev_varz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 51 */
										obj_t BgL_vectorz00_2110;
										int BgL_kz00_2111;

										BgL_vectorz00_2110 = BgL_classz00_2109;
										BgL_kz00_2111 = (int) (((long) 1));
										BgL_res2252z00_2112 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2110,
												BgL_kz00_2111));
								}}
								BgL_arg1479z00_2108 = BgL_res2252z00_2112;
							}
							{	/* Eval/evaluate_types.scm 51 */
								BgL_objectz00_bglt BgL_objz00_2113;

								BgL_objz00_2113 = ((BgL_objectz00_bglt) BgL_new1189z00_2107);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2113, BgL_arg1479z00_2108);
						}}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_5257;

							BgL_auxz00_5257 = ((BgL_objectz00_bglt) BgL_new1189z00_2107);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5257, BFALSE);
						}
						BgL_new1190z00_2106 = BgL_new1189z00_2107;
					}
					((((BgL_ev_varz00_bglt) CREF(BgL_new1190z00_2106))->BgL_namez00) =
						((obj_t) BgL_name1042z00_636), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1190z00_2106))->BgL_effz00) =
						((obj_t) BgL_eff1043z00_637), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1190z00_2106))->BgL_typez00) =
						((obj_t) BgL_type1044z00_638), BUNSPEC);
					return BgL_new1190z00_2106;
				}
			}
		}
	}



/* &lambda1500 */
	obj_t BGl_z62lambda1500z62zz__evaluate_typesz00(obj_t BgL_envz00_3639,
		obj_t BgL_oz00_3640, obj_t BgL_vz00_3641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3807;
				obj_t BgL_vz00_3808;

				BgL_oz00_3807 = ((BgL_ev_varz00_bglt) BgL_oz00_3640);
				BgL_vz00_3808 = BgL_vz00_3641;
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3807))->BgL_namez00) =
					((obj_t) BgL_vz00_3808), BUNSPEC);
			}
		}
	}



/* &lambda1499 */
	obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3642,
		obj_t BgL_oz00_3643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3643)))->BgL_namez00);
		}
	}



/* &<anonymous:1495> */
	obj_t BGl_z62zc3anonymousza31495ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1494 */
	obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t BgL_envz00_3645,
		obj_t BgL_oz00_3646, obj_t BgL_vz00_3647)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3810;

				BgL_oz00_3810 = ((BgL_ev_varz00_bglt) BgL_oz00_3646);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3810))->BgL_effz00) =
					((obj_t) BgL_vz00_3647), BUNSPEC);
			}
		}
	}



/* &lambda1493 */
	obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3648,
		obj_t BgL_oz00_3649)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3649)))->BgL_effz00);
		}
	}



/* &lambda1488 */
	obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t BgL_envz00_3650,
		obj_t BgL_oz00_3651, obj_t BgL_vz00_3652)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3813;

				BgL_oz00_3813 = ((BgL_ev_varz00_bglt) BgL_oz00_3651);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3813))->BgL_typez00) =
					((obj_t) BgL_vz00_3652), BUNSPEC);
			}
		}
	}



/* &lambda1487 */
	obj_t BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t BgL_envz00_3653,
		obj_t BgL_oz00_3654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3654)))->BgL_typez00);
		}
	}



/* &<anonymous:1469> */
	BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31469ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3655,
		obj_t BgL_new1040z00_3656)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			return ((BgL_ev_exprz00_bglt) BgL_new1040z00_3656);
		}
	}



/* &lambda1466 */
	BgL_ev_exprz00_bglt BGl_z62lambda1466z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1039z00_622;

					BgL_new1039z00_622 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1468z00_623;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2251z00_2088;

							{	/* Eval/evaluate_types.scm 49 */
								obj_t BgL_classz00_2085;

								BgL_classz00_2085 = BGl_ev_exprz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 49 */
									obj_t BgL_vectorz00_2086;
									int BgL_kz00_2087;

									BgL_vectorz00_2086 = BgL_classz00_2085;
									BgL_kz00_2087 = (int) (((long) 1));
									BgL_res2251z00_2088 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2086, BgL_kz00_2087));
							}}
							BgL_arg1468z00_623 = BgL_res2251z00_2088;
						}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_objz00_2089;

							BgL_objz00_2089 = ((BgL_objectz00_bglt) BgL_new1039z00_622);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2089, BgL_arg1468z00_623);
					}}
					{	/* Eval/evaluate_types.scm 49 */
						BgL_objectz00_bglt BgL_auxz00_5283;

						BgL_auxz00_5283 = ((BgL_objectz00_bglt) BgL_new1039z00_622);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5283, BFALSE);
					}
					return BgL_new1039z00_622;
				}
			}
		}
	}



/* &lambda1464 */
	BgL_ev_exprz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3658)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1188z00_618;

					{	/* Eval/evaluate_types.scm 49 */
						BgL_ev_exprz00_bglt BgL_new1187z00_619;

						BgL_new1187z00_619 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 49 */
							long BgL_arg1465z00_620;

							{	/* Eval/evaluate_types.scm 49 */
								long BgL_res2250z00_2082;

								{	/* Eval/evaluate_types.scm 49 */
									obj_t BgL_classz00_2079;

									BgL_classz00_2079 = BGl_ev_exprz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 49 */
										obj_t BgL_vectorz00_2080;
										int BgL_kz00_2081;

										BgL_vectorz00_2080 = BgL_classz00_2079;
										BgL_kz00_2081 = (int) (((long) 1));
										BgL_res2250z00_2082 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2080,
												BgL_kz00_2081));
								}}
								BgL_arg1465z00_620 = BgL_res2250z00_2082;
							}
							{	/* Eval/evaluate_types.scm 49 */
								BgL_objectz00_bglt BgL_objz00_2083;

								BgL_objz00_2083 = ((BgL_objectz00_bglt) BgL_new1187z00_619);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2083, BgL_arg1465z00_620);
						}}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_5292;

							BgL_auxz00_5292 = ((BgL_objectz00_bglt) BgL_new1187z00_619);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5292, BFALSE);
						}
						BgL_new1188z00_618 = BgL_new1187z00_619;
					}
					return BgL_new1188z00_618;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
